/* A Bison parser, made by GNU Bison 3.0.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* Copy the first part of user declarations.  */
#line 1 "gram.y" /* yacc.c:339  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2016, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET SQL_inheritance TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.  The handling of SQL_inheritance is
 *	  a good example.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_am.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "parser/parse_expr.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static Node *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 254 "gram.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gram.h".  */
#ifndef YY_BASE_YY_GRAM_H_INCLUDED
# define YY_BASE_YY_GRAM_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    FCONST = 259,
    SCONST = 260,
    BCONST = 261,
    XCONST = 262,
    Op = 263,
    ICONST = 264,
    PARAM = 265,
    TYPECAST = 266,
    DOT_DOT = 267,
    COLON_EQUALS = 268,
    EQUALS_GREATER = 269,
    LESS_EQUALS = 270,
    GREATER_EQUALS = 271,
    NOT_EQUALS = 272,
    ABORT_P = 273,
    ABSOLUTE_P = 274,
    ACCESS = 275,
    ACTION = 276,
    ADD_P = 277,
    ADMIN = 278,
    AFTER = 279,
    AGGREGATE = 280,
    ALL = 281,
    ALSO = 282,
    ALTER = 283,
    ALWAYS = 284,
    ANALYSE = 285,
    ANALYZE = 286,
    AND = 287,
    ANY = 288,
    ARRAY = 289,
    AS = 290,
    ASC = 291,
    ASSERTION = 292,
    ASSIGNMENT = 293,
    ASYMMETRIC = 294,
    AT = 295,
    ATTRIBUTE = 296,
    AUTHORIZATION = 297,
    BACKWARD = 298,
    BEFORE = 299,
    BEGIN_P = 300,
    BETWEEN = 301,
    BIGINT = 302,
    BINARY = 303,
    BIT = 304,
    BOOLEAN_P = 305,
    BOTH = 306,
    BY = 307,
    CACHE = 308,
    CALLED = 309,
    CASCADE = 310,
    CASCADED = 311,
    CASE = 312,
    CAST = 313,
    CATALOG_P = 314,
    CHAIN = 315,
    CHAR_P = 316,
    CHARACTER = 317,
    CHARACTERISTICS = 318,
    CHECK = 319,
    CHECKPOINT = 320,
    CLASS = 321,
    CLOSE = 322,
    CLUSTER = 323,
    COALESCE = 324,
    COLLATE = 325,
    COLLATION = 326,
    COLUMN = 327,
    COMMENT = 328,
    COMMENTS = 329,
    COMMIT = 330,
    COMMITTED = 331,
    CONCURRENTLY = 332,
    CONFIGURATION = 333,
    CONFLICT = 334,
    CONNECTION = 335,
    CONSTRAINT = 336,
    CONSTRAINTS = 337,
    CONTENT_P = 338,
    CONTINUE_P = 339,
    CONVERSION_P = 340,
    COPY = 341,
    COST = 342,
    CREATE = 343,
    CROSS = 344,
    CSV = 345,
    CUBE = 346,
    CURRENT_P = 347,
    CURRENT_CATALOG = 348,
    CURRENT_DATE = 349,
    CURRENT_ROLE = 350,
    CURRENT_SCHEMA = 351,
    CURRENT_TIME = 352,
    CURRENT_TIMESTAMP = 353,
    CURRENT_USER = 354,
    CURSOR = 355,
    CYCLE = 356,
    DATA_P = 357,
    DATABASE = 358,
    DAY_P = 359,
    DEALLOCATE = 360,
    DEC = 361,
    DECIMAL_P = 362,
    DECLARE = 363,
    DEFAULT = 364,
    DEFAULTS = 365,
    DEFERRABLE = 366,
    DEFERRED = 367,
    DEFINER = 368,
    DELETE_P = 369,
    DELIMITER = 370,
    DELIMITERS = 371,
    DEPENDS = 372,
    DESC = 373,
    DICTIONARY = 374,
    DISABLE_P = 375,
    DISCARD = 376,
    DISTINCT = 377,
    DO = 378,
    DOCUMENT_P = 379,
    DOMAIN_P = 380,
    DOUBLE_P = 381,
    DROP = 382,
    EACH = 383,
    ELSE = 384,
    ENABLE_P = 385,
    ENCODING = 386,
    ENCRYPTED = 387,
    END_P = 388,
    ENUM_P = 389,
    ESCAPE = 390,
    EVENT = 391,
    EXCEPT = 392,
    EXCLUDE = 393,
    EXCLUDING = 394,
    EXCLUSIVE = 395,
    EXECUTE = 396,
    EXISTS = 397,
    EXPLAIN = 398,
    EXTENSION = 399,
    EXTERNAL = 400,
    EXTRACT = 401,
    FALSE_P = 402,
    FAMILY = 403,
    FETCH = 404,
    FILTER = 405,
    FIRST_P = 406,
    FLOAT_P = 407,
    FOLLOWING = 408,
    FOR = 409,
    FORCE = 410,
    FOREIGN = 411,
    FORWARD = 412,
    FREEZE = 413,
    FROM = 414,
    FULL = 415,
    FUNCTION = 416,
    FUNCTIONS = 417,
    GLOBAL = 418,
    GRANT = 419,
    GRANTED = 420,
    GREATEST = 421,
    GROUP_P = 422,
    GROUPING = 423,
    HANDLER = 424,
    HAVING = 425,
    HEADER_P = 426,
    HOLD = 427,
    HOUR_P = 428,
    IDENTITY_P = 429,
    IF_P = 430,
    ILIKE = 431,
    IMMEDIATE = 432,
    IMMUTABLE = 433,
    IMPLICIT_P = 434,
    IMPORT_P = 435,
    IN_P = 436,
    INCLUDING = 437,
    INCREMENT = 438,
    INDEX = 439,
    INDEXES = 440,
    INHERIT = 441,
    INHERITS = 442,
    INITIALLY = 443,
    INLINE_P = 444,
    INNER_P = 445,
    INOUT = 446,
    INPUT_P = 447,
    INSENSITIVE = 448,
    INSERT = 449,
    INSTEAD = 450,
    INT_P = 451,
    INTEGER = 452,
    INTERSECT = 453,
    INTERVAL = 454,
    INTO = 455,
    INVOKER = 456,
    IS = 457,
    ISNULL = 458,
    ISOLATION = 459,
    JOIN = 460,
    KEY = 461,
    LABEL = 462,
    LANGUAGE = 463,
    LARGE_P = 464,
    LAST_P = 465,
    LATERAL_P = 466,
    LEADING = 467,
    LEAKPROOF = 468,
    LEAST = 469,
    LEFT = 470,
    LEVEL = 471,
    LIKE = 472,
    LIMIT = 473,
    LISTEN = 474,
    LOAD = 475,
    LOCAL = 476,
    LOCALTIME = 477,
    LOCALTIMESTAMP = 478,
    LOCATION = 479,
    LOCK_P = 480,
    LOCKED = 481,
    LOGGED = 482,
    MAPPING = 483,
    MATCH = 484,
    MATERIALIZED = 485,
    MAXVALUE = 486,
    METHOD = 487,
    MINUTE_P = 488,
    MINVALUE = 489,
    MODE = 490,
    MONTH_P = 491,
    MOVE = 492,
    NAME_P = 493,
    NAMES = 494,
    NATIONAL = 495,
    NATURAL = 496,
    NCHAR = 497,
    NEXT = 498,
    NO = 499,
    NONE = 500,
    NOT = 501,
    NOTHING = 502,
    NOTIFY = 503,
    NOTNULL = 504,
    NOWAIT = 505,
    NULL_P = 506,
    NULLIF = 507,
    NULLS_P = 508,
    NUMERIC = 509,
    OBJECT_P = 510,
    OF = 511,
    OFF = 512,
    OFFSET = 513,
    OIDS = 514,
    ON = 515,
    ONLY = 516,
    OPERATOR = 517,
    OPTION = 518,
    OPTIONS = 519,
    OR = 520,
    ORDER = 521,
    ORDINALITY = 522,
    OUT_P = 523,
    OUTER_P = 524,
    OVER = 525,
    OVERLAPS = 526,
    OVERLAY = 527,
    OWNED = 528,
    OWNER = 529,
    PARALLEL = 530,
    PARSER = 531,
    PARTIAL = 532,
    PARTITION = 533,
    PASSING = 534,
    PASSWORD = 535,
    PLACING = 536,
    PLANS = 537,
    POLICY = 538,
    POSITION = 539,
    PRECEDING = 540,
    PRECISION = 541,
    PRESERVE = 542,
    PREPARE = 543,
    PREPARED = 544,
    PRIMARY = 545,
    PRIOR = 546,
    PRIVILEGES = 547,
    PROCEDURAL = 548,
    PROCEDURE = 549,
    PROGRAM = 550,
    QUOTE = 551,
    RANGE = 552,
    READ = 553,
    REAL = 554,
    REASSIGN = 555,
    RECHECK = 556,
    RECURSIVE = 557,
    REF = 558,
    REFERENCES = 559,
    REFRESH = 560,
    REINDEX = 561,
    RELATIVE_P = 562,
    RELEASE = 563,
    RENAME = 564,
    REPEATABLE = 565,
    REPLACE = 566,
    REPLICA = 567,
    RESET = 568,
    RESTART = 569,
    RESTRICT = 570,
    RETURNING = 571,
    RETURNS = 572,
    REVOKE = 573,
    RIGHT = 574,
    ROLE = 575,
    ROLLBACK = 576,
    ROLLUP = 577,
    ROW = 578,
    ROWS = 579,
    RULE = 580,
    SAVEPOINT = 581,
    SCHEMA = 582,
    SCROLL = 583,
    SEARCH = 584,
    SECOND_P = 585,
    SECURITY = 586,
    SELECT = 587,
    SEQUENCE = 588,
    SEQUENCES = 589,
    SERIALIZABLE = 590,
    SERVER = 591,
    SESSION = 592,
    SESSION_USER = 593,
    SET = 594,
    SETS = 595,
    SETOF = 596,
    SHARE = 597,
    SHOW = 598,
    SIMILAR = 599,
    SIMPLE = 600,
    SKIP = 601,
    SMALLINT = 602,
    SNAPSHOT = 603,
    SOME = 604,
    SQL_P = 605,
    STABLE = 606,
    STANDALONE_P = 607,
    START = 608,
    STATEMENT = 609,
    STATISTICS = 610,
    STDIN = 611,
    STDOUT = 612,
    STORAGE = 613,
    STRICT_P = 614,
    STRIP_P = 615,
    SUBSTRING = 616,
    SYMMETRIC = 617,
    SYSID = 618,
    SYSTEM_P = 619,
    TABLE = 620,
    TABLES = 621,
    TABLESAMPLE = 622,
    TABLESPACE = 623,
    TEMP = 624,
    TEMPLATE = 625,
    TEMPORARY = 626,
    TEXT_P = 627,
    THEN = 628,
    TIME = 629,
    TIMESTAMP = 630,
    TO = 631,
    TRAILING = 632,
    TRANSACTION = 633,
    TRANSFORM = 634,
    TREAT = 635,
    TRIGGER = 636,
    TRIM = 637,
    TRUE_P = 638,
    TRUNCATE = 639,
    TRUSTED = 640,
    TYPE_P = 641,
    TYPES_P = 642,
    UNBOUNDED = 643,
    UNCOMMITTED = 644,
    UNENCRYPTED = 645,
    UNION = 646,
    UNIQUE = 647,
    UNKNOWN = 648,
    UNLISTEN = 649,
    UNLOGGED = 650,
    UNTIL = 651,
    UPDATE = 652,
    USER = 653,
    USING = 654,
    VACUUM = 655,
    VALID = 656,
    VALIDATE = 657,
    VALIDATOR = 658,
    VALUE_P = 659,
    VALUES = 660,
    VARCHAR = 661,
    VARIADIC = 662,
    VARYING = 663,
    VERBOSE = 664,
    VERSION_P = 665,
    VIEW = 666,
    VIEWS = 667,
    VOLATILE = 668,
    WHEN = 669,
    WHERE = 670,
    WHITESPACE_P = 671,
    WINDOW = 672,
    WITH = 673,
    WITHIN = 674,
    WITHOUT = 675,
    WORK = 676,
    WRAPPER = 677,
    WRITE = 678,
    XML_P = 679,
    XMLATTRIBUTES = 680,
    XMLCONCAT = 681,
    XMLELEMENT = 682,
    XMLEXISTS = 683,
    XMLFOREST = 684,
    XMLPARSE = 685,
    XMLPI = 686,
    XMLROOT = 687,
    XMLSERIALIZE = 688,
    YEAR_P = 689,
    YES_P = 690,
    ZONE = 691,
    NOT_LA = 692,
    NULLS_LA = 693,
    WITH_LA = 694,
    POSTFIXOP = 695,
    UMINUS = 696
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{
#line 192 "gram.y" /* yacc.c:355  */

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	FuncWithArgs		*funwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	InferClause			*infer;
	OnConflictClause	*onconflict;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	struct ImportQual	*importqual;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;

#line 776 "gram.c" /* yacc.c:355  */
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_GRAM_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 804 "gram.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  763
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   92224

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  459
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  618
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2509
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  4982

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   696

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   448,     2,     2,
     453,   454,   446,   444,   457,   445,   455,   447,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   458,   456,
     440,   442,   441,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   451,     2,   452,   449,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   443,   450
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   734,   734,   741,   748,   758,   759,   760,   761,   762,
     763,   764,   765,   766,   767,   768,   769,   770,   771,   772,
     773,   774,   775,   776,   777,   778,   779,   780,   781,   782,
     783,   784,   785,   786,   787,   788,   789,   790,   791,   792,
     793,   794,   795,   796,   797,   798,   799,   800,   801,   802,
     803,   804,   805,   806,   807,   808,   809,   810,   811,   812,
     813,   814,   815,   816,   817,   818,   819,   820,   821,   822,
     823,   824,   825,   826,   827,   828,   829,   830,   831,   832,
     833,   834,   835,   836,   837,   838,   839,   840,   841,   842,
     843,   844,   845,   846,   847,   848,   849,   850,   851,   852,
     853,   854,   855,   856,   857,   858,   859,   860,   861,   862,
     863,   864,   865,   866,   867,   868,   869,   870,   871,   872,
     873,   874,   875,   876,   877,   878,   879,   880,   881,   882,
     884,   894,   905,   906,   907,   916,   917,   921,   922,   926,
     931,   935,   940,   945,   949,   953,   958,   962,  1010,  1012,
    1016,  1020,  1024,  1028,  1042,  1060,  1071,  1072,  1076,  1084,
    1102,  1114,  1135,  1142,  1159,  1166,  1183,  1201,  1212,  1213,
    1225,  1232,  1249,  1259,  1269,  1284,  1302,  1303,  1307,  1314,
    1322,  1323,  1324,  1325,  1326,  1327,  1341,  1347,  1353,  1362,
    1370,  1378,  1382,  1390,  1398,  1405,  1414,  1415,  1423,  1434,
    1442,  1450,  1461,  1469,  1477,  1484,  1493,  1503,  1504,  1508,
    1509,  1512,  1514,  1518,  1519,  1520,  1521,  1525,  1526,  1527,
    1533,  1545,  1549,  1553,  1568,  1575,  1576,  1577,  1581,  1582,
    1583,  1587,  1588,  1592,  1596,  1597,  1604,  1611,  1621,  1628,
    1638,  1639,  1644,  1645,  1650,  1656,  1662,  1668,  1674,  1684,
    1694,  1695,  1699,  1700,  1708,  1723,  1729,  1735,  1741,  1747,
    1766,  1775,  1784,  1795,  1806,  1815,  1824,  1835,  1846,  1855,
    1864,  1873,  1882,  1891,  1900,  1911,  1925,  1926,  1931,  1940,
    1949,  1958,  1967,  1976,  1984,  1992,  2001,  2010,  2019,  2028,
    2038,  2051,  2066,  2075,  2083,  2098,  2106,  2116,  2126,  2133,
    2140,  2148,  2156,  2163,  2170,  2178,  2186,  2194,  2201,  2208,
    2216,  2223,  2230,  2238,  2246,  2254,  2262,  2270,  2278,  2288,
    2295,  2303,  2311,  2319,  2327,  2335,  2342,  2349,  2356,  2362,
    2372,  2373,  2377,  2378,  2379,  2383,  2391,  2395,  2396,  2400,
    2407,  2414,  2421,  2431,  2434,  2435,  2439,  2440,  2445,  2449,
    2453,  2458,  2473,  2486,  2487,  2492,  2501,  2511,  2521,  2547,
    2553,  2586,  2615,  2637,  2638,  2642,  2643,  2652,  2653,  2654,
    2657,  2658,  2663,  2664,  2668,  2672,  2676,  2680,  2684,  2688,
    2692,  2696,  2700,  2704,  2708,  2712,  2716,  2720,  2729,  2733,
    2737,  2741,  2745,  2749,  2753,  2754,  2759,  2763,  2770,  2777,
    2778,  2779,  2780,  2781,  2785,  2789,  2797,  2808,  2824,  2841,
    2858,  2888,  2889,  2890,  2891,  2892,  2899,  2906,  2907,  2911,
    2912,  2916,  2917,  2921,  2925,  2932,  2936,  2943,  2944,  2945,
    2949,  2950,  2953,  2974,  2995,  2996,  3000,  3008,  3009,  3010,
    3041,  3048,  3055,  3066,  3077,  3089,  3098,  3131,  3138,  3145,
    3152,  3163,  3173,  3174,  3175,  3179,  3180,  3181,  3182,  3183,
    3184,  3193,  3201,  3205,  3218,  3233,  3247,  3262,  3276,  3294,
    3315,  3316,  3320,  3321,  3325,  3326,  3329,  3335,  3339,  3347,
    3352,  3358,  3359,  3363,  3368,  3375,  3376,  3386,  3388,  3390,
    3392,  3395,  3398,  3401,  3405,  3406,  3407,  3408,  3409,  3412,
    3413,  3418,  3419,  3420,  3421,  3424,  3425,  3426,  3427,  3430,
    3431,  3434,  3435,  3438,  3453,  3466,  3482,  3496,  3497,  3498,
    3510,  3523,  3539,  3552,  3553,  3565,  3585,  3595,  3608,  3616,
    3627,  3628,  3631,  3632,  3635,  3639,  3643,  3647,  3651,  3655,
    3659,  3663,  3667,  3671,  3675,  3679,  3685,  3686,  3690,  3691,
    3696,  3699,  3700,  3712,  3724,  3739,  3740,  3748,  3749,  3753,
    3754,  3758,  3759,  3763,  3764,  3768,  3779,  3792,  3793,  3803,
    3814,  3815,  3828,  3835,  3852,  3860,  3871,  3874,  3878,  3882,
    3886,  3890,  3902,  3912,  3915,  3919,  3932,  3942,  3952,  3961,
    3970,  3979,  3989,  3998,  4008,  4017,  4026,  4035,  4044,  4053,
    4062,  4071,  4080,  4089,  4098,  4107,  4116,  4125,  4134,  4143,
    4153,  4171,  4182,  4183,  4184,  4185,  4189,  4190,  4194,  4195,
    4205,  4216,  4236,  4244,  4256,  4257,  4261,  4265,  4273,  4277,
    4281,  4288,  4292,  4297,  4302,  4309,  4316,  4321,  4331,  4345,
    4346,  4351,  4352,  4356,  4357,  4367,  4378,  4398,  4407,  4415,
    4432,  4452,  4482,  4491,  4512,  4527,  4528,  4532,  4540,  4555,
    4566,  4567,  4579,  4587,  4604,  4626,  4642,  4656,  4667,  4681,
    4682,  4686,  4687,  4691,  4692,  4696,  4697,  4701,  4702,  4706,
    4707,  4708,  4709,  4710,  4720,  4739,  4759,  4784,  4785,  4786,
    4790,  4792,  4814,  4816,  4818,  4820,  4822,  4827,  4832,  4842,
    4843,  4847,  4848,  4852,  4853,  4857,  4858,  4859,  4863,  4867,
    4868,  4869,  4873,  4874,  4879,  4880,  4907,  4908,  4909,  4910,
    4911,  4912,  4917,  4928,  4951,  4961,  4975,  4977,  4982,  4987,
    4989,  4994,  5004,  5005,  5006,  5007,  5019,  5039,  5062,  5072,
    5083,  5093,  5103,  5114,  5123,  5130,  5137,  5146,  5155,  5164,
    5173,  5182,  5193,  5196,  5197,  5200,  5204,  5211,  5212,  5213,
    5214,  5215,  5218,  5221,  5222,  5230,  5237,  5238,  5241,  5243,
    5254,  5264,  5274,  5286,  5287,  5303,  5318,  5319,  5323,  5333,
    5344,  5353,  5363,  5372,  5373,  5376,  5377,  5380,  5381,  5382,
    5385,  5399,  5404,  5414,  5423,  5435,  5436,  5440,  5448,  5460,
    5470,  5483,  5493,  5515,  5525,  5543,  5554,  5565,  5575,  5585,
    5595,  5605,  5616,  5630,  5631,  5632,  5633,  5634,  5635,  5636,
    5637,  5638,  5639,  5640,  5641,  5642,  5643,  5644,  5645,  5649,
    5650,  5653,  5654,  5657,  5659,  5664,  5665,  5675,  5686,  5687,
    5688,  5722,  5731,  5740,  5749,  5758,  5767,  5776,  5785,  5799,
    5808,  5817,  5827,  5836,  5845,  5853,  5862,  5871,  5880,  5892,
    5893,  5894,  5895,  5896,  5897,  5898,  5899,  5900,  5901,  5902,
    5903,  5904,  5905,  5906,  5907,  5908,  5909,  5910,  5911,  5912,
    5913,  5917,  5918,  5932,  5943,  5954,  5965,  5976,  5987,  5998,
    6011,  6012,  6016,  6017,  6018,  6019,  6020,  6021,  6022,  6023,
    6024,  6025,  6026,  6029,  6030,  6040,  6046,  6054,  6062,  6070,
    6078,  6086,  6094,  6102,  6110,  6118,  6126,  6134,  6142,  6150,
    6158,  6166,  6174,  6184,  6185,  6188,  6189,  6199,  6215,  6229,
    6255,  6257,  6259,  6261,  6268,  6277,  6278,  6281,  6288,  6295,
    6302,  6316,  6324,  6332,  6340,  6348,  6356,  6364,  6372,  6380,
    6388,  6396,  6404,  6412,  6420,  6428,  6436,  6448,  6449,  6453,
    6454,  6459,  6460,  6464,  6465,  6470,  6486,  6499,  6509,  6521,
    6522,  6525,  6526,  6536,  6546,  6547,  6551,  6555,  6559,  6570,
    6583,  6597,  6614,  6615,  6616,  6617,  6629,  6655,  6684,  6685,
    6689,  6690,  6694,  6695,  6699,  6700,  6703,  6704,  6712,  6723,
    6734,  6747,  6748,  6751,  6752,  6755,  6756,  6757,  6760,  6761,
    6762,  6778,  6790,  6803,  6818,  6819,  6822,  6823,  6827,  6828,
    6836,  6837,  6841,  6842,  6857,  6866,  6875,  6884,  6893,  6905,
    6906,  6907,  6908,  6909,  6915,  6919,  6934,  6935,  6941,  6951,
    6955,  6960,  6968,  7009,  7013,  7017,  7021,  7029,  7030,  7035,
    7036,  7043,  7047,  7051,  7055,  7059,  7063,  7067,  7071,  7075,
    7079,  7083,  7087,  7091,  7095,  7099,  7104,  7111,  7115,  7119,
    7123,  7127,  7133,  7134,  7141,  7142,  7146,  7147,  7150,  7162,
    7166,  7181,  7192,  7193,  7198,  7199,  7214,  7225,  7239,  7250,
    7264,  7275,  7289,  7297,  7299,  7301,  7306,  7308,  7321,  7330,
    7331,  7335,  7339,  7351,  7362,  7373,  7386,  7387,  7388,  7392,
    7405,  7406,  7416,  7428,  7432,  7436,  7440,  7447,  7468,  7477,
    7486,  7495,  7506,  7507,  7510,  7511,  7512,  7515,  7516,  7519,
    7529,  7538,  7555,  7565,  7574,  7583,  7592,  7601,  7610,  7619,
    7629,  7638,  7647,  7656,  7665,  7675,  7685,  7694,  7703,  7713,
    7723,  7733,  7743,  7753,  7763,  7773,  7783,  7793,  7803,  7813,
    7823,  7834,  7845,  7856,  7867,  7877,  7887,  7898,  7909,  7919,
    7929,  7937,  7946,  7955,  7964,  7973,  7982,  7991,  8000,  8009,
    8023,  8024,  8027,  8028,  8038,  8048,  8058,  8068,  8087,  8097,
    8106,  8115,  8124,  8133,  8143,  8153,  8162,  8171,  8180,  8189,
    8198,  8207,  8216,  8225,  8234,  8243,  8252,  8261,  8270,  8279,
    8288,  8297,  8315,  8325,  8326,  8329,  8331,  8341,  8350,  8358,
    8366,  8374,  8382,  8391,  8399,  8407,  8416,  8424,  8432,  8440,
    8448,  8456,  8464,  8472,  8480,  8488,  8505,  8522,  8523,  8524,
    8529,  8535,  8544,  8545,  8546,  8547,  8548,  8552,  8553,  8556,
    8557,  8558,  8559,  8563,  8564,  8565,  8570,  8581,  8603,  8613,
    8614,  8617,  8626,  8632,  8651,  8658,  8665,  8672,  8679,  8686,
    8693,  8701,  8709,  8717,  8725,  8733,  8740,  8747,  8756,  8757,
    8758,  8762,  8765,  8768,  8771,  8774,  8781,  8783,  8785,  8790,
    8792,  8804,  8817,  8830,  8848,  8869,  8870,  8871,  8872,  8882,
    8898,  8908,  8909,  8913,  8914,  8918,  8922,  8926,  8944,  8945,
    8946,  8947,  8948,  8949,  8950,  8957,  8958,  8969,  8976,  8983,
    8994,  9011,  9018,  9036,  9042,  9058,  9071,  9080,  9088,  9096,
    9105,  9116,  9127,  9137,  9138,  9149,  9159,  9170,  9181,  9192,
    9203,  9212,  9224,  9225,  9239,  9262,  9270,  9279,  9290,  9291,
    9303,  9317,  9331,  9343,  9351,  9364,  9365,  9369,  9370,  9371,
    9372,  9373,  9386,  9396,  9409,  9410,  9414,  9415,  9418,  9419,
    9422,  9423,  9427,  9428,  9441,  9448,  9458,  9465,  9475,  9476,
    9477,  9478,  9479,  9480,  9481,  9482,  9483,  9487,  9491,  9498,
    9505,  9506,  9510,  9511,  9512,  9522,  9532,  9533,  9537,  9538,
    9539,  9540,  9550,  9557,  9575,  9576,  9586,  9592,  9598,  9604,
    9620,  9638,  9642,  9650,  9656,  9662,  9671,  9673,  9678,  9689,
    9699,  9709,  9715,  9724,  9733,  9739,  9740,  9751,  9765,  9766,
    9777,  9788,  9789,  9792,  9793,  9794,  9795,  9796,  9797,  9798,
    9799,  9802,  9803,  9807,  9808,  9809,  9820,  9838,  9839,  9843,
    9844,  9848,  9864,  9890,  9923,  9934,  9935,  9945,  9956,  9959,
    9960,  9961,  9962,  9963,  9966,  9967,  9968, 10016, 10017, 10021,
   10022, 10037, 10038, 10045, 10053, 10061, 10069, 10077, 10085, 10096,
   10097, 10124, 10138, 10153, 10154, 10173, 10177, 10181, 10198, 10205,
   10212, 10222, 10223, 10226, 10238, 10239, 10243, 10255, 10263, 10268,
   10273, 10278, 10283, 10291, 10299, 10304, 10309, 10316, 10317, 10321,
   10322, 10323, 10330, 10331, 10335, 10336, 10340, 10341, 10345, 10349,
   10350, 10353, 10362, 10375, 10376, 10377, 10378, 10382, 10383, 10387,
   10389, 10399, 10404, 10407, 10412, 10413, 10421, 10431, 10432, 10433,
   10441, 10445, 10446, 10449, 10450, 10475, 10476, 10480, 10481, 10485,
   10486, 10487, 10488, 10489, 10493, 10506, 10513, 10520, 10527, 10528,
   10532, 10533, 10537, 10538, 10542, 10543, 10547, 10558, 10559, 10560,
   10561, 10565, 10566, 10571, 10577, 10595, 10596, 10600, 10601, 10607,
   10612, 10620, 10627, 10635, 10670, 10695, 10699, 10725, 10729, 10741,
   10754, 10768, 10779, 10794, 10800, 10805, 10811, 10818, 10819, 10827,
   10831, 10835, 10841, 10848, 10853, 10854, 10855, 10856, 10860, 10861,
   10873, 10874, 10879, 10886, 10893, 10900, 10911, 10912, 10925, 10929,
   10936, 10949, 10962, 10963, 10978, 10988, 11000, 11005, 11006, 11009,
   11010, 11013, 11014, 11019, 11020, 11025, 11026, 11034, 11039, 11040,
   11044, 11048, 11054, 11084, 11089, 11096, 11101, 11107, 11112, 11121,
   11123, 11126, 11130, 11131, 11132, 11133, 11134, 11135, 11140, 11160,
   11161, 11162, 11163, 11174, 11180, 11188, 11189, 11195, 11200, 11205,
   11210, 11215, 11220, 11225, 11230, 11236, 11242, 11248, 11255, 11277,
   11286, 11290, 11298, 11302, 11310, 11322, 11343, 11347, 11353, 11357,
   11370, 11381, 11396, 11398, 11400, 11402, 11404, 11406, 11411, 11412,
   11416, 11417, 11424, 11433, 11441, 11450, 11461, 11469, 11470, 11471,
   11475, 11477, 11479, 11481, 11483, 11485, 11487, 11492, 11497, 11503,
   11511, 11516, 11523, 11530, 11534, 11538, 11574, 11575, 11577, 11585,
   11600, 11602, 11604, 11606, 11608, 11610, 11612, 11614, 11616, 11618,
   11620, 11622, 11624, 11626, 11629, 11631, 11633, 11636, 11638, 11640,
   11642, 11645, 11650, 11658, 11663, 11671, 11676, 11684, 11689, 11698,
   11706, 11714, 11722, 11740, 11748, 11756, 11764, 11772, 11788, 11796,
   11804, 11812, 11820, 11828, 11836, 11840, 11844, 11848, 11852, 11860,
   11868, 11876, 11884, 11904, 11926, 11937, 11944, 11960, 11965, 11982,
   11984, 11986, 11988, 11990, 11992, 11994, 11996, 11998, 12000, 12002,
   12004, 12006, 12008, 12010, 12012, 12014, 12016, 12018, 12020, 12024,
   12028, 12032, 12036, 12041, 12057, 12058, 12059, 12074, 12104, 12106,
   12108, 12119, 12143, 12154, 12165, 12173, 12183, 12193, 12202, 12206,
   12212, 12219, 12226, 12236, 12243, 12271, 12306, 12317, 12318, 12325,
   12331, 12357, 12367, 12380, 12388, 12401, 12411, 12424, 12434, 12447,
   12451, 12455, 12459, 12463, 12467, 12471, 12473, 12477, 12486, 12491,
   12498, 12513, 12520, 12524, 12528, 12532, 12536, 12543, 12551, 12559,
   12563, 12567, 12571, 12575, 12579, 12585, 12589, 12598, 12602, 12606,
   12611, 12625, 12627, 12631, 12633, 12635, 12638, 12641, 12644, 12645,
   12648, 12656, 12666, 12667, 12670, 12671, 12672, 12677, 12681, 12685,
   12689, 12700, 12701, 12705, 12706, 12714, 12715, 12719, 12720, 12725,
   12733, 12735, 12749, 12752, 12779, 12780, 12783, 12784, 12795, 12813,
   12820, 12829, 12846, 12891, 12899, 12907, 12915, 12923, 12944, 12945,
   12946, 12949, 12950, 12953, 12956, 12957, 12958, 12961, 12962, 12965,
   12966, 12967, 12968, 12969, 12970, 12971, 12972, 12973, 12974, 12975,
   12976, 12979, 12981, 12986, 12988, 12993, 12995, 12997, 12999, 13001,
   13003, 13015, 13019, 13026, 13030, 13036, 13040, 13049, 13060, 13061,
   13064, 13068, 13072, 13078, 13079, 13084, 13088, 13095, 13096, 13097,
   13098, 13099, 13100, 13101, 13102, 13112, 13116, 13123, 13130, 13131,
   13147, 13151, 13156, 13160, 13175, 13180, 13184, 13187, 13190, 13191,
   13192, 13195, 13202, 13212, 13226, 13227, 13231, 13242, 13243, 13246,
   13247, 13250, 13254, 13261, 13265, 13269, 13277, 13288, 13289, 13293,
   13294, 13298, 13299, 13302, 13303, 13314, 13315, 13324, 13325, 13333,
   13343, 13344, 13348, 13349, 13352, 13368, 13376, 13384, 13406, 13407,
   13418, 13422, 13449, 13451, 13456, 13459, 13462, 13464, 13466, 13468,
   13478, 13480, 13491, 13495, 13499, 13503, 13507, 13516, 13523, 13555,
   13559, 13565, 13572, 13576, 13580, 13586, 13587, 13589, 13590, 13591,
   13595, 13625, 13652, 13656, 13662, 13664, 13681, 13682, 13683, 13688,
   13689, 13690, 13695, 13696, 13697, 13698, 13704, 13705, 13706, 13707,
   13708, 13728, 13729, 13730, 13731, 13732, 13733, 13734, 13735, 13736,
   13737, 13738, 13739, 13740, 13741, 13742, 13743, 13744, 13745, 13746,
   13747, 13748, 13749, 13750, 13751, 13752, 13753, 13754, 13755, 13756,
   13757, 13758, 13759, 13760, 13761, 13762, 13763, 13764, 13765, 13766,
   13767, 13768, 13769, 13770, 13771, 13772, 13773, 13774, 13775, 13776,
   13777, 13778, 13779, 13780, 13781, 13782, 13783, 13784, 13785, 13786,
   13787, 13788, 13789, 13790, 13791, 13792, 13793, 13794, 13795, 13796,
   13797, 13798, 13799, 13800, 13801, 13802, 13803, 13804, 13805, 13806,
   13807, 13808, 13809, 13810, 13811, 13812, 13813, 13814, 13815, 13816,
   13817, 13818, 13819, 13820, 13821, 13822, 13823, 13824, 13825, 13826,
   13827, 13828, 13829, 13830, 13831, 13832, 13833, 13834, 13835, 13836,
   13837, 13838, 13839, 13840, 13841, 13842, 13843, 13844, 13845, 13846,
   13847, 13848, 13849, 13850, 13851, 13852, 13853, 13854, 13855, 13856,
   13857, 13858, 13859, 13860, 13861, 13862, 13863, 13864, 13865, 13866,
   13867, 13868, 13869, 13870, 13871, 13872, 13873, 13874, 13875, 13876,
   13877, 13878, 13879, 13880, 13881, 13882, 13883, 13884, 13885, 13886,
   13887, 13888, 13889, 13890, 13891, 13892, 13893, 13894, 13895, 13896,
   13897, 13898, 13899, 13900, 13901, 13902, 13903, 13904, 13905, 13906,
   13907, 13908, 13909, 13910, 13911, 13912, 13913, 13914, 13915, 13916,
   13917, 13918, 13919, 13920, 13921, 13922, 13923, 13924, 13925, 13926,
   13927, 13928, 13929, 13930, 13931, 13932, 13933, 13934, 13935, 13936,
   13937, 13938, 13939, 13940, 13941, 13942, 13943, 13944, 13945, 13946,
   13947, 13948, 13949, 13950, 13951, 13952, 13953, 13954, 13955, 13956,
   13957, 13958, 13959, 13960, 13961, 13962, 13963, 13964, 13965, 13966,
   13967, 13968, 13969, 13970, 13971, 13972, 13973, 13974, 13975, 13976,
   13977, 13978, 13979, 13980, 13981, 13982, 13983, 13984, 13985, 13986,
   13987, 13988, 13989, 13990, 13991, 13992, 13993, 13994, 13995, 13996,
   13997, 13998, 14012, 14013, 14014, 14015, 14016, 14017, 14018, 14019,
   14020, 14021, 14022, 14023, 14024, 14025, 14026, 14027, 14028, 14029,
   14030, 14031, 14032, 14033, 14034, 14035, 14036, 14037, 14038, 14039,
   14040, 14041, 14042, 14043, 14044, 14045, 14046, 14047, 14048, 14049,
   14050, 14051, 14052, 14053, 14054, 14055, 14056, 14057, 14058, 14059,
   14073, 14074, 14075, 14076, 14077, 14078, 14079, 14080, 14081, 14082,
   14083, 14084, 14085, 14086, 14087, 14088, 14089, 14090, 14091, 14092,
   14093, 14094, 14095, 14105, 14106, 14107, 14108, 14109, 14110, 14111,
   14112, 14113, 14114, 14115, 14116, 14117, 14118, 14119, 14120, 14121,
   14122, 14123, 14124, 14125, 14126, 14127, 14128, 14129, 14130, 14131,
   14132, 14133, 14134, 14135, 14136, 14137, 14138, 14139, 14140, 14141,
   14142, 14143, 14144, 14145, 14146, 14147, 14148, 14149, 14150, 14151,
   14152, 14153, 14154, 14155, 14156, 14157, 14158, 14159, 14160, 14161,
   14162, 14163, 14164, 14165, 14166, 14167, 14168, 14169, 14170, 14171,
   14172, 14173, 14174, 14175, 14176, 14177, 14178, 14179, 14180, 14181
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS", "NOT_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD", "BEFORE",
  "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH",
  "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE",
  "COLLATION", "COLUMN", "COMMENT", "COMMENTS", "COMMIT", "COMMITTED",
  "CONCURRENTLY", "CONFIGURATION", "CONFLICT", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST",
  "CREATE", "CROSS", "CSV", "CUBE", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DEPENDS", "DESC", "DICTIONARY", "DISABLE_P",
  "DISCARD", "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P",
  "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P",
  "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING",
  "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL",
  "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER", "FIRST_P", "FLOAT_P",
  "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORWARD", "FREEZE", "FROM",
  "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL", "GRANT", "GRANTED",
  "GREATEST", "GROUP_P", "GROUPING", "HANDLER", "HAVING", "HEADER_P",
  "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDING", "INCREMENT",
  "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P",
  "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD",
  "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS",
  "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P",
  "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING",
  "MATCH", "MATERIALIZED", "MAXVALUE", "METHOD", "MINUTE_P", "MINVALUE",
  "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL",
  "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL",
  "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF",
  "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS",
  "OR", "ORDER", "ORDINALITY", "OUT_P", "OUTER_P", "OVER", "OVERLAPS",
  "OVERLAY", "OWNED", "OWNER", "PARALLEL", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POLICY",
  "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED",
  "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM",
  "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE",
  "REF", "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE",
  "RENAME", "REPEATABLE", "REPLACE", "REPLICA", "RESET", "RESTART",
  "RESTRICT", "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE",
  "ROLLBACK", "ROLLUP", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA",
  "SCROLL", "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE",
  "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET",
  "SETS", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SKIP",
  "SMALLINT", "SNAPSHOT", "SOME", "SQL_P", "STABLE", "STANDALONE_P",
  "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE",
  "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "TABLE", "TABLES", "TABLESAMPLE", "TABLESPACE", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM", "TRUE_P",
  "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED",
  "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATE",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK", "WRAPPER",
  "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "YEAR_P", "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'",
  "'='", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "';'", "','", "':'", "$accept",
  "stmtblock", "stmtmulti", "stmt", "CreateRoleStmt", "opt_with",
  "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "ImportForeignSchemaStmt",
  "import_qualification_type", "import_qualification",
  "CreateUserMappingStmt", "auth_ident", "DropUserMappingStmt",
  "AlterUserMappingStmt", "CreatePolicyStmt", "AlterPolicyStmt",
  "DropPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultForCmd",
  "row_security_cmd", "CreateAmStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem", "DropTrigStmt",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "type_name_list",
  "TruncateStmt", "opt_restart_seqs", "CommentStmt", "comment_type",
  "comment_text", "SecLabelStmt", "opt_provider", "security_label_type",
  "security_label", "FetchStmt", "fetch_args", "from_in", "opt_from_in",
  "GrantStmt", "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "CreateTransformStmt", "transform_element_list",
  "DropTransformStmt", "ReindexStmt", "reindex_target_type",
  "reindex_target_multitable", "reindex_option_list",
  "reindex_option_elem", "AlterTblSpcStmt", "RenameStmt", "opt_column",
  "opt_set_data", "AlterObjectDependsStmt", "AlterObjectSchemaStmt",
  "AlterOperatorStmt", "operator_def_list", "operator_def_elem",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_keyword", "opt_verbose", "opt_full", "opt_freeze",
  "opt_name_list", "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_target",
  "insert_rest", "insert_column_list", "insert_column_item",
  "opt_on_conflict", "opt_conf_expr", "returning_clause", "DeleteStmt",
  "using_clause", "LockStmt", "opt_lock", "lock_type", "opt_nowait",
  "opt_nowait_or_skip", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "all_or_distinct", "distinct_clause",
  "opt_all_clause", "opt_sort_clause", "sort_clause", "sortby_list",
  "sortby", "select_limit", "opt_select_limit", "limit_clause",
  "offset_clause", "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "Typename", "opt_array_bounds", "SimpleTypename", "ConstTypename",
  "GenericType", "opt_type_modifiers", "Numeric", "opt_float", "Bit",
  "ConstBit", "BitWithLength", "BitWithoutLength", "Character",
  "ConstCharacter", "CharacterWithLength", "CharacterWithoutLength",
  "character", "opt_varying", "opt_charset", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "explicit_row", "implicit_row", "sub_type",
  "all_Op", "MathOp", "qual_Op", "qual_all_Op", "subquery_Op", "expr_list",
  "func_arg_list", "func_arg_expr", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "opt_slice_bound", "indirection", "opt_indirection", "opt_asymmetric",
  "ctext_expr", "ctext_expr_list", "ctext_row", "opt_target_list",
  "target_list", "target_el", "qualified_name_list", "qualified_name",
  "name_list", "name", "database_name", "access_method", "attr_name",
  "index_name", "file_name", "func_name", "AexprConst", "Iconst", "Sconst",
  "SignedIconst", "RoleId", "RoleSpec", "role_list", "ColId",
  "type_function_name", "NonReservedWord", "ColLabel",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
      60,    62,    61,   695,    43,    45,    42,    47,    37,    94,
     696,    91,    93,    40,    41,    46,    59,    44,    58
};
# endif

#define YYPACT_NINF -4486

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4486)))

#define YYTABLE_NINF -2416

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2416)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
    6356,   958, 13752, -4486, -4486,   958, -4486, 63252,    15,   666,
    1025,   174, 13754, 63686, 70196,   588,   326, 10727,   958, 70196,
    1772, 48496, 60214,   659, 70196,   427,    71, 48496, 70196, 70630,
     781,   839,   739, 71064, 64120, 58912,  1039, 70196,   977,  1151,
   71498, 64554,  1125, 64988,    71, 45034,   122,   885, 71932, 70196,
    2022,  1520,  1133, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,    15,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
    1368, -4486,   718,  1704,  1194,   788,  1140, -4486, -4486, -4486,
   56742, 70196, 70196, 70196,  1363, 70196,  1319, 70196,   244, 56742,
   52402, 65422,  1458,  1317, 41556, 72366, -4486, 51100, 70196, 70196,
   72800, 70196,  1367, 61516, 70196,  1447, 70196, 70196, 52836, 73234,
    1593,  1432, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, 70196,
    5581,   427, -4486, -4486,  2022, 70196,  1579, 56742, 70196,  1376,
   70196,  1470, 70196, -4486, 70196,  1490, 73668,   417,  1695, 52402,
    1763, 41991,  1588, 70196, 52402, 74102, 70196, 70196, -4486, -4486,
    1589, 70196, 70196, -4486,  1677, 53270,  1642,  1729,  1858,  1781,
    1203, -4486, 65856, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, 55874,   326, -4486, -4486,  1739, 57176, 70196,  1808, -4486,
   -4486, 74536, 89678,  1620, -4486,   435, 57610, 53704,  1932,  1609,
   42426,  1976, 74970, 54138, 75404, -4486, -4486, 75838, -4486, 76272,
    1702,  1808, 76706, 90100, 54572, -4486,  1862, 77140, -4486,  1623,
    1477,  1869, 37617, -4486, -4486, -4486,    15, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486,   193,   257,   242,   200,   330,
   -4486, -4486,   208,   210,   211,   193,  2075,  2075, -4486, 70196,
   -4486, -4486,   257,   552,  1659,  1659,  1659,  1860,   593, -4486,
    1659,  1794, -4486, -4486, -4486, -4486, 64988, -4486,  1679,   427,
    1682,  2104,  1730, -4486, -4486, -4486, -4486, -4486,  1746, 70196,
   70196, 70196, -4486, -4486,  2118,  1740,  1968,  1732, -4486, -4486,
   -4486,  1945,  1958,  1928,    85,   427,  1844, -4486,  2078, -4486,
    1992, 27369, 27369,   427, 66290, 77574,   236, 55874,   427, 66724,
    1792,  1103,  1997, -4486, -4486, -4486,    99, -4486,  2231,  1850,
    2086,  1732,  1432, 38927, -4486,  1845,  1336, 64988, -4486, -4486,
   -4486,   246,  2138, 27820, -4486, 70196,  1848, -4486,  1865,  1848,
    1847,  1887,  1194, -4486,  6356, 70196,  1165,  1165,  2271,  1165,
    1537,  1568, -4486,  2295, -4486,  2189,  2149, 64988,   885,   212,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486,  1904,  1336, -4486,   249, -4486,  1612,  1923,
    1624,   235, -4486, -4486,   957, 70196,  2025,   194,   653,  1948,
   67158,  7662,  1936, -4486, -4486, -4486,  2085,   353, -4486, -4486,
   -4486, -4486,  2225,  2242,  5482,   345, 67592, -4486, -4486, -4486,
   -4486, 70196, 70196, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486,  1964, -4486, -4486,  1956,  2276,  2168,  2260,  2137,
     812,  2191,  1233,  2318,  8495,   923, 68026, 70196,  2286,  2338,
    6951,  1388,   224,  2226,  1035,  2350,  2183,  1499,  2357,  7679,
   70196, -4486,  2292,  2401,    79, -4486,   183, -4486,  2121,  2270,
     570,  2297, 56742,  2091, -4486, -4486, 70196, -4486, -4486, 90522,
    2164, -4486,   449, 56742, -4486,  2303,  2139, 42861, 70196, -4486,
   70196, -4486, -4486, -4486, -4486, -4486,  2236,  2419, 70196, 90522,
   -4486,  2366, 70196, -4486,  2126, -4486, -4486, -4486, -4486,  1659,
   70196,  2136,  2529, 90522,    86, 70196,  1451,  2564, 70196,  2368,
    1451,  2199, 78008, -4486, -4486,  1451, -4486, -4486, -4486, 70196,
   70196,  2169,  1466,  2372,  1451,  2405,  2620,  2636,  2308,  2409,
     702,  1146,   178,  2545,  1451,  2301, 78442, 78876, 70196,  2305,
   70196,  2629, 56742, 70196,  2567, -4486,  2425, -4486, -4486,   894,
   -4486, -4486, -4486, -4486, -4486,  2580,  1904,   491,  2586,  2277,
    2589, -4486, -4486, -4486,  2324, -4486,  2324,  2324,  2281,  2281,
    2450,  2284,  2600, -4486, -4486, -4486,  1929,  2324,  2281, -4486,
   91366, -4486,  1519,  1574, -4486,   184, -4486,  2711, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486,   158, -4486,   149,  1713,
   -4486, -4486,  2321, -4486,  2605,  1936,  2606, -4486,  2293, 79310,
   -4486, 79744, 80178,  2610,  1964, 52402,  2617,  2502,  2622,  2293,
    2624,  2507,  2627,   491,  2628, -4486,   855,  2619,  2632,  2516,
    2635,   184,  2638,  1709,  2293, 56308,  2639,   232, -4486, 29624,
   -4486,  2420, -4486,   885, -4486,  1382, -4486, 47628, -4486,  1869,
     257, -4486, 70196,   257, 70196,   257, 70196,   257, 70196,   257,
   70196, 70196, 70196,   257, -4486, -4486, -4486, 70196,  2333, 70196,
   70196, -4486, -4486, -4486, 60648, 52402, 61082, -4486, 70196, -4486,
     119,   427, -4486, -4486, 90522,  2753, 52402,  2629, -4486,  1631,
   -4486, -4486, -4486, -4486, -4486, -4486,  2577, 70196,  2641,  2642,
   60648, 52402, -4486, 80612, 55874,  2537,  2347, -4486, -4486, -4486,
   -4486, -4486,  1873,  2797,   227,  2798, 29624,  2351,   243,   243,
    2352,  2652, -4486, -4486, -4486,   270,  2354,  2355, -4486,   275,
     275,  2356,  2358, -4486,   283,  2361,  2365,  2820,  2821,   286,
    2374,  2376,  2378,  1929,   243, 29624, -4486,  2379,   275,  2385,
    2389,  2392,  2823,  2398, -4486,  2847,  2400,   288,   306,  2402,
    2403, -4486,  2356, -4486,   228,  2404,  2406,  2407,  2408,  2411,
    2412,  2417,  2418, 29624, 29624, 29624, -4486, 26016,  1336,   427,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,   287,  4907,
   -4486,  2435, -4486, -4486,  2587, -4486, -4486, 29624, -4486, -4486,
     379, -4486,   298, -4486, -4486, -4486,  1336,  2662,  2415, -4486,
   -4486,  1428,  2416, -4486,  1903, -4486, -4486, -4486, -4486, -4486,
   -4486, 55006,  2840, -4486,   774,   427,   183,  1348,  2784, 46760,
   47194, -4486, -4486,  2661, -4486, 70196, -4486, -4486, 29624, 44600,
   -4486,  1336,   140, -4486, -4486, -4486, -4486,  1688, -4486, -4486,
   -4486,    15, -4486, 13510, -4486,  1710,  1848, 70196, 70196,  2843,
   -4486, -4486, -4486,  1865, -4486, -4486,  1194,  1194, 29624,  1194,
    1094,  1096, 28271, 29624,  2725,  2623,  1136,  1267,  2726, -4486,
    2631,  1537,  1568, 64988, 70196, 81046,  2549, -4486, 45468,  1641,
    1336,  2508,  2513,  2565, 49364,  2436,  2517,  2518,  2568, -4486,
    2679, -4486, -4486,  2523,  2524, 81480, -4486, -4486,   962, -4486,
   -4486, -4486,   962, -4486,  2469,  1073,  1086,   252,  2536,   189,
     203,  2832, -4486,   860,  2588, -4486, -4486, -4486,  4859, 70196,
    2774,  7980,  2658,   345,  2659,  2590, -4486, -4486,  2707,  2546,
   70196,  2548,  2674,   345,   859, 81914, -4486, -4486, -4486, -4486,
   -4486, -4486,  3591, 24721, -4486,  2553,  2532,  2569, 70196, 58044,
    1530,  2672,  2673,  1198,  1532,   206,  2621, 70196,  1358,  2690,
   70196,  2495,  2571,  2573,  2776,  2498,  1566,  2873,  2500, -4486,
   -4486, -4486,  1796,  2681, -4486,  2777,  2817,  6172,  2561,  2563,
   88834,  1322, 43296, 70196, 70196,  2861,  1501,  2591, -4486, -4486,
   -4486,  1501, 70196,  2592,  2594, 70196,   345, -4486,  2913,   345,
     345,  1678,  2921,  2598,   404,  1450,  1451,  2500,  1346, -4486,
    2599,  2601,   366, -4486,  2714, -4486, -4486,  1130,  2612, 64988,
     254,  1455,  2500,  2607,  2608,  2498,  2498, 70196, 70196, 70196,
   70196, 70196,   188,  2941,  2948,  2614,   195,  2664,  2538, -4486,
   51534,  2618, 77574, -4486, -4486, 70196,  2626,  1569,  2500,  1262,
     111, -4486, -4486, -4486,  1432, -4486, 70196, -4486, 70196, -4486,
    1904, 90522,  2736,  2795, -4486,  2576, -4486,  1936,   345, -4486,
   70196, 70196,  1964,  2739,   182,   880, 90522,  2740,  2801, 70196,
    2802,  2630,  2595,  2633, 45897, -4486,  2169,  2552,  2972, 70196,
   49364, -4486,  2984,   962, -4486, 90522,  2750,  2870, -4486, 70196,
    2768,  2562, -4486,  2907,  2625, -4486, -4486,    40, 70196, -4486,
    2875, 52402,  1201,   427,  2611, 52402,  2794, 70196, 70196, 70196,
   70196, -4486, -4486,  2764,   768,   186, -4486, 51534, -4486, 70196,
    2780,  1346,  2785,  2987,    73,  1659, 82348,  2869, -4486, 82782,
    2579,  2995, 90522,  2825, -4486,  1910, -4486,  2708, -4486, 56742,
     491, -4486, -4486, -4486, -4486, 90522, 70196, -4486,  2582, -4486,
   -4486, 29624, -4486, -4486, -4486,  2075, -4486, 90522,  2324,  2324,
   -4486, -4486,  3003,  2666,  2667,  2075, -4486,  2075, -4486, 90522,
   -4486,  2593,  2596,  2699,  2075, -4486,  2670,  2675,  2676, -4486,
    2597,  2682,  2075, -4486, -4486,  2132, -4486, 83216, 56742,   491,
   52402, 52402,  2900,   232,  2901,  2649,  2915,  2650, 43296,   491,
     258, 70196, 70196, 52402, 70196, 70196, 70196, -4486, 70196, -4486,
   -4486, -4486, -4486, 90522, 70196, 70196, 90522, -4486, 52402, 51534,
    2917,  2918,   491, 70196, 70196, -4486, 13510,  1726, 83650,  1869,
   55440, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, 70196,
   -4486, 70196, -4486, 70196, -4486, 70196, -4486, 70196, -4486, -4486,
   -4486, 70196, -4486, 70196,  1728, -4486, -4486,  1735,   677, 70196,
   70196,   809, 56742, 70196,  2809, 70196, 70196, 70196, 70196, 70196,
    2689,  2416,  1266, -4486,  1124,   836, 64988,  2818, -4486, -4486,
    1741,  2022,   903, 70196,   906,  1746, -4486, -4486, 61082, 60214,
    2908,   113, 70196, -4486, -4486,  4972, 29624,  1336, 26918, -4486,
   -4486, 13510,  2655, 29624, 29624,  2634,  2075,  2075, -4486,   993,
   29624, 29624, 29624,  2075,  2075,  2375, 29624, 43296, 29624, 32781,
   22943, 29624, 29624, 26467, -4486, 29624,  2833, 34128, 29624,  1348,
    2834, 29624,  1348,  2375,  3062,  3062,  2317,  5251,  2637,  1336,
   -4486,  2075,   963, -4486,   308, 90522, 29624, 29624, 29624, 29624,
   49364,  2700,   226, 70196, 29624,  2640,  1527, -4486, 29624, -4486,
    2644, 29624,  2701,   871, 29624, 29624, 29624, 29624, 29624, 29624,
   29624, 29624, 29624, -4486, 35000,   346,  2909,  2928,    57,   442,
   68460, 27369,  2922, 22039, -4486,   280,  2922, -4486, -4486, -4486,
   70196,  2840, -4486, -4486,  2704, -4486, -4486, -4486, -4486, -4486,
     302, -4486, -4486, -4486, -4486, -4486, -4486, -4486,  2646, -4486,
   -4486, -4486, -4486,  2646, -4486,  2645, 10063,  2657, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486,  2914,  2916,   491, 70196,   246, 61950,
   -4486, 27820, -4486,  1743, -4486,  2651, -4486,  2891, -4486,  2660,
   -4486, 10180,  2891, -4486, -4486,   328,  2749,  2889,  2837, -4486,
   -4486, -4486,  2668, 13510, -4486,   987, 13510,  1717, -4486, -4486,
   -4486, -4486, -4486, -4486,   973, -4486, 70196,  1056,  2725,  1267,
    2717,   795,  3073, 70196, -4486, 39363,  2850, -4486,  3067, -4486,
   91366, -4486,  2669, -4486, 90944, 87556, -4486, -4486,   605, -4486,
     823,  2745,  2746,  2799, 52402, 70196, 70196, -4486, 49364, 52402,
   70196, 70196, -4486, 52402, 70196, 70196, -4486, -4486, -4486, -4486,
   -4486, 48062,  1162, 60214,  2800, 59346, -4486, -4486,  2671, 70196,
    2730,  2924,  2925,    -5, -4486, -4486, 84084, -4486,  2881, 52402,
   70196, 70196, 29624,  2882, 70196, 70196, -4486,   240,  2758,  2759,
   -4486, 70196,  2760, 56742,  2684, 70196, 70196, 90522,  2757,   700,
   56742,  2728, 43731, 70196, 70196, 70196, 70196,  2812,  2991, 90522,
   70196,  2939,  1209, 64988,   162,  1628,  2500,  2897, -4486,  3007,
    1085, -4486, 52402, -4486, 70196,  2892, -4486, -4486, -4486, 68894,
    3117,  2814, -4486, -4486, 84518, -4486, -4486, -4486,  1748, -4486,
   52402, 52402, 70196,  8100, 84952,   676,  2919, -4486, -4486, 90522,
   -4486, 70196, 70196, 70196,  3016,  2951, 70196, 62384, 85386, 85820,
      75,   943,  2954, 70196, 62818,  2955, -4486,  2849, 70196, -4486,
   -4486, 49798, 52402, 70196,   936, 49364, -4486, -4486, 70196, -4486,
    2926,   917, -4486, 70196,  6874, -4486,  2807,  2810, 70196,  2927,
     214,  1647,  2500, 70196, 70196,  2720,  1750,  2816,    37, -4486,
    2933,  1101, 70196, -4486, 52402,   960, -4486,  2877, 52402, 70196,
   11673, -4486, -4486,   345, -4486, -4486, -4486, -4486, -4486, 70196,
   70196,   345, 70196,   345,  1180, -4486, 52402, 70196, -4486, -4486,
   -4486, 70196,  8295, 70196, 70196, 70196, 70196, 52402, 70196, -4486,
   -4486,  1046,   995,  1171,  1366,   724, 70196,  3019, 70196, 86254,
   52402, 70196, 70196, 70196,  1468, -4486,  2859, -4486, 52402,   960,
    8972, 70196, 70196,  2824,  2827,   219,  2898, -4486, -4486, -4486,
   -4486, -4486, -4486,  2999,  3162, 86688,   856, -4486,  3004,  3015,
    2806,  2819,  3017, 70196,   856, 70196, -4486, -4486, -4486, -4486,
    3012, 70196,   856,  3020,   856,  2929,  2964,   139,  3041,  2787,
    1759, -4486, -4486, 29624, 90522, -4486,  1760, -4486,  2788,   768,
   -4486, -4486, 49364, 70196,   168,   838,  3084, 58478,  1913,  3077,
   70196,  2822, 70196,  3078,  1913, 70196, -4486,  2028, 60214, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,  3071, -4486,
     427,  2169,  2169,  2169,  2169, -4486, -4486, -4486, -4486,  2978,
    1689, -4486,  2783,  2169, 70196,  2903,  1913,  2790,  3095, -4486,
    1346,  3099,  1249, 70196, 58478,  1938,  2826,  3000,  3210,  1659,
     427,  3001,  2988, -4486, 25143,  5826,  2989,  3042, 55874,  3079,
    3082,  3098, -4486,  1904, -4486,  3220, -4486, 29624,  1761,  2803,
     184, -4486, -4486,  2805,  2596,  2830,  2831,  2804,  2808, -4486,
    2075,   209, 70196,  2828,  1179,   157,  2930,  2075,  3023,  2829,
   -4486,  3119,   491,  1936, -4486,  2293, -4486, 70196, -4486, 70196,
   70196, 70196, 70196,  1964, -4486, -4486,  3014,   491,  2293,  3018,
     491,   491, -4486,  3055,  3021,   491,   184,  2293,  2943,  3121,
   55874, -4486,   232, -4486, -4486, 29624,  3038,  1659, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486,  1782, -4486, 70196, -4486,
    3105,  3106,  3107,  2842,  2851,  2867, 70196,  2852, -4486,  2842,
     345,  2842,  2416,  2416,  2842,  2851, 51968,  3267,  3126, -4486,
    2934,  2844,  3141,   161, -4486,   693,   703,  3076, -4486, -4486,
   -4486, -4486, 90522, -4486, 52402,  2894, 70196, 70196, -4486,   105,
    3054,  2860, 51968,  3263,   491, -4486, 56742, -4486, -4486, 90522,
    2935,  2953, 56742,  3065,  2910, -4486, -4486, -4486, -4486, -4486,
   90522, -4486,  3114, 70196,  1787, -4486, -4486,  1595, -4486,  1621,
   29624,   150, -4486, 11752,  1788, 29624,  2874,  2878, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486,  2879,  3164, -4486,  1789,  1793,
    1800,  2883,  2884,  3158,  2887, 12227,  2888,  2876, 32781, 32781,
   26016,  2461, -4486, 32781,  2890,  3056,  1805, 10217,  2893,  2895,
   12479, 28722, 29624, 28722, 28722, 12529,  2893,  2899,  1810, 49364,
    3068, 13137,  1818, -4486, 29624, 49364,  3894, 29624, -4486, 29624,
    2902, -4486, -4486,  1989,  1989,  1989,  2375, -4486,  2923, -4486,
   32781, 32781, -4486,  2709, 26016, -4486, -4486,  3192, -4486, -4486,
    1392, -4486,  2904, -4486, -4486,  2858, 43296,  4104, 29624,   234,
   29624,  2640, 29624,  2976,  1989,  1989,  1989,   446,   446,   313,
     313,   313,   377,   442, -4486, -4486, -4486,  2905,  2911,  2912,
    3085,  2920, 29624, -4486,  2269,  2278, 70196,  2336,  3176,  3363,
   -4486, -4486, -4486, 35873,  2947, 29624, 29624, 29624,  2931, -4486,
    2084, 13510,   725, -4486,   305,  2947, -4486,  1432,  2075,   963,
   47628, -4486, -4486, 29624, -4486, -4486, -4486,  1865, -4486, -4486,
   -4486, -4486, -4486, 70196,  2022, 29624, -4486, -4486,  1107,  2938,
   29624,   987, -4486, -4486,  2957, -4486, 29624, -4486, -4486, -4486,
    2416, -4486,  3140, -4486, -4486, -4486, 35873,  2952,  2963, 38490,
    3109, -4486, 70196, -4486, 70196,   115, -4486, -4486, -4486,  2936,
   -4486, -4486, 87556,  1713, -4486, 90944, -4486, 90944, -4486,  1713,
    3319, -4486, 87556,  1493, 52402, 70196, 70196, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   52402, 52402,  3112, 70196,  3116,  3120, 29624,   176, 70196,  2940,
    2942,  1257,  3193, 70196, -4486,  3239,   491, -4486, -4486,  3006,
   -4486, 13510, -4486, -4486, -4486, -4486, -4486, 52402, 70196, -4486,
   55874, -4486,  1904, 90522, -4486, -4486, -4486, 70196,  2961, 70196,
   -4486, 70196, 70196, 70196,  1964, -4486, -4486, -4486, -4486,   905,
   90522, -4486, -4486, 70196, 70196,   147,  3010,  3011, 70196, -4486,
    1160,  2714,  9103, 70196, 70196, 70196,  3196, 70196, -4486, -4486,
   -4486, -4486,  3138, -4486, -4486, 87556, -4486,  2293,  1009,  3024,
    2500,  3145, -4486,  3250,  3132, -4486,  1552, -4486, 70196,  3066,
   -4486, -4486, -4486, -4486,  3257,   491,  3259,   491, 70196, 70196,
   70196, 70196,  3072, -4486, -4486, -4486, -4486,  3074,  3186, -4486,
   49364, 49364, 49364,  1823, -4486, -4486,   427, -4486, -4486, -4486,
   -4486, -4486, -4486,  3222, -4486,  1828, -4486,   -22, -4486, -4486,
   -4486, -4486, -4486, -4486, 52402, 70196,  9652,  3260, 70196, 70196,
   70196,  1673, -4486,  1199, 90522, -4486, 89256, 52402, 70196, 49364,
   70196,  3032, 52402,  3013, -4486, -4486, -4486,  3191,  3131, -4486,
     898,  3133, 52402,  3022, -4486,  3039, -4486, -4486,  3040,  1835,
    2500,  1346, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
    1054,   412,  1942,  2500,  3043, -4486,  3045, -4486, -4486, -4486,
    3189,  3194,  3197,  3048,  3050,  3087,  3051,  3052,  3102, -4486,
    3057,  3104,  3059,  3110,  3178,  3063,   491, 90522,  3195,   427,
    3101,  3302,   491, -4486,  3069, -4486, -4486,  3405, -4486, 70196,
   -4486,  3081,  1957,  2500, -4486, -4486, 52402, 70196, -4486, -4486,
   -4486,   856, 90522, 70196,  3245, -4486, -4486, -4486,   856,   856,
   70196, 70196,   856,  3247, -4486,  3248, 70196,  3251, -4486,   856,
   -4486, -4486,   225, -4486, -4486, -4486,  2929,  3285, 41121, -4486,
    3452,  5600,  3002, -4486, 49364, 41121,  1814,  3080,   373,  1451,
   -4486, 55874, 70196, 55874, -4486,   838,  3132, 70196, 70196,  3005,
    3008, -4486, -4486, -4486, -4486, 52402,   207, 52402,  2075, -4486,
   -4486,  3088, -4486, 70196,  1659,   297,  3090,  3418,  2636,  1201,
    3156,  1736,  3366,  2826, -4486, -4486, -4486, -4486, 70196, 70196,
     768,   427, -4486,  3026,  3025, -4486, 70196, 70196, 70196, 70196,
   70196,  2894,  3030,  3033, 90522,   553,  3211,  3215,  2498,  3436,
    3335,  2022,  2826,  3115,  3346, 70196, -4486,  1838,   151, -4486,
     427, 55874, 87978,  3336, -4486,  4452, -4486, -4486,   237, 70196,
    3326, -4486, -4486,  2022,   491, 90522,  1852, -4486, -4486, -4486,
    2075, -4486, -4486,  1389,  1389,  3046, -4486,  3047, -4486,  3435,
   -4486, -4486, -4486, -4486, -4486, -4486,  3049, -4486, -4486, 70196,
   -4486,   491,   232,  3108,   491,  3111,   491,   491, 70196, -4486,
   70196, -4486, -4486, 70196, 70196, -4486, -4486, 70196, 51534,   491,
   -4486, 13510,  3359, -4486, -4486,  3177,  3179,  3182, 70196,  2842,
   56742, -4486,  3086, 52402,  1333, -4486, -4486,  3242, -4486, -4486,
   64988,  3175, -4486, -4486, -4486, -4486,  3373,  3374, -4486, -4486,
   -4486,   276, -4486, -4486, -4486, 52402, 60648,   303, 52402, -4486,
    1904,  3314, -4486, -4486,  1936,   345, -4486,  3317, 70196,  3318,
   -4486, -4486, -4486,  3075, 13046, 29624, -4486,  3391, 90522, -4486,
    6011, -4486, -4486, -4486, 29624, -4486, -4486, -4486, -4486, -4486,
   29624, -4486, 29624,  3369, -4486, 23395,  3518,  3518,  3091, 90522,
   32781, 32781, 32781, 32781,  1485,  2385, 32781, 32781, 32781, 32781,
   32781, 32781, 32781, 32781, 32781, 33683,   452, -4486,  3264, 29624,
   29624,  3382,  3369, -4486, 90522,  3083,  2893,  3093,  3096, 29624,
   -4486, -4486,  1859, 34564,  3097, 49364, -4486, 29624, 11071,  1863,
    3128, 13194,  1336,  6551,   427, 29624,  1021,  2494, 29624,  1893,
   29624,  3380, -4486, -4486, -4486,  3092, -4486, -4486, 90522, 29624,
    3103,  3538, 32781, 32781,  4391, -4486,  4444, 29624, 26016, -4486,
    3278,  3143, 39799, -4486, 23847,  3113,    71,    71,    71,    71,
   -4486, 70196, 70196, 70196, 36309,  3396, 35436, 69328,  3118,  1699,
   -4486, 69328, 69762, -4486,  3123, -4486,  3124,  1336, 29624,  3389,
     731,   731,  3278, -4486, 29624, 29624, 29173,  3122, -4486,  3389,
     183,  3125, -4486, -4486, 13510,  3130, -4486, -4486,  3129, -4486,
    3127, -4486,  2938,   261, -4486,  6893,  3298, -4486, -4486, -4486,
    3118, 30075,  3244, -4486,  1909, -4486, -4486,  3484,  3244, -4486,
   -4486,  1911, 39363,  2952, 27820,  1336,  1915,  1596, -4486, -4486,
   87556, -4486,  3180, -4486, -4486, -4486,  2293,  2293,   135,  2842,
    3410,   135,  7168, -4486, -4486, 36745, 70196, 70196, -4486, 70196,
    1925,  1578, 70196, -4486, 70196, -4486, -4486, -4486, -4486,  3533,
   -4486, 70196, -4486, -4486,  3170,  3172, -4486, 70196, 70196, 70196,
   70196,  3364, -4486, -4486,  1923, -4486, -4486, 52402, 70196, -4486,
   -4486, -4486,   324,  2280,  2500, -4486,  3198, -4486, -4486, -4486,
    3381, -4486,  3534,  3217, 70196,  3445, 70196,  3135, -4486,  1578,
     248,  2498,   722, -4486, -4486,  3203, -4486, -4486, 70196, -4486,
   70196, -4486, -4486, -4486, -4486, -4486, -4486, -4486,  3261, -4486,
   -4486, -4486, -4486, 49798, -4486, -4486, 70196, -4486, 49364, 41121,
   49364, -4486,  1142,   371,  2345,  2500, 70196, -4486,  3214, -4486,
    3221,  3225,  3269,   175,   215,  3233,  3235,  3286,  3160,  3163,
    3165, -4486, -4486,  1931, -4486,  3174,  3303, 70196,  2293,  3167,
    3200,   193,   427, -4486, -4486,   427,  2293,   427, 70196, 70196,
   70196,  3570,  3258, 70196, 70196, 70196, 70196, 70196, 70196,  3480,
     196,  1824, 52402, 70196, 70196, 52402, 70196, 70196, 70196, 70196,
   70196, 70196,  3491, 70196, -4486,  3566,  3495,  1680,  3536,  3256,
   70196, -4486, 70196,  2714, 70196, 70196, -4486, -4486, -4486,  3190,
    3441,   856, -4486, -4486,  3446,  3447, -4486,   856,   856,  3448,
     856, -4486, -4486, -4486,  1451, -4486,   225, 70196,  3127,  2075,
    1796, -4486, -4486, -4486, -4486, -4486, -4486,  2787, -4486, -4486,
    2259, -4486, -4486, 70196,  3199, 70196, 70196, 32781, -4486,  1491,
    1044, -4486,  3449, 70196,  3236, -4486, -4486, -4486,  3357, 70196,
   -4486, -4486, -4486, -4486, -4486,  3204, -4486,  3466, 58478,  2293,
   52402, 52402,  2293, -4486, 90522,  3205,  2826, -4486, -4486, -4486,
   -4486, -4486, -4486, 52402,  3013, 52402,  1201,  1394, 87122,  3238,
   -4486,  3206,  3507, -4486,  3208,  3207, -4486, -4486, 70196,  3132,
    1939,  1346,  3630,   555,  1623, -4486, 59780,  1938,  3466, -4486,
   -4486, -4486,  3592,  3300, -4486,  2022, 70196,  2894,  3300,   427,
   70196,  2730, -4486, 87556, 29624, 29624, -4486,  3209, -4486,  3216,
    7378, -4486,  3288,  3218,  2169, -4486, -4486, -4486, -4486, -4486,
   -4486,  3295,  3219, 70196, -4486, -4486,  3223, -4486,  3229, -4486,
   -4486, -4486, -4486, -4486, -4486,   491, -4486, -4486, 70196, -4486,
   70196, -4486, -4486,   491,   491,   491,   491, -4486,  3347, -4486,
   70196, 70196, 70196, 70196,  2842, -4486,   345, -4486,  3520, 51968,
   -4486, -4486,  1944, 70196, -4486, -4486, -4486,  3580,   113,  3527,
   -4486, -4486,  3486,   907,  3487,  3489,   907,  3492,   907, -4486,
   29624, 13510, -4486,  3241, -4486, 13510,  7622, 13510,  3382, -4486,
    1946, 29624, -4486,  4032,  4032,  4032,  1483,  3539, -4486,  1285,
    3240,  4032,  4032,  4032,   461,   461,   220,   220,   220,  3518,
     452, 13510, 13510, -4486, -4486,  3246, -4486, -4486, -4486,  2893,
   -4486, 30526,  3401,  3654, -4486, -4486, -4486,  3301,  3304,  3262,
   -4486, 29624, 30977,  3266, 91366,  3450, -4486,   950, 29624, 29624,
    3959, -4486,  2665, 29624, 90522,  1951,  3959,   360, 29624,  2767,
    3751, 29624, 29624,  4604,  7765,  3270, 29624, 88400, -4486, -4486,
   -4486,  1959, 29624, 70196, 70196, 70196, 70196, -4486, -4486, -4486,
   69328, 69762,  3272, 24284,  1699,  3273, 70196, -4486, -4486,  3276,
   35873,  3521,  3464, -4486, 35873,  3464,  1157,  3464,  3529,  3371,
   40235, -4486, -4486,  3287,  3472, -4486, 22039,  1660, 13510,  3690,
    3573, 29624,  3291,  3292,  3293, 13510, 13510, 29624, -4486,   427,
    3573,   427, -4486, -4486, 43296, -4486, -4486, -4486, -4486, -4486,
    3493, 13510, 27369, -4486,  2022, 70196,  1336,   577, -4486,  3306,
   70196, -4486,  3244, -4486, -4486,  3365,  1965, -4486, -4486, -4486,
   -4486, -4486,  3376, 60214,  3594, -4486, 29624,  1985, -4486,  3332,
    3686,   340,  1996,  1998,  1578, -4486,  3236, -4486,  1603,  3571,
     356, -4486,   491, -4486, 90522, -4486, 70196, 70196, -4486, -4486,
   -4486, -4486, 70196,  2436, -4486, -4486, 70196, 70196, 70196, 70196,
   -4486, 52402, 70196, -4486, 70196, -4486, 49364,  3080,  3509, -4486,
   -4486,  3510,   193, 70196, -4486, 90522,   491,   491, -4486, -4486,
   -4486, -4486, -4486,  3316,  3712,  3402, 70196, 70196, 70196, -4486,
   70196, 52402, 70196, 70196,  2075,  2075, 90522,  3315, -4486,  2075,
    2075,  3320, -4486, 52402, 70196, 70196, -4486, -4486, -4486, -4486,
   49364, 40674,  3395, -4486, 29624,  3709, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, 52402, 70196,  3398, -4486,  3399, -4486,
   -4486, -4486, 70196, 70196, 70196, 70196,  3634, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, 70196, -4486, 70196,
   -4486, -4486,   427,   427, 90522,   491,   491, -4486, -4486, -4486,
    3577,   856, -4486,   856,   856, -4486, -4486,   856, -4486,  3329,
     201, -4486,  1578,  1601,  3623,  3626, 29624, -4486,  1316,  1483,
   -4486, -4486, -4486, -4486,  3236,  1659,  3387, 56742,   333, -4486,
    3607,   168, 58478,  1445,  3338,  3453, -4486,  2293,  2293,  3393,
   70196,  3758,  2293,  3200, -4486,  3549,   595, 70196,  3669,  3384,
   -4486,   427, -4486, -4486,  2826, -4486,  2022, 70196, 58478,  2894,
    2005, -4486, -4486, -4486,  3378,  3215,  1938,   241, 70196, -4486,
    3383,  3764, -4486, -4486,  3643,  3543,  3352, -4486, 13510, 13510,
     427, 91788,  4452, 90522,  3653, -4486, 70196,   646,  3619,   491,
   -4486, -4486,   491,   491, -4486, -4486, -4486, -4486, 70196,  2842,
    2842,  2842, -4486,  3546, -4486, -4486,  3610, -4486,   491, 51968,
     907, -4486, -4486, -4486,   907,   907, -4486,   907, -4486, 13510,
   -4486, -4486, -4486, -4486,  7830, 32781,  3652, -4486,  3362, 90522,
   -4486,  3368,  2030,  2034, 34128,  3513, -4486, -4486, -4486,  8145,
    3408, 13510,  3470,  3372,  3377,  3959,  3959,  2665,  2044, -4486,
    3959, 29624, 29624,  3959,  3959, 29624, -4486, -4486,  8217,  3547,
   -4486, -4486,  8702, -4486, -4486, -4486, -4486, -4486, -4486, 50232,
   69328,  3385, 70196,  1699, 35873, -4486, -4486,  1637, -4486, 35873,
    3625, -4486, 35873, 56742, -4486, 70196,  3386, 70196, -4486,   725,
   31428, 29624,  3416, -4486, -4486, -4486,  3278, -4486,  3416, -4486,
    3388, 70196,  2415, -4486, -4486,  3753, 36745,  3717,  3394, -4486,
   -4486, -4486, -4486, 51968,  3575, 51968,  1578,  8759,  3236, 36745,
   44166, 70196, 70196, 70196,  3537,  3236,  3387, -4486, -4486, -4486,
   -4486, -4486, -4486,  3390, -4486, -4486, -4486, -4486,  3473, -4486,
   -4486,   835,  2818, -4486,  2060, -4486, -4486, -4486, -4486, -4486,
    3566, -4486, -4486, 41121, 52402, 70196, -4486,  3474, -4486, -4486,
   -4486, -4486, -4486, 38054, 43296, -4486,   175,  3400,  3403,   215,
   -4486, -4486, -4486, -4486, -4486, -4486, 70196,  9048,  3404,   969,
    2818, 70196, 70196,  1255,  1200,  1577,  2842,  3692, -4486, -4486,
   -4486, -4486,  3566, -4486, -4486,   856, -4486, -4486, -4486, -4486,
   49364, -4486,  2433, -4486,  1451,  3732, 56742,  3817,  3817, 70196,
   -4486,  9066,  3603, -4486,  3387,  3633,  3671, -4486,  3411, 70196,
    3574,  3417,  3419,   945,   945, 70196, 70196, 70196,  2062,  2022,
   -4486,  1201,  3729, 58478,  3132, -4486,    76,  3424,  3738, -4486,
    3845,  2894,  3030,  3429, -4486, -4486, 59780,  3620,  3300,  3215,
    3562, -4486,  3564, -4486,   296, -4486,  2022, 70196, 70196, 36745,
   -4486, 90944, -4486,  2064, -4486, -4486, -4486,  3503,  2947,  3540,
    3541,  3438, 70196,   118, -4486, -4486, -4486, -4486, -4486, 70196,
   -4486,   303, -4486, -4486, -4486, -4486, -4486,  3812, 32781, 90522,
    2068, 29624, -4486, 29624, -4486,  3841, -4486, -4486, -4486,   760,
   -4486, -4486, -4486,  3959,  3959,  3959, -4486,  3842,  3278, -4486,
   -4486,  2070,  3860, -4486, 70196,  2074, -4486, 29624,  3443, -4486,
   -4486, 35873,  1637,  3444,  2082, 70196,  2083, 90522,  3458,  3454,
     814,  3460, 22491,  3442, -4486, -4486, -4486, -4486, -4486, 13510,
   13510, 70196, -4486,  3462, -4486, -4486, -4486, 70196,  2089, -4486,
     634, 25565, -4486, -4486,  1333,   135,   303,  3686,  3387, -4486,
    3461, -4486, -4486, -4486,   884,   884, 70196,  3387, -4486, -4486,
   70196,  3530, -4486, -4486, 49364,  3501, -4486,  1014,  2818, 70196,
   90522,  1936,    96, -4486, 90522, 90522, -4486, -4486, -4486, 29624,
    3550, -4486, -4486, -4486, -4486, -4486, 70196, 70196, 70196, 70196,
   70196,   491, -4486,  2098, -4486, 37181, -4486, -4486,  2564,   427,
    2564,  1548, -4486, -4486,  2564, -4486,  2564, -4486,  3329,   427,
    3817,   922, -4486, -4486, -4486,  1610,  3657, -4486,   863,  3659,
    3552,  3463, -4486, 56742,  3916,  3466, -4486, -4486, -4486, -4486,
   -4486, -4486, -4486, -4486,  2103,  3132,  3775,  2826,  3383, 70196,
   -4486, -4486, -4486, -4486, 29624,  3631,  2022, -4486,  1938,  3466,
   -4486, -4486, -4486,  3300, -4486, -4486,  3863,  3661,  3864,  2894,
   -4486,  2730,  2105, -4486,  7378, 91788, 90522,  3806,  3514,  3515,
   -4486, -4486,  3528, 70196, -4486, -4486,  3132, -4486,  3812,  2109,
   -4486,  2125,  2127,  3635,  3532, -4486, 29624,   967,  3123, 50232,
    3488, -4486,  2143, -4486, 13510, 70196, -4486, -4486, 29624, -4486,
    2144, -4486, -4486, 29624,  3490, 29624, -4486, 31428,  3482, -4486,
    3902, -4486, -4486,  2947, 36745, -4486,  3605, -4486,  3786, -4486,
   70196,  3545, 43296,  2938,  2938,  1659, -4486,  1578, -4486, 70196,
   -4486, 29624, -4486,  3579, -4486, -4486,  2151, -4486,   132,  3647,
    3795,  2152,  2159,  9386, 70196,  2851,  1577,  2851, -4486,  2842,
   -4486, -4486, 49364, -4486, 50666, -4486, -4486, -4486,   427, -4486,
     427,  3700, 70196, 46326,   427,   427, -4486, -4486, -4486, -4486,
   -4486,  3824,  3768, -4486, -4486, -4486, -4486,   399, -4486,  3695,
    3696, 70196, -4486,  3508, -4486,  2161,  3632, -4486, -4486, 70196,
    3931,  3934, -4486,   663,  9531, 56742,  3383,  3215,  1938,  3080,
   -4486,  3708, -4486,  3710, -4486,  3523,  2826,  4452, -4486, -4486,
     311,  3816,  3818, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
   -4486,  2893, 31879, 31879,  3524, -4486, -4486, 70196, -4486,  2166,
    2172, -4486,  2173, 31428,  2174, -4486, 70196,  3535, -4486, -4486,
   39363, 51968,   884,  3542, -4486,  3526, -4486, -4486,  3633,  1578,
    2818, 13510, 70196, 56742,  3929, -4486, -4486, -4486,  3647, -4486,
   -4486, -4486,  2818, 70196, -4486, -4486,  2182, -4486, -4486, -4486,
   70196,  3206, -4486,  3206, -4486, -4486,  3666, -4486,   508,   508,
    3876, -4486,  3595, -4486, -4486,  3544, -4486,  3986, 70196, -4486,
     175,  2022, 58478, -4486,  3548, -4486,  3300,  3215, -4486, -4486,
   36745,  3300, -4486, -4486, -4486,  2478, 56742, 56742, 33232,  3670,
     961, 11719, -4486, -4486, -4486, -4486,  2201, -4486,  3684, -4486,
    2202, -4486, -4486, -4486,   510,   303,  2938, 29624,  1578, -4486,
    3659, -4486,  2818,  1936, 70196, -4486, -4486, -4486, -4486, 50666,
    3206,  3384, -4486,  3975, -4486,   861, -4486, -4486, -4486, -4486,
    3132,  3315,  3383, 48930, -4486,  3300,  2203,  2947, -4486,  2285,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486,  3553,  3554,  3965,
   -4486, -4486, -4486, -4486, -4486, -4486,  3556, -4486, -4486, -4486,
   -4486, -4486,  9682, -4486, -4486, -4486, -4486, -4486,  3859, -4486,
   -4486, -4486, -4486, -4486, -4486,  2207, -4486, -4486, -4486, -4486,
   -4486,  2826, -4486,  2233, -4486, -4486,  2239,  1887,  3627,  3843,
   32330, 29624, -4486,  1578,  3718, -4486, 48930,  3300, -4486,  2285,
    3672,  3673, -4486,  9721, 56742, -4486,  2947, -4486,  3598,  3602,
   -4486,  3572, -4486,  3865,  3866, 48930, 56742, 56742,  2217, -4486,
   -4486, -4486
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1495,  1280,   568,  1365,  1364,  1280,   254,     0,  1367,     0,
    1280,   389,  1015,     0,     0,     0,     0,   568,  1280,     0,
    1495,     0,     0,     0,     0,     0,  1508,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1280,     0,     0,  1515,
       0,     0,     0,     0,  1508,     0,  1369,     0,     0,     0,
       0,     0,     2,     4,    67,    68,    29,    28,    34,    33,
      92,    93,    53,    17,    81,    60,   127,   126,   128,    40,
      36,    75,    25,    27,    37,    41,    62,    43,    54,   105,
      61,    23,    59,    86,    63,    89,    48,    11,    12,    49,
      79,    13,    50,    80,    14,    51,    15,   101,    69,    94,
      32,    58,    22,    85,    42,    65,    91,    66,     5,    44,
      77,    73,    10,    55,    56,    57,    82,    83,    84,   110,
      88,   122,    39,   119,    98,    99,   116,   100,   117,     8,
     102,    52,    16,   113,   112,   114,    76,    45,    78,    64,
      90,   111,    26,   115,    18,    19,    21,    20,   118,    87,
     108,   104,   123,   121,   129,   106,    70,     6,     7,    95,
      24,    47,     9,    31,    30,    46,    38,   125,    35,  1367,
      97,   109,    96,    71,   103,    74,   107,   124,    72,   120,
    1468,  1467,  1517,  1471,  1494,     0,  1483,  1279,  1278,  1264,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   567,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1290,  2076,  2091,  2092,  2093,  2094,  2095,  2096,  2097,
    2098,   360,  2099,  2100,  2101,  2102,  2103,  2104,  2105,  2106,
    2107,  2108,  2362,  2363,  2364,  2365,  2109,  2110,  2111,  2112,
    2113,  2114,  2115,  2366,  2367,  2116,  2117,  2118,  2119,  2120,
    2368,  2121,  2122,  2123,  2124,  2125,  2126,  2127,  2128,  2129,
    2130,  2131,  2132,  2133,  2134,  2135,  2136,  2137,  2138,  2139,
    2140,  2141,  2142,  2369,  2370,  2143,  2144,  2145,  2146,  2147,
    2148,  2149,  2150,  2151,  2152,  2153,  2154,  2155,  2156,  2157,
    2158,  2159,  2160,  2161,  2162,  2163,  2164,  2165,  2166,  2167,
    2168,  2371,  2169,  2170,  2171,  2372,  2172,  2173,  2174,  2373,
    2175,  2176,  2177,  2178,  2179,  2180,  2181,  2374,  2375,  2182,
    2183,  2184,  2185,  2186,  2187,  2188,  2189,  2190,  2191,  2192,
    2193,  2194,  2195,  2196,  2197,  2198,  2376,  2199,  2200,  2201,
    2202,  2377,  2378,  2379,  2203,  2204,  2205,  2206,  2207,  2208,
    2209,  2210,  2380,  2211,  2212,  2213,  2214,  2215,  2216,  2217,
    2218,  2219,  2220,  2221,  2222,  2223,  2224,  2225,  2226,  2227,
    2228,  2229,  2230,  2381,  2382,  2231,  2232,  2383,  2233,  2234,
    2235,  2384,  2236,  2385,  2237,  2238,  2239,  2240,  2241,  2242,
    2243,  2244,  2386,  2245,  2387,  2246,  2247,  2248,  2249,  2250,
    2251,  2252,  2253,  2254,  2255,  2388,  2256,  2389,  2259,  2257,
    2258,  2260,  2261,  2262,  2263,  2264,  2265,  2266,  2267,  2390,
    2268,  2269,  2270,  2271,  2272,  2273,  2274,  2275,  2276,  2277,
    2278,  2279,  2280,  2281,  2282,  2283,  2284,  2285,  2286,  2287,
    2391,  2288,  2289,  2290,  2291,  2292,  2293,  2294,  2295,  2296,
    2297,  2298,  2299,  2300,  2301,  2302,  2392,  2303,  2304,  2305,
    2306,  2393,  2307,  2308,  2309,  2310,  2311,  2312,  2313,  2314,
    2315,  2316,  2317,  2318,  2394,  2319,  2320,  2321,  2322,  2323,
    2324,  2325,  2326,  2395,  2396,  2327,  2328,  2397,  2329,  2398,
    2330,  2331,  2332,  2333,  2334,  2335,  2336,  2337,  2338,  2339,
    2340,  2341,  2342,  2343,  2344,  2345,  2346,  2399,  2400,  2347,
    2348,  2349,  2350,  2351,  2352,  2353,  2354,  2355,  2356,  2357,
    2358,  2401,  2402,  2403,  2404,  2405,  2406,  2407,  2408,  2409,
    2359,  2360,  2361,   359,  1458,  2044,  2077,  2078,  1366,  1346,
     568,     0,  1267,   388,  1495,     0,     0,     0,     0,     0,
       0,     0,     0,   783,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   177,     0,     0,   412,   411,
       0,     0,     0,   988,   417,     0,     0,     0,     0,     0,
     556,  1408,  2257,  1406,  1459,   255,   258,   259,   256,   257,
    2066,     0,  1098,  1099,  1101,     0,     0,     0,  1111,   821,
     822,     0,     0,     0,   824,     0,     0,     0,   817,     0,
       0,     0,     0,     0,     0,   823,   814,     0,   813,     0,
       0,  1111,     0,     0,     0,   815,     0,     0,  1268,  1405,
     418,  1495,     0,  1383,  1384,  1385,  1367,  1374,  1386,  1379,
    1381,  1380,  1382,  1378,  2065,  2092,   926,   926,   926,   926,
     923,   924,   926,   926,   926,  2274,     0,     0,   905,     0,
     907,  2067,   926,   931,   473,   473,   473,     0,   930,   935,
     473,     0,  1261,  1299,  2049,  1507,     0,   906,  1260,  2327,
    1397,     0,     0,  1126,  1122,  1124,  1125,  1123,     0,     0,
       0,  2290,  1272,   239,  2300,  2395,  2327,   238,   233,   234,
     207,  2096,     0,     0,   930,     0,  1269,  1270,   891,  1514,
    1512,     0,  2031,  2114,  2128,  2214,   230,  2285,  2291,  2300,
    2395,  2327,  2358,   186,   196,   191,     0,   248,  2300,  2395,
    2327,   244,  1290,     0,  1484,  1612,  2040,     0,  1263,  1262,
    1368,     0,  1371,     0,  1573,  2270,  1488,  1491,  1373,  1489,
    1480,     0,     0,     1,  1495,  1362,  1511,  1511,     0,  1511,
       0,  1472,  1480,  1475,  1479,     0,     0,     0,     0,  2076,
    2410,  2411,  2412,  2413,  2414,  2415,  2416,  2417,  2418,  2419,
    2420,  2421,  2422,  2423,  2424,  2425,  2426,  2427,  2428,  2429,
    2430,  2431,  2432,     0,     0,  2050,  2077,  2081,     0,   831,
       0,  1302,  2045,   975,     0,     0,     0,     0,  2044,     0,
       0,     0,     0,  2082,  2072,  2073,     0,  2070,  2071,  2083,
    2084,  2085,     0,  2187,     0,     0,     0,  1937,  1948,  1949,
    1950,  2118,  2172,  1945,  1946,  1947,  1939,  1940,  1941,  1942,
    1943,  1944,     0,  1096,  1938,     0,  2187,     0,   156,     0,
     134,     0,     0,  2187,     0,     0,     0,     0,     0,  2187,
       0,     0,     0,     0,     0,  2219,     0,   134,  2187,     0,
       0,  1284,     0,     0,     0,  1286,  1289,  1265,  1349,     0,
    2040,     0,     0,     0,   868,   860,     0,   869,   861,     0,
       0,   871,     0,     0,   863,     0,     0,     0,     0,   872,
       0,   862,   864,   874,   865,   870,     0,     0,     0,     0,
     866,     0,     0,  1276,     0,  1399,  1401,  1400,  1398,   473,
       0,     0,     0,     0,     0,     0,   134,  1334,     0,  2187,
     134,     0,     0,   416,   415,   134,  2070,   414,   413,  2118,
    2172,     0,  1014,     0,   134,  2187,     0,   179,   640,   571,
       0,     0,   742,  2219,   134,     0,     0,     0,     0,     0,
       0,   991,     0,     0,     0,   555,   568,  1409,  1407,     0,
    1102,   232,   231,  1100,   819,  2187,     0,   334,     0,     0,
    2187,  1321,  2079,  1670,  1699,  1677,  1699,  1699,  1666,  1666,
    2156,  1679,  2187,  1667,  1668,  1706,     0,  1699,  1666,  1671,
       0,  1669,  1709,  1709,  1694,   334,   835,  1651,  1652,  1653,
    1654,  1680,  1681,  1655,  1686,  1687,  1701,  1656,  1723,  1666,
    2080,   820,     0,   818,  2187,     0,  2187,  2074,   170,     0,
     816,  2118,  2172,  2187,     0,     0,  2187,     0,  2187,   162,
    2187,     0,  2187,   334,  2187,   572,     0,     0,  2187,     0,
    2187,   334,  2187,  2219,   164,     0,  2187,   334,   829,     0,
    1402,     0,  1376,  2399,  1391,     0,  1387,  1394,  1390,  1495,
     926,   925,     0,   926,     0,   926,     0,   926,     0,   926,
       0,     0,     0,   926,  2068,  2069,   908,     0,   932,     0,
       0,   939,   938,   937,     0,     0,     0,   940,     0,  1616,
    1432,     0,  1258,  1275,     0,     0,     0,   991,  1129,     0,
    1127,  1118,  1119,  1271,   237,   235,     0,     0,     0,     0,
       0,     0,  1277,     0,     0,     0,     0,  2053,  2055,  2056,
    1951,  2021,     0,  2363,  2364,  2365,  2010,     0,  2366,  2367,
    2368,  2412,  1853,  1840,  1849,  1854,  1841,  1843,  1850,  2369,
    2370,  2371,  2372,  2063,  2373,  2374,  2375,  2377,  2378,  2379,
    2380,  1845,  1847,  2381,  2382,     0,  2064,  2384,  2385,  2241,
    2387,  2388,  2390,  2391,  1851,  2393,  2394,  2395,  2396,  2397,
    2398,  2062,     0,  1852,  2400,  2402,  2403,  2404,  2405,  2406,
    2407,  2408,  2409,     0,     0,     0,  2037,     0,  1820,     0,
    1659,  1660,  1682,  1683,  1661,  1688,  1689,  1662,     0,  2036,
    1726,  1902,  1819,  1836,     0,  1825,  1826,     0,  1818,  1814,
    1497,  2032,     0,  1815,  2052,  2054,  2011,  1497,  2030,   199,
     250,     0,   251,  2038,  2300,   187,   229,   201,   228,   202,
     200,     0,  2116,   188,     0,     0,   189,     0,     0,     0,
       0,   247,   245,     0,  1266,     0,  1614,  1613,  2018,     0,
    2019,  2041,   840,  1361,  1359,  1360,  1358,     0,  1355,  1357,
    1370,  1367,  2026,  2025,  2027,     0,  1490,     0,     0,     0,
    1470,  1469,     3,  1373,  1509,  1510,     0,     0,     0,     0,
       0,     0,     0,     0,  1563,  1525,  1526,  1528,  1560,  1564,
    1572,     0,  1476,     0,     0,  1618,     0,  1574,     0,     0,
    2051,     0,     0,     0,     0,   832,     0,     0,     0,  1308,
       0,  1310,  1311,  1312,     0,     0,  1313,  1314,  1302,   241,
    1320,  1318,  1301,  1303,  1316,     0,     0,     0,     0,     0,
       0,     0,  1326,     0,     0,   168,   169,   584,   568,     0,
    2187,     0,     0,     0,     0,     0,  1054,  1061,     0,     0,
       0,     0,     0,     0,     0,     0,  1055,  1053,  1056,   243,
    1065,  1082,  1085,     0,   965,     0,     0,     0,     0,     0,
    1181,     0,     0,     0,  1181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   264,   276,
     329,   548,     0,     0,   550,     0,  2187,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   132,   133,
     138,     0,     0,     0,     0,     0,     0,   535,   547,     0,
       0,     0,     0,     0,   544,     0,   134,   268,   528,   532,
       0,     0,     0,   649,   648,  1324,  1323,     0,     0,     0,
    1181,     0,   260,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   352,   353,
       0,     0,     0,   138,   161,     0,     0,     0,   270,     0,
       0,  1285,  1282,  1283,     0,  1288,     0,  1345,     0,   859,
       0,     0,     0,     0,   876,     0,   873,     0,     0,   867,
    2118,  2172,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   391,     0,     0,   739,     0,     0,     0,     0,
       0,   750,     0,  1302,  1333,     0,     0,     0,   577,     0,
    2187,     0,   136,   784,     0,   740,   417,     0,     0,   136,
       0,     0,   173,     0,   644,     0,     0,     0,     0,     0,
       0,   688,   687,     0,     0,     0,   741,     0,   136,     0,
    2187,   531,  2187,     0,   473,   473,     0,     0,   990,   993,
       0,     0,     0,     0,  1462,  1464,  1463,     0,  1461,     0,
     334,   332,   333,   737,  1110,     0,     0,  1698,  1685,  1693,
    1692,     0,  1675,  1674,  1673,     0,  1672,     0,  1699,  1699,
    1697,  1676,  1651,     0,     0,     0,  1705,     0,  1703,     0,
     809,  1647,  1643,     0,     0,  1691,  1712,  1713,  1714,  1711,
    1724,  1710,     0,  1657,  1715,  1666,  1663,     0,     0,   334,
       0,     0,  2187,   334,  2187,     0,  2187,     0,     0,   334,
     334,     0,     0,     0,     0,     0,     0,   645,     0,   828,
     826,   825,   827,     0,     0,     0,     0,   807,     0,     0,
       0,  2187,   334,     0,     0,   806,  1961,     0,     0,  1495,
       0,   218,   219,   217,  1392,   220,  1393,  1389,  1375,     0,
     916,     0,   920,     0,   911,     0,   917,     0,   912,   909,
     910,     0,   915,     0,     0,   474,   476,     0,     0,  2140,
    2155,     0,  2178,  2207,  2208,  2291,  2296,     0,  2322,  2332,
       0,   941,   970,   936,   658,     0,     0,  1442,  1259,  1968,
       0,  1495,     0,     0,     0,     0,   236,   208,     0,     0,
       0,   972,  2290,  1274,   890,   568,     0,  1816,     0,  1823,
    1824,  2009,     0,     0,     0,     0,     0,     0,  1822,  1976,
       0,     0,     0,     0,     0,  1749,     0,     0,     0,  1989,
       0,  1995,     0,     0,  1786,     0,     0,     0,     0,     0,
       0,     0,     0,  1750,  1730,  1731,  1820,  1961,     0,  1821,
    2059,     0,  1723,  2035,  1951,     0,  1948,  1949,  1950,     0,
       0,     0,  2024,     0,  1959,     0,     0,  1764,  1957,  1766,
       0,     0,     0,     0,  1945,  1946,  1947,  1939,  1940,  1941,
    1942,  1943,  1944,  1955,  1746,     0,     0,  1904,     0,  1745,
       0,     0,  1576,     0,  2057,  2012,  1576,   252,   253,   249,
       0,     0,   204,   203,     0,   222,   226,   227,   198,   225,
       0,   221,   206,  1893,  1892,   205,   197,   194,   192,   209,
     211,   212,   195,   193,   246,     0,  2017,     0,  2086,  2433,
    2434,  2435,  2436,  2437,  2438,  2439,  2440,  2441,  2442,  2443,
    2444,  2445,  2446,  2447,  2448,  2449,  2450,  2451,  2452,  2453,
    2454,  2455,  2456,  2457,  2458,  2459,  2460,  2461,  2462,  2463,
    2464,  2465,  2466,  2467,  2468,  2469,  2470,  2471,  2472,  2473,
    2474,  2475,  2476,  2477,  2478,  2479,  2480,  2481,  2482,  2483,
    2484,  2485,  2486,  2487,  2488,  2489,  2490,  2491,  2492,  2493,
    2494,  2495,  2496,  2497,  2498,  2499,  2500,  2501,  2502,  2503,
    2504,  2505,  2506,  2507,  2508,  2509,  2014,  2013,  2047,  2087,
    2088,  2089,  2090,  2020,     0,     0,   334,  1353,     0,  1350,
    2029,     0,  1492,     0,  2042,     0,  1363,  1487,  1486,  1518,
    1519,  1007,  1485,  1543,  1544,  1539,     0,     0,     0,  1569,
    1567,  1535,  1529,  1534,  1532,     0,  1536,  1726,  1562,  1474,
    1523,  1524,  1527,  1473,     0,  1565,     0,  1445,  1563,  1528,
    1429,     0,  1411,     0,  1619,     0,  1029,  1031,     0,  1030,
       0,  1033,     0,  1042,     0,     0,  1028,  1047,     0,  1036,
    1034,     0,     0,     0,     0,     0,     0,   833,     0,     0,
       0,     0,  1309,     0,     0,  2322,   240,  1312,  1317,  1304,
    1315,     0,     0,     0,     0,     0,   974,   973,     0,     0,
     995,     0,     0,     0,  1329,   462,     0,   331,     0,     0,
       0,     0,     0,     0,     0,     0,   735,   732,     0,     0,
     731,     0,   582,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   619,     0,  1181,     0,   652,     0,  1063,     0,
       0,  1062,     0,  1066,     0,     0,  1064,  1059,  1060,  2291,
    2300,  2327,   242,  1084,     0,  1083,  1081,  1017,     0,  1018,
       0,     0,     0,     0,     0,  2165,  2187,   278,   293,     0,
    1180,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   316,     0,     0,   319,
     318,     0,     0,     0,     0,     0,   323,   302,     0,   303,
       0,     0,   322,     0,     0,   549,     0,     0,     0,     0,
    1181,     0,   272,     0,     0,     0,     0,     0,     0,  1097,
       0,   676,     0,   159,     0,   155,   158,     0,     0,     0,
       0,   534,   546,     0,   538,   539,   536,   540,   541,     0,
       0,     0,     0,     0,     0,   533,     0,     0,   642,   641,
     647,     0,     0,     0,     0,     0,     0,     0,     0,  1131,
    1130,     0,     0,     0,     0,     0,     0,   774,     0,     0,
       0,     0,     0,     0,     0,   661,     0,   660,     0,   160,
       0,     0,     0,     0,     0,     0,     0,   216,  1281,  1287,
    1348,  2048,  1347,     0,     0,     0,     0,   875,     0,     0,
       0,     0,     0,     0,     0,     0,   877,   878,   879,   880,
       0,     0,     0,     0,     0,   366,     0,     0,     0,  2079,
       0,   763,   738,     0,     0,   751,     0,   753,   756,     0,
    1300,   435,     0,     0,   574,   619,     0,   420,   166,     0,
       0,     0,     0,   678,   131,   177,   179,   418,     0,   178,
     180,   182,   183,   184,   181,   185,   639,   643,     0,   570,
       0,     0,     0,     0,     0,   689,   693,   692,   696,   694,
       0,   690,     0,     0,  1639,     0,   154,     0,     0,   526,
     530,     0,     0,     0,   420,   504,   345,  2187,     0,   473,
       0,  2187,     0,   992,     0,     0,     0,     0,     0,     0,
       0,     0,  1460,     0,  1088,     0,  1322,     0,     0,     0,
     334,  1696,  1695,  1648,  1644,     0,     0,     0,     0,   836,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1664,  2187,   334,     0,  1086,   171,  2075,     0,   811,     0,
       0,     0,     0,     0,  1090,   803,     0,   334,   163,     0,
     334,   334,   573,     0,     0,   334,   334,   165,     0,     0,
       0,   565,   334,   830,  1404,     0,  2187,   473,  1377,  1388,
     913,   922,   921,   919,   918,   914,     0,   933,     0,   472,
       0,     0,     0,   947,   948,     0,     0,   946,   963,   949,
       0,   951,   943,   942,   952,   953,     0,     0,   972,   656,
       0,     0,     0,     0,  1439,     0,  1437,     0,  1617,  1441,
    1430,  1396,     0,  1395,     0,   519,     0,     0,  1128,     0,
       0,   930,     0,     0,   334,  1273,     0,   892,   893,     0,
       0,     0,     0,     0,     0,   899,   896,   897,   898,   900,
       0,   901,     0,     0,     0,  2022,  1972,     0,  1973,     0,
       0,  2008,  2004,     0,     0,     0,     0,     0,  1977,  1980,
    1981,  1982,  1979,  1983,  1978,     0,     0,  1984,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2391,     0,     0,
       0,     0,  1789,     0,     0,  1932,     0,  1961,  1994,     0,
       0,     0,     0,     0,     0,  1961,  2000,     0,     0,     0,
       0,  1891,     0,  1888,     0,     0,     0,     0,  2021,     0,
       0,  2060,  1727,  1741,  1742,  1743,  1747,  2034,     0,  2023,
       0,     0,  1728,  1755,     0,  2001,  1782,     0,  1787,  1770,
       0,  1763,     0,  1768,  1772,  1751,     0,  1748,     0,  2024,
    1960,     0,  1958,     0,  1738,  1739,  1740,  1732,  1733,  1734,
    1735,  1736,  1737,  1744,  1936,  1934,  1935,     0,     0,     0,
    1912,     0,     0,  1767,  2180,  2214,     0,  1508,  1508,  1508,
    1496,  1506,  2033,     0,  1634,     0,     0,     0,     0,  1828,
       0,  1965,  1517,  1963,  1034,  1634,  2039,     0,     0,  1723,
       0,  1615,  2015,  2018,   838,   839,   837,  1373,  1356,  1352,
    1351,  2028,  1372,     0,  1495,     0,  1005,  1006,     0,  1010,
       0,     0,  1537,  1570,     0,  1561,     0,  1541,  1542,  1533,
    1571,  1443,     0,  1566,  1478,  1477,     0,  1637,     0,     0,
    1421,  1413,     0,  1620,     0,  1576,  1447,  1449,  1450,     0,
    2021,  1032,     0,  1666,  1043,     0,  1027,     0,  1026,  1666,
       0,  1044,     0,  1666,     0,     0,     0,  1218,  1133,  1189,
     834,  1219,  1134,  1190,  1220,  1135,  1319,  1307,  1306,  1305,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   714,  2187,   334,  1327,  1221,     0,
    1136,   330,  1328,  1191,  1332,   734,   733,     0,     0,  1192,
       0,   583,     0,     0,   588,   589,   590,     0,     0,     0,
     591,     0,  2118,  2172,     0,   596,   603,   608,   598,     0,
       0,   610,   604,     0,     0,     0,     0,     0,     0,   616,
     623,     0,     0,     0,     0,     0,     0,     0,  1057,  1058,
    1222,  1139,     0,  1193,  1016,     0,  1140,   167,     0,     0,
     265,  2187,   280,     0,   625,   714,  1183,   300,     0,     0,
     315,   310,   311,   309,  2187,   334,  2187,   334,     0,     0,
       0,     0,     0,   312,   307,   308,   304,     0,     0,   317,
    2095,  2157,  2301,     0,   629,   631,     0,   636,   320,  1156,
     341,   340,   339,     0,   324,     0,   346,   349,   321,   298,
     301,   299,   295,   277,     0,     0,     0,     0,     0,     0,
       0,     0,  2046,     0,     0,  1092,     0,     0,     0,     0,
       0,     0,     0,   670,   157,  1171,   147,     0,     0,   143,
       0,     0,     0,     0,   137,     0,  1228,  1146,     0,     0,
     269,   529,   537,   542,  1150,   545,  1203,   543,  1234,  1147,
       0,  1181,     0,   261,     0,  1148,     0,  1197,  1230,  1173,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1335,
       0,     0,     0,     0,     0,     0,   334,     0,     0,     0,
    1183,  2187,   334,  1229,     0,  1178,  1211,     0,   354,     0,
    1172,     0,     0,   271,  1152,  1205,     0,     0,   214,   213,
     215,     0,     0,  2155,     0,   882,   843,   881,     0,     0,
       0,     0,     0,     0,   851,     0,     0,     0,   842,     0,
     841,   365,     0,   390,   363,   364,   366,     0,     0,   762,
       0,     0,     0,   752,     0,     0,     0,  1325,     0,   134,
     581,     0,     0,     0,   576,   618,   625,     0,     0,     0,
     419,   423,   427,   428,   429,     0,     0,     0,     0,   148,
     135,     0,   792,     0,   473,     0,   674,     0,   179,   172,
       0,     0,     0,   345,   749,   747,   746,   748,     0,     0,
       0,   767,   745,     0,  1638,  1640,     0,     0,     0,     0,
       0,   519,   422,     0,   476,     0,     0,   508,     0,     0,
       0,     0,   345,     0,     0,     0,  1021,     0,  1039,  1022,
       0,     0,     0,     0,  1070,  1077,  1071,  1049,     0,     0,
     553,  1465,  1466,     0,   334,     0,     0,  1665,  1678,   810,
       0,  1708,  1707,  1709,  1709,     0,  1649,     0,  1700,  1701,
    1717,  1718,  1719,  1720,  1721,  1722,     0,  1716,  1658,     0,
     620,   334,   334,     0,   334,     0,   334,   334,     0,   667,
       0,  1256,   646,     0,     0,   722,   808,     0,     0,   334,
     805,  1962,     0,   934,   475,     0,     0,     0,     0,   945,
       0,   551,   950,     0,   962,   957,   959,     0,   966,   655,
       0,     0,  1440,  1433,  1435,  1434,     0,     0,  1431,  1969,
     804,     0,   525,  1120,  1121,     0,     0,   334,     0,   967,
       0,     0,   894,   895,     0,     0,   902,     0,     0,     0,
    1513,  1970,  1971,     0,     0,     0,  2005,     0,     0,  1866,
       0,  1842,  1844,  1856,     0,  1867,  1827,  1868,  1846,  1848,
       0,  1952,     0,     0,  1857,     0,  1791,  1792,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1807,  1806,  1858,  1931,     0,
       0,  1992,  1993,  1859,     0,     0,  1999,     0,     0,     0,
    1864,  1869,     0,     0,     0,     0,  1875,     0,  1896,     0,
       0,     0,  1817,  1962,     0,     0,     0,     0,     0,     0,
       0,     0,  1788,  1771,  1765,     0,  1769,  1773,     0,     0,
       0,  1759,     0,     0,  1757,  1783,  1753,     0,     0,  1784,
       0,     0,     0,  1835,     0,     0,  1508,  1508,  1508,  1508,
    1505,     0,     0,     0,     0,  2288,     0,  1598,  1575,  1577,
    1585,  1598,  1603,  1837,  1632,  1838,     0,  2040,     0,  1546,
    1517,  1517,  1517,  1834,     0,     0,     0,     0,  1516,  1546,
     190,     0,   223,   210,  2017,     0,  1354,  2043,     0,  1520,
       0,  1953,  1010,     0,  1522,     0,     0,  1568,  1530,  1444,
    1428,     0,  1426,  1415,     0,  1416,  2021,     0,  1426,  1412,
    1455,     0,     0,  1637,     0,  1454,     0,  1666,  1024,  1025,
       0,  1048,     0,  1217,  1132,  1188,   977,   978,     0,   976,
       0,     0,     0,   461,   994,     0,     0,     0,   714,     0,
       0,   465,     0,  1330,     0,  1235,  1170,   585,   586,     0,
     597,     0,   606,   605,     0,     0,   593,     0,     0,     0,
       0,     0,   592,   612,   557,   613,   615,     0,     0,   614,
     617,   622,  1181,     0,   653,  1158,     0,  1209,  1051,  1184,
       0,  1019,     0,     0,     0,     0,     0,     0,   435,   294,
       0,     0,     0,   282,   292,     0,  1187,   326,     0,   297,
       0,   290,   313,   305,   314,   306,   325,   327,     0,   633,
     634,   632,   628,     0,   635,   637,     0,   343,     0,     0,
       0,  1224,     0,  1181,     0,   273,     0,  1154,     0,  1207,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1225,  1194,     0,  1213,     0,     0,     0,   675,     0,
     672,     0,     0,   140,   139,     0,   146,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   355,   336,     0,   770,     0,     0,
       0,   357,     0,     0,     0,     0,  1223,  1141,   844,     0,
       0,     0,   845,   856,     0,     0,   846,     0,     0,     0,
       0,   858,   368,   369,   134,   367,     0,     0,  2241,  1939,
    1940,   760,   765,   757,   759,   761,   758,     0,   764,   714,
       0,   754,   755,     0,     0,     0,     0,     0,   447,     0,
       0,   441,     0,     0,  1077,   434,   437,   438,     0,     0,
     577,   580,   578,   579,   611,     0,   454,   500,     0,   150,
       0,     0,   151,   149,     0,     0,   345,   679,   683,   681,
     680,   682,   677,     0,   670,     0,   175,   418,     0,     0,
     569,   695,   698,   691,     0,   766,   768,   743,     0,   625,
       0,   531,     0,   473,  1405,   514,     0,   504,   500,   502,
     501,   503,     0,   510,   344,     0,     0,   519,   510,     0,
       0,   995,  1020,     0,     0,     0,  1067,  1072,  1068,     0,
       0,  1035,     0,  1069,     0,  1050,  1013,  1251,  1252,  1249,
    1250,     0,     0,     0,  1457,  1089,     0,  1684,     0,  1704,
    1702,  1645,  1650,  1690,  1725,   334,  1087,   812,     0,   799,
       0,   801,  1091,   334,   334,   334,   334,   662,     0,   566,
       0,     0,     0,     0,   944,   964,     0,   960,     0,     0,
     927,   969,     0,     0,  1438,  1436,   517,     0,   972,     0,
     928,   971,     0,     0,     0,     0,     0,     0,     0,  1974,
       0,  2007,  2003,     0,  1839,  1975,     0,  1987,  1986,  1932,
       0,     0,  1790,  1802,  1803,  1804,  1988,     0,  1812,     0,
       0,  1799,  1800,  1801,  1793,  1794,  1795,  1796,  1797,  1798,
    1805,  1997,  1996,  1990,  1991,     0,  1861,  1862,  1863,  1998,
    1870,     0,  2109,  1897,  1874,  1890,  1889,     0,     0,     0,
    1877,     0,     0,  1886,     0,  1933,  2061,  1729,     0,     0,
    1756,  2002,  1774,     0,     0,     0,  1752,  1952,     0,     0,
       0,     0,     0,  1761,     0,     0,     0,  1915,  1910,  1911,
    1929,     0,     0,     0,     0,     0,     0,  1499,  1498,  1504,
    1598,  1603,     0,  1480,     0,  1585,     0,  1597,  1583,  1596,
       0,     0,  1609,  1607,     0,  1609,     0,  1609,     0,  1579,
       0,  1599,  1581,  1596,     0,  1624,     0,  2041,  1633,     0,
    1559,     0,     0,     0,     0,  1966,  1967,     0,  1964,  1829,
    1559,     0,  2016,  1493,     0,  1521,  1008,  1009,  1538,  1531,
    2136,  1635,     0,  1427,     0,     0,  1418,  1424,  1410,     0,
       0,  1448,  1426,  1451,  1045,     0,     0,  1037,   983,   984,
     982,   985,     0,     0,     0,   714,     0,     0,   481,     0,
    1002,  1002,     0,     0,   467,   513,  1077,   717,     0,     0,
       0,   715,   334,  1137,     0,   607,     0,     0,   602,   600,
     599,   601,     0,   558,  1233,  1138,     0,     0,     0,     0,
    1052,     0,     0,  1157,     0,   279,     0,   432,     0,   287,
    1182,     0,     0,     0,   286,     0,   334,   334,   328,   630,
     342,   347,   348,   351,     0,     0,     0,     0,     0,  1186,
       0,     0,     0,     0,     0,     0,     0,   793,   776,     0,
       0,   794,   795,     0,     0,     0,  1094,  1095,  1093,  1212,
       0,     0,     0,  1144,     0,     0,   666,   144,   141,   142,
     145,  1168,  1151,  1204,     0,     0,     0,  1149,     0,  1198,
    1164,  1160,     0,     0,     0,     0,     0,  1232,  1177,  1202,
    1231,  1175,  1200,  1174,  1199,  1176,  1201,     0,  1169,     0,
    1642,   773,     0,     0,     0,   334,   334,   664,  1153,  1206,
       0,     0,   847,     0,     0,   849,   850,     0,   853,   373,
     393,   684,   736,     0,     0,   713,     0,   439,     0,   445,
     449,   450,   448,   440,  1077,   473,   512,     0,     0,   726,
       0,   575,   420,   451,     0,     0,   424,   153,   152,     0,
       0,     0,   673,   672,   179,  2187,     0,     0,   700,   704,
     744,     0,  1641,   659,   345,   527,     0,     0,   420,   519,
       0,   425,   430,   431,     0,   508,   504,     0,     0,   516,
    1298,     0,   520,   522,     0,     0,     0,  1023,  1040,  1041,
       0,     0,  1077,     0,     0,  1076,     0,     0,   560,   334,
    1646,   621,   334,   334,   668,  1257,  1117,   723,     0,   956,
     955,   954,   552,     0,   958,   657,     0,   518,   334,     0,
       0,   904,   885,   903,     0,     0,   884,     0,   883,  2006,
    1855,  1865,  1985,  1931,  1962,     0,     0,  1813,     0,     0,
    1860,  2401,     0,     0,     0,     0,  1894,  1895,  1876,     0,
    2232,  1881,     0,     0,     0,  1780,  1778,  1775,     0,  1776,
    1760,     0,     0,  1758,  1754,     0,  1785,  1901,     0,  1917,
    1914,  1928,  1962,  1503,  1502,  1501,  1500,  1584,  1582,     0,
    1587,  1594,     0,  1578,     0,  1608,  1604,     0,  1605,     0,
       0,  1606,     0,     0,  1580,     0,  1594,     0,  1631,  1517,
       0,     0,  1906,  1832,  1833,  1830,  1517,  2058,  1906,   224,
       0,     0,  1425,  1414,  1417,     0,     0,     0,     0,  1456,
    1446,  1038,  1046,     0,     0,     0,   463,     0,  1077,     0,
       0,     0,  1004,  1004,     0,  1077,   512,   719,   718,   721,
     716,   720,  1331,     0,   594,   595,   609,  1159,     0,  1210,
    1166,     0,  1442,   281,     0,   626,   283,   284,   285,   288,
     336,   296,   289,     0,     0,     0,  1155,     0,  1208,  1162,
    1226,  1142,  1195,     0,     0,   782,     0,     0,     0,     0,
    1227,  1143,  1196,  1214,  1215,  1216,     0,     0,     0,     0,
    1442,     0,     0,     0,     0,     0,  1340,     0,  1185,   335,
     772,   771,   336,   356,  1179,     0,   848,   854,   855,   852,
       0,   362,   370,   394,   134,     0,     0,  1108,  1108,     0,
     714,     0,     0,   436,   512,   480,     0,   442,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     665,   174,     0,   420,   625,   699,     0,     0,     0,   769,
       0,   519,   422,     0,  1403,   421,     0,     0,   510,   508,
       0,   505,     0,   509,     0,  1291,     0,     0,     0,     0,
    1073,     0,  1079,     0,  1034,  1011,  1074,     0,  1634,     0,
       0,     0,     0,   564,  1109,   800,   802,   663,   961,     0,
     968,   334,   886,   887,   888,   889,  1933,  1808,     0,     0,
       0,     0,  1871,     0,  1872,  1899,  1898,  1878,  1882,     0,
    1879,  1880,  1777,  1781,  1779,  1762,  1903,     0,  1517,  1930,
    1627,     0,  1630,  1586,     0,     0,  1588,     0,     0,  1590,
    1592,     0,     0,     0,     0,     0,     0,  2044,     0,  2135,
    2375,  2287,     0,  1545,  1547,  1550,  1552,  1551,  1553,  1549,
    1558,     0,  1482,     0,  1481,  1954,  1636,     0,     0,   996,
       0,     0,  1453,  1452,   962,     0,   334,  1002,   512,   482,
    2241,   483,  1001,  1003,  1007,  1007,     0,   512,   714,   587,
       0,     0,   266,   624,     0,   338,   350,     0,  1442,     0,
       0,     0,   789,   777,     0,     0,   796,  1145,   669,     0,
       0,   262,  1165,  1161,  1342,  1343,     0,     0,     0,     0,
       0,   334,   857,     0,   396,   403,   374,   379,  1334,     0,
    1334,     0,   376,   380,  1334,   375,  1334,   372,   373,     0,
    1108,     0,  1105,  1104,   712,     0,   471,   443,     0,   491,
       0,     0,   727,     0,     0,   500,   460,   459,   456,   455,
     457,   458,   453,   452,     0,   625,   786,   345,  1298,     0,
     638,   701,   702,   697,     0,     0,     0,   515,   504,   500,
     426,   435,   409,   510,   506,   507,     0,     0,     0,   519,
    1344,   995,     0,  1078,     0,     0,     0,     0,     0,     0,
    1112,   559,     0,     0,   563,   554,   625,   929,  1809,     0,
    1810,     0,     0,     0,  1884,  1883,     0,  1920,  1632,     0,
       0,  1626,     0,  1595,  1611,     0,  1591,  1589,     0,  1600,
       0,  1602,  1829,     0,     0,     0,  1554,     0,  1905,  1907,
       0,  1831,  1423,  1634,     0,  1420,     0,   979,     0,   980,
    1004,   486,     0,  1010,  1010,   473,   714,   464,  1167,     0,
     627,     0,   291,     0,   274,  1163,     0,   780,     0,   791,
     789,     0,     0,     0,     0,  1336,     0,  1337,  1338,  1341,
     358,   371,     0,   401,     0,   399,   398,   400,     0,   387,
       0,     0,     0,     0,     0,     0,   361,   392,  1103,  1107,
    1106,     0,     0,   444,   477,   478,   479,     0,   446,   487,
     488,     0,   724,     0,   729,     0,     0,   499,   650,     0,
       0,     0,  1292,     0,     0,     0,  1298,   508,   504,   433,
     407,     0,  1295,     0,   521,     0,   345,  1077,  1080,  1075,
    1255,     0,     0,   562,   561,   654,  1811,  1887,  1873,  1900,
    1885,  1916,     0,     0,     0,  1625,  1628,     0,  1593,     0,
       0,  1601,     0,     0,     0,  1548,     0,     0,  1422,   997,
       0,     0,  1007,     0,   714,     0,   999,   998,   480,   466,
    1442,   337,     0,     0,     0,   787,   790,   778,   791,   798,
     797,   671,  1442,     0,   397,   406,     0,   404,   377,   382,
       0,   386,   384,   383,   378,   381,     0,   470,     0,     0,
       0,   489,     0,   490,   511,     0,   728,     0,     0,   785,
       0,     0,   420,   703,     0,  1293,   510,   508,  1296,  1297,
       0,   510,  1012,  1254,  1253,  1495,     0,     0,  2362,  2136,
    2334,     0,  1918,  1921,  1919,  1913,     0,  1610,  1623,  1556,
       0,  1555,  1908,  1909,  1634,   334,  1010,     0,   468,   484,
     491,   267,  1442,     0,     0,   779,   263,  1339,   402,     0,
     385,   704,   496,     0,   495,     0,   493,   492,   725,   730,
     625,   775,  1298,   707,   410,   510,     0,  1634,  1237,  1495,
    1236,  1238,  1246,  1243,  1245,  1244,  1242,  1115,  1116,     0,
    1925,  1924,  1923,  1927,  1926,  1629,     0,  1621,  1557,  1419,
     981,  1000,     0,   714,   275,   781,   788,   405,     0,   494,
     498,   497,   651,  1294,   709,     0,   705,   708,   710,   711,
     408,   345,   986,     0,  1247,  1241,  1480,  1467,     0,     0,
       0,     0,   485,   469,     0,   685,     0,   510,  1239,  1495,
       0,     0,  1922,     0,     0,   706,  1634,  1240,     0,     0,
    1622,     0,   987,     0,     0,   707,     0,     0,     0,  1113,
    1114,   686
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4486, -4486, -4486,  3268, -4486,  -840,   327,  2541,  -467, -4486,
   -4486, -4486,  3168, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
    3212, -4486, -4486,  1725, -2227, -4486, -4486,   144,  3166, -1200,
     121,  2771,  1384, -4486, -1066, -4486, -4486,  -533,   104, -4486,
    3169,  -694, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -4486,
    -784,  1872,  1221,  -846, -2830, -4486, -4486, -1288, -2927, -4486,
     580, -4486, -4486,  1807, -4486, -4486, -4486,  1058,   486,  -502,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486,  -641, -4486, -4486,
    -827,   160,    52, -2256,  -319, -4486, -4486,   456,  -316, -1339,
   -4486, -3291, -4486,     9, -4486, -4486, -4486,  -293, -1290,  1325,
   -4486,  -657, -1078,  1625,  -724, -4486,  -183, -4486,  -803,  -651,
    -648,  -747, -3487, -3489, -3924, -3520, -2910,  1332,   164, -2868,
   -2928,   165,   431, -4486,   166,   167, -4486,   448,  -748, -1351,
   -4486,  -820, -4486, -4486, -4486, -2707, -4486, -4486, -4486, -4486,
      65, -4486, -4486, -4486, -4486,   490, -4486, -4486, -4486, -4486,
   -4486, -4486, -2465,  1786,  1790, -4486, -4486, -2923, -4486,  -818,
   -4486,   631, -2733,  1245, -4486, -4486, -4486,  2539, -4486, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -1482, -4486, -4486,
   -4486, -4486, -4486,   476,    18, -4486, -4486, -4486, -4486, -4486,
     170, -4486,  1803,  1061, -4486, -4486, -4486,  -783,  -873,  -853,
   -4486, -2724, -4486, -4486, -4486, -4486,  -245, -4486, -4486, -4486,
   -4486, -4486, -4486,  -903, -4486,  1112, -2870, -4486, -4486,  1117,
   -4486, -4486, -4486, -4486, -4486,  -722,  -187,  2570, -4486,  -570,
    -684, -4486, -4486, -4486,  -182, -4486, -4486, -4486, -4486, -4486,
   -4486, -1005,    64,  -956,  -494, -4486, -4486, -4486, -4486, -2152,
   -4486, -4486, -4486, -3268, -4486,  4089,   401,   548,   172, -4486,
     -19,    66,  3027, -1056, -2428,   413,  -366, -4486, -1683, -4486,
   -4486, -4486, -2332, -4486, -4486, -4486, -4486, -3222,   173, -4486,
    3009, -4486, -3507, -4191, -3246, -3716, -4034, -3990, -3224, -4486,
   -4486, -1022, -4486, -4486, -4486, -1308,  2108, -1771, -4486, -1944,
     472,  1415,  -868, -2526, -3506,  -639, -2986, -4486, -4486, -3370,
    -475, -4486, -4486, -4486, -4486, -4486, -4486, -4486, -1016,  -563,
   -4486, -4486,  3551, -4486, -3540, -4486,  3506, -4486, -4486, -4486,
   -4486,  2413,  2414, -4486,  2397, -4486, -4486, -1310,  1202, -4486,
   -4486, -4486, -4486,   154, -4486, -4486, -4486, -4486,  -707,  -814,
   -4486, -4486, -4486,   179, -4486, -4486, -4486, -4486,   409,  -831,
    -659,  3407,   190, -4331, -4486, -4486, -1010, -4486,  2813, -4486,
   -4486, -4486, -4486, -4486, -4486, -4486, -4486, -2309, -4486, -4486,
   -3996, -4486, -4486, -4486, -4486, -4486,  2188,  2193,    74,   -24,
   -4486, -4486, -1178, -4486,  -499, -4486,  2474, -4486, -4486, -4486,
   -4486, -1578,   191,   507, -4486,     3, -4486, -4486, -4486,   282,
   -4486, -4486, -3160,     5, -4486, -4486, -4486, -4486, -4073, -4486,
       6,  -622,   810, -4486, -4486, -2558, -4486,   192,    51, -4486,
   -4486,     1,     2,   -43,   -41,   -37,     4,   125,  2880, -4486,
    2932, -4486,   -17,  1935, -4486, -4486,  -741,  -152, -4486,  1496,
    -581,  2165,  2857,  2863, -4486,  1489, -4486, -4486,  1495, -4486,
     851,  -602,  -474, -4486, -4486, -4486, -4486,   312,  -577,  2177,
   -4486,  2871, -4486, -4486, -4486, -1680,  1492, -3133,   881, -3144,
   -3096,   359,   347, -1128,  -271,    -1,  -686,  2872, -4486, -4486,
     890,  -442, -4486, -4486,  -440, -2585,   833, -4486, -4014, -2116,
     556,  2578,  -971, -4486, -4486,  -932,  8481, -4486, -4486, -4486,
   14819, 14864, -4486, -4486, 15478, 15662, -4486,  -801,  1090, 16376,
    7771,  -936, -1633,  -330, 13450, -2272, -1094, -2546, -4486, -3272,
   -2540, -4486, -4486, -4486,  -227,   954,   499, -4486, -4486, -4486,
   -4486,   -26, -4486,  -573, -4486,  -572, -4486, -4486, -4486,  -559,
   -4485,  2380, -4486, -4486, -4486,  -194, -4486, 17205,  1539, -4486,
    -908, -2503, -2506, -3147, -1656, -4486, -4486, -4486, -4486, -4486,
   -4486, -4486, -2788, -3034,  -448,  1608, -4486, -4486,  1701, -4486,
   -4486, -4486, -1222,  1557,  -758, -2411,  1614, -1850, -4486,  -752,
   -4486,  -691,  2384,  -699,  5094, -1245,  6816,  -443, -2096, -1144,
   -1427, -4486,  -154, -4486,    -7,   -16,    17,   -77,  -167,  -521,
    3668, 13906,  -589, -1234,  9821, 12191, 13299, -2861
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    51,    52,    53,    54,  1430,  2298,  2185,  3019,  3020,
      55,    56,  1426,    57,    58,    59,    60,    61,    62,    63,
    1358,    64,    65,   956,  1552,  2309,    66,  2036,   734,   735,
     736,  1858,  1859,  2248,  1860,  1848,  1247,  1685,  1379,   708,
     709,  1340,  1380,    68,    69,  1241,  1839,    70,    71,    72,
    1408,  1409,  1352,  1593,  4020,  4672,  2854,  2162,  3059,  2855,
    2856,    73,  1478,  1479,    74,    75,  2986,  2982,  3554,  4331,
    4332,  4547,   555,  2277,  4334,  4335,  4533,  4534,  4696,  4806,
    4807,  2310,  1547,  3053,  3637,  3010,  4090,  3011,  4091,  3012,
    4092,  2997,  3585,  3586,  3587,  3013,  4063,  4572,  3014,  2055,
    4713,  2345,  1707,  1705,  4559,  3897,  3898,  4784,  4718,  4719,
    4720,  4886,  4065,  3057,  3643,  4099,  4347,  2744,   643,  1573,
    3162,   644,  2348,   587,   645,  2311,    81,  2339,  2340,  1449,
    2193,  3561,  3142,    82,   976,  3403,  4403,  4614,  4615,    83,
     220,    84,  1556,    85,    86,  2294,  3004,    87,  2072,  2761,
      88,    89,  2789,  2790,  2791,    90,    91,  3428,  4274,  1410,
    2843,  2844,  2845,  2846,  3454,    92,  1554,  1454,  2318,    93,
      94,    95,    96,    97,  2461,  2462,    98,  2236,    99,   100,
     101,   102,   103,  3490,  3986,  3614,  2883,  3026,  3612,   104,
    2312,  1564,  2330,  2331,  4079,  4366,  4583,  4368,  4935,  4936,
    4340,  3381,  3911,   106,   107,  4058,  4059,  4725,   108,  2070,
     109,   110,   111,  1531,  2286,  2287,  3562,  1525,  2280,  2281,
    3624,  3625,   112,  2939,   113,  3967,  3968,   588,  4730,  4679,
    4797,   114,   115,  3971,  3972,   116,   117,   118,   119,   120,
     637,  1067,  1068,  1325,  1015,   121,  1956,   122,   922,  2966,
     123,  1135,  2503,  4142,   124,   668,  1081,  1082,  2313,   126,
     677,  2481,   679,  1720,  3144,  3145,  3710,  2447,   821,   127,
     128,  2458,  2484,   129,  1345,  2046,  2047,  3892,  2314,   589,
    1579,  2352,  2739,  4478,  4479,  4252,  4494,  2669,  3334,   131,
     590,  1384,  2118,  2355,  3067,  2013,  2014,  2015,  3660,  2016,
    3069,  2017,  1319,  2018,  3075,  3076,  3077,  3656,  3663,  3666,
    4392,  4393,   132,  1382,  2116,   133,   134,   135,  1421,   852,
     136,   602,   603,   137,  4552,   138,   989,   139,  4401,   140,
     141,   699,   700,  1119,  1120,   142,   143,  2132,  3435,   144,
     145,   146,  3483,  3484,   147,   148,  4900,  4943,  4944,  4945,
    3671,  4845,   149,  4902,  1112,   151,   152,   153,   189,   885,
     886,   887,  2315,  4385,   155,   156,  1341,  1342,  1343,  1344,
    2041,   157,   158,   159,   160,   161,   162,  1535,   163,   164,
    4526,   165,   166,  1497,   167,  1277,  1278,   168,   169,   549,
     752,  1281,  1289,   170,   647,  1075,  1076,  1077,  1687,   171,
    1115,   924,   648,  1070,   173,   649,  2001,  2690,  3344,  3345,
    3348,  4237,  3873,   650,  2687,   176,  1727,  2467,  2470,  2683,
     651,  2695,  2696,  2697,  2698,  2699,  3351,   652,   670,   979,
    2361,   653,  1208,   181,   182,   183,   762,   756,   757,   185,
    1832,  2630,   686,  1296,   721,   722,   770,  3318,  1969,  1970,
    1992,  1993,  1305,  1306,  1982,  1984,  2671,  1985,  2679,  1975,
    3850,  4463,  4464,  4465,  4466,  4467,  4468,  4222,  1988,  1989,
    1308,  1309,  1310,  1997,   186,  2634,  3298,  3299,  3300,  3827,
    3828,  3842,  3838,  4206,  4449,  3301,  1110,  1316,  4214,  4917,
    3302,  4440,  4441,  4631,  3845,  3309,  3342,  3043,  3044,  3045,
    2019,  1622,  1017,  1209,  1018,  1636,  1210,  1606,  1020,  1211,
    1212,  1213,  1023,  1214,  1215,  1216,  1026,  1598,  1625,  1217,
    1218,  1616,  1633,  1634,  1676,  2541,  1220,  1221,  1222,  3304,
    1223,  3783,  4173,  4162,  2562,  2563,  1855,  3779,  3244,  1827,
    2620,  4472,  4648,  4649,  3283,  3808,  4189,  4438,  4764,  4852,
    4853,  1224,  1225,  1226,  2617,  1823,   854,  1227,  3564,  1825,
    2556,  2642,  2643,  1730,  1750,  2509,  2525,  2526,  2536,  3203,
    2544,  2549,  3231,  3232,  2557,  2586,  1228,  2511,  2512,  3187,
    1752,  1229,  1270,  1867,  1271,  1747,  2581,  1284,  1285,   754,
    1237,  1230,  1231,  1721,   745,  4445,   544,   811,  2871,  1947,
     889,   683,  1232,  1233,  1234,  1235,  1414,   826,  1037,  1038,
     545,   805,   828,  2847,   546,   547,   807,  1952
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     604,   179,   180,   174,   184,   175,   177,   761,   951,   684,
     853,  1684,   982,  1639,   671,  1413,   713,  1101,  1102,  1103,
     671,  1704,   180,  1107,   184,  1242,  1317,   747,  1649,  2448,
     771,  1238,  1311,   827,  1643,  1948,   803,  1483,   672,  1612,
     860,  3009,   744,  1963,   672,   822,  1320,  1453,  1545,  1953,
    2127,   877,   760,  1078,  3167,  1495,  2054,  1044,   543,  1566,
    3319,  1272,  2640,  1526,   586,   594,  1602,  1603,   980,  2250,
    2706,  2708,  1256,  1635,  1740,  2119,  1611,  1618,  2873,  3029,
    1447,  3409,   636,  3594,  2139,  2335,  1462,  3303,   678,  3665,
    1948,  3429,  2508,  3305,   646,  1488,  1533,  2205,  1953,  2128,
    1538,   714,  1049,  3900,    67,  1542,  3620,  3449,  3865,  3451,
    2936,  2661,  2974,  1064,  1549,  1966,  1448,  2156,  1590,   936,
    2978,  3795,  2980,  3635,  1568,  3572,  3148,  3566,  4103,  3899,
     859,  3312,  3310,  3311,  3566,  3648,  3350,  3937,   982,  1061,
    3303,   876,  1072,   773,  4106,   765,  3305,   774,  4095,  3894,
    2215,  4096,  2353,  2473,  4112,   707,  2645,  3252,  3841,  2571,
      76,  1677,   741,  3824,    77,    78,    79,    80,   991,  1620,
     105,  4378,   125,   130,   759,  2112,  3356,  2219,  2220,   150,
    2027,  3632,  1381,  1484,   733,  4253,   772,  2418,  3878,  1304,
     154,   172,   178,  1307,  1249,  1599,  1600,  3763,  4602,  4502,
   -2174,  4454,   654,  4456,  3022,  3839,  1610,  1657, -2209,  1987,
   -2231, -2260,   870,  1565,  4056,  1667,  1355, -2079,   654,  4495,
    1623,  1675,   553,  3000,  1954, -2079, -2079,  1602,  1603,  2226,
     600,  3209, -1699, -1694,  2130,  2140,  2231,  4521,  1329,  1591,
    2048,   600, -2106,  2705,  1131,  1529,  1611,  4732, -1699,  1273,
    4678,   654,  1618,  1626, -2080,   808,   810,  1686,  1258,   814,
    3654,   816, -2080, -2080,  3165,  2579,  3206,  3207,  1083,  2755,
    2060,  3226,  1522,  2579,  2633, -2415,     3,     4,  2483,  3185,
   -1666,   874,   750, -2415, -2415, -2051,  2130,  1591, -1679,  3355,
   -1694, -1706,   600, -1709,   881,  2958,  2288,  3888,  2984,  1788,
    1725,  3152,  1467,   600,  3114, -1699,  3116,   600,  3256,  3257,
   -2050, -1709,  2062,  1591,  2050,  1330,  3405,  -395,  4528,  4529,
    2332,  1356,  1627,  3607,  1795,  3410,  2130,  3001,  2038,  2343,
   -2177,   600,  2051,  2056, -1937,  2213,  3964,   654,  4843,   654,
    1492, -1937,  2301,  1468,  1512,  1246,   819,  1599,  1600,  1411,
    4003,  3667,  4596,  1801,   654,  4380,  1087,  2057,  1591,   660,
    4597,  2057,  4612,  4909,  2878,  4349,  1331,   660,  4381,   660,
     660,   600,  2614,  1610,  3600,  1355,  3969,   853,  3716,  2615,
    2621,   661,  1628,  1803,  2264,  1629, -1956,   882,  1795,   661,
    3103,   661,   661, -1956,  2742, -2230,  2130,  2770,  4794,  4581,
    2828,   660,   946,   931,  1274,  4835,  1275,   946,  -134,  2245,
    4251,  3608,  3866,  -134,   221,  3738,   660,  1801,   946,   552,
    3459,  2246,   669,   661,   548,  1495,   853,   638,   669,   883,
    4582,  3668,   600,  3460,  1849,  4674,   685,  3965,   661,  1861,
    1861,  4640,  2265,  2130,  3764,   716,  2247,  1803,  2743,  2063,
    1789,  2302,   986,  1795,  1955,  4593,  2829,  1795,  4146,  1332,
    4148,  4795,  1035,  3209,  2443,  4962,  2052,  4260,  2449,  3889,
    2451,  3867,  3209,  2454,  4350,  1259,   982,  3970,  1835,  1630,
    1356,   884,  1801,  2333,  2130,  2258,  1801,  1630,   982,   660,
    2879,  3609,   945,  3503,  3938,  3002,  2262,   954,  2058,  1592,
    1469,  3890,  1493,  3153,  4663,  4664,  4844,  4004,   964,  1333,
    2622,   661,  1803,  4818,  3588,  2985,  1803,  4598,  2141,   941,
    3717,  4613,  3891,  2290,  1650,  2505,  2344,  3601,  4382,  2142,
    2064,  2143,  1672,  3966,   601,   923,  4256,  1032,  2793,  1530,
    3410,  1260,  1106,  2098,  1334,   982,  1591,  1592,    34,  1420,
    3406,  1505,  2756,  2106,  1127,   928,   180,   925,   184,   926,
     927,  4933,  1106,  4882,  2510,  2061,  2577,  1953,  2053,  3669,
    1641,  2232,  3352,  1592,  1335,   751,  1726,  2096,  3003,  1830,
    1688,  3552,  3553,  1631,  1722,   981,   604,  2144,  2580,  3952,
    2868,  1357,  2227,  3655,  1470,  1732,  3272,  1726,  3566,   761,
    4333,  1744,  1632,  1336,  2201,  1337,  2203,  4379,  2959,   820,
    1741,  1624, -2230,  1953,   595,   921,  2191,  2208,  1592,  2194,
    2195,  1312,  1079,  2282,   934,  2436,  4782,   554,   937,  3610,
    2214,  1530,  2253,  2172,  3670,  1597,  2210,   666,   667,  2334,
    1494,  1619,  3374,   180,   760,   184,   962,  4178,   671,  4896,
     671,  1597,   671,  1338,  3904,  1276, -2174, -1937,   671,  1094,
    1095,  3096,   982,  2249, -2209, -2079, -2231, -2260,  2422,  3224,
     982,   982,  1080,  1113,  1085,  2542,  1089,  3841, -2230,  4071,
   -1699, -1694,  1093,  2560,  4344,  1109,   666,   667,  2259,  1674,
    4803, -2230,  1071,  2368,  3611,  2616, -1699,  4203, -2106,  1132,
    3926,  4207, -2080,  2390,  4152,  2444,  4083,  1239,  1613, -1956,
    1248,   981,  1250,   853,  2455,  1641,  1074,  4871,  1843,  4102,
    1096,   773,  4240, -2415,  4197,   774,  1613,  1614,  1601,  4876,
    1998,  1268,  2183, -2051,  1999,  1269,  1605,  2186,  1500, -1706,
    1791,  1615,  4395,  2115,  2364,  1614,  1109,  3956,  3303,  1507,
    3303,  1833,  4883,  4856,  3305,  2648,  3305,  4261, -2050,  1617,
    3709,  3358,  1822,  3359,   772,   179,   180,   174,   184,   175,
     177,  4660,   666,   667,   666,   667,  1315,  1845,  1411,   600,
    1557,  2670,   942,   654,  2794,  2812, -2177,  3589,  3504,   666,
    1412,  1268,  4866,  2394,  1948,  1269,  4819,  2398,  4553,  4924,
    1033,  3616,  2768,  2404,  2405,  4399,  1592,  2371,  2372,  3538,
    3858,  4087,  3639,  4836,  1506,   681,  3542,  3543,  1580,  1361,
    3546,  1558,  1428,  4884,  3940,  1279,  2421,  3551,   671,  3303,
   -2048,  2062,  3632,  3154,  3886,  3305,  1831,  4235,  2504,  2440,
    2507,  2934,   693,  1429,  1098,  4042,  2514,  4885,  -134,  -134,
    4041,  2343,  2528,  2529,  2530,   766,  2463, -1666,  4592,  2179,
    2869,   600,  2546,  2548,  2640,  2640,  2640,  2558,    67,  1245,
     596,  2710,  4412,  1253,  3544,  3545,  4413,  4414,  4488,  4415,
    1286,  4655,  2326,  1846,  2720,  4497,  1817,  1818,  1819,  1820,
    1821,  1822,  1819,  1820,  1821,  1822,  3219,  3220,  3221,  3222,
    3223,  3224,   775,   600,  2688,  1418,  1419,  3221,  3222,  3223,
    3224,  2445,   600,  4895,  2112,  1339,   767,  2599,  2346,  4087,
    2666,  2857,   597,   694,    76,  3308,   550,  4442,    77,    78,
      79,    80, -1666,  1659,   105,  3876,   125,   130,  3743,  3744,
    3745,  3746,  1584,   150,  3751,  3752,  3753,  3754,  3755,  3756,
    3757,  3758,  3759,  3760,   154,   172,   178,   598,  2266,   599,
    4709,  1795,  2327,  2886,  3900,  1329,  4118,  3352,  3941,  1105,
    4930,  4566,  2107,  1005,  1660,  2728,  2464,  3900,  1559,  1346,
    2066,  1339,   776,  3397,   768,  2860,  1520,   707,  1457,  2205,
    2067,   768,  -831,  1425,  1585,  1847,  2518,   768,   600,  2267,
    3799,  3800,  2667,  3899,  4624,  1099,  2155,  2784,  4088,   693,
    4708,  2441,  4420,  1543,  1544,  3353,  3322,  2452,  2453,  4567,
    1803,  1268,  4400,  4714,  3398,  1269,  3156,  4568,  1789,  1140,
    4236,  4656,  3209,  2935,  1577,  3155,  3210,  3211,  3212,  1612,
    2887,  1583,  1330,  2442,  3563,  2850,  3068,  2600,  4363,   981,
    1106,  3563,  2601,  3788,   691,  4569,  4443,  1472,  2998,  2711,
    2108,   981,  2712,  1473,  2713,  2769,   695,  1626,  2920,   692,
     671,  4446,  1560,  4740,  2921,  2738,  4450,  3942,  4726,  4452,
    3943,   180,  2785,   184,  1347,  2403,  3328,  1586,  2602, -1666,
     694,  1078,  2888,  1331,  4745,  1728,  2851,  2519,  4747,  4737,
    3157,  4710,  4738,   696,   697,  1645,  1647,  2965,  1324,   769,
    2656,  4305,  4931,  2370,  4911,   837,  4832,  3900,   981,  2395,
    3566, -2070,   838,   839,   840,  -156,  3665,    39,  3661,  -995,
    4570,  1661,  2408,  1690,  2068,  1692,  1627,  1694,  1587,  1696,
    4715,  1698,  1699,  1700,  1749,  2446,  2889,  2417,  1702,  3493,
    2048,  -156,  2328,  2366,  4644,  4052,  2268,  4370,  4141,  2465,
      43,  4374,  1474,  1758,   761,  2329,  2520,  2049,  1016,  2069,
    1561,  4246,  2416,  2922,  4501,  2155,  2861,   719,  2466,  1976,
    2428,  3399,  3316,  2852,   718,   777,  1332,  1401,  3851,  1016,
    1562,  1294,   698,  1790,  1774,  4625,  1628,  1450,  2798,  1629,
      47,  3139,  1792,  4275,  2534,  1084,  1086,  1088,  4716,  1786,
    1090,  1091,  1092,    48,   881,  2603,  1834,  1977,   666,  1412,
    1097,  3473,  1588,  3214,  2050,  1662,  2521,  2042,   853,  2522,
    1428,  1348,  1451,   695,    49,   981,  2037,  2043,  1851,  1852,
    2890,  2788,  2051,   981,   981,  1973,  4912,   671,  2689,  4837,
    2269,  1429,   671,   671,  2044,  1967,  1968,  1959,  1972,   774,
     774,  2459,   774,  4658,  4762, -1666,  1349,  1761,  2830,  2926,
     696,   697,  4619,   720, -1666,  3400,  1601, -1666,  1324,  2474,
   -1666,  2196,  3422,  3215,  3303,  1300,  2799,  1295,  3303,  2307,
    3305,  4763,  1641,  1630,  3305,  4053,  1350,  2680,   772,   772,
    4739,   772,  1976,  4571,  2927,  4049,  2681,   882,  4520,  1475,
    2677,  2678,  1315,  2237,   551,  1979,  4894,  3832,  4636,  2929,
    2923,  4897,  4239,  2523,  2831,  3242,  3474,  3501,   715,  2784,
    1336,  3249,  1337,  1452,  2928,  2853,   187,  1974,   753,  2810,
    1977,  1563,  2460,  4219,  1476,  3858,  4498,  3833,  3423,   883,
    2891,  4226,  3100,  4673,  1302,  2924,   671,  4442,  2892,  1351,
    1641,  2893,  4209,  4676,   972,  2308,   671,  4681,  4682,  3330,
    1980,  3111,  3835,  2902,  1477,  4940,  2052,  4842,  2784,   188,
    3574,  2905,  3900,  2907,  2306,  2925,  4138,  3117,  2319,  4032,
    3050,  2045,  3112,  3502,  1978,  4035,  4036,  1631,  4038,  1436,
    2237,   884,  2682,   187,  2785,  1095,  2900,  4156,  4779,  4157,
    2881,  2197,  3101,  4506,  2198,  3954,  1300,   187,  3034,  3035,
    3036,  3037,  3566,  2091,  -618,  3577,  1641,  2524,  2913,   671,
    3042,  1853,   671,   671,  4557,  2363,  2209,  4966,  1979,  4786,
    4787,  4580,  2901,  4587,  2542,  2542,   188,  1437,  1530,  2542,
    4505,  1255,   982,  2785,   853,  1503,  2953,  3705,  2212,  3086,
     188,  3216,  3217,  3218,  2150,  3219,  3220,  3221,  3222,  3223,
    3224,  1641,  1854,  3475,  2396,  1518,  3837,  2882,  2053,  3326,
    2930,  3955,  2730,  2786,  2393,  1302,  2542,  2542,  3369,  1528,
    2947,  1140,  4531,  1980,  3209,  3084,  1473,  3421,  3210,  3211,
    3212,   671,  2237,   742,  3883, -1480,  1259,  1433,  3476,  1630,
    2931,  4527,  4082,  2147,  3261,  3563,  3262, -1480,  2787,  2774,
     763,  2135, -1480,  2136,  3089,  1303,    39,  3729,   973,  1438,
    1339,  2221,  2222,  2223,  2224,  1339,  2243,  2316,  3477,  3263,
    1837,  4158,  1434,   881,  2148,  2640,  3110,   843,   844,   845,
    2205,   846,   847,   848,   849,   850,   851,   568,   822,    43,
    2731,  3119,  4342,  2788,  3121,  3122, -1480,  3581,  3900,  3125,
    3126,  2244,  1260,   853,  2260,  2261,  3130,  1439,  4661,  2137,
    1440,    39,   974,  2273,  4353,  1127, -1480,  4666,   975,   764,
    2204,  2725,  4122,  2285,  4123,  1474,  2177,   778,  2369,    47,
    2807,  3505,  2130,  4050,  2130,  1838,  3582,  3747,  2377,  3748,
    2378,  2131,  2788,  2138,    43,   570,  4555,  2383,  4524,  1442,
    3583,  2321,  2322,  2323,  2324,  2389, -1480,  4354,  1689,   568,
    3141,  1691,  3208,  1693, -1480,  1695,   882,  1697,  3169,  4525,
     568,  1701,  4921,  3264,  3236,  3485,  3698,    50,  3265,  2587,
    4731,  2588,  4728,  3303,    47,   813,  2742,  2663,  3303,  3305,
    1444,  2178,  1463,  3303,  3305,  3380,  3303,    48,  4051,  3305,
    1729,  4744,  3305,  4524,  2589,  2932,  3259,  2157,   883,  3430,
     866,   180,  2157,   184,  2457,  3214,  1300,   570,    49,  3907,
    3303,  1301,  3062,  4755,  4525,  4611,  3305,  1464,   570,  1446,
     815,  1465,    50,  3303,  4022,  2933,   867,  -524,  3584,  3305,
    3377,  4411,  2663,   835,  3285,  4257,  2407, -1516,  2894,  2410,
    2480,  3907, -1516,  1641,  4023,  2468,  3831,  1466,   836,  2415,
     884,  3749,   928,   180,   925,   184,   926,   927,  2423,  2884,
    2430,  3750,  2431,  2527,  2432,  3215,  2433,  3357,  2434,  2516,
    2517,  3708,  2435,  2713,  1074,  1302,  2531,  2532,  3396, -1480,
    2288,  3665,  4336,   578,  4711,   579,  3908,  3640,  -418,   982,
    3644,  4670,  2894,  2590,  4667,  3266,   872,  2202,  2591,  2196,
    4258,  2390,  2216,  2592,  2570,  3267, -1516,  1268,  3831,  1546,
    3709,  1269,  4337,  2157,  4701,  1303,  2157,  3832,  3908,  4702,
    2165,   880,     3,     4,  2479,   654,  4352,  2585, -2070,  1613,
    2502,   930,    34,  4607,    34,  4484,  1401,  4486,  2158,  4841,
    4264,  4265,  3909,  2158,  3910,  3080, -1516,  3833,  1614,   933,
    1861,   982,  4373,  2147,  2649,   578,  1679,   579,  1482,  1680,
    1482, -1479,  3834,  3303,  4703,  2159,   578,  4361,   579,  3305,
    2159,   935,  3835, -1479,  3909,  2157,  3910,  2717, -1479,  3832,
     640,  1546,  2721,  1669,  2148,  3431,  2724,  2582,  2160,  1428,
    2161,   938,   584,  2160,  2157,  2161,  2304,  -418,  3836,  4326,
      14,  4327,  4328,  4417,  1670,  4329,  1321,  3129,   853,  3833,
    1429,  3432,  2748,  3704,  3388,  2336,  2242,  4447,  1326,   952,
    3383,  3317, -1479,  2155,  3834,  3303,  4754,  -523,  2155,  2197,
    2593,  3305,  2198,    19,  3835,  2021,  2886,  1428,   960,  2762,
    2594,  1322, -1479,  3216,  3217,  3218,   822,  3219,  3220,  3221,
    3222,  3223,  3224,  1327,  2158,  2800,  3015,  2158,  1429,  1613,
    3836,  3362,  4789,   970,   965,  1251,  1601,  3470,  2028,  3039,
    2022,  1323,  3905,   946,  3040,  2795,  3837,   640,  1614,   969,
    3621,  2159, -1479,  1328,  2159,   971,  1841,  4932,   671,  3630,
   -1479,   984,  1615,  3411,  2870,   966,  2176,    14,  4005,  3439,
    2023,  3441,  3471,   988,  2160,  2848,  2161,  2160,  3320,  2161,
    1608,  1609,  2672,  2887,  1613,  4524,  2158,  1794,  3434,  4006,
    1795,  1031,  2691,   180, -2416, -2416, -2416,   967,  3414,  1039,
      19,  3775,  3472,  1614,  4957,  2158,  4525,   946,  3837,  2155,
    1040,  2896,  2155,  2159,  2732,   981,  2735,  1617,  1045,  1801,
    2505,  1056,  1279,  3270,   671,  1802,  4448,  3563,   965,  2908,
   -1540, -1540,  2159,  2806,  3885,  2888,  2160,  3181,  2161,  1601,
    2918,  2028,  2425,   968,  3102,  3104,  3105,  2254,  2729,  1803,
    4868,   982,  2157,  2943,   943,  2160,   944,  2161,  4778,   966,
    1065,   946,  2270,  3182,  3573,  2640,  1069,    31,  3183,  3040,
    2640,  2155,  3465,  3303,   654,  1734,  2640,  3935,  1735,  3305,
    3524,  2291,  2792,  1250,  3016, -1479,  3531,  3314,  3315,  2889,
    2155,  3618,  3927,  3235,    39,  3237,  3238,  2885,  3303,   561,
    3719,  1268,  1100, -2051,  3305,  1269,  2542,  2542,  2542,  2542,
    1104,  1108,  2542,  2542,  2542,  2542,  2542,  2542,  2542,  2542,
    2542,  2542,   947,  2505,   948,  1114,  1111,    43,  2357,  2764,
    2765,  1117,  1957,  3939,  3944,  1958,  4618,   968,  2776,  3773,
    2778,  2365,  3724,  3957,  2782,  1118,  1116,  3679,  3680,  3590,
    1124,  2950,  3500,  1016,  1960,  1804,  1601,  1961,  1324,  2157,
    1805,   982,  1126,  4532,    31,  2379,  1125,    47,  2542,  2542,
    2424,   641,  2437,  2425,  2157,  2438,   671,  1127,  1130,  2439,
      48,   568,  2438,  2890,   671,  2471,   671,  2662,  2472,  4953,
    2663,    39,  2804,  2158,  2875,  2805,  1808,  2876,  1128,  3366,
    3367,    49,  -989,  2989,  2993,  3087,  2990,  2994,  2425,  2413,
    1133,  1129,  1016,  4105,  2857,   642,  3953,  3387,  1254,  4698,
    2159,  4700,  1134,  3017,    43,  4704,  3133,  4705,  3675,  2438,
    2967,  3180,  3189,  3195,  2425,  2425,  2425,  3196,  2967,   570,
    2425,  1810,  1136,  2160,  3197,  2161,  2967,  2425,  2967,  3228,
    1257,  4576,  2425,  2903,  3241,  3686,  3687,  2425,  3689,  3506,
    3691,  3692,  3246,  1261,    47,  3247,  3018,  3452,  2564,  4919,
    3453,  2567,  3457,  3699,  3535,  3458,  1262,    48,  2155,  3146,
    1263,  1267,  3652,  3030,  3303,  3653,  1280,  3740,  3902,  3903,
    3305,  1290,  3722,  2891,  3033,  1287,  3677,  3160,    49,  2425,
    2158,  2892,  4942,  3770,  2893,  3146,  3771,  3780,  1288,  2964,
    3781,  3720,    50,  1298,  1748,  2158,    50,  2973,  2359,  2975,
    2360,  3769,  3170,  1812,  3063,  2977, -2323,  2159,  3174,  3563,
    4391,  1291,   981,  3051,   180,  3068,  4093,  3791,  1313,  1314,
    2425,  2572,  2159,  4865,    39,  3725,  3055,  1318,  3056,  3031,
    2160,  3488,  2161,  3874,  1354,  3879,  3875,  3606,  3880,  3884,
    1359,  3496,  2712,  3095,  3097,  2160,  3811,  2161,  1324,  3906,
    3106,  4972,  2438,  1794,  1388,  3979,  1795,    43,  3980,  1383,
    1796,  1797,  1798,  4084,  1385,  2155,  2438,   578,  4135,   579,
    4153,  1726,   853,  2425,   981,  4179,  1387,  3052,  2472,   581,
    2155,  1422,   982,  4191,   982,  1801,  2425,  1420,  1423,  4242,
     583,  1802,  2712,  1546, -2323,  2390,  1813,    47,  1424, -2416,
   -2416, -2416,   766,  1817,  1818,  1819,  1820,  1821,  1822,  4248,
      48,  1425,  4249,   671, -1517,  1803,  1427,  4603,  3923, -1517,
    4254,  1432,  4255,  2438, -1480,  2438,  4129,  4130,  4131,  4375,
    1435,    49,  4376,  3113,  3712,  3115, -1480,  1458,  3591,  1140,
    3593, -1480,  3209, -2323,  3331,    50,  3210,  3211,  3212,  3306,
    1459,  4536,   982,  2542,  4422, -2323,  1471,  4423,  4424,  1495,
   -2323,  2425,  1481,   767,  3599, -2323,  3602,   761,  4432,  1485,
   -2323,  2472,  1140, -2323,  1480,  3209, -2323,  2157,  1490,  3210,
    3211,  3212,  1491, -1517,  4503, -1480,  4577,  4504,  4604,  2438,
    1496,  4605,  4620,  4537,  4628,  2472,  3789,  4629,  4633,  1499,
    1498,  2663,  3306,    28, -2323, -1480,  4639,  4641,  3658,  3628,
    3628,   761,  1786,  4653,  1501,  1504,  4654,  3363,  4538,  3847,
    1509,  1804,  4691, -1517, -2323,  4692,  1805,  4727,  1508,  4746,
    1840,   768,  4654,  4756,  4539,  1515,  2472,  3179,  4540,  3852,
    3853,  3854,  2157,  1516,  1519, -1480,  4373,  1806,  1807,  4757,
    1521,  4758,  3247, -1480,  2425,  1601,  1786,  2028,  4541,  1524,
    3385,  4542,  1808,  1527, -2323,  4273, -2323,  4768,  4771,  1534,
    2663,  3628, -2323,  2585,  4543,  4793,  4799,  3928,  2472,  2472,
    3291,  3292,  3293,  4800,  1537,  4826,  2472,    39,  4827,  3279,
    4857,  1539,  1530,  2663,  1809,  1953,  4858,  4859,  4861,  2425,
    2425,  2425,  1548,  2766,   981,  3297,  4878,  1810,  3286,  4879,
    3287,  3321,  3213,   671,  3718,  2781,   761,  3288,  2158,  3289,
      43,  1550, -2323,  4550,  2505,  4915,  4918,  4941,  3628,  4647,
    4654,  4955,  1551,  3214,  4956,   928,   180,   925,   184,   926,
     927,  4981,  3958,  1794,  4956,  2159,  1795,  4043,  -176,  4044,
    1796,  1797,  1798,  1555,  4544,  2814,   769,  4958,  3297,  4959,
      47,   760,  4545,  1290,  1553, -1468,  3214,  3461,  2160,  1567,
    2161,   685,  1297,    48,  1299,  1801,  1578,  4208, -1480,  4211,
    3481,  1802,  1569,  2158,  4039,  4027,  1576,  1794,   206,  1812,
    1795,  1582,  1589,  3215,    49,  4898,    28, -2323,  1594,  4546,
    1595,  1596,  1597,  2155,  1601,  1803,  1604,  1605,    50, -1248,
    2159, -1248,  1607,  1637,   981,  1621,  3485,  1638,  1640,  1801,
    1641, -2323,  1648, -2323, -2323, -2416,  3215,  4313,  4314,  1651,
    4316,  4115,  1652,  2160,  1653,  2161,  1654,  1655,  1268,  1656,
    1658,  1290,  1269,  1663,  1664,  1140,  1665,  1666,  3209,  1803,
    1668,  1673,  3210,  3211,  3212,  1678,  1703, -2323,  1731,  3536,
   -2323, -2323, -2323,  1736,  3331,  1738,  1739,  1745,  2155,  4181,
    1746,  3331, -1670, -1677,  1753,  1754,  1755,  1756,  1757,    50,
      39,  1759,  1813,  4174,  1760,  1814,  1815,  1816,  1761,  1817,
    1818,  1819,  1820,  1821,  1822, -1667, -1668,  1762, -1671,  1763,
    3455,  1764,  1766,  3392,  4391,  3393,  3394,  3395,  1767,  4121,
    2992,  1804,  1768,    43,  3258,  1769,  1805,  4124,  4125,  4126,
    4127,  1770, -1669,  1771,  1826,  1772,  1773,  1775,  1828,  1776,
    1777,  1778,  1830,  4163,  1779,  1780,  1794, -2416, -2416,  1795,
    1781,  1782,  1831,  1840,  3494,  1844,  1856,  1864,  1965,  1301,
    1994,  1303,  1808,    47,  2024, -2416,  4132,  1996,  2005,  2025,
   -2416,  2028,  2026,  2029,  2030,  2031,    48,  2032,  1801,  2033,
    2034,  3216,  3217,  3218, -2416,  3219,  3220,  3221,  3222,  3223,
    3224,  2040,  2059,  2065, -2416,  2071,  2093,    49,  2097,  2099,
    2101,  2100,  2102,  3527,  2104,  2105, -2416,  1810,  1803,  2120,
    2121,  4899,  2133,  2134,  3216,  3217,  3218,  2122,  3219,  3220,
    3221,  3222,  3223,  3224,  2145,  2967,  2149,  2152,  2151,  2153,
    2154,  2155,  2967,  2967,  2163,  2166,  2967,  2164,  2167,  2168,
    2173,  2237,  2174,  2967,  2182,  2192,  3555,  2184,  2188,  3214,
    2189,  1810,  3565,  2199,  2200,  2206,  3707,  2207,  1401,  3565,
    2211,   671,  2228,  2217,  2218,   981,   822,   981,   671,  2229,
    2230,  2233,  4358,  3269,  2238,  2234,  2255,  2256,  2257,  2263,
    2271,  3721,  2241,  2272,  2274,  2283,  2275,  2284,  2289,  1812,
    2292,  3603,  2293,  2276,  2296,  2297,   563,  2305,  2320,  2278,
    2325,  1452,  2342,  2350,  2300,  3626,  2338,  3540,  3159,  3215,
    2356,  2341,  2354,  2358, -2416,  2367,  2362,  2373,  2382, -2416,
    2375,  2376,  2397,  2399,  2380,  3171,  2384,  2381,  2400,  2402,
    2387,  2385,  2386, -2416,  3657,   981,  3177,  2401,  2388,  2419,
    2420,  2542,  3647,   180,  2450,  2456,  4262,  2482,  2469,  2510,
    4425,  2559,  2565,  1795,  2578, -2416,  2618,  2598,  2619,  4067,
    4068,  2633,  2647,  3678,  3674,   180,  4093,  2515,  2654,   767,
    2655,  2673,  4072,  2584,  2569,  2674,  4535,  2596,  2675,  2651,
    4281,  4282,  1813,  2650,  2664,  1814,  1815,  1816,  2692,  1817,
    1818,  1819,  1820,  1821,  1822,  2653,  2686,  2665,  2701,  2702,
    1810,  2714,  2715,  2704,  2736,  2676,  2716,  2733,  3805,  2738,
    2740,  2741,  2747,  2752,  2757,  2758,  2760,  2763,  2767,  2771,
    3306,  2779,  3306,  1320,  3574,  2780, -2416,  2783,  2796,  1109,
    3575,  2797,  2802,  1817,  1818,  1819,  1820,  1821,  1822,  1251,
    2818,  3576,  1255,  4907,  4908,  2813,  1794,  2819,   671,  1795,
    2832,  2837,  2838,  1796,  1797,  1798, -2325,  2874,  2865,  4323,
    4324,  4232,  3693,  2864,  3694,  2859,  2895,  2867,  3696,  3577,
    1799,  3578,  2877,  2880,  2938,  2949,  2960,  2962,  1801,  4632,
    2956,  2961, -2416,  2957,  1802,  2970,  2968,  3216,  3217,  3218,
    4632,  3219,  3220,  3221,  3222,  3223,  3224,  2969,  2971,  2972,
    2976,  3306,  2979,  2983,  2981,  2987,  3007,  3032,  1803,  2988,
    2995,  3021,  3025,  3023,  3038,   761,  3041,  3048,  3786,  3046,
    3924,  3049,  3727,  3047,  3058,  3061,  3060,  3064,  3065,  3078,
    3079,  3081,  3083,   761,  3082,  3085,  3090,  3088,  3093,  3107,
    1630,  3109,  3094,  3123, -2325,  3331,  3091,  3092,  3579,  3813,
    3814,  3815,  3816,  4404,  3118,  3128,  4405,  4406,  3120,  3127,
    1786,  3124,  3099,  3108,  3132,  4689,  3135,  3136,  3137,  3138,
    3147,  2483,  4410,  4979,  4980, -2416,  3820,  3150,  3823,  2663,
    3151,  4230,  1817,  1818,  1819,  1820,  1821,  1822,  1674,  3140,
    3149,  3158,  3161, -2325,  3166,  3168,  3172,  1106,  3173,  3389,
    3175,  3176,  3178,  3194,  2542, -2325,  3580, -1929,  3191,  3205,
   -2325,  3581,  3192,  3193,  1804, -2325,  3401,  3198,  3199,  1805,
   -2325,  3201,  3204, -2325,  3227,  4007, -2325,  3243,  4010,  3233,
    2425,  3260,  3277,  3240,  3337,  3282,  3254,  3268,  3278,  3255,
    1806,  1807,  3308, -2339,  3280,  3281,  3339,  3341,  3343,  3347,
    3582,  3360,  3368,  3284, -2325,  1808,  3333,  3379,  3354,  3370,
    3371,  3382,  3384,  3391,  3583,  3313,  3407,  3408,  3418,  3420,
    4769,  3425,  3426,  3375, -2325,  3376,  3427,  3437,  4345,  3438,
    3424,  3440,  3448,  3446,  3466,  3447,  3456,  1809,  3487,  3491,
    4271,  3492,  3489,  3495,  3514,  3498,  3499,  3509,  3497,  3507,
    1810,  3508,  3510,  1811,  3512,  3511,  3513,  3515,  3516,  3517,
    3478,  3519,  3480,  3518, -2325,  3520, -2325,  3521,  3522,  3523,
    3528,  3526, -2325,  3565,  3530,  3532,  2226,  3541,  4074,  3547,
    3548, -2339,   671,  3550,  3557,  3567,  3570,  3534,  4535,  3597,
    3615,  3918,  3919,  3920,  3921,  3598,  3613,  3617,  3619,  4695,
    3641,  3645,  3584,  4309,  3604,  3642,  3988,  3646,  4458,  3989,
    3627,  3990,  3628,  3636,   671,  4473,  4483,  3638,  3650,  4677,
    3662,  3649, -2325,  3525,  4548,  3673,  4680,  1623,  3681,  3682,
   -2339,  3700,  1812,  3684,  3701,  3711,  3702,  3688,  3987,  3703,
    3690,  3713, -2339,  3714,  3715,  4622,  3723, -2339,  3539,  3726,
    3728,  4685, -2339,  4687,  3732,  2967,  1748, -2339,  3230,  3209,
   -2339,  2967,  2967, -2339,  2967, -1928,  3229,  3766,  3782,  3793,
    3555,   685,  3146,  3706,   768,  3794,  1794,  3767,  3741,  1795,
    3768,  3774,  1094,  1095,  1788,  3822,  3849,  3797,  3806,  3869,
    3872, -2339,  3844,  3877,  3893,  4617,  3887, -2325,  3914,  3916,
    3812,  3917,  3922,  3930,  3929,  3830,  3859,  3846,  1801,  3861,
    3864, -2339,  3862,  3863, -2416,  3932,  3931,  3934,  3936,  3945,
    3960, -2325,  3948, -2325, -2325,  1813,  3963,  3961,  1814,  1815,
    1816,  3962,  1817,  1818,  1819,  1820,  1821,  1822,  1803,  3973,
    2814,  3974,  3982,  3975,  3976,  3200,  3981,  3977,  3985,  3978,
    3984, -2339,  3994, -2339,  4811,  4813,  3995, -2325,  4805, -2339,
   -2325, -2325, -2325,  4104,  4002,  4017,  4019,  4021,  3940,  4047,
    4659,  3676,  4024,  4031,  4030,  1362,  4100,   180,  4033,  4034,
    4037,  4057,  4046,  4064,  3664,  4054,  4574,  4062,  4070,  4939,
    4077,  4078,  4080,  2438,  4081,  4086,  4110,  4097,  4098,  4111,
     853,  4116,  4117,  3798,  4113,  4114,  3306,  4119,  1363, -2339,
    3306,  4120,  4137,  4128,  4133,  4690,  4139,  4491,  4140,  4144,
     680,  4145,   682,  4159,  4147,  4150,   688,  4627,  4155,   671,
    4160,   702,   710,   680,  4164,   717,  4165,  4143,   710,   710,
    4143,   746,  4143,   749, -2416,  4697,  4168,  4166,  4761, -2416,
    4167, -1930,  4939,  4172,  4187,  4199,  4204,  4200,   685,  4202,
    4770,  4512,  4880,  4205,  4212,  4772,  1365,  4774,  4213,  4218,
    4217,  4939,  4220,  4221,  3733,  4223,  4224,  4225,  4238,  4231,
    4250,  4241,  4243,  4245, -2339, -2416,  4251,  4259,  4283,  1140,
    4276,  4277,  3209,  4507,  4284,  3742,  3210,  3211,  3212,  1366,
    4285,  4306,  4296,  4308,  4311,  4312,  4317,  4299, -2339,  4325,
   -2339, -2339,  4330,  4182,  4338,  4339,  4346,  3331,  4351,  4356,
    3765,  4355,  4357,  4359,  4290,  4362,  4377,  4365,  4367,  4386,
    1810,  4384,  4387,  4388,  1367,  4389,  4300,  4397,  4402,  4408,
    4409,  4418,  4428,  4805, -2339,  4419,  4426, -2339, -2339, -2339,
    1140,  4421,  4429,  3209,  1729,  4437,  4430,  3210,  3211,  3212,
    4451,  4431,  3297,  4471,  4477,  4485,  3297,  1368,  4444,  4455,
    4480,  4496,  4475,  4227,  4499,  4229,  4530,  4481,  4549,  4500,
    4509,  4925,  4551,  4514,  4053,  4560,  4515,  4519,   804,   809,
     809,   812,  4558,   809,  4561,   818,  1370,   804,  4563,   746,
    4564,  4579,   855,  4565,  4244,  4233,   180,  4584,   746,  4585,
    4586,   746, -2416,  4589,  4591,   809,  4594,   746,  4595,  4606,
    4608,  4609,  4610,  4623,  4626,  4630,  4635,  4638,  4669,  4647,
    4671,  4712,  1794,  4348,    34,  1795,  2113,  4643,  1372,  1796,
    1797,  1798,  4642,  4645,  4662,  1373,  4651,  4722,  4684,  4717,
    4721,  4724,  1374,  4729,  4742,  4735,  1799,  4741,  4743,  4750,
    2114,  4753,  4751,  4752,  1801,   671,  4760,  4777,  4759,  4776,
    1802,  4767,  1376,  4773,  4780,  4781,   982,  4792,  4796,  4678,
    1377,  4810,  4816,  3214,  4817,  4820,  4822,  4293,  4294,  4278,
    4783,  4825,  4297,  4298,  1803,  3565,  4830,  1794,  4828,  4831,
    1795,  4838,  3146,  4839,   671, -2416,  4840,  4846,  4855,  4847,
    4869,  4874,  1817,  1818,  1819,  1820,  1821,  1822,  3807,  4881,
    4818,  4889,  4819,  4910,  4916,  4867,  4929,  4950,  4888,  1801,
    4954,  4893,  4961,  4960,  1378, -2416,  4320,  4321,  4788,  4951,
    4948,  4949,  4964,  3215, -2416,  2967,  4973,  2967,  2967,  4920,
    4974,  2967,  4968,  4969,  2239,  4975,  4976,  4977,  1431,  1803,
    3027,  1863,  1292,  1456,  3323,  1455,  2863,  3433,  3951,  1386,
    1140,  2948,  4040,  3209,  3556,  3306,  4706, -2416, -2416, -2416,
    3306,  4804,  4927,  4588,  4066,  3306,   853,  4343,  3306,  4453,
    4590,  4573,  3373,  3134,  4870,  4369,  4489,  4923,  4315,  4823,
    1804,  4821,  4887,  3378,  3215,  1805,  3146,  4101,  3146,  4085,
    4061,  3005,  3306,  4319,  3949,  3006,  3450,  4371,   180,  3331,
    4073,  4360,  2996,  2317,  4390,  3306,  1806,  1807,  4928,  4785,
     853,  3623,  4978,  4965,  4562,   982,  3571,  3568,  4891,  4513,
    4798,  1808,  1794,  2299,  4875,  1795,   687,  4516,  4657,  1796,
    1797,  1798,  4134,  2707,  4143,  4107,  1733,  3361,  4143,  4143,
    4748,  4143,  2478,  1723,  4303, -2416,  1799,  1057,  4901,  4511,
   -2416,  4089,  3529,  1809,  1801,  4967,  2658,  2476,  2477,  1264,
    1802,  4372,  2659,   983,  2429,  2039,  1810,  4234,  4864,  1811,
    4069,  3329,  3881,  1991,  2685,  3338,  3336,  1962,  1990,  1836,
    3860,  4860,  4228,  4775,  1803,  2684, -2416,  3825,  3340,  1995,
    4198,  4637,   822,  4210,  3821,  2000,  3882,  4766,  4765,  3683,
    2374,  3216,  3217,  3218,  4621,  3219,  3220,  3221,  3222,  3223,
    3224,  3776,  4474,  4862,  4854,  4863,  3297,  3332,  2623,  3275,
    3325,  3297,  3186,  3273,  3297,  2632,     0,   890,     0,     0,
       0,  1810,     0,   746,     0,   804,     0,     0,   809,     0,
     812,     0,   809,     0,     0,  3306,     0,     0,  1812,   855,
    4482,     0,     0,   957,     0,     0,     0,     0,     0,     0,
     809,     0,  3216,  3217,  3218,     0,  3219,  3220,  3221,  3222,
    3223,  3224,     0,     0,     0,     0,     0,  3565,     0,     0,
       0,     0,     0,     0,   804,     0,   671,     0,     0,   812,
    1804,     0,  4476,     0,   804,  1805,     0,     0,   855,     0,
     982,     0,     0,     0,  3215,     0,     0,  3306,     0,     0,
       0,     0,     0, -2416,     0,   809,  1806,  1807,     0,  2967,
       0,     0,     0,     0,     0,  4492,  4493,  4493,     0,     0,
       0,  1808,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1813,     0,     0,  1814,  1815,  1816,     0,  1817,  1818,
    1819,  1820,  1821,  1822,     0,     0,     0,     0,     0,     0,
    1729,  3250,     0,  1809,   746,     0,     0,     0,     0,     0,
    4578,   180,     0,     0,     0,     0,  1810,   746,     0,  1123,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4599,   180,  1236,
    1236,     0,   746,   710,     0,     0, -2416,   710,     0,  1794,
       0,     0,  1795,  1817,  1818,  1819,  1820,  1821,  1822,  4723,
       0,   746,     0,     0,     0,   746,     0,     0,     0,   761,
       0,  1236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1801,     0,   746,     0,     0,     0, -2416,   761,     0,
       0,     0,     0,     0,     0,   746,     0,     0,  1812,     0,
       0,  4600,  1794,  3297,     0,  1795,     0,     0,     0,     0,
       0,  1803,     0,     0,  1786,     0,     0,     0,   853,     0,
    4263,     0, -2416, -2416, -2416,  3306,  3219,  3220,  3221,  3222,
    3223,  3224,     0,  1786,  1801,     0,     0,  3070,   746,     0,
   -2416,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3306,  4280,     0,     0,   746,     0,  1362,     0,     0,   809,
     809,     0,     0,     0,  1803,     0,     0,     0,     0,   981,
       0,     0,  4295,  4699,     0,     0,  3801,     0,   671,     0,
       0,     0,     0,  4707,   710,   710,     0,     0,     0,  1363,
       0,  1813,     0,     0,  1814,  1815,  1816,     0,  1817,  1818,
    1819,  1820,  1821,  1822,     0,     0,     0,     0,     0,     0,
     804,     0,     0,     0,     0,     0,     0, -2416,     0,     0,
       0,   804, -2416,     0,     0,   855,     0,     0,     0,  3802,
    4322,  4834,     0,     0,     0,     0,     0,  4736,   180,     0,
     809,  4686,     0,  4688,     0,     0,     0,  1365,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -2416,     0,
     746,     0,  1794,     0,  3146,  1795,     0,   809,   809,     0,
   -2416,     0,     0,     0,     0, -2416,     0,     0,     0,     0,
    1366,     0,     0,     0,   746,   746,   746,     0,   809,  4873,
     804,     0,     0,     0,  1801,     0,     0,     0,     0,     0,
   -2416,     0,     0,  1810,     0,     0,     0,     0,     0,     0,
    3071, -2416,     0,     0,     0,  1367,     0,     0,     0,  4396,
       0,     0,     0,     0,  1803,     0,     0,     0,   981,     0,
       0,     0,  4808,     0,  4809,     0,  3306,     0,  4814,  4815,
       0,     0,   822,   822,     0,     0,     0,     0,  1368,     0,
       0,     0,     0,     0,     0,     0,  1810,   809,     0,   809,
     809,     0,     0,     0,     0,  1729,     0,     0,     0,     0,
       0,     0,     0,     0,  4493,     0,     0,  1370,     0,     0,
       0,     0,     0,     0,     0, -2416,     0,  1236,     0,  4185,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    34,     0,  1706,  1706,  1372,
       0,     0,   746,     0,   680,     0,  1373,     0,     0,     0,
   -2416,     0,     0,  1374,     0, -2416,     0,     0, -2416,     0,
       0,  2114,     0,  4829,     0,  1737,     0,     0,   746,     0,
       0,  1743,     0,  1376,     0,     0,     0,     0,     0,     0,
    4971,  1377,     0,     0,  1236,     0,     0,     0,     0,     0,
       0, -2416,   822,   822,     0,     0,     0,     0, -2416,     0,
       0,  3073,  4892,   180,     0,  1817,  1818,  1819,  1820,  1821,
    1822,     0,     0,  1236,     0,     0,  4906,   180,  4903,   184,
    4904,  4905,     0,     0,     0,     0,  4947,     0,     0,     0,
       0,     0,     0,   981,     0,  1378,  1810,  4877,     0,  3074,
    3664,  1236,  1236,  1236,     0,  1236,     0,  4938,     0,     0,
       0, -2416,     0,     0,  2073,     0,  4937,     0,  1817,  1818,
    1819,  1820,  1821,  1822,     0,  1236,     0,     0,     0,     0,
    4906,  4946,  4903,   184,  4904,  4905,     0,     0,     0,     0,
    1793,     0,     0,     0,     0,  1794,     0,  2074,  1795,     0,
       0,     0,  1796,  1797,  1798,     0,     0,     0,     0,     0,
    2075,     0,     0,   746,     0,     0,  1236,     0,  4926,  1799,
    4938,     0,  1800,     0,  2076,     0,     0,  1801, -2416,  4937,
       0,     0,     0,  1802,     0,     0,     0,     0,     0,  4938,
    4906,   180,  4903,   184,  4904,  4905,  1236,     0,  4937,     0,
    1236,  1236,     0,     0,     0,  1729,     0,  1803,     0,     0,
       0,   746,   746,  2004,  2077,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2078,     0,  2486,     0,     0,
       0,     0,     0,   710,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3525,     0,  2079,     0,     0,     0,     0,
    2080,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2103,     0,
       0, -2416,     0,   710,  2487,     0,     0,     0,  1817,  1818,
    1819,  1820,  1821,  1822,     0,     0,   746,  2129,     0,     0,
       0,     0,     0,     0,     0,   746,  1729,     0,   809,     0,
    1729,  1729,     0,     0,     0,  2488,     0,     0,     0,     0,
       0,     0,     0,  1804,     0,     0,     0,     0,  1805,  2081,
     855,     0,   746,     0,     0,     0,     0,  2489,     0,     0,
     746,     0,     0,   746,     0,     0,     0,     0,  2490,  1806,
    1807,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2082,     0,     0,  1808,     0,     0,   746,  2491,     0,
       0,     0,     0,  2492,     0,   809,   809,   809,   809,   746,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     710,     0,   206,   746,     0,     0,  1809,     0,     0,     0,
       0,     0,  4749,     0,  2251,     0,   746,     0,     0,  1810,
       0,     0,  1811,     0,     0,     0,     0,     0,   809,   809,
       0,  2493,     0,     0,     0,     0,  2083,   809,     0,     0,
       0,     0,  2084,     0,     0,  2085,     0,   809,     0,     0,
       0,     0,  2494,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   746,     0,     0,     0,
       0,     0,     0,     0,  2086,   809,   809,   809,   809,     0,
       0,  2087,     0,     0,     0,     0,     0,   746,  2088,     0,
       0,     0,     0,     0,   746,  2089,     0,  2251,     0,     0,
       0,  1812,     0,     0,     0,     0,     0,   804,     0,  1794,
       0,     0,  1795,     0,   812,   206,  1796,  1797,  1798,  1236,
    2090,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1799,     0,     0,     0,     0,     0,     0,
       0,  1801,  2495,     0,     0,   834,     0,  1802,     0,  2496,
       0,     0,     0,     0,   864,  2497,   804,     0,     0,     0,
       0,     0,     0,   879,     0,     0,   855,     0,     0,     0,
     809,  1803,     0,   809,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   809,     0,     0,     0,  2498,     0,     0,
    2499,   809,   809,     0,  1813,     0,   746,  1814,  1815,  1816,
       0,  1817,  1818,  1819,  1820,  1821,  1822,     0,  2500,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1706,     0,     0,     0,     0,     0,     0,   809,     0,
     804,     0,     0,  2501,   746,   746,     0,   809,     0,     0,
       0,     0,     0,     0,   746,     0,     0,     0,     0,     0,
       0,   746,     0,     0,     0,     0,   680,   680,     0,     0,
    2485,     0,     0,     0,  1236,     0,  1236,     0,     0,     0,
       0,  1236,  1236,     0,     0,     0,     0,  1804,  1236,  1236,
    1236,     0,  1805,     0,  1236,   855,  1236,  1236,  1236,  1236,
    1236,  1236,     0,  1236,     0,  1236,  1236,     0,     0,  1236,
       0,     0,     0,  1806,  1807,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1236,  1236,  1236,  1236,  1808,     0,
       0,   809,  1236,     0,     0,     0,  1236,     0,     0,  1236,
       0,     0,  1236,  1236,  1236,  1236,  1236,  1236,  1236,  1236,
    1236,     0,  1236,     0,     0,     0,     0,     0,   746,  1236,
    1809,  1236,     0,     0,  1389,     0,     0,     0,   746,     0,
    1390,     0,     0,  1810,     0,     0,  1811,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1391,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1812,     0,     0,     0,  1392,
       0,   891,  1393,     0,     0,     0,   892,     0,  1794,  1394,
       0,  1795,  1395,     0,     0,  1796,  1797,  1798,     0,     0,
       0,     0,     0,     0,     0,   746,     0,   746,     0,  1236,
       0,     0,  1799,     0,     0,     0,     0,  1396,     0,   893,
    1801,     0,     0,   888,     0,     0,  1802,     0,     0,   929,
       0,     0,   894,   895,     0,     0,     0,     0,     0,     0,
       0,     0,   896,     0,   746,     0,   897,     0,  1397,     0,
    1803,  2693,     0,  2700,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   898,     0,     0,     0,  1813,     0,
       0,  1814,  1815,  1816,     0,  1817,  1818,  1819,  1820,  1821,
    1822,     0,   812,     0,     0,  2568,   899,     0,     0,     0,
       0,   680,     0,   680,     0,     0,     0,   900,     0,     0,
       0,     0,     0,     0,     0,   901,  1398,     0,  1399,     0,
    1236,     0,     0,     0,     0,     0,     0,   902,  1400,     0,
       0,   804,   903,   809,   809,     0,  1401,     0,   804,     0,
     855,     0,   809,     0,   809,     0,  1402,     0,   809,     0,
       0,   746,     0,     0,     0,   904,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1804,     0,     0,     0,
       0,  1805,   710,     0,     0,     0,     0,     0,     0,     0,
     905,  1403,  2129,  1121,  1404,  1405,     0,     0,     0,     0,
    2816,     0,  1806,  1807,     0,     0,     0,  2827,     0,     0,
       0,   906,     0,     0,     0,     0,   746,  1808,  1243,     0,
       0,  1406,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   746,  1266,     0,     0,
       0,  2872,  2872,   907,     0,     0,     0,     0,     0,  1809,
     812,     0,     0,     0,     0,     0,     0,     0,     0,  1293,
       0,  3070,  1810,     0,   908,  1811,     0,   809,     0,     0,
       0,     0,     0,     0,   206,     0,     0,     0,     0,     0,
    1362,     0,     0,     0,  1407,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2937,     0,  2940,  2942,     0,     0,
       0,   909,     0,     0,     0,     0,   910,     0,   911,     0,
       0,     0,     0,  1363,   912,     0,     0,   913,     0,     0,
       0,     0,     0,   809,     0,     0,     0,     0,     0,     0,
    1417,   809,     0,   809,     0,     0,     0,     0,     0,   809,
       0,     0,     0,     0,  1812,     0,   914,     0,     0,   915,
       0,  1236,     0,   916,     0,     0,     0,     0,     0,     0,
     917,     0,   918,     0,     0,  2129,     0,   919,  2872,     0,
     746,  1365,     0,  3028,     0,     0,   680,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   920,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2937,     0,  1366,     0,     0,     0,     0,     0,
       0,   809,  3054,     0,     0,     0,     0,     0,     0,  1794,
       0,     0,  1795,     0,     0,     0,  1796,  1797,  1798,     0,
       0,     0,     0,     0,  3071,  1236,  1541,  1813,     0,  1367,
    1814,  1815,  1816,  1799,  1817,  1818,  1819,  1820,  1821,  1822,
    3098,  1801,     0,     0,  3569,     0,     0,  1802,     0,     0,
    1571,  1574,  1575,     0,     0,   809,     0,   809,  2872,   809,
    2872,     0,  1368,     0,     0,     0,     0,     0,     0,     0,
       0,  1803,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1236,     0,     0,     0,     0,     0,     0,
       0,  1370,     0,     0,     0,     0,  1706,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    34,
       0,     0,     0,  3072,   746,     0,     0,     0,     0,     0,
    1373,     0,     0,     0,   804,     0,     0,  1374,     0,     0,
     804,     0,     0,     0,     0,  2114,     0,     0,     0,     0,
       0,   809,     0,     0,     0,     0,     0,  1376,  1236,     0,
       0,     0,     0,  1236,     0,  1377,     0,  1804,     0,     0,
       0,     0,  1805,     0,  1389,     0,     0,     0,  1243,     0,
    1390,     0,     0,     0,     0,  3073,  1236,  1236,  1236,     0,
       0,  1236,     0,  1806,  1807,     0,     0,     0,     0,  1236,
    1236,  1236,  1236,     0,  1243,     0,     0,     0,  1808,     0,
       0,     0,  1236,     0,     0,  1236,     0,  1236,     0,  1378,
    1391,     0,     0,  3074,     0,     0,     0,     0,  1236,  1236,
       0,     0,  1236,     0,     0,     0,     0,     0,     0,     0,
    1809,     0,     0,     0,   855,     0,  1236,     0,  1236,     0,
    1236,     0,     0,  1810,     0,     0,  1811,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2169,
    1236,     0,  1393,     0,   746,     0,     0,     0,     0,  1394,
       0,  3307,  1395,  1236,  1236,  1236,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1236,     0,     0,     0,     0,     0,  1396,     0,     0,
       0,     0,     0,  1236,     0,     0,     0,     0,  1236,     0,
       0,     0,     0,     0,  1236,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3307,  1812,  -130,  3346,  1397,  1865,
    3349,     0,  2700,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     1,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     2,     0,     3,     4,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     5,     0,     0,  1236,     0,  2872,     0,  2002,     0,
       0,  1706,     0,     0,     0,     0,  1398,     0,  1399,     0,
       0,     6,     0,     7,     8,     0,     0,     0,  1400,     9,
       0,    10,     0,     0,     0,     0,  1401,   809,     0,   809,
     809,   809,    11,     0,    12,     0,  1402,     0,  1813,     0,
       0,  1814,  1815,  1816,     0,  1817,  1818,  1819,  1820,  1821,
    1822,    13,     0,     0,    14,  3734,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    15,     0,    16,
       0,  2170,  2123,    17,  1404,  1405,     0,     0,     0,    18,
       0,  2146,     0,     0,     0,     0,     0,    19,     0,    20,
       0,     0,     0,     0,     0,    21,     0,     0,     0,     0,
       0,  2171,     0,     0,     0,     0,     0,     0,  2181,     0,
      22,     0,     0,     0,     0,     0,  2187,     0,     0,  2190,
       0,     0,     0,     0,     0,     0,    23,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   746,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1794,
       0,     0,  1795,     0,     0,  2225,  1796,  1797,  1798,     0,
       0,     0,     0,     0,  1407,    24,    25,     0,     0,  2240,
       0,    26,     0,  1799,     0,     0,     0,     0,     0,     0,
       0,  1801,  2252,    27,     0,     0,     0,  1802,     0,     0,
       0,     0,     0,     0,    28,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1803,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   809,     0,     0,     0,     0,     0,     0,  2872,  2872,
       0,     0,  2303,     0,    29,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    30,     0,     0,     0,
       0,    31,    32,  2337,    33,     0,     0,     0,     0,    34,
    2349,     0,     0,     0,    35,   746,   746,    36,     0,     0,
       0,     0,    37,     0,     0,     0,     0,    38,    39,     0,
       0,   746,     0,     0,     0,    40,     0,     0,     0,    41,
       0,     0,     0,     0,     0,     0,  1706,   746,     0,    42,
       0,     0,     0,     0,     0,  1706,   746,   746,     0,     0,
       0,    43,     0,     0,     0,     0,     0,  1804,     0,     0,
       0,     0,  1805,   746,     0,     0,     0,     0,     0,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      45,     0,     0,  1806,  1807,     0,    46,     0,     0,     0,
       0,    47,     0,     0,     0,     0,     0,     0,  1808,     0,
       0,     0,  2427,     0,    48,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   809,     0,   809,     0,
       0,     0,   809,     0,     0,    49,     0,     0,     0,     0,
    1809,     0,     0,     0,     0,     0,     0,     0,   804,    50,
    1243,  1243,  -130,  1810,     0,     0,  1811,     0,   746,     0,
       0,     0,     0,     0,     0,     0,     0,  2475,     0,   593,
       0,     0,     0,     0,   746,   639,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   690,   809,     0,     0,     0,
       0,     0,     0,  1236,     0,     0,     0,     0,     0,     0,
       0,     0,  1236,     0,   758,   758,     0,     0,  1236,     0,
    1236,     0,     0,  1236,     0,     0,     0,     0,  1236,  1236,
    1236,  1236,     0,     0,  1236,  1236,  1236,  1236,  1236,  1236,
    1236,  1236,  1236,  1236,     0,  1812,  1389,  1236,  1236,     0,
       0,  1794,  1390,     0,  1795,     0,     0,  1236,  1796,  1797,
    1798,  1236,     0,     0,     0,  1236,     0,     0,     0,     0,
       0,     0,     0,  1236,  2631,  1799,  1236,     0,  1236,     0,
       0,     0,     0,  1801,  2646,     0,     0,  1236,     0,  1802,
    1236,  1236,  1391,     0,     0,  1236,  1236,     0,     0,     0,
    3809,     0,  1236,     0,     0,     0,     0,     0,     0,   746,
     746,   746,   804,  1803,  3307,  3829,     0,     0,     0,  3829,
    3843,     0,     0,  1389,     0,     0,  1236,     0,     0,  1390,
       0,     0,  1236,  1236,  1236,     0,     0,     0,  1813,     0,
       0,  1814,  1815,  1816,  1393,  1817,  1818,  1819,  1820,  1821,
    1822,  1394,     0,     0,  1395,  3785,     0,     0,     0,  1236,
       0,     0,     0,   817,     0,     0,     0,     0,     0,  1391,
    2700,   857,  1236,     0,   861,   862,     0,   865,     0,  1396,
     871,     0,   873,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3901,  1706,  1706,     0,  2251,     0,     0,
       0,  2657,     0,  2660,     0,     0,     0,     0,     0,     0,
    1397,     0,     0,     0,     0,   809,   809,   809,   809,  1804,
       0,  1393,     0,     0,  1805,     0,     0,     0,  1394,     0,
       0,  1395,     0,     0,     0,     0,     0,     0,     0,     0,
    1243,     0,     0,     0,  2129,  1806,  1807,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1396,     0,  3947,     0,
    1808,     0,     0,     0,     0,     0,     0,     0,  1398,     0,
    1399,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1400,     0,     0,     0,     0,     0,     0,  1397,  1401,     0,
       0,     0,  1809,     0,     0,     0,     0,     0,  1402,     0,
       0,     0,     0,     0,     0,  1810,     0,     0,  1811,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1794,     0,     0,  1795,
       0,     0,     0,  1796,  1797,  1798,  1404,  1405,     0,     0,
       0,     0,     0,     0,     0,  1398,     0,  1399,  4025,     0,
    1799,     0,     0,     0,     0,     0,     0,  1400,  1801,     0,
       0,     0,     0,  1406,  1802,  1401,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1402,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1812,  1803,     0,
       0,   746,  2839,   809,     0,  1236,     0,     0,     0,     0,
       0,   746,     0,     0,     0,     0,     0,  4060,     0,     0,
    1460,     0,  2866,  1404,  1405,     0,  2129,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1407,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   746,     0,     0,     0,
    1461,     0,     0,     0,     0,     0,  2937,     0,     0,     0,
       0,     0,     0,     0,  4094,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   746,     0,     0,     0,  2251,     0,
       0,     0,  1236,  1236,     0,     0,     0,     0,     0,     0,
    1813,     0,     0,  1814,  1815,  1816,     0,  1817,  1818,  1819,
    1820,  1821,  1822,     0,  1804,     0,     0,  3868,     0,  1805,
       0,     0,     0,  1407,     0,     0,  2872,     0,  2872,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   746,     0,
    1806,  1807,     0,     0,   932,     0,     0,     0,     0,     0,
       0,     0,   940,     0,     0,  1808,     0,     0,     0,   953,
       0,     0,   958,   959,     0,     0,  3024,   961,  1236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   978,  1236,
       0,     0,     0,  3070,     0,     0,     0,  1809,     0,     0,
       0,     0,     0,   987,     0,     0,     0,     0,     0,     0,
    1810,     0,  1362,  1811,     0,     0,     0,     0,  1047,  1236,
    1051,     0,     0,  1053,     0,  1055,     0,     0,  1059,  1236,
    1236,     0,     0,     0,     0,     0,  1236,  1236,     0,     0,
       0,  1236,     0,     0,     0,  1363,  1236,     0,     0,  1236,
    1236,     0,     0,     0,  1236,  4190,     0,     0,     0,     0,
    1236,   746,   746,   746,   746,     0,     0,     0,  3829,  3843,
       0,  3829,     0,     0,  4201,     0,     0,     0,  3307,     0,
       0,     0,  3307,     0,     0,     0,     0,     0,  4216,     0,
       0,     0,  1812,     0,  1236,     0,  1122,     0,     0,  1236,
       0,     0,     0,  1365,     0,  1236,     0,     0,     0,     0,
       0,     0,   855,     0,     0,     0,     0,     0,     0,     0,
    1236,     0,     0,  3346,     0,     0,     0,     0,  2700,     0,
       0,     0,     0,     0,     0,     0,  1366,     0,     0,     0,
       0,   680,     0,     0,  1236,     0,     0,     0,     0,     0,
    3163,   758,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2872,  2872,  3071,     0,     0,     0,
       0,  1367,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2129,     0,     0,  1813,     0,     0,  1814,  1815,
    1816,  4279,  1817,  1818,  1819,  1820,  1821,  1822,     0,     0,
       0,     0,  3895,     0,  1368,     0,     0,     0,     0,     0,
    1794,  1353,     0,  1795,     0,     0,     0,  1796,  1797,  1798,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1236,  1370,  1799,     0,     0,     0,     0,     0,
       0,     0,  1801,     0,     0,     0,     0,     0,  1802,     0,
       0,     0,   809,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   809,     0,     0,
       0,    34,  1803,     0,     0,  1372,  1489,     0,     0,     0,
       0,  1389,  1373,     0,     0,     0,     0,  1390,     0,  1374,
       0,     0,  1502,     0,  1236,     0,  1362,  2114,     0,     0,
    3290,     0,     0,     0,  1513,   804,  1514,     0,     0,  1376,
    2129,     0,     0,     0,  1517,     0,     0,  1377,  1706,     0,
       0,     0,     0,     0,     0,     0,  1523,  1391,     0,  1363,
       0,  1532,     0,     0,  1536,   809,  3054,  3073,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1794,     0,     0,  1795,     0,     0,  1364,
    1796,  1797,  1798,     0,   746,     0,     0,     0,     0,  1581,
       0,  1378,     0,     0,     0,  3074,     0,  1799,  1804,  1393,
       0,     0,     0,  1805,     0,  1801,  1394,  1365,     0,  1395,
       0,  1802,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1236,  1806,  1807,     0,     0,     0,     0,
       0,     0,  1236,     0,  1396,  1803,     0,     0,  1794,  1808,
    1366,  1795,     0,     0,     0,  1796,  1797,  1798,     0,  1236,
    1236,     0,     0,  1236,     0,     0,     0,     0,     0,     0,
       0,     0,  1799,     0,     0,  1397,     0,   804,  3829,     0,
    1801,  1809,  3307,     0,     0,  1367,  1802,  3307,     0,     0,
    3307,   804,     0,  2937,  1810,  4457,     0,  1811,  1236,  1236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1803,     0,     0,     0,  3901,     0,     0,     0,  1368,     0,
       0,     0,     0,     0,     0,     0,     0,  3901,   855,   809,
     809,   809,     0,  1398,  1724,  1399,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1400,  1369,  1370,     0,     0,
       0,  1804,     0,  1401,     0,     0,  1805,     0,     0,     0,
       0,     0,     0,  1402,     0,     0,     0,     0,     0,     0,
       0,   804,   855,     0,     0,     0,  1812,  1806,  1807,     0,
       0,  1371,     0,     0,  3486,    34,     0,     0,     0,  1372,
       0,     0,  1808,     0,     0,     0,  1373,     0,  1486,     0,
       0,  1404,  1405,  1374,     0,     0,     0,     0,     0,     0,
       0,  1375,  1389,     0,   804,     0,  1804,   746,  1390,     0,
       0,  1805,     0,  1376,  1809,     0,     0,  4060,  1487,     0,
       0,  1377,     0,   746,     0,  2872,     0,  1810,     0,     0,
    1811,  2129,  1806,  1807,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4094,     0,     0,  1808,  1391,     0,
       0,     0,     0,     0,     0,   809,   746,  3901,     0,  1813,
       0,     0,  1814,  1815,  1816,     0,  1817,  1818,  1819,  1820,
    1821,  1822,     0,     0,     0,  1378,  4151,     0,     0,  1809,
       0,  1407,     0,     0,     0,     0,  1236,     0,     0,  1236,
       0,  1236,  1810,     0,     0,  1811,     0,     0,     0,     0,
    1393,  3595,  3596,   758,  1964,     0,     0,  1394,     0,  1812,
    1395,     0,     0,     0,     0,  1236,     0,  3605,     0,  3307,
       0,     0,  1389,  4457,     0,     0,     0,     0,  1390,     0,
    1236,     0,     0,  3622,     0,  1396,     0,     0,     0,  4650,
       0,     0,  3631,  3633,     0,     0,     0,     0,     0,  1236,
       0,     0,     0,  1794,     0,     0,  1795,     0,     0,  3651,
    1796,  1797,  1798,     0,   746,     0,  1397,     0,  1391,     0,
       0,     0,     0,     0,  1812,  2092,     0,  1799,     0,     0,
       0,     0,     0,     0,     0,  1801,     0,  1236,     0,     0,
       0,  1802,     0,     0,   809,   809,   809,   809,     0,     0,
       0,     0,  1813,     0,     0,  1814,  1815,  1816,     0,  1817,
    1818,  1819,  1820,  1821,  1822,  1803,     0,     0,     0,  4186,
    1393,     0,     0,     0,  1398,  1794,  1399,  1394,  1795,     0,
    1395,   804,  1796,  1797,  1798,     0,  1400,     0,     0,  2180,
       0,     0,     0,     0,  1401,     0,     0,   746,     0,  1799,
       0,     0,  1236,     0,  1402,  1396,     0,  1801,     0,     0,
    1243,     0,     0,  1802,     0,     0,     0,  1813,     0,     0,
    1814,  1815,  1816,     0,  1817,  1818,  1819,  1820,  1821,  1822,
       0,     0,     0,     0,  4416,     0,  1397,  1803,     0,  2094,
       0,     0,  1404,  1405,  1236,     0,     0,   804,     0,     0,
       0,     0,     0,     0,     0,     0,  1236,     0,     0,     0,
       0,  1236,     0,  1236,     0,  1236,     0,  1389,     0,  2095,
       0,  1804,  3901,  1390,     0,     0,  1805,     0,   809,     0,
     855,     0,     0,     0,     0,     0,     0,     0,     0,  1236,
       0,     0,     0,     0,  1398,     0,  1399,  1806,  1807,     0,
       0,     0,     0,     0,     0,  2295,  1400,     0,     0,     0,
       0,     0,  1808,  1391,  1401,     0,     0,     0,     0,     0,
    1706,  1706,     0,     0,  1402,     0,     0,     0,     0,     0,
       0,     0,  1407,  1028,     0,  3817,  3818,  3819,     0,     0,
       0,     0,     0,  1804,  1809,     0,     0,   809,  1805,     0,
       0,     0,     0,   804,  1028,     0,     0,  1810,     0,  2809,
    1811,     0,  1404,  1405,     0,  1393,     0,     0,     0,  1806,
    1807,     0,  1394,     0,     0,  1395,     0,     0,     0,     0,
    1236,  1236,     0,     0,  1808,  2937,     0,     0,     0,  1406,
       0,  1236,     0,     0,  4650,     0,     0,     0,  2700,     0,
    1396,     0,     0,  2392,     0,     0,     0,     0,     0,     0,
       0,   804,     0,     0,     0,     0,  1809,  2406,     0,     0,
    2409,   809,  2411,     0,  2412,     0,     0,     0,  1706,  1810,
    2414,  1397,  1811,     0,     0,     0,     0,     0,     0,  1812,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2129,     0,  1407,     0,     0,     0,     0,     0,  3901,     0,
       0,     0,     0,     0,   804,   804,  1236,  1389,     0,     0,
       0,     0,     0,  1390,     0,  1964,     0,     0,     0,  1964,
       0,  1964,     0,     0,  1964,  1236,     0,     0,     0,  1398,
       0,  1399,   809,     0,     0,     0,     0,     0,  1436,     0,
       0,  1400,     0,     0,     0,     0,     0,     0,     0,  1401,
       0,  1812,     0,  1391,     0,     0,     0,     0,     0,  1402,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1813,     0,     0,  1814,  1815,  1816,     0,  1817,
    1818,  1819,  1820,  1821,  1822,     0,  1437,     0,     0,  4427,
       0,     0,     0,     0,  2911,     0,     0,  1404,  1405,     0,
       0,     0,     0,     0,     0,  1393,     0,     0,  1236,  1236,
       0,     0,  1394,     0,     0,  1395,     0,     0,     0,     0,
       0,     0,   804,     0,  2912,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   804,   804,     0,     0,     0,     0,
    1396,     0,     0,     0,  1813,     0,     0,  1814,  1815,  1816,
       0,  1817,  1818,  1819,  1820,  1821,  1822,  4045,     0,     0,
    1028,  4436,     0,     0,     0,     0,     0,  4055,  1438,     0,
       0,  1397,     0,     0,     0,     0,     0,     0,     0,     0,
    1028,     0,     0,     0,     0,     0,     0,  1407,     0,     0,
       0,     0,     0,     0,  1028,     0,     0,     0,     0,     0,
    1794,     0,  4076,  1795,     0,     0,     0,  1796,  1797,  1798,
       0,     0,     0,     0,     0,     0,  1439,     0,     0,  1440,
       0,     0,     0,     0,  1799,     0,     0,     0,     0,  1441,
    2349,  1399,  1801,     0,     0,     0,     0,     0,  1802,     0,
       0,  1400,     0,     0,     0,     0,     0,     0,     0,  1401,
       0,     0,     0,     0,     0,     0,     0,  1794,  1442,  1402,
    1795,     0,  1803,     0,  1796,  1797,  1798,     0,     0,     0,
       0,  1028,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1799,     0,     0,  2427,     0,     0,     0,     0,  1801,
       0,     0,     0,     0,  1443,  1802,     0,  1404,  1405,  1444,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1803,
       0,     0,     0,     0,  1445,     0,     0,     0,     0,     0,
       0,  2718,  2719,     0,     0,     0,  2722,  2723,  1446,     0,
       0,  2726,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2737,     0,     0,     0,     0,
       0,     0,  2746,     0,     0,     0,  2749,  2750,  1804,     0,
    2753,  2754,     0,  1805,     0,  1028,     0,  2759,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1407,     0,  2775,
       0,  2777,     0,     0,  1806,  1807,     0,  4193,  4194,  4195,
    4196,     0,     0,     0,     0,     0,     0,     0,     0,  1808,
    2801,     0,     0,     0,     0,  2803,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1804,     0,     0,  2808,     0,
    1805,     0,     0,     0,     0,     0,     0,  2815,     0,  2817,
       0,  1809,  2820,  2823,  2825,     0,     0,     0,     0,  2833,
    2836,  1806,  1807,     0,  1810,     0,     0,  1811,     0,  2849,
       0,     0,     0,     0,  2858,     0,  1808,     0,     0,  2862,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1389,     0,     0,     0,     0,     0,
    1390,     0,     0,     0,     0,  2897,     0,     0,  1809,     0,
       0,     0,     0,     0,     0,     0,  2904,     0,  2906,     0,
       0,  1810,     0,  2909,  1811,  1850,     0,  2910,     0,  2914,
    2915,  2916,  2917,     0,  2919,     0,     0,     0,     0,     0,
    1391,     0,     0,     0,     0,     0,  1812,  2944,  2945,  2946,
       0,     0,     0,     0,     0,     0,  1794,  2954,  2955,  1795,
       0,     0,     0,  1796,  1797,  1798,     0,     0,     0,     0,
       0,     0,     0,     0,  1794,     0,     0,  1795,     0,     0,
    1799,  1796,  1797,  1798,     0,     0,     0,     0,  1801,  1028,
       0,     0,  1393,  1019,  1802,     0,     0,     0,  1799,  1394,
       0,     0,  1395,  1812,     0,     0,  1801,     0,     0,  2999,
       0,     0,  1802,     0,  1019,     0,     0,     0,  1803,     0,
       0,     0,     0,     0,     0,  1389,     0,  1396,     0,     0,
       0,  1390,     0,     0,     0,     0,  1803,     0,     0,  1813,
       0,     0,  1814,  1815,  1816,     0,  1817,  1818,  1819,  1820,
    1821,  1822,     0,     0,  1028,     0,  4439,     0,  1397,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1391,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1028,     0,     0,     0,     0,  1813,     0,     0,  1814,
    1815,  1816,     0,  1817,  1818,  1819,  1820,  1821,  1822,     0,
    4398,     0,     0,  4487,     0,     0,  1398,     0,  1399,     0,
       0,     0,     0,  1393,  1804,     0,     0,     0,  1400,  1805,
    1394,     0,     0,  1395,     0,     0,  1401,     0,     0,     0,
       0,     0,  1804,     0,     0,     0,  1402,  1805,     0,     0,
    1806,  1807,     0,     0,     0,     0,     0,     0,  1396,     0,
       0,     0,  1964,     0,     0,  1808,     0,     0,  1806,  1807,
       0,     0,  1028,     0,     0,     0,     0,     0,     0,     0,
       0,  2951,     0,  1808,  1404,  1405,     0,  1028,     0,  1397,
       0,     0,     0,  3164,     0,  1028,     0,  1809,     0,     0,
       0,     0,     0,     0,     0,     0,  1028,     0,     0,     0,
    1810,  2952,     0,  1811,     0,  1809,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1810,     0,
       0,  1811,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1398,     0,  1399,
       0,     0,     0,  1028,     0,     0,     0,     0,     0,  1400,
       0,     0,     0,     0,     0,     0,  1028,  1401,     0,     0,
       0,     0,     0,     0,  1407,     0,     0,  1402,  1028,     0,
    1019,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1028,     0,  1812,     0,  1794,     0,     0,  1795,     0,     0,
    1019,  1796,  1797,  1798,     0,     0,     0,     0,     0,     0,
    1812,     0,  3412,     0,  1019,  1404,  1405,     0,  1799,     0,
       0,     0,     0,     0,     0,     0,  1801,     0,     0,     0,
       0,     0,  1802,  4554,  1028,     0,     0,  1028,     0,     0,
       0,     0,  3413,     0,     0,     0,     0,     0,     0,  1243,
       0,     0,     0,     0,     0,     0,  1803,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3327,
       0,     0,  4601,     0,     0,  1813,     0,     0,  1814,  1815,
    1816,  1019,  1817,  1818,  1819,  1820,  1821,  1822,     0,     0,
       0,     0,  4518,  1813,     0,  1407,  1814,  1815,  1816,     0,
    1817,  1818,  1819,  1820,  1821,  1822,     0,     0,     0,     0,
    4556,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3364,  3365,     0,     0,     0,     0,     0,     0,  1794,
       0,     0,  1795,     0,     0,     0,  1796,  1797,  1798,  1964,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1804,  1799,     0,     0,  1028,  1805,     0,     0,
       0,  1801,     0,     0,  3386,     0,     0,  1802,     0,     0,
       0,     0,     0,  3390,     0,     0,     0,     0,  1806,  1807,
    4665,     0,     0,     0,     0,  1019,     0,     0,     0,  3402,
    3404,  1803,     0,  1808,  3404,     0,     0,     0,     0,  3415,
    3416,  3417,     0,  3419,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3436,  1809,     0,     0,     0,     0,
       0,     0,     0,     0,  3442,  3443,  3444,  3445,  1810,     0,
       0,  1811,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4733,  1389,     0,     0,     0,     0,     0,
    1390,  3462,     0,     0,  3467,  3468,  3469,     0,     0,     0,
    1794,     0,     0,  1795,  3482,     0,     0,  1796,  1797,  1798,
       0,     0,     0,     0,     0,     0,     0,  1804,     0,     0,
       0,     0,  1805,     0,  1799,     0,     0,     0,     0,     0,
    1391,     0,  1801,     0,     0,     0,     0,     0,  1802,  1794,
    1812,     0,  1795,  1806,  1807,     0,  1796,  1797,  1798,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1808,     0,
       0,     0,  1803,  1799,     0,     0,     0,     0,     0,     0,
       0,  1801,     0,     0,     0,  3533,     0,  1802,     0,     0,
       0,     0,  1393,  3537,     0,     0,     0,     0,     0,  1394,
    1809,  1028,  1395,     0,     0,  1028,  1028,     0,     0,     0,
       0,  1803,  3549,  1810,     0,     0,  1811,     0,     0,  1019,
       0,     0,     0,     0,     0,     0,     0,  1396,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3592,     0,
       0,     0,     0,  1813,     0,     0,  1814,  1815,  1816,     0,
    1817,  1818,  1819,  1820,  1821,  1822,     0,     0,  1397,     0,
    4801,     0,     0,     0,     0,     0,     0,     0,  1028,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1804,     0,
    1028,     0,  3629,  1805,  1019,     0,  3634,     0,     0,     0,
       0,     0,     0,     0,     0,  1812,     0,     0,     0,     0,
       0,     0,     0,     0,  1806,  1807,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3672,  1398,  1804,  1399,  1808,
    1028,  1019,  1805,     0,     0,     0,     0,     0,  1400,     0,
       0,     0,     0,     0,     0,     0,  1401,     0,     0,     0,
       0,     0,     0,  1806,  1807,  3685,  1402,     0,     0,     0,
       0,  1809,     0,     0,     0,     0,     0,     0,  1808,  3695,
       0,     0,     0,  3697,  1810,     0,     0,  1811,     0,     0,
       0,     0,     0,     0,  1964,     0,     0,     0,     0,     0,
       0,  3463,     0,     0,  1404,  1405,     0,     0,  1813,     0,
    1809,  1814,  1815,  1816,     0,  1817,  1818,  1819,  1820,  1821,
    1822,     0,  1019,  1810,     0,  4833,  1811,     0,     0,     0,
       0,  3464,     0,     0,     0,     0,     0,  1019,     0,     0,
       0,     0,     0,     0,     0,  1019,     0,     0,     0,     0,
       0,   806,     0,     0,     0,     0,  1019,     0,     0,     0,
     806,   829,     0,     0,     0,     0,  1812,     0,   829,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   829,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1407,  1028,     0,     0,     0,     0,
       0,     0,     0,  1019,     0,  1812,     0,     0,     0,     0,
       0,  1794,     0,     0,  1795,     0,  1019,     0,  1796,  1797,
    1798,     0,     0,     0,     0,     0,     0,     0,  1019,     0,
       0,     0,     0,     0,     0,  1799,     0,     0,     0,     0,
    1019,     0,     0,  1801,     0,     0,     0,     0,     0,  1802,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1813,
       0,     0,  1814,  1815,  1816,  1028,  1817,  1818,  1819,  1820,
    1821,  1822,     0,  1803,     0,     0,  4952,     0,     0,     0,
       0,     0,     0,     0,  1019,     0,     0,  1019,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1813,     0,
       0,  1814,  1815,  1816,     0,  1817,  1818,  1819,  1820,  1821,
    1822,     0,     0,     0,     0,  4970,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1794,     0,
       0,  1795,     0,     0,     0,  1796,  1797,  1798,  3912,     0,
    3913,     0,     0,     0,     0,     0,     0,  3915,     0,     0,
       0,     0,  1799,     0,     0,     0,  2666,     0,     0,     0,
    1801,     0,     0,     0,  3925,  1794,  1802,     0,  1795,     0,
       0,     0,  1796,  1797,  1798,     0,     0,     0,     0,  1804,
    3933,     0,     0,  1028,  1805,     0,     0,     0,     0,  1799,
    1803,     0,     0,     0,  3946,     0,     0,  1801,     0,     0,
    1028,     0,     0,  1802,     0,  1806,  1807,     0,     0,     0,
       0,  1028,  3950,     0,     0,     0,  1019,     0,     0,     0,
    1808,     0,  3959,     0,     0,     0,     0,  1803,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2667,     0,
       0,     0,     0,  3983,     0,     0,     0,     0,     0,     0,
       0,     0,  1809,     0,  3991,  3992,  3993,     0,     0,  3996,
    3997,  3998,  3999,  4000,  4001,  1810,     0,     0,  1811,  4008,
    4009,     0,  4011,  4012,  4013,  4014,  4015,  4016,     0,  4018,
       0,     0,     0,     0,     0,     0,     0,     0,  4026,     0,
    4028,  4029,     0,     0,     0,     0,  1804,     0,     0,     0,
       0,  1805,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3229,     0,  3404,     0,     0,  3230,     0,   806,     0,
       0,     0,  1806,  1807,     0,     0,     0,     0,     0,     0,
     829,     0,  4048,  1804,     0,   829,     0,  1808,  1805,     0,
       0,     0,     0,     0,     0,     0,   829,  1812,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1806,
    1807,     0,   829,     0,     0,     0,     0,   806,     0,  1809,
       0,     0,     0,  1030,  1808,     0,     0,   806,   829,     0,
       0,     0,  1810,     0,   829,  1811,     0,     0,     0,     0,
       0,     0,     0,     0,  1030,   829,     0,     0,     0,     0,
       0,     0,     0,   829,     0,     0,  1809,     0,     0,     0,
       0,     0,     0,  1028,     0,     0,  1028,     0,  1028,  1810,
       0,     0,  1811,  1028,     0,     0,     0,     0,     0,  3404,
       0,  1019,     0,     0,     0,  1019,  1019,     0,     0,     0,
    1813,     0,     0,  1814,  1815,  1816,     0,  1817,  1818,  1819,
    1820,  1821,  1822,     0,     0,  2652,     0,  1964,  1964,  1964,
       0,     0,     0,     0,  1812,     0,     0,     0,     0,  4136,
       0,     0,     0,     0,  1028,     0,     0,     0,     0,     0,
       0,     0,   806,   806,     0,     0,     0,     0,   829,     0,
       0,  1028,     0,     0,     0,     0,     0,     0,  1019,     0,
       0,  1812,     0,     0,     0,     0,     0,     0,     0,     0,
    1019,     0,     0,     0,   806,     0,  1028,     0,     0,  2668,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1019,     0,     0,     0,     0,     0,     0,  1813,     0,     0,
    1814,  1815,  1816,     0,  1817,  1818,  1819,  1820,  1821,  1822,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1028,     0,  1028,     0,     0,
       0,     0,     0,     0,  1813,     0,     0,  1814,  1815,  1816,
       0,  1817,  1818,  1819,  1820,  1821,  1822,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1028,     0,
       0,     0,     0,   806,     0,     0,     0,     0,     0,     0,
    1030,     0,     0,     0,   806,     0,     0,     0,     0,     0,
       0,     0,     0,  1028,     0,     0,     0,     0,  4266,     0,
    1030,     0,  4267,  4268,  4269,  4270,     0,   605,  4272,     0,
       0,     0,   606,     0,  1030,     0,     0,     0,     0,  1028,
       0,     0,     0,     0,   607,  1019,  1028,     0,     0,     0,
       0,     0,  4286,  4287,  4288,     0,  4289,     0,  4291,  4292,
       0,     0,     0,     0,     0,   608,     0,     0,     0,     0,
    4301,  4302,     0,   806,     0,     0,     0,     0,   609,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4310,   610,     0,     0,     0,     0,     0,  1964,  1964,
       0,  1964,     0,     0,     0,  1028,     0,     0,     0,     0,
     611,  1030,     0,  4318,     0,  1019,     0,     0,     0,     0,
       0,     0,     0,  1028,     0,     0,     0,     0,     0,     0,
       0,     0,   612,     0,     0,     0,  1028,     0,     0,     0,
       0,     0,     0,   613,     0,     0,   829,     0,     0,     0,
       0,   614,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   615,     0,     0,   829,     0,   616,     0,
     806,     0,     0,  4364,   617,     0,     0,     0,   829,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   618,     0,     0,  4383,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   829,     0,     0,     0,
       0,     0,     0,     0,     0,  1030,     0,   829,     0,     0,
       0,     0,     0,     0,  4407,     0,     0,     0,     0,     0,
       0,     0,   829,  1019,     0,   829,     0,   619,     0,  1028,
       0,     0,     0,     0,     0,     0,     0,   806,     0,     0,
    1019,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1028,  1019,     0,     0,     0,     0,     0,     0,     0,   620,
       0,     0,     0,     0,     0,     0,   806,     0,     0,     0,
     621,     0,     0,     0,     0,  1028,     0,     0,     0,     0,
     622,     0,     0,     0,     0,     0,     0,     0,  1964,     0,
     206,     0,     0,     0,   806,   806,   806,     0,   806,     0,
       0,     0,     0,  1964,     0,     0,     0,     0,     0,  1028,
       0,     0,     0,     0,     0,     0,     0,   623,   806,     0,
       0,     0,   624,     0,   625,     0,     0,     0,     0,     0,
     626,     0,     0,   627,     0,     0,     0,     0,     0,     0,
       0,     0,   829,     0,     0,     0,     0,     0,     0,  1794,
     829,   829,  1795,     0,     0,     0,  1796,  1797,  1798,   806,
    1949,     0,   628,     0,     0,   629,     0,     0,     0,   630,
       0,  4508,     0,  1799,     0,     0,   631,     0,   632,     0,
       0,  1801,     0,   633,     0,     0,     0,  1802,     0,   806,
       0,     0,  4517,   806,   806,   634,     0,  4522,  4523,     0,
       0,  1028,     0,     0,     0,     0,     0,     0,   635,  1030,
       0,  1803,     0,     0,     0,  1949,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4575,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1019,     0,     0,  1019,     0,  1019,     0,
       0,     0,     0,  1019,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1030,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3404,     0,
       0,     0,     0,     0,     0,  4616,     0,     0,     0,     0,
    1028,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1030,     0,     0,  1019,     0,     0,  1804,     0,     0,
       0,     0,  1805,     0,     0,     0,     0,     0,     0,     0,
    1964,  1019,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1964,     0,  1806,  1807,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1019,     0,  1808,     0,
       0,     0,     0,  4652,     0,     0,     0,     0,     0,     0,
       0,   829,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4668,     0,     0,     0,
    1809,     0,  1030,     0,     0,  4675,     0,     0,     0,     0,
       0,     0,     0,  1810,     0,     0,  1811,  1030,     0,     0,
       0,     0,     0,     0,     0,  1030,  1964,     0,     0,     0,
       0,  1949,     0,     0,     0,  1019,  1030,  1019,  3777,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   829,     0,     0,  1028,   829,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   829,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1030,     0,     0,     0,     0,     0,     0,
     806,     0,     0,     0,     0,  1812,  1030,     0,  1019,     0,
       0,     0,   806,     0,  1028,     0,     0,     0,  1030,  3404,
       0,  3778,     0,     0,     0,     0,     0,     0,     0,     0,
    1030,     0,     0,  1019,     0,     0,     0,     0,     0,     0,
       0,  1964,     0,     0,     0,     0,     0,     0,     0,   806,
       0,   829,   829,     0,     0,     0,     0,     0,     0,  1019,
       0,     0,     0,     0,   829,     0,  1019,     0,     0,     0,
       0,     0,     0,     0,  1030,  4790,     0,  1030,     0,   829,
     829,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4802,   829,     0,     0,     0,     0,     0,     0,  1813,     0,
       0,  1814,  1815,  1816,     0,  1817,  1818,  1819,  1820,  1821,
    1822,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   806,     0,  1019,     0,  4824,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1019,     0,  1028,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1028,  1019,   806,     0,   806,
       0,     0,     0,     0,   806,   806,     0,     0,     0,     0,
       0,   806,   806,   806,     0,     0,     0,   806,     0,   806,
     806,   806,   806,   806,   806,     0,   806,     0,   806,   806,
       0,     0,   806,     0,     0,     0,     0,     0,  4872,     0,
       0,     0,     0,     0,     0,     0,  1030,   806,   806,   806,
     806,  1949,     0,     0,     0,   806,     0,     0,     0,   806,
       0,     0,   806,     0,     0,   806,   806,   806,   806,   806,
     806,   806,   806,   806,  4890,   806,     0,     0,     0,     0,
       0,     0,   806,     0,   806,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1019,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1028,     0,     0,     0,     0,
    1019,     0,     0,     0,     0,  1389,     0,     0,     0,     0,
       0,  1390,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1019,  1028,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1436,  1794,     0,     0,
    1795,     0,     0,     0,  1796,  1797,  1798,  1028,     0,     0,
       0,  1391,     0,     0,     0,     0,     0,     0,     0,  1019,
       0,  1799,  1028,     0,     0,     0,     0,     0,     0,  1801,
    1794,     0,     0,  1795,     0,  1802,     0,  1796,  1797,  1798,
       0,     0,     0,     0,  1437,     0,     0,     0,     0,     0,
       0,     0,   806,     0,  1799,     0,     0,  3188,     0,  1803,
       0,     0,  1801,  1393,     0,  1028,     0,     0,  1802,     0,
    1394,     0,     0,  1395,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1803,     0,     0,     0,     0,     0,  1396,     0,
       0,  1030,     0,     0,     0,  1030,  1030,     0,     0,     0,
       0,  1019,     0,     0,     0,   829,     0,     0,     0,  1949,
     829,     0,     0,     0,   829,     0,  1438,     0,     0,  1397,
       0,     0,   829,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4913,     0,     0,     0,     0,     0,     0,     0,
     829,     0,     0,   806,  1028,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   806,  1804,     0,     0,  1030,     0,
    1805,   806,     0,     0,  1439,     0,     0,  1440,     0,     0,
    1030,     0,     0,     0,     0,     0,     0,  1441,     0,  1399,
       0,  1806,  1807,   829,     0,     0,     0,     0,  1804,  1400,
    1028,     0,     0,  1805,     0,     0,  1808,  1401,     0,     0,
    1019,   829,   829,     0,     0,     0,  1442,  1402,     0,     0,
    1030,     0,     0,     0,  1806,  1807,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1809,  1808,
       0,     0,  1949,   829,     0,     0,  1949,     0,     0,     0,
       0,  1810,  2898,     0,  1811,  1404,  1405,  1444,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1809,     0,     0,  4914,   829,     0,     0,     0,   829,
       0,     0,  2899,     0,  1810,     0,     0,  1811,     0,     0,
       0,     0,     0,     0,     0,     0,  1446,   829,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   829,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   829,     0,     0,  1028,     0,     0,     0,     0,   829,
       0,     0,     0,  1812,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1407,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1019,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1812,     0,     0,     0,
       0,     0,     0,     0,   806,  1030,     0,     0,     0,     0,
       0,     0,     0,  1949,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1019,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1813,     0,     0,  1814,
    1815,  1816,  1028,  1817,  1818,  1819,  1820,  1821,  1822,     0,
       0,     0,     0,     0,     0,  1030,     0,     0,     0,   829,
       0,     0,     0,     0,     0,     0,     0,     0,   806,  1813,
    1028,     0,  1814,  1815,  1816,     0,  1817,  1818,  1819,  1820,
    1821,  1822,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1028,     0,
       0,     0,     0,     0,     0,  1794,     0,     0,  1795,     0,
       0,   829,  1796,  1797,  1798,     0,   806,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1799,
       0,     0,     0,     0,     0,  1019,     0,  1801,     0,     0,
       0,     0,     0,  1802,     0,  1019,     0,   829,     0,     0,
       0,  1028,     0,     0,     0,  1028,  1028,     0,     0,     0,
       0,     0,     0,  1030,     0,   829,     0,  1803,     0,     0,
       0,     0,     0,   829,     0,     0,     0,   806,     0,     0,
    1030,     0,     0,   806,     0,     0,     0,     0,     0,     0,
       0,  1030,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   806,     0,     0,     0,     0,   806,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   806,
     806,   806,     0,     0,   806,     0,     0,     0,     0,     0,
       0,     0,   806,   806,   806,   806,     0,  1028,     0,     0,
    1949,     0,     0,     0,     0,   806,  1949,     0,   806,     0,
     806,   830,     0,     0,     0,  1019,     0,     0,   830,     0,
       0,   806,   806,  1804,     0,   806,     0,     0,  1805,   830,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   806,
       0,   806,     0,   806,     0,     0,  1019,     0,     0,  1806,
    1807,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   806,  1808,     0,     0,  1019,     0,     0,
       0,     0,     0,     0,   806,     0,   806,   806,   806,     0,
       0,     0,  1019,     0,     0,     0,     0,     0,     0,     0,
       0,   829,     0,     0,   806,     0,  1809,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   806,  1794,     0,  1810,
    1795,   806,  1811,     0,  1796,  1797,  1798,   806,     0,     0,
       0,     0,     0,     0,     0,  1019,     0,   806,  3202,     0,
       0,  1799,     0,     0,  3234,     0,     0,     0,     0,  1801,
       0,     0,     0,  1030,     0,  1802,  1030,     0,  1030,     0,
       0,     0,     0,  1030,     0,   829,     0,  1794,     0,     0,
    1795,     0,     0,     0,  1796,  1797,  1798,     0,     0,  1803,
       0,   829,   829,     0,     0,     0,     0,   806,     0,     0,
       0,  1799,     0,     0,     0,     0,     0,     0,     0,  1801,
       0,  1812,     0,     0,     0,  1802,     0,     0,   829,     0,
       0,   829,     0,     0,  1030,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1019,     0,     0,     0,     0,  1803,
       0,  1030,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1030,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1019,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1804,     0,     0,     0,     0,
    1805,  1949,  1949,  1949,  1813,     0,     0,  1814,  1815,  1816,
       0,  1817,  1818,  1819,  1820,  1821,  1822,     0,     0,     0,
       0,  1806,  1807,     0,     0,   829,     0,     0,  3239,     0,
       0,     0,     0,     0,     0,  1030,  1808,  1030,   829,     0,
    1949,     0,     0,   829,     0,  1804,     0,     0,     0,     0,
    1805,     0,     0,   829,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1809,     0,
       0,  1806,  1807,     0,     0,     0,     0,     0,     0,     0,
       0,  1810,     0,     0,  1811,     0,  1808,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1030,     0,
     830,     0,     0,     0,  1019,   830,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   830,   829,  1809,     0,
       0,     0,     0,  1030,     0,     0,     0,     0,     0,     0,
       0,  1810,   830,     0,  1811,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   830,  1030,
       0,     0,     0,     0,   830,  1949,  1030,     0,     0,     0,
       0,     0,   829,  1812,   829,   830,     0,     0,     0,     0,
       0,     0,     0,   830,     0,     0,   829,     0,   829,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1019,  1812,     0,  1030,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   829,  1030,     0,     0,     0,     0,     0,     0,
    1019,     0,     0,     0,     0,     0,  1030,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1813,     0,   830,  1814,
    1815,  1816,     0,  1817,  1818,  1819,  1820,  1821,  1822,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1019,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   829,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   806,     0,     0,   829,     0,  1813,     0,     0,  1814,
    1815,  1816,     0,  1817,  1818,  1819,  1820,  1821,  1822,     0,
       0,     0,     0,     0,     0,     0,   829,     0,     0,   829,
       0,  1019,     0,     0,     0,  1019,  1019,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   806,     0,     0,  1030,
       0,     0,     0,     0,     0,   806,     0,     0,     0,     0,
       0,   806,     0,   806,     0,     0,   806,     0,     0,     0,
    1030,   806,   806,   806,   806,     0,     0,   806,   806,   806,
     806,   806,   806,   806,   806,   806,   806,     0,     0,     0,
     806,   806,     0,     0,  1794,  1030,     0,  1795,     0,     0,
     806,  1796,  1797,  1798,   806,     0,  1949,     0,   806,     0,
       0,     0,     0,     0,     0,     0,   806,     0,  1799,   806,
       0,   806,     0,     0,     0,     0,  1801,  1019,     0,  1030,
     806,     0,  1802,   806,   806,     0,     0,     0,   806,   806,
       0,     0,     0,     0,     0,   806,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   806,  1803,   806,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   806,
       0,     0,     0,     0,     0,   806,   806,   806,     0,     0,
       0,     0,     0,     0,     0,  1794,     0,     0,  1795,     0,
       0,     0,  1796,  1797,  1798,     0,     0,     0,     0,     0,
       0,     0,   806,     0,     0,     0,     0,     0,     0,  1799,
       0,     0,  3245,     0,     0,   806,     0,  1801,     0,     0,
       0,  1030,     0,  1802,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   806,     0,     0,     0,
       0,     0,  1794,     0,     0,  1795,     0,  1803,     0,  1796,
    1797,  1798,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1804,     0,     0,     0,  1799,  1805,   829,  3784,
       0,     0,     0,     0,  1801,     0,   830,     0,     0,     0,
    1802,     0,     0,     0,     0,     0,     0,     0,  1806,  1807,
       0,     0,     0,     0,     0,     0,   830,     0,     0,     0,
       0,     0,     0,  1808,  1803,     0,     0,     0,   830,     0,
       0,     0,     0,     0,  1949,     0,     0,     0,     0,  1949,
    1030,  1949,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1809,   830,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   830,  1810,     0,
       0,  1811,     0,  1804,     0,     0,     0,     0,  1805,     0,
       0,     0,   830,     0,     0,   830,     0,     0,     0,     0,
       0,     0,     0,   829,     0,     0,   829,     0,     0,  1806,
    1807,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1808,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1804,     0,     0,     0,     0,  1805,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1809,     0,     0,     0,
    1812,     0,     0,     0,     0,     0,  1806,  1807,   806,  1810,
       0,     0,  1811,     0,     0,     0,     0,     0,     0,     0,
       0,  1808,     0,     0,     0,     0,     0,     0,     0,  3730,
       0,   829,   829,     0,     0,  1030,     0,     0,     0,     0,
       0,     0,     0,     0,   829,     0,   829,     0,     0,     0,
       0,     0,   830,  1809,     0,     0,     0,     0,     0,     0,
     830,   830,     0,     0,     0,     0,  1810,     0,     0,  1811,
    1950,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1030,   806,   806,     0,     0,     0,
       0,  1812,     0,  1813,     0,     0,  1814,  1815,  1816,     0,
    1817,  1818,  1819,  1820,  1821,  1822,     0,     0,     0,   831,
       0,     0,     0,     0,     0,     0,   831,     0,     0,     0,
       0,     0,     0,     0,     0,  1950,     0,   831,  1794,     0,
       0,  1795,     0,     0,     0,  1796,  1797,  1798,     0,     0,
     829,     0,     0,     0,     0,     0,     0,     0,  1812,     0,
       0,     0,  1799,     0,     0,     0,     0,     0,     0,     0,
    1801,   806,     0,     0,     0,     0,  1802,     0,     0,     0,
       0,     0,   806,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1813,     0,     0,  1814,  1815,  1816,
    1803,  1817,  1818,  1819,  1820,  1821,  1822,     0,     0,     0,
       0,     0,   806,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   806,   806,     0,  1030,     0,     0,     0,   806,
     806,     0,     0,     0,   806,  1030,     0,     0,     0,   806,
       0,     0,   806,   806,     0,     0,     0,   806,     0,     0,
       0,  1813,     0,   806,  1814,  1815,  1816,     0,  1817,  1818,
    1819,  1820,  1821,  1822,     0,     0,     0,     0,     0,     0,
       0,   806,     0,     0,     0,   806,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   806,     0,     0,
       0,   830,   806,     0,     0,     0,     0,     0,   806,     0,
       0,     0,     0,     0,     0,     0,  1804,     0,     0,     0,
       0,  1805,     0,   806,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1806,  1807,     0,     0,     0,   806,     0,     0,
       0,  1950,     0,     0,     0,     0,     0,  1808,     0,     0,
       0,     0,     0,     0,     0,  1030,     0,     0,     0,     0,
       0,     0,   830,     0,     0,     0,   830,     0,     0,     0,
       0,     0,   829,     0,     0,     0,     0,  1949,   830,  1809,
       0,     0,     0,     0,     0,     0,  1030,     0,     0,     0,
       0,     0,  1810,     0,   556,  1811,     0,   190,     0,   557,
       0,     0,   829,     0,     0,     0,     0,  1030,     0,     0,
       0,   558,     0,     0,   829,     0,     0,     0,     0,     0,
       0,  1949,  1030,     0,     0,   806,     0,     0,     0,     0,
       0,     0,   559,     0,     0,   829,     0,     0,     0,     0,
       0,     0,     0,   191,     0,   560,     0,     0,     0,     0,
       0,   830,   830,     0,     0,   561,     0,   192,     0,  -784,
       0,     0,     0,     0,   830,  1030,     0,     0,     0,     0,
       0,     0,     0,     0,  1812,   193,     0,   562,     0,   830,
     830,   194,     0,   563,     0,     0,     0,   806,   831,     0,
       0,   830,     0,   831,     0,     0,     0,   195,   806,   564,
       0,     0,     0,     0,   831,     0,     0,     0,   196,     0,
     565,     0,     0,     0,     0,     0,   197,     0,   566,     0,
     831,     0,     0,     0,     0,     0,     0,     0,   198,     0,
     567,     0,     0,   199,     0,     0,   831,   568,     0,   200,
       0,   569,   831,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1030,   831,  1030,     0,   201,     0,  -989,     0,
       0,   831,     0,     0,     0,     0,     0,  1813,     0,     0,
    1814,  1815,  1816,     0,  1817,  1818,  1819,  1820,  1821,  1822,
     829,   202,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   570,   806,     0,     0,     0,
    1030,     0,   203,     0,  -524,   806,     0,     0,     0,     0,
       0,  1950,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   806,   806,     0,     0,   806,     0,     0,     0,
       0,     0,     0,     0,   204,     0,   571,     0,     0,   572,
     806,     0,     0,     0,     0,   806,   831,     0,     0,     0,
     806,     0,     0,   806,   806,   205,     0,   573,     0,     0,
       0,   806,   806,     0,     0,   206,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  -418,   806,     0,     0,
       0,     0,     0,     0,   829,     0,   829,     0,     0,     0,
     806,     0,   207,     0,   574,     0,     0,   208,     0,   209,
       0,   575,     0,     0,     0,   210,     0,  -418,   211,     0,
     576,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1030,   829,     0,     0,     0,     0,
       0,     0,     0,     0,   806,     0,   212,   213,     0,  -418,
     214,     0,   577,   578,   215,   579,   580,     0,     0,     0,
       0,     0,     0,   216,     0,   581,     0,     0,   217,     0,
     582,     0,     0,     0,     0,     0,   583,     0,     0,   584,
     218,  1949,   585,     0,     0,     0,     0,   806,     0,     0,
       0,     0,     0,   219,     0,  -418,     0,     0,     0,     0,
       0,  1219,  1219,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1283,     0,     0,     0,     0,     0,     0,
     806,     0,  1030,     0,     0,   830,     0,     0,     0,  1950,
     830,     0,     0,     0,   830,     0,     0,     0,     0,     0,
       0,     0,   830,     0,     0,     0,     0,     0,     0,   806,
    1030,     0,   806,     0,   806,     0,     0,     0,     0,     0,
     830,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   806,     0,
       0,     0,   806,     0,     0,     0,     0,     0,  1030,     0,
       0,     0,     0,   806,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   830,     0,     0,     0,     0,     0,     0,
       0,     0,   806,     0,     0,     0,     0,     0,     0,     0,
       0,   830,   830,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1949,     0,     0,     0,     0,
       0,  1030,     0,     0,     0,  1030,  1030,     0,     0,     0,
     806,     0,  1950,   830,   831,     0,  1950,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   829,     0,     0,     0,
       0,     0,     0,     0,   831,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   830,   831,     0,     0,   830,
       0,     0,     0,     0,   806,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   830,     0,     0,
       0,     0,     0,     0,   831,   806,     0,     0,   830,     0,
       0,     0,     0,     0,     0,   831,     0,     0,     0,     0,
       0,   830,     0,     0,     0,     0,  1030,  1030,     0,   830,
     831,     0,     0,   831,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   806,     0,     0,
     806,     0,     0,     0,     0,     0,     0,     0,     0,   806,
       0,     0,     0,     0,   806,     0,   806,     0,   806,     0,
       0,     0,     0,     0,     0,   806,     0,     0,     0,     0,
       0,     0,     0,  1950,     0,     0,     0,     0,     0,     0,
       0,     0,   806,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1949,     0,   829,     0,     0,  1029,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1029,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   830,
     831,     0,     0,     0,     0,     0,   806,     0,   831,   831,
       0,     0,     0,     0,     0,     0,     0,     0,  1951,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   806,   806,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   806,     0,  1751,     0,     0,     0,
       0,     0,   829,     0,     0,     0,     0,     0,     0,     0,
       0,   830,     0,     0,   806,     0,     0,     0,     0,     0,
       0,     0,     0,  1951,     0,  1765,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   830,     0,     0,
       0,     0,     0,  1783,  1784,  1785,     0,  1787,     0,     0,
       0,   806,     0,     0,     0,   830,     0,   806,   806,   806,
       0,     0,     0,   830,     0,     0,     0,  1829,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   806,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     829,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1949,     0,     0,     0,  1866,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1971,     0,
    1950,     0,  1983,  1986,     0,     0,  1950,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   806,   806,     0,     0,     0,     0,  1949,     0,   831,
       0,     0,     0,     0,     0,   806,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1949,   806,   806,     0,
       0,     0,     0,     0,     0,  1029,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1029,     0,     0,     0,  1951,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1029,
       0,   830,     0,     0,     0,     0,     0,     0,     0,     0,
     831,     0,     0,     0,   831,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   831,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   830,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1029,     0,     0,     0,
       0,   830,   830,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   831,
     831,     0,     0,     0,     0,     0,     0,     0,   830,     0,
       0,   830,   831,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   831,   831,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   831,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1029,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1950,  1950,  1950,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   830,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   830,     0,
    1950,     0,     0,   830,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   830,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1951,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   830,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1950,     0,     0,     0,     0,
       0,     0,   830,     0,   830,     0,     0,     0,     0,     0,
       0,     0,     0,  2513,     0,     0,   830,     0,   830,     0,
       0,     0,     0,     0,     0,     0,  2533,     0,  2535,     0,
       0,  2547,  2550,  2555,  2020,     0,     0,     0,  2561,     0,
       0,  2566,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2573,  2574,  2575,  2576,
       0,     0,     0,     0,  2583,     0,     0,     0,  2595,     0,
       0,  2597,   830,     0,  2604,  2605,  2606,  2607,  2608,  2609,
    2610,  2611,  2612,     0,  2613,     0,     0,     0,     0,     0,
       0,  1219,     0,  2641,     0,     0,     0,     0,     0,  2020,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   830,
       0,     0,     0,   831,     0,     0,  1029,  1951,   831,     0,
       0,     0,   831,     0,   830,     0,     0,     0,     0,     0,
     831,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   830,     0,   831,   830,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   831,     0,     0,     0,     0,     0,  1029,     0,     0,
       0,  1283,     0,     0,     0,     0,     0,     0,     0,   831,
     831,     0,  1029,     0,     0,     0,     0,     0,     0,     0,
    2020,  1021,     0,     0,     0,     0,  1950,     0,     0,     0,
       0,  1029,     0,     0,     0,     0,     0,     0,     0,     0,
    1951,   831,  1021,     0,  1951,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1022,     0,     0,     0,
       0,     0,     0,   831,     0,     0,     0,   831,  1029,     0,
       0,     0,     0,     0,     0,     0,     0,  1022,     0,     0,
       0,  1029,     0,     0,     0,   831,     0,     0,     0,     0,
       0,     0,  2751,  1029,     0,     0,   831,     0,     0,     0,
       0,     0,     0,     0,     0,  1029,     0,     0,     0,   831,
       0,     0,     0,     0,     0,     0,     0,   831,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1029,
       0,     0,  1029,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1951,     0,     0,     0,     0,     0,     0,   830,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1950,     0,     0,     0,     0,  1950,
       0,  1950,     0,     0,     0,     0,     0,   831,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1029,     0,   830,     0,     0,   830,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1021,   831,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2991,     0,     0,     0,     0,  1021,  2644,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1021,     0,     0,   831,     0,     0,     0,     0,
       0,     0,     0,  1022,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   831,     0,     0,     0,     0,     0,     0,
       0,   831,     0,  1022,     0,     0,     0,     0,     0,     0,
       0,   830,   830,     0,     0,     0,     0,  1022,     0,     0,
       0,     0,     0,     0,   830,     0,   830,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1021,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1951,     0,
       0,     0,     0,     0,  1951,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1022,  3131,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     830,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2703,     0,     0,     0,
    2020,  2709,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1021,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   831,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3184,     0,     0,     0,     0,  3190,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1022,     0,
       0,     0,     0,  1029,     0,     0,     0,     0,     0,     0,
    1787,     0,     0,     0,     0,  1029,     0,     0,     0,     0,
       0,  2555,     0,  2555,  2555,     0,     0,     0,     0,     0,
       0,     0,     0,   831,  3248,     0,     0,  3251,     0,  3253,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   831,
     831,     0,     0,     0,     0,  1029,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3271,     0,
    3274,     0,  3276,     0,     0,     0,   831,     0,     0,   831,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2641,  2641,  2641,     0,     0,
    1024,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3324,     0,     0,     0,     0,     0,     0,
       0,  1024,     0,     0,     0,  1971,     0,     0,     0,     0,
    3335,     0,   830,     0,     0,     0,  1986,  1950,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1021,     0,  1951,
    1951,  1951,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   830,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   831,   830,     0,     0,     0,     0,     0,
       0,  1950,     0,     0,     0,     0,   831,     0,  1951,     0,
       0,   831,  1022,     0,     0,   830,  3372,     0,     0,     0,
    1029,   831,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1021,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1021,
       0,     0,     0,     0,     0,     0,     0,  1022,     0,     0,
       0,     0,     0,     0,     0,   831,     0,     0,     0,     0,
    2020,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1025,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1022,     0,     0,     0,     0,     0,
       0,     0,     0,  1951,     0,  1025,     0,     0,     0,     0,
     831,     0,   831,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   831,     0,   831,     0,     0,     0,
    1021,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     830,     0,     0,     0,     0,  1021,     0,     0,     0,     0,
       0,     0,     0,  1021,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1021,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1022,     0,     0,     0,     0,
     831,     0,     0,     0,     0,     0,     0,  1024,  1029,     0,
    1022,     0,     0,     0,     0,     0,     0,     0,  1022,     0,
       0,     0,     0,     0,     0,  1029,     0,  1024,     0,  1022,
       0,  1021,     0,     0,     0,     0,  1029,     0,     0,     0,
       0,  1024,     0,     0,  1021,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1021,   831,     0,     0,
       0,     0,     0,     0,   830,     0,   830,     0,  1021,     0,
       0,     0,   831,     0,     0,     0,  1022,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1022,
       0,     0,     0,     0,   831,     0,     0,   831,     0,     0,
       0,  1022,     0,     0,     0,   830,     0,     0,     0,     0,
       0,     0,  1021,  1022,     0,  1021,     0,     0,  1024,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1950,     0,     0,     0,     0,     0,  1022,     0,     0,
    1022,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2644,  2644,  2644,  1951,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1025,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1025,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1024,     0,     0,  1025,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2020,     0,
       0,  2709,     0,  2709,  1021,     0,     0,     0,  2020,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3731,     0,     0,     0,     0,
       0,     0,     0,     0,  3735,     0,     0,     0,     0,     0,
    3736,     0,  3737,     0,     0,     0,     0,     0,     0,  1022,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1029,
       0,     0,  1025,     0,     0,     0,     0,     0,     0,  3761,
    3762,     0,     0,     0,     0,     0,  1029,     0,     0,     0,
       0,     0,     0,     0,     0,  1950,     0,  2561,     0,     0,
       0,     0,     0,     0,     0,  3787,   831,     0,  3790,     0,
    3792,  2020,     0,     0,     0,     0,     0,     0,     0,  3796,
       0,     0,     0,     0,     0,     0,   830,  3803,  3804,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1951,     0,     0,     0,     0,  1951,  3848,  1951,
       0,     0,     0,     0,  3855,  3856,  2641,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1025,     0,     0,     0,
    1029,     0,  1029,     0,     0,     0,     0,     0,     0,     0,
       0,  3871,     0,     0,     0,     0,  1024,     0,     0,     0,
       0,     0,     0,     0,  1283,     0,     0,     0,     0,     0,
       0,   831,     0,     0,   831,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1021,
       0,     0,     0,  1021,  1021,     0,     0,     0,     0,     0,
       0,     0,     0,  1029,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1024,     0,     0,     0,     0,     0,     0,  1029,     0,
       0,     0,     0,     0,  1022,     0,     0,     0,  1022,  1022,
       0,     0,     0,  1950,     0,   830,     0,     0,     0,     0,
       0,     0,     0,     0,  2709,     0,  1021,     0,  1024,   831,
     831,  2709,     0,     0,     0,     0,     0,     0,  1021,     0,
       0,     0,   831,     0,   831,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1022,     0,     0,     0,     0,     0,     0,  1021,     0,
       0,     0,     0,  1022,     0,     0,     0,     0,     0,     0,
    1029,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   830,     0,     0,     0,     0,     0,  2709,  1024,
    1025,     0,     0,     0,     0,     0,     0,     0,  1027,     0,
       0,  1029,     0,  1022,  1024,     0,     0,     0,     0,     0,
       0,     0,  1024,     0,     0,     0,     0,     0,   831,  1027,
       0,     0,     0,  1024,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1025,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1024,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     830,     0,     0,  1024,     0,     0,     0,     0,     0,     0,
       0,     0,  1025,     0,  1950,  1024,     0,     0,     0,     0,
       0,     0,     0,     0,  1029,     0,     0,  1024,     0,     0,
       0,     0,     0,  1021,  4108,  4109,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1029,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1029,  1024,     0,     0,  1024,     0,     0,  1950,  1022,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1025,     0,     0,  1950,     0,     0,     0,
       0,     0,     0,  1021,  1029,     0,     0,     0,  1025,     0,
    4149,     0,     0,     0,     0,     0,  1025,     0,     0,     0,
       0,  4154,     0,     0,     0,     0,     0,  1025,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1022,     0,
       0,     0,  2644,     0,     0,     0,     0,     0,     0,     0,
     831,  4169,  4171,     0,     0,  1951,     0,     0,  4175,  4176,
       0,     0,     0,  4177,  1025,     0,     0,     0,  4180,     0,
       0,  4183,  4184,     0,     0,     0,  4188,  1025,     0,     0,
     831,     0,  4192,     0,     0,     0,  2020,     0,     0,  1025,
       0,     0,   831,  1024,     0,  1027,     0,     0,     0,  1951,
       0,  1025,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1021,     0,   831,     0,  1027,  2641,     0,     0,     0,
       0,  2641,     0,     0,     0,     0,     0,  2641,  1021,  1027,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1021,
       0,     0,  1219,     0,     0,  1025,     0,     0,  1025,     0,
       0,     0,     0,     0,     0,     0,  1022,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4247,     0,     0,     0,
       0,     0,     0,  1022,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1022,  2709,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1027,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4307,     0,     0,     0,   831,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1025,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1024,     0,
    1027,     0,  1024,  1024,     0,     0,  4341,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1029,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1021,     0,     0,  1021,     0,  1021,     0,     0,     0,
       0,  1021,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   831,     0,   831,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1024,     0,     0,     0,  2020,
       0,     0,     0,     0,     0,     0,  1022,  1024,     0,  1022,
       0,  1022,     0,     0,     0,     0,  1022,     0,     0,     0,
       0,     0,  1021,   831,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1021,
       0,     0,     0,     0,     0,     0,     0,  1024,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1021,     0,     0,  1022,     0,  1951,
       0,  4433,  4434,     0,     0,  4435,     0,     0,     0,     0,
       0,     0,     0,     0,  1022,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1022,
    4469,  4470,  1025,     0,     0,     0,  1025,  1025,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1029,     0,     0,  1021,  1027,  1021,     0,     0,     0,     0,
    1029,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1022,  1025,
    1022,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1025,  2644,     0,     0,     0,  1021,  2644,     0,  1027,
       0,     0,  1024,  2644,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1021,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1025,     0,     0,     0,     0,  1027,     0,     0,     0,
       0,  1022,     0,  1951,     0,     0,     0,  1021,     0,     0,
       0,     0,     0,     0,  1021,     0,     0,     0,     0,     0,
    1029,     0,     0,     0,     0,     0,  1022,     0,     0,     0,
       0,     0,  1024,     0,   831,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1029,  1022,     0,     0,     0,     0,     0,     0,  1022,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2561,  1029,  1021,     0,     0,     0,  1027,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2709,     0,     0,
       0,  1021,  1027,     0,     0,     0,     0,  4634,     0,     0,
    1027,     0,     0,     0,  1021,     0,     0,     0,     0,     0,
       0,  1027,  1787,     0,     0,     0,     0,     0,  1022,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1029,  1283,     0,     0,     0,     0,  1022,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1025,     0,     0,  1022,
    1024,     0,     0,     0,     0,     0,     0,     0,  1027,     0,
       0,     0,     0,     0,     0,     0,     0,  1024,     0,  4683,
       0,  1027,     0,     0,     0,     0,     0,     0,  1024,     0,
       0,     0,     0,  1027,     0,     0,     0,     0,     0,     0,
       0,  1951,     0,   831,     0,  1027,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1021,     0,     0,
       0,     0,     0,     0,     0,     0,  1025,  4394,     0,  1029,
       0,     0,     0,     0,     0,     0,     0,     0,  1021,     0,
       0,     0,     0,     0,  4734,     0,     0,     0,     0,  1027,
       0,     0,  1027,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1022,  1021,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1029,     0,     0,     0,     0,
       0,     0,     0,  1022,     0,     0,     0,     0,     0,     0,
     831,     0,     0,     0,     0,     0,     0,  1021,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4469,  1022,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4791,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1022,     0,  1025,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1025,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1025,     0,     0,     0,     0,     0,     0,     0,
       0,  1027,     0,     0,     0,     0,     0,     0,   831,  1021,
    1024,     0,     0,  1024,     0,  1024,     0,     0,     0,  2709,
    1024,     0,  1951,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4851,  4851,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4469,  1022,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1024,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1951,     0,     0,  1024,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1951,     0,     0,     0,  1021,     0,
       0,     0,     0,  1024,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2709,  4851,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4922,     0,     0,
       0,     0,     0,  1022,     0,  1029,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1024,     0,  1024,     0,     0,     0,     0,     0,
       0,     0,     0,  1029,  1025,     0,     0,  1025,     0,  1025,
       0,     0,     0,     0,  1025,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1027,     0,     0,     0,
    1027,  1027,     0,     0,     0,     0,     0,     0,     0,     0,
    4851,  4963,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1024,  1029,     0,     0,     0,
    1029,  1029,     0,  1021,  1824,  1025,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1024,     0,  1025,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1027,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1027,  1024,  1025,  1022,     0,
       0,     0,  1021,  1024,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1824,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1027,     0,     0,     0,     0,
       0,  4394,  1029,     0,     0,     0,     0,  1022,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1024,     0,     0,     0,  1025,     0,  1025,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1024,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1024,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1025,
       0,     0,     0,  1021,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1021,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1025,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1022,     0,
    1025,     0,     0,     0,     0,     0,     0,  1025,  1022,     0,
    1027,     0,     0,     0,     0,     0,  1024,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1024,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1024,     0,     0,     0,  1025,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1027,     0,     0,  1021,  1025,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1024,  1025,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1021,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1022,     0,
       0,     0,     0,     0,     0,  1021,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1021,     0,     0,     0,     0,     0,     0,     0,     0,  1022,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1022,     0,     0,     0,     0,     0,     0,     0,  1024,     0,
       0,     0,     0,  1021,     0,  1022,     0,     0,  1027,     0,
    1025,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1027,     0,     0,     0,     0,
       0,  1025,     0,     0,     0,     0,  1027,     0,     0,     0,
       0,  1824,     0,     0,     0,     0,     0,     0,  1022,     0,
       0,     0,     0,     0,     0,     0,  1025,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1025,     0,  1021,     0,     0,     0,     0,  1024,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1824,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1824,     0,     0,     0,  2543,     0,     0,  1022,  1021,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1824,  1824,
    1824,     0,  1824,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1025,  1022,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1824,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1824,     0,     0,     0,     0,     0,     0,  1027,     0,
       0,  1027,  1024,  1027,     0,     0,     0,     0,  1027,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1021,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1025,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1024,     0,     0,     0,     0,     0,     0,     0,  1027,
       0,     0,     0,     0,     0,     0,     0,  1022,     0,     0,
       0,     0,     0,     0,     0,     0,  1027,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1824,     0,     0,     0,
       0,  1027,     0,     0,     0,     0,     0,     0,  1824,     0,
       0,  1824,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1021,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1021,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1027,     0,  1027,     0,     0,  1022,     0,     0,     0,     0,
       0,     0,  1024,     0,     0,     0,  1025,     0,     0,     0,
       0,     0,  1024,     0,     0,     0,  1021,     0,     0,     0,
       0,     0,     0,  1022,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1027,     0,  1025,     0,     0,     0,     0,
       0,  1022,     0,     0,     0,     0,     0,     0,     0,  1021,
       0,     0,     0,  1021,  1021,     0,     0,     0,  1027,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1027,     0,     0,     0,     0,     0,
       0,  1027,     0,     0,  1022,     0,     0,     0,  1022,  1022,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1024,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1024,     0,  1021,     0,     0,     0,     0,
    1027,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1024,     0,  1025,     0,  1027,     0,
       0,     0,     0,     0,     0,     0,  1025,     0,     0,  1024,
       0,  1027,     0,     0,     0,     0,     0,     0,     0,     0,
    1022,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1024,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1027,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1025,     0,     0,     0,
       0,     0,     0,     0,     0,  1027,     0,     0,     0,     0,
       0,  1024,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1025,     0,     0,
    1027,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1025,     0,
       0,     0,     0,     0,     0,     0,     0,  1024,     0,     0,
       0,     0,     0,  1025,  1027,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1025,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1824,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1027,     0,  1824,     0,
    1824,     0,     0,  2543,  2543,     0,  3225,     0,  2543,     0,
       0,     0,  1824,     0,     0,  1824,     0,     0,     0,     0,
    1824,  1024,     0,     0,     0,     0,  1824,     0,     0,     0,
       0,  1824,     0,     0,     0,  1025,     0,     0,  1824,  1824,
    1824,  1824,     0,     0,     0,  2543,  2543,     0,  1824,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1824,     0,  1824,     0,     0,     0,     0,     0,     0,  1824,
    1824,  1824,  1824,  1824,  1824,  1824,  1824,  1824,  1824,     0,
       0,  1025,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1027,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1824,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1024,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1024,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1024,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1025,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1824,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1027,     0,     0,     0,     0,     0,     0,     0,  1024,     0,
       0,     0,  1024,  1024,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1027,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1025,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1025,     0,     0,  1024,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1025,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1027,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1027,     0,  1025,     0,     0,     0,  1025,  1025,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1824,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1025,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1027,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1027,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1824,     0,     0,     0,
       0,     0,  1027,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1027,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1824,
       0,     0,     0,     0,     0,  1824,     0,     0,     0,     0,
    1027,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3225,  3225,     0,     0,  2543,  2543,  2543,  2543,     0,
       0,  2543,  2543,  2543,  2543,  2543,  2543,  2543,  2543,  2543,
    2543,  3225,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1824,     0,     0,  1824,     0,  1824,     0,
       0,  3225,  3225,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1824,  2543,  2543,  1824,
       0,  1824,     0,     0,     0,     0,     0,     0,     0,  1027,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1824,
       0,     0,     0,     0,     0,  1027,     0,     0,     0,     0,
    1824,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1824,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1027,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1027,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2543,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1027,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1027,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1027,     0,     0,     0,
    1027,  1027,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1824,     0,     0,     0,
    1824,  1824,  1824,     0,     0,     0,     0,     0,  3225,  3225,
    3225,  3225,     0,     0,     0,     0,  3225,  3225,  3225,  3225,
    3225,  3225,  3225,  3225,  3225,  3225,  1824,  1824,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1027,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1824,     0,     0,  1824,     0,  1824,     0,     0,
       0,  1824,     0,     0,  3225,  3225,     0,     0,  1824,  1824,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1824,     0,     0,     0,     0,     0,     0,
    1824,  1824,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1824,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3225,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1824,  1824,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1824,     0,     0,     0,     0,  1824,
    2543,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1824,     0,  1824,     0,     0,     0,
    1824,  1824,  1824,     0,     0,  1824,     0,     0,  1824,  1824,
       0,     0,     0,  1824,     0,     0,     0,  1824,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1824,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1824,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1824,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3225,  2543,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1824,  1824,
    1824,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1824,  1824,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3225,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1824,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1824,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1824,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1824,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   779,  1137,   600,  1138,  1139,  1140,   654,  1141,
       0,     0,     0,     0,     0,     0,  1824,   223,   224,   225,
     226,   227,   228,   229,   230,  2635,   232,   233,   234,     0,
       0,     0,     0,  1142,     0,     0,   235,   236,     0,   237,
     238,   780,   239,   240,   241,   242,  1143,   781,  1144,  1145,
       0,   246,   247,   248,   249,   250,  1146,  1147,   251,   252,
    1148,  1149,   255,     0,   256,   257,   258,   259,  1150,     0,
    1151,     0,   261,   262,   263,   264,   783,   265,   266,   267,
       0,   268,   269,   270,   271,   272,   273,  1824,   784,   274,
     275,   276,  1152,  1153,  1154,  1155,  1156,  1157,  1158,   277,
     278,   279,   280,   281,   282,  1159,  1160,   285,     0,   286,
       0,   287,   288,   289,   290,   291,   292,     0,   293,   294,
     295,  2636,     0,   296,   297,  1000,   299,   300,  1824,   301,
     302,   303,     0,   304,   305,   306,     0,   307,   308,   309,
     310,  1161,   312,   313,   314,  1162,  1163,   316,     0,   317,
     318,  1164,   320,     0,   321,     0,   322,   786,     0,   787,
     323,   324,   325,     0,   326,  1165,     0,  1166,   329,     0,
     330,   331,   332,   333,   334,   788,   335,   336,   337,   338,
       0,   339,   340,   341,   342,   343,   344,     0,   345,   789,
     346,   347,   348,   349,   350,  1167,  1168,     0,  1169,     0,
     354,   790,   791,   355,   792,   356,   357,   358,   359,   360,
       0,     0,   361,  1170,   793,   363,   794,     0,   364,   365,
     366,  1171,  1172,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,  1173,
     795,  1174,   385,   386,   387,  1175,   388,   389,   796,   390,
    1176,  1177,   392,  1178,   394,   395,   396,     0,   397,     0,
       0,  1179,   399,   400,     0,     0,   401,   402,   797,   403,
     798,  1180,   405,   406,   407,   408,   409,   410,   411,   412,
       0,   413,   414,  1181,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,  1182,   430,
     431,   432,   433,     0,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,     0,   445,   446,   799,   447,
     448,   449,  1183,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   461,   462,   463,  1184,   464,   465,
     466,   467,   468,   800,   469,   470,  1185,   472,     0,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
    1186,     0,   485,   486,     0,   487,   801,   488,   489,   490,
     491,   492,     0,  1187,  1188,     0,     0,   495,   496,  1189,
     498,  1190,  1191,   500,   501,   502,   503,   504,   505,   506,
       0,  1192,   507,   508,   509,   510,   511,  1193,     0,   512,
     513,   514,   515,   516,   517,  1194,  2637,   519,   802,   520,
     521,   522,   523,     0,     0,   524,     0,     0,   525,   526,
     527,   528,   529,   530,   531,  1195,  1196,  1197,  1198,  1199,
    1200,  1201,  1202,   540,   541,   542,  1203,     0,     0,     0,
       0,     0,     0,  1204,  1205,  2638,     0,     0,     0,     0,
       0,     0,  1207,  2639,   779,  1137,   600,  1138,  1139,  1140,
     654,  1141,     0,     0,     0,     0,     0,     0,     0,   223,
     224,   225,   226,   227,   228,   229,   230,     0,   232,   233,
     234,     0,     0,     0,     0,  1142,     0,     0,   235,   236,
       0,   237,   238,   780,   239,   240,   241,   242,  1143,   781,
    1144,  1145,     0,   246,   247,   248,   249,   250,  1146,  1147,
     251,   252,  1148,  1149,   255,     0,   256,   257,   258,   259,
    1150,     0,  1151,     0,   261,   262,   263,   264,   783,   265,
     266,   267,     0,   268,   269,   270,   271,   272,   273,     0,
     784,   274,   275,   276,  1152,  1153,  1154,  1155,  1156,  1157,
    1158,   277,   278,   279,   280,   281,   282,  1159,  1160,   285,
       0,   286,     0,   287,   288,   289,   290,   291,   292,     0,
     293,   294,   295,     0,     0,   296,   297,  1000,   299,   300,
       0,   301,   302,   303,     0,   304,   305,   306,     0,   307,
     308,   309,   310,  1161,   312,   313,   314,  1162,  1163,   316,
       0,   317,   318,  1164,   320,     0,   321,     0,   322,   786,
       0,   787,   323,   324,   325,     0,   326,  1165,     0,  1166,
     329,     0,   330,   331,   332,   333,   334,   788,   335,   336,
     337,   338,     0,   339,   340,   341,   342,   343,   344,     0,
     345,   789,   346,   347,   348,   349,   350,  1167,  1168,     0,
    1169,     0,   354,   790,   791,   355,   792,   356,   357,   358,
     359,   360,     0,     0,   361,  1170,   793,   363,   794,     0,
     364,   365,   366,  1171,  1172,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,  1173,   795,  1174,   385,   386,   387,  1175,   388,   389,
     796,   390,  1176,  1177,   392,  1178,   394,   395,   396,     0,
     397,     0,     0,  1179,   399,   400,     0,     0,   401,   402,
     797,   403,   798,  1180,   405,   406,   407,   408,   409,   410,
     411,   412,     0,   413,   414,  1181,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
    1182,   430,   431,   432,   433,     0,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,     0,   445,   446,
     799,   447,   448,   449,  1183,   451,   452,   453,   454,   455,
     456,   457,   458,    39,   459,   460,   461,   462,   463,  1184,
     464,   465,   466,   467,   468,   800,   469,   470,  1185,   472,
       0,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,  1186,     0,   485,   486,    43,   487,   801,   488,
     489,   490,   491,   492,     0,  1187,  1188,     0,     0,   495,
     496,  1189,   498,  1190,  1191,   500,   501,   502,   503,   504,
     505,   506,     0,  1192,   507,   508,   509,   510,   511,  1193,
       0,   512,   513,   514,   515,   516,  1073,  1194,     0,   519,
     802,   520,   521,   522,   523,     0,     0,   524,     0,    48,
     525,   526,   527,   528,   529,   530,   531,  1195,  1196,  1197,
    1198,  1199,  1200,  1201,  1202,   540,   541,   542,  1203,     0,
      49,     0,     0,     0,     0,  1204,  1205,     0,     0,     0,
       0,     0,     0,     0,  1207,  4646,   779,  1137,   600,  1138,
    1139,  1140,   654,  1141,     0,     0,     0,     0,     0,     0,
       0,   223,   224,   225,   226,   227,   228,   229,   230,     0,
     232,   233,   234,     0,     0,     0,     0,  1142,     0,     0,
     235,   236,     0,   237,   238,   780,   239,   240,   241,   242,
    1143,   781,  1144,  1145,     0,   246,   247,   248,   249,   250,
    1146,  1147,   251,   252,  1148,  1149,   255,     0,   256,   257,
     258,   259,  1150,     0,  1151,     0,   261,   262,   263,   264,
     783,   265,   266,   267,     0,   268,   269,   270,   271,   272,
     273,     0,   784,   274,   275,   276,  1152,  1153,  1154,  1155,
    1156,  1157,  1158,   277,   278,   279,   280,   281,   282,  1159,
    1160,   285,     0,   286,     0,   287,   288,   289,   290,   291,
     292,     0,   293,   294,   295,     0,     0,   296,   297,  1000,
     299,   300,     0,   301,   302,   303,     0,   304,   305,   306,
       0,   307,   308,   309,   310,  1161,   312,   313,   314,  1162,
    1163,   316,     0,   317,   318,  1164,   320,     0,   321,     0,
     322,   786,     0,   787,   323,   324,   325,     0,   326,  1165,
       0,  1166,   329,     0,   330,   331,   332,   333,   334,   788,
     335,   336,   337,   338,     0,   339,   340,   341,   342,   343,
     344,     0,   345,   789,   346,   347,   348,   349,   350,  1167,
    1168,     0,  1169,     0,   354,   790,   791,   355,   792,   356,
     357,   358,   359,   360,     0,     0,   361,  1170,   793,   363,
     794,     0,   364,   365,   366,  1171,  1172,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,  1173,   795,  1174,   385,   386,   387,  1175,
     388,   389,   796,   390,  1176,  1177,   392,  1178,   394,   395,
     396,     0,   397,     0,     0,  1179,   399,   400,     0,     0,
     401,   402,   797,   403,   798,  1180,   405,   406,   407,   408,
     409,   410,   411,   412,     0,   413,   414,  1181,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,  1182,   430,   431,   432,   433,     0,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,     0,
     445,   446,   799,   447,   448,   449,  1183,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   461,   462,
     463,  1184,   464,   465,   466,   467,   468,   800,   469,   470,
    1185,   472,     0,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,  1186,     0,   485,   486,     0,   487,
     801,   488,   489,   490,   491,   492,     0,  1187,  1188,     0,
       0,   495,   496,  1189,   498,  1190,  1191,   500,   501,   502,
     503,   504,   505,   506,     0,  1192,   507,   508,   509,   510,
     511,  1193,     0,   512,   513,   514,   515,   516,   517,  1194,
       0,   519,   802,   520,   521,   522,   523,     0,     0,   524,
       0,     0,   525,   526,   527,   528,   529,   530,   531,  1195,
    1196,  1197,  1198,  1199,  1200,  1201,  1202,   540,   541,   542,
    1203,     0,     0,     0,     0,     0,     0,  1204,  1205,     0,
       0,     0,     0,     0,     0,     0,  1207,  2545,   779,  1137,
     600,  1138,  1139,  1140,   654,  1141,     0,     0,     0,     0,
       0,     0,     0,   223,   224,   225,   226,   227,   228,   229,
     230,     0,   232,   233,   234,     0,     0,     0,     0,  1142,
       0,     0,   235,   236,     0,   237,   238,   780,   239,   240,
     241,   242,  1143,   781,  1144,  1145,     0,   246,   247,   248,
     249,   250,  1146,  1147,   251,   252,  1148,  1149,   255,     0,
     256,   257,   258,   259,  1150,     0,  1151,     0,   261,   262,
     263,   264,   783,   265,   266,   267,     0,   268,   269,   270,
     271,   272,   273,     0,   784,   274,   275,   276,  1152,  1153,
    1154,  1155,  1156,  1157,  1158,   277,   278,   279,   280,   281,
     282,  1159,  1160,   285,     0,   286,     0,   287,   288,   289,
     290,   291,   292,     0,   293,   294,   295,     0,     0,   296,
     297,  1000,   299,   300,     0,   301,   302,   303,     0,   304,
     305,   306,     0,   307,   308,   309,   310,  1161,   312,   313,
     314,  1162,  1163,   316,     0,   317,   318,  1164,   320,     0,
     321,     0,   322,   786,     0,   787,   323,   324,   325,     0,
     326,  1165,     0,  1166,   329,     0,   330,   331,   332,   333,
     334,   788,   335,   336,   337,   338,     0,   339,   340,   341,
     342,   343,   344,     0,   345,   789,   346,   347,   348,   349,
     350,  1167,  1168,     0,  1169,     0,   354,   790,   791,   355,
     792,   356,   357,   358,   359,   360,     0,     0,   361,  1170,
     793,   363,   794,     0,   364,   365,   366,  1171,  1172,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,  1173,   795,  1174,   385,   386,
     387,  1175,   388,   389,   796,   390,  1176,  1177,   392,  1178,
     394,   395,   396,     0,   397,     0,     0,  1179,   399,   400,
       0,     0,   401,   402,   797,   403,   798,  1180,   405,   406,
     407,   408,   409,   410,   411,   412,     0,   413,   414,  1181,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,  1182,   430,   431,   432,   433,     0,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,     0,   445,   446,   799,   447,   448,   449,  1183,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     461,   462,   463,  1184,   464,   465,   466,   467,   468,   800,
     469,   470,  1185,   472,     0,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,  1186,     0,   485,   486,
       0,   487,   801,   488,   489,   490,   491,   492,     0,  1187,
    1188,     0,     0,   495,   496,  1189,   498,  1190,  1191,   500,
     501,   502,   503,   504,   505,   506,     0,  1192,   507,   508,
     509,   510,   511,  1193,     0,   512,   513,   514,   515,   516,
     517,  1194,     0,   519,   802,   520,   521,   522,   523,     0,
       0,   524,     0,     0,   525,   526,   527,   528,   529,   530,
     531,  1195,  1196,  1197,  1198,  1199,  1200,  1201,  1202,   540,
     541,   542,  1203,     0,     0,     0,     0,     0,     0,  1204,
    1205,     0,     0,     0,     0,     0,     0,     0,  1207,  3739,
     779,  1137,   600,  1138,  1139,  1140,   654,  1141,     0,     0,
       0,     0,     0,     0,     0,   223,   224,   225,   226,   227,
     228,   229,   230,     0,   232,   233,   234,     0,     0,     0,
       0,  1142,     0,     0,   235,   236,     0,   237,   238,   780,
     239,   240,   241,   242,  1143,   781,  1144,  1145,     0,   246,
     247,   248,   249,   250,  1146,  1147,   251,   252,  1148,  1149,
     255,     0,   256,   257,   258,   259,  1150,     0,  1151,     0,
     261,   262,   263,   264,   783,   265,   266,   267,     0,   268,
     269,   270,   271,   272,   273,     0,   784,   274,   275,   276,
    1152,  1153,  1154,  1155,  1156,  1157,  1158,   277,   278,   279,
     280,   281,   282,  1159,  1160,   285,     0,   286,     0,   287,
     288,   289,   290,   291,   292,     0,   293,   294,   295,     0,
       0,   296,   297,  1000,   299,   300,     0,   301,   302,   303,
       0,   304,   305,   306,     0,   307,   308,   309,   310,  1161,
     312,   313,   314,  1162,  1163,   316,     0,   317,   318,  1164,
     320,     0,   321,     0,   322,   786,     0,   787,   323,   324,
     325,     0,   326,  1165,     0,  1166,   329,     0,   330,   331,
     332,   333,   334,   788,   335,   336,   337,   338,     0,   339,
     340,   341,   342,   343,   344,     0,   345,   789,   346,   347,
     348,   349,   350,  1167,  1168,     0,  1169,     0,   354,   790,
     791,   355,   792,   356,   357,   358,   359,   360,     0,     0,
     361,  1170,   793,   363,   794,     0,   364,   365,   366,  1171,
    1172,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,  1173,   795,  1174,
     385,   386,   387,  1175,   388,   389,   796,   390,  1176,  1177,
     392,  1178,   394,   395,   396,     0,   397,     0,     0,  1179,
     399,   400,     0,     0,   401,   402,   797,   403,   798,  1180,
     405,   406,   407,   408,   409,   410,   411,   412,     0,   413,
     414,  1181,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,  1182,   430,   431,   432,
     433,     0,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,     0,   445,   446,   799,   447,   448,   449,
    1183,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   461,   462,   463,  1184,   464,   465,   466,   467,
     468,   800,   469,   470,  1185,   472,     0,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,  1186,     0,
     485,   486,     0,   487,   801,   488,   489,   490,   491,   492,
       0,  1187,  1188,     0,     0,   495,   496,  1189,   498,  1190,
    1191,   500,   501,   502,   503,   504,   505,   506,     0,  1192,
     507,   508,   509,   510,   511,  1193,     0,   512,   513,   514,
     515,   516,   517,  1194,     0,   519,   802,   520,   521,   522,
     523,     0,     0,   524,     0,     0,   525,   526,   527,   528,
     529,   530,   531,  1195,  1196,  1197,  1198,  1199,  1200,  1201,
    1202,   540,   541,   542,  1203,     0,     0,   222,     0,     0,
       0,  1204,  1205,     0,     0,     0,     0,     0,     0,     0,
    1207,  3810,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,  3826,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0, -1598,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0, -1598,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345, -1598,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355, -1598,
     356,   357,   358,   359,   360,     0,     0,   361,   362, -1598,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383, -1598,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446, -1598,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,     0,     0,     0,   992,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1290,   223,
     224,   225,   226,   227,   228,   229,   230,     0,   232,   233,
     234,     0,     0,     0,     0,     0,     0,     0,   235,   236,
       0,   237,   238,   780,   239,   240,   241,     0,   993,   781,
     994,   995,     0,   246,   247,   248,   249,   250,     0,     0,
     251,   252,   996,   997,   255,     0,   256,   257,   258,   259,
       0,     0,   782,     0,   261,   262,   263,   264,   783,   265,
     266,   267,     0,   268,   269,   270,   271,   272,   273,     0,
     784,   274,   275,   276,     0,     0,     0,   785,     0,     0,
       0,   277,   278,   279,   280,   281,   282,   998,   999,   285,
       0,   286,     0,   287,   288,   289,   290,   291,   292,     0,
     293,   294,   295,     0,     0,   296,   297,  1000,   299,   300,
       0,   301,   302,   303,     0,   304,   305,   306,     0,   307,
     308,   309,   310,     0,   312,   313,   314,     0,     0,   316,
       0,   317,   318,  1001,   320,     0,   321,     0,   322,   786,
       0,   787,   323,   324,   325,     0,   326,     0,     0,     0,
     329,     0,   330,   331,   332,   333,   334,   788,   335,   336,
     337,   338,  2006,   339,   340,   341,   342,   343,   344,     0,
     345,   789,  2007,   347,   348,   349,   350,  1003,  1004,     0,
    1005,     0,   354,   790,   791,   355,   792,   356,   357,   358,
     359,   360,     0,     0,   361,     0,   793,   363,   794,     0,
     364,   365,   366,     0,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,  1006,   795,  1007,   385,   386,     0,     0,   388,   389,
     796,   390,     0,     0,   392,  1008,   394,   395,   396,     0,
     397,     0,     0,   398,   399,   400,     0,     0,   401,  2009,
     797,   403,   798,     0,   405,   406,   407,   408,   409,   410,
     411,   412,     0,   413,   414,     0,   416,     0,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
    1009,   430,   431,   432,   433,     0,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,     0,   445,   446,
     799,   447,   448,   449,     0,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   461,   462,   463,     0,
     464,   465,  2010,   467,   468,   800,   469,   470,  1011,   472,
       0,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,     0,     0,   485,   486,     0,   487,   801,   488,
     489,   490,   491,   492,     0,  1012,  1013,     0,     0,   495,
     496,     0,   498,     0,     0,   500,   501,   502,   503,   504,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
       0,   512,   513,   514,   515,   516,     0,  1014,  2011,   519,
     802,   520,   521,   522,   523,     0,     0,   524,     0,     0,
     525,   526,   527,   528,   529,   530,   992,     0,     0,     0,
       0,     0,     0,     0,     0,   540,   541,   542,     0,     0,
       0,   223,   224,   225,   226,   227,   228,   229,   230,     0,
     232,   233,   234,     0,     0,  2117,     0,     0,     0,     0,
     235,   236,     0,   237,   238,   780,   239,   240,   241,     0,
     993,   781,   994,   995,     0,   246,   247,   248,   249,   250,
       0,     0,   251,   252,   996,   997,   255,     0,   256,   257,
     258,   259,     0,     0,   782,     0,   261,   262,   263,   264,
     783,   265,   266,   267,     0,   268,   269,   270,   271,   272,
     273,     0,   784,   274,   275,   276,     0,     0,     0,   785,
       0,     0,     0,   277,   278,   279,   280,   281,   282,   998,
     999,   285,     0,   286,     0,   287,   288,   289,   290,   291,
     292,     0,   293,   294,   295,     0,     0,   296,   297,  1000,
     299,   300,     0,   301,   302,   303,     0,   304,   305,   306,
       0,   307,   308,   309,   310,     0,   312,   313,   314,     0,
       0,   316,     0,   317,   318,  1001,   320,     0,   321,     0,
     322,   786,     0,   787,   323,   324,   325,     0,   326,     0,
       0,     0,   329,     0,   330,   331,   332,   333,   334,   788,
     335,   336,   337,   338,  2006,   339,   340,   341,   342,   343,
     344,     0,   345,   789,  2007,   347,   348,   349,   350,  1003,
    1004,     0,  1005,     0,   354,   790,   791,   355,   792,   356,
     357,   358,   359,   360,     0,     0,   361,     0,   793,   363,
     794,     0,   364,   365,   366,     0,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,  1006,   795,  1007,   385,   386,     0,     0,
     388,   389,   796,   390,     0,     0,   392,  1008,   394,   395,
     396,     0,   397,     0,     0,   398,   399,   400,     0,     0,
     401,  2009,   797,   403,   798,     0,   405,   406,   407,   408,
     409,   410,   411,   412,     0,   413,   414,     0,   416,     0,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,  1009,   430,   431,   432,   433,     0,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,     0,
     445,   446,   799,   447,   448,   449,     0,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   461,   462,
     463,     0,   464,   465,  2010,   467,   468,   800,   469,   470,
    1011,   472,     0,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,     0,     0,   485,   486,     0,   487,
     801,   488,   489,   490,   491,   492,     0,  1012,  1013,     0,
       0,   495,   496,     0,   498,     0,     0,   500,   501,   502,
     503,   504,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,     0,   512,   513,   514,   515,   516,     0,  1014,
    2011,   519,   802,   520,   521,   522,   523,     0,     0,   524,
       0,     0,   525,   526,   527,   528,   529,   530,   779,  1137,
     600,  1138,  1139,  1140,   654,  1141,     0,   540,   541,   542,
       0,     0,     0,   223,   224,   225,   226,   227,   228,   229,
     230,     0,   232,   233,   234,     0,     0,  3066,     0,  1142,
       0,     0,   235,   236,     0,   237,   238,   780,   239,   240,
     241,   242,  1143,   781,  1144,  1145,     0,   246,   247,   248,
     249,   250,  1146,  1147,   251,   252,  1148,  1149,   255,     0,
     256,   257,   258,   259,  1150,     0,  1151,     0,   261,   262,
     263,   264,   783,   265,   266,   267,     0,   268,   269,   270,
     271,   272,   273,     0,   784,   274,   275,   276,  1152,  1153,
    1154,  1155,  1156,  1157,  1158,   277,   278,   279,   280,   281,
     282,  1159,  1160,   285,  1282,   286,     0,   287,   288,   289,
     290,   291,   292,     0,   293,   294,   295,     0,     0,   296,
     297,  1000,   299,   300,     0,   301,   302,   303,     0,   304,
     305,   306,     0,   307,   308,   309,   310,  1161,   312,   313,
     314,  1162,  1163,   316,     0,   317,   318,  1164,   320,     0,
     321,     0,   322,   786,     0,   787,   323,   324,   325,     0,
     326,  1165,     0,  1166,   329,     0,   330,   331,   332,   333,
     334,   788,   335,   336,   337,   338,     0,   339,   340,   341,
     342,   343,   344,     0,   345,   789,   346,   347,   348,   349,
     350,  1167,  1168,     0,  1169,     0,   354,   790,   791,   355,
     792,   356,   357,   358,   359,   360,     0,     0,   361,  1170,
     793,   363,   794,     0,   364,   365,   366,  1171,  1172,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,  1173,   795,  1174,   385,   386,
     387,  1175,   388,   389,   796,   390,  1176,  1177,   392,  1178,
     394,   395,   396,     0,   397,     0,     0,  1179,   399,   400,
       0,     0,   401,   402,   797,   403,   798,  1180,   405,   406,
     407,   408,   409,   410,   411,   412,     0,   413,   414,  1181,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,  1182,   430,   431,   432,   433,     0,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,     0,   445,   446,   799,   447,   448,   449,  1183,   451,
     452,   453,   454,   455,   456,   457,   458,    39,   459,   460,
     461,   462,   463,  1184,   464,   465,   466,   467,   468,   800,
     469,   470,  1185,   472,     0,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,  1186,     0,   485,   486,
      43,   487,   801,   488,   489,   490,   491,   492,     0,  1187,
    1188,     0,     0,   495,   496,  1189,   498,  1190,  1191,   500,
     501,   502,   503,   504,   505,   506,     0,  1192,   507,   508,
     509,   510,   511,  1193,     0,   512,   513,   514,   515,   516,
    1073,  1194,     0,   519,   802,   520,   521,   522,   523,     0,
       0,   524,     0,    48,   525,   526,   527,   528,   529,   530,
     531,  1195,  1196,  1197,  1198,  1199,  1200,  1201,  1202,   540,
     541,   542,  1203,     0,    49,     0,     0,     0,     0,  1204,
    1205,     0,     0,     0,     0,     0,     0,     0,  1207,   779,
    1137,   600,  1138,  1139,  1140,   654,  1141,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
    1142,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,   242,  1143,   781,  1144,  1145,     0,   246,   247,
     248,   249,   250,  1146,  1147,   251,   252,  1148,  1149,   255,
       0,   256,   257,   258,   259,  1150,     0,  1151,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,   276,  1152,
    1153,  1154,  1155,  1156,  1157,  1158,   277,   278,   279,   280,
     281,   282,  1159,  1160,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,  1000,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,  1161,   312,
     313,   314,  1162,  1163,   316,     0,   317,   318,  1164,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,  1165,     0,  1166,   329,     0,   330,   331,   332,
     333,   334,   788,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,   789,   346,   347,   348,
     349,   350,  1167,  1168,     0,  1169,     0,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,     0,     0,   361,
    1170,   793,   363,   794,     0,   364,   365,   366,  1171,  1172,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,  1173,   795,  1174,   385,
     386,   387,  1175,   388,   389,   796,   390,  1176,  1177,   392,
    1178,   394,   395,   396,     0,   397,     0,     0,  1179,   399,
     400,     0,     0,   401,   402,   797,   403,   798,  1180,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
    1181,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,  1182,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,  1183,
     451,   452,   453,   454,   455,   456,   457,   458,    39,   459,
     460,   461,   462,   463,  1184,   464,   465,   466,   467,   468,
     800,   469,   470,  1185,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,  1186,     0,   485,
     486,    43,   487,   801,   488,   489,   490,   491,   492,     0,
    1187,  1188,     0,     0,   495,   496,  1189,   498,  1190,  1191,
     500,   501,   502,   503,   504,   505,   506,     0,  1192,   507,
     508,   509,   510,   511,  1193,     0,   512,   513,   514,   515,
     516,  1073,  1194,     0,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,    48,   525,   526,   527,   528,   529,
     530,   531,  1195,  1196,  1197,  1198,  1199,  1200,  1201,  1202,
     540,   541,   542,  1203,     0,    49,     0,     0,     0,     0,
    1204,  1205,     0,     0,     0,     0,     0,     0,     0,  1207,
     779,  1137,   600,  1138,  1139,  1140,   654,  1141,     0,     0,
       0,     0,     0,     0,     0,   223,   224,   225,   226,   227,
     228,   229,   230,     0,   232,   233,   234,     0,     0,     0,
       0,  1142,     0,     0,   235,   236,     0,   237,   238,   780,
     239,   240,   241,   242,  1143,   781,  1144,  1145,  2551,   246,
     247,   248,   249,   250,  1146,  1147,   251,   252,  1148,  1149,
     255,     0,   256,   257,   258,   259,  1150,     0,  1151,     0,
     261,   262,   263,   264,   783,   265,   266,   267,     0,   268,
     269,   270,   271,   272,   273,     0,   784,   274,   275,   276,
    1152,  1153,  1154,  1155,  1156,  1157,  1158,   277,   278,   279,
     280,   281,   282,  1159,  1160,   285,     0,   286,     0,   287,
     288,   289,   290,   291,   292,     0,   293,   294,   295,     0,
       0,   296,   297,  1000,   299,   300,     0,   301,   302,   303,
       0,   304,   305,   306,     0,   307,   308,   309,   310,  1161,
     312,   313,   314,  1162,  1163,   316,     0,   317,   318,  1164,
     320,     0,   321,     0,   322,   786,  2552,   787,   323,   324,
     325,     0,   326,  1165,     0,  1166,   329,     0,   330,   331,
     332,   333,   334,   788,   335,   336,   337,   338,     0,   339,
     340,   341,   342,   343,   344,     0,   345,   789,   346,   347,
     348,   349,   350,  1167,  1168,     0,  1169,     0,   354,   790,
     791,   355,   792,   356,   357,   358,   359,   360,     0,  2553,
     361,  1170,   793,   363,   794,     0,   364,   365,   366,  1171,
    1172,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,  1173,   795,  1174,
     385,   386,   387,  1175,   388,   389,   796,   390,  1176,  1177,
     392,  1178,   394,   395,   396,     0,   397,     0,     0,  1179,
     399,   400,     0,     0,   401,   402,   797,   403,   798,  1180,
     405,   406,   407,   408,   409,   410,   411,   412,     0,   413,
     414,  1181,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,  1182,   430,   431,   432,
     433,     0,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,     0,   445,   446,   799,   447,   448,   449,
    1183,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   461,   462,   463,  1184,   464,   465,   466,   467,
     468,   800,   469,   470,  1185,   472,     0,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,  1186,     0,
     485,   486,     0,   487,   801,   488,   489,   490,   491,   492,
       0,  1187,  1188,     0,  2554,   495,   496,  1189,   498,  1190,
    1191,   500,   501,   502,   503,   504,   505,   506,     0,  1192,
     507,   508,   509,   510,   511,  1193,     0,   512,   513,   514,
     515,   516,   517,  1194,     0,   519,   802,   520,   521,   522,
     523,     0,     0,   524,     0,     0,   525,   526,   527,   528,
     529,   530,   531,  1195,  1196,  1197,  1198,  1199,  1200,  1201,
    1202,   540,   541,   542,  1203,     0,     0,     0,     0,     0,
       0,  1204,  1205,     0,     0,     0,     0,     0,     0,     0,
    1207,   779,  1137,   600,  1138,  1139,  1140,   654,  1141,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,  1142,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,   242,  1143,   781,  1144,  1145,     0,
     246,   247,   248,   249,   250,  1146,  1147,   251,   252,  1148,
    1149,   255,     0,   256,   257,   258,   259,  1150,     0,  1151,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,   275,
     276,  1152,  1153,  1154,  1155,  1156,  1157,  1158,   277,   278,
     279,   280,   281,   282,  1159,  1160,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,  1000,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
    1161,   312,   313,   314,  1162,  1163,   316,     0,   317,   318,
    1164,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,  1165,     0,  1166,   329,     0,   330,
     331,   332,   333,   334,   788,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,   346,
     347,   348,   349,   350,  1167,  1168,     0,  1169,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,  1170,   793,   363,   794,     0,   364,   365,   366,
    1171,  1172,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,  1173,   795,
    1174,   385,   386,   387,  1175,   388,   389,   796,   390,  1176,
    1177,   392,  1178,   394,   395,   396,     0,   397,     0,     0,
    1179,   399,   400,     0,     0,   401,   402,   797,   403,   798,
    1180,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,  1181,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,  1182,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,  1183,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,  1184,   464,   465,   466,
     467,   468,   800,   469,   470,  1185,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,  1186,
       0,   485,   486,     0,   487,   801,   488,   489,   490,   491,
     492,     0,  1187,  1188,     0,     0,   495,   496,  1189,   498,
    1190,  1191,   500,   501,   502,   503,   504,   505,   506,     0,
    1192,   507,   508,   509,   510,   511,  1193,     0,   512,   513,
     514,   515,   516,   517,  1194,     0,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,  1195,  1196,  1197,  1198,  1199,  1200,
    1201,  1202,   540,   541,   542,  1203,     0,     0,     0,     0,
       0,     0,  1204,  1205,     0,     0,     0,     0,     0,  1748,
    2506,  1207,   779,  1137,   600,  1138,  1139,  1140,   654,  1141,
       0,     0,     0,     0,     0,     0,     0,   223,   224,   225,
     226,   227,   228,   229,   230,     0,   232,   233,   234,     0,
       0,     0,     0,  1142,     0,     0,   235,   236,     0,   237,
     238,   780,   239,   240,   241,   242,  1143,   781,  1144,  1145,
       0,   246,   247,   248,   249,   250,  1146,  1147,   251,   252,
    1148,  1149,   255,     0,   256,   257,   258,   259,  1150,     0,
    1151,     0,   261,   262,   263,   264,   783,   265,   266,   267,
       0,   268,   269,   270,   271,   272,   273,     0,   784,   274,
     275,   276,  1152,  1153,  1154,  1155,  1156,  1157,  1158,   277,
     278,   279,   280,   281,   282,  1159,  1160,   285,     0,   286,
       0,   287,   288,   289,   290,   291,   292,     0,   293,   294,
     295,     0,     0,   296,   297,  1000,   299,   300,     0,   301,
     302,   303,     0,   304,   305,   306,     0,   307,   308,   309,
     310,  1161,   312,   313,   314,  1162,  1163,   316,     0,   317,
     318,  1164,   320,     0,   321,     0,   322,   786,     0,   787,
     323,   324,   325,     0,   326,  1165,     0,  1166,   329,     0,
     330,   331,   332,   333,   334,   788,   335,   336,   337,   338,
       0,   339,   340,   341,   342,   343,   344,     0,   345,   789,
     346,   347,   348,   349,   350,  1167,  1168,     0,  1169,     0,
     354,   790,   791,   355,   792,   356,   357,   358,   359,   360,
       0,     0,   361,  1170,   793,   363,   794,     0,   364,   365,
     366,  1171,  1172,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,  1173,
     795,  1174,   385,   386,   387,  1175,   388,   389,   796,   390,
    1176,  1177,   392,  1178,   394,   395,   396,     0,   397,     0,
       0,  1179,   399,   400,     0,     0,   401,   402,   797,   403,
     798,  1180,   405,   406,   407,   408,   409,   410,   411,   412,
       0,   413,   414,  1181,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,  1182,   430,
     431,   432,   433,     0,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,     0,   445,   446,   799,   447,
     448,   449,  1183,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   461,   462,   463,  1184,   464,   465,
     466,   467,   468,   800,   469,   470,  1185,   472,     0,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
    1186,     0,   485,   486,     0,   487,   801,   488,   489,   490,
     491,   492,     0,  1187,  1188,     0,     0,   495,   496,  1189,
     498,  1190,  1191,   500,   501,   502,   503,   504,   505,   506,
       0,  1192,   507,   508,   509,   510,   511,  1193,     0,   512,
     513,   514,   515,   516,   517,  1194,     0,   519,   802,   520,
     521,   522,   523,     0,     0,   524,     0,     0,   525,   526,
     527,   528,   529,   530,   531,  1195,  1196,  1197,  1198,  1199,
    1200,  1201,  1202,   540,   541,   542,  1203,     0,     0,     0,
       0,     0,     0,  1204,  1205,  1206,     0,     0,     0,     0,
       0,     0,  1207,   779,  1137,   600,  1138,  1139,  1140,   654,
    1141,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,  1142,     0,     0,   235,   236,     0,
     237,   238,   780,   239,   240,   241,   242,  1143,   781,  1144,
    1145,     0,   246,   247,   248,   249,   250,  1146,  1147,   251,
     252,  1148,  1149,   255,     0,   256,   257,   258,   259,  1150,
       0,  1151,     0,   261,   262,   263,   264,   783,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,   784,
     274,   275,   276,  1152,  1153,  1154,  1155,  1156,  1157,  1158,
     277,   278,   279,   280,   281,   282,  1159,  1160,   285,  1282,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,  1000,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,  1161,   312,   313,   314,  1162,  1163,   316,     0,
     317,   318,  1164,   320,     0,   321,     0,   322,   786,     0,
     787,   323,   324,   325,     0,   326,  1165,     0,  1166,   329,
       0,   330,   331,   332,   333,   334,   788,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
     789,   346,   347,   348,   349,   350,  1167,  1168,     0,  1169,
       0,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,     0,     0,   361,  1170,   793,   363,   794,     0,   364,
     365,   366,  1171,  1172,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
    1173,   795,  1174,   385,   386,   387,  1175,   388,   389,   796,
     390,  1176,  1177,   392,  1178,   394,   395,   396,     0,   397,
       0,     0,  1179,   399,   400,     0,     0,   401,   402,   797,
     403,   798,  1180,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,  1181,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,  1182,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,   799,
     447,   448,   449,  1183,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,  1184,   464,
     465,   466,   467,   468,   800,   469,   470,  1185,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,  1186,     0,   485,   486,     0,   487,   801,   488,   489,
     490,   491,   492,     0,  1187,  1188,     0,     0,   495,   496,
    1189,   498,  1190,  1191,   500,   501,   502,   503,   504,   505,
     506,     0,  1192,   507,   508,   509,   510,   511,  1193,     0,
     512,   513,   514,   515,   516,   517,  1194,     0,   519,   802,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,  1195,  1196,  1197,  1198,
    1199,  1200,  1201,  1202,   540,   541,   542,  1203,     0,     0,
       0,     0,     0,     0,  1204,  1205,     0,     0,     0,     0,
       0,     0,     0,  1207,   779,  1137,   600,  1138,  1139,  1140,
     654,  1141,     0,     0,     0,     0,     0,     0,     0,   223,
     224,   225,   226,   227,   228,   229,   230,  1981,   232,   233,
     234,     0,     0,     0,     0,  1142,     0,     0,   235,   236,
       0,   237,   238,   780,   239,   240,   241,   242,  1143,   781,
    1144,  1145,     0,   246,   247,   248,   249,   250,  1146,  1147,
     251,   252,  1148,  1149,   255,     0,   256,   257,   258,   259,
    1150,     0,  1151,     0,   261,   262,   263,   264,   783,   265,
     266,   267,     0,   268,   269,   270,   271,   272,   273,     0,
     784,   274,   275,   276,  1152,  1153,  1154,  1155,  1156,  1157,
    1158,   277,   278,   279,   280,   281,   282,  1159,  1160,   285,
       0,   286,     0,   287,   288,   289,   290,   291,   292,     0,
     293,   294,   295,     0,     0,   296,   297,  1000,   299,   300,
       0,   301,   302,   303,     0,   304,   305,   306,     0,   307,
     308,   309,   310,  1161,   312,   313,   314,  1162,  1163,   316,
       0,   317,   318,  1164,   320,     0,   321,     0,   322,   786,
       0,   787,   323,   324,   325,     0,   326,  1165,     0,  1166,
     329,     0,   330,   331,   332,   333,   334,   788,   335,   336,
     337,   338,     0,   339,   340,   341,   342,   343,   344,     0,
     345,   789,   346,   347,   348,   349,   350,  1167,  1168,     0,
    1169,     0,   354,   790,   791,   355,   792,   356,   357,   358,
     359,   360,     0,     0,   361,  1170,   793,   363,   794,     0,
     364,   365,   366,  1171,  1172,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,  1173,   795,  1174,   385,   386,   387,  1175,   388,   389,
     796,   390,  1176,  1177,   392,  1178,   394,   395,   396,     0,
     397,     0,     0,  1179,   399,   400,     0,     0,   401,   402,
     797,   403,   798,  1180,   405,   406,   407,   408,   409,   410,
     411,   412,     0,   413,   414,  1181,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
    1182,   430,   431,   432,   433,     0,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,     0,   445,   446,
     799,   447,   448,   449,  1183,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   461,   462,   463,  1184,
     464,   465,   466,   467,   468,   800,   469,   470,  1185,   472,
       0,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,  1186,     0,   485,   486,     0,   487,   801,   488,
     489,   490,   491,   492,     0,  1187,  1188,     0,     0,   495,
     496,  1189,   498,  1190,  1191,   500,   501,   502,   503,   504,
     505,   506,     0,  1192,   507,   508,   509,   510,   511,  1193,
       0,   512,   513,   514,   515,   516,   517,  1194,     0,   519,
     802,   520,   521,   522,   523,     0,     0,   524,     0,     0,
     525,   526,   527,   528,   529,   530,   531,  1195,  1196,  1197,
    1198,  1199,  1200,  1201,  1202,   540,   541,   542,  1203,     0,
       0,     0,     0,     0,     0,  1204,  1205,     0,     0,     0,
       0,     0,     0,     0,  1207,   779,  1137,   600,  1138,  1139,
    1140,   654,  1141,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,  1142,     0,     0,   235,
     236,     0,   237,   238,   780,   239,   240,   241,   242,  1143,
     781,  1144,  1145,     0,   246,   247,   248,   249,   250,  1146,
    1147,   251,   252,  1148,  1149,   255,     0,   256,   257,   258,
     259,  1150,     0,  1151,     0,   261,   262,   263,   264,   783,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,   784,   274,   275,   276,  1152,  1153,  1154,  1155,  1156,
    1157,  1158,   277,   278,   279,   280,   281,   282,  1159,  1160,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,  1000,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,  1161,   312,   313,   314,  1162,  1163,
     316,     0,   317,   318,  1164,   320,     0,   321,     0,   322,
     786,  2552,   787,   323,   324,   325,     0,   326,  1165,     0,
    1166,   329,     0,   330,   331,   332,   333,   334,   788,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,   789,   346,   347,   348,   349,   350,  1167,  1168,
       0,  1169,     0,   354,   790,   791,   355,   792,   356,   357,
     358,   359,   360,     0,     0,   361,  1170,   793,   363,   794,
       0,   364,   365,   366,  1171,  1172,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,  1173,   795,  1174,   385,   386,   387,  1175,   388,
     389,   796,   390,  1176,  1177,   392,  1178,   394,   395,   396,
       0,   397,     0,     0,  1179,   399,   400,     0,     0,   401,
     402,   797,   403,   798,  1180,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,  1181,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,  1182,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,   799,   447,   448,   449,  1183,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
    1184,   464,   465,   466,   467,   468,   800,   469,   470,  1185,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,  1186,     0,   485,   486,     0,   487,   801,
     488,   489,   490,   491,   492,     0,  1187,  1188,     0,     0,
     495,   496,  1189,   498,  1190,  1191,   500,   501,   502,   503,
     504,   505,   506,     0,  1192,   507,   508,   509,   510,   511,
    1193,     0,   512,   513,   514,   515,   516,   517,  1194,     0,
     519,   802,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,  1195,  1196,
    1197,  1198,  1199,  1200,  1201,  1202,   540,   541,   542,  1203,
       0,     0,     0,     0,     0,     0,  1204,  1205,     0,     0,
       0,     0,     0,     0,     0,  1207,   779,  1137,   600,  1138,
    1139,  1140,   654,  1141,     0,     0,     0,     0,     0,     0,
       0,   223,   224,   225,   226,   227,   228,   229,   230,     0,
     232,   233,   234,     0,     0,     0,     0,  1142,     0,     0,
     235,   236,     0,   237,   238,   780,   239,   240,   241,   242,
    1143,   781,  1144,  1145,     0,   246,   247,   248,   249,   250,
    1146,  1147,   251,   252,  1148,  1149,   255,     0,   256,   257,
     258,   259,  1150,     0,  1151,     0,   261,   262,   263,   264,
     783,   265,   266,   267,     0,   268,   269,   270,   271,   272,
     273,     0,   784,   274,   275,   276,  1152,  1153,  1154,  1155,
    1156,  1157,  1158,   277,   278,   279,   280,   281,   282,  1159,
    1160,   285,     0,   286,     0,   287,   288,   289,   290,   291,
     292,     0,   293,   294,   295,     0,     0,   296,   297,  1000,
     299,   300,     0,   301,   302,   303,     0,   304,   305,   306,
       0,   307,   308,   309,   310,  1161,   312,   313,   314,  1162,
    1163,   316,     0,   317,   318,  1164,   320,     0,   321,     0,
     322,   786,     0,   787,   323,   324,   325,     0,   326,  1165,
       0,  1166,   329,     0,   330,   331,   332,   333,   334,   788,
     335,   336,   337,   338,     0,   339,   340,   341,   342,   343,
     344,     0,   345,   789,   346,   347,   348,   349,   350,  1167,
    1168,     0,  1169,     0,   354,   790,   791,   355,   792,   356,
     357,   358,   359,   360,     0,     0,   361,  1170,   793,   363,
     794,     0,   364,   365,   366,  1171,  1172,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,  1173,   795,  1174,   385,   386,   387,  1175,
     388,   389,   796,   390,  1176,  1177,   392,  1178,   394,   395,
     396,     0,   397,     0,     0,  1179,   399,   400,     0,     0,
     401,   402,   797,   403,   798,  1180,   405,   406,   407,   408,
     409,   410,   411,   412,     0,   413,   414,  1181,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,  1182,   430,   431,   432,   433,     0,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,     0,
     445,   446,   799,   447,   448,   449,  1183,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   461,   462,
     463,  1184,   464,   465,   466,   467,   468,   800,   469,   470,
    1185,   472,     0,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,  1186,     0,   485,   486,     0,   487,
     801,   488,   489,   490,   491,   492,     0,  1187,  1188,     0,
       0,   495,   496,  1189,   498,  1190,  1191,   500,   501,   502,
     503,   504,   505,   506,     0,  1192,   507,   508,   509,   510,
     511,  1193,     0,   512,   513,   514,   515,   516,   517,  1194,
    3857,   519,   802,   520,   521,   522,   523,     0,     0,   524,
       0,     0,   525,   526,   527,   528,   529,   530,   531,  1195,
    1196,  1197,  1198,  1199,  1200,  1201,  1202,   540,   541,   542,
    1203,     0,     0,     0,     0,     0,     0,  1204,  1205,     0,
       0,     0,     0,     0,     0,     0,  1207,   779,  1137,   600,
    1138,  1139,  1140,   654,  1141,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,  1142,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
     242,  1143,   781,  1144,  1145,     0,   246,   247,   248,   249,
     250,  1146,  1147,   251,   252,  1148,  1149,   255,     0,   256,
     257,   258,   259,  1150,     0,  1151,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,  1152,  1153,  1154,
    1155,  1156,  1157,  1158,   277,   278,   279,   280,   281,   282,
    1159,  1160,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
    1000,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,  1161,   312,   313,   314,
    1162,  1163,   316,     0,   317,   318,  1164,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
    1165,     0,  1166,   329,     0,   330,   331,   332,   333,   334,
     788,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,   789,   346,   347,   348,   349,   350,
    1167,  1168,     0,  1169,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,  1170,   793,
     363,   794,     0,   364,   365,   366,  1171,  1172,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,  1173,   795,  1174,   385,   386,   387,
    1175,   388,   389,   796,   390,  1176,  1177,   392,  1178,   394,
     395,   396,     0,   397,     0,     0,  1179,   399,   400,     0,
       0,   401,   402,   797,   403,   798,  1180,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,  1181,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,  1182,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,  1183,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,  1184,   464,   465,   466,   467,   468,   800,   469,
     470,  1185,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,  1186,     0,   485,   486,     0,
     487,   801,   488,   489,   490,   491,   492,     0,  1187,  1188,
       0,     0,   495,   496,  1189,   498,  1190,  1191,   500,   501,
     502,   503,   504,   505,   506,     0,  1192,   507,   508,   509,
     510,   511,  1193,     0,   512,   513,   514,   515,   516,   517,
    1194,     0,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
    1195,  1196,  1197,  1198,  1199,  1200,  1201,  1202,   540,   541,
     542,  1203,     0,     0,     0,     0,     0,     0,  1204,  1205,
       0,     0,     0,     0,     0,     0,     0,  1207,   779,  1137,
     600,  1138,  1139,  1140,   654,  1141,     0,     0,     0,     0,
       0,     0,     0,   223,   224,   225,   226,   227,   228,   229,
     230,     0,   232,   233,   234,     0,     0,     0,     0,  1142,
       0,     0,   235,   236,     0,   237,   238,   780,   239,   240,
     241,   242,  1143,   781,  1144,  1145,     0,   246,   247,   248,
     249,   250,  1146,  1147,   251,   252,  1148,  1149,   255,     0,
     256,   257,   258,   259,  1150,     0,  1151,     0,   261,   262,
     263,   264,   783,   265,   266,   267,     0,   268,   269,   270,
     271,   272,   273,     0,   784,   274,   275,  3870,  1152,  1153,
    1154,  1155,  1156,  1157,  1158,   277,   278,   279,   280,   281,
     282,  1159,  1160,   285,     0,   286,     0,   287,   288,   289,
     290,   291,   292,     0,   293,   294,   295,     0,     0,   296,
     297,  1000,   299,   300,     0,   301,   302,   303,     0,   304,
     305,   306,     0,   307,   308,   309,   310,  1161,   312,   313,
     314,  1162,  1163,   316,     0,   317,   318,  1164,   320,     0,
     321,     0,   322,   786,     0,   787,   323,   324,   325,     0,
     326,  1165,     0,  1166,   329,     0,   330,   331,   332,   333,
     334,   788,   335,   336,   337,   338,     0,   339,   340,   341,
     342,   343,   344,     0,   345,   789,   346,   347,   348,   349,
     350,  1167,  1168,     0,  1169,     0,   354,   790,   791,   355,
     792,   356,   357,   358,   359,   360,     0,     0,   361,  1170,
     793,   363,   794,     0,   364,   365,   366,  1171,  1172,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,  1173,   795,  1174,   385,   386,
     387,  1175,   388,   389,   796,   390,  1176,  1177,   392,  1178,
     394,   395,   396,     0,   397,     0,     0,  1179,   399,   400,
       0,     0,   401,   402,   797,   403,   798,  1180,   405,   406,
     407,   408,   409,   410,   411,   412,     0,   413,   414,  1181,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,  1182,   430,   431,   432,   433,     0,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,     0,   445,   446,   799,   447,   448,   449,  1183,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     461,   462,   463,  1184,   464,   465,   466,   467,   468,   800,
     469,   470,  1185,   472,     0,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,  1186,     0,   485,   486,
       0,   487,   801,   488,   489,   490,   491,   492,     0,  1187,
    1188,     0,     0,   495,   496,  1189,   498,  1190,  1191,   500,
     501,   502,   503,   504,   505,   506,     0,  1192,   507,   508,
     509,   510,   511,  1193,     0,   512,   513,   514,   515,   516,
     517,  1194,     0,   519,   802,   520,   521,   522,   523,     0,
       0,   524,     0,     0,   525,   526,   527,   528,   529,   530,
     531,  1195,  1196,  1197,  1198,  1199,  1200,  1201,  1202,   540,
     541,   542,  1203,     0,     0,     0,     0,     0,     0,  1204,
    1205,     0,     0,     0,     0,     0,     0,     0,  1207,   779,
    1137,   600,  1138,  1139,  1140,   654,  1141,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
    1142,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,   242,  1143,   781,  1144,  1145,     0,   246,   247,
     248,   249,   250,  1146,  1147,   251,   252,  1148,  1149,   255,
       0,   256,   257,   258,   259,  1150,     0,  1151,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,   276,  1152,
    1153,  1154,  1155,  1156,  1157,  1158,   277,   278,   279,   280,
     281,   282,  1159,  1160,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,  1000,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,  1161,   312,
     313,   314,  1162,  1163,   316,     0,   317,   318,  1164,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,  1165,     0,  1166,   329,     0,   330,   331,   332,
     333,   334,   788,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,   789,   346,   347,   348,
     349,   350,  1167,  1168,     0,  1169,     0,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,     0,     0,   361,
    1170,   793,   363,   794,     0,   364,   365,   366,  1171,  1172,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,  1173,   795,  1174,   385,
     386,   387,  1175,   388,   389,   796,   390,  1176,  1177,   392,
    1178,   394,   395,   396,     0,   397,     0,     0,  1179,   399,
     400,     0,     0,   401,   402,   797,   403,   798,  1180,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
    1181,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,  1182,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,  1183,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,  1184,   464,   465,   466,   467,   468,
     800,   469,   470,  1185,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,  1186,     0,   485,
     486,     0,   487,   801,   488,   489,   490,   491,   492,     0,
    1187,  1188,     0,     0,   495,   496,  1189,   498,  1190,  1191,
     500,   501,   502,   503,   504,   505,   506,     0,  1192,   507,
     508,   509,   510,   511,  1193,     0,   512,   513,   514,   515,
     516,   517,  1194,     0,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,  4161,  1195,  1196,  1197,  1198,  1199,  1200,  1201,  1202,
     540,   541,   542,  1203,     0,     0,     0,     0,     0,     0,
    1204,  1205,     0,     0,     0,     0,     0,     0,     0,  1207,
     779,  1137,   600,  1138,  1139,  1140,   654,  1141,     0,     0,
       0,     0,     0,     0,     0,   223,   224,   225,   226,   227,
     228,   229,   230,     0,   232,   233,   234,     0,     0,     0,
       0,  1142,     0,     0,   235,   236,     0,   237,   238,   780,
     239,   240,   241,   242,  1143,   781,  1144,  1145,     0,   246,
     247,   248,   249,   250,  1146,  1147,   251,   252,  1148,  1149,
     255,     0,   256,   257,   258,   259,  1150,     0,  1151,     0,
     261,   262,   263,   264,   783,   265,   266,   267,     0,   268,
     269,   270,   271,   272,   273,     0,   784,   274,   275,   276,
    1152,  1153,  1154,  1155,  1156,  1157,  1158,   277,   278,   279,
     280,   281,   282,  1159,  1160,   285,     0,   286,     0,   287,
     288,   289,   290,   291,   292,     0,   293,   294,   295,     0,
       0,   296,   297,  1000,   299,   300,     0,   301,   302,   303,
       0,   304,   305,   306,     0,   307,   308,   309,   310,  1161,
     312,   313,   314,  1162,  1163,   316,     0,   317,   318,  1164,
     320,     0,   321,     0,   322,   786,     0,   787,   323,   324,
     325,     0,   326,  1165,     0,  1166,   329,     0,   330,   331,
     332,   333,   334,   788,   335,   336,   337,   338,     0,   339,
     340,   341,   342,   343,   344,     0,   345,   789,   346,   347,
     348,   349,   350,  1167,  1168,     0,  1169,     0,   354,   790,
     791,   355,   792,   356,   357,   358,   359,   360,     0,     0,
     361,  1170,   793,   363,   794,     0,   364,   365,   366,  1171,
    1172,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,  1173,   795,  1174,
     385,  4170,   387,  1175,   388,   389,   796,   390,  1176,  1177,
     392,  1178,   394,   395,   396,     0,   397,     0,     0,  1179,
     399,   400,     0,     0,   401,   402,   797,   403,   798,  1180,
     405,   406,   407,   408,   409,   410,   411,   412,     0,   413,
     414,  1181,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,  1182,   430,   431,   432,
     433,     0,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,     0,   445,   446,   799,   447,   448,   449,
    1183,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   461,   462,   463,  1184,   464,   465,   466,   467,
     468,   800,   469,   470,  1185,   472,     0,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,  1186,     0,
     485,   486,     0,   487,   801,   488,   489,   490,   491,   492,
       0,  1187,  1188,     0,     0,   495,   496,  1189,   498,  1190,
    1191,   500,   501,   502,   503,   504,   505,   506,     0,  1192,
     507,   508,   509,   510,   511,  1193,     0,   512,   513,   514,
     515,   516,   517,  1194,     0,   519,   802,   520,   521,   522,
     523,     0,     0,   524,     0,     0,   525,   526,   527,   528,
     529,   530,   531,  1195,  1196,  1197,  1198,  1199,  1200,  1201,
    1202,   540,   541,   542,  1203,     0,     0,     0,     0,     0,
       0,  1204,  1205,     0,     0,     0,     0,     0,     0,     0,
    1207,   779,  1137,   600,  1138,  1139,  1140,   654,  1141,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,  1142,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,   242,  1143,   781,  1144,  1145,     0,
     246,   247,   248,   249,   250,  1146,  1147,   251,   252,  1148,
    1149,   255,     0,   256,   257,   258,   259,  1150,     0,  1151,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,  4459,
     276,  1152,  1153,  1154,  1155,  1156,  1157,  1158,   277,   278,
     279,   280,   281,   282,  1159,  1160,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,  1000,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
    1161,   312,   313,   314,  1162,  1163,   316,     0,   317,   318,
    1164,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,  1165,     0,  4460,   329,     0,   330,
     331,   332,   333,   334,   788,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,   346,
     347,   348,   349,   350,  1167,  1168,     0,  1169,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,  1170,   793,   363,   794,     0,   364,   365,   366,
    1171,  1172,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,  1173,   795,
    1174,   385,   386,   387,  1175,   388,   389,   796,   390,  1176,
    1177,   392,  1178,   394,   395,   396,     0,   397,     0,     0,
    1179,   399,   400,     0,     0,   401,   402,   797,   403,   798,
    1180,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,  1181,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,  1182,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
    4461,  1183,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,  1184,   464,   465,   466,
     467,   468,   800,   469,   470,  1185,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,  1186,
       0,   485,   486,     0,   487,   801,   488,   489,   490,   491,
     492,     0,  1187,  1188,     0,     0,   495,   496,  1189,   498,
    1190,  1191,   500,   501,   502,   503,   504,   505,   506,     0,
    1192,   507,   508,   509,   510,   511,  1193,     0,   512,   513,
     514,   515,   516,   517,  1194,     0,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,  1195,  1196,  1197,  1198,  1199,  1200,
    1201,  1202,   540,   541,   542,  1203,     0,     0,     0,     0,
       0,     0,  1204,  1205,     0,     0,     0,     0,     0,     0,
       0,  4462,   779,  1137,   600,  1138,  1139,  1140,   654,  1141,
       0,     0,     0,     0,     0,     0,     0,   223,   224,   225,
     226,   227,   228,   229,   230,     0,   232,   233,   234,     0,
       0,     0,     0,  1142,     0,     0,   235,   236,     0,   237,
     238,   780,   239,   240,   241,  4848,  1143,   781,  1144,  1145,
       0,   246,   247,   248,   249,   250,  1146,  1147,   251,   252,
    1148,  1149,   255,     0,   256,   257,   258,   259,  1150,     0,
    1151,     0,   261,   262,   263,   264,   783,   265,   266,   267,
       0,   268,   269,   270,   271,   272,   273,     0,   784,   274,
     275,  4849,  1152,  1153,  1154,  1155,  1156,  1157,  1158,   277,
     278,   279,   280,   281,   282,  1159,  1160,   285,     0,   286,
       0,   287,   288,   289,   290,   291,   292,     0,   293,   294,
     295,     0,     0,   296,   297,  1000,   299,   300,     0,   301,
     302,   303,     0,   304,   305,   306,     0,   307,   308,   309,
     310,  1161,   312,   313,   314,  1162,  1163,   316,     0,   317,
     318,  1164,   320,     0,   321,     0,   322,   786,     0,   787,
     323,   324,   325,     0,   326,  1165,     0,  1166,   329,     0,
     330,   331,   332,   333,   334,   788,   335,   336,   337,   338,
       0,   339,   340,   341,   342,   343,   344,     0,   345,   789,
     346,   347,   348,   349,   350,  1167,  1168,     0,  1169,     0,
     354,   790,   791,   355,   792,   356,   357,   358,   359,   360,
       0,     0,   361,  1170,   793,   363,   794,     0,   364,   365,
     366,  1171,  1172,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,  1173,
     795,  1174,   385,   386,   387,  1175,   388,   389,   796,   390,
    1176,  1177,   392,  1178,   394,   395,   396,     0,   397,     0,
       0,  1179,   399,   400,     0,     0,   401,   402,   797,   403,
     798,  1180,   405,   406,   407,   408,   409,   410,   411,   412,
       0,   413,   414,  1181,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,  1182,   430,
     431,   432,   433,     0,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,     0,   445,   446,   799,   447,
     448,   449,  1183,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   461,   462,   463,  1184,   464,   465,
     466,   467,   468,   800,   469,   470,  1185,   472,     0,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
    1186,     0,   485,   486,     0,   487,   801,   488,   489,   490,
     491,   492,     0,  1187,  1188,     0,     0,   495,   496,  1189,
     498,  1190,  1191,   500,   501,   502,   503,  4850,   505,   506,
       0,  1192,   507,   508,   509,   510,   511,  1193,     0,   512,
     513,   514,   515,   516,   517,  1194,     0,   519,   802,   520,
     521,   522,   523,     0,     0,   524,     0,     0,   525,   526,
     527,   528,   529,   530,   531,  1195,  1196,  1197,  1198,  1199,
    1200,  1201,  1202,   540,   541,   542,  1203,     0,     0,     0,
       0,     0,     0,  1204,  1205,     0,     0,     0,     0,     0,
       0,     0,  1207,   779,  1137,   600,  1138,  1139,  1140,   654,
    1141,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,  1142,     0,     0,   235,   236,     0,
     237,   238,   780,   239,   240,   241,   242,  1143,   781,  1144,
    1145,     0,   246,   247,   248,   249,   250,  1146,  1147,   251,
     252,  1148,  1149,   255,     0,   256,   257,   258,   259,  1150,
       0,  1151,     0,   261,   262,   263,   264,   783,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,   784,
     274,   275,  4849,  1152,  1153,  1154,  1155,  1156,  1157,  1158,
     277,   278,   279,   280,   281,   282,  1159,  1160,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,  1000,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,  1161,   312,   313,   314,  1162,  1163,   316,     0,
     317,   318,  1164,   320,     0,   321,     0,   322,   786,     0,
     787,   323,   324,   325,     0,   326,  1165,     0,  1166,   329,
       0,   330,   331,   332,   333,   334,   788,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
     789,   346,   347,   348,   349,   350,  1167,  1168,     0,  1169,
       0,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,     0,     0,   361,  1170,   793,   363,   794,     0,   364,
     365,   366,  1171,  1172,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
    1173,   795,  1174,   385,   386,   387,  1175,   388,   389,   796,
     390,  1176,  1177,   392,  1178,   394,   395,   396,     0,   397,
       0,     0,  1179,   399,   400,     0,     0,   401,   402,   797,
     403,   798,  1180,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,  1181,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,  1182,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,   799,
     447,   448,   449,  1183,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,  1184,   464,
     465,   466,   467,   468,   800,   469,   470,  1185,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,  1186,     0,   485,   486,     0,   487,   801,   488,   489,
     490,   491,   492,     0,  1187,  1188,     0,     0,   495,   496,
    1189,   498,  1190,  1191,   500,   501,   502,   503,  4850,   505,
     506,     0,  1192,   507,   508,   509,   510,   511,  1193,     0,
     512,   513,   514,   515,   516,   517,  1194,     0,   519,   802,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,  1195,  1196,  1197,  1198,
    1199,  1200,  1201,  1202,   540,   541,   542,  1203,     0,     0,
       0,     0,     0,     0,  1204,  1205,     0,     0,     0,     0,
       0,     0,     0,  1207,   779,  1137,   600,  1138,  1139,  1140,
     654,  1141,     0,     0,     0,     0,     0,     0,     0,   223,
     224,   225,   226,   227,   228,   229,   230,     0,   232,   233,
     234,     0,     0,     0,     0,  1142,     0,     0,   235,   236,
       0,   237,   238,   780,   239,   240,   241,   242,  1143,   781,
    1144,  1145,     0,   246,   247,   248,   249,   250,  1146,  1147,
     251,   252,  1148,  1149,   255,     0,   256,   257,   258,   259,
    1150,     0,  1151,     0,   261,   262,   263,   264,   783,   265,
     266,   267,     0,   268,   269,   270,   271,   272,   273,     0,
     784,   274,   275,   276,  1152,  1153,  1154,  1155,  1156,  1157,
    1158,   277,   278,   279,   280,   281,   282,  1159,  1160,   285,
       0,   286,     0,   287,   288,   289,   290,   291,   292,     0,
     293,   294,   295,     0,     0,   296,   297,  1000,   299,   300,
       0,   301,   302,   303,     0,   304,   305,   306,     0,   307,
     308,   309,   310,  1161,   312,   313,   314,  1162,  1163,   316,
       0,   317,   318,  1164,   320,     0,   321,     0,   322,   786,
       0,   787,   323,   324,   325,     0,   326,  1165,     0,  1166,
     329,     0,   330,   331,   332,   333,   334,   788,   335,   336,
     337,   338,     0,   339,   340,   341,   342,   343,   344,     0,
     345,   789,   346,   347,   348,   349,   350,  1167,  1168,     0,
    1169,     0,   354,   790,   791,   355,   792,   356,   357,   358,
     359,   360,     0,     0,   361,  1170,   793,   363,   794,     0,
     364,   365,   366,  1171,  1172,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,  1173,   795,  1174,   385,   386,   387,     0,   388,   389,
     796,   390,  1176,  1177,   392,  1178,   394,   395,   396,     0,
     397,     0,     0,  1179,   399,   400,     0,     0,   401,   402,
     797,   403,   798,  1180,   405,   406,   407,   408,   409,   410,
     411,   412,     0,   413,   414,  1181,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
    1182,   430,   431,   432,   433,     0,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,     0,   445,   446,
     799,   447,   448,   449,  2537,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   461,   462,   463,  1184,
     464,   465,   466,   467,   468,   800,   469,   470,  1185,   472,
       0,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,  1186,     0,   485,   486,     0,   487,   801,   488,
     489,   490,   491,   492,     0,  1187,  1188,     0,     0,   495,
     496,  1189,   498,  1190,  1191,   500,   501,   502,   503,   504,
     505,   506,     0,     0,   507,   508,   509,   510,   511,  1193,
       0,   512,   513,   514,   515,   516,   517,  1194,     0,   519,
     802,   520,   521,   522,   523,     0,     0,   524,     0,     0,
     525,   526,   527,   528,   529,   530,   531,  1195,  1196,  1197,
    1198,  1199,  1200,  1201,  1202,   540,   541,   542,     0,     0,
       0,     0,     0,     0,     0,  2538,  2539,     0,     0,     0,
       0,     0,     0,     0,  2540,   779,  1137,   600,  1138,  1139,
    1140,   654,  1141,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,  1142,     0,     0,   235,
     236,     0,   237,   238,   780,   239,   240,   241, -2416,  1143,
     781,  1144,  1145,     0,   246,   247,   248,   249,   250,  1146,
    1147,   251,   252,  1148,  1149,   255,     0,   256,   257,   258,
     259,  1150,     0,  1151,     0,   261,   262,   263,   264,   783,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,   784,   274,   275,  4849,  1152,  1153,  1154,  1155,  1156,
    1157,  1158,   277,   278,   279,   280,   281,   282,  1159,  1160,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,  1000,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,  1161,   312,   313,   314,  1162,  1163,
     316,     0,   317,   318,  1164,   320,     0,   321,     0,   322,
     786,     0,   787,   323,   324,   325,     0,   326,  1165,     0,
    1166,   329,     0,   330,   331,   332,   333,   334, -2416,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,   789,   346,   347,   348,   349,   350,  1167,  1168,
       0,  1169,     0,   354,     0,     0,   355,   792,   356,   357,
     358,   359,   360,     0,     0,   361,  1170,   793,   363, -2416,
       0,   364,   365,   366,  1171,  1172,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,  1173,   795,  1174,   385,   386,   387,  1175,   388,
     389,     0,   390,  1176,  1177,   392,  1178,   394,   395,   396,
       0,   397,     0,     0,  1179,   399,   400,     0,     0,   401,
     402,   797,   403,   798,  1180,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,  1181,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,  1182,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,   799,   447,   448,   449,  1183,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
    1184,   464,   465,   466,   467,   468, -2416,   469,   470,  1185,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,  1186,     0,   485,   486,     0,   487,   801,
     488,   489,   490,   491,   492,     0,  1187,  1188,     0,     0,
     495,   496,  1189,   498,  1190,  1191,   500,   501,   502,   503,
    4850,   505,   506,     0,  1192,   507,   508,   509,   510,   511,
    1193,     0,   512,   513,   514,   515,   516,   517,  1194,     0,
     519,   802,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,  1195,  1196,
    1197,  1198,  1199,  1200,  1201,  1202,   540,   541,   542, -2416,
       0,     0,     0,     0,     0,     0,  1204,  1205,     0,     0,
       0,     0,     0,     0,     0,  1207,   779,  1137,   600,  1138,
    1139,  1140,   654,  1141,     0,     0,     0,     0,     0,     0,
       0,   223,   224,   225,   226,   227,   228,   229,   230,     0,
     232,   233,   234,     0,     0,     0,     0,  1142,     0,     0,
     235,   236,     0,   237,   238,   780,   239,   240,   241,   242,
    1143,   781,  1144,  1145,     0,   246,   247,   248,   249,   250,
    1146,  1147,   251,   252,  1148,  1149,   255,     0,   256,   257,
     258,   259,  1150,     0,  1151,     0,   261,   262,   263,   264,
     783,   265,   266,   267,     0,   268,   269,   270,   271,   272,
     273,     0,   784,   274,   275,   276,  1152,  1153,  1154,  1155,
    1156,  1157,  1158,   277,   278,   279,   280,   281,   282,  1159,
    1160,   285,     0,   286,     0,   287,   288,   289,   290,   291,
     292,     0,   293,   294,   295,     0,     0,   296,   297,  1000,
     299,   300,     0,   301,   302,   303,     0,   304,   305,   306,
       0,   307,   308,   309,   310,  1161,   312,   313,   314,  1162,
    1163,   316,     0,   317,   318,  1164,   320,     0,   321,     0,
     322,   786,     0,   787,   323,   324,   325,     0,   326,  1165,
       0,  1166,   329,     0,   330,   331,   332,   333,   334,   788,
     335,   336,   337,   338,     0,   339,   340,   341,   342,   343,
     344,     0,   345,   789,   346,   347,   348,   349,   350,  1167,
    1168,     0,  1169,     0,   354,     0,   791,   355,   792,   356,
     357,   358,   359,   360,     0,     0,   361,  1170,   793,   363,
     794,     0,   364,   365,   366,  1171,  1172,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,  1173,   795,  1174,   385,   386,   387,     0,
     388,   389,   796,   390,  1176,  1177,   392,  1178,   394,   395,
     396,     0,   397,     0,     0,  1179,   399,   400,     0,     0,
     401,   402,   797,   403,   798,  1180,   405,   406,   407,   408,
     409,   410,   411,   412,     0,   413,   414,  1181,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,  1182,   430,   431,   432,   433,     0,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,     0,
     445,   446,   799,   447,   448,   449,  2537,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   461,   462,
     463,  1184,   464,   465,   466,   467,   468,   800,   469,   470,
    1185,   472,     0,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,  1186,     0,   485,   486,     0,   487,
     801,   488,   489,   490,   491,   492,     0,  1187,  1188,     0,
       0,   495,   496,  1189,   498,  1190,  1191,   500,   501,   502,
     503,   504,   505,   506,     0,     0,   507,   508,   509,   510,
     511,  1193,     0,   512,   513,   514,   515,   516,   517,  1194,
       0,   519,   802,   520,   521,   522,   523,     0,     0,   524,
       0,     0,   525,   526,   527,   528,   529,   530,   531,  1195,
    1196,  1197,  1198,  1199,  1200,  1201,  1202,   540,   541,   542,
       0,     0,     0,     0,     0,     0,     0,  2538,  2539,     0,
       0,   779,  1137,   600,  1138,  1139,  2540,   654,  1141,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,  1142,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,   242,  1143,   781,  1144,  1145,     0,
     246,   247,   248,   249,   250,  1146,  1147,   251,   252,  1148,
    1149,   255,     0,   256,   257,   258,   259,  1150,     0,  1151,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,   275,
     276,  1152,  1153,  1154,  1155,  1156,  1157,  1158,   277,   278,
     279,   280,   281,   282,  1159,  1160,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,  1000,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
    1161,   312,   313,   314,  1162,  1163,   316,     0,   317,   318,
    1164,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,  1165,     0,  1166,   329,     0,   330,
     331,   332,   333,   334,   788,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,   346,
     347,   348,   349,   350,  1167,  1168,     0,  1169,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,  1170,   793,   363,   794,     0,   364,   365,   366,
    1171,  1172,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,  1173,   795,
    1174,   385,   386,   387,     0,   388,   389,   796,   390,  1176,
    1177,   392,  1178,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,   797,   403,   798,
    1180,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,  1181,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,  1182,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,  2537,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,  1184,   464,   465,   466,
     467,   468,   800,   469,   470,  1185,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,  1186,
       0,   485,   486,     0,   487,   801,   488,   489,   490,   491,
     492,     0,  1187,  1188,     0,     0,   495,   496,  1189,   498,
    1190,  1191,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,  1193,     0,   512,   513,
     514,   515,   516,   517,  1194,     0,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,  1195,  1196,  1197,  1198,  1199,  1200,
    1201,  1202,   540,   541,   542,     0,     0,   779,  1137,   600,
    1138,  1139,     0,   654,  1141,     0,     0,     0,     0,     0,
       0,  2540,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,  1142,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
     242,  1143,   781,  1144,  1145,     0,  3772,   247,   248,   249,
     250,  1146,  1147,   251,   252,  1148,  1149,   255,     0,   256,
     257,   258,   259,  1150,     0,  1151,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,  1152,  1153,  1154,
    1155,  1156,  1157,  1158,   277,   278,   279,   280,   281,   282,
    1159,  1160,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
    1000,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,  1161,   312,   313,   314,
    1162,  1163,   316,     0,   317,   318,  1164,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
    1165,     0,  1166,   329,     0,   330,   331,   332,   333,   334,
     788,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,   789,   346,   347,   348,   349,   350,
    1167,  1168,     0,  1169,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,  1170,   793,
     363,   794,     0,   364,   365,   366,  1171,  1172,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,  1173,   795,  1174,   385,   386,   387,
       0,   388,   389,   796,   390,  1176,  1177,   392,  1178,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,   797,   403,   798,  1180,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,  1181,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,  1182,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,  2537,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,  1184,   464,   465,   466,   467,   468,   800,   469,
     470,  1185,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,  1186,     0,   485,   486,     0,
     487,   801,   488,   489,   490,   491,   492,     0,  1187,  1188,
       0,     0,   495,   496,  1189,   498,  1190,  1191,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,  1193,     0,   512,   513,   514,   515,   516,   517,
    1194,     0,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
    1195,  1196,  1197,  1198,  1199,  1200,  1201,  1202,   540,   541,
     542,     0,     0,   779,  1137,   600,  1138,  1139,  1140,   654,
    1141,     0,     0,     0,     0,     0,     0,  2540,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,  1142,     0,     0,   235,   236,     0,
     237,   238,   780,   239,   240,   241,     0,  1143,   781,  1144,
    1145,     0,   246,   247,   248,   249,   250,  1146,  1147,   251,
     252,  1148,  1149,   255,     0,   256,   257,   258,   259,  1150,
       0,  1151,     0,   261,   262,   263,   264,   783,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,   784,
     274,   275,   276,  1152,  1153,  1154,  1155,  1156,  1157,  1158,
     277,   278,   279,   280,   281,   282,  1159,  1160,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,  1000,   299,   300,     0,
     301,   302,   303,     0,   304,     0,   306,     0,   307,   308,
     309,   310,  1161,   312,   313,   314,  1162,  1163,   316,     0,
     317,   318,  1164,   320,     0,   321,     0,   322,   786,     0,
     787,   323,   324,   325,     0,   326,  1165,     0,  1166,   329,
       0,   330,   331,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
     789,   346,   347,   348,   349,   350,  1167,  1168,     0,  1169,
       0,   354,     0,     0,   355,   792,   356,   357,   358,   359,
     360,     0,     0,   361,  1170,   793,   363,     0,     0,   364,
     365,   366,  1171,  1172,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
    1173,   795,  1174,   385,   386,   387,  1175,   388,   389,     0,
     390,  1176,  1177,   392,  1178,   394,   395,   396,     0,   397,
       0,     0,  1179,   399,   400,     0,     0,   401,   402,   797,
     403,   798,  1180,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,  1181,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,  1182,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,   799,
     447,   448,   449,  1183,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,  1184,   464,
     465,   466,   467,   468,     0,   469,   470,  1185,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,  1186,     0,   485,   486,     0,   487,   801,   488,   489,
     490,   491,   492,     0,  1187,  1188,     0,     0,   495,   496,
    1189,   498,  1190,  1191,   500,   501,   502,   503,   504,   505,
     506,     0,  1192,   507,   508,   509,   510,   511,  1193,     0,
     512,   513,   514,   515,   516,   517,  1194,     0,   519,   802,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,  1195,  1196,  1197,  1198,
    1199,  1200,  1201,  1202,   540,   541,   542,     0,     0,   779,
       0,     0,     0,     0,  1204,  1205,     0,     0,     0,     0,
       0,     0,     0,  1207,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,   242,   243,   781,   244,   245,     0,   246,   247,
     248,   249,   250,     0,  1147,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,  1150,     0,  1151,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,   276,  1152,
    1153,  1154,  1155,  1156,  1157,  1158,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,  1162,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,  1165,     0,   328,   329,     0,   330,   331,   332,
     333,   334,   788,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,   789,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,  3294,     0,   361,
    1170,   793,   363,   794,     0,   364,   365,   366,  1171,  1172,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   795,   384,   385,
     386,   387,     0,   388,   389,   796,   390,     0,  1177,   392,
     393,   394,   395,   396,     0,   397,     0,   743,   398,   399,
     400,     0,     0,   401,   402,   797,   403,   798,  1180,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
    1181,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,   450,
    3295,   452,   453,   454,   455,   456,   457,   458,    39,   459,
     460,   461,   462,   463,  1184,   464,   465,   466,   467,   468,
     800,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,  1186,     0,   485,
     486,    43,   487,   801,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,  1189,   498,  1190,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,  1193,     0,   512,   513,   514,   515,
     516,  1073,   518,     0,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,    48,   525,   526,   527,   528,   529,
     530,   531,  1195,  1196,  1197,  1198,  1199,  1200,  1201,  1202,
     540,   541,   542,     0,     0,    49,   779,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3296,
       0,   223,   224,   225,   226,   227,   228,   229,   230,     0,
     232,   233,   234,     0,     0,     0,     0,     0,     0,     0,
     235,   236,     0,   237,   238,   780,   239,   240,   241,   242,
     243,   781,   244,   245,     0,   246,   247,   248,   249,   250,
       0,  1147,   251,   252,   253,   254,   255,     0,   256,   257,
     258,   259,  1150,     0,  1151,     0,   261,   262,   263,   264,
     783,   265,   266,   267,     0,   268,   269,   270,   271,   272,
     273,     0,   784,   274,   275,   276,  1152,  1153,  1154,  1155,
    1156,  1157,  1158,   277,   278,   279,   280,   281,   282,   283,
     284,   285,     0,   286,     0,   287,   288,   289,   290,   291,
     292,     0,   293,   294,   295,     0,     0,   296,   297,   298,
     299,   300,     0,   301,   302,   303,     0,   304,   305,   306,
       0,   307,   308,   309,   310,   311,   312,   313,   314,  1162,
       0,   316,     0,   317,   318,   319,   320,     0,   321,     0,
     322,   786,     0,   787,   323,   324,   325,     0,   326,  1165,
       0,   328,   329,     0,   330,   331,   332,   333,   334,   788,
     335,   336,   337,   338,     0,   339,   340,   341,   342,   343,
     344,     0,   345,   789,   346,   347,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   790,   791,   355,   792,   356,
     357,   358,   359,   360,  3294,     0,   361,  1170,   793,   363,
     794,     0,   364,   365,   366,  1171,  1172,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   795,   384,   385,   386,   387,     0,
     388,   389,   796,   390,     0,  1177,   392,   393,   394,   395,
     396,     0,   397,     0,   743,   398,   399,   400,     0,     0,
     401,   402,   797,   403,   798,  1180,   405,   406,   407,   408,
     409,   410,   411,   412,     0,   413,   414,  1181,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,     0,
     445,   446,   799,   447,   448,   449,   450,  3295,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   461,   462,
     463,  1184,   464,   465,   466,   467,   468,   800,   469,   470,
     471,   472,     0,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,  1186,     0,   485,   486,     0,   487,
     801,   488,   489,   490,   491,   492,     0,   493,   494,     0,
       0,   495,   496,  1189,   498,  1190,     0,   500,   501,   502,
     503,   504,   505,   506,     0,     0,   507,   508,   509,   510,
     511,  1193,     0,   512,   513,   514,   515,   516,   517,   518,
       0,   519,   802,   520,   521,   522,   523,     0,     0,   524,
       0,     0,   525,   526,   527,   528,   529,   530,   531,  1195,
    1196,  1197,  1198,  1199,  1200,  1201,  1202,   540,   541,   542,
       0,     0,   779,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3296,   223,   224,   225,
     226,   227,   228,   229,   230,     0,   232,   233,   234,     0,
       0,     0,     0,     0,     0,     0,   235,   236,     0,   237,
     238,   780,   239,   240,   241,   242,   243,   781,   244,   245,
       0,   246,   247,   248,   249,   250,     0,  1147,   251,   252,
     253,   254,   255,     0,   256,   257,   258,   259,  1150,     0,
    1151,     0,   261,   262,   263,   264,   783,   265,   266,   267,
       0,   268,   269,   270,   271,   272,   273,     0,   784,   274,
     275,   276,  1152,  1153,  1154,  1155,  1156,  1157,  1158,   277,
     278,   279,   280,   281,   282,   283,   284,   285,     0,   286,
       0,   287,   288,   289,   290,   291,   292,     0,   293,   294,
     295,     0,     0,   296,   297,   298,   299,   300,     0,   301,
     302,   303,     0,   304,   305,   306,     0,   307,   308,   309,
     310,   311,   312,   313,   314,  1162,     0,   316,     0,   317,
     318,   319,   320,     0,   321,     0,   322,   786,     0,   787,
     323,   324,   325,     0,   326,  1165,     0,   328,   329,     0,
     330,   331,   332,   333,   334,   788,   335,   336,   337,   338,
       0,   339,   340,   341,   342,   343,   344,     0,   345,   789,
     346,   347,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   790,   791,   355,   792,   356,   357,   358,   359,   360,
       0,     0,   361,  1170,   793,   363,   794,     0,   364,   365,
     366,  1171,  1172,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     795,   384,   385,   386,   387,     0,   388,   389,   796,   390,
       0,  1177,   392,   393,   394,   395,   396,     0,   397,     0,
       0,   398,   399,   400,     0,     0,   401,   402,   797,   403,
     798,  1180,   405,   406,   407,   408,   409,   410,   411,   412,
       0,   413,   414,  1181,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,     0,   445,   446,   799,   447,
     448,   449,   450,  3295,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   461,   462,   463,  1184,   464,   465,
     466,   467,   468,   800,   469,   470,   471,   472,     0,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
    1186,     0,   485,   486,     0,   487,   801,   488,   489,   490,
     491,   492,     0,   493,   494,     0,     0,   495,   496,  1189,
     498,  1190,     0,   500,   501,   502,   503,   504,   505,   506,
       0,     0,   507,   508,   509,   510,   511,  1193,     0,   512,
     513,   514,   515,   516,   517,   518,     0,   519,   802,   520,
     521,   522,   523,     0,     0,   524,     0,     0,   525,   526,
     527,   528,   529,   530,   531,  1195,  1196,  1197,  1198,  1199,
    1200,  1201,  1202,   540,   541,   542,     0,     0,   779,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    50,   223,   224,   225,   226,   227,   228,   229,
     230,     0,   232,   233,   234,     0,     0,     0,     0,     0,
       0,     0,   235,   236,     0,   237,   238,   780,   239,   240,
     241,   242,   243,   781,   244,   245,     0,   246,   247,   248,
     249,   250,     0,  1147,   251,   252,   253,   254,   255,     0,
     256,   257,   258,   259,  1150,     0,  1151,     0,   261,   262,
     263,   264,   783,   265,   266,   267,     0,   268,   269,   270,
     271,   272,   273,     0,   784,   274,   275,   276,  1152,  1153,
    1154,  1155,  1156,  1157,  1158,   277,   278,   279,   280,   281,
     282,   283,   284,   285,     0,   286,     0,   287,   288,   289,
     290,   291,   292,     0,   293,   294,   295,     0,     0,   296,
     297,   298,   299,   300,     0,   301,   302,   303,     0,   304,
     305,   306,     0,   307,   308,   309,   310,   311,   312,   313,
     314,  1162,     0,   316,     0,   317,   318,   319,   320,     0,
     321,     0,   322,   786,     0,   787,   323,   324,   325,     0,
     326,  1165,     0,   328,   329,     0,   330,   331,   332,   333,
     334,   788,   335,   336,   337,   338,     0,   339,   340,   341,
     342,   343,   344,     0,   345,   789,   346,   347,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   790,   791,   355,
     792,   356,   357,   358,   359,   360,     0,     0,   361,  1170,
     793,   363,   794,     0,   364,   365,   366,  1171,  1172,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   795,   384,   385,   386,
     387,     0,   388,   389,   796,   390,     0,  1177,   392,   393,
     394,   395,   396,     0,   397,     0,     0,   398,   399,   400,
       0,     0,   401,   402,   797,   403,   798,  1180,   405,   406,
     407,   408,   409,   410,   411,   412,     0,   413,   414,  1181,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,     0,   445,   446,   799,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     461,   462,   463,  1184,   464,   465,   466,   467,   468,   800,
     469,   470,   471,   472,     0,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,  1186,     0,   485,   486,
       0,   487,   801,   488,   489,   490,   491,   492,     0,   493,
     494,     0,     0,   495,   496,  1189,   498,  1190,     0,   500,
     501,   502,   503,   504,   505,   506,     0,     0,   507,   508,
     509,   510,   511,  1193,     0,   512,   513,   514,   515,   516,
     517,   518,     0,   519,   802,   520,   521,   522,   523,     0,
       0,   524,     0,     0,   525,   526,   527,   528,   529,   530,
     531,  1195,  1196,  1197,  1198,  1199,  1200,  1201,  1202,   540,
     541,   542,     0,     0,   823,  1411,   600,     0,     0,     0,
     654,     0,     0,     0,     0,     0,     0,     0,  3896,   223,
     224,   225,   226,   227,   228,   229,   230,     0,   232,   233,
     234,     0,     0,     0,     0,     0,     0,     0,   235,   236,
       0,   237,   238,   780,   239,   240,   241,   242,   243,   781,
     244,   245,     0,   246,   247,   248,   249,   250,     0,     0,
     251,   252,   253,   254,   255,     0,   256,   257,   258,   259,
     260,     0,   782,     0,   261,   262,   263,   264,   783,   265,
     266,   267,     0,   268,   269,   270,   271,   272,   273,     0,
     784,   274,   275,   276,     0,     0,     0,   785,     0,     0,
       0,   277,   278,   279,   280,   281,   282,   283,   284,   285,
       0,   286,     0,   287,   288,   289,   290,   291,   292,     0,
     293,   294,   295,     0,     0,   296,   297,   298,   299,   300,
       0,   301,   302,   303,     0,   304,   305,   306,     0,   307,
     308,   309,   310,   311,   312,   313,   314,   315,  1681,   316,
       0,   317,   318,   319,   320,     0,   321,     0,   322,   786,
       0,   787,   323,   324,   325,     0,   326,   327,     0,   328,
     329,     0,   330,   331,   332,   333,   334,   788,   335,   336,
     337,   338,     0,   339,   340,   341,   342,   343,   344,     0,
     345,   789,   346,   347,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   790,   791,   355,   792,   356,   357,   358,
     359,   360,     0,     0,   361,   362,   793,   363,   794,     0,
     364,   365,   366,     0,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   795,   384,   385,   386,   387,     0,   388,   389,
     796,   390,     0,   391,   392,   393,   394,   395,   396,     0,
     397,  1682,     0,   398,   399,   400,     0,     0,   401,   402,
     797,   403,   798,   404,   405,   406,   407,   408,   409,   410,
     411,   412,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,     0,   445,   446,
     799,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   461,   462,   463,     0,
     464,   465,   466,   467,   468,   800,   469,   470,   471,   472,
       0,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,     0,   485,   486,     0,   487,   801,   488,
     489,   490,   491,   492,     0,   493,   494,     0,     0,   495,
     496,   497,   498,   499,  1683,   500,   501,   502,   503,   504,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
       0,   512,   513,   514,   515,   516,   517,   518,     0,   519,
     802,   520,   521,   522,   523,     0,     0,   524,     0,     0,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,     0,     0,
     823,     0,     0,     0,     0,   666,  1412,  4693,     0,     0,
       0,     0,     0,     0,  4694,   223,   224,   225,   226,   227,
     228,   229,   230,     0,   232,   233,   234,     3,     4,     0,
       0,     0,     0,     0,   235,   236,     0,   237,   238,   780,
     239,   240,   241,   242,   243,   781,   244,   245,     0,   246,
     247,   248,   249,   250,     0,     0,   251,   252,   253,   254,
     255,     0,   256,   257,   258,   259,   260,     0,   782,     0,
     261,   262,   263,   264,   783,   265,   266,   267,     0,   268,
     269,   270,   271,   272,   273,     0,   784,   274,   275,   276,
       0,     0,     0,   785,     0,     0,     0,   277,   278,   279,
     280,   281,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,   292,     0,   293,   294,   295,     0,
       0,   296,   297,   298,   299,   300,     0,   301,   302,   303,
       0,   304,   305,   306,     0,   307,   308,   309,   310,   311,
     312,   313,   314,   315,     0,   316,     0,   317,   318,   319,
     320,     0,   321,     0,   322,   786,     0,   787,   323,   324,
     325,     0,   326,   327,     0,   328,   329,     0,   330,   331,
     332,   333,   334,   788,   335,   336,   337,   338,     0,   339,
     340,   341,   342,   343,   344,     0,   345,   789,   346,   347,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   790,
     791,   355,   792,   356,   357,   358,   359,   360,     0,     0,
     361,   362,   793,   363,   794,     0,   364,   365,   366,     0,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   795,   384,
     385,   386,   387,     0,   388,   389,   796,   390,     0,   391,
     392,   393,   394,   395,   396,     0,   397,     0,     0,   398,
     399,   400,     0,     0,   401,   402,   797,   403,   798,   404,
     405,   406,   407,   408,   409,   410,   411,   412,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,     0,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,     0,   445,   446,   799,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,    39,
     459,   460,   461,   462,   463,     0,   464,   465,   466,   467,
     468,   800,   469,   470,   471,   472,     0,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,     0,
     485,   486,    43,   487,   801,   488,   489,   490,   491,   492,
       0,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,     0,   512,   513,   514,
     515,   516,  1073,   518,     0,   519,   802,   520,   521,   522,
     523,     0,     0,   524,     0,    48,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,     0,     0,    49,   779,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      50,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
     242,   243,   781,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,   782,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,     0,     0,     0,
     785,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
     788,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,   789,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,   362,   793,
     363,   794,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   795,   384,   385,   386,   387,
       0,   388,   389,   796,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,   797,   403,   798,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,   800,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,   801,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,     0,     0,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4510,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,    39,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,    43,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,  1073,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,    48,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,     0,     0,    49,
     222,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    50,     0,   223,   224,   225,   226,   227,
     228,   229,   230,     0,   232,   233,   234,     0,     0,     0,
       0,     0,     0,     0,   235,   236,     0,   237,   238,     0,
     239,   240,   241,   242,   243,     0,   244,   245,     0,   246,
     247,   248,   249,   250,     0,     0,   251,   252,   253,   254,
     255,     0,   256,   257,   258,   259,   260,     0,     0,     0,
     261,   262,   263,   264,     0,   265,   266,   267,     0,   268,
     269,   270,   271,   272,   273,     0,     0,   274,   275,   276,
       0,     0,     0,     0,     0,     0,     0,   277,   278,   279,
     280,   281,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,   292,     0,   293,   294,   295,     0,
       0,   296,   297,   298,   299,   300,     0,   301,   302,   303,
       0,   304,   305,   306,     0,   307,   308,   309,   310,   311,
     312,   313,   314,   315,     0,   316,     0,   317,   318,   319,
     320,     0,   321,     0,   322,     0,     0,     0,   323,   324,
     325,     0,   326,   327,     0,   328,   329,     0,   330,   331,
     332,   333,   334,     0,   335,   336,   337,   338,     0,   339,
     340,   341,   342,   343,   344,     0,   345,     0,   346,   347,
     348,   349,   350,   351,   352,     0,   353,     0,   354,     0,
       0,   355,     0,   356,   357,   358,   359,   360,     0,     0,
     361,   362,     0,   363,     0,     0,   364,   365,   366,     0,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,     0,   384,
     385,   386,   387,     0,   388,   389,     0,   390,     0,   391,
     392,   393,   394,   395,   396,     0,   397,     0,     0,   398,
     399,   400,     0,     0,   401,   402,     0,   403,     0,   404,
     405,   406,   407,   408,   409,   410,   411,   412,     0,   413,
     414,   415,   416,   417,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,     0,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   461,   462,   463,     0,   464,   465,   466,   467,
     468,     0,   469,   470,   471,   472,     0,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,     0,
     485,   486,     0,   487,     0,   488,   489,   490,   491,   492,
       0,   493,   494,     0,     0,   495,   496,   497,   498,   499,
       0,   500,   501,   502,   503,   504,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,     0,   512,   513,   514,
     515,   516,   517,   518,     0,   519,     0,   520,   521,   522,
     523,     0,     0,   524,     0,     0,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,     0,     0,   222,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1265,   223,   224,   225,   226,   227,   228,   229,   230,     0,
     232,   233,   234,     0,     0,     0,     0,     0,     0,     0,
     235,   236,     0,   237,   238,     0,   239,   240,   241,   242,
     243,     0,   244,   245,     0,   246,   247,   248,   249,   250,
       0,     0,   251,   252,   253,   254,   255,     0,   256,   257,
     258,   259,   260,     0,     0,     0,   261,   262,   263,   264,
       0,   265,   266,   267,     0,   268,   269,   270,   271,   272,
     273,     0,     0,   274,   275,   276,     0,     0,     0,     0,
       0,     0,     0,   277,   278,   279,   280,   281,   282,   283,
     284,   285,     0,   286,     0,   287,   288,   289,   290,   291,
     292,     0,   293,   294,   295,     0,     0,   296,   297,   298,
     299,   300,     0,   301,   302,   303,     0,   304,   305,   306,
       0,   307,   308,   309,   310,   311,   312,   313,   314,   315,
       0,   316,     0,   317,   318,   319,   320,     0,   321,     0,
     322,     0,     0,     0,   323,   324,   325,     0,   326,   327,
       0,   328,   329,     0,   330,   331,   332,   333,   334,     0,
     335,   336,   337,   338,     0,   339,   340,   341,   342,   343,
     344,     0,   345,     0,   346,   347,   348,   349,   350,   351,
     352,     0,   353,     0,   354,     0,     0,   355,     0,   356,
     357,   358,   359,   360,     0,     0,   361,   362,     0,   363,
       0,     0,   364,   365,   366,     0,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,     0,   384,   385,   386,   387,     0,
     388,   389,     0,   390,     0,   391,   392,   393,   394,   395,
     396,     0,   397,     0,     0,   398,   399,   400,     0,     0,
     401,   402,     0,   403,     0,   404,   405,   406,   407,   408,
     409,   410,   411,   412,     0,   413,   414,   415,   416,   417,
     418,   419,   420,     0,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,     0,   459,   460,   461,   462,
     463,     0,   464,   465,   466,   467,   468,     0,   469,   470,
     471,   472,     0,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,     0,   485,   486,     0,   487,
       0,   488,   489,   490,   491,   492,     0,   493,   494,     0,
       0,   495,   496,   497,   498,   499,     0,   500,   501,   502,
     503,   504,   505,   506,     0,     0,   507,   508,   509,   510,
     511,     0,     0,   512,   513,   514,   515,   516,   517,   518,
       0,   519,     0,   520,   521,   522,   523,     0,     0,   524,
       0,     0,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
       0,     0,   222,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2694,   223,   224,   225,
     226,   227,   228,   229,   230,     0,   232,   233,   234,     0,
       0,     0,     0,     0,     0,     0,   235,   236,     0,   237,
     238,     0,   239,   240,   241,   242,   243,     0,   244,   245,
       0,   246,   247,   248,   249,   250,     0,     0,   251,   252,
     253,   254,   255,     0,   256,   257,   258,   259,   260,     0,
       0,     0,   261,   262,   263,   264,     0,   265,   266,   267,
       0,   268,   269,   270,   271,   272,   273,     0,     0,   274,
     275,   276,     0,     0,     0,     0,     0,     0,     0,   277,
     278,   279,   280,   281,   282,   283,   284,   285,     0,   286,
       0,   287,   288,   289,   290,   291,   292,     0,   293,   294,
     295,     0,     0,   296,   297,   298,   299,   300,     0,   301,
     302,   303,     0,   304,   305,   306,     0,   307,   308,   309,
     310,   311,   312,   313,   314,   315,     0,   316,     0,   317,
     318,   319,   320,     0,   321,     0,   322,     0,     0,     0,
     323,   324,   325,     0,   326,   327,     0,   328,   329,     0,
     330,   331,   332,   333,   334,     0,   335,   336,   337,   338,
       0,   339,   340,   341,   342,   343,   344,     0,   345,     0,
     346,   347,   348,   349,   350,   351,   352,     0,   353,     0,
     354,     0,     0,   355,     0,   356,   357,   358,   359,   360,
       0,     0,   361,   362,     0,   363,     0,     0,   364,   365,
     366,     0,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
       0,   384,   385,   386,   387,     0,   388,   389,     0,   390,
       0,   391,   392,   393,   394,   395,   396,     0,   397,     0,
       0,   398,   399,   400,     0,     0,   401,   402,     0,   403,
       0,   404,   405,   406,   407,   408,   409,   410,   411,   412,
       0,   413,   414,   415,   416,   417,   418,   419,   420,     0,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,     0,   459,   460,   461,   462,   463,     0,   464,   465,
     466,   467,   468,     0,   469,   470,   471,   472,     0,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,     0,   485,   486,     0,   487,     0,   488,   489,   490,
     491,   492,     0,   493,   494,     0,     0,   495,   496,   497,
     498,   499,     0,   500,   501,   502,   503,   504,   505,   506,
       0,     0,   507,   508,   509,   510,   511,     0,     0,   512,
     513,   514,   515,   516,   517,   518,     0,   519,     0,   520,
     521,   522,   523,     0,     0,   524,     0,     0,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,     0,     0,   222,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3807,   223,   224,   225,   226,   227,   228,   229,
     230,     0,   232,   233,   234,     0,     0,     0,     0,     0,
       0,     0,   235,   236,     0,   237,   238,     0,   239,   240,
     241,   242,   243,     0,   244,   245,     0,   246,   247,   248,
     249,   250,     0,     0,   251,   252,   253,   254,   255,     0,
     256,   257,   258,   259,   260,     0,     0,     0,   261,   262,
     263,   264,     0,   265,   266,   267,     0,   268,   269,   270,
     271,   272,   273,     0,     0,   274,   275,   276,     0,     0,
       0,     0,     0,     0,     0,   277,   278,   279,   280,   281,
     282,   283,   284,   285,     0,   286,     0,   287,   288,   289,
     290,   291,   292,     0,   293,   294,   295,     0,     0,   296,
     297,   298,   299,   300,     0,   301,   302,   303,     0,   304,
     305,   306,     0,   307,   308,   309,   310,   311,   312,   313,
     314,   315,     0,   316,     0,   317,   318,   319,   320,     0,
     321,     0,   322,     0,     0,     0,   323,   324,   325,     0,
     326,   327,     0,   328,   329,     0,   330,   331,   332,   333,
     334,     0,   335,   336,   337,   338,     0,   339,   340,   341,
     342,   343,   344,     0,   345,     0,   346,   347,   348,   349,
     350,   351,   352,     0,   353,     0,   354,     0,     0,   355,
       0,   356,   357,   358,   359,   360,     0,     0,   361,   362,
       0,   363,     0,     0,   364,   365,   366,     0,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,     0,   384,   385,   386,
     387,     0,   388,   389,     0,   390,     0,   391,   392,   393,
     394,   395,   396,     0,   397,     0,     0,   398,   399,   400,
       0,     0,   401,   402,     0,   403,     0,   404,   405,   406,
     407,   408,   409,   410,   411,   412,     0,   413,   414,   415,
     416,   417,   418,   419,   420,     0,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,     0,   459,   460,
     461,   462,   463,     0,   464,   465,   466,   467,   468,     0,
     469,   470,   471,   472,     0,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,     0,   485,   486,
       0,   487,     0,   488,   489,   490,   491,   492,     0,   493,
     494,     0,     0,   495,   496,   497,   498,   499,     0,   500,
     501,   502,   503,   504,   505,   506,     0,     0,   507,   508,
     509,   510,   511,     0,     0,   512,   513,   514,   515,   516,
     517,   518,     0,   519,     0,   520,   521,   522,   523,     0,
       0,   524,     0,     0,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,     0,     0,     0,     0,     0,   992,  1411,   600,
       0,     0,   837,   654,     0,     0,     0,     0,  4215,   838,
     839,   840,   223,   224,   225,   226,   227,   228,   229,   230,
    1869,   232,   233,   234,  1870,  1871,  1872,  1873,  1874,  1875,
    1876,   235,   236,  1877,   237,   238,   780,   239,   240,   241,
       0,   993,   781,   994,   995,  1878,   246,   247,   248,   249,
     250,  1879,  1880,   251,   252,   996,   997,   255,  1881,   256,
     257,   258,   259,     0,  1882,   782,  1883,   261,   262,   263,
     264,   783,   265,   266,   267,  1884,   268,   269,   270,   271,
     272,   273,  1885,   784,   274,   275,   276,  1886,  1887,  1888,
     785,  1889,  1890,  1891,   277,   278,   279,   280,   281,   282,
     998,   999,   285,  1892,   286,  1893,   287,   288,   289,   290,
     291,   292,  1894,   293,   294,   295,  1895,  1896,   296,   297,
    1000,   299,   300,  1897,   301,   302,   303,  1898,   304,   305,
     306,  1899,   307,   308,   309,   310,     0,   312,   313,   314,
       0,  1900,   316,  1901,   317,   318,  1001,   320,  1902,   321,
    1903,   322,   786,  1904,   787,   323,   324,   325,  1905,   326,
       0,  1906,     0,   329,  1907,   330,   331,   332,   333,   334,
     788,   335,   336,   337,   338,  1908,   339,   340,   341,   342,
     343,   344,  1909,   345,   789,     0,   347,   348,   349,   350,
    1003,  1004,  1910,  1005,  1911,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,  1912,  1913,   361,     0,   793,
     363,   794,  1914,   364,   365,   366,  1915,  1916,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,  1006,   795,  1007,   385,   386,  4304,
    1917,   388,   389,   796,   390,  1918,     0,   392,  1008,   394,
     395,   396,  1919,   397,  1920,  1921,  3558,   399,   400,  1922,
    1923,   401,     0,   797,   403,   798,     0,   405,   406,   407,
     408,   409,   410,   411,   412,  1924,   413,   414,     0,   416,
       0,   418,   419,   420,  1925,   421,   422,   423,   424,   425,
     426,   427,   428,  1009,   430,   431,   432,   433,  1926,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
    1927,   445,   446,   799,   447,   448,   449,     0,   451,   452,
     453,   454,   455,   456,   457,   458,  1928,   459,   460,   461,
     462,   463,  1929,   464,   465,  2010,   467,   468,   800,   469,
     470,  1011,   472,  1930,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     0,  1931,   485,   486,  1932,
     487,   801,   488,   489,   490,   491,   492,  1933,  1012,  1013,
    1934,  1935,   495,   496,     0,   498,     0,  1936,   500,   501,
     502,   503,   504,   505,   506,  1937,  1938,   507,   508,   509,
     510,   511,  1939,  1940,   512,   513,   514,   515,   516,     0,
    1014,  1941,   519,   802,   520,   521,   522,   523,  1942,  1943,
     524,  1944,  1945,   525,   526,   527,   528,   529,   530,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   540,   541,
     542,     0,     0,     0,   843,   844,   845,     0,  3559,  3560,
     848,   849,   850,   851,   992,  1411,   600,     0,     0,   837,
     654,     0,     0,     0,     0,     0,   838,   839,   840,   223,
     224,   225,   226,   227,   228,   229,   230,  1869,   232,   233,
     234,  1870,  1871,  1872,  1873,  1874,  1875,  1876,   235,   236,
    1877,   237,   238,   780,   239,   240,   241,     0,   993,   781,
     994,   995,  1878,   246,   247,   248,   249,   250,  1879,  1880,
     251,   252,   996,   997,   255,  1881,   256,   257,   258,   259,
       0,  1882,   782,  1883,   261,   262,   263,   264,   783,   265,
     266,   267,  1884,   268,   269,   270,   271,   272,   273,  1885,
     784,   274,   275,   276,  1886,  1887,  1888,   785,  1889,  1890,
    1891,   277,   278,   279,   280,   281,   282,   998,   999,   285,
    1892,   286,  1893,   287,   288,   289,   290,   291,   292,  1894,
     293,   294,   295,  1895,  1896,   296,   297,  1000,   299,   300,
    1897,   301,   302,   303,  1898,   304,   305,   306,  1899,   307,
     308,   309,   310,     0,   312,   313,   314,     0,  1900,   316,
    1901,   317,   318,  1001,   320,  1902,   321,  1903,   322,   786,
    1904,   787,   323,   324,   325,  1905,   326,     0,  1906,     0,
     329,  1907,   330,   331,   332,   333,   334,   788,   335,   336,
     337,   338,  1908,   339,   340,   341,   342,   343,   344,  1909,
     345,   789,     0,   347,   348,   349,   350,  1003,  1004,  1910,
    1005,  1911,   354,   790,   791,   355,   792,   356,   357,   358,
     359,   360,  1912,  1913,   361,     0,   793,   363,   794,  1914,
     364,   365,   366,  1915,  1916,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,  1006,   795,  1007,   385,   386,     0,  1917,   388,   389,
     796,   390,  1918,     0,   392,  1008,   394,   395,   396,  1919,
     397,  1920,  1921,  3558,   399,   400,  1922,  1923,   401,     0,
     797,   403,   798,     0,   405,   406,   407,   408,   409,   410,
     411,   412,  1924,   413,   414,     0,   416,     0,   418,   419,
     420,  1925,   421,   422,   423,   424,   425,   426,   427,   428,
    1009,   430,   431,   432,   433,  1926,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,  1927,   445,   446,
     799,   447,   448,   449,     0,   451,   452,   453,   454,   455,
     456,   457,   458,  1928,   459,   460,   461,   462,   463,  1929,
     464,   465,  2010,   467,   468,   800,   469,   470,  1011,   472,
    1930,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,     0,  1931,   485,   486,  1932,   487,   801,   488,
     489,   490,   491,   492,  1933,  1012,  1013,  1934,  1935,   495,
     496,     0,   498,     0,  1936,   500,   501,   502,   503,   504,
     505,   506,  1937,  1938,   507,   508,   509,   510,   511,  1939,
    1940,   512,   513,   514,   515,   516,     0,  1014,  1941,   519,
     802,   520,   521,   522,   523,  1942,  1943,   524,  1944,  1945,
     525,   526,   527,   528,   529,   530,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   540,   541,   542,     0,   222,
       0,   843,   844,   845,   837,  3559,  3560,   848,   849,   850,
     851,   838,   839,   840,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   841,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   842,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,     0,   222,     0,   843,   844,   845,   837,
     846,   847,   848,   849,   850,   851,   838,   839,   840,   223,
     224,   225,   226,   227,   228,   229,   230,     0,   232,   233,
     234,     0,     0,     0,     0,     0,     0,     0,   235,   236,
       0,   237,   238,     0,   239,   240,   241,   242,   243,     0,
     244,   245,     0,   246,   247,   248,   249,   250,     0,     0,
     251,   252,   253,   254,   255,     0,   256,   949,   258,   259,
     260,     0,     0,     0,   261,   262,   263,   264,     0,   265,
     266,   267,     0,   268,   269,   270,   271,   272,   273,     0,
       0,   274,   275,   276,     0,     0,     0,     0,     0,     0,
       0,   277,   278,   279,   280,   281,   282,   283,   284,   285,
       0,   286,     0,   287,   288,   289,   290,   291,   292,     0,
     293,   294,   295,     0,     0,   296,   297,   298,   299,   300,
       0,   301,   302,   303,     0,   304,   305,   306,     0,   307,
     308,   309,   310,   311,   312,   313,   314,   315,     0,   950,
       0,   317,   318,   319,   320,     0,   321,     0,   322,     0,
       0,     0,   323,   324,   325,     0,   326,   327,     0,   328,
     329,     0,   330,   331,   332,   333,   334,     0,   335,   336,
     337,   338,     0,   339,   340,   341,   342,   343,   344,     0,
     345,     0,   346,   347,   348,   349,   350,   351,   352,     0,
     353,     0,   354,     0,     0,   355,     0,   356,   357,   358,
     359,   360,     0,     0,   361,   362,     0,   363,     0,     0,
     364,   365,   366,     0,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,     0,   384,   385,   386,   387,     0,   388,   389,
       0,   390,     0,   391,   392,   393,   394,   395,   396,     0,
     397,     0,     0,   398,   399,   400,     0,     0,   401,   402,
       0,   403,     0,   404,   405,   406,   407,   408,   409,   410,
     411,   412,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   461,   462,   463,     0,
     464,   465,   466,   467,   468,     0,   469,   470,   471,   472,
       0,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,     0,   485,   486,     0,   487,     0,   488,
     489,   490,   491,   492,     0,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
       0,   512,   513,   514,   515,   516,   517,   518,     0,   519,
       0,   520,   521,   522,   523,     0,     0,   524,     0,     0,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,     0,   222,
       0,   843,   844,   845,   837,   846,   847,   848,   849,   850,
     851,   838,   839,   840,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,  1041,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,  1042,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,  1043,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,     0,   222,     0,   843,   844,   845,   837,
     846,   847,   848,   849,   850,   851,   838,   839,   840,   223,
     224,   225,   226,   227,   228,   229,   230,     0,   232,   233,
     234,     0,     0,     0,     0,     0,     0,     0,   235,   236,
       0,   237,   238,     0,   239,   240,   241,   242,   243,     0,
     244,   245,     0,   246,   247,   248,   249,   250,     0,     0,
     251,   252,   253,   254,   255,     0,   256,  1510,   258,   259,
     260,     0,     0,     0,   261,   262,   263,   264,     0,   265,
     266,   267,     0,   268,   269,   270,   271,   272,   273,     0,
       0,   274,   275,   276,     0,     0,     0,     0,     0,     0,
       0,   277,   278,   279,   280,   281,   282,   283,   284,   285,
       0,   286,     0,   287,   288,   289,   290,   291,   292,     0,
     293,   294,   295,     0,     0,   296,   297,   298,   299,   300,
       0,   301,   302,   303,     0,   304,   305,   306,     0,   307,
     308,   309,   310,   311,   312,   313,   314,   315,     0,  1511,
       0,   317,   318,   319,   320,     0,   321,     0,   322,     0,
       0,     0,   323,   324,   325,     0,   326,   327,     0,   328,
     329,     0,   330,   331,   332,   333,   334,     0,   335,   336,
     337,   338,     0,   339,   340,   341,   342,   343,   344,     0,
     345,     0,   346,   347,   348,   349,   350,   351,   352,     0,
     353,     0,   354,     0,     0,   355,     0,   356,   357,   358,
     359,   360,     0,     0,   361,   362,     0,   363,     0,     0,
     364,   365,   366,     0,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,     0,   384,   385,   386,   387,     0,   388,   389,
       0,   390,     0,   391,   392,   393,   394,   395,   396,     0,
     397,     0,     0,   398,   399,   400,     0,     0,   401,   402,
       0,   403,     0,   404,   405,   406,   407,   408,   409,   410,
     411,   412,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   461,   462,   463,     0,
     464,   465,   466,   467,   468,     0,   469,   470,   471,   472,
       0,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,     0,   485,   486,     0,   487,     0,   488,
     489,   490,   491,   492,     0,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
       0,   512,   513,   514,   515,   516,   517,   518,     0,   519,
       0,   520,   521,   522,   523,     0,     0,   524,     0,     0,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,     0,   222,
       0,   843,   844,   845,   837,   846,   847,   848,   849,   850,
     851,   838,   839,   840,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,     0,   222,     0,   843,   844,   845,   837,
     846,   847,   848,   849,   850,   851,   838,   839,   840,   223,
     224,   225,   226,   227,   228,   229,   230,     0,   232,   233,
     234,     0,     0,     0,     0,     0,     0,     0,   235,   236,
       0,   237,   238,     0,   239,   240,   241,   242,   243,     0,
     244,   245,     0,   246,   247,   248,   249,   250,     0,     0,
     251,   252,   253,   254,   255,     0,   256,  2772,   258,   259,
     260,     0,     0,     0,   261,   262,   263,   264,     0,   265,
     266,   267,     0,   268,   269,   270,   271,   272,   273,     0,
       0,   274,   275,   276,     0,     0,     0,     0,     0,     0,
       0,   277,   278,   279,   280,   281,   282,   283,   284,   285,
       0,   286,     0,   287,   288,   289,   290,   291,   292,     0,
     293,   294,   295,     0,     0,   296,   297,   298,   299,   300,
       0,   301,   302,   303,     0,   304,   305,   306,     0,   307,
     308,   309,   310,   311,   312,   313,   314,   315,     0,  2773,
       0,   317,   318,   319,   320,     0,   321,     0,   322,     0,
       0,     0,   323,   324,   325,     0,   326,   327,     0,   328,
     329,     0,   330,   331,   332,   333,   334,     0,   335,   336,
     337,   338,     0,   339,   340,   341,   342,   343,   344,     0,
     345,     0,   346,   347,   348,   349,   350,   351,   352,     0,
     353,     0,   354,     0,     0,   355,     0,   356,   357,   358,
     359,   360,     0,     0,   361,   362,     0,   363,     0,     0,
     364,   365,   366,     0,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,     0,   384,   385,   386,   387,     0,   388,   389,
       0,   390,     0,   391,   392,   393,   394,   395,   396,     0,
     397,     0,     0,   398,   399,   400,     0,     0,   401,   402,
       0,   403,     0,   404,   405,   406,   407,   408,   409,   410,
     411,   412,     0,   413,   414,   415,   416,   417,   418,   419,
     420,     0,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,     0,   459,   460,   461,   462,   463,     0,
     464,   465,   466,   467,   468,     0,   469,   470,   471,   472,
       0,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,     0,   485,   486,     0,   487,     0,   488,
     489,   490,   491,   492,     0,   493,   494,     0,     0,   495,
     496,   497,   498,   499,     0,   500,   501,   502,   503,   504,
     505,   506,     0,     0,   507,   508,   509,   510,   511,     0,
       0,   512,   513,   514,   515,   516,   517,   518,     0,   519,
       0,   520,   521,   522,   523,     0,     0,   524,     0,     0,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,     0,   222,
       0,   843,   844,   845,   837,   846,   847,   848,   849,   850,
     851,   838,   839,   840,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,  4490,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,  1868,     0,     0,   843,   844,   845,     0,
     846,   847,   848,   849,   850,   851,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,  1869,   232,   233,   234,
    1870,  1871,  1872,  1873,  1874,  1875,  1876,   235,   236,  1877,
     237,   238,   780,   239,   240,   241,   242,   243,   781,   244,
     245,  1878,   246,   247,   248,   249,   250,  1879,  1880,   251,
     252,   253,   254,   255,  1881,   256,   257,   258,   259,   260,
    1882,   782,  1883,   261,   262,   263,   264,   783,   265,   266,
     267,  1884,   268,   269,   270,   271,   272,   273,  1885,   784,
     274,   275,   276,  1886,  1887,  1888,   785,  1889,  1890,  1891,
     277,   278,   279,   280,   281,   282,   283,   284,   285,  1892,
     286,  1893,   287,   288,   289,   290,   291,   292,  1894,   293,
     294,   295,  1895,  1896,   296,   297,   298,   299,   300,  1897,
     301,   302,   303,  1898,   304,   305,   306,  1899,   307,   308,
     309,   310,   311,   312,   313,   314,   315,  1900,   316,  1901,
     317,   318,   319,   320,  1902,   321,  1903,   322,   786,  1904,
     787,   323,   324,   325,  1905,   326,   327,  1906,   328,   329,
    1907,   330,   331,   332,   333,   334,   788,   335,   336,   337,
     338,  1908,   339,   340,   341,   342,   343,   344,  1909,   345,
     789,   346,   347,   348,   349,   350,   351,   352,  1910,   353,
    1911,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,  1912,  1913,   361,   362,   793,   363,   794,  1914,   364,
     365,   366,  1915,  1916,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   795,   384,   385,   386,   387,  1917,   388,   389,   796,
     390,  1918,   391,   392,   393,   394,   395,   396,  1919,   397,
    1920,  1921,   398,   399,   400,  1922,  1923,   401,   402,   797,
     403,   798,   404,   405,   406,   407,   408,   409,   410,   411,
     412,  1924,   413,   414,   415,   416,   417,   418,   419,   420,
    1925,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,  1926,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,  1927,   445,   446,   799,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,  1928,   459,   460,   461,   462,   463,  1929,   464,
     465,   466,   467,   468,   800,   469,   470,   471,   472,  1930,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,  1931,   485,   486,  1932,   487,   801,   488,   489,
     490,   491,   492,  1933,   493,   494,  1934,  1935,   495,   496,
     497,   498,   499,  1936,   500,   501,   502,   503,   504,   505,
     506,  1937,  1938,   507,   508,   509,   510,   511,  1939,  1940,
     512,   513,   514,   515,   516,   517,   518,  1941,   519,   802,
     520,   521,   522,   523,  1942,  1943,   524,  1944,  1945,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,  1946,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   992,     0,     0,     0,     0,     0,     0,     0,     0,
     748,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,     0,   993,   781,   994,   995,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   996,
     997,   255,     0,   256,   257,   258,   259,     0,     0,   782,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,   275,
     276,     0,     0,     0,   785,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   998,   999,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,  1000,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
       0,   312,   313,   314,     0,     0,   316,     0,   317,   318,
    1001,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,     0,     0,     0,   329,     0,   330,
     331,   332,   333,   334,   788,   335,   336,   337,   338,  2006,
     339,   340,   341,   342,   343,   344,     0,   345,   789,  2007,
     347,   348,   349,   350,  1003,  1004,     0,  1005,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,     0,   793,   363,   794,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,  1006,   795,
    1007,   385,   386,     0,     0,   388,   389,   796,   390,     0,
       0,   392,  1008,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,  2008,   401,  2009,   797,   403,   798,
       0,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,     0,   416,     0,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,  1009,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,     0,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,  2010,
     467,   468,   800,   469,   470,  1011,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     0,
       0,   485,   486,     0,   487,   801,   488,   489,   490,   491,
     492,     0,  1012,  1013,     0,     0,   495,   496,     0,   498,
       0,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,     0,  1014,  2011,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,     0,     0,     0,     0,     0,     0,     0,
    2279,     0,   540,   541,   542,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2012,   223,   224,   225,   226,   227,
     228,   229,   230,     0,   232,   233,   234,     0,     0,     0,
       0,     0,     0,     0,   235,   236,     0,   237,   238,   780,
     239,   240,   241,     0,   993,   781,   994,   995,     0,   246,
     247,   248,   249,   250,     0,     0,   251,   252,   996,   997,
     255,     0,   256,   257,   258,   259,     0,     0,   782,     0,
     261,   262,   263,   264,   783,   265,   266,   267,     0,   268,
     269,   270,   271,   272,   273,     0,   784,   274,   275,   276,
       0,     0,     0,   785,     0,     0,     0,   277,   278,   279,
     280,   281,   282,   998,   999,   285,     0,   286,     0,   287,
     288,   289,   290,   291,   292,     0,   293,   294,   295,     0,
       0,   296,   297,  1000,   299,   300,     0,   301,   302,   303,
       0,   304,   305,   306,     0,   307,   308,   309,   310,     0,
     312,   313,   314,     0,     0,   316,     0,   317,   318,  1001,
     320,     0,   321,     0,   322,   786,     0,   787,   323,   324,
     325,     0,   326,     0,     0,     0,   329,     0,   330,   331,
     332,   333,   334,   788,   335,   336,   337,   338,  2006,   339,
     340,   341,   342,   343,   344,     0,   345,   789,  2007,   347,
     348,   349,   350,  1003,  1004,     0,  1005,     0,   354,   790,
     791,   355,   792,   356,   357,   358,   359,   360,     0,     0,
     361,     0,   793,   363,   794,     0,   364,   365,   366,     0,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,  1006,   795,  1007,
     385,   386,     0,     0,   388,   389,   796,   390,     0,     0,
     392,  1008,   394,   395,   396,     0,   397,     0,     0,   398,
     399,   400,     0,  2008,   401,  2009,   797,   403,   798,     0,
     405,   406,   407,   408,   409,   410,   411,   412,     0,   413,
     414,     0,   416,     0,   418,   419,   420,     0,   421,   422,
     423,   424,   425,   426,   427,   428,  1009,   430,   431,   432,
     433,     0,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,     0,   445,   446,   799,   447,   448,   449,
       0,   451,   452,   453,   454,   455,   456,   457,   458,     0,
     459,   460,   461,   462,   463,     0,   464,   465,  2010,   467,
     468,   800,   469,   470,  1011,   472,     0,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,     0,     0,
     485,   486,     0,   487,   801,   488,   489,   490,   491,   492,
       0,  1012,  1013,     0,     0,   495,   496,     0,   498,     0,
       0,   500,   501,   502,   503,   504,   505,   506,     0,     0,
     507,   508,   509,   510,   511,     0,     0,   512,   513,   514,
     515,   516,     0,  1014,  2011,   519,   802,   520,   521,   522,
     523,     0,     0,   524,     0,     0,   525,   526,   527,   528,
     529,   530,     0,     0,     0,     0,     0,     0,     0,   222,
       0,   540,   541,   542,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2012,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   823,  1411,   600,     0,     0,     0,   654,
       0,     0,  4812,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,   780,   239,   240,   241,   242,   243,   781,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,   782,     0,   261,   262,   263,   264,   783,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,   784,
     274,   275,   276,     0,     0,     0,   785,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,  1857,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,  1681,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,   786,     0,
     787,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,   788,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
     789,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,     0,     0,   361,   362,   793,   363,   794,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   795,   384,   385,   386,   387,     0,   388,   389,   796,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
    1682,     0,   398,   399,   400,     0,     0,   401,   402,   797,
     403,   798,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,   799,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,   800,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,   801,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,  1683,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,   802,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   823,  1411,   600,
       0,     0,     0,   654,   666,  1412,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
     242,   243,   781,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,   782,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,     0,     0,     0,
     785,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,  1862,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,  1681,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
     788,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,   789,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,   362,   793,
     363,   794,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   795,   384,   385,   386,   387,
       0,   388,   389,   796,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,  1682,     0,   398,   399,   400,     0,
       0,   401,   402,   797,   403,   798,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,   800,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,   801,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,  1683,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   823,  1411,   600,     0,     0,     0,   654,   666,  1412,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,   242,   243,   781,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,   782,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,   275,
     276,     0,     0,     0,   785,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,  1681,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   334,   788,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,   362,   793,   363,   794,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   795,
     384,   385,   386,   387,     0,   388,   389,   796,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,  1682,     0,
     398,   399,   400,     0,     0,   401,   402,   797,   403,   798,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,   800,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,   801,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,  1683,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   823,     0,   600,     0,     0,
       0,   654,   666,  1412,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,   780,   239,   240,   241,   242,   243,
     781,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,   782,     0,   261,   262,   263,   264,   783,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,   784,   274,   275,   276,     0,     0,     0,   785,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,  2727,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,  1681,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
     786,     0,   787,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,   788,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,   789,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   790,   791,   355,   792,   356,   357,
     358,   359,   360,     0,     0,   361,   362,   793,   363,   794,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   795,   384,   385,   386,   387,     0,   388,
     389,   796,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,  1682,     0,   398,   399,   400,     0,     0,   401,
     402,   797,   403,   798,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,   799,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,   800,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,   801,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,  1683,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,   802,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,   654,   666,   667,     0,     0,
       0,     0,     0,     0,   223,   655,   225,   226,   227,   228,
     229,   230,   656,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   657,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   658,   319,   320,
       0,   321,     0,   659,     0,   660,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,   661,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   662,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   663,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   664,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   665,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,  1868,  4934,   600,     0,     0,     0,   654,
     666,   667,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,  1869,   232,   233,   234,
    1870,  1871,  1872,  1873,  1874,  1875,  1876,   235,   236,  1877,
     237,   238,   780,   239,   240,   241,   242,   243,   781,   244,
     245,  1878,   246,   247,   248,   249,   250,  1879,  1880,   251,
     252,   253,   254,   255,  1881,   256,   257,   258,   259,   260,
    1882,   782,  1883,   261,   262,   263,   264,   783,   265,   266,
     267,  1884,   268,   269,   270,   271,   272,   273,  1885,   784,
     274,   275,   276,  1886,  1887,  1888,   785,  1889,  1890,  1891,
     277,   278,   279,   280,   281,   282,   283,   284,   285,  1892,
     286,  1893,   287,   288,   289,   290,   291,   292,  1894,   293,
     294,   295,  1895,  1896,   296,   297,   298,   299,   300,  1897,
     301,   302,   303,  1898,   304,   305,   306,  1899,   307,   308,
     309,   310,   311,   312,   313,   314,   315,  1900,   316,  1901,
     317,   318,   319,   320,  1902,   321,  1903,   322,   786,  1904,
     787,   323,   324,   325,  1905,   326,   327,  1906,   328,   329,
    1907,   330,   331,   332,   333,   334,   788,   335,   336,   337,
     338,  1908,   339,   340,   341,   342,   343,   344,  1909,   345,
     789,   346,   347,   348,   349,   350,   351,   352,  1910,   353,
    1911,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,  1912,  1913,   361,   362,   793,   363,   794,  1914,   364,
     365,   366,  1915,  1916,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   795,   384,   385,   386,   387,  1917,   388,   389,   796,
     390,  1918,   391,   392,   393,   394,   395,   396,  1919,   397,
    1920,  1921,   398,   399,   400,  1922,  1923,   401,   402,   797,
     403,   798,   404,   405,   406,   407,   408,   409,   410,   411,
     412,  1924,   413,   414,   415,   416,   417,   418,   419,   420,
    1925,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,  1926,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,  1927,   445,   446,   799,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,  1928,   459,   460,   461,   462,   463,  1929,   464,
     465,   466,   467,   468,   800,   469,   470,   471,   472,  1930,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,  1931,   485,   486,  1932,   487,   801,   488,   489,
     490,   491,   492,  1933,   493,   494,  1934,  1935,   495,   496,
     497,   498,   499,  1936,   500,   501,   502,   503,   504,   505,
     506,  1937,  1938,   507,   508,   509,   510,   511,  1939,  1940,
     512,   513,   514,   515,   516,   517,   518,  1941,   519,   802,
     520,   521,   522,   523,  1942,  1943,   524,  1944,  1945,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,  1868,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
    1869,   232,   233,   234,  1870,  1871,  1872,  1873,  1874,  1875,
    1876,   235,   236,  1877,   237,   238,   780,   239,   240,   241,
     242,   243,   781,   244,   245,  1878,   246,   247,   248,   249,
     250,  1879,  1880,   251,   252,   253,   254,   255,  1881,   256,
     257,   258,   259,   260,  1882,   782,  1883,   261,   262,   263,
     264,   783,   265,   266,   267,  1884,   268,   269,   270,   271,
     272,   273,  1885,   784,   274,   275,   276,  1886,  1887,  1888,
     785,  1889,  1890,  1891,   277,   278,   279,   280,   281,   282,
     283,   284,   285,  1892,   286,  1893,   287,   288,   289,   290,
     291,   292,  1894,   293,   294,   295,  1895,  1896,   296,   297,
     298,   299,   300,  1897,   301,   302,   303,  1898,   304,   305,
     306,  1899,   307,   308,   309,   310,   311,   312,   313,   314,
     315,  1900,   316,  1901,   317,   318,   319,   320,  1902,   321,
    1903,   322,   786,  1904,   787,   323,   324,   325,  1905,   326,
     327,  1906,   328,   329,  1907,   330,   331,   332,   333,   334,
     788,   335,   336,   337,   338,  1908,   339,   340,   341,   342,
     343,   344,  1909,   345,   789,   346,   347,   348,   349,   350,
     351,   352,  1910,   353,  1911,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,  1912,  1913,   361,   362,   793,
     363,   794,  1914,   364,   365,   366,  1915,  1916,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   795,   384,   385,   386,   387,
    1917,   388,   389,   796,   390,  1918,   391,   392,   393,   394,
     395,   396,  1919,   397,  1920,  1921,   398,   399,   400,  1922,
    1923,   401,   402,   797,   403,   798,   404,   405,   406,   407,
     408,   409,   410,   411,   412,  1924,   413,   414,   415,   416,
     417,   418,   419,   420,  1925,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,  1926,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
    1927,   445,   446,   799,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,  1928,   459,   460,   461,
     462,   463,  1929,   464,   465,   466,   467,   468,   800,   469,
     470,   471,   472,  1930,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,  1931,   485,   486,  1932,
     487,   801,   488,   489,   490,   491,   492,  1933,   493,   494,
    1934,  1935,   495,   496,   497,   498,   499,  1936,   500,   501,
     502,   503,   504,   505,   506,  1937,  1938,   507,   508,   509,
     510,   511,  1939,  1940,   512,   513,   514,   515,   516,   517,
     518,  1941,   519,   802,   520,   521,   522,   523,  1942,  1943,
     524,  1944,  1945,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,  1868,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
    2840,   228,   229,   230,  1869,   232,   233,   234,  1870,  1871,
    1872,  1873,  1874,  1875,  1876,   235,   236,  1877,   237,   238,
     780,   239,   240,   241,   242,   243,   781,   244,   245,  1878,
     246,   247,   248,   249,   250,  1879,  1880,   251,   252,   253,
     254,   255,  1881,   256,   257,   258,   259,   260,  1882,   782,
    1883,   261,   262,   263,   264,   783,   265,   266,   267,  1884,
     268,   269,   270,   271,   272,   273,  1885,   784,   274,   275,
     276,  1886,  1887,  1888,   785,  1889,  1890,  1891,   277,   278,
     279,   280,   281,   282,   283,   284,   285,  1892,   286,  1893,
     287,   288,   289,   290,   291,   292,  1894,   293,   294,   295,
    1895,  1896,   296,   297,   298,  2841,   300,  1897,   301,   302,
     303,  1898,   304,   305,   306,  1899,   307,   308,   309,   310,
     311,   312,   313,   314,   315,  1900,   316,  1901,   317,   318,
     319,   320,  1902,   321,  1903,   322,   786,  1904,   787,   323,
     324,   325,  1905,   326,   327,  1906,   328,   329,  1907,   330,
     331,   332,   333,   334,   788,   335,   336,   337,   338,  1908,
     339,   340,   341,   342,   343,   344,  1909,   345,   789,   346,
     347,   348,   349,   350,   351,   352,  1910,   353,  1911,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,  1912,
    1913,   361,   362,   793,   363,   794,  1914,   364,   365,   366,
    1915,  1916,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   795,
     384,   385,   386,   387,  1917,   388,   389,   796,   390,  1918,
     391,   392,   393,   394,   395,   396,  1919,   397,  1920,  1921,
     398,   399,   400,  1922,  1923,   401,   402,   797,   403,   798,
     404,   405,   406,   407,   408,   409,   410,   411,   412,  1924,
     413,   414,   415,   416,   417,   418,   419,   420,  1925,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,  1926,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,  1927,   445,   446,   799,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
    1928,   459,   460,   461,   462,   463,  1929,  2842,   465,   466,
     467,   468,   800,   469,   470,   471,   472,  1930,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
    1931,   485,   486,  1932,   487,   801,   488,   489,   490,   491,
     492,  1933,   493,   494,  1934,  1935,   495,   496,   497,   498,
     499,  1936,   500,   501,   502,   503,   504,   505,   506,  1937,
    1938,   507,   508,   509,   510,   511,  1939,  1940,   512,   513,
     514,   515,   516,   517,   518,  1941,   519,   802,   520,   521,
     522,   523,  1942,  1943,   524,  1944,  1945,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   779,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,   780,   239,   240,   241,   242,   243,
     781,   244,   245,     0,   246,   247,   248,   249,   250,     0,
    1147,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,  1150,     0,  1151,     0,   261,   262,   263,   264,   783,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,   784,   274,   275,   276,  1152,  1153,  1154,  1155,  1156,
    1157,  1158,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,  1162,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
     786,     0,   787,   323,   324,   325,     0,   326,  1165,     0,
     328,   329,     0,   330,   331,   332,   333,   334,   788,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,   789,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   790,   791,   355,   792,   356,   357,
     358,   359,   360,     0,     0,   361,  1170,   793,   363,   794,
       0,   364,   365,   366,  1171,  1172,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   795,   384,   385,   386,   387,     0,   388,
     389,   796,   390,     0,  1177,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,   797,   403,   798,  1180,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,  1181,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,   799,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
    1184,   464,   465,   466,   467,   468,   800,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,  1186,     0,   485,   486,     0,   487,   801,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,  1189,   498,  1190,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
    1193,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,   802,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,  1195,  1196,
    1197,  1198,  1199,  1200,  1201,  1202,   540,   541,   542,   823,
       0,   600,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,   242,   243,   781,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,   782,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,   276,     0,
       0,     0,   785,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,  1681,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,   788,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,   789,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,     0,     0,   361,
     362,   793,   363,   794,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   795,   384,   385,
     386,   387,     0,   388,   389,   796,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,  1682,     0,   398,   399,
     400,     0,     0,   401,   402,   797,   403,   798,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
     800,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,   801,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,  1683,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   823,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,   858,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,   780,   239,   240,   241,   242,   243,   781,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,   782,     0,   261,   262,   263,   264,   783,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,   784,
     274,   275,   276,     0,     0,     0,   785,     0,     0,   824,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,   786,     0,
     787,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,   788,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
     789,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,     0,     0,   361,   362,   793,   363,   794,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   795,   384,   385,   386,   387,     0,   388,   389,   796,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,   797,
     403,   798,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,   799,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,   825,   464,
     465,   466,   467,   468,   800,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,   801,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,   802,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   823,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
     242,   243,   781,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,   782,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,     0,     0,     0,
     785,     0,     0,   824,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
     788,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,   789,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,   362,   793,
     363,   794,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   795,   384,   385,   386,   387,
       0,   388,   389,   796,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,   797,   403,   798,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,   825,   464,   465,   466,   467,   468,   800,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,   801,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,  2235,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   823,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,   242,   243,   781,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,   782,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,   275,
     276,     0,     0,     0,   785,     0,     0,   824,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,   327,  3143,   328,   329,     0,   330,
     331,   332,   333,   334,   788,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,   362,   793,   363,   794,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   795,
     384,   385,   386,   387,     0,   388,   389,   796,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,   797,   403,   798,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,   825,   464,   465,   466,
     467,   468,   800,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,   801,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   823,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,   780,   239,   240,   241,   242,   243,
     781,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,   782,     0,   261,   262,   263,   264,   783,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,   784,   274,   275,   276,     0,     0,     0,   785,     0,
       0,   824,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
     786,     0,   787,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,   788,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,   789,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   790,   791,   355,   792,   356,   357,
     358,   359,   360,     0,     0,   361,   362,   793,   363,   794,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   795,   384,   385,   386,   387,     0,   388,
     389,   796,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,   797,   403,   798,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,   799,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
     825,   464,   465,   466,   467,   468,   800,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,   801,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,   802,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   823,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,   242,   243,   781,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,   782,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,   276,     0,
       0,     0,   785,     0,     0,   824,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,   788,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,   789,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,     0,     0,   361,
     362,   793,   363,   794,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   875,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   795,   384,   385,
     386,   387,     0,   388,   389,   796,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,   797,   403,   798,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,   825,   464,   465,   466,   467,   468,
     800,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,   801,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   823,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,   780,   239,   240,   241,   242,   243,   781,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,   782,     0,   261,   262,   263,   264,   783,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,   784,
     274,   275,   276,     0,     0,     0,   785,     0,     0,   824,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,   786,     0,
     787,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,   788,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
     789,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,     0,     0,   361,   362,   793,   363,   794,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   963,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   795,   384,   385,   386,   387,     0,   388,   389,   796,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,   797,
     403,   798,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,   799,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,   825,   464,
     465,   466,   467,   468,   800,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,   801,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,   802,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   823,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
     242,   243,   781,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,   782,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,     0,     0,     0,
     785,     0,     0,   824,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,  1036,
     788,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,   789,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,   362,   793,
     363,   794,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   795,   384,   385,   386,   387,
       0,   388,   389,   796,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,   797,   403,   798,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,   825,   464,   465,   466,   467,   468,   800,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,   801,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   823,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,   242,   243,   781,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,   782,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,   275,
     276,     0,     0,     0,   785,     0,     0,   824,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,  1048,   788,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,   362,   793,   363,   794,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   795,
     384,   385,   386,   387,     0,   388,   389,   796,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,   797,   403,   798,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,   825,   464,   465,   466,
     467,   468,   800,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,   801,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   823,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,   780,   239,   240,   241,   242,   243,
     781,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,   782,     0,   261,   262,   263,   264,   783,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,   784,   274,   275,   276,     0,     0,     0,   785,     0,
       0,   824,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
     786,     0,   787,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,  1062,   788,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,   789,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   790,   791,   355,   792,   356,   357,
     358,   359,   360,     0,     0,   361,   362,   793,   363,   794,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
    1063,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   795,   384,   385,   386,   387,     0,   388,
     389,   796,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,   797,   403,   798,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,   799,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
     825,   464,   465,   466,   467,   468,   800,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,   801,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,   802,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   823,
       0,   600,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,   242,   243,   781,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,   782,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,   276,     0,
       0,     0,   785,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,  1842,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,   788,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,   789,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,     0,     0,   361,
     362,   793,   363,   794,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   795,   384,   385,
     386,   387,     0,   388,   389,   796,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,   797,   403,   798,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
     800,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,   801,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   823,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       3,     4,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,   780,   239,   240,   241,   242,   243,   781,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,   782,     0,   261,   262,   263,   264,   783,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,   784,
     274,   275,   276,     0,     0,     0,   785,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,   786,     0,
     787,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,   788,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
     789,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,     0,     0,   361,   362,   793,   363,   794,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   795,   384,   385,   386,   387,     0,   388,   389,   796,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,   797,
     403,   798,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,   799,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,   800,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,   801,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,   802,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   823,     0,   600,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
     242,   243,   781,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,   782,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,     0,     0,     0,
     785,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
     788,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,   789,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,   362,   793,
     363,   794,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   795,   384,   385,   386,   387,
       0,   388,   389,   796,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,   797,   403,   798,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,   800,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,   801,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   823,     0,   600,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,   242,   243,   781,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,   782,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,   275,
     276,     0,     0,     0,   785,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,  1671,   788,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,   362,   793,   363,   794,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   795,
     384,   385,   386,   387,     0,   388,   389,   796,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,   797,   403,   798,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,   800,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,   801,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   779,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,   780,   239,   240,   241,   242,   243,
     781,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,   782,     0,   261,   262,   263,   264,   783,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,   784,   274,   275,   276,     0,     0,     0,   785,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
     786,     0,   787,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,   788,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,   789,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   790,   791,   355,   792,   356,   357,
     358,   359,   360,     0,     0,   361,   362,   793,   363,   794,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   795,   384,   385,   386,   387,     0,   388,
     389,   796,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,   797,   403,   798,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,   799,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,   800,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,   801,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,   802,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   779,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,   242,   243,   781,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,   782,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,   276,     0,
       0,     0,   785,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   985,   788,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,   789,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,     0,     0,   361,
     362,   793,   363,   794,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   795,   384,   385,
     386,   387,     0,   388,   389,   796,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,   797,   403,   798,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
     800,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,   801,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   779,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,   780,   239,   240,   241,   242,   243,   781,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,   782,     0,   261,   262,   263,   264,   783,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,   784,
     274,   275,   276,     0,     0,     0,   785,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,   786,     0,
     787,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,  1034,   788,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
     789,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,     0,     0,   361,   362,   793,   363,   794,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   795,   384,   385,   386,   387,     0,   388,   389,   796,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,   797,
     403,   798,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,   799,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,   800,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,   801,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,   802,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,  2048,   256,
     257,   258,   259,   260,     0,     0,  2124,   261,   262,   263,
     264,     0,   265,   266,   267,  2049,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,  2125,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
    2051,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,  2126,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,  2052,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,  2053,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,  2048,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,  2049,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,  2125,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,  2051,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   334,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,  3008,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,  2052,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
    2053,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   711,   229,   230,   673,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
     674,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,   712,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   675,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   676,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,   673,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,   674,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
    2734,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     675,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   676,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,  2048,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,  2049,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,  2125,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,  2051,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
    2052,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,  2053,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
     673,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,   674,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   675,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   676,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,  1708,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,  1709,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,  1710,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,  1711,   322,     0,     0,     0,  1712,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   334,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,  1713,  1714,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,  1715,   455,   456,   457,   458,
       0,  1716,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,  1717,   487,     0,  1718,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,  1719,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
     674,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   675,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   676,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,   868,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   869,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,   743,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       3,     4,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
    2821,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,  2822,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,  2834,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   334,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,  2835,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,   591,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   592,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,   703,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   704,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   705,   494,     0,     0,   706,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
     737,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   738,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   739,   494,
       0,     0,   740,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   334,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,   743,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,   832,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   833,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,   977,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,  1240,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,  1251,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   723,   252,   253,   254,  1252,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   726,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   727,   448,   449,   450,   451,   452,
     453,   728,   455,   456,   457,   458,     0,   459,   460,   461,
     462,  1244,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   730,   494,
       0,     0,   731,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   732,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,  1360,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,   743,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,  1415,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,  1416,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,   703,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,  2624,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,  2625,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,  2626,   487,     0,   488,  2627,
     490,  2628,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,  2629,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,   600,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,  3826,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   334,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,  3840,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   689,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     701,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   723,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     724,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   334,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   725,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   726,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   727,   448,
     449,   450,   451,   452,   453,   728,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   729,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   730,   494,     0,     0,   731,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   732,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   755,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   856,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   863,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   878,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   939,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   955,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   990,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,  1046,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,  1050,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,  1052,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,  1054,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,  1058,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,  1066,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   723,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   726,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   727,   448,   449,   450,   451,   452,
     453,   728,   455,   456,   457,   458,     0,   459,   460,   461,
     462,  1244,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   730,   494,
       0,     0,   731,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   732,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,  1540,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,  1570,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,  1572,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,  1642,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,  1644,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,  1646,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,   334,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,  1742,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,  2003,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,   334,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,     0,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   723,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   726,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     727,   448,   449,   450,   451,   452,   453,   728,   455,   456,
     457,   458,     0,   459,   460,   461,   462,  1244,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,  2035,   489,
     490,   491,   492,     0,   730,   494,     0,     0,   731,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   732,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   723,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,   334,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   726,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   727,   448,   449,   450,   451,   452,
     453,  2109,   455,   456,   457,   458,     0,   459,   460,   461,
     462,  2110,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   730,   494,
       0,     0,  2111,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   732,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,  2347,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,  2351,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,  2391,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,  2426,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,  2745,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   723,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   334,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   726,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   727,   448,
     449,   450,   451,   452,   453,   728,   455,   456,   457,   458,
       0,   459,   460,   461,   462,  2110,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   730,   494,     0,     0,  2111,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   732,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,  2811,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,     0,   239,
     240,   241,   242,   243,     0,   244,   245,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   253,   254,   255,
       0,   256,   257,   258,   259,   260,     0,     0,     0,   261,
     262,   263,   264,     0,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,     0,   274,   275,   276,     0,
       0,     0,     0,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,   298,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,   311,   312,
     313,   314,   315,     0,   316,     0,   317,   318,   319,   320,
       0,   321,     0,   322,     0,     0,     0,   323,   324,   325,
       0,   326,   327,     0,   328,   329,     0,   330,   331,   332,
     333,  2824,     0,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,     0,   346,   347,   348,
     349,   350,   351,   352,     0,   353,     0,   354,     0,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
     362,     0,   363,     0,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,     0,   384,   385,
     386,   387,     0,   388,   389,     0,   390,     0,   391,   392,
     393,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,   402,     0,   403,     0,   404,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
     415,   416,   417,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,   466,   467,   468,
       0,   469,   470,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,     0,   485,
     486,     0,   487,     0,   488,   489,   490,   491,   492,     0,
     493,   494,     0,     0,   495,   496,   497,   498,   499,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,   519,     0,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,  2826,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,     0,   239,   240,   241,
     242,   243,     0,   244,   245,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   253,   254,   255,     0,   256,
     257,   258,   259,   260,     0,     0,     0,   261,   262,   263,
     264,     0,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,     0,   274,   275,   276,     0,     0,     0,
       0,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
     298,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,   311,   312,   313,   314,
     315,     0,   316,     0,   317,   318,   319,   320,     0,   321,
       0,   322,     0,     0,     0,   323,   324,   325,     0,   326,
     327,     0,   328,   329,     0,   330,   331,   332,   333,  2941,
       0,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,     0,   346,   347,   348,   349,   350,
     351,   352,     0,   353,     0,   354,     0,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,   362,     0,
     363,     0,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,     0,   384,   385,   386,   387,
       0,   388,   389,     0,   390,     0,   391,   392,   393,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,   402,     0,   403,     0,   404,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,   415,   416,
     417,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,   466,   467,   468,     0,   469,
     470,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,     0,   485,   486,     0,
     487,     0,   488,   489,   490,   491,   492,     0,   493,   494,
       0,     0,   495,   496,   497,   498,   499,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,   519,     0,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
       0,   239,   240,   241,   242,   243,     0,   244,   245,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   253,
     254,   255,     0,   256,   257,   258,   259,   260,     0,     0,
       0,   261,   262,   263,   264,     0,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,     0,   274,   275,
     276,     0,     0,     0,     0,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,  2963,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
     311,   312,   313,   314,   315,     0,   316,     0,   317,   318,
     319,   320,     0,   321,     0,   322,     0,     0,     0,   323,
     324,   325,     0,   326,   327,     0,   328,   329,     0,   330,
     331,   332,   333,   334,     0,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,     0,   346,
     347,   348,   349,   350,   351,   352,     0,   353,     0,   354,
       0,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,   362,     0,   363,     0,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,     0,
     384,   385,   386,   387,     0,   388,   389,     0,   390,     0,
     391,   392,   393,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,   402,     0,   403,     0,
     404,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,   415,   416,   417,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,     0,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,   466,
     467,   468,     0,   469,   470,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
       0,   485,   486,     0,   487,     0,   488,   489,   490,   491,
     492,     0,   493,   494,     0,     0,   495,   496,   497,   498,
     499,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,   519,     0,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,     0,   239,   240,   241,   242,   243,
       0,   244,   245,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   253,   254,   255,     0,   256,   257,   258,
     259,   260,     0,     0,     0,   261,   262,   263,   264,     0,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,     0,   274,   275,   276,     0,     0,     0,     0,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,   298,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,   311,   312,   313,   314,   315,     0,
     316,     0,   317,   318,   319,   320,     0,   321,     0,   322,
       0,     0,     0,   323,   324,   325,     0,   326,   327,     0,
     328,   329,     0,   330,   331,   332,   333,  4075,     0,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,     0,   346,   347,   348,   349,   350,   351,   352,
       0,   353,     0,   354,     0,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,   362,     0,   363,     0,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,     0,   384,   385,   386,   387,     0,   388,
     389,     0,   390,     0,   391,   392,   393,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
     402,     0,   403,     0,   404,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,   415,   416,   417,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,   466,   467,   468,     0,   469,   470,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,     0,   485,   486,     0,   487,     0,
     488,   489,   490,   491,   492,     0,   493,   494,     0,     0,
     495,   496,   497,   498,   499,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
     519,     0,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   992,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,     0,   993,   781,   994,   995,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   996,   997,   255,
       0,   256,   257,   258,   259,     0,     0,   782,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,   276,     0,
       0,     0,   785,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   998,   999,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,  1000,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,     0,   312,
     313,   314,     0,     0,   316,     0,   317,   318,  1001,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,     0,     0,     0,   329,     0,   330,   331,   332,
     333,   334,   788,   335,   336,   337,   338,  2006,   339,   340,
     341,   342,   343,   344,     0,   345,   789,  2007,   347,   348,
     349,   350,  1003,  1004,     0,  1005,     0,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,     0,     0,   361,
       0,   793,   363,   794,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,  1006,   795,  1007,   385,
     386,     0,     0,   388,   389,   796,   390,     0,     0,   392,
    1008,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,  2009,   797,   403,   798,     0,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
       0,   416,     0,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,  1009,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,     0,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,  2010,   467,   468,
     800,   469,   470,  1011,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     0,     0,   485,
     486,     0,   487,   801,   488,   489,   490,   491,   492,     0,
    1012,  1013,     0,     0,   495,   496,     0,   498,     0,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,     0,  1014,  2011,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   992,     0,     0,     0,     0,     0,     0,     0,     0,
     540,   541,   542,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,     0,   993,   781,   994,   995,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   996,
     997,   255,     0,   256,   257,   258,   259,     0,     0,   782,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,   275,
     276,     0,     0,     0,   785,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   998,   999,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,  1000,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
       0,   312,   313,   314,     0,     0,   316,     0,   317,   318,
    1001,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,     0,     0,     0,   329,     0,   330,
     331,   332,   333,   334,   788,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,     0,
     347,   348,   349,   350,  1003,  1004,     0,  1005,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,     0,   793,   363,   794,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,  1006,   795,
    1007,   385,   386,     0,     0,   388,   389,   796,   390,  2105,
       0,   392,  1008,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,     0,   797,   403,   798,
       0,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,     0,   416,     0,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,  1009,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,     0,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,  2010,
     467,   468,   800,   469,   470,  1011,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     0,
       0,   485,   486,  3659,   487,   801,   488,   489,   490,   491,
     492,     0,  1012,  1013,     0,     0,   495,   496,     0,   498,
       0,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,     0,  1014,     0,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   222,     0,     0,     0,     0,     0,     0,
       0,     0,   540,   541,   542,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,     0,   239,   240,   241,   242,   243,     0,   244,
     245,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   253,   254,   255,     0,   256,   257,   258,   259,   260,
       0,     0,     0,   261,   262,   263,   264,     0,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,     0,
     274,   275,   276,     0,     0,     0,     0,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,   298,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,   311,   312,   313,   314,   315,     0,   316,     0,
     317,   318,   319,   320,     0,   321,     0,   322,     0,     0,
       0,   323,   324,   325,     0,   326,   327,     0,   328,   329,
       0,   330,   331,   332,   333,   334,     0,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
       0,   346,   347,   348,   349,   350,   351,   352,     0,   353,
       0,   354,     0,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,   362,     0,   363,     0,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,     0,   384,   385,   386,   387,     0,   388,   389,     0,
     390,     0,   391,   392,   393,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,   402,     0,
     403,     0,   404,   405,   406,   407,   408,   409,     0,   411,
     412,     0,   413,   414,   415,   416,   417,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,     0,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,     0,
     447,   448,   449,   450,     0,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,   466,   467,   468,     0,   469,   470,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,     0,   485,   486,     0,   487,     0,   488,   489,
     490,   491,   492,     0,   493,   494,     0,     0,   495,   496,
     497,   498,   499,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,   519,     0,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   992,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
       0,   993,   781,   994,   995,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   996,   997,   255,     0,   256,
     257,   258,   259,     0,     0,   782,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,     0,     0,     0,
     785,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     998,   999,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
    1000,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,     0,   312,   313,   314,
       0,     0,   316,     0,   317,   318,  1001,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
       0,     0,     0,   329,     0,   330,   331,   332,   333,   334,
     788,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,   789,     0,   347,   348,   349,   350,
    1003,  1004,     0,  1005,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,     0,   793,
     363,   794,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,  1006,   795,  1007,   385,   386,  2175,
       0,   388,   389,   796,   390,     0,     0,   392,  1008,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,     0,   797,   403,   798,     0,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,     0,   416,
       0,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,  1009,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,     0,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,  1010,   467,   468,   800,   469,
     470,  1011,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     0,     0,   485,   486,     0,
     487,   801,   488,   489,   490,   491,   492,     0,  1012,  1013,
       0,     0,   495,   496,     0,   498,     0,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,     0,
    1014,     0,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   992,
       0,     0,     0,     0,     0,     0,     0,     0,   540,   541,
     542,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,     0,   993,   781,   994,   995,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   996,   997,   255,
       0,   256,   257,   258,   259,     0,     0,   782,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,   276,     0,
       0,     0,   785,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   998,   999,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,  1000,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,     0,   312,
     313,   314,     0,     0,   316,     0,   317,   318,  1001,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,     0,     0,     0,   329,     0,   330,   331,   332,
     333,   334,   788,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,   789,     0,   347,   348,
     349,   350,  1003,  1004,     0,  1005,     0,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,     0,     0,   361,
       0,   793,   363,   794,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,  1006,   795,  1007,   385,
     386,  3479,     0,   388,   389,   796,   390,     0,     0,   392,
    1008,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,     0,   797,   403,   798,     0,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
       0,   416,     0,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,  1009,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,     0,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,  1010,   467,   468,
     800,   469,   470,  1011,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     0,     0,   485,
     486,     0,   487,   801,   488,   489,   490,   491,   492,     0,
    1012,  1013,     0,     0,   495,   496,     0,   498,     0,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,     0,  1014,     0,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   992,     0,     0,     0,     0,     0,     0,     0,     0,
     540,   541,   542,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,     0,   993,   781,   994,   995,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,   996,
     997,   255,     0,   256,   257,   258,   259,     0,     0,   782,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,   275,
     276,     0,     0,     0,   785,     0,     0,     0,   277,   278,
     279,   280,   281,   282,   998,   999,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,  1000,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
       0,   312,   313,   314,     0,     0,   316,     0,   317,   318,
    1001,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,     0,     0,     0,   329,     0,   330,
     331,   332,   333,  1002,   788,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,     0,
     347,   348,   349,   350,  1003,  1004,     0,  1005,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,     0,   793,   363,   794,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,  1006,   795,
    1007,   385,   386,     0,     0,   388,   389,   796,   390,     0,
       0,   392,  1008,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,     0,   797,   403,   798,
       0,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,     0,   416,     0,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,  1009,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,     0,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,  1010,
     467,   468,   800,   469,   470,  1011,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     0,
       0,   485,   486,     0,   487,   801,   488,   489,   490,   491,
     492,     0,  1012,  1013,     0,     0,   495,   496,     0,   498,
       0,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,     0,  1014,     0,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,   992,     0,     0,     0,     0,     0,     0,
       0,     0,   540,   541,   542,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,     0,   232,   233,   234,
       0,     0,     0,     0,     0,     0,     0,   235,   236,     0,
     237,   238,   780,   239,   240,   241,     0,   993,   781,   994,
     995,     0,   246,   247,   248,   249,   250,     0,     0,   251,
     252,   996,   997,   255,     0,   256,   257,   258,   259,     0,
       0,   782,     0,   261,   262,   263,   264,   783,   265,   266,
     267,     0,   268,   269,   270,   271,   272,   273,     0,   784,
     274,   275,   276,     0,     0,     0,   785,     0,     0,     0,
     277,   278,   279,   280,   281,   282,   998,   999,   285,     0,
     286,     0,   287,   288,   289,   290,   291,   292,     0,   293,
     294,   295,     0,     0,   296,   297,  1000,   299,   300,     0,
     301,   302,   303,     0,   304,   305,   306,     0,   307,   308,
     309,   310,     0,   312,   313,   314,     0,     0,   316,     0,
     317,   318,  1001,   320,     0,   321,     0,   322,   786,     0,
     787,   323,   324,   325,     0,   326,     0,     0,     0,   329,
       0,   330,   331,   332,   333,  1060,   788,   335,   336,   337,
     338,     0,   339,   340,   341,   342,   343,   344,     0,   345,
     789,     0,   347,   348,   349,   350,  1003,  1004,     0,  1005,
       0,   354,   790,   791,   355,   792,   356,   357,   358,   359,
     360,     0,     0,   361,     0,   793,   363,   794,     0,   364,
     365,   366,     0,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
    1006,   795,  1007,   385,   386,     0,     0,   388,   389,   796,
     390,     0,     0,   392,  1008,   394,   395,   396,     0,   397,
       0,     0,   398,   399,   400,     0,     0,   401,     0,   797,
     403,   798,     0,   405,   406,   407,   408,   409,   410,   411,
     412,     0,   413,   414,     0,   416,     0,   418,   419,   420,
       0,   421,   422,   423,   424,   425,   426,   427,   428,  1009,
     430,   431,   432,   433,     0,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   445,   446,   799,
     447,   448,   449,     0,   451,   452,   453,   454,   455,   456,
     457,   458,     0,   459,   460,   461,   462,   463,     0,   464,
     465,  1010,   467,   468,   800,   469,   470,  1011,   472,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,     0,     0,   485,   486,     0,   487,   801,   488,   489,
     490,   491,   492,     0,  1012,  1013,     0,     0,   495,   496,
       0,   498,     0,     0,   500,   501,   502,   503,   504,   505,
     506,     0,     0,   507,   508,   509,   510,   511,     0,     0,
     512,   513,   514,   515,   516,     0,  1014,     0,   519,   802,
     520,   521,   522,   523,     0,     0,   524,     0,     0,   525,
     526,   527,   528,   529,   530,   992,     0,     0,     0,     0,
       0,     0,     0,     0,   540,   541,   542,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,     0,   232,
     233,   234,     0,     0,     0,     0,     0,     0,     0,   235,
     236,     0,   237,   238,   780,   239,   240,   241,     0,   993,
     781,   994,   995,     0,   246,   247,   248,   249,   250,     0,
       0,   251,   252,   996,   997,   255,     0,   256,   257,   258,
     259,     0,     0,   782,     0,   261,   262,   263,   264,   783,
     265,   266,   267,     0,   268,   269,   270,   271,   272,   273,
       0,   784,   274,   275,   276,     0,     0,     0,   785,     0,
       0,     0,   277,   278,   279,   280,   281,   282,   998,   999,
     285,     0,   286,     0,   287,   288,   289,   290,   291,   292,
       0,   293,   294,   295,     0,     0,   296,   297,  1000,   299,
     300,     0,   301,   302,   303,     0,   304,   305,   306,     0,
     307,   308,   309,   310,     0,   312,   313,   314,     0,     0,
     316,     0,   317,   318,  1001,   320,     0,   321,     0,   322,
     786,     0,   787,   323,   324,   325,     0,   326,     0,     0,
       0,   329,     0,   330,   331,   332,   333,   334,   788,   335,
     336,   337,   338,     0,   339,   340,   341,   342,   343,   344,
       0,   345,   789,     0,   347,   348,   349,   350,  1003,  1004,
       0,  1005,     0,   354,   790,   791,   355,   792,   356,   357,
     358,   359,   360,     0,     0,   361,     0,   793,   363,   794,
       0,   364,   365,   366,     0,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,  1006,   795,  1007,   385,   386,     0,     0,   388,
     389,   796,   390,     0,     0,   392,  1008,   394,   395,   396,
       0,   397,     0,     0,   398,   399,   400,     0,     0,   401,
       0,   797,   403,   798,     0,   405,   406,   407,   408,   409,
     410,   411,   412,     0,   413,   414,     0,   416,     0,   418,
     419,   420,     0,   421,   422,   423,   424,   425,   426,   427,
     428,  1009,   430,   431,   432,   433,     0,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   445,
     446,   799,   447,   448,   449,     0,   451,   452,   453,   454,
     455,   456,   457,   458,     0,   459,   460,   461,   462,   463,
       0,   464,   465,  1010,   467,   468,   800,   469,   470,  1011,
     472,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,     0,     0,   485,   486,     0,   487,   801,
     488,   489,   490,   491,   492,     0,  1012,  1013,     0,     0,
     495,   496,     0,   498,     0,     0,   500,   501,   502,   503,
     504,   505,   506,     0,     0,   507,   508,   509,   510,   511,
       0,     0,   512,   513,   514,   515,   516,     0,  1014,     0,
     519,   802,   520,   521,   522,   523,     0,     0,   524,     0,
       0,   525,   526,   527,   528,   529,   530,   992,     0,     0,
       0,     0,     0,     0,     0,     0,   540,   541,   542,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
       0,   232,   233,   234,     0,     0,     0,     0,     0,     0,
       0,   235,   236,     0,   237,   238,   780,   239,   240,   241,
       0,   993,   781,   994,   995,     0,   246,   247,   248,   249,
     250,     0,     0,   251,   252,   996,   997,   255,     0,   256,
     257,   258,   259,     0,     0,   782,     0,   261,   262,   263,
     264,   783,   265,   266,   267,     0,   268,   269,   270,   271,
     272,   273,     0,   784,   274,   275,   276,     0,     0,     0,
     785,     0,     0,     0,   277,   278,   279,   280,   281,   282,
     998,   999,   285,     0,   286,     0,   287,   288,   289,   290,
     291,   292,     0,   293,   294,   295,     0,     0,   296,   297,
    1000,   299,   300,     0,   301,   302,   303,     0,   304,   305,
     306,     0,   307,   308,   309,   310,     0,   312,   313,   314,
       0,     0,   316,     0,   317,   318,  1001,   320,     0,   321,
       0,   322,   786,     0,   787,   323,   324,   325,     0,   326,
       0,     0,     0,   329,     0,   330,   331,   332,   333,   334,
     788,   335,   336,   337,   338,     0,   339,   340,   341,   342,
     343,   344,     0,   345,   789,     0,   347,   348,   349,   350,
    1003,  1004,     0,  1005,     0,   354,   790,   791,   355,   792,
     356,   357,   358,   359,   360,     0,     0,   361,     0,   793,
     363,   794,     0,   364,   365,   366,     0,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,  1006,   795,  1007,   385,   386,     0,
       0,   388,   389,   796,   390,     0,     0,   392,  1008,   394,
     395,   396,     0,   397,     0,     0,   398,   399,   400,     0,
       0,   401,     0,   797,   403,   798,     0,   405,   406,   407,
     408,   409,   410,   411,   412,     0,   413,   414,     0,   416,
       0,   418,   419,   420,     0,   421,   422,   423,   424,   425,
     426,   427,   428,  1009,   430,   431,   432,   433,     0,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   445,   446,   799,   447,   448,   449,     0,   451,   452,
     453,   454,   455,   456,   457,   458,     0,   459,   460,   461,
     462,   463,     0,   464,   465,  2010,   467,   468,   800,   469,
     470,  1011,   472,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,     0,     0,   485,   486,     0,
     487,   801,   488,   489,   490,   491,   492,     0,  1012,  1013,
       0,     0,   495,   496,     0,   498,     0,     0,   500,   501,
     502,   503,   504,   505,   506,     0,     0,   507,   508,   509,
     510,   511,     0,     0,   512,   513,   514,   515,   516,     0,
    1014,     0,   519,   802,   520,   521,   522,   523,     0,     0,
     524,     0,     0,   525,   526,   527,   528,   529,   530,   992,
       0,     0,     0,     0,     0,     0,     0,     0,   540,   541,
     542,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,     0,   232,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   235,   236,     0,   237,   238,   780,   239,
     240,   241,     0,   993,   781,   994,   995,     0,   246,   247,
     248,   249,   250,     0,     0,   251,   252,   996,   997,   255,
       0,   256,   257,   258,   259,     0,     0,   782,     0,   261,
     262,   263,   264,   783,   265,   266,   267,     0,   268,   269,
     270,   271,   272,   273,     0,   784,   274,   275,   276,     0,
       0,     0,   785,     0,     0,     0,   277,   278,   279,   280,
     281,   282,   998,   999,   285,     0,   286,     0,   287,   288,
     289,   290,   291,   292,     0,   293,   294,   295,     0,     0,
     296,   297,  1000,   299,   300,     0,   301,   302,   303,     0,
     304,   305,   306,     0,   307,   308,   309,   310,     0,   312,
     313,   314,     0,     0,   316,     0,   317,   318,  1001,   320,
       0,   321,     0,   322,   786,     0,   787,   323,   324,   325,
       0,   326,     0,     0,     0,   329,     0,   330,   331,   332,
     333,   334,   788,   335,   336,   337,   338,     0,   339,   340,
     341,   342,   343,   344,     0,   345,   789,     0,   347,   348,
     349,   350,  1003,  1004,     0,  1005,     0,   354,   790,   791,
     355,   792,   356,   357,   358,   359,   360,     0,     0,   361,
       0,   793,   363,   794,     0,   364,   365,   366,     0,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,  1006,   795,  1007,   385,
     386,     0,     0,   388,   389,   796,   390,     0,     0,   392,
    1008,   394,   395,   396,     0,   397,     0,     0,   398,   399,
     400,     0,     0,   401,     0,   797,   403,   798,     0,   405,
     406,   407,   408,   409,   410,   411,   412,     0,   413,   414,
       0,   416,     0,   418,   419,   420,     0,   421,   422,   423,
     424,   425,   426,   427,   428,  1009,   430,   431,   432,   433,
       0,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   445,   446,   799,   447,   448,   449,     0,
     451,   452,   453,   454,   455,   456,   457,   458,     0,   459,
     460,   461,   462,   463,     0,   464,   465,     0,   467,   468,
     800,   469,   470,  1011,   472,     0,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,     0,     0,   485,
     486,     0,   487,   801,   488,   489,   490,   491,   492,     0,
    1012,  1013,     0,     0,   495,   496,     0,   498,     0,     0,
     500,   501,   502,   503,   504,   505,   506,     0,     0,   507,
     508,   509,   510,   511,     0,     0,   512,   513,   514,   515,
     516,     0,  1014,     0,   519,   802,   520,   521,   522,   523,
       0,     0,   524,     0,     0,   525,   526,   527,   528,   529,
     530,   992,     0,     0,     0,     0,     0,     0,     0,     0,
     540,   541,   542,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,     0,   232,   233,   234,     0,     0,
       0,     0,     0,     0,     0,   235,   236,     0,   237,   238,
     780,   239,   240,   241,     0,     0,   781,     0,     0,     0,
     246,   247,   248,   249,   250,     0,     0,   251,   252,     0,
       0,   255,     0,   256,   257,   258,   259,     0,     0,   782,
       0,   261,   262,   263,   264,   783,   265,   266,   267,     0,
     268,   269,   270,   271,   272,   273,     0,   784,   274,   275,
     276,     0,     0,     0,   785,     0,     0,     0,   277,   278,
     279,   280,   281,   282,     0,     0,   285,     0,   286,     0,
     287,   288,   289,   290,   291,   292,     0,   293,   294,   295,
       0,     0,   296,   297,   298,   299,   300,     0,   301,   302,
     303,     0,   304,   305,   306,     0,   307,   308,   309,   310,
       0,   312,   313,   314,     0,     0,   316,     0,   317,   318,
       0,   320,     0,   321,     0,   322,   786,     0,   787,   323,
     324,   325,     0,   326,     0,     0,     0,   329,     0,   330,
     331,   332,   333,   334,   788,   335,   336,   337,   338,     0,
     339,   340,   341,   342,   343,   344,     0,   345,   789,     0,
     347,   348,   349,   350,     0,     0,     0,     0,     0,   354,
     790,   791,   355,   792,   356,   357,   358,   359,   360,     0,
       0,   361,     0,   793,   363,   794,     0,   364,   365,   366,
       0,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,     0,   795,
       0,   385,   386,     0,     0,   388,   389,   796,   390,     0,
       0,   392,     0,   394,   395,   396,     0,   397,     0,     0,
     398,   399,   400,     0,     0,   401,     0,   797,   403,   798,
       0,   405,   406,   407,   408,   409,   410,   411,   412,     0,
     413,   414,     0,   416,     0,   418,   419,   420,     0,   421,
     422,   423,   424,   425,   426,   427,   428,     0,   430,   431,
     432,   433,     0,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   445,   446,   799,   447,   448,
     449,     0,   451,   452,   453,   454,   455,   456,   457,   458,
       0,   459,   460,   461,   462,   463,     0,   464,   465,     0,
     467,   468,   800,   469,   470,     0,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,     0,
       0,   485,   486,     0,   487,   801,   488,   489,   490,   491,
     492,     0,     0,     0,     0,     0,   495,   496,     0,   498,
       0,     0,   500,   501,   502,   503,   504,   505,   506,     0,
       0,   507,   508,   509,   510,   511,     0,     0,   512,   513,
     514,   515,   516,     0,     0,     0,   519,   802,   520,   521,
     522,   523,     0,     0,   524,     0,     0,   525,   526,   527,
     528,   529,   530,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   540,   541,   542
};

static const yytype_int16 yycheck[] =
{
      16,     0,     0,     0,     0,     0,     0,    50,   571,    25,
     204,  1077,   601,  1035,    21,   835,    35,   674,   675,   676,
      27,  1099,    20,   680,    20,   724,   778,    44,  1044,  1712,
     182,   722,   773,   200,  1039,  1269,   190,   877,    21,  1010,
     207,  2297,    43,  1288,    27,   199,   804,   865,   951,  1271,
    1389,   218,    50,   642,  2482,   886,  1346,   620,     7,   962,
    2645,   747,  1833,   931,    12,    14,   998,   999,   601,  1496,
    2014,  2015,   731,  1029,  1130,  1383,  1008,  1013,  2174,  2306,
     864,  2788,    17,  3006,  1394,  1567,   870,  2633,    22,  3075,
    1324,  2815,  1748,  2633,    20,   879,   936,  1448,  1320,  1389,
     940,    35,   623,  3375,     0,   945,  3033,  2840,  3332,  2842,
    2226,  1961,  2264,   634,   954,  1293,   864,  1405,   986,   562,
    2272,  3268,  2274,  3051,   964,  2995,  2458,  2988,  3648,  3375,
     207,  2637,  2635,  2636,  2995,  3062,  2694,  3428,   727,   633,
    2686,   218,   641,   184,  3651,   169,  2686,   184,  3637,  3371,
    1460,  3638,  1579,  1731,  3660,    34,  1836,  2568,  3302,  1792,
       0,  1069,    41,  3296,     0,     0,     0,     0,   611,  1015,
       0,  4095,     0,     0,    49,  1375,  2702,  1465,  1466,     0,
    1324,  3049,   821,   877,    40,  3901,   184,  1669,  3348,   770,
       0,     0,     0,   770,   727,   996,   997,  3231,  4389,  4272,
       0,  4215,     9,  4217,  2300,  3301,  1007,  1053,     0,  1303,
       0,     0,   213,    35,  3584,  1061,    22,     5,     9,  4253,
      62,  1067,    48,    55,    84,    13,    14,  1159,  1160,    41,
       5,    11,     5,     5,    72,    29,    41,  4310,     3,    55,
      64,     5,     0,  2014,   159,   159,  1178,  4578,     5,     3,
     154,     9,  1188,   104,     5,   191,   192,  1077,   159,   195,
     109,   197,    13,    14,   159,    39,  2538,  2539,    26,    29,
      81,  2543,   929,    39,   159,     5,    30,    31,   165,   129,
       5,   217,   160,    13,    14,     5,    72,    55,     5,  2700,
      62,     5,     5,     5,   111,    76,  1530,   162,   159,  1207,
     181,   140,    78,     5,  2400,    62,  2402,     5,  2580,  2581,
       5,     5,   109,    55,   138,    80,   169,   116,  4314,  4315,
     134,   127,   173,    26,    11,  2790,    72,   159,  1338,   256,
       0,     5,   156,    81,    26,    81,   161,     9,    27,     9,
     261,    33,   302,   119,   907,   109,   102,  1148,  1149,     4,
     154,   114,    56,    40,     9,   114,    26,   109,    55,   159,
      64,   109,   244,  4848,   327,    32,   131,   159,   127,   159,
     159,     5,    26,  1174,   167,    22,   161,   571,   102,    33,
     323,   181,   233,    70,   202,   236,    26,   204,    11,   181,
     233,   181,   181,    33,   399,   159,    72,  2080,   266,   323,
     325,   159,   569,   557,   158,  4736,   160,   574,     4,   298,
      70,   114,   151,     9,     5,  3203,   159,    40,   585,    10,
     442,   310,    21,   181,   409,  1256,   620,    18,    27,   246,
     354,   194,     5,   455,  1254,  4508,   365,   262,   181,  1259,
    1260,  4455,   260,    72,  3232,    36,   335,    70,   453,   246,
    1208,   411,   606,    11,   314,  4379,   381,    11,  3726,   224,
    3728,   329,   616,    11,  1709,  4950,   290,   111,  1713,   334,
    1715,   210,    11,  1718,   141,   376,  1065,   262,  1236,   330,
     127,   298,    40,   297,    72,  1507,    40,   330,  1077,   159,
     453,   194,   569,    81,   246,   327,  1512,   574,   246,   315,
     276,   366,   423,   342,  4494,  4495,   195,   311,   585,   274,
     453,   181,    70,   114,   141,   376,    70,   221,   312,   102,
     244,   403,   387,  1533,  1045,  1747,   453,   320,   287,   323,
     327,   325,  1065,   358,   208,   551,  3906,   102,   376,   453,
    3005,   442,   457,  1363,   309,  1134,    55,   315,   313,   453,
     403,   102,   312,  1373,   455,   554,   554,   554,   554,   554,
     554,  4892,   457,    55,   414,   376,  1800,  1789,   392,   332,
     457,   376,   457,   315,   339,   453,   457,  1361,   410,   200,
    1079,   356,   357,   434,  1105,   601,   602,   381,   362,  3459,
     376,   397,   404,   442,   370,  1116,   362,   457,  3459,   642,
     399,  1134,   453,   368,  1444,   370,  1446,  4096,   389,   365,
    1131,   453,   376,  1835,    26,   550,  1436,   251,   315,  1439,
    1440,   773,   646,  1526,   560,  1703,  4660,   453,   564,   332,
     376,   453,  1500,  1417,   397,   408,  1454,   444,   445,   453,
     457,   457,  2738,   641,   642,   641,   582,  3794,   655,  4840,
     657,   408,   659,   418,  3378,   409,   456,   349,   665,   666,
     667,   452,  1251,  1494,   456,   453,   456,   456,  1673,   449,
    1259,  1260,   655,   689,   657,  1769,   659,  3821,   442,  3606,
     453,   453,   665,  1777,  4054,   686,   444,   445,  1508,   457,
    4686,   455,   640,  1601,   397,   349,   453,  3830,   456,   715,
     376,  3834,   453,  1635,  3738,  1710,  3629,   723,   420,   349,
     726,   727,   728,   907,  1719,   457,   642,  4790,  1251,  3647,
     669,   762,  3882,   453,  3820,   762,   420,   439,   453,  4802,
    1311,   451,  1426,   453,  1311,   455,   453,  1431,   892,   453,
     453,   453,  4112,  1382,  1590,   439,   747,   376,  3294,   903,
    3296,   453,   244,  4767,  3294,   453,  3296,   401,   453,   453,
     457,  2705,   449,  2707,   762,   764,   764,   764,   764,   764,
     764,  4487,   444,   445,   444,   445,   777,     3,     4,     5,
      78,   453,   365,     9,  2094,  2124,   456,   414,   376,   444,
     445,   451,  4782,  1639,  2028,   455,   397,  1643,  4338,  4872,
     365,  3028,   102,  1649,  1650,   159,   315,  1608,  1609,  2961,
    3316,   256,   259,  4737,   365,   156,  2968,  2969,   972,   820,
    2972,   119,   418,   315,   102,   751,  1672,  2979,   835,  3375,
     260,   109,  3700,   140,  3360,  3375,   457,   260,  1746,   162,
    1748,   117,   103,   439,   292,  3569,  1754,   339,   444,   445,
    3557,   256,  1760,  1761,  1762,   137,    20,    34,  4378,  1422,
    2170,     5,  1770,  1771,  2635,  2636,  2637,  1775,   764,   725,
     282,   266,  4140,   729,  2970,  2971,  4144,  4145,  4248,  4147,
     755,   247,   114,   109,  2028,  4255,   444,   445,   446,   447,
     448,   449,   446,   447,   448,   449,   444,   445,   446,   447,
     448,   449,   114,     5,   109,   841,   842,   446,   447,   448,
     449,   102,     5,  4837,  2114,   811,   198,    46,  1575,   256,
      36,  2155,   334,   184,   764,   415,   260,  4199,   764,   764,
     764,   764,   109,    78,   764,  3346,   764,   764,  3210,  3211,
    3212,  3213,    48,   764,  3216,  3217,  3218,  3219,  3220,  3221,
    3222,  3223,  3224,  3225,   764,   764,   764,   369,    78,   371,
      38,    11,   194,     3,  4236,     3,  3673,   457,   246,   376,
     109,    26,   113,   199,   119,  2041,   140,  4249,   276,    22,
     120,   877,   194,    78,   266,    68,   922,   866,   867,  2340,
     130,   266,   339,   181,   100,   221,     3,   266,     5,   119,
    3272,  3273,   118,  4249,   244,   453,   453,   169,   453,   103,
    4550,   334,  4159,   949,   950,  2695,  2649,  1716,  1717,    74,
      70,   451,   376,   160,   119,   455,   323,    82,  1786,     8,
     453,   397,    11,   309,   970,   342,    15,    16,    17,  2010,
      80,   976,    80,   366,  2988,   109,  2354,   176,   453,  1065,
     457,  2995,   181,    32,   273,   110,  4200,    22,  2292,   454,
     201,  1077,   457,    28,  2020,   365,   327,   104,    22,   230,
    1077,  4204,   370,  4593,    28,   399,  4209,   355,  4565,  4212,
     358,  1079,   244,  1079,   127,  1648,  2664,   193,   217,   266,
     184,  1680,   132,   131,  4601,  1111,   160,   104,  4604,  4588,
     397,   179,  4589,   364,   365,  1041,  1042,   251,   455,   391,
    1956,  3981,   251,  1607,   153,     8,   453,  4389,  1134,  1640,
    3981,   309,    15,    16,    17,   313,  4112,   332,  3072,   453,
     185,   276,  1653,  1082,   274,  1084,   173,  1086,   244,  1088,
     277,  1090,  1091,  1092,  1142,   336,   186,  1668,  1097,   251,
      64,   339,   384,  1596,   340,   111,   276,  4084,   251,   323,
     365,  4089,   127,  1161,  1207,   397,   173,    81,   612,   309,
      24,  3895,  1666,   127,   339,   453,   259,    26,   342,   206,
    1679,   276,   457,   247,   207,   397,   224,   264,   457,   633,
      44,    26,   453,  1209,  1192,   435,   233,   274,   113,   236,
     405,  2446,  1218,  3936,  1767,   657,   658,   659,   345,  1207,
     662,   663,   664,   418,   111,   344,  1232,   244,   444,   445,
     672,    22,   328,   202,   138,   370,   233,   154,  1422,   236,
     418,   274,   309,   327,   439,  1251,   274,   164,  1254,  1255,
     280,   403,   156,  1259,  1260,   151,   285,  1254,   453,  4738,
     370,   439,  1259,  1260,   181,  1296,  1297,  1281,  1299,  1296,
    1297,   137,  1299,  4485,   297,   442,   309,   453,   325,   274,
     364,   365,  4419,   122,   451,   370,   453,   454,   455,   376,
     457,   101,   273,   262,  3830,   149,   201,   122,  3834,    88,
    3830,   324,   457,   330,  3834,   251,   339,  1996,  1296,  1297,
    4591,  1299,   206,   358,   309,  3577,   250,   204,   339,   274,
     323,   324,  1313,  1480,   289,   342,  4836,   160,  4451,  2222,
     274,  4841,  3880,   330,   381,  2559,   127,   273,   289,   169,
     368,  2565,   370,   410,   339,   399,   378,   243,   453,  2123,
     244,   195,   218,  3846,   309,  3851,  4256,   190,   339,   246,
     390,  3857,   173,   339,   218,   309,  1363,  4629,   398,   402,
     457,   401,   205,  4510,   161,   164,  1373,  4514,  4515,   262,
     397,  2393,   215,  2193,   339,  4895,   290,  4747,   169,   421,
      64,  2201,  4654,  2203,  1551,   339,  3718,  2403,  1555,  3541,
     141,   318,  2397,   339,   298,  3547,  3548,   434,  3550,    53,
    1567,   298,   346,   378,   244,  1412,  2190,   122,  4654,   124,
     309,   231,   233,  4283,   234,   273,   149,   378,  2321,  2322,
    2323,  2324,  4283,  1358,   264,   109,   457,   434,  2212,  1436,
    2333,    83,  1439,  1440,  4344,  1589,  1452,  4957,   342,  4663,
    4664,  4364,  2190,  4371,  2538,  2539,   421,   101,   453,  2543,
    4280,   348,  2041,   244,  1648,   899,  2240,  3140,  1459,  2367,
     421,   440,   441,   442,  1400,   444,   445,   446,   447,   448,
     449,   457,   124,   274,  1641,   919,   319,   376,   392,  2657,
     309,   339,   320,   274,  1638,   218,  2580,  2581,  2733,   933,
      22,     8,  4322,   397,    11,  2363,    28,  2805,    15,    16,
      17,  1508,  1669,   378,  3354,   137,   376,   274,   309,   330,
     339,   311,  3628,   155,   122,  3459,   124,   149,   309,  2082,
       0,   323,   154,   325,  2370,   258,   332,  3183,   325,   183,
    1426,  1467,  1468,  1469,  1470,  1431,   274,  1553,   339,   147,
     112,   256,   309,   111,   186,  3316,  2392,   440,   441,   442,
    2901,   444,   445,   446,   447,   448,   449,   163,  1712,   365,
     398,  2407,   246,   403,  2410,  2411,   198,   251,  4840,  2415,
    2416,   309,   442,  1767,  1510,  1511,  2422,   231,  4488,   381,
     234,   332,   379,  1519,   139,   455,   218,  4497,   385,   456,
     244,  2034,  3688,  1529,  3690,   127,   274,   457,  1605,   405,
    2121,  2911,    72,   112,    72,   177,   290,   122,  1615,   124,
    1617,    81,   403,    81,   365,   221,  4340,  1624,   418,   273,
     304,  1557,  1558,  1559,  1560,  1632,   258,   182,  1080,   163,
    2450,  1083,  2540,  1085,   266,  1087,   204,  1089,  2484,   439,
     163,  1093,  4866,   251,  2552,  2879,  3128,   453,   256,   122,
    4577,   124,  4575,  4199,   405,   292,   399,   457,  4204,  4199,
     314,   339,   274,  4209,  4204,  2743,  4212,   418,   177,  4209,
    1114,  4599,  4212,   418,   147,   309,  2584,   227,   246,   127,
     313,  1679,   227,  1679,   418,   202,   149,   221,   439,   111,
    4236,   154,  2349,  4616,   439,  4402,  4236,   309,   221,   353,
     381,   313,   453,  4249,    24,   339,   339,   230,   392,  4249,
     453,  4139,   457,   255,  2622,   112,  1652,   149,  2185,  1655,
    1739,   111,   154,   457,    44,  1726,    89,   339,   411,  1665,
     298,   246,  1731,  1731,  1731,  1731,  1731,  1731,  1674,  2182,
    1689,   256,  1691,  1759,  1693,   262,  1695,  2703,  1697,  1756,
    1757,   418,  1701,  2709,  1680,   218,  1763,  1764,  2774,   391,
    2994,  4747,   161,   369,   154,   371,   188,  3055,   302,  2358,
    3058,  4504,  2239,   246,  4498,   383,   329,   327,   251,   101,
     177,  2713,   327,   256,  1791,   393,   218,   451,    89,   395,
     457,   455,   191,   227,   246,   258,   227,   160,   188,   251,
       4,   208,    30,    31,  1738,     9,  4062,  1805,   309,   420,
    1745,   232,   313,  4398,   313,  4243,   264,  4245,   368,  4746,
    3916,  3917,   244,   368,   246,  2358,   258,   190,   439,   453,
    2650,  2420,  4088,   155,  1850,   369,   454,   371,   339,   457,
     339,   137,   205,  4389,   296,   395,   369,  4074,   371,  4389,
     395,   381,   215,   149,   244,   227,   246,  2024,   154,   160,
      88,   395,  2029,   154,   186,   313,  2033,  1803,   418,   418,
     420,   381,   395,   418,   227,   420,  1549,   411,   241,  4031,
     108,  4033,  4034,  4155,   175,  4037,   274,  2420,  2082,   190,
     439,   339,  2059,  3138,  2762,  1568,   327,   260,   274,   311,
    2746,  2642,   198,   453,   205,  4451,  4613,   230,   453,   231,
     383,  4451,   234,   141,   215,   274,     3,   418,   329,  2073,
     393,   309,   218,   440,   441,   442,  2080,   444,   445,   446,
     447,   448,   449,   309,   368,  2102,    23,   368,   439,   420,
     241,   448,  4666,    85,   302,    42,   453,   274,   455,   260,
     309,   339,  3379,  2120,   265,   327,   319,    88,   439,   230,
    3038,   395,   258,   339,   395,   184,    63,  4890,  1975,  3047,
     266,   232,   453,  2791,   327,   333,  1420,   108,   154,  2825,
     339,  2827,   309,   175,   418,  2152,   420,   418,  2647,   420,
      61,    62,  1975,    80,   420,   418,   368,     8,  2816,   175,
      11,   381,  2001,  2001,    15,    16,    17,   365,  2792,    77,
     141,  3245,   339,   439,  4941,   368,   439,  2184,   319,   453,
     411,  2188,   453,   395,  2043,  2041,  2045,   453,    52,    40,
    3252,   329,  1958,  2596,  2041,    46,   399,  3981,   302,  2206,
     323,   324,   395,  2120,   448,   132,   418,   452,   420,   453,
    2217,   455,   457,   411,  2384,  2385,  2386,  1501,  2041,    70,
    4784,  2650,   227,  2230,   369,   418,   371,   420,  4653,   333,
     208,  2238,  1516,   452,   260,  3846,   453,   305,   457,   265,
    3851,   453,  2866,  4629,     9,   454,  3857,  3426,   457,  4629,
    2936,  1535,  2093,  2109,   181,   391,  2942,    13,    14,   186,
     453,   365,  3412,  2551,   332,  2553,  2554,  2184,  4654,    81,
    3166,   451,   453,   453,  4654,   455,  3210,  3211,  3212,  3213,
     260,   327,  3216,  3217,  3218,  3219,  3220,  3221,  3222,  3223,
    3224,  3225,   369,  3355,   371,   453,   457,   365,  1582,  2075,
    2076,   411,   454,  3431,  3432,   457,  4418,   411,  2084,  3243,
    2086,  1595,  3174,  3463,  2090,   409,    52,  3093,  3094,  2999,
      42,  2238,   327,  1607,   454,   176,   453,   457,   455,   227,
     181,  2760,   204,  4325,   305,  1619,   436,   405,  3272,  3273,
     454,   409,   454,   457,   227,   457,  2193,   455,   260,   454,
     418,   163,   457,   280,  2201,   454,  2203,   454,   457,  4923,
     457,   332,   454,   368,   454,   457,   217,   457,   263,  2730,
    2731,   439,   184,   454,   454,   454,   457,   457,   457,  1663,
     376,   263,  1666,  3650,  3458,   453,  3460,  2760,   436,  4538,
     395,  4540,   154,   320,   365,  4544,   454,  4546,  3084,   457,
    2256,   454,   454,   454,   457,   457,   457,   454,  2264,   221,
     457,   262,   260,   418,   454,   420,  2272,   457,  2274,   454,
     263,  4357,   457,  2199,   454,  3111,  3112,   457,  3114,   327,
    3116,  3117,   454,    42,   405,   457,   363,   454,  1779,  4864,
     457,  1782,   454,  3129,   327,   457,   436,   418,   453,  2456,
     204,   446,   454,   265,  4840,   457,   158,  3205,  3376,  3377,
    4840,   454,  3170,   390,  2320,   457,   454,  2474,   439,   457,
     368,   398,  4897,   454,   401,  2482,   457,   454,   453,  2255,
     457,  3167,   453,    52,   451,   368,   453,  2263,   418,  2265,
     420,  3239,  2486,   344,  2350,  2271,     0,   395,  2492,  4283,
    4111,   454,  2358,  2342,  2342,  3653,  3636,   454,   159,   200,
     457,  1795,   395,  4781,   332,  3175,   418,   453,   420,  2307,
     418,  2882,   420,   454,   339,   454,   457,  3024,   457,   454,
     422,  2892,   457,  2380,  2381,   418,  3284,   420,   455,   454,
    2387,  4966,   457,     8,   142,   454,    11,   365,   457,   453,
      15,    16,    17,   454,   309,   453,   457,   369,   454,   371,
     454,   457,  2596,   457,  2420,   454,   181,  2343,   457,   381,
     453,   455,  3001,   454,  3003,    40,   457,   453,   142,   454,
     392,    46,   457,   395,    88,  3357,   437,   405,   260,   440,
     441,   442,   137,   444,   445,   446,   447,   448,   449,   454,
     418,   181,   457,  2450,   149,    70,   309,  4391,  3404,   154,
     454,   260,   454,   457,   137,   457,  3701,  3702,  3703,   454,
     142,   439,   457,  2399,  3150,  2401,   149,   181,  3001,     8,
    3003,   154,    11,   137,  2668,   453,    15,    16,    17,  2633,
     142,    48,  3071,  3577,   454,   149,   260,   457,   454,  3320,
     154,   457,   309,   198,  3015,   159,  3017,  2540,   454,   142,
     164,   457,     8,   167,   154,    11,   170,   227,   216,    15,
      16,    17,   111,   218,   454,   198,   454,   457,   454,   457,
     399,   457,   454,    90,   454,   457,    32,   457,   454,   232,
     260,   457,  2686,   248,   198,   218,   454,   454,  3071,   457,
     457,  2584,  2540,   454,   453,   381,   457,  2714,   115,  3307,
     411,   176,   454,   258,   218,   457,   181,   454,   255,   454,
     457,   266,   457,   454,   131,   329,   457,  2503,   135,  3310,
    3311,  3312,   227,   154,   208,   258,  4832,   202,   203,   454,
     454,   454,   457,   266,   457,   453,  2584,   455,   155,   453,
    2757,   158,   217,    64,   258,  3934,   260,   454,   454,    35,
     457,   457,   266,  2601,   171,   454,   454,   327,   457,   457,
    2627,  2628,  2629,   454,   246,   454,   457,   332,   457,  2617,
     454,   422,   453,   457,   249,  3847,   454,   454,   454,   457,
     457,   457,   260,  2077,  2650,  2633,   454,   262,   369,   457,
     371,  2648,   181,  2650,  3165,  2089,  2689,   369,   368,   371,
     365,   246,   316,  4336,  3876,   454,   454,   454,   457,   457,
     457,   454,    42,   202,   457,  2664,  2664,  2664,  2664,  2664,
    2664,   454,   327,     8,   457,   395,    11,   418,    42,   420,
      15,    16,    17,   274,   251,  2129,   391,   454,  2686,   456,
     405,  2689,   259,   454,   386,   456,   202,  2864,   418,   154,
     420,   365,   767,   418,   769,    40,    77,  3835,   391,  3837,
    2877,    46,   411,   368,  3554,  3533,   411,     8,   293,   344,
      11,   154,   142,   262,   439,   247,   248,   391,   142,   296,
     453,   142,   408,   453,   453,    70,   286,   453,   453,   454,
     395,   456,   142,   422,  2760,    34,  3980,   142,   142,    40,
     457,   415,   142,   417,   418,    46,   262,  4002,  4003,   142,
    4005,  3664,   260,   418,   142,   420,   142,   260,   451,   142,
     142,   454,   455,   154,   142,     8,   260,   142,    11,    70,
     142,   142,    15,    16,    17,   365,   453,   451,    35,  2956,
     454,   455,   456,   216,  2988,   154,   154,   260,   453,    32,
     453,  2995,     5,     5,   453,   453,   154,   453,   453,   453,
     332,   453,   437,  3784,   453,   440,   441,   442,   453,   444,
     445,   446,   447,   448,   449,     5,     5,   453,     5,   453,
    2846,   453,   453,  2769,  4605,  2771,  2772,  2773,   453,  3685,
    2284,   176,   453,   365,   135,   453,   181,  3693,  3694,  3695,
    3696,   453,     5,   453,   419,   453,   453,   453,   271,   453,
     453,   453,   200,  3771,   453,   453,     8,   202,   203,    11,
     453,   453,   457,   457,  2890,    35,    92,   216,    35,   154,
     154,   258,   217,   405,   376,   176,  3706,   256,   339,   376,
     181,   455,   327,   376,   376,   327,   418,   218,    40,   376,
     376,   440,   441,   442,    46,   444,   445,   446,   447,   448,
     449,   442,   376,    81,   249,   327,   142,   439,   260,   260,
     213,   331,   376,  2939,   376,   251,   217,   262,    70,   376,
     398,   453,   260,   260,   440,   441,   442,   368,   444,   445,
     446,   447,   448,   449,   323,  2961,   256,   376,   453,   376,
     174,   453,  2968,  2969,    81,   274,  2972,   457,   181,   142,
     399,  3128,   399,  2979,   103,    52,  2982,   376,   376,   202,
     376,   262,  2988,    52,   376,   376,  3143,   376,   264,  2995,
     368,  2988,    41,   376,   376,  3001,  3140,  3003,  2995,    41,
     376,   327,  4070,   135,   376,   457,   260,   202,   422,   260,
     260,  3168,   376,   202,   202,   453,   376,    35,    24,   344,
     260,  3018,   142,   418,   246,   453,   109,   142,   224,   386,
     256,   410,    35,   154,   399,  3041,   246,  2963,  2472,   262,
      35,   246,   453,   208,   176,   453,   328,    34,   339,   181,
     374,   374,   142,   142,   451,  2489,   376,   451,   399,   399,
     453,   376,   376,   344,  3070,  3071,  2500,   142,   376,   142,
     142,  4155,  3061,  3061,   255,   376,  3912,   159,   250,   414,
    4164,   238,   238,    11,   374,   217,   167,   376,   150,  3600,
    3601,   159,   378,  3090,  3083,  3083,  4376,   453,   174,   198,
     174,   342,  3613,   453,   457,   206,  4330,   453,   261,   454,
    3946,  3947,   437,   457,   453,   440,   441,   442,    35,   444,
     445,   446,   447,   448,   449,   458,   399,   457,   268,    52,
     262,   376,   376,   454,   453,   457,   327,   327,  3280,   399,
     206,   206,   251,   251,   376,   376,   376,   453,   381,   411,
    3294,   329,  3296,  3901,    64,   154,   437,   208,   251,  3150,
      70,   144,   260,   444,   445,   446,   447,   448,   449,    42,
     144,    81,   348,  4846,  4847,   246,     8,   216,  3175,    11,
     216,   216,   323,    15,    16,    17,     0,   457,   368,  4025,
    4026,  3872,  3118,   376,  3120,   259,   309,   260,  3124,   109,
      32,   111,   376,   260,   175,   336,   298,    35,    40,  4444,
     376,   202,   344,   376,    46,   399,   202,   440,   441,   442,
    4455,   444,   445,   446,   447,   448,   449,   202,   399,   202,
     208,  3375,   202,   259,   295,   184,   142,   156,    70,   442,
     442,   154,   154,   411,   256,  3278,   453,   142,  3254,   336,
    3407,   142,  3178,   453,   418,    35,   246,   246,   260,   260,
     208,   172,   154,  3296,   172,    35,   451,   454,   454,   236,
     330,   142,   454,   208,    88,  3459,   436,   436,   188,  3286,
    3287,  3288,  3289,  4119,   260,   154,  4122,  4123,   260,   336,
    3278,   260,   454,   454,   246,  4530,   181,   181,   181,   422,
      23,   165,  4138,  4976,  4977,   437,  3294,   453,  3296,   457,
     159,  3864,   444,   445,   446,   447,   448,   449,   457,   457,
     376,   235,   418,   137,   260,    52,   381,   457,   365,  2763,
     255,   411,   208,   159,  4418,   149,   246,   271,   454,   453,
     154,   251,   454,   454,   176,   159,  2780,   454,   454,   181,
     164,   454,   454,   167,   454,  3512,   170,   279,  3515,   454,
     457,   159,   376,   454,   397,   270,   454,   453,   453,   436,
     202,   203,   415,     0,   453,   453,   226,   415,   405,   260,
     290,    52,   260,   453,   198,   217,   438,   184,   442,   263,
     260,   142,   376,   422,   304,   454,   376,   376,   192,   251,
    4635,   246,   142,   453,   218,   453,   264,   331,  4055,   142,
     376,   142,   216,   331,   144,   331,   184,   249,   376,   218,
    3931,   280,   399,   280,   327,   376,   376,   228,   396,   376,
     262,   376,   228,   265,   376,   228,   376,   376,   376,   327,
    2874,   327,  2876,   376,   258,   376,   260,   327,   260,   376,
     339,   246,   266,  3459,   142,   376,    41,   202,  3615,   202,
     202,    88,  3459,   202,   169,     3,   454,   376,  4692,   454,
      42,  3397,  3398,  3399,  3400,   457,   376,   311,   102,  4535,
     259,    35,   392,  3994,   386,   260,  3492,   142,  4219,  3495,
     454,  3497,   457,   453,  3491,  4226,  4238,   454,   142,  4511,
     154,   376,   316,  2937,  4334,   169,  4512,    62,   452,   452,
     137,   142,   344,   454,   327,   263,   327,   399,  3491,   327,
     399,   336,   149,   140,   140,  4423,   202,   154,  2962,   202,
     202,  4526,   159,  4528,   133,  3541,   451,   164,   159,    11,
     167,  3547,  3548,   170,  3550,   271,   154,   454,   410,   159,
    3556,   365,  3709,   457,   266,   453,     8,   454,   457,    11,
     454,   454,  3559,  3560,  4462,   159,   167,   454,   415,   261,
     316,   198,   439,    79,   154,  4411,   386,   391,    35,   399,
     457,   399,   208,   192,   376,   457,   454,   453,    40,   454,
     453,   218,   452,   454,    46,   368,    52,   142,   453,   386,
     376,   415,   331,   417,   418,   437,   327,   376,   440,   441,
     442,   376,   444,   445,   446,   447,   448,   449,    70,   376,
    3054,   376,   309,   327,   454,   457,   442,   454,   418,   454,
     453,   258,    52,   260,  4702,  4703,   368,   451,  4694,   266,
     454,   455,   456,  3649,   154,   144,    70,   142,   102,  3575,
    4486,  3085,   386,   202,   454,    54,  3645,  3645,   202,   202,
     202,   294,   453,   187,   418,   206,  4355,   453,   453,  4893,
     422,   154,   454,   457,   457,    35,   457,    75,   368,   453,
    3864,   376,   453,   135,   386,   457,  3830,   454,    87,   316,
    3834,   452,   102,   336,   164,  4531,   159,  4250,   202,   202,
      22,   202,    24,   453,   202,   454,    28,  4438,   159,  3706,
     454,    33,    34,    35,   303,    37,    52,  3723,    40,    41,
    3726,    43,  3728,    45,   176,  4535,   454,   416,  4626,   181,
     416,   271,  4956,   457,   454,   453,   205,   454,   365,   453,
    4638,  4294,  4810,   269,   205,  4643,   145,  4645,   367,   267,
     453,  4975,    52,   170,  3188,   454,   454,   454,   442,   256,
     418,   386,   376,   159,   391,   217,    70,   186,   442,     8,
     251,   251,    11,  4284,    52,  3209,    15,    16,    17,   178,
     368,   376,   457,    64,   376,   376,   142,   457,   415,   202,
     417,   418,   453,    32,   161,   159,   399,  3981,   181,   336,
    3234,   453,   399,    35,  3961,   246,   418,   128,   414,    35,
     262,   418,   159,   260,   213,   453,  3973,   154,   189,   263,
     200,   159,   404,  4879,   451,   453,   303,   454,   455,   456,
       8,   453,   352,    11,  3268,   278,   454,    15,    16,    17,
     205,   454,  3830,   417,    81,   260,  3834,   246,   453,   453,
     123,   304,   454,  3859,   454,  3861,   154,   453,   116,   376,
     376,  4873,    35,   453,   251,   184,   453,   453,   190,   191,
     192,   193,   229,   195,   453,   197,   275,   199,   294,   201,
     453,   142,   204,   454,  3893,  3874,  3874,   453,   210,   141,
      35,   213,   344,   454,   264,   217,   324,   219,   324,   386,
     350,   350,   454,    52,    52,    35,   453,   453,   368,   457,
     399,   244,     8,  4057,   313,    11,   315,   453,   317,    15,
      16,    17,   454,   453,   453,   324,   454,   454,   368,   260,
     368,     5,   331,   148,   263,   294,    32,    64,    64,   123,
     339,   403,   418,   418,    40,  3942,   404,    35,   303,   457,
      46,   453,   351,   453,   339,   159,  4535,   368,   301,   154,
     359,   251,   128,   202,   186,   260,   260,  3964,  3965,  3942,
     415,   453,  3969,  3970,    70,  3981,    35,     8,   336,    35,
      11,   263,  4139,   263,  3981,   437,   453,   161,   454,   161,
     454,    52,   444,   445,   446,   447,   448,   449,   453,   323,
     114,     5,   397,   323,   310,   453,    21,    32,   454,    40,
     141,   453,   159,   376,   413,    46,  4022,  4023,  4665,   453,
     457,   457,   294,   262,   202,  4031,   418,  4033,  4034,  4865,
     418,  4037,   350,   350,  1483,   453,   161,   161,   860,    70,
    2305,  1260,   764,   867,  2650,   866,  2164,  2816,  3458,   827,
       8,  2234,  3556,    11,  2986,  4199,  4548,    15,    16,    17,
    4204,  4692,  4879,  4372,  3598,  4209,  4250,  4048,  4212,  4213,
    4376,  4354,  2737,  2438,  4788,  4081,  4249,  4870,  4004,  4720,
     176,  4719,  4819,  2741,   262,   181,  4243,  3646,  4245,  3631,
    3590,  2295,  4236,  4019,  3453,  2295,  2841,  4086,  4086,  4283,
    3614,  4073,  2289,  1554,  4110,  4249,   202,   203,  4881,  4662,
    4294,  3040,  4975,  4956,  4349,  4694,  2994,  2990,  4830,  4296,
    4680,   217,     8,  1543,  4798,    11,    27,  4299,  4484,    15,
      16,    17,  3709,  2015,  4140,  3653,  1117,  2712,  4144,  4145,
    4605,  4147,  1735,  1106,  3980,   176,    32,   631,  4845,  4293,
     181,  3634,  2940,   249,    40,  4959,  1958,  1734,  1734,   742,
      46,  4087,  1959,   602,  1680,  1342,   262,  3875,  4780,   265,
    3604,  2665,  3352,  1306,  1999,  2676,  2671,  1287,  1305,  1237,
    3319,  4773,  3860,  4647,    70,  1998,   217,  3296,  2686,  1308,
    3821,  4452,  4336,  3836,  3294,  1313,  3353,  4629,  4628,  3099,
    1612,   440,   441,   442,  4421,   444,   445,   446,   447,   448,
     449,  3247,  4228,  4776,  4763,  4777,  4204,  2668,  1828,  2601,
    2653,  4209,  2511,  2599,  4212,  1831,    -1,   549,    -1,    -1,
      -1,   262,    -1,   555,    -1,   557,    -1,    -1,   560,    -1,
     562,    -1,   564,    -1,    -1,  4389,    -1,    -1,   344,   571,
    4238,    -1,    -1,   575,    -1,    -1,    -1,    -1,    -1,    -1,
     582,    -1,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,    -1,    -1,    -1,    -1,    -1,  4283,    -1,    -1,
      -1,    -1,    -1,    -1,   606,    -1,  4283,    -1,    -1,   611,
     176,    -1,  4231,    -1,   616,   181,    -1,    -1,   620,    -1,
    4879,    -1,    -1,    -1,   262,    -1,    -1,  4451,    -1,    -1,
      -1,    -1,    -1,   344,    -1,   637,   202,   203,    -1,  4325,
      -1,    -1,    -1,    -1,    -1,  4251,  4252,  4253,    -1,    -1,
      -1,   217,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   437,    -1,    -1,   440,   441,   442,    -1,   444,   445,
     446,   447,   448,   449,    -1,    -1,    -1,    -1,    -1,    -1,
    3794,   457,    -1,   249,   686,    -1,    -1,    -1,    -1,    -1,
    4359,  4359,    -1,    -1,    -1,    -1,   262,   699,    -1,   701,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4386,  4386,   721,
     722,    -1,   724,   725,    -1,    -1,   437,   729,    -1,     8,
      -1,    -1,    11,   444,   445,   446,   447,   448,   449,  4563,
      -1,   743,    -1,    -1,    -1,   747,    -1,    -1,    -1,  4462,
      -1,   753,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    -1,   765,    -1,    -1,    -1,    46,  4481,    -1,
      -1,    -1,    -1,    -1,    -1,   777,    -1,    -1,   344,    -1,
      -1,  4387,     8,  4451,    -1,    11,    -1,    -1,    -1,    -1,
      -1,    70,    -1,    -1,  4462,    -1,    -1,    -1,  4662,    -1,
    3914,    -1,   440,   441,   442,  4629,   444,   445,   446,   447,
     448,   449,    -1,  4481,    40,    -1,    -1,    35,   820,    -1,
      46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4654,  3945,    -1,    -1,   836,    -1,    54,    -1,    -1,   841,
     842,    -1,    -1,    -1,    70,    -1,    -1,    -1,    -1,  4535,
      -1,    -1,  3966,  4539,    -1,    -1,   135,    -1,  4535,    -1,
      -1,    -1,    -1,  4549,   866,   867,    -1,    -1,    -1,    87,
      -1,   437,    -1,    -1,   440,   441,   442,    -1,   444,   445,
     446,   447,   448,   449,    -1,    -1,    -1,    -1,    -1,    -1,
     892,    -1,    -1,    -1,    -1,    -1,    -1,   176,    -1,    -1,
      -1,   903,   181,    -1,    -1,   907,    -1,    -1,    -1,   135,
    4024,  4735,    -1,    -1,    -1,    -1,    -1,  4586,  4586,    -1,
     922,  4527,    -1,  4529,    -1,    -1,    -1,   145,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   217,    -1,
     942,    -1,     8,    -1,  4781,    11,    -1,   949,   950,    -1,
     176,    -1,    -1,    -1,    -1,   181,    -1,    -1,    -1,    -1,
     178,    -1,    -1,    -1,   966,   967,   968,    -1,   970,  4793,
     972,    -1,    -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,
      46,    -1,    -1,   262,    -1,    -1,    -1,    -1,    -1,    -1,
     208,   217,    -1,    -1,    -1,   213,    -1,    -1,    -1,  4113,
      -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,  4694,    -1,
      -1,    -1,  4698,    -1,  4700,    -1,  4840,    -1,  4704,  4705,
      -1,    -1,  4846,  4847,    -1,    -1,    -1,    -1,   246,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   262,  1039,    -1,  1041,
    1042,    -1,    -1,    -1,    -1,  4159,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4660,    -1,    -1,   275,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   344,    -1,  1069,    -1,   135,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   313,    -1,  1099,  1100,   317,
      -1,    -1,  1104,    -1,  1106,    -1,   324,    -1,    -1,    -1,
     176,    -1,    -1,   331,    -1,   181,    -1,    -1,   344,    -1,
      -1,   339,    -1,  4729,    -1,  1127,    -1,    -1,  1130,    -1,
      -1,  1133,    -1,   351,    -1,    -1,    -1,    -1,    -1,    -1,
    4964,   359,    -1,    -1,  1146,    -1,    -1,    -1,    -1,    -1,
      -1,   217,  4976,  4977,    -1,    -1,    -1,    -1,   437,    -1,
      -1,   379,  4831,  4831,    -1,   444,   445,   446,   447,   448,
     449,    -1,    -1,  1175,    -1,    -1,  4845,  4845,  4845,  4845,
    4845,  4845,    -1,    -1,    -1,    -1,  4899,    -1,    -1,    -1,
      -1,    -1,    -1,  4879,    -1,   413,   262,  4803,    -1,   417,
     418,  1203,  1204,  1205,    -1,  1207,    -1,  4893,    -1,    -1,
      -1,   437,    -1,    -1,    25,    -1,  4893,    -1,   444,   445,
     446,   447,   448,   449,    -1,  1227,    -1,    -1,    -1,    -1,
    4899,  4899,  4899,  4899,  4899,  4899,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,     8,    -1,    58,    11,    -1,
      -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,
      71,    -1,    -1,  1265,    -1,    -1,  1268,    -1,  4874,    32,
    4956,    -1,    35,    -1,    85,    -1,    -1,    40,   344,  4956,
      -1,    -1,    -1,    46,    -1,    -1,    -1,    -1,    -1,  4975,
    4959,  4959,  4959,  4959,  4959,  4959,  1298,    -1,  4975,    -1,
    1302,  1303,    -1,    -1,    -1,  4419,    -1,    70,    -1,    -1,
      -1,  1313,  1314,  1315,   125,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   136,    -1,    25,    -1,    -1,
      -1,    -1,    -1,  1335,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4457,    -1,   156,    -1,    -1,    -1,    -1,
     161,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1370,    -1,
      -1,   437,    -1,  1375,    72,    -1,    -1,    -1,   444,   445,
     446,   447,   448,   449,    -1,    -1,  1388,  1389,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1397,  4510,    -1,  1400,    -1,
    4514,  4515,    -1,    -1,    -1,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,    -1,    -1,    -1,    -1,   181,   230,
    1422,    -1,  1424,    -1,    -1,    -1,    -1,   125,    -1,    -1,
    1432,    -1,    -1,  1435,    -1,    -1,    -1,    -1,   136,   202,
     203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   262,    -1,    -1,   217,    -1,    -1,  1459,   156,    -1,
      -1,    -1,    -1,   161,    -1,  1467,  1468,  1469,  1470,  1471,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1482,    -1,   293,  1485,    -1,    -1,   249,    -1,    -1,    -1,
      -1,    -1,  4606,    -1,  1496,    -1,  1498,    -1,    -1,   262,
      -1,    -1,   265,    -1,    -1,    -1,    -1,    -1,  1510,  1511,
      -1,   209,    -1,    -1,    -1,    -1,   327,  1519,    -1,    -1,
      -1,    -1,   333,    -1,    -1,   336,    -1,  1529,    -1,    -1,
      -1,    -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1548,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   365,  1557,  1558,  1559,  1560,    -1,
      -1,   372,    -1,    -1,    -1,    -1,    -1,  1569,   379,    -1,
      -1,    -1,    -1,    -1,  1576,   386,    -1,  1579,    -1,    -1,
      -1,   344,    -1,    -1,    -1,    -1,    -1,  1589,    -1,     8,
      -1,    -1,    11,    -1,  1596,   293,    15,    16,    17,  1601,
     411,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,   320,    -1,    -1,   201,    -1,    46,    -1,   327,
      -1,    -1,    -1,    -1,   210,   333,  1638,    -1,    -1,    -1,
      -1,    -1,    -1,   219,    -1,    -1,  1648,    -1,    -1,    -1,
    1652,    70,    -1,  1655,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1665,    -1,    -1,    -1,   365,    -1,    -1,
     368,  1673,  1674,    -1,   437,    -1,  1678,   440,   441,   442,
      -1,   444,   445,   446,   447,   448,   449,    -1,   386,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1703,    -1,    -1,    -1,    -1,    -1,    -1,  1710,    -1,
    1712,    -1,    -1,   411,  1716,  1717,    -1,  1719,    -1,    -1,
      -1,    -1,    -1,    -1,  1726,    -1,    -1,    -1,    -1,    -1,
      -1,  1733,    -1,    -1,    -1,    -1,  1738,  1739,    -1,    -1,
    1742,    -1,    -1,    -1,  1746,    -1,  1748,    -1,    -1,    -1,
      -1,  1753,  1754,    -1,    -1,    -1,    -1,   176,  1760,  1761,
    1762,    -1,   181,    -1,  1766,  1767,  1768,  1769,  1770,  1771,
    1772,  1773,    -1,  1775,    -1,  1777,  1778,    -1,    -1,  1781,
      -1,    -1,    -1,   202,   203,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1796,  1797,  1798,  1799,   217,    -1,
      -1,  1803,  1804,    -1,    -1,    -1,  1808,    -1,    -1,  1811,
      -1,    -1,  1814,  1815,  1816,  1817,  1818,  1819,  1820,  1821,
    1822,    -1,  1824,    -1,    -1,    -1,    -1,    -1,  1830,  1831,
     249,  1833,    -1,    -1,    22,    -1,    -1,    -1,  1840,    -1,
      28,    -1,    -1,   262,    -1,    -1,   265,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      68,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,    -1,   117,
      -1,    20,   120,    -1,    -1,    -1,    25,    -1,     8,   127,
      -1,    11,   130,    -1,    -1,    15,    16,    17,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1957,    -1,  1959,    -1,  1961,
      -1,    -1,    32,    -1,    -1,    -1,    -1,   155,    -1,    58,
      40,    -1,    -1,   549,    -1,    -1,    46,    -1,    -1,   555,
      -1,    -1,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    81,    -1,  1996,    -1,    85,    -1,   186,    -1,
      70,  2003,    -1,  2005,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   103,    -1,    -1,    -1,   437,    -1,
      -1,   440,   441,   442,    -1,   444,   445,   446,   447,   448,
     449,    -1,  2034,    -1,    -1,   454,   125,    -1,    -1,    -1,
      -1,  2043,    -1,  2045,    -1,    -1,    -1,   136,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   144,   244,    -1,   246,    -1,
    2062,    -1,    -1,    -1,    -1,    -1,    -1,   156,   256,    -1,
      -1,  2073,   161,  2075,  2076,    -1,   264,    -1,  2080,    -1,
    2082,    -1,  2084,    -1,  2086,    -1,   274,    -1,  2090,    -1,
      -1,  2093,    -1,    -1,    -1,   184,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,    -1,    -1,    -1,
      -1,   181,  2114,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     209,   309,  2124,   699,   312,   313,    -1,    -1,    -1,    -1,
    2132,    -1,   202,   203,    -1,    -1,    -1,  2139,    -1,    -1,
      -1,   230,    -1,    -1,    -1,    -1,  2148,   217,   724,    -1,
      -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2168,   743,    -1,    -1,
      -1,  2173,  2174,   262,    -1,    -1,    -1,    -1,    -1,   249,
    2182,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   765,
      -1,    35,   262,    -1,   283,   265,    -1,  2199,    -1,    -1,
      -1,    -1,    -1,    -1,   293,    -1,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,   402,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2226,    -1,  2228,  2229,    -1,    -1,
      -1,   320,    -1,    -1,    -1,    -1,   325,    -1,   327,    -1,
      -1,    -1,    -1,    87,   333,    -1,    -1,   336,    -1,    -1,
      -1,    -1,    -1,  2255,    -1,    -1,    -1,    -1,    -1,    -1,
     836,  2263,    -1,  2265,    -1,    -1,    -1,    -1,    -1,  2271,
      -1,    -1,    -1,    -1,   344,    -1,   365,    -1,    -1,   368,
      -1,  2283,    -1,   372,    -1,    -1,    -1,    -1,    -1,    -1,
     379,    -1,   381,    -1,    -1,  2297,    -1,   386,  2300,    -1,
    2302,   145,    -1,  2305,    -1,    -1,  2308,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   411,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2334,    -1,   178,    -1,    -1,    -1,    -1,    -1,
      -1,  2343,  2344,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,
      -1,    -1,    -1,    -1,   208,  2367,   942,   437,    -1,   213,
     440,   441,   442,    32,   444,   445,   446,   447,   448,   449,
    2382,    40,    -1,    -1,   454,    -1,    -1,    46,    -1,    -1,
     966,   967,   968,    -1,    -1,  2397,    -1,  2399,  2400,  2401,
    2402,    -1,   246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2425,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   275,    -1,    -1,    -1,    -1,  2438,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   313,
      -1,    -1,    -1,   317,  2476,    -1,    -1,    -1,    -1,    -1,
     324,    -1,    -1,    -1,  2486,    -1,    -1,   331,    -1,    -1,
    2492,    -1,    -1,    -1,    -1,   339,    -1,    -1,    -1,    -1,
      -1,  2503,    -1,    -1,    -1,    -1,    -1,   351,  2510,    -1,
      -1,    -1,    -1,  2515,    -1,   359,    -1,   176,    -1,    -1,
      -1,    -1,   181,    -1,    22,    -1,    -1,    -1,  1104,    -1,
      28,    -1,    -1,    -1,    -1,   379,  2538,  2539,  2540,    -1,
      -1,  2543,    -1,   202,   203,    -1,    -1,    -1,    -1,  2551,
    2552,  2553,  2554,    -1,  1130,    -1,    -1,    -1,   217,    -1,
      -1,    -1,  2564,    -1,    -1,  2567,    -1,  2569,    -1,   413,
      68,    -1,    -1,   417,    -1,    -1,    -1,    -1,  2580,  2581,
      -1,    -1,  2584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     249,    -1,    -1,    -1,  2596,    -1,  2598,    -1,  2600,    -1,
    2602,    -1,    -1,   262,    -1,    -1,   265,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   117,
    2622,    -1,   120,    -1,  2626,    -1,    -1,    -1,    -1,   127,
      -1,  2633,   130,  2635,  2636,  2637,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2653,    -1,    -1,    -1,    -1,    -1,   155,    -1,    -1,
      -1,    -1,    -1,  2665,    -1,    -1,    -1,    -1,  2670,    -1,
      -1,    -1,    -1,    -1,  2676,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2686,   344,     0,  2689,   186,  1265,
    2692,    -1,  2694,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    28,    -1,    30,    31,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    45,    -1,    -1,  2736,    -1,  2738,    -1,  1314,    -1,
      -1,  2743,    -1,    -1,    -1,    -1,   244,    -1,   246,    -1,
      -1,    65,    -1,    67,    68,    -1,    -1,    -1,   256,    73,
      -1,    75,    -1,    -1,    -1,    -1,   264,  2769,    -1,  2771,
    2772,  2773,    86,    -1,    88,    -1,   274,    -1,   437,    -1,
      -1,   440,   441,   442,    -1,   444,   445,   446,   447,   448,
     449,   105,    -1,    -1,   108,   454,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   121,    -1,   123,
      -1,   309,  1388,   127,   312,   313,    -1,    -1,    -1,   133,
      -1,  1397,    -1,    -1,    -1,    -1,    -1,   141,    -1,   143,
      -1,    -1,    -1,    -1,    -1,   149,    -1,    -1,    -1,    -1,
      -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,  1424,    -1,
     164,    -1,    -1,    -1,    -1,    -1,  1432,    -1,    -1,  1435,
      -1,    -1,    -1,    -1,    -1,    -1,   180,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2880,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,  1471,    15,    16,    17,    -1,
      -1,    -1,    -1,    -1,   402,   219,   220,    -1,    -1,  1485,
      -1,   225,    -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,  1498,   237,    -1,    -1,    -1,    46,    -1,    -1,
      -1,    -1,    -1,    -1,   248,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2963,    -1,    -1,    -1,    -1,    -1,    -1,  2970,  2971,
      -1,    -1,  1548,    -1,   288,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   300,    -1,    -1,    -1,
      -1,   305,   306,  1569,   308,    -1,    -1,    -1,    -1,   313,
    1576,    -1,    -1,    -1,   318,  3007,  3008,   321,    -1,    -1,
      -1,    -1,   326,    -1,    -1,    -1,    -1,   331,   332,    -1,
      -1,  3023,    -1,    -1,    -1,   339,    -1,    -1,    -1,   343,
      -1,    -1,    -1,    -1,    -1,    -1,  3038,  3039,    -1,   353,
      -1,    -1,    -1,    -1,    -1,  3047,  3048,  3049,    -1,    -1,
      -1,   365,    -1,    -1,    -1,    -1,    -1,   176,    -1,    -1,
      -1,    -1,   181,  3065,    -1,    -1,    -1,    -1,    -1,    -1,
     384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     394,    -1,    -1,   202,   203,    -1,   400,    -1,    -1,    -1,
      -1,   405,    -1,    -1,    -1,    -1,    -1,    -1,   217,    -1,
      -1,    -1,  1678,    -1,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3118,    -1,  3120,    -1,
      -1,    -1,  3124,    -1,    -1,   439,    -1,    -1,    -1,    -1,
     249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3140,   453,
    1716,  1717,   456,   262,    -1,    -1,   265,    -1,  3150,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1733,    -1,    13,
      -1,    -1,    -1,    -1,  3166,    19,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    29,  3178,    -1,    -1,    -1,
      -1,    -1,    -1,  3185,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3194,    -1,    48,    49,    -1,    -1,  3200,    -1,
    3202,    -1,    -1,  3205,    -1,    -1,    -1,    -1,  3210,  3211,
    3212,  3213,    -1,    -1,  3216,  3217,  3218,  3219,  3220,  3221,
    3222,  3223,  3224,  3225,    -1,   344,    22,  3229,  3230,    -1,
      -1,     8,    28,    -1,    11,    -1,    -1,  3239,    15,    16,
      17,  3243,    -1,    -1,    -1,  3247,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3255,  1830,    32,  3258,    -1,  3260,    -1,
      -1,    -1,    -1,    40,  1840,    -1,    -1,  3269,    -1,    46,
    3272,  3273,    68,    -1,    -1,  3277,  3278,    -1,    -1,    -1,
    3282,    -1,  3284,    -1,    -1,    -1,    -1,    -1,    -1,  3291,
    3292,  3293,  3294,    70,  3296,  3297,    -1,    -1,    -1,  3301,
    3302,    -1,    -1,    22,    -1,    -1,  3308,    -1,    -1,    28,
      -1,    -1,  3314,  3315,  3316,    -1,    -1,    -1,   437,    -1,
      -1,   440,   441,   442,   120,   444,   445,   446,   447,   448,
     449,   127,    -1,    -1,   130,   454,    -1,    -1,    -1,  3341,
      -1,    -1,    -1,   197,    -1,    -1,    -1,    -1,    -1,    68,
    3352,   205,  3354,    -1,   208,   209,    -1,   211,    -1,   155,
     214,    -1,   216,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3375,  3376,  3377,    -1,  3379,    -1,    -1,
      -1,  1957,    -1,  1959,    -1,    -1,    -1,    -1,    -1,    -1,
     186,    -1,    -1,    -1,    -1,  3397,  3398,  3399,  3400,   176,
      -1,   120,    -1,    -1,   181,    -1,    -1,    -1,   127,    -1,
      -1,   130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1996,    -1,    -1,    -1,  3426,   202,   203,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   155,    -1,  3440,    -1,
     217,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,
     246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     256,    -1,    -1,    -1,    -1,    -1,    -1,   186,   264,    -1,
      -1,    -1,   249,    -1,    -1,    -1,    -1,    -1,   274,    -1,
      -1,    -1,    -1,    -1,    -1,   262,    -1,    -1,   265,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,
      -1,    -1,    -1,    15,    16,    17,   312,   313,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   244,    -1,   246,  3530,    -1,
      32,    -1,    -1,    -1,    -1,    -1,    -1,   256,    40,    -1,
      -1,    -1,    -1,   339,    46,   264,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   274,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,    70,    -1,
      -1,  3573,  2148,  3575,    -1,  3577,    -1,    -1,    -1,    -1,
      -1,  3583,    -1,    -1,    -1,    -1,    -1,  3589,    -1,    -1,
     309,    -1,  2168,   312,   313,    -1,  3598,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   402,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3618,    -1,    -1,    -1,
     339,    -1,    -1,    -1,    -1,    -1,  3628,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3636,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3646,    -1,    -1,    -1,  3650,    -1,
      -1,    -1,  3654,  3655,    -1,    -1,    -1,    -1,    -1,    -1,
     437,    -1,    -1,   440,   441,   442,    -1,   444,   445,   446,
     447,   448,   449,    -1,   176,    -1,    -1,   454,    -1,   181,
      -1,    -1,    -1,   402,    -1,    -1,  3688,    -1,  3690,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3700,    -1,
     202,   203,    -1,    -1,   558,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   566,    -1,    -1,   217,    -1,    -1,    -1,   573,
      -1,    -1,   576,   577,    -1,    -1,  2302,   581,  3730,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   592,  3741,
      -1,    -1,    -1,    35,    -1,    -1,    -1,   249,    -1,    -1,
      -1,    -1,    -1,   607,    -1,    -1,    -1,    -1,    -1,    -1,
     262,    -1,    54,   265,    -1,    -1,    -1,    -1,   622,  3771,
     624,    -1,    -1,   627,    -1,   629,    -1,    -1,   632,  3781,
    3782,    -1,    -1,    -1,    -1,    -1,  3788,  3789,    -1,    -1,
      -1,  3793,    -1,    -1,    -1,    87,  3798,    -1,    -1,  3801,
    3802,    -1,    -1,    -1,  3806,  3807,    -1,    -1,    -1,    -1,
    3812,  3813,  3814,  3815,  3816,    -1,    -1,    -1,  3820,  3821,
      -1,  3823,    -1,    -1,  3826,    -1,    -1,    -1,  3830,    -1,
      -1,    -1,  3834,    -1,    -1,    -1,    -1,    -1,  3840,    -1,
      -1,    -1,   344,    -1,  3846,    -1,   700,    -1,    -1,  3851,
      -1,    -1,    -1,   145,    -1,  3857,    -1,    -1,    -1,    -1,
      -1,    -1,  3864,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3872,    -1,    -1,  3875,    -1,    -1,    -1,    -1,  3880,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   178,    -1,    -1,    -1,
      -1,  3893,    -1,    -1,  3896,    -1,    -1,    -1,    -1,    -1,
    2476,   755,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3916,  3917,   208,    -1,    -1,    -1,
      -1,   213,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3934,    -1,    -1,   437,    -1,    -1,   440,   441,
     442,  3943,   444,   445,   446,   447,   448,   449,    -1,    -1,
      -1,    -1,   454,    -1,   246,    -1,    -1,    -1,    -1,    -1,
       8,   815,    -1,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3984,   275,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,    46,    -1,
      -1,    -1,  4004,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4019,    -1,    -1,
      -1,   313,    70,    -1,    -1,   317,   880,    -1,    -1,    -1,
      -1,    22,   324,    -1,    -1,    -1,    -1,    28,    -1,   331,
      -1,    -1,   896,    -1,  4046,    -1,    54,   339,    -1,    -1,
    2626,    -1,    -1,    -1,   908,  4057,   910,    -1,    -1,   351,
    4062,    -1,    -1,    -1,   918,    -1,    -1,   359,  4070,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   930,    68,    -1,    87,
      -1,   935,    -1,    -1,   938,  4087,  4088,   379,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,   117,
      15,    16,    17,    -1,  4116,    -1,    -1,    -1,    -1,   973,
      -1,   413,    -1,    -1,    -1,   417,    -1,    32,   176,   120,
      -1,    -1,    -1,   181,    -1,    40,   127,   145,    -1,   130,
      -1,    46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4155,   202,   203,    -1,    -1,    -1,    -1,
      -1,    -1,  4164,    -1,   155,    70,    -1,    -1,     8,   217,
     178,    11,    -1,    -1,    -1,    15,    16,    17,    -1,  4181,
    4182,    -1,    -1,  4185,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    32,    -1,    -1,   186,    -1,  4199,  4200,    -1,
      40,   249,  4204,    -1,    -1,   213,    46,  4209,    -1,    -1,
    4212,  4213,    -1,  4215,   262,  4217,    -1,   265,  4220,  4221,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      70,    -1,    -1,    -1,  4236,    -1,    -1,    -1,   246,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4249,  4250,  4251,
    4252,  4253,    -1,   244,  1108,   246,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   256,   274,   275,    -1,    -1,
      -1,   176,    -1,   264,    -1,    -1,   181,    -1,    -1,    -1,
      -1,    -1,    -1,   274,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4293,  4294,    -1,    -1,    -1,   344,   202,   203,    -1,
      -1,   309,    -1,    -1,  2880,   313,    -1,    -1,    -1,   317,
      -1,    -1,   217,    -1,    -1,    -1,   324,    -1,   309,    -1,
      -1,   312,   313,   331,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   339,    22,    -1,  4336,    -1,   176,  4339,    28,    -1,
      -1,   181,    -1,   351,   249,    -1,    -1,  4349,   339,    -1,
      -1,   359,    -1,  4355,    -1,  4357,    -1,   262,    -1,    -1,
     265,  4363,   202,   203,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4376,    -1,    -1,   217,    68,    -1,
      -1,    -1,    -1,    -1,    -1,  4387,  4388,  4389,    -1,   437,
      -1,    -1,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,    -1,    -1,    -1,   413,   454,    -1,    -1,   249,
      -1,   402,    -1,    -1,    -1,    -1,  4418,    -1,    -1,  4421,
      -1,  4423,   262,    -1,    -1,   265,    -1,    -1,    -1,    -1,
     120,  3007,  3008,  1287,  1288,    -1,    -1,   127,    -1,   344,
     130,    -1,    -1,    -1,    -1,  4447,    -1,  3023,    -1,  4451,
      -1,    -1,    22,  4455,    -1,    -1,    -1,    -1,    28,    -1,
    4462,    -1,    -1,  3039,    -1,   155,    -1,    -1,    -1,  4471,
      -1,    -1,  3048,  3049,    -1,    -1,    -1,    -1,    -1,  4481,
      -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,  3065,
      15,    16,    17,    -1,  4496,    -1,   186,    -1,    68,    -1,
      -1,    -1,    -1,    -1,   344,  1359,    -1,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    -1,  4519,    -1,    -1,
      -1,    46,    -1,    -1,  4526,  4527,  4528,  4529,    -1,    -1,
      -1,    -1,   437,    -1,    -1,   440,   441,   442,    -1,   444,
     445,   446,   447,   448,   449,    70,    -1,    -1,    -1,   454,
     120,    -1,    -1,    -1,   244,     8,   246,   127,    11,    -1,
     130,  4563,    15,    16,    17,    -1,   256,    -1,    -1,  1423,
      -1,    -1,    -1,    -1,   264,    -1,    -1,  4579,    -1,    32,
      -1,    -1,  4584,    -1,   274,   155,    -1,    40,    -1,    -1,
    3166,    -1,    -1,    46,    -1,    -1,    -1,   437,    -1,    -1,
     440,   441,   442,    -1,   444,   445,   446,   447,   448,   449,
      -1,    -1,    -1,    -1,   454,    -1,   186,    70,    -1,   309,
      -1,    -1,   312,   313,  4626,    -1,    -1,  4629,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4638,    -1,    -1,    -1,
      -1,  4643,    -1,  4645,    -1,  4647,    -1,    22,    -1,   339,
      -1,   176,  4654,    28,    -1,    -1,   181,    -1,  4660,    -1,
    4662,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4671,
      -1,    -1,    -1,    -1,   244,    -1,   246,   202,   203,    -1,
      -1,    -1,    -1,    -1,    -1,  1539,   256,    -1,    -1,    -1,
      -1,    -1,   217,    68,   264,    -1,    -1,    -1,    -1,    -1,
    4702,  4703,    -1,    -1,   274,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   402,   612,    -1,  3291,  3292,  3293,    -1,    -1,
      -1,    -1,    -1,   176,   249,    -1,    -1,  4729,   181,    -1,
      -1,    -1,    -1,  4735,   633,    -1,    -1,   262,    -1,   309,
     265,    -1,   312,   313,    -1,   120,    -1,    -1,    -1,   202,
     203,    -1,   127,    -1,    -1,   130,    -1,    -1,    -1,    -1,
    4762,  4763,    -1,    -1,   217,  4767,    -1,    -1,    -1,   339,
      -1,  4773,    -1,    -1,  4776,    -1,    -1,    -1,  4780,    -1,
     155,    -1,    -1,  1637,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4793,    -1,    -1,    -1,    -1,   249,  1651,    -1,    -1,
    1654,  4803,  1656,    -1,  1658,    -1,    -1,    -1,  4810,   262,
    1664,   186,   265,    -1,    -1,    -1,    -1,    -1,    -1,   344,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4832,    -1,   402,    -1,    -1,    -1,    -1,    -1,  4840,    -1,
      -1,    -1,    -1,    -1,  4846,  4847,  4848,    22,    -1,    -1,
      -1,    -1,    -1,    28,    -1,  1709,    -1,    -1,    -1,  1713,
      -1,  1715,    -1,    -1,  1718,  4867,    -1,    -1,    -1,   244,
      -1,   246,  4874,    -1,    -1,    -1,    -1,    -1,    53,    -1,
      -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   264,
      -1,   344,    -1,    68,    -1,    -1,    -1,    -1,    -1,   274,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   437,    -1,    -1,   440,   441,   442,    -1,   444,
     445,   446,   447,   448,   449,    -1,   101,    -1,    -1,   454,
      -1,    -1,    -1,    -1,   309,    -1,    -1,   312,   313,    -1,
      -1,    -1,    -1,    -1,    -1,   120,    -1,    -1,  4950,  4951,
      -1,    -1,   127,    -1,    -1,   130,    -1,    -1,    -1,    -1,
      -1,    -1,  4964,    -1,   339,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4976,  4977,    -1,    -1,    -1,    -1,
     155,    -1,    -1,    -1,   437,    -1,    -1,   440,   441,   442,
      -1,   444,   445,   446,   447,   448,   449,  3573,    -1,    -1,
     899,   454,    -1,    -1,    -1,    -1,    -1,  3583,   183,    -1,
      -1,   186,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     919,    -1,    -1,    -1,    -1,    -1,    -1,   402,    -1,    -1,
      -1,    -1,    -1,    -1,   933,    -1,    -1,    -1,    -1,    -1,
       8,    -1,  3618,    11,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,   234,
      -1,    -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,   244,
    3646,   246,    40,    -1,    -1,    -1,    -1,    -1,    46,    -1,
      -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   264,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,   273,   274,
      11,    -1,    70,    -1,    15,    16,    17,    -1,    -1,    -1,
      -1,  1010,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    32,    -1,    -1,  3700,    -1,    -1,    -1,    -1,    40,
      -1,    -1,    -1,    -1,   309,    46,    -1,   312,   313,   314,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,
      -1,    -1,    -1,    -1,   339,    -1,    -1,    -1,    -1,    -1,
      -1,  2025,  2026,    -1,    -1,    -1,  2030,  2031,   353,    -1,
      -1,  2035,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2049,    -1,    -1,    -1,    -1,
      -1,    -1,  2056,    -1,    -1,    -1,  2060,  2061,   176,    -1,
    2064,  2065,    -1,   181,    -1,  1114,    -1,  2071,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   402,    -1,  2083,
      -1,  2085,    -1,    -1,   202,   203,    -1,  3813,  3814,  3815,
    3816,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   217,
    2104,    -1,    -1,    -1,    -1,  2109,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,    -1,    -1,  2122,    -1,
     181,    -1,    -1,    -1,    -1,    -1,    -1,  2131,    -1,  2133,
      -1,   249,  2136,  2137,  2138,    -1,    -1,    -1,    -1,  2143,
    2144,   202,   203,    -1,   262,    -1,    -1,   265,    -1,  2153,
      -1,    -1,    -1,    -1,  2158,    -1,   217,    -1,    -1,  2163,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    22,    -1,    -1,    -1,    -1,    -1,
      28,    -1,    -1,    -1,    -1,  2189,    -1,    -1,   249,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2200,    -1,  2202,    -1,
      -1,   262,    -1,  2207,   265,  1254,    -1,  2211,    -1,  2213,
    2214,  2215,  2216,    -1,  2218,    -1,    -1,    -1,    -1,    -1,
      68,    -1,    -1,    -1,    -1,    -1,   344,  2231,  2232,  2233,
      -1,    -1,    -1,    -1,    -1,    -1,     8,  2241,  2242,    11,
      -1,    -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,
      32,    15,    16,    17,    -1,    -1,    -1,    -1,    40,  1318,
      -1,    -1,   120,   612,    46,    -1,    -1,    -1,    32,   127,
      -1,    -1,   130,   344,    -1,    -1,    40,    -1,    -1,  2293,
      -1,    -1,    46,    -1,   633,    -1,    -1,    -1,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    22,    -1,   155,    -1,    -1,
      -1,    28,    -1,    -1,    -1,    -1,    70,    -1,    -1,   437,
      -1,    -1,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,    -1,    -1,  1383,    -1,   454,    -1,   186,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    68,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1420,    -1,    -1,    -1,    -1,   437,    -1,    -1,   440,
     441,   442,    -1,   444,   445,   446,   447,   448,   449,    -1,
    4116,    -1,    -1,   454,    -1,    -1,   244,    -1,   246,    -1,
      -1,    -1,    -1,   120,   176,    -1,    -1,    -1,   256,   181,
     127,    -1,    -1,   130,    -1,    -1,   264,    -1,    -1,    -1,
      -1,    -1,   176,    -1,    -1,    -1,   274,   181,    -1,    -1,
     202,   203,    -1,    -1,    -1,    -1,    -1,    -1,   155,    -1,
      -1,    -1,  2446,    -1,    -1,   217,    -1,    -1,   202,   203,
      -1,    -1,  1501,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   309,    -1,   217,   312,   313,    -1,  1516,    -1,   186,
      -1,    -1,    -1,  2477,    -1,  1524,    -1,   249,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1535,    -1,    -1,    -1,
     262,   339,    -1,   265,    -1,   249,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   262,    -1,
      -1,   265,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,   246,
      -1,    -1,    -1,  1582,    -1,    -1,    -1,    -1,    -1,   256,
      -1,    -1,    -1,    -1,    -1,    -1,  1595,   264,    -1,    -1,
      -1,    -1,    -1,    -1,   402,    -1,    -1,   274,  1607,    -1,
     899,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1619,    -1,   344,    -1,     8,    -1,    -1,    11,    -1,    -1,
     919,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,
     344,    -1,   309,    -1,   933,   312,   313,    -1,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,
      -1,    -1,    46,  4339,  1663,    -1,    -1,  1666,    -1,    -1,
      -1,    -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,  4355,
      -1,    -1,    -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2663,
      -1,    -1,  4388,    -1,    -1,   437,    -1,    -1,   440,   441,
     442,  1010,   444,   445,   446,   447,   448,   449,    -1,    -1,
      -1,    -1,   454,   437,    -1,   402,   440,   441,   442,    -1,
     444,   445,   446,   447,   448,   449,    -1,    -1,    -1,    -1,
     454,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2715,  2716,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,    15,    16,    17,  2733,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,    32,    -1,    -1,  1795,   181,    -1,    -1,
      -1,    40,    -1,    -1,  2758,    -1,    -1,    46,    -1,    -1,
      -1,    -1,    -1,  2767,    -1,    -1,    -1,    -1,   202,   203,
    4496,    -1,    -1,    -1,    -1,  1114,    -1,    -1,    -1,  2783,
    2784,    70,    -1,   217,  2788,    -1,    -1,    -1,    -1,  2793,
    2794,  2795,    -1,  2797,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2818,   249,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2828,  2829,  2830,  2831,   262,    -1,
      -1,   265,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4579,    22,    -1,    -1,    -1,    -1,    -1,
      28,  2865,    -1,    -1,  2868,  2869,  2870,    -1,    -1,    -1,
       8,    -1,    -1,    11,  2878,    -1,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,    -1,    -1,
      -1,    -1,   181,    -1,    32,    -1,    -1,    -1,    -1,    -1,
      68,    -1,    40,    -1,    -1,    -1,    -1,    -1,    46,     8,
     344,    -1,    11,   202,   203,    -1,    15,    16,    17,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   217,    -1,
      -1,    -1,    70,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    -1,    -1,    -1,  2949,    -1,    46,    -1,    -1,
      -1,    -1,   120,  2957,    -1,    -1,    -1,    -1,    -1,   127,
     249,  2010,   130,    -1,    -1,  2014,  2015,    -1,    -1,    -1,
      -1,    70,  2976,   262,    -1,    -1,   265,    -1,    -1,  1318,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3002,    -1,
      -1,    -1,    -1,   437,    -1,    -1,   440,   441,   442,    -1,
     444,   445,   446,   447,   448,   449,    -1,    -1,   186,    -1,
     454,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2077,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,    -1,
    2089,    -1,  3046,   181,  1383,    -1,  3050,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   202,   203,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3079,   244,   176,   246,   217,
    2129,  1420,   181,    -1,    -1,    -1,    -1,    -1,   256,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   264,    -1,    -1,    -1,
      -1,    -1,    -1,   202,   203,  3109,   274,    -1,    -1,    -1,
      -1,   249,    -1,    -1,    -1,    -1,    -1,    -1,   217,  3123,
      -1,    -1,    -1,  3127,   262,    -1,    -1,   265,    -1,    -1,
      -1,    -1,    -1,    -1,  3138,    -1,    -1,    -1,    -1,    -1,
      -1,   309,    -1,    -1,   312,   313,    -1,    -1,   437,    -1,
     249,   440,   441,   442,    -1,   444,   445,   446,   447,   448,
     449,    -1,  1501,   262,    -1,   454,   265,    -1,    -1,    -1,
      -1,   339,    -1,    -1,    -1,    -1,    -1,  1516,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1524,    -1,    -1,    -1,    -1,
      -1,   190,    -1,    -1,    -1,    -1,  1535,    -1,    -1,    -1,
     199,   200,    -1,    -1,    -1,    -1,   344,    -1,   207,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   218,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   402,  2284,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1582,    -1,   344,    -1,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    11,    -1,  1595,    -1,    15,    16,
      17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1607,    -1,
      -1,    -1,    -1,    -1,    -1,    32,    -1,    -1,    -1,    -1,
    1619,    -1,    -1,    40,    -1,    -1,    -1,    -1,    -1,    46,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   437,
      -1,    -1,   440,   441,   442,  2354,   444,   445,   446,   447,
     448,   449,    -1,    70,    -1,    -1,   454,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1663,    -1,    -1,  1666,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   437,    -1,
      -1,   440,   441,   442,    -1,   444,   445,   446,   447,   448,
     449,    -1,    -1,    -1,    -1,   454,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,    -1,    15,    16,    17,  3382,    -1,
    3384,    -1,    -1,    -1,    -1,    -1,    -1,  3391,    -1,    -1,
      -1,    -1,    32,    -1,    -1,    -1,    36,    -1,    -1,    -1,
      40,    -1,    -1,    -1,  3408,     8,    46,    -1,    11,    -1,
      -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,   176,
    3424,    -1,    -1,  2472,   181,    -1,    -1,    -1,    -1,    32,
      70,    -1,    -1,    -1,  3438,    -1,    -1,    40,    -1,    -1,
    2489,    -1,    -1,    46,    -1,   202,   203,    -1,    -1,    -1,
      -1,  2500,  3456,    -1,    -1,    -1,  1795,    -1,    -1,    -1,
     217,    -1,  3466,    -1,    -1,    -1,    -1,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,    -1,
      -1,    -1,    -1,  3487,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   249,    -1,  3498,  3499,  3500,    -1,    -1,  3503,
    3504,  3505,  3506,  3507,  3508,   262,    -1,    -1,   265,  3513,
    3514,    -1,  3516,  3517,  3518,  3519,  3520,  3521,    -1,  3523,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3532,    -1,
    3534,  3535,    -1,    -1,    -1,    -1,   176,    -1,    -1,    -1,
      -1,   181,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   154,    -1,  3557,    -1,    -1,   159,    -1,   557,    -1,
      -1,    -1,   202,   203,    -1,    -1,    -1,    -1,    -1,    -1,
     569,    -1,  3576,   176,    -1,   574,    -1,   217,   181,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   585,   344,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   202,
     203,    -1,   601,    -1,    -1,    -1,    -1,   606,    -1,   249,
      -1,    -1,    -1,   612,   217,    -1,    -1,   616,   617,    -1,
      -1,    -1,   262,    -1,   623,   265,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   633,   634,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   642,    -1,    -1,   249,    -1,    -1,    -1,
      -1,    -1,    -1,  2702,    -1,    -1,  2705,    -1,  2707,   262,
      -1,    -1,   265,  2712,    -1,    -1,    -1,    -1,    -1,  3673,
      -1,  2010,    -1,    -1,    -1,  2014,  2015,    -1,    -1,    -1,
     437,    -1,    -1,   440,   441,   442,    -1,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,    -1,  3701,  3702,  3703,
      -1,    -1,    -1,    -1,   344,    -1,    -1,    -1,    -1,  3713,
      -1,    -1,    -1,    -1,  2763,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   721,   722,    -1,    -1,    -1,    -1,   727,    -1,
      -1,  2780,    -1,    -1,    -1,    -1,    -1,    -1,  2077,    -1,
      -1,   344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2089,    -1,    -1,    -1,   753,    -1,  2805,    -1,    -1,   399,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2129,    -1,    -1,    -1,    -1,    -1,    -1,   437,    -1,    -1,
     440,   441,   442,    -1,   444,   445,   446,   447,   448,   449,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2874,    -1,  2876,    -1,    -1,
      -1,    -1,    -1,    -1,   437,    -1,    -1,   440,   441,   442,
      -1,   444,   445,   446,   447,   448,   449,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2937,    -1,
      -1,    -1,    -1,   892,    -1,    -1,    -1,    -1,    -1,    -1,
     899,    -1,    -1,    -1,   903,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2962,    -1,    -1,    -1,    -1,  3922,    -1,
     919,    -1,  3926,  3927,  3928,  3929,    -1,    20,  3932,    -1,
      -1,    -1,    25,    -1,   933,    -1,    -1,    -1,    -1,  2988,
      -1,    -1,    -1,    -1,    37,  2284,  2995,    -1,    -1,    -1,
      -1,    -1,  3956,  3957,  3958,    -1,  3960,    -1,  3962,  3963,
      -1,    -1,    -1,    -1,    -1,    58,    -1,    -1,    -1,    -1,
    3974,  3975,    -1,   972,    -1,    -1,    -1,    -1,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3995,    85,    -1,    -1,    -1,    -1,    -1,  4002,  4003,
      -1,  4005,    -1,    -1,    -1,  3054,    -1,    -1,    -1,    -1,
     103,  1010,    -1,  4017,    -1,  2354,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3072,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   125,    -1,    -1,    -1,  3085,    -1,    -1,    -1,
      -1,    -1,    -1,   136,    -1,    -1,  1045,    -1,    -1,    -1,
      -1,   144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   156,    -1,    -1,  1065,    -1,   161,    -1,
    1069,    -1,    -1,  4077,   167,    -1,    -1,    -1,  1077,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   184,    -1,    -1,  4098,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1114,    -1,  1116,    -1,    -1,
      -1,    -1,    -1,    -1,  4128,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1131,  2472,    -1,  1134,    -1,   230,    -1,  3188,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1146,    -1,    -1,
    2489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3209,  2500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   262,
      -1,    -1,    -1,    -1,    -1,    -1,  1175,    -1,    -1,    -1,
     273,    -1,    -1,    -1,    -1,  3234,    -1,    -1,    -1,    -1,
     283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4202,    -1,
     293,    -1,    -1,    -1,  1203,  1204,  1205,    -1,  1207,    -1,
      -1,    -1,    -1,  4217,    -1,    -1,    -1,    -1,    -1,  3268,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   320,  1227,    -1,
      -1,    -1,   325,    -1,   327,    -1,    -1,    -1,    -1,    -1,
     333,    -1,    -1,   336,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1251,    -1,    -1,    -1,    -1,    -1,    -1,     8,
    1259,  1260,    11,    -1,    -1,    -1,    15,    16,    17,  1268,
    1269,    -1,   365,    -1,    -1,   368,    -1,    -1,    -1,   372,
      -1,  4285,    -1,    32,    -1,    -1,   379,    -1,   381,    -1,
      -1,    40,    -1,   386,    -1,    -1,    -1,    46,    -1,  1298,
      -1,    -1,  4306,  1302,  1303,   398,    -1,  4311,  4312,    -1,
      -1,  3360,    -1,    -1,    -1,    -1,    -1,    -1,   411,  1318,
      -1,    70,    -1,    -1,    -1,  1324,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2702,    -1,    -1,  2705,    -1,  2707,    -1,
      -1,    -1,    -1,  2712,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1383,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4402,    -1,
      -1,    -1,    -1,    -1,    -1,  4409,    -1,    -1,    -1,    -1,
    3459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1420,    -1,    -1,  2763,    -1,    -1,   176,    -1,    -1,
      -1,    -1,   181,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4444,  2780,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4455,    -1,   202,   203,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2805,    -1,   217,    -1,
      -1,    -1,    -1,  4477,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1480,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4500,    -1,    -1,    -1,
     249,    -1,  1501,    -1,    -1,  4509,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   262,    -1,    -1,   265,  1516,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1524,  4530,    -1,    -1,    -1,
      -1,  1530,    -1,    -1,    -1,  2874,  1535,  2876,   287,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1551,    -1,    -1,  3604,  1555,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1567,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1582,    -1,    -1,    -1,    -1,    -1,    -1,
    1589,    -1,    -1,    -1,    -1,   344,  1595,    -1,  2937,    -1,
      -1,    -1,  1601,    -1,  3653,    -1,    -1,    -1,  1607,  4613,
      -1,   360,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1619,    -1,    -1,  2962,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4635,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1638,
      -1,  1640,  1641,    -1,    -1,    -1,    -1,    -1,    -1,  2988,
      -1,    -1,    -1,    -1,  1653,    -1,  2995,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1663,  4669,    -1,  1666,    -1,  1668,
    1669,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4684,  1680,    -1,    -1,    -1,    -1,    -1,    -1,   437,    -1,
      -1,   440,   441,   442,    -1,   444,   445,   446,   447,   448,
     449,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1712,    -1,  3054,    -1,  4721,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3072,    -1,  3784,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3794,  3085,  1746,    -1,  1748,
      -1,    -1,    -1,    -1,  1753,  1754,    -1,    -1,    -1,    -1,
      -1,  1760,  1761,  1762,    -1,    -1,    -1,  1766,    -1,  1768,
    1769,  1770,  1771,  1772,  1773,    -1,  1775,    -1,  1777,  1778,
      -1,    -1,  1781,    -1,    -1,    -1,    -1,    -1,  4792,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1795,  1796,  1797,  1798,
    1799,  1800,    -1,    -1,    -1,  1804,    -1,    -1,    -1,  1808,
      -1,    -1,  1811,    -1,    -1,  1814,  1815,  1816,  1817,  1818,
    1819,  1820,  1821,  1822,  4828,  1824,    -1,    -1,    -1,    -1,
      -1,    -1,  1831,    -1,  1833,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3188,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3914,    -1,    -1,    -1,    -1,
    3209,    -1,    -1,    -1,    -1,    22,    -1,    -1,    -1,    -1,
      -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3234,  3945,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    53,     8,    -1,    -1,
      11,    -1,    -1,    -1,    15,    16,    17,  3966,    -1,    -1,
      -1,    68,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3268,
      -1,    32,  3981,    -1,    -1,    -1,    -1,    -1,    -1,    40,
       8,    -1,    -1,    11,    -1,    46,    -1,    15,    16,    17,
      -1,    -1,    -1,    -1,   101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1961,    -1,    32,    -1,    -1,    35,    -1,    70,
      -1,    -1,    40,   120,    -1,  4024,    -1,    -1,    46,    -1,
     127,    -1,    -1,   130,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,   155,    -1,
      -1,  2010,    -1,    -1,    -1,  2014,  2015,    -1,    -1,    -1,
      -1,  3360,    -1,    -1,    -1,  2024,    -1,    -1,    -1,  2028,
    2029,    -1,    -1,    -1,  2033,    -1,   183,    -1,    -1,   186,
      -1,    -1,  2041,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2059,    -1,    -1,  2062,  4113,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2073,   176,    -1,    -1,  2077,    -1,
     181,  2080,    -1,    -1,   231,    -1,    -1,   234,    -1,    -1,
    2089,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,   246,
      -1,   202,   203,  2102,    -1,    -1,    -1,    -1,   176,   256,
    4159,    -1,    -1,   181,    -1,    -1,   217,   264,    -1,    -1,
    3459,  2120,  2121,    -1,    -1,    -1,   273,   274,    -1,    -1,
    2129,    -1,    -1,    -1,   202,   203,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   249,   217,
      -1,    -1,  2151,  2152,    -1,    -1,  2155,    -1,    -1,    -1,
      -1,   262,   309,    -1,   265,   312,   313,   314,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   249,    -1,    -1,   285,  2184,    -1,    -1,    -1,  2188,
      -1,    -1,   339,    -1,   262,    -1,    -1,   265,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   353,  2206,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2217,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2230,    -1,    -1,  4283,    -1,    -1,    -1,    -1,  2238,
      -1,    -1,    -1,   344,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   402,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3604,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2283,  2284,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2292,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3653,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   437,    -1,    -1,   440,
     441,   442,  4391,   444,   445,   446,   447,   448,   449,    -1,
      -1,    -1,    -1,    -1,    -1,  2354,    -1,    -1,    -1,  2358,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2367,   437,
    4419,    -1,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4457,    -1,
      -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,
      -1,  2420,    15,    16,    17,    -1,  2425,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    32,
      -1,    -1,    -1,    -1,    -1,  3784,    -1,    40,    -1,    -1,
      -1,    -1,    -1,    46,    -1,  3794,    -1,  2456,    -1,    -1,
      -1,  4510,    -1,    -1,    -1,  4514,  4515,    -1,    -1,    -1,
      -1,    -1,    -1,  2472,    -1,  2474,    -1,    70,    -1,    -1,
      -1,    -1,    -1,  2482,    -1,    -1,    -1,  2486,    -1,    -1,
    2489,    -1,    -1,  2492,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2510,    -1,    -1,    -1,    -1,  2515,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2538,
    2539,  2540,    -1,    -1,  2543,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2551,  2552,  2553,  2554,    -1,  4606,    -1,    -1,
    2559,    -1,    -1,    -1,    -1,  2564,  2565,    -1,  2567,    -1,
    2569,   200,    -1,    -1,    -1,  3914,    -1,    -1,   207,    -1,
      -1,  2580,  2581,   176,    -1,  2584,    -1,    -1,   181,   218,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2598,
      -1,  2600,    -1,  2602,    -1,    -1,  3945,    -1,    -1,   202,
     203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2622,   217,    -1,    -1,  3966,    -1,    -1,
      -1,    -1,    -1,    -1,  2633,    -1,  2635,  2636,  2637,    -1,
      -1,    -1,  3981,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2650,    -1,    -1,  2653,    -1,   249,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2665,     8,    -1,   262,
      11,  2670,   265,    -1,    15,    16,    17,  2676,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4024,    -1,  2686,   281,    -1,
      -1,    32,    -1,    -1,    35,    -1,    -1,    -1,    -1,    40,
      -1,    -1,    -1,  2702,    -1,    46,  2705,    -1,  2707,    -1,
      -1,    -1,    -1,  2712,    -1,  2714,    -1,     8,    -1,    -1,
      11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,    70,
      -1,  2730,  2731,    -1,    -1,    -1,    -1,  2736,    -1,    -1,
      -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      -1,   344,    -1,    -1,    -1,    46,    -1,    -1,  2757,    -1,
      -1,  2760,    -1,    -1,  2763,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4113,    -1,    -1,    -1,    -1,    70,
      -1,  2780,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2805,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4159,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,    -1,    -1,    -1,    -1,
     181,  2840,  2841,  2842,   437,    -1,    -1,   440,   441,   442,
      -1,   444,   445,   446,   447,   448,   449,    -1,    -1,    -1,
      -1,   202,   203,    -1,    -1,  2864,    -1,    -1,   159,    -1,
      -1,    -1,    -1,    -1,    -1,  2874,   217,  2876,  2877,    -1,
    2879,    -1,    -1,  2882,    -1,   176,    -1,    -1,    -1,    -1,
     181,    -1,    -1,  2892,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   249,    -1,
      -1,   202,   203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   262,    -1,    -1,   265,    -1,   217,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2937,    -1,
     569,    -1,    -1,    -1,  4283,   574,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   585,  2956,   249,    -1,
      -1,    -1,    -1,  2962,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   262,   601,    -1,   265,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   617,  2988,
      -1,    -1,    -1,    -1,   623,  2994,  2995,    -1,    -1,    -1,
      -1,    -1,  3001,   344,  3003,   634,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   642,    -1,    -1,  3015,    -1,  3017,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4391,   344,    -1,  3054,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3071,  3072,    -1,    -1,    -1,    -1,    -1,    -1,
    4419,    -1,    -1,    -1,    -1,    -1,  3085,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   437,    -1,   727,   440,
     441,   442,    -1,   444,   445,   446,   447,   448,   449,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4457,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3128,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3140,    -1,    -1,  3143,    -1,   437,    -1,    -1,   440,
     441,   442,    -1,   444,   445,   446,   447,   448,   449,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3165,    -1,    -1,  3168,
      -1,  4510,    -1,    -1,    -1,  4514,  4515,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3185,    -1,    -1,  3188,
      -1,    -1,    -1,    -1,    -1,  3194,    -1,    -1,    -1,    -1,
      -1,  3200,    -1,  3202,    -1,    -1,  3205,    -1,    -1,    -1,
    3209,  3210,  3211,  3212,  3213,    -1,    -1,  3216,  3217,  3218,
    3219,  3220,  3221,  3222,  3223,  3224,  3225,    -1,    -1,    -1,
    3229,  3230,    -1,    -1,     8,  3234,    -1,    11,    -1,    -1,
    3239,    15,    16,    17,  3243,    -1,  3245,    -1,  3247,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3255,    -1,    32,  3258,
      -1,  3260,    -1,    -1,    -1,    -1,    40,  4606,    -1,  3268,
    3269,    -1,    46,  3272,  3273,    -1,    -1,    -1,  3277,  3278,
      -1,    -1,    -1,    -1,    -1,  3284,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3294,    70,  3296,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3308,
      -1,    -1,    -1,    -1,    -1,  3314,  3315,  3316,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,
      -1,    -1,    15,    16,    17,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3341,    -1,    -1,    -1,    -1,    -1,    -1,    32,
      -1,    -1,    35,    -1,    -1,  3354,    -1,    40,    -1,    -1,
      -1,  3360,    -1,    46,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3375,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,    70,    -1,    15,
      16,    17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,    -1,    -1,    -1,    32,   181,  3407,    35,
      -1,    -1,    -1,    -1,    40,    -1,  1045,    -1,    -1,    -1,
      46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   202,   203,
      -1,    -1,    -1,    -1,    -1,    -1,  1065,    -1,    -1,    -1,
      -1,    -1,    -1,   217,    70,    -1,    -1,    -1,  1077,    -1,
      -1,    -1,    -1,    -1,  3453,    -1,    -1,    -1,    -1,  3458,
    3459,  3460,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   249,  1105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1116,   262,    -1,
      -1,   265,    -1,   176,    -1,    -1,    -1,    -1,   181,    -1,
      -1,    -1,  1131,    -1,    -1,  1134,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3512,    -1,    -1,  3515,    -1,    -1,   202,
     203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   217,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,    -1,    -1,    -1,    -1,   181,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   249,    -1,    -1,    -1,
     344,    -1,    -1,    -1,    -1,    -1,   202,   203,  3577,   262,
      -1,    -1,   265,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   217,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   373,
      -1,  3600,  3601,    -1,    -1,  3604,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3613,    -1,  3615,    -1,    -1,    -1,
      -1,    -1,  1251,   249,    -1,    -1,    -1,    -1,    -1,    -1,
    1259,  1260,    -1,    -1,    -1,    -1,   262,    -1,    -1,   265,
    1269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3653,  3654,  3655,    -1,    -1,    -1,
      -1,   344,    -1,   437,    -1,    -1,   440,   441,   442,    -1,
     444,   445,   446,   447,   448,   449,    -1,    -1,    -1,   200,
      -1,    -1,    -1,    -1,    -1,    -1,   207,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1324,    -1,   218,     8,    -1,
      -1,    11,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,
    3709,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,
      -1,    -1,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,  3730,    -1,    -1,    -1,    -1,    46,    -1,    -1,    -1,
      -1,    -1,  3741,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   437,    -1,    -1,   440,   441,   442,
      70,   444,   445,   446,   447,   448,   449,    -1,    -1,    -1,
      -1,    -1,  3771,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3781,  3782,    -1,  3784,    -1,    -1,    -1,  3788,
    3789,    -1,    -1,    -1,  3793,  3794,    -1,    -1,    -1,  3798,
      -1,    -1,  3801,  3802,    -1,    -1,    -1,  3806,    -1,    -1,
      -1,   437,    -1,  3812,   440,   441,   442,    -1,   444,   445,
     446,   447,   448,   449,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3830,    -1,    -1,    -1,  3834,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3846,    -1,    -1,
      -1,  1480,  3851,    -1,    -1,    -1,    -1,    -1,  3857,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,    -1,    -1,    -1,
      -1,   181,    -1,  3872,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   202,   203,    -1,    -1,    -1,  3896,    -1,    -1,
      -1,  1530,    -1,    -1,    -1,    -1,    -1,   217,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3914,    -1,    -1,    -1,    -1,
      -1,    -1,  1551,    -1,    -1,    -1,  1555,    -1,    -1,    -1,
      -1,    -1,  3931,    -1,    -1,    -1,    -1,  3936,  1567,   249,
      -1,    -1,    -1,    -1,    -1,    -1,  3945,    -1,    -1,    -1,
      -1,    -1,   262,    -1,    20,   265,    -1,    25,    -1,    25,
      -1,    -1,  3961,    -1,    -1,    -1,    -1,  3966,    -1,    -1,
      -1,    37,    -1,    -1,  3973,    -1,    -1,    -1,    -1,    -1,
      -1,  3980,  3981,    -1,    -1,  3984,    -1,    -1,    -1,    -1,
      -1,    -1,    58,    -1,    -1,  3994,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    71,    -1,    71,    -1,    -1,    -1,    -1,
      -1,  1640,  1641,    -1,    -1,    81,    -1,    85,    -1,    85,
      -1,    -1,    -1,    -1,  1653,  4024,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   344,   103,    -1,   103,    -1,  1668,
    1669,   109,    -1,   109,    -1,    -1,    -1,  4046,   569,    -1,
      -1,  1680,    -1,   574,    -1,    -1,    -1,   125,  4057,   125,
      -1,    -1,    -1,    -1,   585,    -1,    -1,    -1,   136,    -1,
     136,    -1,    -1,    -1,    -1,    -1,   144,    -1,   144,    -1,
     601,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   156,    -1,
     156,    -1,    -1,   161,    -1,    -1,   617,   163,    -1,   167,
      -1,   167,   623,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4111,   634,  4113,    -1,   184,    -1,   184,    -1,
      -1,   642,    -1,    -1,    -1,    -1,    -1,   437,    -1,    -1,
     440,   441,   442,    -1,   444,   445,   446,   447,   448,   449,
    4139,   209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   221,  4155,    -1,    -1,    -1,
    4159,    -1,   230,    -1,   230,  4164,    -1,    -1,    -1,    -1,
      -1,  1800,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4181,  4182,    -1,    -1,  4185,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   262,    -1,   262,    -1,    -1,   265,
    4199,    -1,    -1,    -1,    -1,  4204,   727,    -1,    -1,    -1,
    4209,    -1,    -1,  4212,  4213,   283,    -1,   283,    -1,    -1,
      -1,  4220,  4221,    -1,    -1,   293,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   302,  4236,    -1,    -1,
      -1,    -1,    -1,    -1,  4243,    -1,  4245,    -1,    -1,    -1,
    4249,    -1,   320,    -1,   320,    -1,    -1,   325,    -1,   327,
      -1,   327,    -1,    -1,    -1,   333,    -1,   333,   336,    -1,
     336,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4283,  4284,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4293,    -1,   364,   365,    -1,   365,
     368,    -1,   368,   369,   372,   371,   372,    -1,    -1,    -1,
      -1,    -1,    -1,   381,    -1,   381,    -1,    -1,   386,    -1,
     386,    -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,   395,
     398,  4330,   398,    -1,    -1,    -1,    -1,  4336,    -1,    -1,
      -1,    -1,    -1,   411,    -1,   411,    -1,    -1,    -1,    -1,
      -1,   721,   722,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   753,    -1,    -1,    -1,    -1,    -1,    -1,
    4389,    -1,  4391,    -1,    -1,  2024,    -1,    -1,    -1,  2028,
    2029,    -1,    -1,    -1,  2033,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2041,    -1,    -1,    -1,    -1,    -1,    -1,  4418,
    4419,    -1,  4421,    -1,  4423,    -1,    -1,    -1,    -1,    -1,
    2059,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4447,    -1,
      -1,    -1,  4451,    -1,    -1,    -1,    -1,    -1,  4457,    -1,
      -1,    -1,    -1,  4462,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4481,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2120,  2121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4504,    -1,    -1,    -1,    -1,
      -1,  4510,    -1,    -1,    -1,  4514,  4515,    -1,    -1,    -1,
    4519,    -1,  2151,  2152,  1045,    -1,  2155,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4535,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1065,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2184,  1077,    -1,    -1,  2188,
      -1,    -1,    -1,    -1,  4563,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2206,    -1,    -1,
      -1,    -1,    -1,    -1,  1105,  4584,    -1,    -1,  2217,    -1,
      -1,    -1,    -1,    -1,    -1,  1116,    -1,    -1,    -1,    -1,
      -1,  2230,    -1,    -1,    -1,    -1,  4605,  4606,    -1,  2238,
    1131,    -1,    -1,  1134,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4626,    -1,    -1,
    4629,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4638,
      -1,    -1,    -1,    -1,  4643,    -1,  4645,    -1,  4647,    -1,
      -1,    -1,    -1,    -1,    -1,  4654,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2292,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4671,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4692,    -1,  4694,    -1,    -1,   612,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   633,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2358,
    1251,    -1,    -1,    -1,    -1,    -1,  4735,    -1,  1259,  1260,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1269,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4762,  4763,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4773,    -1,  1146,    -1,    -1,    -1,
      -1,    -1,  4781,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2420,    -1,    -1,  4793,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1324,    -1,  1175,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2456,    -1,    -1,
      -1,    -1,    -1,  1203,  1204,  1205,    -1,  1207,    -1,    -1,
      -1,  4840,    -1,    -1,    -1,  2474,    -1,  4846,  4847,  4848,
      -1,    -1,    -1,  2482,    -1,    -1,    -1,  1227,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4867,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4879,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4893,    -1,    -1,    -1,  1268,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1298,    -1,
    2559,    -1,  1302,  1303,    -1,    -1,  2565,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4950,  4951,    -1,    -1,    -1,    -1,  4956,    -1,  1480,
      -1,    -1,    -1,    -1,    -1,  4964,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4975,  4976,  4977,    -1,
      -1,    -1,    -1,    -1,    -1,   899,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   919,    -1,    -1,    -1,  1530,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   933,
      -1,  2650,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1551,    -1,    -1,    -1,  1555,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1567,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2714,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1010,    -1,    -1,    -1,
      -1,  2730,  2731,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1640,
    1641,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2757,    -1,
      -1,  2760,  1653,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1668,  1669,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1680,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1114,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2840,  2841,  2842,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2864,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2877,    -1,
    2879,    -1,    -1,  2882,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2892,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1800,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2956,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2994,    -1,    -1,    -1,    -1,
      -1,    -1,  3001,    -1,  3003,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1753,    -1,    -1,  3015,    -1,  3017,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1766,    -1,  1768,    -1,
      -1,  1771,  1772,  1773,  1318,    -1,    -1,    -1,  1778,    -1,
      -1,  1781,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1796,  1797,  1798,  1799,
      -1,    -1,    -1,    -1,  1804,    -1,    -1,    -1,  1808,    -1,
      -1,  1811,  3071,    -1,  1814,  1815,  1816,  1817,  1818,  1819,
    1820,  1821,  1822,    -1,  1824,    -1,    -1,    -1,    -1,    -1,
      -1,  1831,    -1,  1833,    -1,    -1,    -1,    -1,    -1,  1383,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3128,
      -1,    -1,    -1,  2024,    -1,    -1,  1420,  2028,  2029,    -1,
      -1,    -1,  2033,    -1,  3143,    -1,    -1,    -1,    -1,    -1,
    2041,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3165,    -1,  2059,  3168,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2102,    -1,    -1,    -1,    -1,    -1,  1501,    -1,    -1,
      -1,  1961,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2120,
    2121,    -1,  1516,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1524,   612,    -1,    -1,    -1,    -1,  3245,    -1,    -1,    -1,
      -1,  1535,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2151,  2152,   633,    -1,  2155,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   612,    -1,    -1,    -1,
      -1,    -1,    -1,  2184,    -1,    -1,    -1,  2188,  1582,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   633,    -1,    -1,
      -1,  1595,    -1,    -1,    -1,  2206,    -1,    -1,    -1,    -1,
      -1,    -1,  2062,  1607,    -1,    -1,  2217,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1619,    -1,    -1,    -1,  2230,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2238,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1663,
      -1,    -1,  1666,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2292,    -1,    -1,    -1,    -1,    -1,    -1,  3407,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3453,    -1,    -1,    -1,    -1,  3458,
      -1,  3460,    -1,    -1,    -1,    -1,    -1,  2358,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1795,    -1,  3512,    -1,    -1,  3515,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   899,  2420,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2283,    -1,    -1,    -1,    -1,   919,  1833,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   933,    -1,    -1,  2456,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   899,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2474,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2482,    -1,   919,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3600,  3601,    -1,    -1,    -1,    -1,   933,    -1,    -1,
      -1,    -1,    -1,    -1,  3613,    -1,  3615,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1010,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2559,    -1,
      -1,    -1,    -1,    -1,  2565,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1010,  2425,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3709,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2010,    -1,    -1,    -1,
    2014,  2015,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1114,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2650,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2510,    -1,    -1,    -1,    -1,  2515,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1114,    -1,
      -1,    -1,    -1,  2077,    -1,    -1,    -1,    -1,    -1,    -1,
    2540,    -1,    -1,    -1,    -1,  2089,    -1,    -1,    -1,    -1,
      -1,  2551,    -1,  2553,  2554,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2714,  2564,    -1,    -1,  2567,    -1,  2569,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2730,
    2731,    -1,    -1,    -1,    -1,  2129,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2598,    -1,
    2600,    -1,  2602,    -1,    -1,    -1,  2757,    -1,    -1,  2760,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2635,  2636,  2637,    -1,    -1,
     612,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2653,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   633,    -1,    -1,    -1,  2665,    -1,    -1,    -1,    -1,
    2670,    -1,  3931,    -1,    -1,    -1,  2676,  3936,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1318,    -1,  2840,
    2841,  2842,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3961,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2864,  3973,    -1,    -1,    -1,    -1,    -1,
      -1,  3980,    -1,    -1,    -1,    -1,  2877,    -1,  2879,    -1,
      -1,  2882,  1318,    -1,    -1,  3994,  2736,    -1,    -1,    -1,
    2284,  2892,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1420,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1383,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2956,    -1,    -1,    -1,    -1,
    2354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   612,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1420,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2994,    -1,   633,    -1,    -1,    -1,    -1,
    3001,    -1,  3003,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3015,    -1,  3017,    -1,    -1,    -1,
    1501,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4139,    -1,    -1,    -1,    -1,  1516,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1524,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1535,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1501,    -1,    -1,    -1,    -1,
    3071,    -1,    -1,    -1,    -1,    -1,    -1,   899,  2472,    -1,
    1516,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1524,    -1,
      -1,    -1,    -1,    -1,    -1,  2489,    -1,   919,    -1,  1535,
      -1,  1582,    -1,    -1,    -1,    -1,  2500,    -1,    -1,    -1,
      -1,   933,    -1,    -1,  1595,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1607,  3128,    -1,    -1,
      -1,    -1,    -1,    -1,  4243,    -1,  4245,    -1,  1619,    -1,
      -1,    -1,  3143,    -1,    -1,    -1,  1582,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1595,
      -1,    -1,    -1,    -1,  3165,    -1,    -1,  3168,    -1,    -1,
      -1,  1607,    -1,    -1,    -1,  4284,    -1,    -1,    -1,    -1,
      -1,    -1,  1663,  1619,    -1,  1666,    -1,    -1,  1010,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4330,    -1,    -1,    -1,    -1,    -1,  1663,    -1,    -1,
    1666,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2635,  2636,  2637,  3245,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   899,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   919,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1114,    -1,    -1,   933,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2702,    -1,
      -1,  2705,    -1,  2707,  1795,    -1,    -1,    -1,  2712,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3185,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3194,    -1,    -1,    -1,    -1,    -1,
    3200,    -1,  3202,    -1,    -1,    -1,    -1,    -1,    -1,  1795,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2763,
      -1,    -1,  1010,    -1,    -1,    -1,    -1,    -1,    -1,  3229,
    3230,    -1,    -1,    -1,    -1,    -1,  2780,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4504,    -1,  3247,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3255,  3407,    -1,  3258,    -1,
    3260,  2805,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3269,
      -1,    -1,    -1,    -1,    -1,    -1,  4535,  3277,  3278,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3453,    -1,    -1,    -1,    -1,  3458,  3308,  3460,
      -1,    -1,    -1,    -1,  3314,  3315,  3316,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1114,    -1,    -1,    -1,
    2874,    -1,  2876,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3341,    -1,    -1,    -1,    -1,  1318,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3354,    -1,    -1,    -1,    -1,    -1,
      -1,  3512,    -1,    -1,  3515,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2010,
      -1,    -1,    -1,  2014,  2015,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2937,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1383,    -1,    -1,    -1,    -1,    -1,    -1,  2962,    -1,
      -1,    -1,    -1,    -1,  2010,    -1,    -1,    -1,  2014,  2015,
      -1,    -1,    -1,  4692,    -1,  4694,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2988,    -1,  2077,    -1,  1420,  3600,
    3601,  2995,    -1,    -1,    -1,    -1,    -1,    -1,  2089,    -1,
      -1,    -1,  3613,    -1,  3615,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2077,    -1,    -1,    -1,    -1,    -1,    -1,  2129,    -1,
      -1,    -1,    -1,  2089,    -1,    -1,    -1,    -1,    -1,    -1,
    3054,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4781,    -1,    -1,    -1,    -1,    -1,  3072,  1501,
    1318,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   612,    -1,
      -1,  3085,    -1,  2129,  1516,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1524,    -1,    -1,    -1,    -1,    -1,  3709,   633,
      -1,    -1,    -1,  1535,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1383,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4879,    -1,    -1,  1595,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1420,    -1,  4893,  1607,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3188,    -1,    -1,  1619,    -1,    -1,
      -1,    -1,    -1,  2284,  3654,  3655,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3209,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3234,  1663,    -1,    -1,  1666,    -1,    -1,  4956,  2284,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1501,    -1,    -1,  4975,    -1,    -1,    -1,
      -1,    -1,    -1,  2354,  3268,    -1,    -1,    -1,  1516,    -1,
    3730,    -1,    -1,    -1,    -1,    -1,  1524,    -1,    -1,    -1,
      -1,  3741,    -1,    -1,    -1,    -1,    -1,  1535,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2354,    -1,
      -1,    -1,  3316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3931,  3781,  3782,    -1,    -1,  3936,    -1,    -1,  3788,  3789,
      -1,    -1,    -1,  3793,  1582,    -1,    -1,    -1,  3798,    -1,
      -1,  3801,  3802,    -1,    -1,    -1,  3806,  1595,    -1,    -1,
    3961,    -1,  3812,    -1,    -1,    -1,  3360,    -1,    -1,  1607,
      -1,    -1,  3973,  1795,    -1,   899,    -1,    -1,    -1,  3980,
      -1,  1619,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2472,    -1,  3994,    -1,   919,  3846,    -1,    -1,    -1,
      -1,  3851,    -1,    -1,    -1,    -1,    -1,  3857,  2489,   933,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2500,
      -1,    -1,  3872,    -1,    -1,  1663,    -1,    -1,  1666,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2472,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3896,    -1,    -1,    -1,
      -1,    -1,    -1,  2489,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2500,  3459,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1010,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3984,    -1,    -1,    -1,  4139,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1795,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2010,    -1,
    1114,    -1,  2014,  2015,    -1,    -1,  4046,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2702,    -1,    -1,  2705,    -1,  2707,    -1,    -1,    -1,
      -1,  2712,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4243,    -1,  4245,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2077,    -1,    -1,    -1,  3653,
      -1,    -1,    -1,    -1,    -1,    -1,  2702,  2089,    -1,  2705,
      -1,  2707,    -1,    -1,    -1,    -1,  2712,    -1,    -1,    -1,
      -1,    -1,  2763,  4284,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2780,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2129,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2805,    -1,    -1,  2763,    -1,  4330,
      -1,  4181,  4182,    -1,    -1,  4185,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2780,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2805,
    4220,  4221,  2010,    -1,    -1,    -1,  2014,  2015,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3784,    -1,    -1,  2874,  1318,  2876,    -1,    -1,    -1,    -1,
    3794,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2874,  2077,
    2876,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2089,  3846,    -1,    -1,    -1,  2937,  3851,    -1,  1383,
      -1,    -1,  2284,  3857,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2962,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2129,    -1,    -1,    -1,    -1,  1420,    -1,    -1,    -1,
      -1,  2937,    -1,  4504,    -1,    -1,    -1,  2988,    -1,    -1,
      -1,    -1,    -1,    -1,  2995,    -1,    -1,    -1,    -1,    -1,
    3914,    -1,    -1,    -1,    -1,    -1,  2962,    -1,    -1,    -1,
      -1,    -1,  2354,    -1,  4535,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3945,  2988,    -1,    -1,    -1,    -1,    -1,    -1,  2995,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4421,  3966,  3054,    -1,    -1,    -1,  1501,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3981,    -1,    -1,
      -1,  3072,  1516,    -1,    -1,    -1,    -1,  4447,    -1,    -1,
    1524,    -1,    -1,    -1,  3085,    -1,    -1,    -1,    -1,    -1,
      -1,  1535,  4462,    -1,    -1,    -1,    -1,    -1,  3054,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4024,  4481,    -1,    -1,    -1,    -1,  3072,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2284,    -1,    -1,  3085,
    2472,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1582,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2489,    -1,  4519,
      -1,  1595,    -1,    -1,    -1,    -1,    -1,    -1,  2500,    -1,
      -1,    -1,    -1,  1607,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4692,    -1,  4694,    -1,  1619,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3188,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2354,  4111,    -1,  4113,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3209,    -1,
      -1,    -1,    -1,    -1,  4584,    -1,    -1,    -1,    -1,  1663,
      -1,    -1,  1666,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3188,  3234,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4159,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3209,    -1,    -1,    -1,    -1,    -1,    -1,
    4781,    -1,    -1,    -1,    -1,    -1,    -1,  3268,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4647,  3234,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4671,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3268,    -1,  2472,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1795,    -1,    -1,    -1,    -1,    -1,    -1,  4879,  3360,
    2702,    -1,    -1,  2705,    -1,  2707,    -1,    -1,    -1,  4283,
    2712,    -1,  4893,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4762,  4763,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4773,  3360,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2763,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4956,    -1,    -1,  2780,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4975,    -1,    -1,    -1,  3459,    -1,
      -1,    -1,    -1,  2805,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4391,  4848,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4867,    -1,    -1,
      -1,    -1,    -1,  3459,    -1,  4419,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2874,    -1,  2876,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4457,  2702,    -1,    -1,  2705,    -1,  2707,
      -1,    -1,    -1,    -1,  2712,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2010,    -1,    -1,    -1,
    2014,  2015,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4950,  4951,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2937,  4510,    -1,    -1,    -1,
    4514,  4515,    -1,  3604,  1219,  2763,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2962,    -1,  2780,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2077,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2089,  2988,  2805,  3604,    -1,
      -1,    -1,  3653,  2995,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1283,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2129,    -1,    -1,    -1,    -1,
      -1,  4605,  4606,    -1,    -1,    -1,    -1,  3653,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3054,    -1,    -1,    -1,  2874,    -1,  2876,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3072,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3085,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2937,
      -1,    -1,    -1,  3784,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3794,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2962,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3784,    -1,
    2988,    -1,    -1,    -1,    -1,    -1,    -1,  2995,  3794,    -1,
    2284,    -1,    -1,    -1,    -1,    -1,  3188,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3209,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3234,    -1,    -1,    -1,  3054,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2354,    -1,    -1,  3914,  3072,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3268,  3085,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3945,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3914,    -1,
      -1,    -1,    -1,    -1,    -1,  3966,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3981,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3945,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3360,    -1,
      -1,    -1,    -1,  4024,    -1,  3981,    -1,    -1,  2472,    -1,
    3188,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2489,    -1,    -1,    -1,    -1,
      -1,  3209,    -1,    -1,    -1,    -1,  2500,    -1,    -1,    -1,
      -1,  1676,    -1,    -1,    -1,    -1,    -1,    -1,  4024,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3234,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3268,    -1,  4113,    -1,    -1,    -1,    -1,  3459,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1751,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1765,    -1,    -1,    -1,  1769,    -1,    -1,  4113,  4159,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1783,  1784,
    1785,    -1,  1787,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3360,  4159,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1829,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1866,    -1,    -1,    -1,    -1,    -1,    -1,  2702,    -1,
      -1,  2705,  3604,  2707,    -1,    -1,    -1,    -1,  2712,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3653,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2763,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4283,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2780,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1971,    -1,    -1,    -1,
      -1,  2805,    -1,    -1,    -1,    -1,    -1,    -1,  1983,    -1,
      -1,  1986,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4391,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4419,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2874,    -1,  2876,    -1,    -1,  4391,    -1,    -1,    -1,    -1,
      -1,    -1,  3784,    -1,    -1,    -1,  3604,    -1,    -1,    -1,
      -1,    -1,  3794,    -1,    -1,    -1,  4457,    -1,    -1,    -1,
      -1,    -1,    -1,  4419,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2937,    -1,  3653,    -1,    -1,    -1,    -1,
      -1,  4457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4510,
      -1,    -1,    -1,  4514,  4515,    -1,    -1,    -1,  2962,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2988,    -1,    -1,    -1,    -1,    -1,
      -1,  2995,    -1,    -1,  4510,    -1,    -1,    -1,  4514,  4515,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3914,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3945,    -1,  4606,    -1,    -1,    -1,    -1,
    3054,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3966,    -1,  3784,    -1,  3072,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3794,    -1,    -1,  3981,
      -1,  3085,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4024,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3188,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3914,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3209,    -1,    -1,    -1,    -1,
      -1,  4113,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3945,    -1,    -1,
    3234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3966,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4159,    -1,    -1,
      -1,    -1,    -1,  3981,  3268,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4024,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2513,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3360,    -1,  2533,    -1,
    2535,    -1,    -1,  2538,  2539,    -1,  2541,    -1,  2543,    -1,
      -1,    -1,  2547,    -1,    -1,  2550,    -1,    -1,    -1,    -1,
    2555,  4283,    -1,    -1,    -1,    -1,  2561,    -1,    -1,    -1,
      -1,  2566,    -1,    -1,    -1,  4113,    -1,    -1,  2573,  2574,
    2575,  2576,    -1,    -1,    -1,  2580,  2581,    -1,  2583,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2595,    -1,  2597,    -1,    -1,    -1,    -1,    -1,    -1,  2604,
    2605,  2606,  2607,  2608,  2609,  2610,  2611,  2612,  2613,    -1,
      -1,  4159,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3459,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2641,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4391,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4419,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4457,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4283,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2751,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4510,    -1,
      -1,    -1,  4514,  4515,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3653,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4391,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4419,    -1,    -1,  4606,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4457,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3784,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3794,    -1,  4510,    -1,    -1,    -1,  4514,  4515,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2991,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4606,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3914,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3945,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3131,    -1,    -1,    -1,
      -1,    -1,  3966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3981,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3184,
      -1,    -1,    -1,    -1,    -1,  3190,    -1,    -1,    -1,    -1,
    4024,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3206,  3207,    -1,    -1,  3210,  3211,  3212,  3213,    -1,
      -1,  3216,  3217,  3218,  3219,  3220,  3221,  3222,  3223,  3224,
    3225,  3226,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3248,    -1,    -1,  3251,    -1,  3253,    -1,
      -1,  3256,  3257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3271,  3272,  3273,  3274,
      -1,  3276,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4113,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3324,
      -1,    -1,    -1,    -1,    -1,  4159,    -1,    -1,    -1,    -1,
    3335,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3372,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4283,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4391,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3577,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4419,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4457,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4510,    -1,    -1,    -1,
    4514,  4515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3731,    -1,    -1,    -1,
    3735,  3736,  3737,    -1,    -1,    -1,    -1,    -1,  3743,  3744,
    3745,  3746,    -1,    -1,    -1,    -1,  3751,  3752,  3753,  3754,
    3755,  3756,  3757,  3758,  3759,  3760,  3761,  3762,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3787,    -1,    -1,  3790,    -1,  3792,    -1,    -1,
      -1,  3796,    -1,    -1,  3799,  3800,    -1,    -1,  3803,  3804,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3848,    -1,    -1,    -1,    -1,    -1,    -1,
    3855,  3856,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3871,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4049,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4108,  4109,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4149,    -1,    -1,    -1,    -1,  4154,
    4155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4169,    -1,  4171,    -1,    -1,    -1,
    4175,  4176,  4177,    -1,    -1,  4180,    -1,    -1,  4183,  4184,
      -1,    -1,    -1,  4188,    -1,    -1,    -1,  4192,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4307,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4341,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4417,  4418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4433,  4434,
    4435,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4469,  4470,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4618,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4634,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4683,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4734,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4791,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,  4851,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      -1,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      71,    -1,    73,    74,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,  4922,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,   117,    -1,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,   128,  4963,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,    -1,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,    -1,   160,
     161,   162,   163,    -1,   165,   166,    -1,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
      -1,    -1,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,    -1,   259,    -1,
      -1,   262,   263,   264,    -1,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,   395,   396,   397,   398,    -1,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,    -1,    -1,
      -1,    -1,    -1,   444,   445,   446,    -1,    -1,    -1,    -1,
      -1,    -1,   453,   454,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    -1,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    71,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
      -1,   110,    -1,   112,   113,   114,   115,   116,   117,    -1,
     119,   120,   121,    -1,    -1,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
      -1,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
      -1,   160,   161,   162,   163,    -1,   165,   166,    -1,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,    -1,   182,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,    -1,
     259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,   395,   396,   397,   398,
      -1,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
     409,   410,   411,   412,   413,    -1,    -1,   416,    -1,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,    -1,    -1,    -1,    -1,   444,   445,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   453,   454,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    -1,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    69,    -1,    71,    -1,    73,    74,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
     117,    -1,   119,   120,   121,    -1,    -1,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,    -1,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,    -1,   160,   161,   162,   163,    -1,   165,   166,
      -1,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,   395,   396,
     397,   398,    -1,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,   410,   411,   412,   413,    -1,    -1,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,    -1,    -1,    -1,    -1,    -1,   444,   445,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   453,   454,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    -1,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    71,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,   117,    -1,   119,   120,   121,    -1,    -1,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,    -1,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,    -1,   160,   161,   162,   163,    -1,
     165,   166,    -1,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,    -1,   182,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,    -1,   259,    -1,    -1,   262,   263,   264,
      -1,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,   396,   397,   398,    -1,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,   410,   411,   412,   413,    -1,
      -1,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,    -1,    -1,    -1,    -1,    -1,   444,
     445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,   454,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    -1,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    71,    -1,
      73,    74,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,   117,    -1,   119,   120,   121,    -1,
      -1,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,    -1,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,    -1,   160,   161,   162,
     163,    -1,   165,   166,    -1,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,    -1,   182,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,    -1,   259,    -1,    -1,   262,
     263,   264,    -1,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,   395,   396,   397,   398,    -1,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,   409,   410,   411,   412,
     413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,    -1,     3,    -1,    -1,
      -1,   444,   445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     453,   454,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    35,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,   160,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   454,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    -1,    47,    48,
      49,    50,    -1,    52,    53,    54,    55,    56,    -1,    -1,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      -1,    -1,    71,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    92,    -1,    -1,    -1,    96,    -1,    -1,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
      -1,   110,    -1,   112,   113,   114,   115,   116,   117,    -1,
     119,   120,   121,    -1,    -1,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,   141,    -1,   143,   144,   145,    -1,    -1,   148,
      -1,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
      -1,   160,   161,   162,   163,    -1,   165,    -1,    -1,    -1,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,    -1,    -1,   213,    -1,   215,   216,   217,    -1,
     219,   220,   221,    -1,    -1,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,    -1,   247,   248,
     249,   250,    -1,    -1,   253,   254,   255,   256,   257,    -1,
     259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,    -1,   285,    -1,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,    -1,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,    -1,    -1,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,    -1,   378,
     379,    -1,   381,    -1,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,    -1,   393,   394,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,
     419,   420,   421,   422,   423,   424,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   434,   435,   436,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,   454,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    -1,
      47,    48,    49,    50,    -1,    52,    53,    54,    55,    56,
      -1,    -1,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    -1,    -1,    71,    -1,    73,    74,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,
      -1,    -1,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
     117,    -1,   119,   120,   121,    -1,    -1,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,   141,    -1,   143,   144,   145,    -1,
      -1,   148,    -1,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,    -1,   160,   161,   162,   163,    -1,   165,    -1,
      -1,    -1,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,    -1,    -1,   213,    -1,   215,   216,
     217,    -1,   219,   220,   221,    -1,    -1,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,    -1,
     247,   248,   249,   250,    -1,    -1,   253,   254,   255,   256,
     257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,    -1,   285,    -1,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,    -1,    -1,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
      -1,   378,   379,    -1,   381,    -1,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,    -1,   393,   394,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,    -1,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,    -1,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,   434,   435,   436,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,   454,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    -1,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    71,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
     115,   116,   117,    -1,   119,   120,   121,    -1,    -1,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,    -1,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,    -1,   160,   161,   162,   163,    -1,
     165,   166,    -1,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,    -1,   182,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,    -1,   259,    -1,    -1,   262,   263,   264,
      -1,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,   396,   397,   398,    -1,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,   410,   411,   412,   413,    -1,
      -1,   416,    -1,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,    -1,    -1,    -1,    -1,   444,
     445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,   396,   397,   398,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,    -1,    -1,    -1,    -1,
     444,   445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    71,    -1,
      73,    74,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,   117,    -1,   119,   120,   121,    -1,
      -1,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,    -1,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,    -1,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,    -1,   182,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,    -1,   212,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,    -1,   259,    -1,    -1,   262,
     263,   264,    -1,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,   395,   396,   397,   398,    -1,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,   409,   410,   411,   412,
     413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,    -1,    -1,    -1,    -1,
      -1,   444,   445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     453,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,   395,   396,   397,   398,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,    -1,    -1,    -1,
      -1,    -1,   444,   445,    -1,    -1,    -1,    -1,    -1,   451,
     452,   453,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      -1,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      71,    -1,    73,    74,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,   117,    -1,   119,   120,
     121,    -1,    -1,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,    -1,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,    -1,   160,
     161,   162,   163,    -1,   165,   166,    -1,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
      -1,    -1,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,    -1,   259,    -1,
      -1,   262,   263,   264,    -1,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,   395,   396,   397,   398,    -1,   400,
     401,   402,   403,   404,   405,   406,    -1,   408,   409,   410,
     411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,    -1,    -1,
      -1,    -1,    -1,   444,   445,   446,    -1,    -1,    -1,    -1,
      -1,    -1,   453,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,    -1,
     160,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,   396,   397,   398,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,    -1,
      -1,    -1,    -1,    -1,   444,   445,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   453,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    -1,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    71,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
      -1,   110,    -1,   112,   113,   114,   115,   116,   117,    -1,
     119,   120,   121,    -1,    -1,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
      -1,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
      -1,   160,   161,   162,   163,    -1,   165,   166,    -1,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,    -1,   182,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,    -1,
     259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,   395,   396,   397,   398,
      -1,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
     409,   410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
      -1,    -1,    -1,    -1,    -1,   444,   445,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   453,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,   395,   396,   397,
     398,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,    -1,    -1,    -1,    -1,    -1,   444,   445,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   453,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    -1,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    69,    -1,    71,    -1,    73,    74,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
     117,    -1,   119,   120,   121,    -1,    -1,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,    -1,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,    -1,   160,   161,   162,   163,    -1,   165,   166,
      -1,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,   395,   396,
     397,   398,    -1,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,    -1,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,    -1,    -1,    -1,    -1,    -1,   444,   445,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   453,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,   395,
     396,   397,   398,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,    -1,    -1,    -1,    -1,    -1,   444,   445,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    -1,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    71,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,   117,    -1,   119,   120,   121,    -1,    -1,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,    -1,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,    -1,   160,   161,   162,   163,    -1,
     165,   166,    -1,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,    -1,   182,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,    -1,   259,    -1,    -1,   262,   263,   264,
      -1,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,   396,   397,   398,    -1,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,   410,   411,   412,   413,    -1,
      -1,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,    -1,    -1,    -1,    -1,    -1,   444,
     445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      34,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,   396,   397,   398,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,    -1,    -1,    -1,    -1,    -1,
     444,   445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    -1,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    71,    -1,
      73,    74,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,   117,    -1,   119,   120,   121,    -1,
      -1,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,    -1,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,    -1,   160,   161,   162,
     163,    -1,   165,   166,    -1,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,    -1,   182,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,    -1,   259,    -1,    -1,   262,
     263,   264,    -1,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,   395,   396,   397,   398,    -1,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,   409,   410,   411,   412,
     413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,    -1,    -1,    -1,    -1,
      -1,   444,   445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     453,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,   395,   396,   397,   398,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,    -1,    -1,    -1,
      -1,    -1,   444,   445,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   453,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      -1,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      71,    -1,    73,    74,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,   117,    -1,   119,   120,
     121,    -1,    -1,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,    -1,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,    -1,   160,
     161,   162,   163,    -1,   165,   166,    -1,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
      -1,    -1,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,    -1,   259,    -1,
      -1,   262,   263,   264,    -1,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,   395,   396,   397,   398,    -1,   400,
     401,   402,   403,   404,   405,   406,    -1,   408,   409,   410,
     411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,    -1,    -1,
      -1,    -1,    -1,   444,   445,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   453,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,    -1,
     160,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,   396,   397,   398,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,    -1,
      -1,    -1,    -1,    -1,   444,   445,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   453,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    -1,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    71,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
      -1,   110,    -1,   112,   113,   114,   115,   116,   117,    -1,
     119,   120,   121,    -1,    -1,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
      -1,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
      -1,   160,   161,   162,   163,    -1,   165,   166,    -1,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,    -1,   182,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,    -1,
     259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
      -1,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
     409,   410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   444,   445,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   453,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,    -1,   160,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,   205,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,   395,   396,   397,
     398,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,    -1,    -1,    -1,    -1,    -1,   444,   445,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   453,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    -1,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    69,    -1,    71,    -1,    73,    74,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
     117,    -1,   119,   120,   121,    -1,    -1,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,    -1,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,    -1,   160,   161,   162,   163,    -1,   165,   166,
      -1,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,    -1,   203,   204,   205,   206,
     207,   208,   209,   210,    -1,    -1,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,    -1,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,   410,   411,   412,   413,    -1,    -1,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   444,   445,    -1,
      -1,     3,     4,     5,     6,     7,   453,     9,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    34,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,    -1,    -1,     3,     4,     5,
       6,     7,    -1,     9,    10,    -1,    -1,    -1,    -1,    -1,
      -1,   453,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    34,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,    -1,    -1,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    -1,    -1,   453,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    34,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    -1,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,    -1,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,    -1,
     160,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,    -1,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,   396,   397,   398,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,    -1,    -1,     3,
      -1,    -1,    -1,    -1,   444,   445,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   453,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,   261,   262,   263,
     264,    -1,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,    -1,    -1,   439,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    -1,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    69,    -1,    71,    -1,    73,    74,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
     117,    -1,   119,   120,   121,    -1,    -1,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,    -1,   155,    -1,
     157,   158,    -1,   160,   161,   162,   163,    -1,   165,   166,
      -1,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,    -1,   182,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    -1,
     247,   248,   249,   250,    -1,   252,   253,   254,   255,   256,
     257,    -1,   259,    -1,   261,   262,   263,   264,    -1,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
      -1,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,    -1,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,   410,   411,   412,   413,    -1,    -1,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   453,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      -1,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      71,    -1,    73,    74,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,   117,    -1,   119,   120,
     121,    -1,    -1,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,    -1,   155,    -1,   157,   158,    -1,   160,
     161,   162,   163,    -1,   165,   166,    -1,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
      -1,   182,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
      -1,    -1,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    -1,   247,   248,   249,   250,
      -1,   252,   253,   254,   255,   256,   257,    -1,   259,    -1,
      -1,   262,   263,   264,    -1,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,    -1,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,    -1,   400,
     401,   402,   403,   404,   405,   406,    -1,   408,   409,   410,
     411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   453,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    -1,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    71,    -1,    73,    74,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,   117,    -1,   119,   120,   121,    -1,    -1,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,    -1,
     155,    -1,   157,   158,    -1,   160,   161,   162,   163,    -1,
     165,   166,    -1,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,    -1,   182,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,    -1,    -1,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    -1,   247,   248,   249,   250,    -1,   252,   253,   254,
     255,   256,   257,    -1,   259,    -1,    -1,   262,   263,   264,
      -1,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,    -1,   378,   379,   380,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,    -1,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,   410,   411,   412,   413,    -1,
      -1,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,    -1,    -1,     3,     4,     5,    -1,    -1,    -1,
       9,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    -1,    52,    53,    54,    55,    56,    -1,    -1,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    71,    -1,    73,    74,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      89,    90,    91,    92,    -1,    -1,    -1,    96,    -1,    -1,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
      -1,   110,    -1,   112,   113,   114,   115,   116,   117,    -1,
     119,   120,   121,    -1,    -1,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
      -1,   150,   151,   152,   153,    -1,   155,    -1,   157,   158,
      -1,   160,   161,   162,   163,    -1,   165,   166,    -1,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,    -1,   182,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,    -1,    -1,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,    -1,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    -1,   247,   248,
     249,   250,    -1,   252,   253,   254,   255,   256,   257,    -1,
     259,   260,    -1,   262,   263,   264,    -1,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,    -1,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,    -1,    -1,   393,   394,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
     409,   410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,    -1,    -1,
       3,    -1,    -1,    -1,    -1,   444,   445,   446,    -1,    -1,
      -1,    -1,    -1,    -1,   453,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    30,    31,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    -1,    52,
      53,    54,    55,    56,    -1,    -1,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    71,    -1,
      73,    74,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    92,
      -1,    -1,    -1,    96,    -1,    -1,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,   117,    -1,   119,   120,   121,    -1,
      -1,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,    -1,   160,   161,   162,
     163,    -1,   165,   166,    -1,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,    -1,   182,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,    -1,    -1,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,    -1,
      -1,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    -1,   247,   248,   249,   250,    -1,   252,
     253,   254,   255,   256,   257,    -1,   259,    -1,    -1,   262,
     263,   264,    -1,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,    -1,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,    -1,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,    -1,
     393,   394,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,   409,   410,   411,   412,
     413,    -1,    -1,   416,    -1,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,    -1,    -1,   439,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     453,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,
      96,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,    -1,    -1,   439,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   453,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,
      43,    44,    45,    46,    47,    -1,    49,    50,    -1,    52,
      53,    54,    55,    56,    -1,    -1,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,
      73,    74,    75,    76,    -1,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    -1,    90,    91,    92,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,   117,    -1,   119,   120,   121,    -1,
      -1,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,   152,
     153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,
     163,    -1,   165,   166,    -1,   168,   169,    -1,   171,   172,
     173,   174,   175,    -1,   177,   178,   179,   180,    -1,   182,
     183,   184,   185,   186,   187,    -1,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,    -1,
      -1,   204,    -1,   206,   207,   208,   209,   210,    -1,    -1,
     213,   214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,
      -1,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,    -1,   242,
     243,   244,   245,    -1,   247,   248,    -1,   250,    -1,   252,
     253,   254,   255,   256,   257,    -1,   259,    -1,    -1,   262,
     263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,    -1,   339,   340,   341,   342,
     343,    -1,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,    -1,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,    -1,
     393,   394,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,    -1,   410,   411,   412,
     413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     453,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    38,    -1,    40,    41,    -1,    43,    44,    45,    46,
      47,    -1,    49,    50,    -1,    52,    53,    54,    55,    56,
      -1,    -1,    59,    60,    61,    62,    63,    -1,    65,    66,
      67,    68,    69,    -1,    -1,    -1,    73,    74,    75,    76,
      -1,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,    -1,   110,    -1,   112,   113,   114,   115,   116,
     117,    -1,   119,   120,   121,    -1,    -1,   124,   125,   126,
     127,   128,    -1,   130,   131,   132,    -1,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,   152,   153,    -1,   155,    -1,
     157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,
      -1,   168,   169,    -1,   171,   172,   173,   174,   175,    -1,
     177,   178,   179,   180,    -1,   182,   183,   184,   185,   186,
     187,    -1,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,
     207,   208,   209,   210,    -1,    -1,   213,   214,    -1,   216,
      -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,    -1,   242,   243,   244,   245,    -1,
     247,   248,    -1,   250,    -1,   252,   253,   254,   255,   256,
     257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,
     267,   268,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,    -1,   333,   334,   335,   336,
     337,    -1,   339,   340,   341,   342,   343,    -1,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,    -1,   374,   375,    -1,
      -1,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,    -1,   393,   394,   395,   396,
     397,    -1,    -1,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,   416,
      -1,    -1,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   453,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    27,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,
      41,    -1,    43,    44,    45,    46,    47,    -1,    49,    50,
      -1,    52,    53,    54,    55,    56,    -1,    -1,    59,    60,
      61,    62,    63,    -1,    65,    66,    67,    68,    69,    -1,
      -1,    -1,    73,    74,    75,    76,    -1,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    -1,    90,
      91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,    -1,   110,
      -1,   112,   113,   114,   115,   116,   117,    -1,   119,   120,
     121,    -1,    -1,   124,   125,   126,   127,   128,    -1,   130,
     131,   132,    -1,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,
     161,   162,   163,    -1,   165,   166,    -1,   168,   169,    -1,
     171,   172,   173,   174,   175,    -1,   177,   178,   179,   180,
      -1,   182,   183,   184,   185,   186,   187,    -1,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,    -1,   199,    -1,
     201,    -1,    -1,   204,    -1,   206,   207,   208,   209,   210,
      -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,
     221,    -1,    -1,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
      -1,   242,   243,   244,   245,    -1,   247,   248,    -1,   250,
      -1,   252,   253,   254,   255,   256,   257,    -1,   259,    -1,
      -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,    -1,   333,   334,   335,   336,   337,    -1,   339,   340,
     341,   342,   343,    -1,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,    -1,   368,   369,   370,
     371,   372,    -1,   374,   375,    -1,    -1,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,   400,
     401,   402,   403,   404,   405,   406,    -1,   408,    -1,   410,
     411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   453,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,    44,
      45,    46,    47,    -1,    49,    50,    -1,    52,    53,    54,
      55,    56,    -1,    -1,    59,    60,    61,    62,    63,    -1,
      65,    66,    67,    68,    69,    -1,    -1,    -1,    73,    74,
      75,    76,    -1,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,    -1,   110,    -1,   112,   113,   114,
     115,   116,   117,    -1,   119,   120,   121,    -1,    -1,   124,
     125,   126,   127,   128,    -1,   130,   131,   132,    -1,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,   152,   153,    -1,
     155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,
     165,   166,    -1,   168,   169,    -1,   171,   172,   173,   174,
     175,    -1,   177,   178,   179,   180,    -1,   182,   183,   184,
     185,   186,   187,    -1,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,
      -1,   206,   207,   208,   209,   210,    -1,    -1,   213,   214,
      -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,    -1,   242,   243,   244,
     245,    -1,   247,   248,    -1,   250,    -1,   252,   253,   254,
     255,   256,   257,    -1,   259,    -1,    -1,   262,   263,   264,
      -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,    -1,   333,   334,
     335,   336,   337,    -1,   339,   340,   341,   342,   343,    -1,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
      -1,   366,    -1,   368,   369,   370,   371,   372,    -1,   374,
     375,    -1,    -1,   378,   379,   380,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,    -1,   393,   394,
     395,   396,   397,    -1,    -1,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,    -1,   410,   411,   412,   413,    -1,
      -1,   416,    -1,    -1,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,    -1,    -1,    -1,    -1,    -1,     3,     4,     5,
      -1,    -1,     8,     9,    -1,    -1,    -1,    -1,   453,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    -1,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
      -1,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
      -1,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,    -1,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,    -1,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,    -1,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,   435,
     436,    -1,    -1,    -1,   440,   441,   442,    -1,   444,   445,
     446,   447,   448,   449,     3,     4,     5,    -1,    -1,     8,
       9,    -1,    -1,    -1,    -1,    -1,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    -1,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      -1,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,    -1,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,    -1,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,    -1,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,    -1,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,    -1,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   434,   435,   436,    -1,     3,
      -1,   440,   441,   442,     8,   444,   445,   446,   447,   448,
     449,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,    -1,     3,    -1,   440,   441,   442,     8,
     444,   445,   446,   447,   448,   449,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    -1,    43,    44,    45,    46,    47,    -1,
      49,    50,    -1,    52,    53,    54,    55,    56,    -1,    -1,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
      -1,   110,    -1,   112,   113,   114,   115,   116,   117,    -1,
     119,   120,   121,    -1,    -1,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,    -1,   155,    -1,   157,    -1,
      -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,   168,
     169,    -1,   171,   172,   173,   174,   175,    -1,   177,   178,
     179,   180,    -1,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,
     209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,
     219,   220,   221,    -1,    -1,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,    -1,   247,   248,
      -1,   250,    -1,   252,   253,   254,   255,   256,   257,    -1,
     259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,    -1,
     339,   340,   341,   342,   343,    -1,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,    -1,   378,
     379,   380,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,    -1,   393,   394,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
      -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,    -1,     3,
      -1,   440,   441,   442,     8,   444,   445,   446,   447,   448,
     449,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,    -1,     3,    -1,   440,   441,   442,     8,
     444,   445,   446,   447,   448,   449,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    -1,    43,    44,    45,    46,    47,    -1,
      49,    50,    -1,    52,    53,    54,    55,    56,    -1,    -1,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
      -1,   110,    -1,   112,   113,   114,   115,   116,   117,    -1,
     119,   120,   121,    -1,    -1,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,    -1,   155,    -1,   157,    -1,
      -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,   168,
     169,    -1,   171,   172,   173,   174,   175,    -1,   177,   178,
     179,   180,    -1,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,
     209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,
     219,   220,   221,    -1,    -1,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,    -1,   247,   248,
      -1,   250,    -1,   252,   253,   254,   255,   256,   257,    -1,
     259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,    -1,
     339,   340,   341,   342,   343,    -1,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,    -1,   378,
     379,   380,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,    -1,   393,   394,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
      -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,    -1,     3,
      -1,   440,   441,   442,     8,   444,   445,   446,   447,   448,
     449,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,    -1,     3,    -1,   440,   441,   442,     8,
     444,   445,   446,   447,   448,   449,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,
      -1,    40,    41,    -1,    43,    44,    45,    46,    47,    -1,
      49,    50,    -1,    52,    53,    54,    55,    56,    -1,    -1,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
      -1,   110,    -1,   112,   113,   114,   115,   116,   117,    -1,
     119,   120,   121,    -1,    -1,   124,   125,   126,   127,   128,
      -1,   130,   131,   132,    -1,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,   152,   153,    -1,   155,    -1,   157,    -1,
      -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,   168,
     169,    -1,   171,   172,   173,   174,   175,    -1,   177,   178,
     179,   180,    -1,   182,   183,   184,   185,   186,   187,    -1,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,    -1,
     199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,
     209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,
     219,   220,   221,    -1,    -1,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,    -1,   247,   248,
      -1,   250,    -1,   252,   253,   254,   255,   256,   257,    -1,
     259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,    -1,   333,   334,   335,   336,   337,    -1,
     339,   340,   341,   342,   343,    -1,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,    -1,   374,   375,    -1,    -1,   378,
     379,   380,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,    -1,   393,   394,   395,   396,   397,    -1,
      -1,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
      -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,    -1,     3,
      -1,   440,   441,   442,     8,   444,   445,   446,   447,   448,
     449,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,   440,   441,   442,    -1,
     444,   445,   446,   447,   448,   449,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   446,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     446,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    -1,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    -1,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    -1,    -1,    -1,    96,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,   143,   144,   145,    -1,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,    -1,    -1,    -1,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,    -1,
      -1,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,   285,    -1,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
      -1,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,    -1,   381,
      -1,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,   434,   435,   436,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   446,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,
      43,    44,    45,    -1,    47,    48,    49,    50,    -1,    52,
      53,    54,    55,    56,    -1,    -1,    59,    60,    61,    62,
      63,    -1,    65,    66,    67,    68,    -1,    -1,    71,    -1,
      73,    74,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    89,    90,    91,    92,
      -1,    -1,    -1,    96,    -1,    -1,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,    -1,   110,    -1,   112,
     113,   114,   115,   116,   117,    -1,   119,   120,   121,    -1,
      -1,   124,   125,   126,   127,   128,    -1,   130,   131,   132,
      -1,   134,   135,   136,    -1,   138,   139,   140,   141,    -1,
     143,   144,   145,    -1,    -1,   148,    -1,   150,   151,   152,
     153,    -1,   155,    -1,   157,   158,    -1,   160,   161,   162,
     163,    -1,   165,    -1,    -1,    -1,   169,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,   192,
     193,   194,   195,   196,   197,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,    -1,    -1,
     213,    -1,   215,   216,   217,    -1,   219,   220,   221,    -1,
      -1,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,    -1,   247,   248,   249,   250,    -1,    -1,
     253,   254,   255,   256,   257,    -1,   259,    -1,    -1,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,    -1,   285,    -1,   287,   288,   289,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,    -1,
     333,   334,   335,   336,   337,    -1,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,    -1,    -1,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
      -1,   374,   375,    -1,    -1,   378,   379,    -1,   381,    -1,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,    -1,
     393,   394,   395,   396,   397,    -1,    -1,   400,   401,   402,
     403,   404,    -1,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,
     423,   424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,   434,   435,   436,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   446,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,     4,     5,    -1,    -1,    -1,     9,
      -1,    -1,   446,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    -1,    -1,    -1,    96,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,    -1,
     160,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
     260,    -1,   262,   263,   264,    -1,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,     4,     5,
      -1,    -1,    -1,     9,   444,   445,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,
      96,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,   260,    -1,   262,   263,   264,    -1,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,     4,     5,    -1,    -1,    -1,     9,   444,   445,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    -1,    -1,    -1,    96,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,   260,    -1,
     262,   263,   264,    -1,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,     5,    -1,    -1,
      -1,     9,   444,   445,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,    -1,   160,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,   260,    -1,   262,   263,   264,    -1,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,     9,   444,   445,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,   159,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,     4,     5,    -1,    -1,    -1,     9,
     444,   445,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,    -1,   160,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    -1,
      -1,    -1,    96,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,   260,    -1,   262,   263,
     264,    -1,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    -1,    -1,    -1,    96,    -1,    -1,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,    -1,
     160,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,
      96,    -1,    -1,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    -1,    -1,    -1,    96,    -1,    -1,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,    -1,
      -1,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,    -1,   160,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    -1,
      -1,    -1,    96,    -1,    -1,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    -1,    -1,    -1,    96,    -1,    -1,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,    -1,
     160,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,
      96,    -1,    -1,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    -1,    -1,    -1,    96,    -1,    -1,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,    -1,
      -1,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,    -1,   160,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    -1,
      -1,    -1,    96,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    -1,    -1,    -1,    96,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,    -1,
     160,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,
      96,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,   247,   248,   249,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    -1,    -1,    -1,    96,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    -1,   247,   248,   249,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,    -1,   160,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,    -1,   247,
     248,   249,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    -1,
      -1,    -1,    96,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,   247,   248,   249,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    -1,    -1,    -1,    96,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,    -1,
     160,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    -1,   247,   248,   249,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    -1,    -1,    72,    73,    74,    75,
      76,    -1,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
     156,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,   156,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,   217,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      88,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,   164,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    88,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
     164,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,   156,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    88,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,   156,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      88,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,   261,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      30,    31,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,   261,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,   261,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    35,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    35,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    35,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,    -1,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    -1,    43,
      44,    45,    46,    47,    -1,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    69,    -1,    -1,    -1,    73,
      74,    75,    76,    -1,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    90,    91,    92,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,    -1,    -1,    -1,   161,   162,   163,
      -1,   165,   166,    -1,   168,   169,    -1,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,    -1,    -1,
     204,    -1,   206,   207,   208,   209,   210,    -1,    -1,   213,
     214,    -1,   216,    -1,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,    -1,   247,   248,    -1,   250,    -1,   252,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
      -1,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,    -1,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    -1,    43,    44,    45,
      46,    47,    -1,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,    74,    75,
      76,    -1,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    -1,    90,    91,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,    -1,    -1,    -1,   161,   162,   163,    -1,   165,
     166,    -1,   168,   169,    -1,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,    -1,    -1,   204,    -1,
     206,   207,   208,   209,   210,    -1,    -1,   213,   214,    -1,
     216,    -1,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
      -1,   247,   248,    -1,   250,    -1,   252,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,   268,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,    -1,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,    -1,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      -1,    43,    44,    45,    46,    47,    -1,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    74,    75,    76,    -1,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    90,    91,
      92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,    -1,    -1,    -1,   161,
     162,   163,    -1,   165,   166,    -1,   168,   169,    -1,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
      -1,    -1,   204,    -1,   206,   207,   208,   209,   210,    -1,
      -1,   213,   214,    -1,   216,    -1,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,   247,   248,    -1,   250,    -1,
     252,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,   268,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,    -1,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    -1,    43,    44,    45,    46,    47,
      -1,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    69,    -1,    -1,    -1,    73,    74,    75,    76,    -1,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    90,    91,    92,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
      -1,    -1,    -1,   161,   162,   163,    -1,   165,   166,    -1,
     168,   169,    -1,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,    -1,    -1,   204,    -1,   206,   207,
     208,   209,   210,    -1,    -1,   213,   214,    -1,   216,    -1,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,    -1,   247,
     248,    -1,   250,    -1,   252,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
     268,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,    -1,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,    -1,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    -1,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    -1,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    -1,
      -1,    -1,    96,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,    -1,   143,
     144,   145,    -1,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,    -1,    -1,    -1,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,   249,   250,    -1,    -1,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,   285,    -1,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,    -1,    -1,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,    -1,   381,    -1,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     434,   435,   436,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    -1,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    -1,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    -1,    -1,    -1,    96,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,   143,   144,   145,    -1,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,    -1,    -1,    -1,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,    -1,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,   285,    -1,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,    -1,   381,
      -1,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,    -1,   406,    -1,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   434,   435,   436,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    -1,    43,    44,    45,    46,    47,    -1,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    69,
      -1,    -1,    -1,    73,    74,    75,    76,    -1,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    -1,
      90,    91,    92,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,    -1,    -1,
      -1,   161,   162,   163,    -1,   165,   166,    -1,   168,   169,
      -1,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,    -1,    -1,   204,    -1,   206,   207,   208,   209,
     210,    -1,    -1,   213,   214,    -1,   216,    -1,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,    -1,   247,   248,    -1,
     250,    -1,   252,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,   268,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,    -1,
     320,   321,   322,   323,    -1,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      -1,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    -1,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,
      96,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,    -1,   143,   144,   145,
      -1,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
      -1,    -1,    -1,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,    -1,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,   247,   248,   249,   250,    -1,    -1,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,   285,
      -1,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,    -1,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,    -1,   381,    -1,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,    -1,
     406,    -1,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,   435,
     436,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    -1,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    -1,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    -1,
      -1,    -1,    96,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,    -1,   143,
     144,   145,    -1,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,    -1,    -1,    -1,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,    -1,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,   247,   248,   249,   250,    -1,    -1,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,   285,    -1,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,    -1,    -1,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,    -1,   381,    -1,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,    -1,   406,    -1,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     434,   435,   436,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    -1,    47,    48,    49,    50,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    61,
      62,    63,    -1,    65,    66,    67,    68,    -1,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    -1,    -1,    -1,    96,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,   143,   144,   145,    -1,    -1,   148,    -1,   150,   151,
     152,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,    -1,    -1,    -1,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,    -1,
     192,   193,   194,   195,   196,   197,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,    -1,
      -1,   253,   254,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,   285,    -1,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
      -1,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,    -1,    -1,   378,   379,    -1,   381,
      -1,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,    -1,   406,    -1,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   434,   435,   436,    -1,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    27,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    38,    -1,
      40,    41,    42,    43,    44,    45,    -1,    47,    48,    49,
      50,    -1,    52,    53,    54,    55,    56,    -1,    -1,    59,
      60,    61,    62,    63,    -1,    65,    66,    67,    68,    -1,
      -1,    71,    -1,    73,    74,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    -1,    89,
      90,    91,    92,    -1,    -1,    -1,    96,    -1,    -1,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,    -1,
     110,    -1,   112,   113,   114,   115,   116,   117,    -1,   119,
     120,   121,    -1,    -1,   124,   125,   126,   127,   128,    -1,
     130,   131,   132,    -1,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,   143,   144,   145,    -1,    -1,   148,    -1,
     150,   151,   152,   153,    -1,   155,    -1,   157,   158,    -1,
     160,   161,   162,   163,    -1,   165,    -1,    -1,    -1,   169,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,    -1,   182,   183,   184,   185,   186,   187,    -1,   189,
     190,    -1,   192,   193,   194,   195,   196,   197,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,    -1,    -1,   213,    -1,   215,   216,   217,    -1,   219,
     220,   221,    -1,    -1,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,   249,
     250,    -1,    -1,   253,   254,   255,   256,   257,    -1,   259,
      -1,    -1,   262,   263,   264,    -1,    -1,   267,    -1,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,    -1,   285,    -1,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,    -1,   333,   334,   335,   336,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,    -1,    -1,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,    -1,    -1,   378,   379,
      -1,   381,    -1,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,    -1,
     400,   401,   402,   403,   404,    -1,   406,    -1,   408,   409,
     410,   411,   412,   413,    -1,    -1,   416,    -1,    -1,   419,
     420,   421,   422,   423,   424,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   434,   435,   436,    -1,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      38,    -1,    40,    41,    42,    43,    44,    45,    -1,    47,
      48,    49,    50,    -1,    52,    53,    54,    55,    56,    -1,
      -1,    59,    60,    61,    62,    63,    -1,    65,    66,    67,
      68,    -1,    -1,    71,    -1,    73,    74,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    89,    90,    91,    92,    -1,    -1,    -1,    96,    -1,
      -1,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,    -1,   110,    -1,   112,   113,   114,   115,   116,   117,
      -1,   119,   120,   121,    -1,    -1,   124,   125,   126,   127,
     128,    -1,   130,   131,   132,    -1,   134,   135,   136,    -1,
     138,   139,   140,   141,    -1,   143,   144,   145,    -1,    -1,
     148,    -1,   150,   151,   152,   153,    -1,   155,    -1,   157,
     158,    -1,   160,   161,   162,   163,    -1,   165,    -1,    -1,
      -1,   169,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,    -1,   182,   183,   184,   185,   186,   187,
      -1,   189,   190,    -1,   192,   193,   194,   195,   196,   197,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,    -1,    -1,   213,    -1,   215,   216,   217,
      -1,   219,   220,   221,    -1,    -1,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,   249,   250,    -1,    -1,   253,   254,   255,   256,   257,
      -1,   259,    -1,    -1,   262,   263,   264,    -1,    -1,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,    -1,   285,    -1,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,    -1,   333,   334,   335,   336,   337,
      -1,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,    -1,    -1,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,    -1,    -1,
     378,   379,    -1,   381,    -1,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,    -1,   393,   394,   395,   396,   397,
      -1,    -1,   400,   401,   402,   403,   404,    -1,   406,    -1,
     408,   409,   410,   411,   412,   413,    -1,    -1,   416,    -1,
      -1,   419,   420,   421,   422,   423,   424,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   434,   435,   436,    -1,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    27,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    37,    38,    -1,    40,    41,    42,    43,    44,    45,
      -1,    47,    48,    49,    50,    -1,    52,    53,    54,    55,
      56,    -1,    -1,    59,    60,    61,    62,    63,    -1,    65,
      66,    67,    68,    -1,    -1,    71,    -1,    73,    74,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    -1,    89,    90,    91,    92,    -1,    -1,    -1,
      96,    -1,    -1,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,    -1,   110,    -1,   112,   113,   114,   115,
     116,   117,    -1,   119,   120,   121,    -1,    -1,   124,   125,
     126,   127,   128,    -1,   130,   131,   132,    -1,   134,   135,
     136,    -1,   138,   139,   140,   141,    -1,   143,   144,   145,
      -1,    -1,   148,    -1,   150,   151,   152,   153,    -1,   155,
      -1,   157,   158,    -1,   160,   161,   162,   163,    -1,   165,
      -1,    -1,    -1,   169,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,    -1,   182,   183,   184,   185,
     186,   187,    -1,   189,   190,    -1,   192,   193,   194,   195,
     196,   197,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,    -1,   213,    -1,   215,
     216,   217,    -1,   219,   220,   221,    -1,    -1,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,   249,   250,    -1,    -1,   253,   254,   255,
     256,   257,    -1,   259,    -1,    -1,   262,   263,   264,    -1,
      -1,   267,    -1,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,    -1,   285,
      -1,   287,   288,   289,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,    -1,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
      -1,    -1,   378,   379,    -1,   381,    -1,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,    -1,   400,   401,   402,   403,   404,    -1,
     406,    -1,   408,   409,   410,   411,   412,   413,    -1,    -1,
     416,    -1,    -1,   419,   420,   421,   422,   423,   424,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,   435,
     436,    -1,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    27,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    37,    38,    -1,    40,    41,    42,    43,
      44,    45,    -1,    47,    48,    49,    50,    -1,    52,    53,
      54,    55,    56,    -1,    -1,    59,    60,    61,    62,    63,
      -1,    65,    66,    67,    68,    -1,    -1,    71,    -1,    73,
      74,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    89,    90,    91,    92,    -1,
      -1,    -1,    96,    -1,    -1,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,    -1,   110,    -1,   112,   113,
     114,   115,   116,   117,    -1,   119,   120,   121,    -1,    -1,
     124,   125,   126,   127,   128,    -1,   130,   131,   132,    -1,
     134,   135,   136,    -1,   138,   139,   140,   141,    -1,   143,
     144,   145,    -1,    -1,   148,    -1,   150,   151,   152,   153,
      -1,   155,    -1,   157,   158,    -1,   160,   161,   162,   163,
      -1,   165,    -1,    -1,    -1,   169,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,    -1,   182,   183,
     184,   185,   186,   187,    -1,   189,   190,    -1,   192,   193,
     194,   195,   196,   197,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,    -1,    -1,   213,
      -1,   215,   216,   217,    -1,   219,   220,   221,    -1,    -1,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,   249,   250,    -1,    -1,   253,
     254,   255,   256,   257,    -1,   259,    -1,    -1,   262,   263,
     264,    -1,    -1,   267,    -1,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
      -1,   285,    -1,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,    -1,   333,
     334,   335,   336,   337,    -1,   339,   340,    -1,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,    -1,    -1,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,    -1,    -1,   378,   379,    -1,   381,    -1,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,   400,   401,   402,   403,
     404,    -1,   406,    -1,   408,   409,   410,   411,   412,   413,
      -1,    -1,   416,    -1,    -1,   419,   420,   421,   422,   423,
     424,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     434,   435,   436,    -1,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    27,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    37,    38,    -1,    40,    41,
      42,    43,    44,    45,    -1,    -1,    48,    -1,    -1,    -1,
      52,    53,    54,    55,    56,    -1,    -1,    59,    60,    -1,
      -1,    63,    -1,    65,    66,    67,    68,    -1,    -1,    71,
      -1,    73,    74,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    89,    90,    91,
      92,    -1,    -1,    -1,    96,    -1,    -1,    -1,   100,   101,
     102,   103,   104,   105,    -1,    -1,   108,    -1,   110,    -1,
     112,   113,   114,   115,   116,   117,    -1,   119,   120,   121,
      -1,    -1,   124,   125,   126,   127,   128,    -1,   130,   131,
     132,    -1,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,   143,   144,   145,    -1,    -1,   148,    -1,   150,   151,
      -1,   153,    -1,   155,    -1,   157,   158,    -1,   160,   161,
     162,   163,    -1,   165,    -1,    -1,    -1,   169,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,    -1,
     182,   183,   184,   185,   186,   187,    -1,   189,   190,    -1,
     192,   193,   194,   195,    -1,    -1,    -1,    -1,    -1,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,    -1,
      -1,   213,    -1,   215,   216,   217,    -1,   219,   220,   221,
      -1,    -1,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,    -1,   241,
      -1,   243,   244,    -1,    -1,   247,   248,   249,   250,    -1,
      -1,   253,    -1,   255,   256,   257,    -1,   259,    -1,    -1,
     262,   263,   264,    -1,    -1,   267,    -1,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,    -1,   285,    -1,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,    -1,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
      -1,   333,   334,   335,   336,   337,    -1,   339,   340,    -1,
     342,   343,   344,   345,   346,    -1,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
      -1,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,    -1,    -1,    -1,   378,   379,    -1,   381,
      -1,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,   400,   401,
     402,   403,   404,    -1,    -1,    -1,   408,   409,   410,   411,
     412,   413,    -1,    -1,   416,    -1,    -1,   419,   420,   421,
     422,   423,   424,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   434,   435,   436
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    18,    28,    30,    31,    45,    65,    67,    68,    73,
      75,    86,    88,   105,   108,   121,   123,   127,   133,   141,
     143,   149,   164,   180,   219,   220,   225,   237,   248,   288,
     300,   305,   306,   308,   313,   318,   321,   326,   331,   332,
     339,   343,   353,   365,   384,   394,   400,   405,   418,   439,
     453,   460,   461,   462,   463,   469,   470,   472,   473,   474,
     475,   476,   477,   478,   480,   481,   485,   497,   502,   503,
     506,   507,   508,   520,   523,   524,   540,   577,   580,   583,
     584,   585,   592,   598,   600,   602,   603,   606,   609,   610,
     614,   615,   624,   628,   629,   630,   631,   632,   635,   637,
     638,   639,   640,   641,   648,   649,   662,   663,   667,   669,
     670,   671,   681,   683,   690,   691,   694,   695,   696,   697,
     698,   704,   706,   709,   713,   717,   718,   728,   729,   732,
     737,   748,   771,   774,   775,   776,   779,   782,   784,   786,
     788,   789,   794,   795,   798,   799,   800,   803,   804,   811,
     812,   814,   815,   816,   821,   823,   824,   830,   831,   832,
     833,   834,   835,   837,   838,   840,   841,   843,   846,   847,
     852,   858,   861,   863,   864,   872,   874,   879,   886,   890,
     891,   892,   893,   894,   895,   898,   933,   378,   421,   817,
      25,    71,    85,   103,   109,   125,   136,   144,   156,   161,
     167,   184,   209,   230,   262,   283,   293,   320,   325,   327,
     333,   336,   364,   365,   368,   372,   381,   386,   398,   411,
     599,   817,     3,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    37,    38,    40,    41,    43,
      44,    45,    46,    47,    49,    50,    52,    53,    54,    55,
      56,    59,    60,    61,    62,    63,    65,    66,    67,    68,
      69,    73,    74,    75,    76,    78,    79,    80,    82,    83,
      84,    85,    86,    87,    90,    91,    92,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   110,   112,   113,   114,
     115,   116,   117,   119,   120,   121,   124,   125,   126,   127,
     128,   130,   131,   132,   134,   135,   136,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   148,   150,   151,   152,
     153,   155,   157,   161,   162,   163,   165,   166,   168,   169,
     171,   172,   173,   174,   175,   177,   178,   179,   180,   182,
     183,   184,   185,   186,   187,   189,   191,   192,   193,   194,
     195,   196,   197,   199,   201,   204,   206,   207,   208,   209,
     210,   213,   214,   216,   219,   220,   221,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   242,   243,   244,   245,   247,   248,
     250,   252,   253,   254,   255,   256,   257,   259,   262,   263,
     264,   267,   268,   270,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   282,   283,   284,   285,   286,   287,   288,
     289,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   317,   318,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   333,
     334,   335,   336,   337,   339,   340,   341,   342,   343,   345,
     346,   347,   348,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   363,   364,   366,   368,   369,
     370,   371,   372,   374,   375,   378,   379,   380,   381,   382,
     384,   385,   386,   387,   388,   389,   390,   393,   394,   395,
     396,   397,   400,   401,   402,   403,   404,   405,   406,   408,
     410,   411,   412,   413,   416,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   887,  1055,  1069,  1073,  1074,   409,   848,
     260,   289,   817,    48,   453,   531,    20,    25,    37,    58,
      71,    81,   103,   109,   125,   136,   144,   156,   163,   167,
     221,   262,   265,   283,   320,   327,   336,   368,   369,   371,
     372,   381,   386,   392,   395,   398,   541,   582,   686,   738,
     749,    26,   288,  1055,   887,    26,   282,   334,   369,   371,
       5,   208,   780,   781,  1064,    20,    25,    37,    58,    71,
      85,   103,   125,   136,   144,   156,   161,   167,   184,   230,
     262,   273,   283,   320,   325,   327,   333,   336,   365,   368,
     372,   379,   381,   386,   398,   411,   599,   699,   817,  1055,
      88,   409,   453,   577,   580,   583,   847,   853,   861,   864,
     872,   879,   886,   890,     9,    19,    26,    43,   151,   157,
     159,   181,   210,   243,   291,   307,   444,   445,   714,   715,
     887,  1063,  1065,    26,    88,   304,   332,   719,   720,   721,
    1069,   156,  1069,  1060,  1064,   365,   901,   714,  1069,   378,
    1055,   273,   230,   103,   184,   327,   364,   365,   453,   790,
     791,   326,  1069,    26,   337,   374,   378,   489,   498,   499,
    1069,    23,   164,   719,   720,   289,   817,  1069,   207,    26,
     122,   903,   904,    59,    82,   221,   239,   320,   327,   337,
     374,   378,   424,   486,   487,   488,   489,    26,   337,   374,
     378,   489,   378,   261,   944,  1053,  1069,   901,   446,  1069,
     160,   453,   849,   453,  1048,   302,   896,   897,  1055,   896,
     891,   892,   895,     0,   456,   848,   137,   198,   266,   391,
     905,   906,   891,   893,   894,   114,   194,   397,   457,     3,
      42,    48,    71,    77,    89,    96,   158,   160,   176,   190,
     202,   203,   205,   215,   217,   241,   249,   269,   271,   319,
     344,   367,   409,  1061,  1069,  1070,  1073,  1075,   701,  1069,
     701,  1056,  1069,   292,   701,   381,   701,  1055,  1069,   102,
     365,   727,  1061,     3,    99,   338,  1066,  1067,  1071,  1073,
    1074,  1075,    26,   175,  1053,   255,   411,     8,    15,    16,
      17,    66,   148,   440,   441,   442,   444,   445,   446,   447,
     448,   449,   778,  1014,  1015,  1069,   175,  1055,    26,  1066,
    1067,  1055,  1055,   175,  1053,  1055,   313,   339,    26,   175,
     944,  1055,   329,  1055,   701,   228,  1066,  1067,   175,  1053,
     208,   111,   204,   246,   298,   818,   819,   820,  1053,  1059,
    1069,    20,    25,    58,    71,    72,    81,    85,   103,   125,
     136,   144,   156,   161,   184,   209,   230,   262,   283,   320,
     325,   327,   333,   336,   365,   368,   372,   379,   381,   386,
     411,   599,   707,  1064,   860,   864,   872,   879,   890,  1053,
     232,  1061,  1055,   453,   701,   381,  1056,   701,   381,   175,
    1055,   102,   365,   369,   371,  1066,  1067,   369,   371,    66,
     148,   778,   311,  1055,  1066,   175,   482,  1069,  1055,  1055,
     329,  1055,   701,   228,  1066,   302,   333,   365,   411,   230,
      85,   184,   161,   325,   379,   385,   593,    26,  1055,   888,
     496,  1064,  1071,   781,   232,   175,  1061,  1055,   175,   785,
     175,  1056,     3,    47,    49,    50,    61,    62,   106,   107,
     126,   152,   175,   196,   197,   199,   240,   242,   254,   299,
     341,   347,   374,   375,   406,   703,   959,   961,   963,   965,
     967,   969,   970,   971,   973,   974,   975,   978,   979,  1070,
    1073,   381,   102,   365,   175,  1061,   175,  1067,  1068,    77,
     411,    66,   148,   175,   778,    52,   175,  1055,   175,  1068,
     175,  1055,   175,  1055,   175,  1055,   329,   785,   175,  1055,
     175,   703,   175,   228,  1068,   208,   175,   700,   701,   453,
     862,   541,   853,   405,   847,   854,   855,   856,  1071,   848,
    1065,   715,   716,    26,   716,  1065,   716,    26,   716,  1065,
     716,   716,   716,  1065,  1063,  1063,   887,   716,   292,   453,
     453,   560,   560,   560,   260,   376,   457,   560,   327,   944,
     945,   457,   813,  1064,   453,   859,    52,   411,   409,   792,
     793,  1053,  1055,  1069,    42,   436,   204,   455,   263,   263,
     260,   159,  1064,   376,   154,   710,   260,     4,     6,     7,
       8,    10,    34,    47,    49,    50,    57,    58,    61,    62,
      69,    71,    93,    94,    95,    96,    97,    98,    99,   106,
     107,   142,   146,   147,   152,   166,   168,   196,   197,   199,
     214,   222,   223,   240,   242,   246,   251,   252,   254,   262,
     272,   284,   299,   323,   338,   347,   361,   374,   375,   380,
     382,   383,   392,   398,   406,   426,   427,   428,   429,   430,
     431,   432,   433,   437,   444,   445,   446,   453,   891,   962,
     965,   968,   969,   970,   972,   973,   974,   978,   979,   983,
     985,   986,   987,   989,  1010,  1011,  1012,  1016,  1035,  1040,
    1050,  1051,  1061,  1062,  1063,  1064,  1069,  1049,  1050,  1064,
      26,   504,  1052,  1053,   337,   486,   109,   495,  1064,   496,
    1064,    42,    63,   486,   436,   348,   819,   263,   159,   376,
     442,    42,   436,   204,   820,   453,  1053,   446,   451,   455,
    1041,  1043,   945,     3,   158,   160,   409,   844,   845,   847,
     158,   850,   109,   983,  1046,  1047,   896,   457,   453,   851,
     454,   454,   462,  1053,    26,   122,   902,   902,    52,   902,
     149,   154,   218,   258,   909,   911,   912,   927,   929,   930,
     931,   905,   906,   159,   200,   944,   946,  1048,   453,   761,
    1043,   274,   309,   339,   455,   702,   274,   309,   339,     3,
      80,   131,   224,   274,   309,   339,   368,   370,   418,   497,
     500,   825,   826,   827,   828,   733,    22,   127,   274,   309,
     339,   402,   511,  1055,   339,    22,   127,   397,   479,   422,
     175,   944,    54,    87,   117,   145,   178,   213,   246,   274,
     275,   309,   317,   324,   331,   339,   351,   359,   413,   497,
     501,   764,   772,   453,   750,   309,   479,   181,   142,    22,
      28,    68,   117,   120,   127,   130,   155,   186,   244,   246,
     256,   264,   274,   309,   312,   313,   339,   402,   509,   510,
     618,     4,   445,   590,  1065,    26,   175,  1053,   701,   701,
     453,   777,   455,   142,   260,   181,   471,   309,   418,   439,
     464,   471,   260,   274,   309,   142,    53,   101,   183,   231,
     234,   244,   273,   309,   314,   339,   353,   509,   587,   588,
     274,   309,   410,   618,   626,   499,   487,   489,   181,   142,
     309,   339,   509,   274,   309,   313,   339,    78,   119,   276,
     370,   260,    22,    28,   127,   274,   309,   339,   521,   522,
     154,   309,   339,   464,   500,   142,   309,   339,   509,  1055,
     216,   111,   261,   423,   457,   818,   399,   842,   260,   232,
    1061,   453,  1055,   959,   381,   102,   365,  1061,   255,   411,
      66,   148,   778,  1055,  1055,   329,   154,  1055,   959,   208,
     701,   454,   560,  1055,   453,   676,   761,    64,   959,   159,
     453,   672,  1055,   464,    35,   836,  1055,   246,   464,   422,
     175,  1053,   464,   701,   701,   672,   395,   541,   260,   464,
     246,    42,   483,   386,   625,   274,   601,    78,   119,   276,
     370,    24,    44,   195,   650,    35,   672,   154,   464,   411,
     175,  1053,   175,   578,  1053,  1053,   411,   701,    77,   739,
    1061,  1055,   154,   599,    48,   100,   193,   244,   328,   142,
     761,    55,   315,   512,   142,   453,   142,   408,   976,   976,
     976,   453,   964,   964,   286,   453,   966,   142,    61,    62,
     976,   964,   961,   420,   439,   453,   980,   453,   980,   457,
     512,    34,   960,    62,   453,   977,   104,   173,   233,   236,
     330,   434,   453,   981,   982,   702,   964,   422,   142,   750,
     142,   457,   175,   700,   175,   701,   175,   701,   142,   777,
    1068,   142,   260,   142,   142,   260,   142,   512,   142,    78,
     119,   276,   370,   154,   142,   260,   142,   512,   142,   154,
     175,   175,   496,   142,   457,   512,   983,  1019,   365,   454,
     457,   147,   260,   383,   493,   496,   590,   857,   853,   716,
     887,   716,   887,   716,   887,   716,   887,   716,   887,   887,
     887,   716,   887,   453,   561,   562,  1069,   561,    26,   103,
     125,   156,   161,   208,   209,   327,   333,   365,   368,   386,
     722,  1052,  1068,   721,  1055,   181,   457,   875,  1064,   959,
    1022,    35,  1068,   739,   454,   457,   216,  1069,   154,   154,
     722,  1068,   326,  1069,   496,   260,   453,  1044,   451,   891,
    1023,   983,  1039,   453,   453,   154,   453,   453,   891,   453,
     453,   453,   453,   453,   453,   983,   453,   453,   453,   453,
     453,   453,   453,   453,   891,   453,   453,   453,   453,   453,
     453,   453,   453,   983,   983,   983,   891,   983,  1019,  1043,
    1064,   453,  1064,     3,     8,    11,    15,    16,    17,    32,
      35,    40,    46,    70,   176,   181,   202,   203,   217,   249,
     262,   265,   344,   437,   440,   441,   442,   444,   445,   446,
     447,   448,   449,  1014,  1016,  1018,   419,   998,   271,   983,
     200,   457,   899,   453,  1064,  1043,   899,   112,   177,   505,
     457,    63,   109,   496,    35,     3,   109,   221,   494,   590,
     979,  1064,  1064,    83,   124,   995,    92,   109,   490,   491,
     493,   590,   109,   490,   216,  1053,   983,  1042,     3,    26,
      30,    31,    32,    33,    34,    35,    36,    39,    51,    57,
      58,    64,    70,    72,    81,    88,    93,    94,    95,    97,
      98,    99,   109,   111,   118,   122,   123,   129,   133,   137,
     147,   149,   154,   156,   159,   164,   167,   170,   181,   188,
     198,   200,   211,   212,   218,   222,   223,   246,   251,   258,
     260,   261,   265,   266,   281,   290,   304,   316,   332,   338,
     349,   362,   365,   373,   376,   377,   383,   391,   392,   398,
     399,   407,   414,   415,   417,   418,   446,  1058,  1072,  1073,
    1074,  1075,  1076,  1041,    84,   314,   705,   454,   457,   848,
     454,   457,   897,  1054,  1055,    35,   851,   893,   893,   907,
     908,   983,   893,   151,   243,   918,   206,   244,   298,   342,
     397,    26,   913,   983,   914,   916,   983,   985,   927,   928,
     912,   911,   909,   910,   154,   930,   256,   932,   909,   927,
     946,   865,  1053,    35,  1069,   339,   181,   191,   266,   268,
     341,   407,   446,   754,   755,   756,   758,   760,   762,   959,
    1070,   274,   309,   339,   376,   376,   327,  1058,   455,   376,
     376,   327,   218,   376,   376,   368,   486,   274,   825,   827,
     442,   829,   154,   164,   181,   318,   734,   735,    64,    81,
     138,   156,   290,   392,   557,   558,    81,   109,   246,   376,
      81,   376,   109,   246,   327,    81,   120,   130,   274,   309,
     668,   327,   607,    25,    58,    71,    85,   125,   136,   156,
     161,   230,   262,   327,   333,   336,   365,   372,   379,   386,
     411,   599,  1055,   142,   309,   339,   509,   260,   590,   260,
     331,   213,   376,  1069,   376,   251,   590,   113,   201,   327,
     337,   378,   488,   315,   339,   764,   773,   454,   751,   754,
     376,   398,   368,  1053,    72,   138,   175,   548,   557,  1069,
      72,    81,   796,   260,   260,   323,   325,   381,    81,   796,
      29,   312,   323,   325,   381,   323,  1053,   155,   186,   256,
     701,   453,   376,   376,   174,   453,   516,   227,   368,   395,
     418,   420,   516,    81,   457,     4,   274,   181,   142,   117,
     309,   339,   509,   399,   399,   245,   959,   274,   339,   778,
    1055,  1053,   103,   500,   376,   466,   500,  1053,   376,   376,
    1053,   590,    52,   589,   590,   590,   101,   231,   234,    52,
     376,   464,   327,   464,   244,   588,   376,   376,   251,  1064,
     618,   368,   944,    81,   376,   796,   327,   376,   376,   516,
     516,   701,   701,   701,   701,  1053,    41,   404,    41,    41,
     376,    41,   376,   327,   457,   398,   636,  1067,   376,   466,
    1053,   376,   327,   274,   309,   298,   310,   335,   492,   818,
    1059,  1069,  1053,   761,   959,   260,   202,   422,   750,   590,
     701,   701,   777,   260,   202,   260,    78,   119,   276,   370,
     959,   260,   202,   701,   202,   376,   418,   532,   386,     3,
     677,   678,   672,   453,    35,   701,   673,   674,  1072,    24,
     825,   959,   260,   142,   604,  1055,   246,   453,   465,   686,
     399,   302,   411,  1053,   465,   142,  1067,    88,   164,   484,
     540,   584,   649,   717,   737,   821,  1064,   626,   627,  1067,
     224,   701,   701,   701,   701,   256,   114,   194,   384,   397,
     651,   652,   134,   297,   453,   636,   465,  1053,   246,   586,
     587,   246,    35,   256,   453,   560,   560,   175,   581,  1053,
     154,   175,   740,  1059,   453,   752,    35,   959,   208,   418,
     420,   889,   328,  1061,   512,   959,  1056,   453,  1019,  1063,
     703,   976,   976,    34,   960,   374,   374,  1063,  1063,   959,
     451,   451,   339,  1063,   376,   376,   376,   453,   376,  1063,
     964,   175,  1055,  1061,   512,  1068,  1067,   142,   512,   142,
     399,   142,   399,   778,   512,   512,  1055,   701,  1068,  1055,
     701,  1055,  1055,   959,  1055,   701,   703,  1068,   636,   142,
     142,   512,   700,   701,   454,   457,   175,  1053,   853,   855,
     887,   887,   887,   887,   887,   887,   561,   454,   457,   454,
     162,   334,   366,  1054,   700,   102,   336,   726,   727,  1054,
     255,  1054,  1052,  1052,  1054,   700,   376,   418,   730,   137,
     218,   633,   634,    20,   140,   323,   342,   876,   944,   250,
     877,   454,   457,   860,   376,  1053,   790,   791,   793,   720,
     719,   720,   159,   165,   731,  1069,    25,    72,   103,   125,
     136,   156,   161,   209,   230,   320,   327,   333,   365,   368,
     386,   411,   599,   711,  1019,  1041,   452,  1019,  1023,  1024,
     414,  1036,  1037,   983,  1019,   453,  1063,  1063,     3,   104,
     173,   233,   236,   330,   434,  1025,  1026,  1064,  1019,  1019,
    1019,  1063,  1063,   983,   778,   983,  1027,   323,   444,   445,
     453,   984,   985,  1016,  1029,   454,  1019,   983,  1019,  1030,
     983,    51,   159,   212,   377,   983,  1019,  1033,  1019,   238,
     985,   983,   993,   994,   995,   238,   983,   995,   454,   457,
    1063,   981,   959,   983,   983,   983,   983,  1072,   374,    39,
     362,  1045,   701,   983,   453,   891,  1034,   122,   124,   147,
     246,   251,   256,   383,   393,   983,   453,   983,   376,    46,
     176,   181,   217,   344,   983,   983,   983,   983,   983,   983,
     983,   983,   983,   983,    26,    33,   349,  1013,   167,   150,
     999,   323,   453,  1010,   163,   221,   365,   369,   371,   395,
     900,  1053,  1051,   159,   934,    26,   122,   407,   446,   454,
     756,   983,  1020,  1021,  1070,   934,  1053,   378,   453,  1064,
     457,   454,   452,   458,   174,   174,   512,  1053,   845,   846,
    1053,  1046,   454,   457,   453,   457,    36,   118,   399,   746,
     453,   915,  1065,   342,   206,   261,   457,   323,   324,   917,
    1052,   250,   346,   878,   928,   910,   399,   873,   109,   453,
     866,   890,    35,  1069,   453,   880,   881,   882,   883,   884,
    1069,   268,    52,  1070,   454,   756,   758,   755,   758,  1070,
     266,   454,   457,   702,   376,   376,   327,  1067,  1055,  1055,
    1058,  1067,  1055,  1055,  1067,  1056,  1055,   109,   493,  1065,
     320,   398,   719,   327,   164,   719,   453,  1055,   399,   741,
     206,   206,   399,   453,   576,   175,  1055,   251,  1067,  1055,
    1055,   983,   251,  1055,  1055,    29,   312,   376,   376,  1055,
     376,   608,  1061,   453,   701,   701,   959,   381,   102,   365,
     727,   411,    66,   148,   778,  1055,   701,  1055,   701,   329,
     154,   959,   701,   208,   169,   244,   274,   309,   403,   611,
     612,   613,   944,   376,   796,   327,   251,   144,   113,   201,
    1067,  1055,   260,  1055,   454,   457,  1066,  1068,  1055,   309,
     509,   175,   548,   246,   959,  1055,  1069,  1055,   144,   216,
    1055,    26,   398,  1055,   175,  1055,   175,  1069,   325,   381,
     325,   381,   216,  1055,    26,   398,  1055,   216,   323,  1053,
      22,   127,   339,   619,   620,   621,   622,  1072,  1067,  1055,
     109,   160,   247,   399,   515,   518,   519,  1072,  1055,   259,
      68,   259,  1055,   510,   376,   368,  1053,   260,   376,   796,
     327,  1057,  1069,  1057,   457,   454,   457,   376,   327,   453,
     260,   309,   376,   645,  1056,  1066,     3,    80,   132,   186,
     280,   390,   398,   401,   467,   309,  1067,  1055,   309,   339,
     509,   587,   590,   701,  1055,   590,  1055,   590,  1067,  1055,
    1055,   309,   339,   509,  1055,  1055,  1055,  1055,  1067,  1055,
      22,    28,   127,   274,   309,   339,   274,   309,   339,   672,
     309,   339,   309,   339,   117,   309,   958,  1069,   175,   682,
    1069,   175,  1069,  1067,  1055,  1055,  1055,    22,   522,   336,
    1066,   309,   339,   509,  1055,  1055,   376,   376,    76,   389,
     298,   202,    35,   125,   701,   251,   708,  1064,   202,   202,
     399,   399,   202,   701,   708,   701,   208,   701,   708,   202,
     708,   295,   526,   259,   159,   376,   525,   184,   442,   454,
     457,   983,   959,   454,   457,   442,   651,   550,  1072,  1055,
      55,   159,   327,   410,   605,   612,   613,   142,   217,   542,
     544,   546,   548,   554,   557,    23,   181,   320,   363,   467,
     468,   154,  1057,   411,  1053,   154,   646,   482,  1069,   483,
     265,   541,   156,  1064,   672,   672,   672,   672,   256,   260,
     265,   453,   672,   956,   957,   958,   336,   453,   142,   142,
     141,   890,   701,   542,  1069,   418,   420,   572,   418,   517,
     246,    35,   560,  1064,   246,   260,   454,   753,   754,   759,
      35,   208,   317,   379,   417,   763,   764,   765,   260,   208,
     496,   172,   172,   154,   761,    35,  1019,   454,   454,   512,
     451,   436,   436,   454,   454,  1063,   452,  1063,  1069,   454,
     173,   233,   982,   233,   982,   982,  1063,   236,   454,   142,
     512,   750,   700,   701,  1057,   701,  1057,   777,   260,   512,
     260,   512,   512,   208,   260,   512,   512,   336,   154,   496,
     512,   983,   246,   454,   562,   181,   181,   181,   422,  1054,
     457,   590,   591,   167,   723,   724,  1067,    23,   731,   376,
     453,   159,   140,   342,   140,   342,   323,   397,   235,   959,
    1067,   418,   579,  1053,  1055,   159,   260,   723,    52,   512,
    1061,   959,   381,   365,  1061,   255,   411,   959,   208,   701,
     454,   452,   452,   457,   983,   129,  1037,  1038,    35,   454,
     983,   454,   454,   454,   159,   454,   454,   454,   454,   454,
     457,   454,   281,  1028,   454,   453,   984,   984,  1019,    11,
      15,    16,    17,   181,   202,   262,   440,   441,   442,   444,
     445,   446,   447,   448,   449,  1016,   984,   454,   454,   154,
     159,  1031,  1032,   454,    35,  1033,  1019,  1033,  1033,   159,
     454,   454,  1072,   279,   997,    35,   454,   457,   983,  1072,
     457,   983,  1044,   983,   454,   436,   984,   984,   135,  1019,
     159,   122,   124,   147,   251,   256,   383,   393,   453,   135,
     778,   983,   362,  1045,   983,  1034,   983,   376,   453,   891,
     453,   453,   270,  1003,   453,  1019,   369,   371,   369,   371,
    1053,   901,   901,   901,   211,   324,   453,   891,   935,   936,
     937,   944,   949,   986,   988,   989,  1061,  1069,   415,   954,
    1020,  1020,  1021,   454,    13,    14,   457,   905,   906,   954,
     819,  1063,   981,   491,   983,  1042,   851,  1055,   860,   908,
     262,  1014,  1017,   438,   747,   983,   917,   397,   914,   226,
     935,   415,   955,   405,   867,   868,  1069,   260,   869,  1069,
     884,   885,   457,   934,   442,  1044,   762,   702,   758,   758,
      52,   760,   448,  1067,  1055,  1055,  1068,  1068,   260,  1054,
     263,   260,   983,   558,  1057,   453,   453,   453,   576,   184,
     561,   660,   142,   512,   376,  1067,  1055,   496,   761,   959,
    1055,   422,   701,   701,   701,   701,   777,    78,   119,   276,
     370,   959,  1055,   594,  1055,   169,   403,   376,   376,   594,
     611,   618,   309,   339,   509,  1055,  1055,  1055,   192,  1055,
     251,   754,   273,   339,   376,   246,   142,   264,   616,   660,
     127,   313,   339,   511,   618,   797,  1055,   331,   142,   512,
     142,   512,  1055,  1055,  1055,  1055,   331,   331,   216,   621,
     622,   621,   454,   457,   623,  1064,   184,   454,   457,   442,
     455,  1067,  1055,   309,   339,   509,   144,  1055,  1055,  1055,
     274,   309,   339,    22,   127,   274,   309,   339,   959,   245,
     959,  1067,  1055,   801,   802,  1072,  1053,   376,  1068,   399,
     642,   218,   280,   251,  1064,   280,  1068,   396,   376,   376,
     327,   273,   339,    81,   376,   796,   327,   376,   376,   228,
     228,   228,   376,   376,   327,   376,   376,   327,   376,   327,
     376,   327,   260,   376,   512,   959,   246,  1064,   339,   797,
     142,   512,   376,  1055,   376,   327,  1067,  1055,   708,   959,
     701,   202,   708,   708,  1057,  1057,   708,   202,   202,  1055,
     202,   708,   356,   357,   527,  1064,   526,   169,   262,   444,
     445,   590,   675,   758,  1017,  1064,  1076,     3,   678,   454,
     454,   674,   675,   260,    64,    70,    81,   109,   111,   188,
     246,   251,   290,   304,   392,   551,   552,   553,   141,   414,
     464,   496,  1055,   496,   616,  1053,  1053,   454,   457,  1068,
     167,   320,  1068,  1063,   386,  1053,   560,    26,   114,   194,
     332,   397,   647,   376,   644,    42,   483,   311,   365,   102,
     517,   561,  1053,   652,   679,   680,  1064,   454,   457,  1055,
     561,  1053,   578,  1053,  1055,   579,   453,   543,   454,   259,
     516,   259,   260,   573,   516,    35,   142,   890,   517,   376,
     142,  1053,   454,   457,   109,   442,   766,  1064,   496,   365,
     757,   758,   154,   767,   418,   765,   768,   114,   194,   332,
     397,   809,  1055,   169,   890,   512,   959,   454,  1063,   980,
     980,   452,   452,   977,   454,  1055,   512,   512,   399,   512,
     399,   512,   512,   701,   701,  1055,   701,  1055,   636,   512,
     142,   327,   327,   327,  1054,   727,   457,  1067,   418,   457,
     725,   263,   945,   336,   140,   140,   102,   244,  1068,   722,
     512,  1067,   761,   202,   750,   590,   202,   701,   202,  1023,
     373,   983,   133,   959,   454,   983,   983,   983,  1031,   454,
    1019,   457,   959,   984,   984,   984,   984,   122,   124,   246,
     256,   984,   984,   984,   984,   984,   984,   984,   984,   984,
     984,   983,   983,  1032,  1031,   959,   454,   454,   454,  1019,
     454,   457,    52,   985,   454,  1072,   994,   287,   360,   996,
     454,   457,   410,   990,    35,   454,  1064,   983,    32,    32,
     983,   454,   983,   159,   453,  1022,   983,   454,   135,   984,
     984,   135,   135,   983,   983,   906,   415,   453,  1004,  1069,
     454,  1019,   457,   901,   901,   901,   901,  1053,  1053,  1053,
     891,   949,   159,   891,   936,   937,    35,   938,   939,  1069,
     457,    89,   160,   190,   205,   215,   241,   319,   941,   939,
      35,   938,   940,  1069,   439,   953,   453,  1043,   983,   167,
     919,   457,   905,   905,   905,   983,   983,   407,  1021,   454,
     919,   454,   452,   454,   453,   747,   151,   210,   454,   261,
      92,   983,   316,   871,   454,   457,  1044,    79,   871,   454,
     457,   881,   955,  1046,   454,   448,   762,   386,   162,   334,
     366,   387,   736,   154,   736,   454,   453,   564,   565,   743,
     988,  1069,   561,   561,   660,  1059,   454,   111,   188,   244,
     246,   661,  1055,  1055,    35,  1055,   399,   399,   701,   701,
     701,   701,   208,   702,  1067,  1055,   376,   796,   327,   376,
     192,    52,   368,  1055,   142,   548,   453,   550,   246,   516,
     102,   246,   355,   358,   516,   386,  1055,  1069,   331,   620,
    1055,   519,   675,  1072,   273,   339,   376,   796,   327,  1055,
     376,   376,   376,   327,   161,   262,   358,   684,   685,   161,
     262,   692,   693,   376,   376,   327,   454,   454,   454,   454,
     457,   442,   309,  1055,   453,   418,   643,  1065,  1064,  1064,
    1064,  1055,  1055,  1055,    52,   368,  1055,  1055,  1055,  1055,
    1055,  1055,   154,   154,   311,   154,   175,  1067,  1055,  1055,
    1067,  1055,  1055,  1055,  1055,  1055,  1055,   144,  1055,    70,
     513,   142,    24,    44,   386,  1069,  1055,   618,  1055,  1055,
     454,   202,   708,   202,   202,   708,   708,   202,   708,   464,
     527,   594,   660,   418,   420,  1053,   453,   701,  1055,   984,
     112,   177,   111,   251,   206,  1053,   768,   294,   664,   665,
    1069,   604,   453,   555,   187,   571,   546,  1068,  1068,   959,
     453,   517,  1068,   642,  1067,   175,  1053,   422,   154,   653,
     454,   457,   958,   616,   454,   586,    35,   256,   453,   862,
     545,   547,   549,   557,  1069,   572,   571,    75,   368,   574,
     890,   581,   579,   574,  1064,  1059,   741,   759,   983,   983,
     457,   453,   763,   386,   457,   672,   376,   453,   594,   454,
     452,   512,  1057,  1057,   512,   512,   512,   512,   336,  1054,
    1054,  1054,   590,   164,   724,   454,  1055,   102,   731,   159,
     202,   251,   712,  1064,   202,   202,   712,   202,   712,   983,
     454,   454,  1032,   454,   983,   159,   122,   124,   256,   453,
     454,   425,   992,  1019,   303,    52,   416,   416,   454,   983,
     244,   983,   457,   991,   961,   983,   983,   983,  1022,   454,
     983,    32,    32,   983,   983,   135,   454,   454,   983,  1005,
    1069,   454,   983,  1053,  1053,  1053,  1053,   939,   940,   453,
     454,  1069,   453,   936,   205,   269,   942,   936,   942,   205,
     941,   942,   205,   367,   947,   453,  1069,   453,   267,  1020,
      52,   170,   926,   454,   454,   454,  1021,  1064,   926,  1064,
     778,   256,  1050,   890,   868,   260,   453,   870,   442,   884,
     871,   386,   454,   376,   719,   159,   660,   983,   454,   457,
     418,    70,   744,   744,   454,   454,   768,   112,   177,   186,
     111,   401,   512,   959,  1057,  1057,  1055,  1055,  1055,  1055,
    1055,  1068,  1055,   548,   617,   621,   251,   251,  1065,  1069,
     959,   512,   512,   442,    52,   368,  1055,  1055,  1055,  1055,
    1067,  1055,  1055,  1063,  1063,   959,   457,  1063,  1063,   457,
    1067,  1055,  1055,   802,   245,   675,   376,   983,    64,  1068,
    1055,   376,   376,  1054,  1054,   701,  1054,   142,  1055,   701,
    1064,  1064,   959,   512,   512,   202,   708,   708,   708,   708,
     453,   528,   529,   399,   533,   534,   161,   191,   161,   159,
     659,   983,   246,   552,   768,   560,   399,   575,  1061,    32,
     141,   181,   542,   139,   182,   453,   336,   399,   561,    35,
     643,   483,   246,   453,  1055,   128,   654,   414,   656,  1064,
     517,   890,   701,   542,   579,   454,   457,   418,   573,   572,
     114,   127,   287,  1055,   418,   822,    35,   159,   260,   453,
    1064,   756,   769,   770,  1070,   768,   959,   154,  1053,   159,
     376,   787,   189,   595,   512,   512,   512,  1055,   263,   200,
     512,   723,   712,   712,   712,   712,   454,   984,   159,   453,
    1022,   453,   454,   457,   454,   985,   303,   454,   404,   352,
     454,   454,   454,   983,   983,   983,   454,   278,  1006,   454,
     950,   951,   988,   938,   453,  1054,   936,   260,   399,   943,
     936,   205,   936,  1061,   957,   453,   957,  1069,   905,    91,
     168,   322,   453,   920,   921,   922,   923,   924,   925,   983,
     983,   417,  1000,   905,  1000,   454,   887,    81,   742,   743,
     123,   453,   891,  1048,   723,   260,   723,   454,   768,   565,
     262,   778,   701,   701,   745,   745,   304,   768,   575,   454,
     376,   339,   877,   454,   457,   513,   675,  1068,  1055,   376,
     453,  1061,   778,   685,   453,   453,   693,  1055,   454,   453,
     339,   877,  1055,  1055,   418,   439,   839,   311,   839,   839,
     154,   513,   708,   535,   536,  1072,    48,    90,   115,   131,
     135,   155,   158,   171,   251,   259,   296,   530,   464,   116,
     727,    35,   783,   783,  1053,   660,   454,   575,   229,   563,
     184,   453,   665,   294,   453,   454,    26,    74,    82,   110,
     185,   358,   556,   556,  1052,  1055,  1057,   454,   890,   142,
     616,   323,   354,   655,   453,   141,    35,   579,   543,   454,
     547,   264,   574,   573,   324,   324,    56,    64,   221,   890,
     701,  1053,   742,   758,   454,   457,   386,   954,   350,   350,
     454,   594,   244,   403,   596,   597,  1055,   512,   984,  1022,
     454,   993,  1019,    52,   244,   435,    52,   905,   454,   457,
      35,   952,  1054,   454,   983,   453,   936,   943,   453,   454,
     957,   454,   454,   453,   340,   453,   454,   457,  1001,  1002,
    1069,   454,  1055,   454,   457,   247,   397,   725,   736,   512,
     744,   575,   453,   746,   746,  1053,   575,   660,  1055,   368,
     621,   399,   514,   339,   877,  1055,  1022,   750,   154,   688,
     777,  1022,  1022,   983,   368,   700,   701,   700,   701,  1054,
     512,   454,   457,   446,   453,   493,   537,   590,   836,  1064,
     836,   246,   251,   296,   836,   836,   528,  1064,   783,    38,
     179,   154,   244,   559,   160,   277,   345,   260,   567,   568,
     569,   368,   454,  1061,     5,   666,   571,   454,   616,   148,
     687,   517,   822,  1053,   983,   294,   890,   572,   571,   550,
     574,    64,   263,    64,   579,   741,   454,   763,   769,   959,
     123,   418,   418,   403,   594,   616,   454,   454,   454,   303,
     404,  1019,   297,   324,  1007,   953,   950,   453,   454,  1054,
    1019,   454,  1019,   453,  1019,   921,   457,    35,   954,   743,
     339,   159,   745,   415,   566,   778,   747,   747,   560,   660,
    1055,   983,   368,   454,   266,   329,   301,   689,   688,   454,
     454,   454,  1055,   839,   536,   493,   538,   539,  1064,  1064,
     251,   561,   446,   561,  1064,  1064,   128,   186,   114,   397,
     260,   569,   260,   568,  1055,   453,   454,   457,   336,   701,
      35,    35,   453,   454,  1061,   822,   573,   572,   263,   263,
     453,   517,   768,    27,   195,   810,   161,   161,    46,    92,
     388,   983,  1008,  1009,  1008,   454,   957,   454,   454,   454,
     920,   454,  1002,  1004,   880,   723,   746,   453,   660,   454,
     563,   877,  1055,  1061,    52,   689,   877,   701,   454,   457,
     561,   323,    55,   244,   315,   339,   570,   570,   454,     5,
    1055,   684,   890,   453,   574,   573,   742,   574,   247,   453,
     805,   807,   812,   864,   872,   879,   890,   727,   727,  1009,
     323,   153,   285,   153,   285,   454,   310,   948,   454,   954,
     512,   747,   983,   567,   877,   750,   701,   539,   656,    21,
     109,   251,   616,   822,     4,   657,   658,  1063,  1064,  1072,
     574,   454,   954,   806,   807,   808,   891,   892,   457,   457,
      32,   453,   454,   660,   141,   454,   457,   517,   454,   456,
     376,   159,  1009,   983,   294,   658,   574,   808,   350,   350,
     454,  1061,   954,   418,   418,   453,   161,   161,   657,   727,
     727,   454
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   459,   460,   461,   461,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   462,   462,   462,   462,   462,   462,   462,   462,   462,
     462,   463,   464,   464,   464,   465,   465,   466,   466,   467,
     467,   467,   467,   467,   467,   467,   467,   467,   468,   468,
     468,   468,   468,   468,   469,   470,   471,   471,   472,   472,
     473,   474,   475,   475,   476,   476,   477,   478,   479,   479,
     480,   480,   481,   481,   481,   481,   482,   482,   483,   483,
     484,   484,   484,   484,   484,   484,   485,   485,   485,   486,
     486,   486,   487,   487,   487,   487,   488,   488,   488,   488,
     488,   488,   488,   488,   488,   488,   488,   489,   489,   490,
     490,   491,   491,   492,   492,   492,   492,   493,   493,   493,
     493,   494,   494,   494,   494,   494,   494,   494,   495,   495,
     495,   496,   496,   497,   498,   498,   498,   498,   499,   499,
     500,   500,   501,   501,   502,   502,   502,   502,   502,   503,
     504,   504,   505,   505,   506,   507,   507,   507,   507,   507,
     508,   508,   508,   508,   508,   508,   508,   508,   508,   508,
     508,   508,   508,   508,   508,   508,   509,   509,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     510,   510,   510,   510,   510,   510,   510,   510,   510,   510,
     511,   511,   512,   512,   512,   513,   513,   514,   514,   515,
     515,   515,   515,   516,   517,   517,   518,   518,   519,   519,
     519,   519,   520,   521,   521,   522,   522,   522,   522,   523,
     523,   524,   524,   525,   525,   526,   526,   527,   527,   527,
     528,   528,   529,   529,   530,   530,   530,   530,   530,   530,
     530,   530,   530,   530,   530,   530,   530,   530,   531,   531,
     532,   532,   533,   533,   534,   534,   535,   535,   536,   537,
     537,   537,   537,   537,   538,   538,   539,   540,   540,   540,
     540,   541,   541,   541,   541,   541,   541,   541,   541,   542,
     542,   543,   543,   544,   544,   545,   545,   546,   546,   546,
     547,   547,   548,   549,   550,   550,   551,   551,   551,   551,
     552,   552,   552,   552,   552,   552,   552,   553,   553,   553,
     553,   554,   555,   555,   555,   556,   556,   556,   556,   556,
     556,   557,   557,   558,   558,   558,   558,   558,   558,   558,
     559,   559,   560,   560,   561,   561,   562,   563,   563,   563,
     563,   564,   564,   565,   565,   566,   566,   567,   567,   567,
     567,   567,   568,   569,   570,   570,   570,   570,   570,   571,
     571,   572,   572,   572,   572,   573,   573,   573,   573,   574,
     574,   575,   575,   576,   577,   577,   578,   579,   579,   579,
     580,   580,   581,   582,   582,   583,   584,   584,   585,   585,
     586,   586,   587,   587,   588,   588,   588,   588,   588,   588,
     588,   588,   588,   588,   588,   588,   589,   589,   590,   590,
     590,   591,   591,   592,   592,   593,   593,   594,   594,   595,
     595,   596,   596,   597,   597,   598,   598,   599,   599,   600,
     601,   601,   602,   602,   603,   603,   604,   604,   605,   605,
     605,   605,   606,   607,   607,   608,   609,   609,   609,   609,
     609,   609,   609,   609,   609,   609,   609,   609,   609,   609,
     609,   609,   609,   609,   609,   609,   609,   609,   609,   609,
     609,   610,   611,   611,   611,   611,   612,   612,   613,   613,
     614,   614,   615,   615,   616,   616,   617,   617,   618,   619,
     619,   620,   620,   620,   620,   621,   622,   623,   624,   625,
     625,   626,   626,   627,   627,   628,   628,   629,   629,   629,
     630,   630,   631,   631,   632,   633,   633,   634,   634,   635,
     636,   636,   637,   637,   638,   639,   640,   641,   641,   642,
     642,   643,   643,   644,   644,   645,   645,   646,   646,   647,
     647,   647,   647,   647,   648,   649,   649,   650,   650,   650,
     651,   651,   652,   652,   652,   652,   652,   653,   653,   654,
     654,   655,   655,   656,   656,   657,   657,   657,   658,   658,
     658,   658,   659,   659,   660,   660,   661,   661,   661,   661,
     661,   661,   662,   662,   663,   663,   664,   664,   665,   666,
     666,   667,   668,   668,   668,   668,   669,   670,   671,   671,
     671,   671,   671,   671,   671,   671,   671,   671,   671,   671,
     671,   671,   672,   673,   673,   674,   674,   675,   675,   675,
     675,   675,   676,   677,   677,   678,   679,   679,   680,   680,
     681,   681,   681,   682,   682,   683,   684,   684,   685,   685,
     685,   685,   685,   686,   686,   687,   687,   688,   688,   688,
     689,   689,   690,   691,   691,   692,   692,   693,   693,   694,
     694,   695,   695,   696,   697,   698,   698,   698,   698,   698,
     698,   698,   698,   699,   699,   699,   699,   699,   699,   699,
     699,   699,   699,   699,   699,   699,   699,   699,   699,   700,
     700,   701,   701,   702,   702,   703,   703,   704,   705,   705,
     705,   706,   706,   706,   706,   706,   706,   706,   706,   706,
     706,   706,   706,   706,   706,   706,   706,   706,   706,   707,
     707,   707,   707,   707,   707,   707,   707,   707,   707,   707,
     707,   707,   707,   707,   707,   707,   707,   707,   707,   707,
     707,   708,   708,   709,   709,   709,   709,   709,   709,   709,
     710,   710,   711,   711,   711,   711,   711,   711,   711,   711,
     711,   711,   711,   712,   712,   713,   713,   714,   714,   714,
     714,   714,   714,   714,   714,   714,   714,   714,   714,   714,
     714,   714,   714,   715,   715,   716,   716,   717,   718,   718,
     719,   719,   719,   719,   719,   720,   720,   721,   721,   721,
     721,   722,   722,   722,   722,   722,   722,   722,   722,   722,
     722,   722,   722,   722,   722,   722,   722,   723,   723,   724,
     724,   725,   725,   726,   726,   727,   728,   729,   729,   730,
     730,   731,   731,   732,   733,   733,   734,   734,   734,   735,
     735,   735,   736,   736,   736,   736,   737,   737,   738,   738,
     739,   739,   740,   740,   741,   741,   742,   742,   743,   743,
     743,   744,   744,   745,   745,   746,   746,   746,   747,   747,
     747,   748,   748,   748,   749,   749,   750,   750,   751,   751,
     752,   752,   753,   753,   754,   754,   754,   754,   754,   755,
     755,   755,   755,   755,   756,   757,   758,   758,   758,   759,
     759,   759,   760,   761,   761,   761,   761,   762,   762,   763,
     763,   764,   764,   764,   764,   764,   764,   764,   764,   764,
     764,   764,   764,   764,   764,   764,   764,   765,   765,   765,
     765,   765,   766,   766,   767,   767,   768,   768,   769,   770,
     770,   771,   772,   772,   773,   773,   774,   774,   775,   775,
     776,   776,   777,   777,   777,   777,   778,   778,   779,   780,
     780,   781,   781,   782,   782,   782,   783,   783,   783,   784,
     785,   785,   786,   787,   787,   787,   787,   788,   789,   789,
     789,   789,   790,   790,   791,   791,   791,   792,   792,   793,
     794,   794,   795,   795,   795,   795,   795,   795,   795,   795,
     795,   795,   795,   795,   795,   795,   795,   795,   795,   795,
     795,   795,   795,   795,   795,   795,   795,   795,   795,   795,
     795,   795,   795,   795,   795,   795,   795,   795,   795,   795,
     795,   795,   795,   795,   795,   795,   795,   795,   795,   795,
     796,   796,   797,   797,   798,   798,   798,   798,   799,   799,
     799,   799,   799,   799,   799,   799,   799,   799,   799,   799,
     799,   799,   799,   799,   799,   799,   799,   799,   799,   799,
     799,   799,   800,   801,   801,   802,   802,   803,   803,   803,
     803,   803,   803,   803,   803,   803,   803,   803,   803,   803,
     803,   803,   803,   803,   803,   803,   804,   805,   805,   805,
     806,   806,   807,   807,   807,   807,   807,   808,   808,   809,
     809,   809,   809,   810,   810,   810,   811,   811,   812,   813,
     813,   814,   815,   815,   816,   816,   816,   816,   816,   816,
     816,   816,   816,   816,   816,   816,   816,   816,   817,   817,
     817,   818,   818,   818,   818,   818,   819,   819,   819,   820,
     820,   821,   821,   821,   821,   822,   822,   822,   822,   823,
     824,   825,   825,   826,   826,   827,   827,   827,   828,   828,
     828,   828,   828,   828,   828,   829,   829,   830,   830,   830,
     831,   832,   832,   833,   833,   834,   835,   835,   835,   835,
     835,   835,   835,   836,   836,   837,   838,   838,   838,   838,
     838,   838,   839,   839,   840,   841,   841,   841,   842,   842,
     843,   843,   843,   843,   843,   844,   844,   845,   845,   845,
     845,   845,   846,   846,   847,   847,   848,   848,   849,   849,
     850,   850,   851,   851,   852,   852,   852,   852,   853,   853,
     853,   853,   853,   853,   853,   853,   853,   854,   854,   855,
     856,   856,   857,   857,   857,   858,   859,   859,   860,   860,
     860,   860,   861,   861,   862,   862,   863,   863,   863,   863,
     864,   865,   865,   866,   866,   866,   867,   867,   868,   869,
     869,   869,   870,   870,   870,   871,   871,   872,   873,   873,
     874,   875,   875,   876,   876,   876,   876,   876,   876,   876,
     876,   877,   877,   878,   878,   878,   879,   880,   880,   881,
     881,   882,   883,   883,   884,   885,   885,   886,   887,   888,
     888,   888,   888,   888,   889,   889,   889,   890,   890,   891,
     891,   892,   892,   892,   892,   892,   892,   892,   892,   893,
     893,   894,   894,   894,   894,   894,   894,   894,   895,   895,
     895,   896,   896,   897,   898,   898,   899,   899,   900,   900,
     900,   900,   900,   900,   900,   900,   900,   901,   901,   902,
     902,   902,   903,   903,   904,   904,   905,   905,   906,   907,
     907,   908,   908,   909,   909,   909,   909,   910,   910,   911,
     911,   911,   912,   912,   913,   913,   914,   915,   915,   915,
     916,   917,   917,   918,   918,   919,   919,   920,   920,   921,
     921,   921,   921,   921,   922,   923,   924,   925,   926,   926,
     927,   927,   928,   928,   929,   929,   930,   931,   931,   931,
     931,   932,   932,   933,   933,   934,   934,   935,   935,   936,
     936,   936,   936,   936,   936,   936,   936,   937,   937,   937,
     937,   937,   937,   938,   938,   938,   938,   939,   939,   940,
     940,   940,   940,   940,   941,   941,   941,   941,   942,   942,
     943,   943,   944,   944,   944,   944,   945,   945,   946,   946,
     946,   947,   948,   948,   949,   949,   950,   951,   951,   952,
     952,   953,   953,   954,   954,   955,   955,   955,   956,   956,
     957,   957,   958,   959,   959,   959,   959,   959,   959,   960,
     960,   960,   961,   961,   961,   961,   961,   961,   961,   962,
     962,   962,   962,   963,   963,   964,   964,   965,   965,   965,
     965,   965,   965,   965,   965,   965,   965,   965,   966,   966,
     967,   967,   968,   968,   969,   970,   971,   971,   972,   972,
     973,   974,   975,   975,   975,   975,   975,   975,   976,   976,
     977,   977,   978,   978,   978,   978,   979,   980,   980,   980,
     981,   981,   981,   981,   981,   981,   981,   981,   981,   981,
     981,   981,   981,   981,   982,   982,   983,   983,   983,   983,
     983,   983,   983,   983,   983,   983,   983,   983,   983,   983,
     983,   983,   983,   983,   983,   983,   983,   983,   983,   983,
     983,   983,   983,   983,   983,   983,   983,   983,   983,   983,
     983,   983,   983,   983,   983,   983,   983,   983,   983,   983,
     983,   983,   983,   983,   983,   983,   983,   983,   983,   983,
     983,   983,   983,   983,   983,   983,   983,   983,   983,   984,
     984,   984,   984,   984,   984,   984,   984,   984,   984,   984,
     984,   984,   984,   984,   984,   984,   984,   984,   984,   984,
     984,   984,   984,   984,   985,   985,   985,   985,   985,   985,
     985,   985,   985,   985,   985,   985,   985,   985,   986,   986,
     986,   986,   986,   986,   986,   987,   987,   988,   988,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     989,   990,   990,   991,   991,   991,   991,   992,   993,   993,
     994,   994,   995,   995,   996,   996,   996,   997,   997,   997,
     997,   998,   998,   999,   999,  1000,  1000,  1001,  1001,  1002,
    1003,  1003,  1003,  1004,  1005,  1005,  1006,  1006,  1007,  1007,
    1007,  1008,  1008,  1009,  1009,  1009,  1009,  1009,  1010,  1010,
    1010,  1011,  1011,  1012,  1013,  1013,  1013,  1014,  1014,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1016,  1016,  1017,  1017,  1018,  1018,  1018,  1018,  1018,
    1018,  1019,  1019,  1020,  1020,  1021,  1021,  1021,  1022,  1022,
    1023,  1023,  1023,  1024,  1024,  1025,  1025,  1026,  1026,  1026,
    1026,  1026,  1026,  1026,  1026,  1027,  1027,  1028,  1029,  1029,
    1030,  1030,  1030,  1030,  1030,  1030,  1031,  1032,  1033,  1033,
    1033,  1034,  1034,  1035,  1036,  1036,  1037,  1038,  1038,  1039,
    1039,  1040,  1040,  1041,  1041,  1041,  1041,  1042,  1042,  1043,
    1043,  1044,  1044,  1045,  1045,  1046,  1046,  1047,  1047,  1048,
    1049,  1049,  1050,  1050,  1051,  1051,  1051,  1051,  1052,  1052,
    1053,  1053,  1054,  1054,  1055,  1056,  1057,  1058,  1059,  1060,
    1061,  1061,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1063,  1064,  1065,  1065,  1065,
    1066,  1067,  1067,  1067,  1068,  1068,  1069,  1069,  1069,  1070,
    1070,  1070,  1071,  1071,  1071,  1071,  1072,  1072,  1072,  1072,
    1072,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,  1073,
    1073,  1073,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,
    1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,
    1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,
    1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,
    1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,  1074,
    1075,  1075,  1075,  1075,  1075,  1075,  1075,  1075,  1075,  1075,
    1075,  1075,  1075,  1075,  1075,  1075,  1075,  1075,  1075,  1075,
    1075,  1075,  1075,  1076,  1076,  1076,  1076,  1076,  1076,  1076,
    1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,
    1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,
    1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,
    1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,
    1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,
    1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,
    1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076,  1076
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       0,     5,     1,     1,     0,     2,     0,     2,     0,     2,
       2,     3,     3,     1,     3,     3,     2,     1,     1,     2,
       2,     2,     3,     3,     5,     5,     0,     3,     5,     5,
       5,     4,     3,     5,     3,     5,     5,     6,     1,     1,
       3,     5,     6,     4,     9,     7,     1,     0,     2,     0,
       1,     1,     1,     1,     1,     1,     2,     3,     3,     2,
       5,     1,     3,     3,     3,     3,     1,     3,     3,     2,
       2,     2,     2,     3,     3,     3,     3,     1,     3,     1,
       3,     1,     1,     2,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     3,     5,     1,     1,     1,     1,     1,
       0,     1,     1,     2,     1,     2,     3,     2,     1,     1,
       2,     1,     2,     1,     2,     3,     4,     3,     2,     4,
       1,     1,     1,     1,     1,     2,     2,     2,     2,     2,
       4,     6,    10,    13,     4,     6,    10,    13,     4,     6,
       4,     6,     5,     7,    11,    14,     1,     3,     2,     5,
       3,     6,     4,     6,     6,     6,     5,     5,     6,     6,
       4,     8,     4,     2,     4,     3,     6,     4,     3,     3,
       3,     3,     2,     2,     3,     4,     4,     3,     3,     3,
       3,     3,     3,     4,     4,     3,     2,     3,     2,     2,
       3,     3,     2,     2,     3,     4,     4,     4,     5,     1,
       3,     2,     1,     1,     0,     2,     0,     2,     0,     1,
       1,     1,     3,     3,     2,     0,     1,     3,     3,     1,
       5,     3,     4,     1,     3,     4,     6,     4,     8,     2,
       2,    11,     9,     1,     1,     1,     0,     1,     1,     1,
       1,     3,     2,     0,     1,     1,     1,     3,     3,     1,
       1,     3,     3,     3,     3,     4,     3,     2,     1,     0,
       2,     0,     3,     0,     1,     0,     1,     3,     2,     1,
       1,     1,     3,     0,     1,     3,     1,    11,    14,    10,
      13,     1,     1,     2,     2,     2,     2,     1,     0,     1,
       0,     3,     0,     1,     3,     1,     3,     1,     1,     1,
       1,     1,     4,     4,     2,     0,     3,     1,     1,     2,
       2,     1,     3,     4,     5,     2,     5,     1,     2,     2,
       2,     3,     3,     3,     0,     1,     1,     1,     1,     1,
       1,     3,     1,     5,     7,     3,     8,     4,     9,    11,
       2,     0,     3,     0,     1,     3,     1,     2,     2,     2,
       0,     1,     3,     3,     6,     4,     0,     1,     1,     2,
       2,     0,     3,     3,     2,     1,     1,     2,     2,     4,
       0,     2,     2,     2,     0,     3,     4,     4,     0,     2,
       0,     4,     0,     3,     7,    10,     5,     2,     3,     0,
       8,    11,     4,     1,     0,     6,     5,     8,     4,     6,
       1,     0,     1,     2,     2,     1,     2,     3,     2,     2,
       2,     2,     3,     3,     1,     3,     1,     0,     1,     2,
       1,     1,     3,     6,    10,     1,     0,     1,     2,     2,
       0,     2,     2,     1,     0,     5,     7,     1,     0,     7,
       2,     0,     3,     5,     5,     8,     2,     0,     2,     2,
       2,     1,     5,     2,     0,     2,     7,    10,     6,     6,
       6,     6,     7,     7,     9,     9,     6,     7,     6,     8,
       8,     8,     8,     6,     6,     7,     7,     8,     6,     9,
       6,     7,     2,     2,     2,     2,     1,     2,     1,     0,
       6,     8,     7,     6,     4,     0,     1,     3,     4,     1,
       3,     1,     2,     2,     2,     2,     1,     1,    10,     2,
       0,     2,     2,     1,     0,     4,     6,     5,     4,     4,
      11,    14,     5,     7,    11,     2,     1,     4,     0,     8,
       1,     1,     7,     9,     8,     9,     8,     6,     8,     4,
       0,     5,     0,     2,     0,     2,     0,     2,     0,     1,
       1,     1,     1,     1,     8,    15,    20,     1,     1,     2,
       1,     3,     1,     1,     1,     3,     1,     3,     0,     1,
       0,     1,     1,     4,     0,     1,     3,     0,     1,     1,
       1,     1,     2,     0,     0,     2,     2,     1,     2,     2,
       2,     2,     6,     8,    11,    13,     1,     3,     5,     1,
       3,     5,     1,     2,     2,     1,     8,     4,     5,     4,
       4,     4,     3,     7,     8,     6,     6,     6,     6,     6,
       4,     5,     3,     1,     3,     3,     1,     1,     1,     1,
       1,     1,     3,     1,     3,     3,     1,     0,     1,     3,
       7,     9,     9,     3,     0,    13,     1,     3,     5,     6,
       4,     7,     2,     1,     0,     2,     0,     2,     4,     0,
       1,     0,     6,     8,     8,     1,     3,     5,     5,     7,
       9,     7,     9,     5,     6,     6,     4,     4,     6,     4,
       6,     5,     7,     1,     1,     1,     2,     1,     2,     2,
       2,     1,     1,     1,     1,     3,     3,     3,     3,     1,
       3,     1,     2,     2,     3,     1,     3,     5,     2,     2,
       0,     6,     6,     6,     7,     7,     7,     8,     9,     8,
       8,     6,     9,     8,     9,     9,     7,    10,     7,     2,
       1,     1,     1,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     1,     2,     1,     3,     2,     3,     3,     3,
       3,     1,     1,     8,     8,     8,     9,     9,     9,     9,
       2,     0,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     1,     2,     1,     1,     2,     2,     1,     2,     3,
       3,     3,     3,     4,     4,     3,     3,     3,     4,     4,
       3,     4,     4,     1,     1,     1,     0,     7,     7,    10,
       1,     1,     2,     4,     5,     1,     3,     2,     2,     2,
       2,     1,     2,     2,     4,     3,     2,     2,     2,     2,
       3,     2,     2,     2,     5,     5,     5,     1,     3,     1,
       2,     3,     0,     1,     3,     2,     6,     6,     9,     3,
       0,     3,     0,     5,     2,     0,     3,     3,     3,     7,
       7,    10,     1,     1,     1,     1,    14,    17,     1,     0,
       1,     0,     1,     0,     2,     0,     1,     3,     5,     5,
       7,     2,     0,     1,     0,     1,     1,     0,     2,     2,
       0,     9,    12,     7,     2,     0,     3,     2,     1,     3,
       3,     2,     1,     3,     3,     3,     2,     2,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     4,     5,     1,
       3,     3,     1,     3,     3,     5,     6,     1,     3,     1,
       2,     4,     5,     1,     1,     1,     1,     3,     3,     2,
       2,     1,     2,     2,     2,     1,     2,     2,     2,     2,
       1,     1,     1,     3,     3,     5,     2,     0,     2,     1,
       3,     5,     1,     2,     1,     0,     5,     7,     5,     7,
       5,     7,     3,     5,     5,     5,     1,     3,     2,     1,
       2,     1,     2,    11,    10,    10,     2,     2,     0,     9,
       2,     0,    10,    11,    11,     5,     5,     8,     3,     3,
       6,     6,     1,     1,     1,     1,     1,     1,     3,     1,
       5,     5,     7,     6,     6,     6,     6,     8,     8,     6,
       6,     7,     9,     9,     8,    10,     6,     6,     6,     8,
       6,     8,     6,     8,     7,     9,     6,     8,     7,     9,
       8,    10,     9,    11,     8,    10,     9,    11,     8,     8,
       7,     6,     6,     6,     8,     8,     8,     8,     6,     9,
       1,     0,     2,     0,     7,     9,     8,     7,     7,     6,
       6,     6,     6,     6,     7,     9,     9,     6,     8,     8,
       8,     8,     8,     6,     8,     6,     8,     7,     9,     7,
       9,     6,     8,     1,     3,     3,     3,     7,     6,     6,
       6,     6,     6,     7,     7,     7,     9,     9,     6,     6,
       6,     8,     8,     8,     6,     7,    13,     1,     1,     3,
       3,     1,     1,     1,     1,     1,     1,     1,     0,     1,
       1,     1,     1,     1,     1,     0,     6,     8,     3,     2,
       0,     2,     2,     2,     2,     3,     3,     2,     2,     2,
       2,     3,     2,     5,     4,     3,     3,     3,     1,     1,
       0,     3,     2,     2,     1,     2,     1,     3,     2,     1,
       0,     9,    11,    12,    14,     3,     4,     4,     0,     2,
       5,     1,     0,     1,     2,     3,     3,     3,     1,     2,
       1,     1,     1,     1,     1,     1,     0,     5,     4,     6,
       4,     3,     5,     4,     4,     6,     4,     6,     6,     5,
       7,     9,     6,     1,     0,     6,    11,    11,    11,    13,
       9,    11,     1,     1,    10,     4,     2,     5,     2,     0,
       4,     5,     5,     4,     6,     1,     3,     1,     1,     1,
       1,     1,     2,     4,     1,     1,     1,     0,     1,     0,
       1,     0,     3,     0,     2,     4,     3,     5,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     2,
       1,     1,     1,     1,     0,     5,     3,     0,     1,     1,
       1,     1,     3,     9,     3,     0,     2,     3,     2,     3,
       7,     1,     3,     1,     4,     2,     1,     3,     2,     8,
       5,     0,     4,     3,     0,     2,     0,     7,     2,     0,
       5,     3,     0,     2,     2,     2,     3,     1,     3,     1,
       2,     1,     0,     1,     2,     0,     8,     1,     3,     1,
       1,     3,     5,     5,     2,     1,     3,     7,     1,     0,
       3,     2,     2,     2,     0,     2,     2,     1,     1,     3,
       3,     1,     2,     4,     4,     2,     3,     5,     5,     1,
       1,     9,     9,     1,     2,     4,     4,     4,     2,     2,
       3,     1,     3,     6,     1,     0,     2,     0,     3,     3,
       4,     4,     4,     4,     3,     2,     1,     1,     0,     1,
       1,     0,     1,     5,     1,     0,     1,     0,     3,     1,
       3,     4,     3,     2,     2,     1,     1,     1,     0,     2,
       4,     5,     2,     3,     1,     1,     1,     1,     3,     0,
       1,     1,     1,     1,     1,     3,     0,     1,     3,     1,
       1,     1,     1,     1,     2,     4,     4,     5,     2,     0,
       1,     3,     1,     0,     1,     2,     3,     2,     4,     2,
       3,     2,     0,     2,     3,     2,     0,     1,     3,     2,
       3,     2,     3,     2,     3,     1,     4,     3,     4,     5,
       4,     5,     4,     5,     2,     4,     1,     1,     0,     1,
       4,     5,     4,     0,     2,     2,     2,     1,     1,     0,
       4,     2,     1,     2,     2,     4,     1,     3,     1,     2,
       3,     6,     4,     0,     2,     6,     2,     1,     3,     4,
       0,     2,     0,     2,     0,     2,     4,     0,     1,     0,
       1,     3,     3,     2,     3,     5,     6,     2,     3,     3,
       4,     0,     1,     1,     1,     1,     1,     2,     4,     1,
       1,     1,     1,     2,     3,     3,     0,     1,     1,     1,
       1,     1,     2,     2,     2,     2,     2,     1,     3,     0,
       1,     1,     1,     1,     5,     2,     1,     1,     1,     1,
       5,     2,     2,     2,     1,     3,     3,     2,     1,     0,
       3,     0,     5,     2,     5,     2,     1,     3,     3,     0,
       1,     1,     1,     1,     1,     1,     3,     3,     3,     3,
       3,     3,     3,     0,     1,     4,     1,     3,     3,     5,
       2,     2,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     2,     2,     3,     3,     2,
       2,     3,     5,     4,     6,     3,     5,     4,     6,     4,
       6,     5,     7,     3,     2,     4,     2,     3,     3,     4,
       3,     4,     3,     4,     5,     6,     6,     7,     6,     7,
       6,     7,     3,     4,     4,     6,     2,     3,     4,     1,
       3,     2,     2,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     2,     5,     6,
       6,     7,     3,     4,     1,     1,     2,     4,     1,     1,
       1,     2,     2,     2,     2,     1,     1,     4,     3,     5,
       6,     8,     6,     6,     4,     4,     1,     1,     1,     5,
       1,     1,     4,     1,     4,     1,     4,     1,     4,     1,
       1,     1,     1,     1,     1,     6,     4,     4,     4,     4,
       6,     5,     5,     5,     4,     6,     4,     4,     4,     4,
       5,     7,     7,     9,     5,     4,     6,     5,     7,     7,
       7,     2,     3,     3,     3,     4,     0,     4,     1,     3,
       3,     1,     1,     1,     2,     2,     0,     2,     4,     4,
       6,     5,     0,     5,     0,     2,     0,     1,     3,     3,
       2,     2,     0,     6,     1,     0,     3,     0,     2,     2,
       0,     1,     4,     2,     2,     2,     2,     2,     4,     3,
       5,     4,     3,     5,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     4,     1,     4,     1,     4,     1,     2,     1,
       2,     1,     3,     1,     3,     1,     3,     3,     1,     3,
       3,     3,     2,     1,     3,     3,     0,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     3,     2,     3,     0,
       3,     3,     2,     2,     1,     0,     2,     2,     3,     2,
       1,     1,     3,     5,     1,     2,     4,     2,     0,     1,
       0,     1,     2,     2,     2,     3,     5,     1,     0,     1,
       2,     0,     2,     1,     0,     1,     1,     1,     3,     3,
       1,     0,     1,     3,     3,     2,     1,     1,     1,     3,
       1,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     1,     2,     6,     2,
       3,     5,     1,     1,     1,     1,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 735 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
			}
#line 23120 "gram.c" /* yacc.c:1646  */
    break;

  case 3:
#line 742 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 23131 "gram.c" /* yacc.c:1646  */
    break;

  case 4:
#line 749 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1((yyvsp[0].node));
					else
						(yyval.list) = NIL;
				}
#line 23142 "gram.c" /* yacc.c:1646  */
    break;

  case 130:
#line 884 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 23148 "gram.c" /* yacc.c:1646  */
    break;

  case 131:
#line 895 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23160 "gram.c" /* yacc.c:1646  */
    break;

  case 132:
#line 905 "gram.y" /* yacc.c:1646  */
    {}
#line 23166 "gram.c" /* yacc.c:1646  */
    break;

  case 133:
#line 906 "gram.y" /* yacc.c:1646  */
    {}
#line 23172 "gram.c" /* yacc.c:1646  */
    break;

  case 134:
#line 907 "gram.y" /* yacc.c:1646  */
    {}
#line 23178 "gram.c" /* yacc.c:1646  */
    break;

  case 135:
#line 916 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 23184 "gram.c" /* yacc.c:1646  */
    break;

  case 136:
#line 917 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23190 "gram.c" /* yacc.c:1646  */
    break;

  case 137:
#line 921 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 23196 "gram.c" /* yacc.c:1646  */
    break;

  case 138:
#line 922 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23202 "gram.c" /* yacc.c:1646  */
    break;

  case 139:
#line 927 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 23211 "gram.c" /* yacc.c:1646  */
    break;

  case 140:
#line 932 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password", NULL);
				}
#line 23219 "gram.c" /* yacc.c:1646  */
    break;

  case 141:
#line 936 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encryptedPassword",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 23228 "gram.c" /* yacc.c:1646  */
    break;

  case 142:
#line 941 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("unencryptedPassword",
									 (Node *)makeString((yyvsp[0].str)));
				}
#line 23237 "gram.c" /* yacc.c:1646  */
    break;

  case 143:
#line 946 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE));
				}
#line 23245 "gram.c" /* yacc.c:1646  */
    break;

  case 144:
#line 950 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 23253 "gram.c" /* yacc.c:1646  */
    break;

  case 145:
#line 954 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[0].str)));
				}
#line 23261 "gram.c" /* yacc.c:1646  */
    break;

  case 146:
#line 959 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list));
				}
#line 23269 "gram.c" /* yacc.c:1646  */
    break;

  case 147:
#line 963 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[0].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 23318 "gram.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1010 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 23324 "gram.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1013 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 23332 "gram.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1017 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[0].list));
				}
#line 23340 "gram.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1021 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[0].list));
				}
#line 23348 "gram.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1025 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list));
				}
#line 23356 "gram.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1029 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[0].list));
				}
#line 23364 "gram.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1043 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23376 "gram.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1061 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].node);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 23388 "gram.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1071 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 23394 "gram.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1072 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23400 "gram.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1077 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-2].node);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 23412 "gram.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1085 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 23424 "gram.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1103 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-2].node);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 23436 "gram.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1115 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[-1].node);
					n->database = NULL;
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 23448 "gram.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1136 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23459 "gram.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1143 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23470 "gram.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1160 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23481 "gram.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1167 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[0].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 23492 "gram.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1184 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23504 "gram.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1202 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[-3].node);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[0].list)));
					(yyval.node) = (Node *)n;
				}
#line 23517 "gram.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1212 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = +1; }
#line 23523 "gram.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1213 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = -1; }
#line 23529 "gram.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1226 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23540 "gram.c" /* yacc.c:1646  */
    break;

  case 171:
#line 1233 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 23551 "gram.c" /* yacc.c:1646  */
    break;

  case 172:
#line 1250 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].node);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 23565 "gram.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1260 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 23579 "gram.c" /* yacc.c:1646  */
    break;

  case 174:
#line 1270 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].node);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 23598 "gram.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1285 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not here */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 23617 "gram.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1302 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23623 "gram.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1303 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 23629 "gram.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1308 "gram.y" /* yacc.c:1646  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 23639 "gram.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1314 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 23645 "gram.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1342 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 23655 "gram.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1348 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 23665 "gram.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1354 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 23675 "gram.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1363 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 23687 "gram.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1371 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 23699 "gram.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1383 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 23711 "gram.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1391 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 23723 "gram.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1399 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 23734 "gram.c" /* yacc.c:1646  */
    break;

  case 195:
#line 1406 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 23745 "gram.c" /* yacc.c:1646  */
    break;

  case 196:
#line 1414 "gram.y" /* yacc.c:1646  */
    {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 23751 "gram.c" /* yacc.c:1646  */
    break;

  case 197:
#line 1416 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 23762 "gram.c" /* yacc.c:1646  */
    break;

  case 198:
#line 1424 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 23777 "gram.c" /* yacc.c:1646  */
    break;

  case 199:
#line 1435 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 23789 "gram.c" /* yacc.c:1646  */
    break;

  case 200:
#line 1443 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 23801 "gram.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1451 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 23816 "gram.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1462 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 23828 "gram.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1470 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 23840 "gram.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1478 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 23851 "gram.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1485 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 23863 "gram.c" /* yacc.c:1646  */
    break;

  case 206:
#line 1494 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 23875 "gram.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1503 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23881 "gram.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1505 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 23887 "gram.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1508 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 23893 "gram.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1509 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 23899 "gram.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1513 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 23905 "gram.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1515 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 23911 "gram.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1518 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read uncommitted"; }
#line 23917 "gram.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1519 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read committed"; }
#line 23923 "gram.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1520 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "repeatable read"; }
#line 23929 "gram.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1521 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "serializable"; }
#line 23935 "gram.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1525 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "true"; }
#line 23941 "gram.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1526 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "false"; }
#line 23947 "gram.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1527 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "on"; }
#line 23953 "gram.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1533 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 23959 "gram.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1546 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 23967 "gram.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1550 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 23975 "gram.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1554 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					if ((yyvsp[0].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[0].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 23994 "gram.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1569 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 24005 "gram.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1575 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].value), (yylsp[0])); }
#line 24011 "gram.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1576 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 24017 "gram.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1577 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 24023 "gram.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1581 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24029 "gram.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1582 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 24035 "gram.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1583 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 24041 "gram.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1587 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24047 "gram.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1588 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 24053 "gram.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1592 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 24059 "gram.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1596 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 24065 "gram.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1598 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 24076 "gram.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1605 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 24087 "gram.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1612 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 24098 "gram.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1622 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 24109 "gram.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1629 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 24119 "gram.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1638 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 24125 "gram.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1639 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 24131 "gram.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1644 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 24137 "gram.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1645 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 24143 "gram.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1651 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 24153 "gram.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1657 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 24163 "gram.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1663 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 24173 "gram.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1669 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 24183 "gram.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1675 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 24193 "gram.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1685 "gram.y" /* yacc.c:1646  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 24204 "gram.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1694 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 24210 "gram.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1695 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 24216 "gram.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1699 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 24222 "gram.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1700 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 24228 "gram.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1709 "gram.y" /* yacc.c:1646  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
#line 24237 "gram.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1724 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 24247 "gram.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1730 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 24257 "gram.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1736 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 24267 "gram.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1742 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 24277 "gram.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1748 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 24287 "gram.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1767 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24300 "gram.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1776 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24313 "gram.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1785 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 24328 "gram.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1796 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 24343 "gram.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1807 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24356 "gram.c" /* yacc.c:1646  */
    break;

  case 265:
#line 1816 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24369 "gram.c" /* yacc.c:1646  */
    break;

  case 266:
#line 1825 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 24384 "gram.c" /* yacc.c:1646  */
    break;

  case 267:
#line 1836 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 24399 "gram.c" /* yacc.c:1646  */
    break;

  case 268:
#line 1847 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24412 "gram.c" /* yacc.c:1646  */
    break;

  case 269:
#line 1856 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24425 "gram.c" /* yacc.c:1646  */
    break;

  case 270:
#line 1865 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24438 "gram.c" /* yacc.c:1646  */
    break;

  case 271:
#line 1874 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24451 "gram.c" /* yacc.c:1646  */
    break;

  case 272:
#line 1883 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24464 "gram.c" /* yacc.c:1646  */
    break;

  case 273:
#line 1892 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24477 "gram.c" /* yacc.c:1646  */
    break;

  case 274:
#line 1901 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 24492 "gram.c" /* yacc.c:1646  */
    break;

  case 275:
#line 1912 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);
					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 24507 "gram.c" /* yacc.c:1646  */
    break;

  case 276:
#line 1925 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 24513 "gram.c" /* yacc.c:1646  */
    break;

  case 277:
#line 1926 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 24519 "gram.c" /* yacc.c:1646  */
    break;

  case 278:
#line 1932 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24531 "gram.c" /* yacc.c:1646  */
    break;

  case 279:
#line 1941 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24543 "gram.c" /* yacc.c:1646  */
    break;

  case 280:
#line 1950 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 24555 "gram.c" /* yacc.c:1646  */
    break;

  case 281:
#line 1959 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 24567 "gram.c" /* yacc.c:1646  */
    break;

  case 282:
#line 1968 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 24579 "gram.c" /* yacc.c:1646  */
    break;

  case 283:
#line 1977 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 24590 "gram.c" /* yacc.c:1646  */
    break;

  case 284:
#line 1985 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *)n;
				}
#line 24601 "gram.c" /* yacc.c:1646  */
    break;

  case 285:
#line 1993 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeInteger((yyvsp[0].ival));
					(yyval.node) = (Node *)n;
				}
#line 24613 "gram.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2002 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24625 "gram.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2011 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24637 "gram.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2020 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-3].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 24649 "gram.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2029 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 24662 "gram.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2039 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 24675 "gram.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2052 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 24693 "gram.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2067 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 24705 "gram.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2076 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 24716 "gram.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2084 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);
					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 24734 "gram.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2099 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24745 "gram.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2107 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 24758 "gram.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2117 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 24771 "gram.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2127 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				}
#line 24781 "gram.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2134 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
#line 24791 "gram.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2141 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24802 "gram.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2149 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
#line 24813 "gram.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2157 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *)n;
				}
#line 24823 "gram.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2164 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *)n;
				}
#line 24833 "gram.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2171 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24844 "gram.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2179 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24855 "gram.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2187 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24866 "gram.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2195 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 24876 "gram.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2202 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 24886 "gram.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2209 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24897 "gram.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2217 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
#line 24907 "gram.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2224 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
#line 24917 "gram.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2231 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24928 "gram.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2239 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24939 "gram.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2247 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24950 "gram.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2255 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 24961 "gram.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2263 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 24972 "gram.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2271 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *)n;
				}
#line 24983 "gram.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2279 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[0].list));
					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
#line 24996 "gram.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2289 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
#line 25006 "gram.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2296 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 25017 "gram.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2304 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25028 "gram.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2312 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25039 "gram.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2320 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 25050 "gram.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2328 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 25061 "gram.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2336 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 25071 "gram.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2343 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 25081 "gram.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2350 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 25091 "gram.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2357 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *)n;
				}
#line 25101 "gram.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2363 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 25112 "gram.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2372 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 25118 "gram.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2373 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 25124 "gram.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2377 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 25130 "gram.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2378 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 25136 "gram.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2379 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 25142 "gram.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2384 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 25154 "gram.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2391 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 25160 "gram.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2395 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 25166 "gram.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2396 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 25172 "gram.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2401 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 25183 "gram.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2408 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 25194 "gram.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2415 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 25205 "gram.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2422 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 25216 "gram.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2431 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 25222 "gram.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2434 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25228 "gram.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2435 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25234 "gram.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2439 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 25240 "gram.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2440 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 25246 "gram.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2446 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node));
				}
#line 25254 "gram.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2450 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL);
				}
#line 25262 "gram.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2454 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC);
				}
#line 25271 "gram.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2459 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC);
				}
#line 25279 "gram.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2474 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
#line 25293 "gram.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2486 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 25299 "gram.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2487 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 25305 "gram.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2493 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 25317 "gram.c" /* yacc.c:1646  */
    break;

  case 356:
#line 2502 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 25330 "gram.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2512 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 25343 "gram.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2522 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *)n;
				}
#line 25362 "gram.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2548 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 25372 "gram.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2554 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 25382 "gram.c" /* yacc.c:1646  */
    break;

  case 361:
#line 2588 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-5].boolean);
					n->is_program = (yyvsp[-4].boolean);
					n->filename = (yyvsp[-3].str);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-6].defelt))
						n->options = lappend(n->options, (yyvsp[-6].defelt));
					if ((yyvsp[-2].defelt))
						n->options = lappend(n->options, (yyvsp[-2].defelt));
					if ((yyvsp[0].list))
						n->options = list_concat(n->options, (yyvsp[0].list));
					(yyval.node) = (Node *)n;
				}
#line 25414 "gram.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2616 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[-6].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-4]))));

					(yyval.node) = (Node *)n;
				}
#line 25437 "gram.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2637 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 25443 "gram.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2638 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 25449 "gram.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2642 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 25455 "gram.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2643 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 25461 "gram.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2652 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 25467 "gram.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2653 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25473 "gram.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2654 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 25479 "gram.c" /* yacc.c:1646  */
    break;

  case 370:
#line 2657 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25485 "gram.c" /* yacc.c:1646  */
    break;

  case 371:
#line 2658 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 25491 "gram.c" /* yacc.c:1646  */
    break;

  case 372:
#line 2663 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 25497 "gram.c" /* yacc.c:1646  */
    break;

  case 373:
#line 2664 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25503 "gram.c" /* yacc.c:1646  */
    break;

  case 374:
#line 2669 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
#line 25511 "gram.c" /* yacc.c:1646  */
    break;

  case 375:
#line 2673 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
#line 25519 "gram.c" /* yacc.c:1646  */
    break;

  case 376:
#line 2677 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *)makeInteger(TRUE));
				}
#line 25527 "gram.c" /* yacc.c:1646  */
    break;

  case 377:
#line 2681 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)));
				}
#line 25535 "gram.c" /* yacc.c:1646  */
    break;

  case 378:
#line 2685 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[0].str)));
				}
#line 25543 "gram.c" /* yacc.c:1646  */
    break;

  case 379:
#line 2689 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"));
				}
#line 25551 "gram.c" /* yacc.c:1646  */
    break;

  case 380:
#line 2693 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE));
				}
#line 25559 "gram.c" /* yacc.c:1646  */
    break;

  case 381:
#line 2697 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[0].str)));
				}
#line 25567 "gram.c" /* yacc.c:1646  */
    break;

  case 382:
#line 2701 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[0].str)));
				}
#line 25575 "gram.c" /* yacc.c:1646  */
    break;

  case 383:
#line 2705 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[0].list));
				}
#line 25583 "gram.c" /* yacc.c:1646  */
    break;

  case 384:
#line 2709 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star));
				}
#line 25591 "gram.c" /* yacc.c:1646  */
    break;

  case 385:
#line 2713 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[0].list));
				}
#line 25599 "gram.c" /* yacc.c:1646  */
    break;

  case 386:
#line 2717 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *)(yyvsp[0].list));
				}
#line 25607 "gram.c" /* yacc.c:1646  */
    break;

  case 387:
#line 2721 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[0].str)));
				}
#line 25615 "gram.c" /* yacc.c:1646  */
    break;

  case 388:
#line 2730 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
#line 25623 "gram.c" /* yacc.c:1646  */
    break;

  case 389:
#line 2733 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 25629 "gram.c" /* yacc.c:1646  */
    break;

  case 390:
#line 2738 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
#line 25637 "gram.c" /* yacc.c:1646  */
    break;

  case 391:
#line 2741 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 25643 "gram.c" /* yacc.c:1646  */
    break;

  case 392:
#line 2746 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[0].str)));
				}
#line 25651 "gram.c" /* yacc.c:1646  */
    break;

  case 393:
#line 2749 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 25657 "gram.c" /* yacc.c:1646  */
    break;

  case 394:
#line 2753 "gram.y" /* yacc.c:1646  */
    {}
#line 25663 "gram.c" /* yacc.c:1646  */
    break;

  case 395:
#line 2754 "gram.y" /* yacc.c:1646  */
    {}
#line 25669 "gram.c" /* yacc.c:1646  */
    break;

  case 396:
#line 2760 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 25677 "gram.c" /* yacc.c:1646  */
    break;

  case 397:
#line 2764 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 25685 "gram.c" /* yacc.c:1646  */
    break;

  case 398:
#line 2771 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 25693 "gram.c" /* yacc.c:1646  */
    break;

  case 399:
#line 2777 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 25699 "gram.c" /* yacc.c:1646  */
    break;

  case 400:
#line 2778 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 25705 "gram.c" /* yacc.c:1646  */
    break;

  case 401:
#line 2779 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 25711 "gram.c" /* yacc.c:1646  */
    break;

  case 402:
#line 2780 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 25717 "gram.c" /* yacc.c:1646  */
    break;

  case 403:
#line 2781 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 25723 "gram.c" /* yacc.c:1646  */
    break;

  case 404:
#line 2786 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 25731 "gram.c" /* yacc.c:1646  */
    break;

  case 405:
#line 2790 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 25739 "gram.c" /* yacc.c:1646  */
    break;

  case 406:
#line 2797 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 25745 "gram.c" /* yacc.c:1646  */
    break;

  case 407:
#line 2810 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-9].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = (yyvsp[-3].list);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 25764 "gram.c" /* yacc.c:1646  */
    break;

  case 408:
#line 2827 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-7].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-7].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = (yyvsp[-3].list);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 25783 "gram.c" /* yacc.c:1646  */
    break;

  case 409:
#line 2843 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-6].range)->relpersistence = (yyvsp[-8].ival);
					n->relation = (yyvsp[-6].range);
					n->tableElts = (yyvsp[-3].list);
					n->inhRelations = NIL;
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-4].list));
					n->ofTypename->location = (yylsp[-4]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 25803 "gram.c" /* yacc.c:1646  */
    break;

  case 410:
#line 2860 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[-6].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-6].range);
					n->tableElts = (yyvsp[-3].list);
					n->inhRelations = NIL;
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-4].list));
					n->ofTypename->location = (yylsp[-4]);
					n->constraints = NIL;
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 25823 "gram.c" /* yacc.c:1646  */
    break;

  case 411:
#line 2888 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 25829 "gram.c" /* yacc.c:1646  */
    break;

  case 412:
#line 2889 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 25835 "gram.c" /* yacc.c:1646  */
    break;

  case 413:
#line 2890 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 25841 "gram.c" /* yacc.c:1646  */
    break;

  case 414:
#line 2891 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 25847 "gram.c" /* yacc.c:1646  */
    break;

  case 415:
#line 2893 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 25858 "gram.c" /* yacc.c:1646  */
    break;

  case 416:
#line 2900 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 25869 "gram.c" /* yacc.c:1646  */
    break;

  case 417:
#line 2906 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 25875 "gram.c" /* yacc.c:1646  */
    break;

  case 418:
#line 2907 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 25881 "gram.c" /* yacc.c:1646  */
    break;

  case 419:
#line 2911 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 25887 "gram.c" /* yacc.c:1646  */
    break;

  case 420:
#line 2912 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25893 "gram.c" /* yacc.c:1646  */
    break;

  case 421:
#line 2916 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 25899 "gram.c" /* yacc.c:1646  */
    break;

  case 422:
#line 2917 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 25905 "gram.c" /* yacc.c:1646  */
    break;

  case 423:
#line 2922 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 25913 "gram.c" /* yacc.c:1646  */
    break;

  case 424:
#line 2926 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 25921 "gram.c" /* yacc.c:1646  */
    break;

  case 425:
#line 2933 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 25929 "gram.c" /* yacc.c:1646  */
    break;

  case 426:
#line 2937 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 25937 "gram.c" /* yacc.c:1646  */
    break;

  case 427:
#line 2943 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 25943 "gram.c" /* yacc.c:1646  */
    break;

  case 428:
#line 2944 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 25949 "gram.c" /* yacc.c:1646  */
    break;

  case 429:
#line 2945 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 25955 "gram.c" /* yacc.c:1646  */
    break;

  case 430:
#line 2949 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 25961 "gram.c" /* yacc.c:1646  */
    break;

  case 431:
#line 2950 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 25967 "gram.c" /* yacc.c:1646  */
    break;

  case 432:
#line 2954 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = (yyvsp[-2].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 25990 "gram.c" /* yacc.c:1646  */
    break;

  case 433:
#line 2975 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *)n;
				}
#line 26012 "gram.c" /* yacc.c:1646  */
    break;

  case 434:
#line 2995 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 26018 "gram.c" /* yacc.c:1646  */
    break;

  case 435:
#line 2996 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26024 "gram.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3001 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = (Constraint *) (yyvsp[0].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 26036 "gram.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3008 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26042 "gram.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3009 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26048 "gram.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3011 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 26065 "gram.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3042 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 26076 "gram.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3049 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 26087 "gram.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3056 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26102 "gram.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3067 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 26117 "gram.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3078 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *)n;
				}
#line 26133 "gram.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3090 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
#line 26146 "gram.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3099 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable			= (yyvsp[-3].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[-2].list);
					n->fk_matchtype		= (yyvsp[-1].ival);
					n->fk_upd_action	= (char) ((yyvsp[0].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[0].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
#line 26165 "gram.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3132 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 26176 "gram.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3139 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 26187 "gram.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3146 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 26198 "gram.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3153 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 26209 "gram.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3164 "gram.y" /* yacc.c:1646  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					(yyval.node) = (Node *)n;
				}
#line 26220 "gram.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3173 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 26226 "gram.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3174 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 26232 "gram.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3175 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 26238 "gram.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3179 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 26244 "gram.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3180 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 26250 "gram.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3181 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 26256 "gram.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3182 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 26262 "gram.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3183 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 26268 "gram.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3184 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 26274 "gram.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3194 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = (Constraint *) (yyvsp[0].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 26286 "gram.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3201 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 26292 "gram.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3206 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 26309 "gram.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3220 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-6]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 26327 "gram.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3234 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 26345 "gram.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3249 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-7]);
					n->keys = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 26363 "gram.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3263 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 26381 "gram.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3279 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-8]);
					n->access_method	= (yyvsp[-7].str);
					n->exclusions		= (yyvsp[-5].list);
					n->options			= (yyvsp[-3].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[-2].str);
					n->where_clause		= (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 26401 "gram.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3296 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable			= (yyvsp[-4].range);
					n->fk_attrs			= (yyvsp[-7].list);
					n->pk_attrs			= (yyvsp[-3].list);
					n->fk_matchtype		= (yyvsp[-2].ival);
					n->fk_upd_action	= (char) ((yyvsp[-1].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[-1].ival) & 0xFF);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
#line 26423 "gram.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3315 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = TRUE; }
#line 26429 "gram.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3316 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = FALSE; }
#line 26435 "gram.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3320 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 26441 "gram.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3321 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26447 "gram.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3325 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 26453 "gram.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3326 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 26459 "gram.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3330 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 26467 "gram.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3336 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 26475 "gram.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3340 "gram.y" /* yacc.c:1646  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 26487 "gram.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3348 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 26495 "gram.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3352 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 26503 "gram.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3358 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 26509 "gram.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3360 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 26515 "gram.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3364 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 26523 "gram.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3369 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 26531 "gram.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3375 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 26537 "gram.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3376 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 26543 "gram.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3387 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 26549 "gram.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3389 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 26555 "gram.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3391 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[-1].ival) << 8) | ((yyvsp[0].ival) & 0xFF); }
#line 26561 "gram.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3393 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ((yyvsp[0].ival) << 8) | ((yyvsp[-1].ival) & 0xFF); }
#line 26567 "gram.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3395 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
#line 26573 "gram.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3398 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 26579 "gram.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3401 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 26585 "gram.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3405 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
#line 26591 "gram.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3406 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
#line 26597 "gram.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3407 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
#line 26603 "gram.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3408 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
#line 26609 "gram.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3409 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
#line 26615 "gram.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3412 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 26621 "gram.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3413 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26627 "gram.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3418 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26633 "gram.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3419 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(defWithOids(true)); }
#line 26639 "gram.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3420 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(defWithOids(false)); }
#line 26645 "gram.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3421 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26651 "gram.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3424 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 26657 "gram.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3425 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 26663 "gram.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3426 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 26669 "gram.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3427 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 26675 "gram.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3430 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26681 "gram.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3431 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26687 "gram.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3434 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26693 "gram.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3435 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 26699 "gram.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3438 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 26705 "gram.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3454 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 26722 "gram.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3467 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-8].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 26739 "gram.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3483 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 26754 "gram.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3496 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 26760 "gram.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3497 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 26766 "gram.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3498 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 26772 "gram.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3511 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 26789 "gram.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3524 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-9].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 26806 "gram.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3540 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-3].range);
					(yyval.into)->colNames = (yyvsp[-2].list);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 26821 "gram.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3552 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 26827 "gram.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3553 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 26833 "gram.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3566 "gram.y" /* yacc.c:1646  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);
					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 26845 "gram.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3586 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 26859 "gram.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3596 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[-1].range)->relpersistence = (yyvsp[-6].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 26873 "gram.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3609 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 26885 "gram.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3617 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 26897 "gram.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3627 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 26903 "gram.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3628 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 26909 "gram.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3631 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 26915 "gram.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3632 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 26921 "gram.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3636 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[0].value));
				}
#line 26929 "gram.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3640 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE));
				}
#line 26937 "gram.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3644 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE));
				}
#line 26945 "gram.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3648 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[0].value));
				}
#line 26953 "gram.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3652 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[0].value));
				}
#line 26961 "gram.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3656 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[0].value));
				}
#line 26969 "gram.c" /* yacc.c:1646  */
    break;

  case 540:
#line 3660 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL);
				}
#line 26977 "gram.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3664 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL);
				}
#line 26985 "gram.c" /* yacc.c:1646  */
    break;

  case 542:
#line 3668 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[0].list));
				}
#line 26993 "gram.c" /* yacc.c:1646  */
    break;

  case 543:
#line 3672 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[0].value));
				}
#line 27001 "gram.c" /* yacc.c:1646  */
    break;

  case 544:
#line 3676 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL);
				}
#line 27009 "gram.c" /* yacc.c:1646  */
    break;

  case 545:
#line 3680 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[0].value));
				}
#line 27017 "gram.c" /* yacc.c:1646  */
    break;

  case 546:
#line 3685 "gram.y" /* yacc.c:1646  */
    {}
#line 27023 "gram.c" /* yacc.c:1646  */
    break;

  case 547:
#line 3686 "gram.y" /* yacc.c:1646  */
    {}
#line 27029 "gram.c" /* yacc.c:1646  */
    break;

  case 548:
#line 3690 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeFloat((yyvsp[0].str)); }
#line 27035 "gram.c" /* yacc.c:1646  */
    break;

  case 549:
#line 3692 "gram.y" /* yacc.c:1646  */
    {
					(yyval.value) = makeFloat((yyvsp[0].str));
					doNegateFloat((yyval.value));
				}
#line 27044 "gram.c" /* yacc.c:1646  */
    break;

  case 550:
#line 3696 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeInteger((yyvsp[0].ival)); }
#line 27050 "gram.c" /* yacc.c:1646  */
    break;

  case 551:
#line 3699 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 27056 "gram.c" /* yacc.c:1646  */
    break;

  case 552:
#line 3700 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 27062 "gram.c" /* yacc.c:1646  */
    break;

  case 553:
#line 3713 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-4].boolean);
				n->plname = (yyvsp[0].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
#line 27078 "gram.c" /* yacc.c:1646  */
    break;

  case 554:
#line 3726 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *)n;
			}
#line 27093 "gram.c" /* yacc.c:1646  */
    break;

  case 555:
#line 3739 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 27099 "gram.c" /* yacc.c:1646  */
    break;

  case 556:
#line 3740 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 27105 "gram.c" /* yacc.c:1646  */
    break;

  case 557:
#line 3748 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 27111 "gram.c" /* yacc.c:1646  */
    break;

  case 558:
#line 3749 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 27117 "gram.c" /* yacc.c:1646  */
    break;

  case 559:
#line 3753 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27123 "gram.c" /* yacc.c:1646  */
    break;

  case 560:
#line 3754 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27129 "gram.c" /* yacc.c:1646  */
    break;

  case 561:
#line 3758 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27135 "gram.c" /* yacc.c:1646  */
    break;

  case 562:
#line 3759 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27141 "gram.c" /* yacc.c:1646  */
    break;

  case 563:
#line 3763 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27147 "gram.c" /* yacc.c:1646  */
    break;

  case 564:
#line 3764 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27153 "gram.c" /* yacc.c:1646  */
    break;

  case 565:
#line 3769 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 27168 "gram.c" /* yacc.c:1646  */
    break;

  case 566:
#line 3780 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 27182 "gram.c" /* yacc.c:1646  */
    break;

  case 567:
#line 3792 "gram.y" /* yacc.c:1646  */
    {}
#line 27188 "gram.c" /* yacc.c:1646  */
    break;

  case 568:
#line 3793 "gram.y" /* yacc.c:1646  */
    {}
#line 27194 "gram.c" /* yacc.c:1646  */
    break;

  case 569:
#line 3804 "gram.y" /* yacc.c:1646  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].node);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27207 "gram.c" /* yacc.c:1646  */
    break;

  case 570:
#line 3814 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 27213 "gram.c" /* yacc.c:1646  */
    break;

  case 571:
#line 3815 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 27219 "gram.c" /* yacc.c:1646  */
    break;

  case 572:
#line 3829 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 27230 "gram.c" /* yacc.c:1646  */
    break;

  case 573:
#line 3836 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 27241 "gram.c" /* yacc.c:1646  */
    break;

  case 574:
#line 3853 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27253 "gram.c" /* yacc.c:1646  */
    break;

  case 575:
#line 3861 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27265 "gram.c" /* yacc.c:1646  */
    break;

  case 576:
#line 3872 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27271 "gram.c" /* yacc.c:1646  */
    break;

  case 577:
#line 3874 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27277 "gram.c" /* yacc.c:1646  */
    break;

  case 578:
#line 3879 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[0].str)));
				}
#line 27285 "gram.c" /* yacc.c:1646  */
    break;

  case 579:
#line 3883 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 27293 "gram.c" /* yacc.c:1646  */
    break;

  case 580:
#line 3887 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 27301 "gram.c" /* yacc.c:1646  */
    break;

  case 581:
#line 3891 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cascade", (Node *)makeInteger(TRUE));
				}
#line 27309 "gram.c" /* yacc.c:1646  */
    break;

  case 582:
#line 3903 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27320 "gram.c" /* yacc.c:1646  */
    break;

  case 583:
#line 3913 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27326 "gram.c" /* yacc.c:1646  */
    break;

  case 584:
#line 3915 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27332 "gram.c" /* yacc.c:1646  */
    break;

  case 585:
#line 3920 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[0].str)));
				}
#line 27340 "gram.c" /* yacc.c:1646  */
    break;

  case 586:
#line 3933 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					(yyval.node) = (Node *)n;
				}
#line 27354 "gram.c" /* yacc.c:1646  */
    break;

  case 587:
#line 3943 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[-3].typnam));
					n->objargs = list_make1((yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 27368 "gram.c" /* yacc.c:1646  */
    break;

  case 588:
#line 3953 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_COLLATION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27381 "gram.c" /* yacc.c:1646  */
    break;

  case 589:
#line 3962 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_CONVERSION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27394 "gram.c" /* yacc.c:1646  */
    break;

  case 590:
#line 3971 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->objname = list_make1((yyvsp[0].typnam));
					(yyval.node) = (Node *)n;
				}
#line 27407 "gram.c" /* yacc.c:1646  */
    break;

  case 591:
#line 3980 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[0].funwithargs)->funcname;
					n->objargs = (yyvsp[0].funwithargs)->funcargs;
					(yyval.node) = (Node *)n;
				}
#line 27421 "gram.c" /* yacc.c:1646  */
    break;

  case 592:
#line 3990 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 27434 "gram.c" /* yacc.c:1646  */
    break;

  case 593:
#line 3999 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27448 "gram.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4009 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->objname = lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 27461 "gram.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4018 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *)n;
				}
#line 27474 "gram.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4027 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SCHEMA;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 27487 "gram.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4036 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_EVENT_TRIGGER;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 27500 "gram.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4045 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TABLE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27513 "gram.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4054 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27526 "gram.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4063 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27539 "gram.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4072 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27552 "gram.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4081 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27565 "gram.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4090 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27578 "gram.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4099 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_VIEW;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27591 "gram.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4108 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_MATVIEW;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27604 "gram.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4117 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-4].str);
					n->action = (yyvsp[-3].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->objname = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 27617 "gram.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4126 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-5].str);
					n->action = (yyvsp[-4].ival);
					n->objtype = OBJECT_FDW;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 27630 "gram.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4135 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objname = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 27643 "gram.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4144 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->objname = list_make1((yyvsp[-2].typnam));
					n->objargs = list_make1(makeString((yyvsp[0].str)));
					(yyval.node) = (Node *)n;
				}
#line 27657 "gram.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4154 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->objname = list_make1((yyvsp[0].typnam));
					(yyval.node) = (Node *)n;
				}
#line 27670 "gram.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4172 "gram.y" /* yacc.c:1646  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27682 "gram.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4182 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[0].list)); }
#line 27688 "gram.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4183 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", NULL); }
#line 27694 "gram.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4184 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[0].list)); }
#line 27700 "gram.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4185 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", NULL); }
#line 27706 "gram.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4189 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 27712 "gram.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4190 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 27718 "gram.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4194 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 27724 "gram.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4195 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27730 "gram.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4206 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 27745 "gram.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4217 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 27760 "gram.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4237 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27772 "gram.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4245 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 27784 "gram.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4256 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 27790 "gram.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4257 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 27796 "gram.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4262 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 27804 "gram.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4266 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 27812 "gram.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4273 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 27818 "gram.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4278 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 27826 "gram.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4282 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 27834 "gram.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4289 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 27842 "gram.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4293 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 27851 "gram.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4298 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 27860 "gram.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4303 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP);
				}
#line 27868 "gram.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4310 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 27876 "gram.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4316 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27882 "gram.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4321 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 27888 "gram.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4333 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 27902 "gram.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4345 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27908 "gram.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4346 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 27914 "gram.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4351 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27920 "gram.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4352 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 27926 "gram.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4356 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 27932 "gram.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4357 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 27938 "gram.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4368 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 27953 "gram.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4379 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 27968 "gram.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4399 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 27981 "gram.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4408 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 27993 "gram.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4416 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28004 "gram.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4435 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28026 "gram.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4455 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28048 "gram.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4483 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 28061 "gram.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4492 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 28074 "gram.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4514 "gram.y" /* yacc.c:1646  */
    {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);
				n->server_name = (yyvsp[-3].str);
				n->remote_schema = (yyvsp[-7].str);
				n->local_schema = (yyvsp[-1].str);
				n->list_type = (yyvsp[-6].importqual)->type;
				n->table_list = (yyvsp[-6].importqual)->table_names;
				n->options = (yyvsp[0].list);
				(yyval.node) = (Node *) n;
			}
#line 28089 "gram.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4527 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
#line 28095 "gram.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4528 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
#line 28101 "gram.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4533 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = (yyvsp[-3].ival);
				n->table_names = (yyvsp[-1].list);
				(yyval.importqual) = n;
			}
#line 28112 "gram.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4540 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
#line 28123 "gram.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4556 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->user = (yyvsp[-3].node);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28135 "gram.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4566 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 28141 "gram.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4567 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0])); }
#line 28147 "gram.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4580 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].node);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 28159 "gram.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4588 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->user = (yyvsp[-2].node);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 28171 "gram.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4605 "gram.y" /* yacc.c:1646  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->user = (yyvsp[-3].node);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 28183 "gram.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4629 "gram.y" /* yacc.c:1646  */
    {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);
					n->policy_name = (yyvsp[-6].str);
					n->table = (yyvsp[-4].range);
					n->cmd_name = (yyvsp[-3].str);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 28198 "gram.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4644 "gram.y" /* yacc.c:1646  */
    {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);
					n->policy_name = (yyvsp[-5].str);
					n->table = (yyvsp[-3].range);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 28212 "gram.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4657 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_POLICY;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 28227 "gram.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4668 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_POLICY;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 28242 "gram.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4681 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 28248 "gram.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4682 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 28254 "gram.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4686 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 28260 "gram.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4687 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 28266 "gram.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4691 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28272 "gram.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4692 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
#line 28278 "gram.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4696 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28284 "gram.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4697 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NULL; }
#line 28290 "gram.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4701 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 28296 "gram.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4702 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 28302 "gram.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4706 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 28308 "gram.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4707 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "select"; }
#line 28314 "gram.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4708 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "insert"; }
#line 28320 "gram.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4709 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "update"; }
#line 28326 "gram.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4710 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "delete"; }
#line 28332 "gram.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4721 "gram.y" /* yacc.c:1646  */
    {
					CreateAmStmt *n = makeNode(CreateAmStmt);
					n->amname = (yyvsp[-4].str);
					n->handler_name = (yyvsp[0].list);
					n->amtype = AMTYPE_INDEX;
					(yyval.node) = (Node *) n;
				}
#line 28344 "gram.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4742 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-12].str);
					n->relation = (yyvsp[-8].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-11].ival);
					n->events = intVal(linitial((yyvsp[-10].list)));
					n->columns = (List *) lsecond((yyvsp[-10].list));
					n->whenClause = (yyvsp[-6].node);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
#line 28366 "gram.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4763 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = TRUE;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *)n;
				}
#line 28389 "gram.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4784 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 28395 "gram.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4785 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 28401 "gram.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4786 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 28407 "gram.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4791 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 28413 "gram.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4793 "gram.y" /* yacc.c:1646  */
    {
					int		events1 = intVal(linitial((yyvsp[-2].list)));
					int		events2 = intVal(linitial((yyvsp[0].list)));
					List   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 28436 "gram.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4815 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 28442 "gram.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4817 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 28448 "gram.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4819 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 28454 "gram.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4821 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 28460 "gram.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4823 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 28466 "gram.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4828 "gram.y" /* yacc.c:1646  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 28474 "gram.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4832 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				}
#line 28486 "gram.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4842 "gram.y" /* yacc.c:1646  */
    {}
#line 28492 "gram.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4843 "gram.y" /* yacc.c:1646  */
    {}
#line 28498 "gram.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4847 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 28504 "gram.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4848 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 28510 "gram.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4852 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 28516 "gram.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4853 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 28522 "gram.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4857 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].value)); }
#line 28528 "gram.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4858 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].value)); }
#line 28534 "gram.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4859 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 28540 "gram.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4864 "gram.y" /* yacc.c:1646  */
    {
					(yyval.value) = makeString(psprintf("%d", (yyvsp[0].ival)));
				}
#line 28548 "gram.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4867 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 28554 "gram.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4868 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 28560 "gram.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4869 "gram.y" /* yacc.c:1646  */
    { (yyval.value) = makeString((yyvsp[0].str)); }
#line 28566 "gram.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4873 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = (yyvsp[0].range); }
#line 28572 "gram.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4874 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = NULL; }
#line 28578 "gram.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4879 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 28584 "gram.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4881 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 28612 "gram.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4907 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 28618 "gram.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4908 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 28624 "gram.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4909 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 28630 "gram.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4910 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 28636 "gram.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4911 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 28642 "gram.c" /* yacc.c:1646  */
    break;

  case 721:
#line 4912 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 28648 "gram.c" /* yacc.c:1646  */
    break;

  case 722:
#line 4918 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 28663 "gram.c" /* yacc.c:1646  */
    break;

  case 723:
#line 4929 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 28678 "gram.c" /* yacc.c:1646  */
    break;

  case 724:
#line 4953 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 28691 "gram.c" /* yacc.c:1646  */
    break;

  case 725:
#line 4964 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *)n;
				}
#line 28704 "gram.c" /* yacc.c:1646  */
    break;

  case 726:
#line 4976 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 28710 "gram.c" /* yacc.c:1646  */
    break;

  case 727:
#line 4978 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 28716 "gram.c" /* yacc.c:1646  */
    break;

  case 728:
#line 4983 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list)); }
#line 28722 "gram.c" /* yacc.c:1646  */
    break;

  case 729:
#line 4988 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 28728 "gram.c" /* yacc.c:1646  */
    break;

  case 730:
#line 4990 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 28734 "gram.c" /* yacc.c:1646  */
    break;

  case 731:
#line 4995 "gram.y" /* yacc.c:1646  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);
					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 28745 "gram.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5004 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 28751 "gram.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5005 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 28757 "gram.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5006 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 28763 "gram.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5007 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 28769 "gram.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5021 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[-5].str);
					n->args = list_make1((yyvsp[-2].node));
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				}
#line 28789 "gram.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5040 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = NIL;
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				}
#line 28805 "gram.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5063 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28819 "gram.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5073 "gram.y" /* yacc.c:1646  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28834 "gram.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5084 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28848 "gram.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5094 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28862 "gram.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5104 "gram.y" /* yacc.c:1646  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
#line 28877 "gram.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5115 "gram.y" /* yacc.c:1646  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 28890 "gram.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5124 "gram.y" /* yacc.c:1646  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 28901 "gram.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5131 "gram.y" /* yacc.c:1646  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[-3].list);
					n->params	= (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28912 "gram.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5138 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28925 "gram.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5147 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28938 "gram.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5156 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28951 "gram.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5165 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28964 "gram.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5174 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 28977 "gram.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5183 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list)));
					(yyval.node) = (Node *)n;
				}
#line 28990 "gram.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5193 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 28996 "gram.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5196 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 29002 "gram.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5197 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 29008 "gram.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5201 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node));
				}
#line 29016 "gram.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5205 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL);
				}
#line 29024 "gram.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5211 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].typnam); }
#line 29030 "gram.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5212 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[0].keyword))); }
#line 29036 "gram.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5213 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].list); }
#line 29042 "gram.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5214 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[0].value); }
#line 29048 "gram.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5215 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)makeString((yyvsp[0].str)); }
#line 29054 "gram.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5218 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 29060 "gram.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5221 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 29066 "gram.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5222 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 29072 "gram.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5231 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)(yyvsp[0].node));
				}
#line 29080 "gram.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5237 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29086 "gram.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5238 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29092 "gram.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5242 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 29098 "gram.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5244 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 29104 "gram.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5255 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-4].list);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 29118 "gram.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5265 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 29132 "gram.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5275 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[-6].list);
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 29146 "gram.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5286 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 29152 "gram.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5287 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 29158 "gram.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5305 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29173 "gram.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5318 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 29179 "gram.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5319 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 29185 "gram.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5324 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].list);
					n->args = NIL;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 29199 "gram.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5335 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-3].list);
					n->args = (yyvsp[-2].list);
					n->number = (yyvsp[-4].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 29213 "gram.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5345 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[-1].list);
					n->args = extractArgTypes((yyvsp[0].list));
					n->number = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 29226 "gram.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5354 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[-1].list);
					n->args = extractArgTypes((yyvsp[0].list));
					n->number = (yyvsp[-5].ival);
					n->class_args = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 29240 "gram.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5364 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 29251 "gram.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5372 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 29257 "gram.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5373 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 29263 "gram.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5376 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29269 "gram.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5377 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29275 "gram.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5380 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29281 "gram.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5381 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29287 "gram.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5382 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29293 "gram.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5386 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = TRUE;
				}
#line 29311 "gram.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5399 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 29317 "gram.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5405 "gram.y" /* yacc.c:1646  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29328 "gram.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5415 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29341 "gram.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5424 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29354 "gram.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5435 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 29360 "gram.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5436 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 29366 "gram.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5441 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 29378 "gram.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5449 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 29390 "gram.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5461 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29404 "gram.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5471 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29418 "gram.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5484 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29432 "gram.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5494 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29446 "gram.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5516 "gram.y" /* yacc.c:1646  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 29457 "gram.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5526 "gram.y" /* yacc.c:1646  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 29468 "gram.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5544 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 29483 "gram.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5555 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 29498 "gram.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5566 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29512 "gram.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5576 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TYPE;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29526 "gram.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5586 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29540 "gram.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5596 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 29554 "gram.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5606 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 29569 "gram.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5617 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[-1].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
#line 29584 "gram.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5630 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 29590 "gram.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5631 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 29596 "gram.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5632 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 29602 "gram.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5633 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 29608 "gram.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5634 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 29614 "gram.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5635 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 29620 "gram.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5636 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 29626 "gram.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5637 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 29632 "gram.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5638 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 29638 "gram.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5639 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 29644 "gram.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5640 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 29650 "gram.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5641 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 29656 "gram.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5642 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 29662 "gram.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5643 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 29668 "gram.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5644 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 29674 "gram.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5645 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 29680 "gram.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5649 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 29686 "gram.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5650 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 29692 "gram.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5653 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 29698 "gram.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5654 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 29704 "gram.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5658 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 29710 "gram.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5660 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 29716 "gram.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5664 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(list_make1((yyvsp[0].typnam))); }
#line 29722 "gram.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5665 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), list_make1((yyvsp[0].typnam))); }
#line 29728 "gram.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5676 "gram.y" /* yacc.c:1646  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 29740 "gram.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5686 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 29746 "gram.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5687 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 29752 "gram.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5688 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 29758 "gram.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5723 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[-3].objtype);
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29771 "gram.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5732 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TYPE;
					n->objname = list_make1((yyvsp[-2].typnam));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29784 "gram.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5741 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMAIN;
					n->objname = list_make1((yyvsp[-2].typnam));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29797 "gram.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5750 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractAggrArgTypes((yyvsp[-2].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29810 "gram.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5759 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractArgTypes((yyvsp[-2].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29823 "gram.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5768 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[-3].list);
					n->objargs = (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29836 "gram.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5777 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TABCONSTRAINT;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29849 "gram.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5786 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->objname = list_make1(makeTypeNameFromNameList((yyvsp[-2].list)));
					n->objargs = list_make1(makeString((yyvsp[-5].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29867 "gram.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5800 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_POLICY;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29880 "gram.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5809 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29893 "gram.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5818 "gram.y" /* yacc.c:1646  */
    {
					/* Obsolete syntax supported for awhile for compatibility */
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = list_make1(makeString((yyvsp[-2].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29907 "gram.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5828 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRANSFORM;
					n->objname = list_make1((yyvsp[-4].typnam));
					n->objargs = list_make1(makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29920 "gram.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5837 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->objname = lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29933 "gram.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5846 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->objname = lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29945 "gram.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5854 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29958 "gram.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5863 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[-2].value));
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29971 "gram.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5872 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[-5].typnam));
					n->objargs = list_make1((yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29984 "gram.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5881 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 29997 "gram.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5892 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 30003 "gram.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5893 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 30009 "gram.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5894 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 30015 "gram.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5895 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 30021 "gram.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5896 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 30027 "gram.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5897 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 30033 "gram.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5898 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 30039 "gram.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5899 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 30045 "gram.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5900 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 30051 "gram.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5901 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 30057 "gram.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5902 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 30063 "gram.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5903 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 30069 "gram.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5904 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 30075 "gram.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5905 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 30081 "gram.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5906 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 30087 "gram.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5907 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 30093 "gram.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5908 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 30099 "gram.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5909 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 30105 "gram.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5910 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 30111 "gram.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5911 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 30117 "gram.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5912 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 30123 "gram.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5913 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 30129 "gram.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5917 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30135 "gram.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5918 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30141 "gram.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5934 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30155 "gram.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5945 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->objname = list_make1((yyvsp[-2].typnam));
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30169 "gram.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5956 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->objname = list_make1((yyvsp[-2].typnam));
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30183 "gram.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5967 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractAggrArgTypes((yyvsp[-2].list));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30197 "gram.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5978 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[-3].list);
					n->objargs = extractArgTypes((yyvsp[-2].list));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30211 "gram.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5989 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[-2].value));
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30225 "gram.c" /* yacc.c:1646  */
    break;

  case 889:
#line 6000 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[-2].list);
					n->objargs = NIL;
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30239 "gram.c" /* yacc.c:1646  */
    break;

  case 890:
#line 6011 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30245 "gram.c" /* yacc.c:1646  */
    break;

  case 891:
#line 6012 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30251 "gram.c" /* yacc.c:1646  */
    break;

  case 892:
#line 6016 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLUMN; }
#line 30257 "gram.c" /* yacc.c:1646  */
    break;

  case 893:
#line 6017 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 30263 "gram.c" /* yacc.c:1646  */
    break;

  case 894:
#line 6018 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 30269 "gram.c" /* yacc.c:1646  */
    break;

  case 895:
#line 6019 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 30275 "gram.c" /* yacc.c:1646  */
    break;

  case 896:
#line 6020 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 30281 "gram.c" /* yacc.c:1646  */
    break;

  case 897:
#line 6021 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 30287 "gram.c" /* yacc.c:1646  */
    break;

  case 898:
#line 6022 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 30293 "gram.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6023 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 30299 "gram.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6024 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 30305 "gram.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6025 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 30311 "gram.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6026 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 30317 "gram.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6029 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30323 "gram.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6030 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30329 "gram.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6041 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 30339 "gram.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6047 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 30349 "gram.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6055 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 30361 "gram.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6063 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 30373 "gram.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6071 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 30385 "gram.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6079 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 30397 "gram.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6087 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 30409 "gram.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6095 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
#line 30421 "gram.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6103 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 30433 "gram.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6111 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 30445 "gram.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6119 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 30457 "gram.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6127 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 30469 "gram.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6135 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 30481 "gram.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6143 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 30493 "gram.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6151 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 30505 "gram.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6159 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
#line 30517 "gram.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6167 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *)n;
				}
#line 30529 "gram.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6175 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
#line 30541 "gram.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6184 "gram.y" /* yacc.c:1646  */
    {}
#line 30547 "gram.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6185 "gram.y" /* yacc.c:1646  */
    {}
#line 30553 "gram.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6188 "gram.y" /* yacc.c:1646  */
    {}
#line 30559 "gram.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6189 "gram.y" /* yacc.c:1646  */
    {}
#line 30565 "gram.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6201 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 30581 "gram.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6217 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 30598 "gram.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6231 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ((yyvsp[-3].privtarget))->targtype;
					n->objtype = ((yyvsp[-3].privtarget))->objtype;
					n->objects = ((yyvsp[-3].privtarget))->objs;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 30615 "gram.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6256 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30621 "gram.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6258 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30627 "gram.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6260 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30633 "gram.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6262 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 30644 "gram.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6269 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 30655 "gram.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6277 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 30661 "gram.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6278 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 30667 "gram.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6282 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 30678 "gram.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6289 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 30689 "gram.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6296 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 30700 "gram.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6303 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 30711 "gram.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6317 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30723 "gram.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6325 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30735 "gram.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6333 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30747 "gram.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6341 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30759 "gram.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6349 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30771 "gram.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6357 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30783 "gram.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6365 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30795 "gram.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6373 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30807 "gram.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6381 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30819 "gram.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6389 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30831 "gram.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6397 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30843 "gram.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6405 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30855 "gram.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6413 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30867 "gram.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6421 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30879 "gram.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6429 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30891 "gram.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6437 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 30903 "gram.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6448 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 30909 "gram.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6449 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 30915 "gram.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6453 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30921 "gram.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6454 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 30927 "gram.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6459 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 30933 "gram.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6460 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 30939 "gram.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6464 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].funwithargs)); }
#line 30945 "gram.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6466 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].funwithargs)); }
#line 30951 "gram.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6471 "gram.y" /* yacc.c:1646  */
    {
					FuncWithArgs *n = makeNode(FuncWithArgs);
					n->funcname = (yyvsp[-1].list);
					n->funcargs = extractArgTypes((yyvsp[0].list));
					(yyval.funwithargs) = n;
				}
#line 30962 "gram.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6487 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->admin_opt = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].node);
					(yyval.node) = (Node*)n;
				}
#line 30976 "gram.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6500 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 30990 "gram.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6510 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node*)n;
				}
#line 31004 "gram.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6521 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 31010 "gram.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6522 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31016 "gram.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6525 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 31022 "gram.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6526 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 31028 "gram.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6537 "gram.y" /* yacc.c:1646  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node*)n;
				}
#line 31039 "gram.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6546 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31045 "gram.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6547 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31051 "gram.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6552 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[0].list));
				}
#line 31059 "gram.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6556 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list));
				}
#line 31067 "gram.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6560 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[0].list));
				}
#line 31075 "gram.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6572 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 31091 "gram.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6585 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 31108 "gram.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6599 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *)n;
				}
#line 31125 "gram.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6614 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_RELATION; }
#line 31131 "gram.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6615 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_FUNCTION; }
#line 31137 "gram.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6616 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; }
#line 31143 "gram.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6617 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ACL_OBJECT_TYPE; }
#line 31149 "gram.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6632 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-12].boolean);
					n->concurrent = (yyvsp[-10].boolean);
					n->idxname = (yyvsp[-9].str);
					n->relation = (yyvsp[-7].range);
					n->accessMethod = (yyvsp[-6].str);
					n->indexParams = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
#line 31177 "gram.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6658 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[-15].boolean);
					n->concurrent = (yyvsp[-13].boolean);
					n->idxname = (yyvsp[-9].str);
					n->relation = (yyvsp[-7].range);
					n->accessMethod = (yyvsp[-6].str);
					n->indexParams = (yyvsp[-4].list);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
#line 31205 "gram.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6684 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 31211 "gram.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6685 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31217 "gram.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6689 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 31223 "gram.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6690 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31229 "gram.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6694 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31235 "gram.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6695 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31241 "gram.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6699 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 31247 "gram.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6700 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 31253 "gram.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6703 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 31259 "gram.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6704 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 31265 "gram.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6713 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[-4].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 31280 "gram.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6724 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-4].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 31295 "gram.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6735 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[-5].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[-3].list);
					(yyval.ielem)->opclass = (yyvsp[-2].list);
					(yyval.ielem)->ordering = (yyvsp[-1].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
				}
#line 31310 "gram.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6747 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31316 "gram.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6748 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31322 "gram.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6751 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31328 "gram.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6752 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31334 "gram.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6755 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_ASC; }
#line 31340 "gram.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6756 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DESC; }
#line 31346 "gram.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6757 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 31352 "gram.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6760 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 31358 "gram.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6761 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 31364 "gram.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6762 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 31370 "gram.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6780 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31385 "gram.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6792 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list));
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31401 "gram.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6805 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->withClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 31416 "gram.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6818 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 31422 "gram.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6819 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 31428 "gram.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6822 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31434 "gram.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6823 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31440 "gram.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6827 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 31446 "gram.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6828 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 31452 "gram.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6836 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 31458 "gram.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6837 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31464 "gram.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6841 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 31470 "gram.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6843 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 31476 "gram.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6858 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 31489 "gram.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6867 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 31502 "gram.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6876 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 31515 "gram.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6885 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 31528 "gram.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6894 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 31541 "gram.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6905 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 31547 "gram.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6906 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 31553 "gram.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6907 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 31559 "gram.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6908 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 31565 "gram.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6909 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 31571 "gram.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6920 "gram.y" /* yacc.c:1646  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 31583 "gram.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6934 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 31589 "gram.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6936 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 31599 "gram.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6942 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 31610 "gram.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6952 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 31618 "gram.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6956 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 31627 "gram.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6961 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 31636 "gram.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6969 "gram.y" /* yacc.c:1646  */
    {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 31650 "gram.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 7010 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 31658 "gram.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 7014 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 31666 "gram.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 7018 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 31674 "gram.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 7022 "gram.y" /* yacc.c:1646  */
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 31683 "gram.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 7029 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 31689 "gram.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 7030 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 31695 "gram.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 7035 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 31701 "gram.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 7036 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31707 "gram.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 7044 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE));
				}
#line 31715 "gram.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 7048 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
#line 31723 "gram.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 7052 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
#line 31731 "gram.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 7056 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"));
				}
#line 31739 "gram.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 7060 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"));
				}
#line 31747 "gram.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 7064 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"));
				}
#line 31755 "gram.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7068 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
#line 31763 "gram.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7072 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
#line 31771 "gram.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7076 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
#line 31779 "gram.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7080 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
#line 31787 "gram.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7084 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(TRUE));
				}
#line 31795 "gram.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7088 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(FALSE));
				}
#line 31803 "gram.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7092 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[0].value));
				}
#line 31811 "gram.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7096 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[0].value));
				}
#line 31819 "gram.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7100 "gram.y" /* yacc.c:1646  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[0].vsetstmt));
				}
#line 31828 "gram.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7105 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("parallel", (Node *)makeString((yyvsp[0].str)));
				}
#line 31836 "gram.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7112 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[0].list));
				}
#line 31844 "gram.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 7116 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)));
				}
#line 31852 "gram.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 7120 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("transform", (Node *)(yyvsp[0].list));
				}
#line 31860 "gram.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 7124 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE));
				}
#line 31868 "gram.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 7128 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 31876 "gram.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 7133 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 31882 "gram.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 7135 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 31890 "gram.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 7141 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 31896 "gram.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 7142 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-4].list), (yyvsp[0].typnam)); }
#line 31902 "gram.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 7146 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 31908 "gram.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 7147 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 31914 "gram.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 7151 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 31927 "gram.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 7163 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 31935 "gram.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 7167 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 31943 "gram.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 7182 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[-2].funwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 31954 "gram.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 7192 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 31960 "gram.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 7193 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 31966 "gram.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7215 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 31981 "gram.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7226 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 31996 "gram.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7240 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractAggrArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32011 "gram.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7251 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1(extractAggrArgTypes((yyvsp[-1].list)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32026 "gram.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7265 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32041 "gram.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7276 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[-2].list));
					n->arguments = list_make1((yyvsp[-1].list));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32056 "gram.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7290 "gram.y" /* yacc.c:1646  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 32068 "gram.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7298 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 32074 "gram.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7300 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 32080 "gram.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7302 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 32086 "gram.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7307 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 32092 "gram.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7309 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 32098 "gram.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7322 "gram.y" /* yacc.c:1646  */
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 32108 "gram.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7330 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32114 "gram.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7331 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 32120 "gram.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7336 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[0].str)));
				}
#line 32128 "gram.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7340 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[0].str)));
				}
#line 32136 "gram.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7353 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].funwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 32150 "gram.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7364 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
#line 32164 "gram.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7375 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
#line 32178 "gram.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7386 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 32184 "gram.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7387 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 32190 "gram.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7388 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 32196 "gram.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7393 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make1((yyvsp[-4].typnam)));
					n->arguments = list_make1(list_make1((yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
#line 32211 "gram.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7405 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 32217 "gram.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7406 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 32223 "gram.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7417 "gram.y" /* yacc.c:1646  */
    {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);
					n->replace = (yyvsp[-8].boolean);
					n->type_name = (yyvsp[-5].typnam);
					n->lang = (yyvsp[-3].str);
					n->fromsql = linitial((yyvsp[-1].list));
					n->tosql = lsecond((yyvsp[-1].list));
					(yyval.node) = (Node *)n;
				}
#line 32237 "gram.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7429 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-6].funwithargs), (yyvsp[0].funwithargs));
				}
#line 32245 "gram.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7433 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].funwithargs), (yyvsp[-6].funwithargs));
				}
#line 32253 "gram.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7437 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].funwithargs), NULL);
				}
#line 32261 "gram.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7441 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[0].funwithargs));
				}
#line 32269 "gram.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7448 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make1((yyvsp[-3].typnam)));
					n->arguments = list_make1(list_make1(makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-5].boolean);
					(yyval.node) = (Node *)n;
				}
#line 32283 "gram.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7469 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 32296 "gram.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7478 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = 0;
					(yyval.node) = (Node *)n;
				}
#line 32309 "gram.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7487 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->options = (yyvsp[-3].ival);
					(yyval.node) = (Node *)n;
				}
#line 32322 "gram.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7496 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[-1].ival);
					n->name = (yyvsp[0].str);
					n->relation = NULL;
					n->options = (yyvsp[-3].ival);
					(yyval.node) = (Node *)n;
				}
#line 32335 "gram.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7506 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_INDEX; }
#line 32341 "gram.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7507 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_TABLE; }
#line 32347 "gram.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7510 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_SCHEMA; }
#line 32353 "gram.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7511 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
#line 32359 "gram.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7512 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
#line 32365 "gram.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7515 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 32371 "gram.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7516 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 32377 "gram.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7519 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEXOPT_VERBOSE; }
#line 32383 "gram.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7530 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 32396 "gram.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7539 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 32409 "gram.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7556 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = extractAggrArgTypes((yyvsp[-3].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32423 "gram.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7566 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32436 "gram.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7575 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32449 "gram.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7584 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32462 "gram.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7593 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32475 "gram.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7602 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 32488 "gram.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7611 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32501 "gram.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7620 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32515 "gram.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7630 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32528 "gram.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7639 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32541 "gram.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7648 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32554 "gram.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7657 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32567 "gram.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7666 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32581 "gram.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7676 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32595 "gram.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7686 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32608 "gram.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7695 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32621 "gram.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7704 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32635 "gram.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7714 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32649 "gram.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7724 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32663 "gram.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7734 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32677 "gram.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7744 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32691 "gram.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7754 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32705 "gram.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7764 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32719 "gram.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7774 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32733 "gram.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7784 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32747 "gram.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7794 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32761 "gram.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7804 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32775 "gram.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7814 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32789 "gram.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7824 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32804 "gram.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7835 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32819 "gram.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7846 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32834 "gram.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7857 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32849 "gram.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7868 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32863 "gram.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7878 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32877 "gram.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7888 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32892 "gram.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7899 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 32907 "gram.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7910 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32921 "gram.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7920 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32935 "gram.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7930 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 32947 "gram.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7938 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32960 "gram.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7947 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32973 "gram.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7956 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32986 "gram.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7965 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 32999 "gram.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7974 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33012 "gram.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7983 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33025 "gram.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7992 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33038 "gram.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 8001 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33051 "gram.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 8010 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33067 "gram.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 8023 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COLUMN; }
#line 33073 "gram.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 8024 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 33079 "gram.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 8027 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 1; }
#line 33085 "gram.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 8028 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 33091 "gram.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 8039 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_FUNCTION;
					n->relation = NULL;
					n->objname = (yyvsp[-4].funwithargs)->funcname;
					n->objargs = (yyvsp[-4].funwithargs)->funcargs;
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 33105 "gram.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 8049 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-4].range);
					n->objname = list_make1(makeString((yyvsp[-6].str)));
					n->objargs = NIL;
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 33119 "gram.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 8059 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-4].range);
					n->objname = NIL;
					n->objargs = NIL;
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 33133 "gram.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 8069 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);
					n->objectType = OBJECT_INDEX;
					n->relation = (yyvsp[-4].range);
					n->objname = NIL;
					n->objargs = NIL;
					n->extname = makeString((yyvsp[0].str));
					(yyval.node) = (Node *)n;
				}
#line 33147 "gram.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 8088 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = extractAggrArgTypes((yyvsp[-3].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33161 "gram.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 8098 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33174 "gram.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 8107 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33187 "gram.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 8116 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33200 "gram.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 8125 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33213 "gram.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 8134 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33227 "gram.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 8144 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33241 "gram.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 8154 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33254 "gram.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 8163 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33267 "gram.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 8172 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33280 "gram.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 8181 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 33293 "gram.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 8190 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33306 "gram.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 8199 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33319 "gram.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 8208 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33332 "gram.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 8217 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33345 "gram.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 8226 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33358 "gram.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 8235 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 33371 "gram.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 8244 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33384 "gram.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 8253 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 33397 "gram.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 8262 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33410 "gram.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 8271 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 33423 "gram.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 8280 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33436 "gram.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 8289 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 33449 "gram.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 8298 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 33462 "gram.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 8316 "gram.y" /* yacc.c:1646  */
    {
					AlterOperatorStmt *n = makeNode(AlterOperatorStmt);
					n->opername = (yyvsp[-5].list);
					n->operargs = (yyvsp[-4].list);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 33474 "gram.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 8325 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 33480 "gram.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 8326 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 33486 "gram.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8330 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL); }
#line 33492 "gram.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8332 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node)); }
#line 33498 "gram.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8342 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[-4].list);
					n->objarg = extractAggrArgTypes((yyvsp[-3].list));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33511 "gram.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8351 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33523 "gram.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8359 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33535 "gram.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8367 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33547 "gram.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8375 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33559 "gram.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8383 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[-3].funwithargs)->funcname;
					n->objarg = (yyvsp[-3].funwithargs)->funcargs;
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33572 "gram.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 8392 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33584 "gram.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 8400 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = list_make1((yyvsp[-3].value));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33596 "gram.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 8408 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[-4].list);
					n->objarg = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33609 "gram.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 8417 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33621 "gram.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 8425 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33633 "gram.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 8433 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33645 "gram.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 8441 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33657 "gram.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 8449 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33669 "gram.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 8457 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33681 "gram.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 8465 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[-3].list);
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33693 "gram.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 8473 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33705 "gram.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 8481 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33717 "gram.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 8489 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = list_make1(makeString((yyvsp[-3].str)));
					n->newowner = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 33729 "gram.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 8508 "gram.y" /* yacc.c:1646  */
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33745 "gram.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 8522 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33751 "gram.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 8523 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 33757 "gram.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 8524 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33763 "gram.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 8530 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 33773 "gram.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 8536 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 33783 "gram.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 8552 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33789 "gram.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 8553 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 33795 "gram.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 8556 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_SELECT; }
#line 33801 "gram.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 8557 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_UPDATE; }
#line 33807 "gram.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 8558 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_DELETE; }
#line 33813 "gram.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 8559 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_INSERT; }
#line 33819 "gram.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 8563 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 33825 "gram.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 8564 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 33831 "gram.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 8565 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 33837 "gram.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 8571 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33852 "gram.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 8582 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 33867 "gram.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 8604 "gram.y" /* yacc.c:1646  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 33878 "gram.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 8613 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33884 "gram.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 8614 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33890 "gram.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 8618 "gram.y" /* yacc.c:1646  */
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 33900 "gram.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 8627 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 33910 "gram.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 8633 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
#line 33920 "gram.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 8652 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 33931 "gram.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 8659 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33942 "gram.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 8666 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 33953 "gram.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 8673 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 33964 "gram.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 8680 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 33975 "gram.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 8687 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
#line 33986 "gram.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 8694 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 33998 "gram.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 8702 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 34010 "gram.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 8710 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 34022 "gram.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 8718 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 34034 "gram.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 8726 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				}
#line 34046 "gram.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 8734 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 34057 "gram.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 8741 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 34068 "gram.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 8748 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 34079 "gram.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 8756 "gram.y" /* yacc.c:1646  */
    {}
#line 34085 "gram.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 8757 "gram.y" /* yacc.c:1646  */
    {}
#line 34091 "gram.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 8758 "gram.y" /* yacc.c:1646  */
    {}
#line 34097 "gram.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 8763 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0]))); }
#line 34104 "gram.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 8766 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[-1]))); }
#line 34111 "gram.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 8769 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[-1]))); }
#line 34118 "gram.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 8772 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(TRUE, (yylsp[0]))); }
#line 34125 "gram.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 8775 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(FALSE, (yylsp[-1]))); }
#line 34132 "gram.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8782 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 34138 "gram.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8784 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 34144 "gram.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8786 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34150 "gram.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8792 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34156 "gram.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8806 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 34172 "gram.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8819 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 34188 "gram.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8832 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 34209 "gram.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8850 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 34230 "gram.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8869 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 34236 "gram.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8870 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 34242 "gram.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8871 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 34248 "gram.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8872 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = NO_CHECK_OPTION; }
#line 34254 "gram.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8883 "gram.y" /* yacc.c:1646  */
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 34264 "gram.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8899 "gram.y" /* yacc.c:1646  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 34275 "gram.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8908 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34281 "gram.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8909 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34287 "gram.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8913 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 34293 "gram.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8914 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34299 "gram.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8919 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeInteger((yyvsp[0].ival)));
				}
#line 34307 "gram.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8923 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *)makeString((yyvsp[0].str)));
				}
#line 34315 "gram.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8927 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL);
				}
#line 34323 "gram.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8944 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34329 "gram.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8945 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("connection_limit"); }
#line 34335 "gram.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8946 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 34341 "gram.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8947 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 34347 "gram.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8948 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 34353 "gram.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8949 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 34359 "gram.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8950 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 34365 "gram.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8957 "gram.y" /* yacc.c:1646  */
    {}
#line 34371 "gram.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8958 "gram.y" /* yacc.c:1646  */
    {}
#line 34377 "gram.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8970 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 34388 "gram.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8977 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				 }
#line 34399 "gram.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8984 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
													(Node *)makeString((yyvsp[0].str))));
					(yyval.node) = (Node *)n;
				 }
#line 34411 "gram.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8995 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 34422 "gram.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 9012 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
#line 34433 "gram.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 9019 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[0].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 34444 "gram.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 9037 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 34454 "gram.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 9043 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *)n;
				}
#line 34464 "gram.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 9059 "gram.y" /* yacc.c:1646  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
#line 34477 "gram.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 9072 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 34489 "gram.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 9081 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 34500 "gram.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 9089 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *)n;
				}
#line 34511 "gram.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 9097 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 34523 "gram.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 9106 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
#line 34537 "gram.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 9117 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
#line 34551 "gram.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 9128 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *)n;
				}
#line 34563 "gram.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 9137 "gram.y" /* yacc.c:1646  */
    {}
#line 34569 "gram.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 9138 "gram.y" /* yacc.c:1646  */
    {}
#line 34575 "gram.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 9150 "gram.y" /* yacc.c:1646  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 34586 "gram.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 9160 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 34601 "gram.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 9171 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
#line 34616 "gram.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 9182 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 34631 "gram.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 9193 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
#line 34646 "gram.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 9204 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
#line 34659 "gram.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 9213 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
#line 34672 "gram.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 9224 "gram.y" /* yacc.c:1646  */
    {}
#line 34678 "gram.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 9225 "gram.y" /* yacc.c:1646  */
    {}
#line 34684 "gram.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 9241 "gram.y" /* yacc.c:1646  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *)n;
			}
#line 34698 "gram.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 9263 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->verbose = (yyvsp[-2].boolean);
					(yyval.node) = (Node*)n;
				}
#line 34710 "gram.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 9271 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->verbose = (yyvsp[0].boolean);
					(yyval.node) = (Node*)n;
				}
#line 34722 "gram.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 9280 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->verbose = (yyvsp[-3].boolean);
					(yyval.node) = (Node*)n;
				}
#line 34734 "gram.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 9290 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34740 "gram.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 9291 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34746 "gram.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 9304 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 34764 "gram.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 9318 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = (yyvsp[0].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 34782 "gram.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 9332 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[0].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[-3].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_FREEZE;
					if ((yyvsp[-1].boolean))
						n->options |= VACOPT_VERBOSE;
					(yyval.node) = (Node *)n;
				}
#line 34798 "gram.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 9344 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-1].ival);
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				}
#line 34810 "gram.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 9352 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[-3].ival);
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				}
#line 34824 "gram.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 9364 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 34830 "gram.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 9365 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 34836 "gram.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 9369 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_ANALYZE; }
#line 34842 "gram.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 9370 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_VERBOSE; }
#line 34848 "gram.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 9371 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FREEZE; }
#line 34854 "gram.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 9372 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = VACOPT_FULL; }
#line 34860 "gram.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 9374 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].str), "disable_page_skipping") == 0)
						(yyval.ival) = VACOPT_DISABLE_PAGE_SKIPPING;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("unrecognized VACUUM option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 34874 "gram.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 9387 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[0].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
#line 34888 "gram.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 9397 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[-2].boolean))
						n->options |= VACOPT_VERBOSE;
					n->relation = (yyvsp[-1].range);
					n->va_cols = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 34902 "gram.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 9409 "gram.y" /* yacc.c:1646  */
    {}
#line 34908 "gram.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 9410 "gram.y" /* yacc.c:1646  */
    {}
#line 34914 "gram.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 9414 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 34920 "gram.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 9415 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 34926 "gram.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 9418 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 34932 "gram.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 9419 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 34938 "gram.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 9422 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 34944 "gram.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 9423 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 34950 "gram.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 9427 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34956 "gram.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 9428 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34962 "gram.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 9442 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 34973 "gram.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 9449 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
#line 34987 "gram.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 9459 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
#line 34998 "gram.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 9466 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 35009 "gram.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 9488 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 35017 "gram.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 9492 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 35025 "gram.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 9499 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node));
				}
#line 35033 "gram.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 9505 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35039 "gram.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 9506 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "analyze"; }
#line 35045 "gram.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 9510 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 35051 "gram.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 9511 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].value); }
#line 35057 "gram.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 9512 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 35063 "gram.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 9523 "gram.y" /* yacc.c:1646  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 35075 "gram.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 9532 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35081 "gram.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 9533 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35087 "gram.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 9551 "gram.y" /* yacc.c:1646  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35098 "gram.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 9559 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 35117 "gram.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 9575 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35123 "gram.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 9576 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35129 "gram.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 9587 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 35139 "gram.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 9593 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[0].str);
						(yyval.node) = (Node *) n;
					}
#line 35149 "gram.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 9599 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 35159 "gram.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 9605 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
#line 35169 "gram.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 9622 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].istmt)->relation = (yyvsp[-3].range);
					(yyvsp[-2].istmt)->onConflictClause = (yyvsp[-1].onconflict);
					(yyvsp[-2].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-2].istmt)->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) (yyvsp[-2].istmt);
				}
#line 35181 "gram.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 9639 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 35189 "gram.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 9643 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].range)->alias = makeAlias((yyvsp[0].str), NIL);
					(yyval.range) = (yyvsp[-2].range);
				}
#line 35198 "gram.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 9651 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 35208 "gram.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 9657 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 35218 "gram.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 9663 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 35228 "gram.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 9672 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 35234 "gram.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 9674 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 35240 "gram.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 9679 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 35252 "gram.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 9690 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[-5].infer);
					(yyval.onconflict)->targetList = (yyvsp[-1].list);
					(yyval.onconflict)->whereClause = (yyvsp[0].node);
					(yyval.onconflict)->location = (yylsp[-7]);
				}
#line 35265 "gram.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 9700 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[-2].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[-4]);
				}
#line 35278 "gram.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 9709 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = NULL;
				}
#line 35286 "gram.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 9716 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[-2].list);
					(yyval.infer)->whereClause = (yyvsp[0].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[-3]);
				}
#line 35298 "gram.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 9725 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[0].str);
					(yyval.infer)->location = (yylsp[-2]);
				}
#line 35310 "gram.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 9733 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = NULL;
				}
#line 35318 "gram.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 9739 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35324 "gram.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 9740 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35330 "gram.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 9753 "gram.y" /* yacc.c:1646  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *)n;
				}
#line 35344 "gram.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 9765 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35350 "gram.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 9766 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35356 "gram.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 9778 "gram.y" /* yacc.c:1646  */
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *)n;
				}
#line 35369 "gram.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 9788 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 35375 "gram.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 9789 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 35381 "gram.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 9792 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessShareLock; }
#line 35387 "gram.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 9793 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowShareLock; }
#line 35393 "gram.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 9794 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowExclusiveLock; }
#line 35399 "gram.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 9795 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 35405 "gram.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 9796 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareLock; }
#line 35411 "gram.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 9797 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 35417 "gram.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 9798 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ExclusiveLock; }
#line 35423 "gram.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 9799 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 35429 "gram.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 9802 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 35435 "gram.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 9803 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 35441 "gram.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 9807 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitError; }
#line 35447 "gram.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 9808 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitSkip; }
#line 35453 "gram.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 9809 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitBlock; }
#line 35459 "gram.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 9825 "gram.y" /* yacc.c:1646  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *)n;
				}
#line 35474 "gram.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 9838 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35480 "gram.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 9839 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 35486 "gram.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 9843 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 35492 "gram.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 9844 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35498 "gram.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 9849 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = (yyvsp[-2].target);
					(yyval.target)->val = (Node *) (yyvsp[0].node);
				}
#line 35507 "gram.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 9865 "gram.y" /* yacc.c:1646  */
    {
					ListCell *col_cell;
					ListCell *val_cell;

					/*
					 * Break the ctext_row apart, merge individual expressions
					 * into the destination ResTargets.  This is semantically
					 * equivalent to, and much cheaper to process than, the
					 * general case.
					 */
					if (list_length((yyvsp[-3].list)) != list_length((yyvsp[0].list)))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("number of columns does not match number of values"),
								 parser_errposition((yylsp[0]))));
					forboth(col_cell, (yyvsp[-3].list), val_cell, (yyvsp[0].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						Node *res_val = (Node *) lfirst(val_cell);

						res_col->val = res_val;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 35537 "gram.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 9891 "gram.y" /* yacc.c:1646  */
    {
					SubLink *sl = makeNode(SubLink);
					int ncolumns = list_length((yyvsp[-3].list));
					int i = 1;
					ListCell *col_cell;

					/* First, convert bare SelectStmt into a SubLink */
					sl->subLinkType = MULTIEXPR_SUBLINK;
					sl->subLinkId = 0;		/* will be assigned later */
					sl->testexpr = NULL;
					sl->operName = NIL;
					sl->subselect = (yyvsp[0].node);
					sl->location = (yylsp[0]);

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[-3].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) sl;
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 35571 "gram.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 9924 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 35583 "gram.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 9934 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 35589 "gram.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 9935 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 35595 "gram.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 9946 "gram.y" /* yacc.c:1646  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *)n;
				}
#line 35608 "gram.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 9956 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35614 "gram.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 9959 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 35620 "gram.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 9960 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 35626 "gram.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 9961 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 35632 "gram.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 9962 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 35638 "gram.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 9963 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 35644 "gram.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 9966 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 35650 "gram.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 9967 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 35656 "gram.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 9968 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 35662 "gram.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 10021 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 35668 "gram.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 10022 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 35674 "gram.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 10037 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35680 "gram.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 10039 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 35691 "gram.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 10046 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 35703 "gram.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 10054 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 35715 "gram.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 10062 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 35727 "gram.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 10070 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 35739 "gram.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 10078 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										list_nth((yyvsp[0].list), 0), list_nth((yyvsp[0].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 35751 "gram.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 10086 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										list_nth((yyvsp[-1].list), 0), list_nth((yyvsp[-1].list), 1),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 35763 "gram.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 10096 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35769 "gram.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 10097 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35775 "gram.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 10127 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35791 "gram.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 10141 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = (yyvsp[-2].list);
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *)n;
				}
#line 35808 "gram.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 10153 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 35814 "gram.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 10155 "gram.y" /* yacc.c:1646  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *)n;
				}
#line 35837 "gram.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 10174 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 35845 "gram.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 10178 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 35853 "gram.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 10182 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].boolean), (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 35861 "gram.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 10199 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 35872 "gram.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 10206 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 35883 "gram.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 10213 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 35894 "gram.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 10222 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 35900 "gram.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 10223 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 35906 "gram.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 10227 "gram.y" /* yacc.c:1646  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[-5].str);
				n->aliascolnames = (yyvsp[-4].list);
				n->ctequery = (yyvsp[-1].node);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 35919 "gram.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 10238 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = (yyvsp[0].with); }
#line 35925 "gram.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 10239 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = NULL; }
#line 35931 "gram.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 10244 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 35946 "gram.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 10255 "gram.y" /* yacc.c:1646  */
    { (yyval.into) = NULL; }
#line 35952 "gram.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 10264 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 35961 "gram.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 10269 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 35970 "gram.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 10274 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 35979 "gram.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 10279 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 35988 "gram.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 10284 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 36000 "gram.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 10292 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 36012 "gram.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 10300 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 36021 "gram.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 10305 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 36030 "gram.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 10310 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 36039 "gram.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 10316 "gram.y" /* yacc.c:1646  */
    {}
#line 36045 "gram.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 10317 "gram.y" /* yacc.c:1646  */
    {}
#line 36051 "gram.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 10321 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 36057 "gram.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 10322 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 36063 "gram.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 10323 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 36069 "gram.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 10330 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(NIL); }
#line 36075 "gram.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 10331 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36081 "gram.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 10335 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL;}
#line 36087 "gram.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 10336 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36093 "gram.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 10340 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list);}
#line 36099 "gram.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 10341 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36105 "gram.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 10345 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36111 "gram.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 10349 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 36117 "gram.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 10350 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 36123 "gram.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 10354 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 36136 "gram.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 10363 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 36149 "gram.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 10375 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-1].node)); }
#line 36155 "gram.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 10376 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node)); }
#line 36161 "gram.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 10377 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[0].node)); }
#line 36167 "gram.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 10378 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), NULL); }
#line 36173 "gram.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 10382 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36179 "gram.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 10383 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL,NULL); }
#line 36185 "gram.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 10388 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36191 "gram.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 10390 "gram.y" /* yacc.c:1646  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 36204 "gram.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 10400 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-2].node); }
#line 36210 "gram.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 10405 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36216 "gram.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 10408 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 36222 "gram.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 10412 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36228 "gram.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 10414 "gram.y" /* yacc.c:1646  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 36237 "gram.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 10421 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36243 "gram.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 10431 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0])); }
#line 36249 "gram.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 10432 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 36255 "gram.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 10433 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(1, -1); }
#line 36261 "gram.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 10441 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36267 "gram.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 10445 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 36273 "gram.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 10446 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 36279 "gram.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 10449 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 36285 "gram.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 10450 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 36291 "gram.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 10475 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36297 "gram.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 10476 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36303 "gram.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 10480 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36309 "gram.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 10481 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].node)); }
#line 36315 "gram.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 10485 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36321 "gram.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 10486 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36327 "gram.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 10487 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36333 "gram.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 10488 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36339 "gram.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 10489 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36345 "gram.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 10494 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[-1]));
				}
#line 36353 "gram.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 10507 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 36361 "gram.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 10514 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 36369 "gram.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 10521 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[-1].list), (yylsp[-4]));
				}
#line 36377 "gram.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 10527 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36383 "gram.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 10528 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36389 "gram.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 10532 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36395 "gram.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 10533 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36401 "gram.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 10537 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36407 "gram.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 10538 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36413 "gram.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 10542 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36419 "gram.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 10543 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 36425 "gram.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 10548 "gram.y" /* yacc.c:1646  */
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->waitPolicy = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 36437 "gram.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 10558 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 36443 "gram.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 10559 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 36449 "gram.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 10560 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 36455 "gram.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 10561 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 36461 "gram.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 10565 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36467 "gram.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 10566 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36473 "gram.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 10572 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 36483 "gram.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 10578 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-2].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 36493 "gram.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 10595 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36499 "gram.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 10596 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36505 "gram.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 10600 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36511 "gram.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 10601 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 36517 "gram.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 10608 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 36526 "gram.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 10613 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[0].node);
					(yyvsp[-2].range)->alias = (yyvsp[-1].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[-2].range);
					(yyval.node) = (Node *) n;
				}
#line 36538 "gram.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 10621 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 36549 "gram.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 10628 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);
					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 36561 "gram.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 10636 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 36600 "gram.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 10671 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					/* same coment as above */
					if ((yyvsp[0].alias) == NULL)
					{
						if (IsA((yyvsp[-1].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[-1].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[-1]))));
					}
					(yyval.node) = (Node *) n;
				}
#line 36629 "gram.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 10696 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 36637 "gram.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 10700 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 36646 "gram.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 10726 "gram.y" /* yacc.c:1646  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 36654 "gram.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 10730 "gram.y" /* yacc.c:1646  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 36670 "gram.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 10742 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 36687 "gram.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 10755 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
						n->usingClause = (List *) (yyvsp[0].node); /* USING clause */
					else
						n->quals = (yyvsp[0].node); /* ON clause */
					(yyval.jexpr) = n;
				}
#line 36705 "gram.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 10769 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 36720 "gram.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 10780 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 36736 "gram.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 10795 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 36746 "gram.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 10801 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 36755 "gram.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 10806 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 36765 "gram.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 10812 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 36774 "gram.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 10818 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 36780 "gram.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 10819 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 36786 "gram.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 10828 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 36794 "gram.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 10832 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 36802 "gram.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 10836 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 36812 "gram.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 10842 "gram.y" /* yacc.c:1646  */
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 36822 "gram.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 10848 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 36830 "gram.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 10853 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_FULL; }
#line 36836 "gram.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 10854 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 36842 "gram.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 10855 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 36848 "gram.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 10856 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_INNER; }
#line 36854 "gram.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 10860 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36860 "gram.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 10861 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36866 "gram.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 10873 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 36872 "gram.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 10874 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 36878 "gram.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 10880 "gram.y" /* yacc.c:1646  */
    {
					/* default inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inhOpt = INH_DEFAULT;
					(yyval.range)->alias = NULL;
				}
#line 36889 "gram.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 10887 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inhOpt = INH_YES;
					(yyval.range)->alias = NULL;
				}
#line 36900 "gram.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 10894 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
#line 36911 "gram.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 10901 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
#line 36922 "gram.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 10911 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 36928 "gram.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 10912 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 36934 "gram.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 10926 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 36942 "gram.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 10930 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 36953 "gram.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 10937 "gram.y" /* yacc.c:1646  */
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 36964 "gram.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 10950 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = makeNode(RangeTableSample);
					/* n->relation will be filled in later */
					n->method = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->repeatable = (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 36978 "gram.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 10962 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].node); }
#line 36984 "gram.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 10963 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36990 "gram.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 10979 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 37004 "gram.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 10989 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 37018 "gram.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 11001 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 37024 "gram.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 11005 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 37030 "gram.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 11006 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 37036 "gram.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 11009 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37042 "gram.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 11010 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37048 "gram.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 11013 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 37054 "gram.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 11014 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 37060 "gram.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 11019 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37066 "gram.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 11020 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 37072 "gram.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 11025 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37078 "gram.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 11027 "gram.y" /* yacc.c:1646  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 37090 "gram.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 11034 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 37096 "gram.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 11039 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37102 "gram.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 11040 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37108 "gram.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 11045 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 37116 "gram.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 11049 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 37124 "gram.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 11055 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 37146 "gram.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 11085 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 37155 "gram.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 11090 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = TRUE;
				}
#line 37165 "gram.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 11097 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 37174 "gram.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 11102 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = TRUE;
				}
#line 37184 "gram.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 11108 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 37193 "gram.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 11113 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				}
#line 37203 "gram.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 11122 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 37209 "gram.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 11124 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 37215 "gram.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 11126 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = NIL; }
#line 37221 "gram.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 11130 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37227 "gram.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 11131 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37233 "gram.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 11132 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37239 "gram.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 11133 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37245 "gram.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 11134 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37251 "gram.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 11136 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 37260 "gram.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 11141 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-3].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 37270 "gram.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 11160 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37276 "gram.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 11161 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37282 "gram.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 11162 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37288 "gram.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 11163 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 37294 "gram.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 11175 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37304 "gram.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 11181 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 37314 "gram.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 11188 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 37320 "gram.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 11189 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37326 "gram.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 11196 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 37335 "gram.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 11201 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 37344 "gram.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 11206 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 37353 "gram.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 11211 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 37362 "gram.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 11216 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 37371 "gram.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 11221 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37380 "gram.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 11226 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37389 "gram.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 11231 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37399 "gram.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 11237 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37409 "gram.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 11243 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37419 "gram.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 11249 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 37428 "gram.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 11256 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 37453 "gram.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 11277 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 37461 "gram.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 11287 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 37469 "gram.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 11291 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 37477 "gram.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 11299 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 37485 "gram.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 11303 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 37494 "gram.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 11311 "gram.y" /* yacc.c:1646  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 37507 "gram.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 11323 "gram.y" /* yacc.c:1646  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37525 "gram.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 11344 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 37533 "gram.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 11348 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 37541 "gram.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 11354 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 37549 "gram.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 11358 "gram.y" /* yacc.c:1646  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 37564 "gram.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 11371 "gram.y" /* yacc.c:1646  */
    {
					if (((yyvsp[0].str) != NULL) && (strcmp((yyvsp[0].str), "sql_text") != 0))
						(yyvsp[-4].str) = psprintf("%s_%s", (yyvsp[-4].str), (yyvsp[0].str));

					(yyval.typnam) = SystemTypeName((yyvsp[-4].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 37577 "gram.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 11382 "gram.y" /* yacc.c:1646  */
    {
					if (((yyvsp[0].str) != NULL) && (strcmp((yyvsp[0].str), "sql_text") != 0))
						(yyvsp[-1].str) = psprintf("%s_%s", (yyvsp[-1].str), (yyvsp[0].str));

					(yyval.typnam) = SystemTypeName((yyvsp[-1].str));

					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[-1].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));

					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37594 "gram.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 11397 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 37600 "gram.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 11399 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 37606 "gram.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 11401 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "varchar"; }
#line 37612 "gram.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 11403 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 37618 "gram.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 11405 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 37624 "gram.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 11407 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 37630 "gram.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 11411 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 37636 "gram.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 11412 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 37642 "gram.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 11416 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37648 "gram.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 11417 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 37654 "gram.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 11425 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 37667 "gram.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 11434 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37679 "gram.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 11442 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 37692 "gram.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 11451 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 37704 "gram.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 11462 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 37713 "gram.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 11469 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 37719 "gram.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 11470 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 37725 "gram.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 11471 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 37731 "gram.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 11476 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 37737 "gram.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 11478 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 37743 "gram.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 11480 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 37749 "gram.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 11482 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 37755 "gram.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 11484 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 37761 "gram.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 11486 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37767 "gram.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 11488 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 37776 "gram.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 11493 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 37785 "gram.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 11498 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 37795 "gram.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 11504 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 37807 "gram.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 11512 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 37816 "gram.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 11517 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 37827 "gram.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 11524 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 37837 "gram.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 11530 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37843 "gram.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 11535 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 37851 "gram.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 11539 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 37860 "gram.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 11574 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 37866 "gram.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 11576 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 37872 "gram.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 11578 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 37884 "gram.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 11586 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   (yylsp[-3]));
				}
#line 37894 "gram.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 11601 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 37900 "gram.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 11603 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 37906 "gram.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 11605 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37912 "gram.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 11607 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37918 "gram.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 11609 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37924 "gram.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 11611 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37930 "gram.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 11613 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37936 "gram.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 11615 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37942 "gram.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 11617 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37948 "gram.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 11619 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37954 "gram.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 11621 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37960 "gram.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 11623 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37966 "gram.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 11625 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37972 "gram.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 11627 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37978 "gram.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 11630 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 37984 "gram.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 11632 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 37990 "gram.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 11634 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 37996 "gram.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 11637 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAndExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38002 "gram.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 11639 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeOrExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38008 "gram.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 11641 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 38014 "gram.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 11643 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 38020 "gram.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 11646 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 38029 "gram.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 11651 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 38041 "gram.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 11659 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 38050 "gram.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 11664 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 38062 "gram.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 11672 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 38071 "gram.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 11677 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 38083 "gram.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 11685 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 38092 "gram.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 11690 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 38104 "gram.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 11699 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 38116 "gram.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 11707 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 38128 "gram.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 11715 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[0].node), makeNullAConst(-1)),
											   (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 38140 "gram.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 11723 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[-2].node), (yyvsp[0].node)),
											   (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 38152 "gram.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 11741 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 38164 "gram.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 11749 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 38176 "gram.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 11757 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 38188 "gram.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 11765 "gram.y" /* yacc.c:1646  */
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 38200 "gram.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 11773 "gram.y" /* yacc.c:1646  */
    {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   (yylsp[-1]));
				}
#line 38220 "gram.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 11789 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 38232 "gram.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 11797 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 38244 "gram.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 11805 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 38256 "gram.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 11813 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 38268 "gram.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 11821 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *)b;
				}
#line 38280 "gram.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 11829 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *)b;
				}
#line 38292 "gram.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 11837 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 38300 "gram.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 11841 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 38308 "gram.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 11845 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 38316 "gram.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 11849 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 38324 "gram.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 11853 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 38336 "gram.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 11861 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 38348 "gram.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 11869 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 38360 "gram.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 11877 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 38372 "gram.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 11885 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-2].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 38396 "gram.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 11905 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[0].node);
						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-3].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-2]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 38422 "gram.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 11927 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[-1].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *)n;
				}
#line 38437 "gram.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 11938 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 38448 "gram.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 11945 "gram.y" /* yacc.c:1646  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-1]))));
				}
#line 38468 "gram.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 11961 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 38477 "gram.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 11966 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 38487 "gram.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 11983 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38493 "gram.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 11985 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 38499 "gram.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 11987 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 38505 "gram.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 11989 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 38511 "gram.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 11991 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38517 "gram.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 11993 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38523 "gram.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 11995 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38529 "gram.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 11997 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38535 "gram.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 11999 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38541 "gram.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 12001 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38547 "gram.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 12003 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38553 "gram.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 12005 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38559 "gram.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 12007 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38565 "gram.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 12009 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38571 "gram.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 12011 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38577 "gram.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 12013 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38583 "gram.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 12015 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 38589 "gram.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 12017 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 38595 "gram.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 12019 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[0].list), (yyvsp[-1].node), NULL, (yylsp[0])); }
#line 38601 "gram.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 12021 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 38609 "gram.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 12025 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 38617 "gram.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 12029 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[-5].node), (Node *) (yyvsp[-1].list), (yylsp[-4]));
				}
#line 38625 "gram.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 12033 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[-6].node), (Node *) (yyvsp[-1].list), (yylsp[-5]));
				}
#line 38633 "gram.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 12037 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 38642 "gram.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 12042 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 38652 "gram.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 12057 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38658 "gram.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 12058 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38664 "gram.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 12060 "gram.y" /* yacc.c:1646  */
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 38683 "gram.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 12075 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else if (operator_precedence_warning)
					{
						/*
						 * If precedence warnings are enabled, insert
						 * AEXPR_PAREN nodes wrapping all explicitly
						 * parenthesized subexpressions; this prevents bogus
						 * warnings from being issued when the ordering has
						 * been forced by parentheses.
						 *
						 * In principle we should not be relying on a GUC to
						 * decide whether to insert AEXPR_PAREN nodes.
						 * However, since they have no effect except to
						 * suppress warnings, it's probably safe enough; and
						 * we'd just as soon not waste cycles on dummy parse
						 * nodes if we don't have to.
						 */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_PAREN, NIL, (yyvsp[-2].node), NULL, (yylsp[-3]));
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 38717 "gram.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 12105 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38723 "gram.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 12107 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38729 "gram.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 12109 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *)n;
				}
#line 38744 "gram.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 12120 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
#line 38772 "gram.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 12144 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 38787 "gram.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 12155 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 38802 "gram.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 12166 "gram.y" /* yacc.c:1646  */
    {
					A_ArrayExpr *n = (A_ArrayExpr *) (yyvsp[0].node);
					Assert(IsA(n, A_ArrayExpr));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *)n;
				}
#line 38814 "gram.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 12174 "gram.y" /* yacc.c:1646  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 38828 "gram.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 12184 "gram.y" /* yacc.c:1646  */
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *)r;
				}
#line 38842 "gram.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 12194 "gram.y" /* yacc.c:1646  */
    {
				  GroupingFunc *g = makeNode(GroupingFunc);
				  g->args = (yyvsp[-1].list);
				  g->location = (yylsp[-3]);
				  (yyval.node) = (Node *)g;
			  }
#line 38853 "gram.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 12203 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL, (yylsp[-2]));
				}
#line 38861 "gram.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 12207 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list), (yylsp[-4]));
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 38871 "gram.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 12213 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)), (yylsp[-5]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 38882 "gram.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 12220 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)), (yylsp[-7]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *)n;
				}
#line 38893 "gram.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 12227 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *)n;
				}
#line 38907 "gram.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 12237 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list), (yylsp[-5]));
					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 38918 "gram.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 12244 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeFuncCall((yyvsp[-3].list), NIL, (yylsp[-3]));
					n->agg_star = TRUE;
					(yyval.node) = (Node *)n;
				}
#line 38938 "gram.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 12272 "gram.y" /* yacc.c:1646  */
    {
					FuncCall *n = (FuncCall *) (yyvsp[-3].node);
					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = TRUE;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 38977 "gram.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 12307 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38983 "gram.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 12317 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38989 "gram.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 12318 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 38995 "gram.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 12326 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   (yylsp[-4]));
				}
#line 39005 "gram.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 12332 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::date".
					 *
					 * We cannot use "'now'::date" because coerce_type() will
					 * immediately reduce that to a constant representing
					 * today's date.  We need to delay the conversion until
					 * runtime, else the wrong things will happen when
					 * CURRENT_DATE is used in a column default value or rule.
					 *
					 * This could be simplified if we had a way to generate
					 * an expression tree representing runtime application
					 * of type-input conversion functions.  (As of PG 7.3
					 * that is actually possible, but not clear that we want
					 * to rely on it.)
					 *
					 * The token location is attached to the run-time
					 * typecast, not to the Const, for the convenience of
					 * pg_stat_statements (which doesn't want these constructs
					 * to appear to be replaceable constants).
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("date"), (yylsp[0]));
				}
#line 39035 "gram.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 12358 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timetz".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timetz"), (yylsp[0]));
				}
#line 39049 "gram.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 12368 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timetz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timetz");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 39066 "gram.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 12381 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "now()", since we have a function that
					 * does exactly what is needed.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("now"), NIL, (yylsp[0]));
				}
#line 39078 "gram.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 12389 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamptz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timestamptz");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 39095 "gram.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 12402 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::time".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast((Node *)n, SystemTypeName("time"), (yylsp[0]));
				}
#line 39109 "gram.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 12412 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::time(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("time");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast((Node *)n, d, (yylsp[-3]));
				}
#line 39126 "gram.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 12425 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamp".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timestamp"), (yylsp[0]));
				}
#line 39140 "gram.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 12435 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Translate as "'now'::text::timestamp(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timestamp");
					d->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[-3]));
				}
#line 39157 "gram.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 12448 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[0]));
				}
#line 39165 "gram.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 12452 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[0]));
				}
#line 39173 "gram.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 12456 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("session_user"), NIL, (yylsp[0]));
				}
#line 39181 "gram.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 12460 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[0]));
				}
#line 39189 "gram.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 12464 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_database"), NIL, (yylsp[0]));
				}
#line 39197 "gram.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 12468 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_schema"), NIL, (yylsp[0]));
				}
#line 39205 "gram.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 12472 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 39211 "gram.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 12474 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("date_part"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 39219 "gram.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 12478 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 39232 "gram.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 12487 "gram.y" /* yacc.c:1646  */
    {
					/* position(A in B) is converted to position(B, A) */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 39241 "gram.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 12492 "gram.y" /* yacc.c:1646  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 39252 "gram.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 12499 "gram.y" /* yacc.c:1646  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(((Value *)llast((yyvsp[-1].typnam)->names))->val.str),
												list_make1((yyvsp[-3].node)),
												(yylsp[-5]));
				}
#line 39271 "gram.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 12514 "gram.y" /* yacc.c:1646  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 39282 "gram.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 12521 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 39290 "gram.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 12525 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"), (yyvsp[-1].list), (yylsp[-4]));
				}
#line 39298 "gram.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 12529 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[-1].list), (yylsp[-3]));
				}
#line 39306 "gram.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 12533 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 39314 "gram.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 12537 "gram.y" /* yacc.c:1646  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *)c;
				}
#line 39325 "gram.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 12544 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 39337 "gram.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 12552 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *)v;
				}
#line 39349 "gram.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 12560 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 39357 "gram.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 12564 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 39365 "gram.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 12568 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 39373 "gram.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 12572 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 39381 "gram.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 12576 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 39389 "gram.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 12580 "gram.y" /* yacc.c:1646  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"), list_make2((yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-4]));
				}
#line 39399 "gram.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 12586 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 39407 "gram.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 12590 "gram.y" /* yacc.c:1646  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));
					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *)x;
				}
#line 39420 "gram.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 12599 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 39428 "gram.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 12603 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 39436 "gram.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 12607 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 39445 "gram.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 12612 "gram.y" /* yacc.c:1646  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[-4].ival);
					n->expr = (yyvsp[-3].node);
					n->typeName = (yyvsp[-1].typnam);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *)n;
				}
#line 39458 "gram.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 12626 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 39464 "gram.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 12628 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst(-1); }
#line 39470 "gram.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 12632 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 39476 "gram.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 12634 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 39482 "gram.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 12636 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 39488 "gram.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 12638 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 39494 "gram.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 12641 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39500 "gram.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 12644 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 39506 "gram.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 12645 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 39512 "gram.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 12649 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 39524 "gram.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 12657 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 39536 "gram.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 12666 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 39542 "gram.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 12667 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 39548 "gram.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 12670 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = TRUE; }
#line 39554 "gram.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 12671 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 39560 "gram.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 12672 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = FALSE; }
#line 39566 "gram.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 12678 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 39574 "gram.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 12682 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 39582 "gram.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 12686 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 39590 "gram.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 12690 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-2].node);
				}
#line 39598 "gram.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 12700 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39604 "gram.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 12701 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39610 "gram.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 12705 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 39616 "gram.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 12706 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 39622 "gram.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 12714 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39628 "gram.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 12715 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39634 "gram.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 12719 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 39640 "gram.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 12721 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 39646 "gram.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 12726 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 39656 "gram.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 12734 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 39662 "gram.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 12736 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 39679 "gram.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 12749 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = NULL; }
#line 39685 "gram.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 12754 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 39703 "gram.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 12779 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39709 "gram.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 12780 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 39715 "gram.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 12783 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39721 "gram.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 12784 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39727 "gram.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 12796 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[-1]))));
					(yyval.windef) = n;
				}
#line 39749 "gram.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 12814 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				}
#line 39759 "gram.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 12820 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 39771 "gram.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 12830 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = (yyvsp[0].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 39792 "gram.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 12847 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n1 = (yyvsp[-2].windef);
					WindowDef *n2 = (yyvsp[0].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 39833 "gram.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 12892 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 39845 "gram.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 12900 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 39857 "gram.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 12908 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 39869 "gram.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 12916 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 39881 "gram.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 12924 "gram.y" /* yacc.c:1646  */
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 39893 "gram.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 12944 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39899 "gram.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 12945 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39905 "gram.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 12946 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 39911 "gram.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 12949 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39917 "gram.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 12950 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39923 "gram.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 12953 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 39929 "gram.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 12956 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 39935 "gram.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 12957 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 39941 "gram.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 12958 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 39947 "gram.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 12961 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39953 "gram.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 12962 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39959 "gram.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 12965 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "+"; }
#line 39965 "gram.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 12966 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "-"; }
#line 39971 "gram.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 12967 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "*"; }
#line 39977 "gram.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 12968 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "/"; }
#line 39983 "gram.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 12969 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "%"; }
#line 39989 "gram.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 12970 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "^"; }
#line 39995 "gram.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 12971 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<"; }
#line 40001 "gram.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 12972 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">"; }
#line 40007 "gram.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 12973 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "="; }
#line 40013 "gram.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 12974 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<="; }
#line 40019 "gram.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 12975 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">="; }
#line 40025 "gram.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 12976 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<>"; }
#line 40031 "gram.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 12980 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 40037 "gram.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 12982 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40043 "gram.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 12987 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 40049 "gram.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 12989 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40055 "gram.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 12994 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 40061 "gram.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 12996 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40067 "gram.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 12998 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 40073 "gram.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 13000 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 40079 "gram.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 13002 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 40085 "gram.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 13004 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 40091 "gram.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 13016 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 40099 "gram.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 13020 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 40107 "gram.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 13027 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 40115 "gram.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 13031 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 40123 "gram.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 13037 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 40131 "gram.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 13041 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 40144 "gram.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 13050 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 40157 "gram.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 13060 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 40163 "gram.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 13061 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 40169 "gram.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 13065 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 40177 "gram.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 13069 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 40185 "gram.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 13073 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 40193 "gram.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 13078 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40199 "gram.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 13079 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 40205 "gram.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 13085 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 40213 "gram.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 13088 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40219 "gram.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 13095 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40225 "gram.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 13096 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "year"; }
#line 40231 "gram.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 13097 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "month"; }
#line 40237 "gram.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 13098 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "day"; }
#line 40243 "gram.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 13099 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "hour"; }
#line 40249 "gram.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 13100 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "minute"; }
#line 40255 "gram.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 13101 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "second"; }
#line 40261 "gram.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 13102 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40267 "gram.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 13113 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make4((yyvsp[-3].node), (yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 40275 "gram.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 13117 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 40283 "gram.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 13124 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40289 "gram.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 13130 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 40295 "gram.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 13131 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40301 "gram.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 13148 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[-1].node), (yyvsp[0].node));
				}
#line 40309 "gram.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 13152 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-2].node), (yyvsp[0].node), (yyvsp[-1].node));
				}
#line 40318 "gram.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 13157 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].node));
				}
#line 40326 "gram.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 13161 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-1].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 40345 "gram.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 13176 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
				}
#line 40353 "gram.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 13180 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40359 "gram.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 13184 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40365 "gram.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 13187 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40371 "gram.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 13190 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 40377 "gram.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 13191 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40383 "gram.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 13192 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40389 "gram.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 13196 "gram.y" /* yacc.c:1646  */
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
#line 40400 "gram.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 13202 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *)(yyvsp[-1].list); }
#line 40406 "gram.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 13213 "gram.y" /* yacc.c:1646  */
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *)c;
				}
#line 40420 "gram.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 13226 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40426 "gram.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 13227 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 40432 "gram.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 13232 "gram.y" /* yacc.c:1646  */
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *)w;
				}
#line 40444 "gram.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 13242 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40450 "gram.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 13243 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 40456 "gram.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 13246 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40462 "gram.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 13247 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 40468 "gram.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 13251 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 40476 "gram.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 13255 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 40484 "gram.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 13262 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 40492 "gram.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 13266 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 40500 "gram.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 13270 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = false;
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 40512 "gram.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 13278 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->is_slice = true;
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 40524 "gram.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 13288 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 40530 "gram.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 13289 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 40536 "gram.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 13293 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40542 "gram.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 13294 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 40548 "gram.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 13298 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40554 "gram.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 13299 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 40560 "gram.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 13314 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 40566 "gram.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 13316 "gram.y" /* yacc.c:1646  */
    {
					SetToDefault *n = makeNode(SetToDefault);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 40576 "gram.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 13324 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 40582 "gram.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 13325 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 40588 "gram.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 13333 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40594 "gram.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 13343 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40600 "gram.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 13344 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40606 "gram.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 13348 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 40612 "gram.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 13349 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 40618 "gram.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 13353 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 40630 "gram.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 13369 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 40642 "gram.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 13377 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 40654 "gram.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 13385 "gram.y" /* yacc.c:1646  */
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 40670 "gram.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 13406 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 40676 "gram.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 13407 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 40682 "gram.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 13419 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 40690 "gram.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 13423 "gram.y" /* yacc.c:1646  */
    {
					check_qualified_name((yyvsp[0].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[-1]));
					switch (list_length((yyvsp[0].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[-1].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[0].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[-1].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[0].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[0].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)))),
									 parser_errposition((yylsp[-1]))));
							break;
					}
				}
#line 40719 "gram.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 13450 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 40725 "gram.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 13452 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 40731 "gram.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 13456 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40737 "gram.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 13459 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40743 "gram.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 13462 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40749 "gram.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 13464 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40755 "gram.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 13466 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40761 "gram.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 13468 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40767 "gram.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 13479 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 40773 "gram.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 13481 "gram.y" /* yacc.c:1646  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 40782 "gram.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 13492 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 40790 "gram.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 13496 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 40798 "gram.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 13500 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 40806 "gram.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 13504 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 40814 "gram.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 13508 "gram.y" /* yacc.c:1646  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 40827 "gram.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 13517 "gram.y" /* yacc.c:1646  */
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-1].list));
					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 40838 "gram.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 13524 "gram.y" /* yacc.c:1646  */
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 40874 "gram.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 13556 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 40882 "gram.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 13560 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-2].typnam);
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 40892 "gram.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 13566 "gram.y" /* yacc.c:1646  */
    {
					TypeName *t = (yyvsp[-4].typnam);
					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 40903 "gram.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 13573 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[0]));
				}
#line 40911 "gram.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 13577 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[0]));
				}
#line 40919 "gram.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 13581 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 40927 "gram.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 13586 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 40933 "gram.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 13587 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 40939 "gram.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 13589 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 40945 "gram.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 13590 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 40951 "gram.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 13591 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 40957 "gram.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 13596 "gram.y" /* yacc.c:1646  */
    {
					RoleSpec *spc = (RoleSpec *) (yyvsp[0].node);
					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[0]))));
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[0]))));
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[0]))));
					}
				}
#line 40989 "gram.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 13626 "gram.y" /* yacc.c:1646  */
    {
						/*
						 * "public" and "none" are not keywords, but they must
						 * be treated specially here.
						 */
						RoleSpec *n;
						if (strcmp((yyvsp[0].str), "public") == 0)
						{
							n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[0]));
							n->roletype = ROLESPEC_PUBLIC;
						}
						else if (strcmp((yyvsp[0].str), "none") == 0)
						{
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"none"),
									 parser_errposition((yylsp[0]))));
						}
						else
						{
							n = (RoleSpec *) makeRoleSpec(ROLESPEC_CSTRING, (yylsp[0]));
							n->rolename = pstrdup((yyvsp[0].str));
						}
						(yyval.node) = (Node *) n;
					}
#line 41020 "gram.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 13653 "gram.y" /* yacc.c:1646  */
    {
						(yyval.node) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0]));
					}
#line 41028 "gram.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 13657 "gram.y" /* yacc.c:1646  */
    {
						(yyval.node) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[0]));
					}
#line 41036 "gram.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 13663 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 41042 "gram.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 13665 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 41048 "gram.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 13681 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 41054 "gram.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 13682 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41060 "gram.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 13683 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41066 "gram.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 13688 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 41072 "gram.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 13689 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41078 "gram.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 13690 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41084 "gram.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 13695 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 41090 "gram.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 13696 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41096 "gram.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 13697 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41102 "gram.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 13698 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41108 "gram.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 13704 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 41114 "gram.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 13705 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41120 "gram.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 13706 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41126 "gram.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 13707 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41132 "gram.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 13708 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 41138 "gram.c" /* yacc.c:1646  */
    break;


#line 41142 "gram.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 14184 "gram.y" /* yacc.c:1906  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static Node *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return (Node *) spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	int			ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = list_length(directargs);

	return list_make2(list_concat(directargs, orderedargs),
					  makeInteger(ndirectargs));
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
		v->val.str = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	Node	   *lexp = lexpr;

	/* Look through AEXPR_PAREN nodes so they don't affect flattening */
	while (IsA(lexp, A_Expr) &&
		   ((A_Expr *) lexp)->kind == AEXPR_PAREN)
		lexp = ((A_Expr *) lexp)->lexpr;
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexp, BoolExpr))
	{
		BoolExpr *blexpr = (BoolExpr *) lexp;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = (TypeName *) copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
