/* A Bison parser, made by GNU Bison 3.0.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
#line 5 "preproc.y" /* yacc.c:339  */

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

static struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

static void vmmerror(int error_code, enum errortype type, const char *error, va_list ap) pg_attribute_printf(3, 0);

/*
 * Handle parsing errors and warnings
 */
static void
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* localize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (yyin)
		fclose(yyin);
	if (yyout)
		fclose(yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essantially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

#line 647 "preproc.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CALL = 262,
    SQL_CARDINALITY = 263,
    SQL_CONNECT = 264,
    SQL_COUNT = 265,
    SQL_DATETIME_INTERVAL_CODE = 266,
    SQL_DATETIME_INTERVAL_PRECISION = 267,
    SQL_DESCRIBE = 268,
    SQL_DESCRIPTOR = 269,
    SQL_DISCONNECT = 270,
    SQL_FOUND = 271,
    SQL_FREE = 272,
    SQL_GET = 273,
    SQL_GO = 274,
    SQL_GOTO = 275,
    SQL_IDENTIFIED = 276,
    SQL_INDICATOR = 277,
    SQL_KEY_MEMBER = 278,
    SQL_LENGTH = 279,
    SQL_LONG = 280,
    SQL_NULLABLE = 281,
    SQL_OCTET_LENGTH = 282,
    SQL_OPEN = 283,
    SQL_OUTPUT = 284,
    SQL_REFERENCE = 285,
    SQL_RETURNED_LENGTH = 286,
    SQL_RETURNED_OCTET_LENGTH = 287,
    SQL_SCALE = 288,
    SQL_SECTION = 289,
    SQL_SHORT = 290,
    SQL_SIGNED = 291,
    SQL_SQLERROR = 292,
    SQL_SQLPRINT = 293,
    SQL_SQLWARNING = 294,
    SQL_START = 295,
    SQL_STOP = 296,
    SQL_STRUCT = 297,
    SQL_UNSIGNED = 298,
    SQL_VAR = 299,
    SQL_WHENEVER = 300,
    S_ADD = 301,
    S_AND = 302,
    S_ANYTHING = 303,
    S_AUTO = 304,
    S_CONST = 305,
    S_DEC = 306,
    S_DIV = 307,
    S_DOTPOINT = 308,
    S_EQUAL = 309,
    S_EXTERN = 310,
    S_INC = 311,
    S_LSHIFT = 312,
    S_MEMPOINT = 313,
    S_MEMBER = 314,
    S_MOD = 315,
    S_MUL = 316,
    S_NEQUAL = 317,
    S_OR = 318,
    S_REGISTER = 319,
    S_RSHIFT = 320,
    S_STATIC = 321,
    S_SUB = 322,
    S_VOLATILE = 323,
    S_TYPEDEF = 324,
    CSTRING = 325,
    CVARIABLE = 326,
    CPP_LINE = 327,
    IP = 328,
    DOLCONST = 329,
    ECONST = 330,
    NCONST = 331,
    UCONST = 332,
    UIDENT = 333,
    IDENT = 334,
    FCONST = 335,
    SCONST = 336,
    BCONST = 337,
    XCONST = 338,
    Op = 339,
    ICONST = 340,
    PARAM = 341,
    TYPECAST = 342,
    DOT_DOT = 343,
    COLON_EQUALS = 344,
    EQUALS_GREATER = 345,
    LESS_EQUALS = 346,
    GREATER_EQUALS = 347,
    NOT_EQUALS = 348,
    ABORT_P = 349,
    ABSOLUTE_P = 350,
    ACCESS = 351,
    ACTION = 352,
    ADD_P = 353,
    ADMIN = 354,
    AFTER = 355,
    AGGREGATE = 356,
    ALL = 357,
    ALSO = 358,
    ALTER = 359,
    ALWAYS = 360,
    ANALYSE = 361,
    ANALYZE = 362,
    AND = 363,
    ANY = 364,
    ARRAY = 365,
    AS = 366,
    ASC = 367,
    ASSERTION = 368,
    ASSIGNMENT = 369,
    ASYMMETRIC = 370,
    AT = 371,
    ATTRIBUTE = 372,
    AUTHORIZATION = 373,
    BACKWARD = 374,
    BEFORE = 375,
    BEGIN_P = 376,
    BETWEEN = 377,
    BIGINT = 378,
    BINARY = 379,
    BIT = 380,
    BOOLEAN_P = 381,
    BOTH = 382,
    BY = 383,
    CACHE = 384,
    CALLED = 385,
    CASCADE = 386,
    CASCADED = 387,
    CASE = 388,
    CAST = 389,
    CATALOG_P = 390,
    CHAIN = 391,
    CHAR_P = 392,
    CHARACTER = 393,
    CHARACTERISTICS = 394,
    CHECK = 395,
    CHECKPOINT = 396,
    CLASS = 397,
    CLOSE = 398,
    CLUSTER = 399,
    COALESCE = 400,
    COLLATE = 401,
    COLLATION = 402,
    COLUMN = 403,
    COMMENT = 404,
    COMMENTS = 405,
    COMMIT = 406,
    COMMITTED = 407,
    CONCURRENTLY = 408,
    CONFIGURATION = 409,
    CONFLICT = 410,
    CONNECTION = 411,
    CONSTRAINT = 412,
    CONSTRAINTS = 413,
    CONTENT_P = 414,
    CONTINUE_P = 415,
    CONVERSION_P = 416,
    COPY = 417,
    COST = 418,
    CREATE = 419,
    CROSS = 420,
    CSV = 421,
    CUBE = 422,
    CURRENT_P = 423,
    CURRENT_CATALOG = 424,
    CURRENT_DATE = 425,
    CURRENT_ROLE = 426,
    CURRENT_SCHEMA = 427,
    CURRENT_TIME = 428,
    CURRENT_TIMESTAMP = 429,
    CURRENT_USER = 430,
    CURSOR = 431,
    CYCLE = 432,
    DATA_P = 433,
    DATABASE = 434,
    DAY_P = 435,
    DEALLOCATE = 436,
    DEC = 437,
    DECIMAL_P = 438,
    DECLARE = 439,
    DEFAULT = 440,
    DEFAULTS = 441,
    DEFERRABLE = 442,
    DEFERRED = 443,
    DEFINER = 444,
    DELETE_P = 445,
    DELIMITER = 446,
    DELIMITERS = 447,
    DEPENDS = 448,
    DESC = 449,
    DICTIONARY = 450,
    DISABLE_P = 451,
    DISCARD = 452,
    DISTINCT = 453,
    DO = 454,
    DOCUMENT_P = 455,
    DOMAIN_P = 456,
    DOUBLE_P = 457,
    DROP = 458,
    EACH = 459,
    ELSE = 460,
    ENABLE_P = 461,
    ENCODING = 462,
    ENCRYPTED = 463,
    END_P = 464,
    ENUM_P = 465,
    ESCAPE = 466,
    EVENT = 467,
    EXCEPT = 468,
    EXCLUDE = 469,
    EXCLUDING = 470,
    EXCLUSIVE = 471,
    EXECUTE = 472,
    EXISTS = 473,
    EXPLAIN = 474,
    EXTENSION = 475,
    EXTERNAL = 476,
    EXTRACT = 477,
    FALSE_P = 478,
    FAMILY = 479,
    FETCH = 480,
    FILTER = 481,
    FIRST_P = 482,
    FLOAT_P = 483,
    FOLLOWING = 484,
    FOR = 485,
    FORCE = 486,
    FOREIGN = 487,
    FORWARD = 488,
    FREEZE = 489,
    FROM = 490,
    FULL = 491,
    FUNCTION = 492,
    FUNCTIONS = 493,
    GLOBAL = 494,
    GRANT = 495,
    GRANTED = 496,
    GREATEST = 497,
    GROUP_P = 498,
    GROUPING = 499,
    HANDLER = 500,
    HAVING = 501,
    HEADER_P = 502,
    HOLD = 503,
    HOUR_P = 504,
    IDENTITY_P = 505,
    IF_P = 506,
    ILIKE = 507,
    IMMEDIATE = 508,
    IMMUTABLE = 509,
    IMPLICIT_P = 510,
    IMPORT_P = 511,
    IN_P = 512,
    INCLUDING = 513,
    INCREMENT = 514,
    INDEX = 515,
    INDEXES = 516,
    INHERIT = 517,
    INHERITS = 518,
    INITIALLY = 519,
    INLINE_P = 520,
    INNER_P = 521,
    INOUT = 522,
    INPUT_P = 523,
    INSENSITIVE = 524,
    INSERT = 525,
    INSTEAD = 526,
    INT_P = 527,
    INTEGER = 528,
    INTERSECT = 529,
    INTERVAL = 530,
    INTO = 531,
    INVOKER = 532,
    IS = 533,
    ISNULL = 534,
    ISOLATION = 535,
    JOIN = 536,
    KEY = 537,
    LABEL = 538,
    LANGUAGE = 539,
    LARGE_P = 540,
    LAST_P = 541,
    LATERAL_P = 542,
    LEADING = 543,
    LEAKPROOF = 544,
    LEAST = 545,
    LEFT = 546,
    LEVEL = 547,
    LIKE = 548,
    LIMIT = 549,
    LISTEN = 550,
    LOAD = 551,
    LOCAL = 552,
    LOCALTIME = 553,
    LOCALTIMESTAMP = 554,
    LOCATION = 555,
    LOCK_P = 556,
    LOCKED = 557,
    LOGGED = 558,
    MAPPING = 559,
    MATCH = 560,
    MATERIALIZED = 561,
    MAXVALUE = 562,
    METHOD = 563,
    MINUTE_P = 564,
    MINVALUE = 565,
    MODE = 566,
    MONTH_P = 567,
    MOVE = 568,
    NAME_P = 569,
    NAMES = 570,
    NATIONAL = 571,
    NATURAL = 572,
    NCHAR = 573,
    NEXT = 574,
    NO = 575,
    NONE = 576,
    NOT = 577,
    NOTHING = 578,
    NOTIFY = 579,
    NOTNULL = 580,
    NOWAIT = 581,
    NULL_P = 582,
    NULLIF = 583,
    NULLS_P = 584,
    NUMERIC = 585,
    OBJECT_P = 586,
    OF = 587,
    OFF = 588,
    OFFSET = 589,
    OIDS = 590,
    ON = 591,
    ONLY = 592,
    OPERATOR = 593,
    OPTION = 594,
    OPTIONS = 595,
    OR = 596,
    ORDER = 597,
    ORDINALITY = 598,
    OUT_P = 599,
    OUTER_P = 600,
    OVER = 601,
    OVERLAPS = 602,
    OVERLAY = 603,
    OWNED = 604,
    OWNER = 605,
    PARALLEL = 606,
    PARSER = 607,
    PARTIAL = 608,
    PARTITION = 609,
    PASSING = 610,
    PASSWORD = 611,
    PLACING = 612,
    PLANS = 613,
    POLICY = 614,
    POSITION = 615,
    PRECEDING = 616,
    PRECISION = 617,
    PRESERVE = 618,
    PREPARE = 619,
    PREPARED = 620,
    PRIMARY = 621,
    PRIOR = 622,
    PRIVILEGES = 623,
    PROCEDURAL = 624,
    PROCEDURE = 625,
    PROGRAM = 626,
    QUOTE = 627,
    RANGE = 628,
    READ = 629,
    REAL = 630,
    REASSIGN = 631,
    RECHECK = 632,
    RECURSIVE = 633,
    REF = 634,
    REFERENCES = 635,
    REFRESH = 636,
    REINDEX = 637,
    RELATIVE_P = 638,
    RELEASE = 639,
    RENAME = 640,
    REPEATABLE = 641,
    REPLACE = 642,
    REPLICA = 643,
    RESET = 644,
    RESTART = 645,
    RESTRICT = 646,
    RETURNING = 647,
    RETURNS = 648,
    REVOKE = 649,
    RIGHT = 650,
    ROLE = 651,
    ROLLBACK = 652,
    ROLLUP = 653,
    ROW = 654,
    ROWS = 655,
    RULE = 656,
    SAVEPOINT = 657,
    SCHEMA = 658,
    SCROLL = 659,
    SEARCH = 660,
    SECOND_P = 661,
    SECURITY = 662,
    SELECT = 663,
    SEQUENCE = 664,
    SEQUENCES = 665,
    SERIALIZABLE = 666,
    SERVER = 667,
    SESSION = 668,
    SESSION_USER = 669,
    SET = 670,
    SETS = 671,
    SETOF = 672,
    SHARE = 673,
    SHOW = 674,
    SIMILAR = 675,
    SIMPLE = 676,
    SKIP = 677,
    SMALLINT = 678,
    SNAPSHOT = 679,
    SOME = 680,
    SQL_P = 681,
    STABLE = 682,
    STANDALONE_P = 683,
    START = 684,
    STATEMENT = 685,
    STATISTICS = 686,
    STDIN = 687,
    STDOUT = 688,
    STORAGE = 689,
    STRICT_P = 690,
    STRIP_P = 691,
    SUBSTRING = 692,
    SYMMETRIC = 693,
    SYSID = 694,
    SYSTEM_P = 695,
    TABLE = 696,
    TABLES = 697,
    TABLESAMPLE = 698,
    TABLESPACE = 699,
    TEMP = 700,
    TEMPLATE = 701,
    TEMPORARY = 702,
    TEXT_P = 703,
    THEN = 704,
    TIME = 705,
    TIMESTAMP = 706,
    TO = 707,
    TRAILING = 708,
    TRANSACTION = 709,
    TRANSFORM = 710,
    TREAT = 711,
    TRIGGER = 712,
    TRIM = 713,
    TRUE_P = 714,
    TRUNCATE = 715,
    TRUSTED = 716,
    TYPE_P = 717,
    TYPES_P = 718,
    UNBOUNDED = 719,
    UNCOMMITTED = 720,
    UNENCRYPTED = 721,
    UNION = 722,
    UNIQUE = 723,
    UNKNOWN = 724,
    UNLISTEN = 725,
    UNLOGGED = 726,
    UNTIL = 727,
    UPDATE = 728,
    USER = 729,
    USING = 730,
    VACUUM = 731,
    VALID = 732,
    VALIDATE = 733,
    VALIDATOR = 734,
    VALUE_P = 735,
    VALUES = 736,
    VARCHAR = 737,
    VARIADIC = 738,
    VARYING = 739,
    VERBOSE = 740,
    VERSION_P = 741,
    VIEW = 742,
    VIEWS = 743,
    VOLATILE = 744,
    WHEN = 745,
    WHERE = 746,
    WHITESPACE_P = 747,
    WINDOW = 748,
    WITH = 749,
    WITHIN = 750,
    WITHOUT = 751,
    WORK = 752,
    WRAPPER = 753,
    WRITE = 754,
    XML_P = 755,
    XMLATTRIBUTES = 756,
    XMLCONCAT = 757,
    XMLELEMENT = 758,
    XMLEXISTS = 759,
    XMLFOREST = 760,
    XMLPARSE = 761,
    XMLPI = 762,
    XMLROOT = 763,
    XMLSERIALIZE = 764,
    YEAR_P = 765,
    YES_P = 766,
    ZONE = 767,
    NOT_LA = 768,
    NULLS_LA = 769,
    WITH_LA = 770,
    POSTFIXOP = 771,
    UMINUS = 772
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{
#line 581 "preproc.y" /* yacc.c:355  */

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;

#line 1220 "preproc.c" /* yacc.c:355  */
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1249 "preproc.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   125767

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  537
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  760
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2983
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5625

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   772

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   524,     2,     2,
     529,   530,   522,   520,   532,   521,   531,   523,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   534,   533,
     516,   518,   517,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   527,     2,   528,   525,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   535,     2,   536,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   519,   526
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1560,  1560,  1563,  1565,  1567,  1569,  1571,  1573,  1575,
    1577,  1579,  1581,  1583,  1585,  1587,  1589,  1591,  1593,  1595,
    1597,  1599,  1601,  1603,  1605,  1607,  1609,  1611,  1613,  1615,
    1617,  1619,  1621,  1623,  1625,  1627,  1645,  1647,  1649,  1651,
    1653,  1655,  1657,  1659,  1661,  1663,  1665,  1667,  1669,  1671,
    1673,  1675,  1677,  1679,  1681,  1683,  1685,  1687,  1689,  1691,
    1693,  1695,  1697,  1699,  1701,  1703,  1705,  1707,  1709,  1711,
    1715,  1717,  1719,  1721,  1723,  1725,  1727,  1729,  1731,  1733,
    1735,  1737,  1739,  1741,  1743,  1745,  1747,  1749,  1751,  1753,
    1755,  1757,  1759,  1761,  1763,  1765,  1767,  1769,  1771,  1773,
    1775,  1777,  1779,  1781,  1783,  1785,  1787,  1789,  1796,  1798,
    1800,  1802,  1804,  1806,  1808,  1810,  1812,  1814,  1816,  1818,
    1824,  1826,  1828,  1830,  1832,  1834,  1836,  1838,  1840,  1846,
    1856,  1860,  1866,  1870,  1880,  1890,  1891,  1905,  1912,  1918,
    1929,  1935,  1944,  1951,  1957,  1966,  1973,  1981,  1986,  1994,
    1998,  2003,  2009,  2014,  2020,  2025,  2031,  2035,  2039,  2043,
    2047,  2051,  2055,  2059,  2063,  2071,  2075,  2079,  2083,  2087,
    2091,  2099,  2107,  2116,  2118,  2126,  2130,  2138,  2146,  2154,
    2158,  2166,  2170,  2178,  2186,  2194,  2198,  2206,  2210,  2218,
    2222,  2226,  2231,  2240,  2245,  2251,  2256,  2262,  2266,  2270,
    2274,  2278,  2282,  2290,  2294,  2298,  2306,  2310,  2314,  2322,
    2326,  2330,  2334,  2335,  2339,  2343,  2347,  2352,  2356,  2360,
    2364,  2368,  2372,  2376,  2384,  2388,  2396,  2400,  2408,  2412,
    2426,  2430,  2434,  2438,  2446,  2450,  2454,  2458,  2466,  2470,
    2474,  2478,  2482,  2486,  2490,  2498,  2502,  2507,  2513,  2517,
    2525,  2533,  2537,  2541,  2545,  2553,  2557,  2565,  2569,  2577,
    2581,  2589,  2593,  2597,  2601,  2605,  2614,  2622,  2626,  2634,
    2638,  2646,  2654,  2658,  2662,  2666,  2670,  2678,  2682,  2686,
    2690,  2694,  2698,  2702,  2706,  2710,  2714,  2718,  2722,  2726,
    2730,  2734,  2738,  2746,  2750,  2758,  2762,  2766,  2770,  2774,
    2778,  2782,  2786,  2790,  2794,  2798,  2802,  2806,  2810,  2814,
    2818,  2822,  2826,  2830,  2834,  2838,  2842,  2846,  2850,  2854,
    2858,  2862,  2866,  2870,  2874,  2878,  2882,  2886,  2890,  2894,
    2898,  2902,  2906,  2910,  2914,  2918,  2922,  2926,  2930,  2934,
    2938,  2942,  2946,  2950,  2954,  2958,  2962,  2970,  2974,  2982,
    2986,  2991,  2997,  3002,  3008,  3013,  3019,  3023,  3027,  3031,
    3039,  3047,  3052,  3058,  3062,  3070,  3074,  3078,  3082,  3090,
    3098,  3102,  3110,  3114,  3118,  3122,  3130,  3135,  3143,  3151,
    3159,  3163,  3171,  3176,  3182,  3186,  3190,  3198,  3202,  3210,
    3215,  3221,  3225,  3229,  3233,  3237,  3241,  3245,  3249,  3253,
    3257,  3261,  3265,  3269,  3273,  3281,  3286,  3292,  3297,  3303,
    3308,  3314,  3319,  3325,  3329,  3337,  3345,  3349,  3353,  3357,
    3362,  3368,  3372,  3380,  3388,  3392,  3396,  3400,  3408,  3412,
    3416,  3420,  3424,  3428,  3432,  3437,  3443,  3448,  3454,  3459,
    3465,  3469,  3477,  3481,  3489,  3493,  3497,  3505,  3509,  3517,
    3525,  3533,  3538,  3544,  3548,  3552,  3556,  3564,  3568,  3572,
    3576,  3580,  3584,  3588,  3596,  3600,  3604,  3608,  3616,  3624,
    3628,  3633,  3639,  3643,  3647,  3651,  3655,  3659,  3667,  3671,
    3679,  3683,  3687,  3691,  3695,  3699,  3703,  3711,  3716,  3722,
    3727,  3733,  3737,  3745,  3753,  3757,  3762,  3767,  3773,  3777,
    3785,  3789,  3797,  3802,  3808,  3812,  3816,  3820,  3825,  3831,
    3839,  3847,  3851,  3855,  3859,  3863,  3871,  3876,  3882,  3886,
    3890,  3895,  3901,  3905,  3909,  3914,  3920,  3925,  3931,  3936,
    3942,  3950,  3958,  3962,  3967,  3973,  3977,  3985,  3993,  3998,
    4004,  4012,  4016,  4024,  4028,  4036,  4041,  4047,  4051,  4059,
    4063,  4067,  4071,  4075,  4079,  4083,  4087,  4091,  4095,  4099,
    4103,  4111,  4116,  4122,  4126,  4130,  4138,  4142,  4150,  4154,
    4162,  4167,  4173,  4177,  4185,  4190,  4196,  4200,  4208,  4213,
    4219,  4223,  4231,  4236,  4242,  4250,  4255,  4261,  4265,  4273,
    4277,  4285,  4290,  4296,  4300,  4304,  4308,  4316,  4324,  4329,
    4335,  4343,  4347,  4351,  4355,  4359,  4363,  4367,  4371,  4375,
    4379,  4383,  4387,  4391,  4395,  4399,  4403,  4407,  4411,  4415,
    4419,  4423,  4427,  4431,  4435,  4439,  4447,  4455,  4459,  4463,
    4467,  4475,  4479,  4487,  4492,  4498,  4502,  4510,  4514,  4522,
    4527,  4533,  4537,  4545,  4553,  4557,  4565,  4569,  4573,  4577,
    4585,  4593,  4601,  4609,  4617,  4622,  4628,  4632,  4640,  4645,
    4651,  4655,  4663,  4667,  4671,  4679,  4683,  4691,  4695,  4703,
    4711,  4715,  4723,  4728,  4734,  4742,  4746,  4754,  4758,  4766,
    4774,  4782,  4790,  4794,  4802,  4807,  4813,  4818,  4824,  4829,
    4835,  4840,  4846,  4851,  4857,  4861,  4865,  4869,  4873,  4881,
    4889,  4893,  4901,  4905,  4909,  4917,  4921,  4929,  4933,  4937,
    4941,  4945,  4953,  4958,  4964,  4969,  4975,  4979,  4987,  4992,
    4998,  5002,  5007,  5013,  5017,  5021,  5025,  5033,  5038,  5045,
    5047,  5055,  5059,  5063,  5067,  5071,  5075,  5083,  5087,  5095,
    5099,  5107,  5111,  5119,  5127,  5131,  5139,  5147,  5151,  5155,
    5159,  5167,  5176,  5185,  5189,  5193,  5197,  5201,  5205,  5209,
    5213,  5217,  5221,  5225,  5229,  5233,  5237,  5245,  5253,  5257,
    5265,  5269,  5277,  5281,  5285,  5289,  5293,  5301,  5309,  5313,
    5321,  5329,  5334,  5340,  5344,  5352,  5356,  5360,  5368,  5373,
    5379,  5387,  5391,  5399,  5403,  5407,  5411,  5415,  5423,  5428,
    5434,  5439,  5445,  5449,  5454,  5460,  5466,  5472,  5480,  5484,
    5492,  5496,  5504,  5508,  5516,  5520,  5528,  5532,  5540,  5548,
    5556,  5560,  5564,  5568,  5572,  5576,  5580,  5584,  5592,  5596,
    5600,  5604,  5608,  5612,  5616,  5620,  5624,  5628,  5632,  5636,
    5640,  5644,  5648,  5652,  5660,  5664,  5672,  5676,  5684,  5688,
    5696,  5700,  5701,  5709,  5713,  5718,  5724,  5728,  5732,  5736,
    5740,  5744,  5748,  5752,  5756,  5760,  5764,  5768,  5772,  5776,
    5780,  5784,  5788,  5792,  5800,  5804,  5808,  5812,  5816,  5820,
    5824,  5828,  5832,  5836,  5840,  5844,  5848,  5852,  5856,  5860,
    5864,  5868,  5872,  5876,  5880,  5884,  5892,  5896,  5904,  5908,
    5912,  5916,  5920,  5924,  5928,  5936,  5941,  5947,  5951,  5955,
    5959,  5963,  5967,  5971,  5975,  5979,  5983,  5987,  5995,  5999,
    6007,  6011,  6015,  6019,  6025,  6031,  6037,  6043,  6049,  6055,
    6061,  6071,  6082,  6093,  6104,  6115,  6126,  6137,  6153,  6169,
    6185,  6196,  6212,  6223,  6239,  6254,  6258,  6266,  6271,  6277,
    6285,  6289,  6297,  6301,  6305,  6309,  6313,  6321,  6325,  6333,
    6337,  6341,  6345,  6353,  6357,  6361,  6365,  6369,  6373,  6377,
    6381,  6385,  6389,  6393,  6397,  6401,  6405,  6409,  6413,  6421,
    6425,  6433,  6437,  6445,  6450,  6456,  6460,  6468,  6476,  6484,
    6488,  6496,  6501,  6507,  6512,  6518,  6526,  6531,  6537,  6541,
    6545,  6553,  6557,  6561,  6569,  6573,  6577,  6581,  6589,  6593,
    6601,  6606,  6612,  6617,  6623,  6628,  6634,  6639,  6645,  6649,
    6657,  6661,  6665,  6673,  6678,  6684,  6689,  6695,  6699,  6704,
    6710,  6714,  6719,  6725,  6729,  6733,  6741,  6746,  6752,  6756,
    6764,  6768,  6776,  6780,  6788,  6792,  6800,  6804,  6808,  6812,
    6816,  6824,  6828,  6832,  6836,  6840,  6848,  6856,  6864,  6868,
    6872,  6880,  6884,  6888,  6896,  6905,  6909,  6913,  6917,  6925,
    6929,  6937,  6941,  6949,  6953,  6957,  6961,  6965,  6969,  6973,
    6977,  6981,  6985,  6989,  6993,  6997,  7001,  7005,  7009,  7017,
    7021,  7025,  7029,  7033,  7041,  7045,  7053,  7057,  7065,  7070,
    7076,  7084,  7088,  7096,  7104,  7108,  7116,  7121,  7127,  7131,
    7139,  7143,  7151,  7155,  7163,  7167,  7171,  7175,  7183,  7187,
    7195,  7203,  7207,  7215,  7219,  7227,  7231,  7235,  7243,  7247,
    7252,  7258,  7266,  7271,  7277,  7285,  7289,  7293,  7297,  7305,
    7313,  7317,  7321,  7325,  7333,  7337,  7345,  7349,  7353,  7361,
    7365,  7373,  7381,  7385,  7393,  7397,  7401,  7405,  7409,  7413,
    7417,  7421,  7425,  7429,  7433,  7437,  7441,  7445,  7449,  7453,
    7457,  7461,  7465,  7469,  7473,  7477,  7481,  7485,  7489,  7493,
    7497,  7501,  7505,  7509,  7513,  7517,  7521,  7525,  7529,  7533,
    7537,  7541,  7545,  7549,  7553,  7557,  7561,  7565,  7569,  7573,
    7577,  7581,  7589,  7594,  7600,  7605,  7611,  7615,  7619,  7623,
    7631,  7635,  7639,  7643,  7647,  7651,  7655,  7659,  7663,  7667,
    7671,  7675,  7679,  7683,  7687,  7691,  7695,  7699,  7703,  7707,
    7711,  7715,  7719,  7723,  7731,  7739,  7743,  7751,  7755,  7763,
    7767,  7771,  7775,  7779,  7783,  7787,  7791,  7795,  7799,  7803,
    7807,  7811,  7815,  7819,  7823,  7827,  7831,  7835,  7843,  7851,
    7855,  7859,  7867,  7871,  7879,  7883,  7887,  7891,  7895,  7903,
    7908,  7914,  7918,  7922,  7926,  7934,  7938,  7943,  7949,  7953,
    7961,  7969,  7974,  7980,  7988,  7992,  8000,  8004,  8008,  8012,
    8016,  8020,  8024,  8028,  8032,  8036,  8040,  8044,  8048,  8052,
    8060,  8064,  8069,  8075,  8079,  8083,  8087,  8091,  8099,  8103,
    8107,  8115,  8120,  8126,  8130,  8134,  8139,  8148,  8152,  8156,
    8161,  8167,  8175,  8183,  8188,  8194,  8198,  8206,  8210,  8214,
    8222,  8226,  8230,  8234,  8238,  8242,  8246,  8254,  8259,  8265,
    8269,  8273,  8281,  8289,  8293,  8301,  8305,  8313,  8321,  8325,
    8329,  8333,  8337,  8341,  8345,  8353,  8358,  8364,  8372,  8376,
    8380,  8384,  8388,  8392,  8400,  8404,  8412,  8420,  8424,  8428,
    8436,  8441,  8447,  8451,  8455,  8459,  8463,  8471,  8475,  8483,
    8487,  8491,  8495,  8499,  8507,  8511,  8519,  8523,  8531,  8536,
    8542,  8547,  8553,  8558,  8564,  8569,  8575,  8579,  8583,  8587,
    8595,  8599,  8603,  8607,  8611,  8615,  8619,  8623,  8627,  8635,
    8639,  8647,  8655,  8659,  8667,  8671,  8676,  8682,  8688,  8698,
    8703,  8709,  8713,  8717,  8721,  8729,  8731,  8739,  8744,  8750,
    8758,  8762,  8770,  8774,  8778,  8786,  8790,  8798,  8806,  8810,
    8815,  8821,  8825,  8830,  8836,  8841,  8847,  8855,  8860,  8866,
    8874,  8879,  8885,  8889,  8893,  8897,  8901,  8905,  8909,  8913,
    8921,  8926,  8932,  8936,  8941,  8947,  8955,  8959,  8967,  8971,
    8979,  8987,  8991,  8999,  9007,  9011,  9019,  9072,  9076,  9089,
    9091,  9095,  9099,  9103,  9112,  9118,  9122,  9130,  9134,  9142,
    9146,  9154,  9158,  9162,  9166,  9170,  9174,  9178,  9182,  9190,
    9194,  9202,  9206,  9210,  9214,  9218,  9222,  9226,  9234,  9238,
    9242,  9250,  9254,  9262,  9270,  9275,  9281,  9286,  9288,  9294,
    9298,  9302,  9306,  9310,  9314,  9318,  9322,  9326,  9334,  9339,
    9345,  9349,  9354,  9360,  9364,  9372,  9377,  9383,  9388,  9394,
    9402,  9406,  9414,  9418,  9426,  9430,  9434,  9438,  9446,  9451,
    9457,  9461,  9466,  9474,  9478,  9486,  9490,  9498,  9506,  9510,
    9515,  9521,  9529,  9533,  9541,  9545,  9553,  9558,  9564,  9568,
    9576,  9580,  9584,  9588,  9592,  9600,  9608,  9616,  9624,  9632,
    9637,  9643,  9647,  9655,  9660,  9666,  9670,  9678,  9686,  9690,
    9694,  9698,  9706,  9711,  9717,  9721,  9729,  9734,  9740,  9744,
    9752,  9756,  9760,  9764,  9768,  9775,  9782,  9786,  9794,  9798,
    9802,  9806,  9810,  9814,  9822,  9826,  9830,  9834,  9842,  9847,
    9853,  9857,  9861,  9865,  9870,  9876,  9880,  9884,  9888,  9896,
    9901,  9907,  9911,  9919,  9923,  9927,  9931,  9939,  9943,  9951,
    9955,  9959,  9967,  9975,  9980,  9986,  9990,  9998, 10006, 10010,
   10018, 10023, 10029, 10034, 10040, 10045, 10051, 10055, 10061, 10067,
   10072, 10078, 10082, 10090, 10098, 10100, 10102, 10106, 10110, 10114,
   10122, 10132, 10143, 10152, 10156, 10160, 10164, 10168, 10172, 10176,
   10184, 10188, 10192, 10196, 10204, 10208, 10216, 10221, 10227, 10231,
   10235, 10239, 10243, 10247, 10251, 10255, 10259, 10263, 10267, 10275,
   10280, 10286, 10290, 10298, 10302, 10310, 10318, 10326, 10330, 10338,
   10342, 10350, 10358, 10366, 10370, 10374, 10378, 10382, 10386, 10394,
   10399, 10405, 10410, 10416, 10420, 10424, 10428, 10436, 10444, 10448,
   10453, 10459, 10463, 10467, 10471, 10475, 10479, 10483, 10487, 10491,
   10495, 10499, 10503, 10507, 10512, 10518, 10522, 10530, 10534, 10538,
   10542, 10546, 10550, 10554, 10558, 10562, 10566, 10570, 10574, 10578,
   10582, 10586, 10590, 10594, 10598, 10602, 10606, 10610, 10614, 10618,
   10622, 10626, 10630, 10634, 10638, 10642, 10646, 10650, 10654, 10658,
   10662, 10666, 10670, 10674, 10678, 10682, 10686, 10690, 10694, 10698,
   10702, 10706, 10710, 10714, 10718, 10722, 10726, 10730, 10734, 10738,
   10742, 10746, 10750, 10754, 10758, 10762, 10766, 10770, 10775, 10779,
   10787, 10791, 10795, 10799, 10803, 10807, 10811, 10815, 10819, 10823,
   10827, 10831, 10835, 10839, 10843, 10847, 10851, 10855, 10859, 10863,
   10867, 10871, 10875, 10879, 10883, 10891, 10895, 10899, 10903, 10907,
   10911, 10915, 10919, 10923, 10927, 10931, 10935, 10939, 10943, 10951,
   10955, 10959, 10963, 10967, 10971, 10975, 10983, 10987, 10995, 10999,
   11007, 11011, 11015, 11019, 11023, 11027, 11031, 11035, 11039, 11043,
   11047, 11051, 11055, 11059, 11063, 11067, 11071, 11075, 11079, 11083,
   11087, 11091, 11095, 11099, 11103, 11107, 11111, 11115, 11119, 11123,
   11127, 11131, 11135, 11139, 11143, 11147, 11151, 11155, 11159, 11163,
   11167, 11171, 11179, 11183, 11191, 11195, 11199, 11204, 11210, 11218,
   11222, 11230, 11234, 11242, 11246, 11254, 11258, 11263, 11269, 11273,
   11277, 11281, 11289, 11294, 11300, 11305, 11311, 11316, 11322, 11326,
   11334, 11342, 11346, 11351, 11357, 11365, 11369, 11376, 11381, 11387,
   11392, 11397, 11403, 11407, 11415, 11419, 11423, 11427, 11431, 11439,
   11443, 11447, 11455, 11459, 11467, 11475, 11479, 11483, 11491, 11495,
   11503, 11507, 11511, 11515, 11519, 11523, 11527, 11531, 11535, 11539,
   11543, 11547, 11555, 11559, 11567, 11571, 11579, 11583, 11587, 11591,
   11595, 11599, 11607, 11611, 11619, 11623, 11631, 11635, 11639, 11647,
   11651, 11659, 11663, 11667, 11675, 11679, 11687, 11692, 11698, 11702,
   11706, 11710, 11714, 11718, 11722, 11726, 11734, 11738, 11746, 11754,
   11759, 11765, 11769, 11773, 11777, 11781, 11786, 11792, 11800, 11808,
   11812, 11816, 11824, 11828, 11836, 11844, 11848, 11856, 11864, 11869,
   11875, 11880, 11886, 11890, 11898, 11902, 11906, 11910, 11918, 11923,
   11929, 11933, 11942, 11944, 11952, 11957, 11963, 11967, 11975, 11979,
   11987, 11995, 12000, 12006, 12010, 12018, 12022, 12026, 12030, 12038,
   12042, 12050, 12054, 12062, 12066, 12074, 12082, 12090, 12098, 12106,
   12114, 12122, 12126, 12134, 12138, 12142, 12146, 12150, 12154, 12158,
   12162, 12166, 12170, 12174, 12178, 12182, 12186, 12187, 12192, 12198,
   12202, 12203, 12207, 12215, 12223, 12227, 12231, 12239, 12243, 12251,
   12255, 12259, 12263, 12271, 12275, 12279, 12283, 12287, 12291, 12295,
   12299, 12303, 12307, 12311, 12315, 12319, 12323, 12327, 12331, 12335,
   12339, 12343, 12347, 12351, 12355, 12359, 12363, 12367, 12371, 12375,
   12379, 12383, 12387, 12391, 12395, 12399, 12403, 12407, 12411, 12415,
   12419, 12423, 12427, 12431, 12435, 12439, 12443, 12447, 12451, 12455,
   12459, 12463, 12467, 12471, 12475, 12479, 12483, 12487, 12491, 12495,
   12499, 12503, 12507, 12511, 12515, 12519, 12523, 12527, 12531, 12535,
   12539, 12543, 12547, 12551, 12555, 12559, 12563, 12567, 12571, 12575,
   12579, 12583, 12587, 12591, 12595, 12599, 12603, 12607, 12611, 12615,
   12619, 12623, 12627, 12631, 12635, 12639, 12643, 12647, 12651, 12655,
   12659, 12663, 12667, 12671, 12675, 12679, 12683, 12687, 12691, 12695,
   12699, 12703, 12707, 12711, 12715, 12719, 12723, 12727, 12731, 12735,
   12739, 12743, 12747, 12751, 12755, 12759, 12763, 12767, 12771, 12775,
   12779, 12783, 12787, 12791, 12795, 12799, 12803, 12807, 12811, 12815,
   12819, 12823, 12827, 12831, 12835, 12839, 12843, 12847, 12851, 12855,
   12859, 12863, 12867, 12871, 12875, 12879, 12883, 12887, 12891, 12895,
   12899, 12903, 12907, 12911, 12915, 12919, 12923, 12927, 12931, 12935,
   12939, 12943, 12947, 12951, 12955, 12959, 12963, 12967, 12971, 12975,
   12979, 12983, 12987, 12991, 12995, 12999, 13003, 13007, 13011, 13015,
   13019, 13023, 13027, 13031, 13035, 13039, 13043, 13047, 13051, 13055,
   13059, 13063, 13067, 13071, 13075, 13079, 13083, 13087, 13091, 13095,
   13099, 13103, 13107, 13111, 13115, 13119, 13123, 13127, 13131, 13135,
   13139, 13143, 13147, 13151, 13155, 13159, 13163, 13167, 13171, 13175,
   13179, 13183, 13187, 13191, 13195, 13199, 13203, 13207, 13211, 13215,
   13219, 13223, 13227, 13231, 13235, 13239, 13243, 13247, 13251, 13255,
   13259, 13263, 13267, 13271, 13275, 13279, 13283, 13287, 13291, 13295,
   13299, 13303, 13307, 13311, 13315, 13323, 13327, 13331, 13335, 13339,
   13343, 13347, 13351, 13355, 13359, 13363, 13367, 13371, 13375, 13379,
   13383, 13387, 13391, 13395, 13399, 13403, 13407, 13411, 13415, 13419,
   13423, 13427, 13431, 13435, 13439, 13443, 13447, 13451, 13455, 13459,
   13463, 13467, 13471, 13475, 13479, 13483, 13487, 13491, 13495, 13499,
   13507, 13511, 13515, 13519, 13523, 13527, 13531, 13535, 13539, 13543,
   13547, 13551, 13555, 13559, 13563, 13567, 13571, 13575, 13579, 13583,
   13587, 13591, 13595, 13603, 13607, 13611, 13615, 13619, 13623, 13627,
   13631, 13635, 13639, 13643, 13647, 13651, 13655, 13659, 13663, 13667,
   13671, 13675, 13679, 13683, 13687, 13691, 13695, 13699, 13703, 13707,
   13711, 13715, 13719, 13723, 13727, 13731, 13735, 13739, 13743, 13747,
   13751, 13755, 13759, 13763, 13767, 13771, 13775, 13779, 13783, 13787,
   13791, 13795, 13799, 13803, 13807, 13811, 13815, 13819, 13823, 13827,
   13831, 13835, 13839, 13843, 13847, 13851, 13855, 13859, 13863, 13867,
   13871, 13875, 13879, 13883, 13887, 13891, 13895, 13899, 13909, 13910,
   13913, 13914, 13915, 13921, 13922, 13923, 13924, 13925, 13938, 13938,
   13947, 13962, 13964, 13967, 13969, 13973, 13985, 14001, 14005, 14016,
   14017, 14020, 14032, 14041, 14042, 14045, 14046, 14047, 14050, 14051,
   14054, 14055, 14058, 14059, 14062, 14064, 14066, 14068, 14072, 14079,
   14086, 14102, 14136, 14146, 14149, 14153, 14166, 14167, 14169, 14171,
   14175, 14189, 14196, 14257, 14266, 14268, 14269, 14272, 14274, 14275,
   14278, 14279, 14280, 14281, 14282, 14289, 14288, 14298, 14300, 14302,
   14303, 14306, 14307, 14308, 14309, 14312, 14313, 14317, 14316, 14333,
   14331, 14347, 14346, 14360, 14366, 14367, 14370, 14372, 14373, 14376,
   14377, 14378, 14379, 14382, 14383, 14386, 14394, 14411, 14419, 14442,
   14548, 14582, 14584, 14586, 14590, 14594, 14593, 14644, 14646, 14645,
   14660, 14666, 14673, 14678, 14684, 14685, 14688, 14689, 14690, 14691,
   14692, 14693, 14694, 14702, 14710, 14713, 14714, 14715, 14716, 14717,
   14718, 14726, 14734, 14735, 14736, 14739, 14740, 14743, 14745, 14754,
   14842, 14843, 14850, 14851, 14852, 14858, 14867, 14870, 14871, 14872,
   14873, 14876, 14877, 14878, 14881, 14883, 14891, 14892, 14898, 14906,
   14907, 14910, 14911, 14914, 14919, 14926, 14931, 14938, 14945, 14945,
   14947, 14954, 14955, 14958, 14959, 14960, 14961, 14962, 14963, 14964,
   14965, 14966, 14972, 14979, 14991, 14997, 15004, 15012, 15013, 15025,
   15036, 15047, 15051, 15052, 15055, 15060, 15064, 15065, 15068, 15074,
   15082, 15088, 15095, 15099, 15100, 15103, 15106, 15110, 15111, 15114,
   15120, 15129, 15134, 15144, 15154, 15166, 15167, 15168, 15169, 15170,
   15171, 15172, 15173, 15174, 15175, 15176, 15177, 15178, 15179, 15180,
   15187, 15188, 15191, 15192, 15199, 15200, 15201, 15208, 15207, 15224,
   15225, 15232, 15231, 15301, 15307, 15313, 15321, 15327, 15333, 15339,
   15345, 15351, 15357, 15363, 15369, 15380, 15381, 15384, 15385, 15386,
   15387, 15388, 15389, 15390, 15391, 15392, 15393, 15394, 15395, 15396,
   15397, 15398, 15399, 15400, 15401, 15402, 15403, 15404, 15405, 15406,
   15409, 15410, 15411, 15412, 15413, 15414, 15418, 15419, 15420, 15421,
   15422, 15423, 15424, 15427, 15430, 15431, 15432, 15433, 15434, 15435,
   15436, 15437, 15450, 15451, 15452, 15453, 15454, 15455, 15456, 15461,
   15462, 15463, 15464, 15465, 15466, 15472, 15473, 15474, 15475, 15476,
   15477, 15478, 15479, 15480, 15481, 15482, 15485, 15486, 15487, 15488,
   15489, 15492, 15493, 15494, 15495, 15498, 15499, 15500, 15501, 15502,
   15503, 15504, 15521, 15522, 15523, 15526, 15527, 15528, 15529, 15530,
   15531, 15535, 15535, 15538, 15544, 15545, 15548, 15550, 15555, 15565,
   15576, 15583, 15584, 15585, 15588, 15621, 15623, 15625, 15628, 15638,
   15648, 15658, 15659, 15662, 15664, 15665, 15666, 15669, 15671, 15679,
   15680, 15681, 15685, 15686, 15690, 15691, 15694, 15695, 15698, 15699,
   15700, 15701, 15702, 15705, 15706, 15707, 15708, 15709, 15710, 15711,
   15712, 15713, 15714, 15715, 15716, 15717, 15718, 15719, 15720, 15721,
   15722, 15723, 15724, 15725, 15726, 15727, 15728, 15729, 15730, 15731,
   15732, 15733, 15734, 15735, 15736, 15737, 15738, 15739, 15740, 15741,
   15742, 15743, 15744, 15745, 15746, 15747, 15748, 15749, 15750, 15751,
   15752, 15753, 15754, 15755, 15756, 15757, 15758, 15759, 15760, 15763,
   15764, 15765, 15766, 15769, 15770, 15771, 15772, 15773, 15774, 15775,
   15776, 15777, 15778, 15785, 15786, 15787, 15788, 15789, 15792, 15793,
   15796, 15797, 15808, 15809
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQLERROR", "SQL_SQLPRINT", "SQL_SQLWARNING",
  "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED", "SQL_VAR",
  "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO", "S_CONST",
  "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN", "S_INC",
  "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL", "S_NEQUAL",
  "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB", "S_VOLATILE",
  "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP", "DOLCONST",
  "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST", "SCONST",
  "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT",
  "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS",
  "NOT_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P",
  "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONFLICT",
  "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P",
  "CONVERSION_P", "COPY", "COST", "CREATE", "CROSS", "CSV", "CUBE",
  "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DEPENDS", "DESC",
  "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P",
  "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING",
  "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE",
  "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXTENSION",
  "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER", "FIRST_P",
  "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORWARD", "FREEZE",
  "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL", "GRANT", "GRANTED",
  "GREATEST", "GROUP_P", "GROUPING", "HANDLER", "HAVING", "HEADER_P",
  "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDING", "INCREMENT",
  "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P",
  "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD",
  "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS",
  "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P",
  "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING",
  "MATCH", "MATERIALIZED", "MAXVALUE", "METHOD", "MINUTE_P", "MINVALUE",
  "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL",
  "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL",
  "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF",
  "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS",
  "OR", "ORDER", "ORDINALITY", "OUT_P", "OUTER_P", "OVER", "OVERLAPS",
  "OVERLAY", "OWNED", "OWNER", "PARALLEL", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POLICY",
  "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED",
  "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM",
  "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE",
  "REF", "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE",
  "RENAME", "REPEATABLE", "REPLACE", "REPLICA", "RESET", "RESTART",
  "RESTRICT", "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE",
  "ROLLBACK", "ROLLUP", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA",
  "SCROLL", "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE",
  "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET",
  "SETS", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SKIP",
  "SMALLINT", "SNAPSHOT", "SOME", "SQL_P", "STABLE", "STANDALONE_P",
  "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE",
  "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "TABLE", "TABLES", "TABLESAMPLE", "TABLESPACE", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM", "TRUE_P",
  "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED",
  "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATE",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VIEWS", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHIN", "WITHOUT", "WORK", "WRAPPER",
  "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "YEAR_P", "YES_P", "ZONE", "NOT_LA", "NULLS_LA", "WITH_LA", "'<'", "'>'",
  "'='", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'",
  "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "AlterUserStmt", "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "DropGroupStmt",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "generic_set", "set_rest_more",
  "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "ImportForeignSchemaStmt",
  "import_qualification_type", "import_qualification",
  "CreateUserMappingStmt", "auth_ident", "DropUserMappingStmt",
  "AlterUserMappingStmt", "CreatePolicyStmt", "AlterPolicyStmt",
  "DropPolicyStmt", "RowSecurityOptionalExpr",
  "RowSecurityOptionalWithCheck", "RowSecurityDefaultToRole",
  "RowSecurityOptionalToRole", "RowSecurityDefaultForCmd",
  "row_security_cmd", "CreateAmStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem", "DropTrigStmt",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "type_name_list",
  "TruncateStmt", "opt_restart_seqs", "CommentStmt", "comment_type",
  "comment_text", "SecLabelStmt", "opt_provider", "security_label_type",
  "security_label", "FetchStmt", "fetch_args", "from_in", "opt_from_in",
  "GrantStmt", "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "transform_type_list", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "CreateTransformStmt", "transform_element_list",
  "DropTransformStmt", "ReindexStmt", "reindex_target_type",
  "reindex_target_multitable", "reindex_option_list",
  "reindex_option_elem", "AlterTblSpcStmt", "RenameStmt", "opt_column",
  "opt_set_data", "AlterObjectDependsStmt", "AlterObjectSchemaStmt",
  "AlterOperatorStmt", "operator_def_list", "operator_def_elem",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "vacuum_option_list", "vacuum_option_elem", "AnalyzeStmt",
  "analyze_keyword", "opt_verbose", "opt_full", "opt_freeze",
  "opt_name_list", "ExplainStmt", "ExplainableStmt", "explain_option_list",
  "explain_option_elem", "explain_option_name", "explain_option_arg",
  "PrepareStmt", "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_target", "insert_rest",
  "insert_column_list", "insert_column_item", "opt_on_conflict",
  "opt_conf_expr", "returning_clause", "DeleteStmt", "using_clause",
  "LockStmt", "opt_lock", "lock_type", "opt_nowait", "opt_nowait_or_skip",
  "UpdateStmt", "set_clause_list", "set_clause", "single_set_clause",
  "multiple_set_clause", "set_target", "set_target_list",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "all_or_distinct", "distinct_clause", "opt_all_clause",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "Typename", "opt_array_bounds", "SimpleTypename", "ConstTypename",
  "GenericType", "opt_type_modifiers", "Numeric", "opt_float", "Bit",
  "ConstBit", "BitWithLength", "BitWithoutLength", "Character",
  "ConstCharacter", "CharacterWithLength", "CharacterWithoutLength",
  "character", "opt_varying", "opt_charset", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "a_expr", "b_expr", "c_expr", "func_application", "func_expr",
  "func_expr_windowless", "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "explicit_row", "implicit_row", "sub_type",
  "all_Op", "MathOp", "qual_Op", "qual_all_Op", "subquery_Op", "expr_list",
  "func_arg_list", "func_arg_expr", "type_list", "array_expr",
  "array_expr_list", "extract_list", "extract_arg", "overlay_list",
  "overlay_placing", "position_list", "substr_list", "substr_from",
  "substr_for", "trim_list", "in_expr", "case_expr", "when_clause_list",
  "when_clause", "case_default", "case_arg", "columnref", "indirection_el",
  "opt_slice_bound", "indirection", "opt_indirection", "opt_asymmetric",
  "ctext_expr", "ctext_expr_list", "ctext_row", "opt_target_list",
  "target_list", "target_el", "qualified_name_list", "qualified_name",
  "name_list", "name", "database_name", "access_method", "attr_name",
  "index_name", "file_name", "func_name", "AexprConst", "Iconst",
  "SignedIconst", "RoleId", "RoleSpec", "role_list", "NonReservedWord",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", "statements", "statement", "CreateAsStmt", "$@1",
  "at", "ECPGConnect", "connection_target", "opt_database_name",
  "db_prefix", "server", "opt_server", "server_name", "opt_port",
  "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@2", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@3", "var_declaration",
  "$@4", "$@5", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,    60,    62,    61,   771,
      43,    45,    42,    47,    37,    94,   772,    91,    93,    40,
      41,    46,    44,    59,    58,   123,   125
};
# endif

#define YYPACT_NINF -5118

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-5118)))

#define YYTABLE_NINF -2824

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2824)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -5118,   405, 14313, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, 32692, -5118,
   -5118, -5118, -5118, -5118,114025,   468, -5118, -5118, -5118,118652,
   -5118, -5118, -5118,   284, 78535, -5118, 81577,   958, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, 85633, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, 65845,  1453, -5118,   426,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118,   -41, 12603, -5118,
   -5118, 82084, -5118,   310, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, 82591,   537, -5118, -5118,  1072,  1257, -5118,   136, 18162,
   -5118, -5118, 74986, 79549, -5118, -5118, 86140,   565,  2009, 20170,
     -41, 32182, 86647, -5118,  2495, -5118, 62252, -5118, -5118, -5118,
   79042, -5118, -5118, -5118,  1373, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, 92224,  2648,  1204, 62768, -5118,
   -5118, -5118, -5118, 92224, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, 87154, -5118,  1371,  1421,  1003, 92731, 93238,
   76507, -5118,  1465, -5118, 92224,  1452,  1504, 64829, -5118, 93745,
   -5118, -5118,  1321, -5118, 87661, -5118, -5118, -5118, -5118, -5118,
    1204, -5118, 65845, 61236,    93,  1285, -5118, -5118, 94252, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, 92224,  2866,
    1382, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118,   537, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118,  1062, -5118,   851,  1216,  1756,
     756,  1450, -5118, -5118, -5118, 11532, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118,115537,  2262, -5118, -5118, -5118,  1483, -5118,
    1536, -5118, -5118, -5118,  1568, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118,  1034, -5118, -5118, -5118, -5118,  2059,114529, 85633,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, 74479, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118,   221, -5118, -5118, -5118, -5118, -5118, 85633,
   85633, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, 85633,  1639, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,   290,
    1958, -5118, -5118, 65845,  2607,  2607,  2157,115537, -5118, -5118,
   -5118, 67369, 92224, 92224, 92224,  1890, 92224,  1824, 92224,   289,
   67369,122615, 88168,  2053,  1816, 56579, 94759, -5118,121295, 92224,
   92224, 95266, 92224,  1922, 83098, 92224,  2015, 92224, 92224,123055,
   95773,  2143, -5118,  2400,  1623, -5118, -5118, -5118, 92224,  6154,
    2648, -5118, -5118,  2866, 92224,  2159, 67369, 92224,  1941, 92224,
    2020, 92224, -5118, 92224,  2031, 96280,   343,  1352,122615,  2094,
   57099,  2123, 92224,122615, 96787, 92224, 92224, -5118, -5118,  2141,
   92224, 92224, -5118,  2219,123495,  1695,  2270,  2423,  2360,  1505,
   -5118, -5118,  2546,  2090, -5118, -5118,  2575, 85633, -5118, 83605,
   -5118, -5118, -5118,  2310, -5118, -5118, -5118, -5118, -5118, -5118,
  120415,  2009, -5118, -5118,  2330, 67877, 92224,  2391, -5118, -5118,
   97294, 70925,  2199, -5118,   679, 68385,123935,  2511,  2184, 57619,
    2558, 97801,124375, 98308, -5118, -5118, 98815, -5118, 99322,  2297,
    2391, 99829, 71433,124815, -5118,  2426,100336, -5118, 15925, -5118,
    2191,  2626,  2201,  1563, 85633, 85633,  1323,116417, -5118, -5118,
     537, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,   252,
    1084, 63284,   842, 63800, -5118, -5118,  1228,  1288,  1303,   252,
    2633,  2633,    59, 85633, -5118, -5118,  1084, -5118,   652,   512,
    2210,  2210,  2210,  2408,  1220, -5118,  2210,  2358, -5118, -5118,
   -5118, -5118, 87661, 63284, 63800, -5118,  2250,  2648,   175,  2695,
    2345, -5118, -5118, -5118, -5118, -5118,  2344, 92224, 92224, 92224,
   -5118, -5118, -5118,  2726,  2338,  2593, -5118,  2324, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118,  2538,  2541,  2547,
      44,  2648,  2439, -5118,  2677, -5118,  2561, 38961, 38961,   929,
   85633,  2648, 64316, 88675,110983,   364,120415,  2648,100843,  2392,
    1607,  2572, -5118, -5118, -5118,   773, -5118,  2805,  2407,  2644,
     139,  1623, 53494, -5118,  2409,  1631, 87661, 19746, -5118, -5118,
   -5118, -5118,   988,  2698, 39486, -5118, 92224,  2405, -5118,  2412,
    2405,  2417,  2424,  1756, -5118, 92224,  1528,  1528,  2829,  1528,
    1675,  1762, -5118,  2571, -5118,  2728,  2688, 87661,  1285,   -41,
    2441, -5118, -5118, -5118,  2459, -5118,  2466,  2472, -5118,   860,
    2706, -5118, -5118, -5118, -5118,  2535,  2556,  2570,  2598,  2483,
    2611,   413, -5118, -5118, -5118, -5118,  2804, -5118, -5118, -5118,
   -5118, -5118, -5118,  2916,  2911,119095,119095,   572,   784,   184,
     267, -5118, -5118, -5118,  2787, -5118, -5118,  2791, 92224,  2631,
   92224, -5118, -5118, -5118,101350, -5118, -5118,  2607,  2459,  2548,
   -5118,   280, -5118,  1631, -5118,   307,   342,   396,  1869,  2553,
    2050,  1628, -5118,   796, 92224,  2663,   173,  1128,  2600, 89182,
    3107,  2574,  2719,   894,  2863,  2903,  4132,   413, 89689, -5118,
   -5118, -5118, -5118, 92224, 92224, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118,  2609, -5118, -5118,  2599,  2906,  2793,
    2888,  2761,  1609,  2824,  1820,  2931,  6086,  1222,101857,111490,
    2895,  2945,  4229,  1766,   678,  2830,  1227,  2950,  2811,  1771,
    2982,  6834, 92224,  2668, -5118,  2926,  3042,    21, -5118,   445,
   -5118,  2777,  2913,   781,  2948, 67369,  2743, -5118, -5118, 92224,
   -5118, -5118, 71941,  2800, -5118,   714, 67369, -5118,  2937,  2786,
   58139, 92224, -5118, 92224, -5118, -5118, -5118, -5118, -5118,  2871,
    3056, 92224, 71941, -5118,  3005, 92224, -5118,  2762, -5118, -5118,
   -5118, -5118,  2210, 92224,  2767,  3162, 71941,   270, 92224,   859,
    3194, 92224,  2988,   859,  2822,102364, -5118, -5118,   859, -5118,
   -5118, 92224, 92224,  2798,  1518,  2995,   859,  3010,  3217,  3220,
    2887,  3008,   933,   251,   137,  3140,   859,  2884,102871,103378,
   92224,  2889, 92224,  3226, 67369, 92224,  3153, -5118,  3019, 90196,
   -5118,  2855,  2546, -5118, -5118, -5118, -5118, -5118,   838, -5118,
   -5118, -5118, -5118, -5118,  3172,  2548,   874,  3173,  2865,  3174,
   -5118, -5118,  2915, -5118,  2915,  2915,  2874,  2874,  3043,  2875,
    3188, -5118, -5118, -5118,  2577,  2915,  2874, -5118, 72957, -5118,
    1940,  1963, -5118,   157, -5118,  3297, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118,   119, -5118,  1047, -5118,  2060, -5118,
   -5118, -5118, -5118,  2912, -5118,  3191,  2574,  3193, -5118,  2880,
  103885, -5118,104392,104899,  3199,  2609,122615,  3200,  3084,  3203,
    2880,  3207,  3092,  3212,   874,  3213, -5118,   969,  3202,  3215,
    3098,  3218,   157,  3221,  2144,  2880,120855,  3223,   228, -5118,
   14871, 15925, -5118, 17170,  1948, -5118, -5118, -5118, -5118, -5118,
   -5118, 43161,   876,  2994, -5118, -5118, -5118,  2107, -5118,117756,
   -5118,  1323,  1084, -5118, 85633,  1084, 85633,    59,  1084, 85633,
    1084, 85633,    59,  1084, 85633, 85633, 85633,  1084, -5118, -5118,
     237,   236, -5118, -5118, -5118, -5118, -5118, 85633,  2914, 92224,
   92224, -5118, -5118, -5118, 80056,122615, 80563, -5118, 92224, -5118,
     438, 85633, -5118, 85633, -5118,  2648, -5118, -5118,  2626, 71941,
    3331,122615,  3226, -5118,  2111, -5118, -5118, -5118, -5118, -5118,
   -5118,  3152, 92224,  3216,  3224, 80056,122615, -5118,105406,120415,
    3109,  2919, -5118, -5118, -5118, -5118,  2067,  2716,   210,  2772,
   43161,  2924,   291,   291,  2927,  3229, -5118, -5118, -5118,   425,
    2934,  2936, -5118,   451,   451,  2938,  2939, -5118,   492,  2943,
    2951,  2840,   511,  2952,  2956,  2957,  2577,   291, 43161, -5118,
    2962,   451,  2964,  2965,  2966,  2852,  2969, -5118,  2990,  2972,
     226,   442,  2973,  2974, -5118,  2938, -5118,   482,  2975,  2977,
    2980,  2983,  2986,  2987,  2989,  2991, 43161, 43161, 43161, -5118,
   37386,  1631,  2648, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118,   532,  5840, -5118,  2971, -5118, -5118,  3135, -5118, -5118,
   43161, -5118, -5118,    33, -5118,   540, -5118, -5118,  1631, -5118,
   -5118,  1902, -5118, -5118, -5118, -5118,  3235,  2985,    89,    89,
     225, -5118, 82084, 82084, -5118, -5118,  1770,  2992, -5118,  2294,
   -5118, -5118, -5118, -5118, -5118, -5118,119975,  3412, -5118,  1814,
    2648,   445,  1988,  3357,116860,117308,  3250,  3250,  3236, -5118,
   -5118, 92224, -5118, -5118, 43161, 60220, -5118,  1631,   106,  3252,
   -5118, -5118, -5118,  2133, -5118, -5118, -5118, -5118,   537, -5118,
   17949, -5118,  2148,  2405, 92224, 92224,  3421, -5118, -5118,  2412,
   -5118, -5118,  1756,  1756, 43161,  1756,  1105,  1918, 40011, 43161,
    3303,  3204,  1419,  1357,  3306, -5118,  3205,  1675,  1762, 87661,
   92224,105913,  3128, -5118, -5118,  2459,  3026,  2222, -5118, 73972,
  115033,115033,  3277, -5118, -5118,  1040,   984,  3144,  3240,  2633,
    1627,   940, -5118, -5118,  3021, -5118,  3370, 82084,  3082,119095,
   -5118, -5118, 92224, -5118, -5118, 90703, -5118, -5118, -5118,  1906,
    3023, -5118,  3039, 92224, -5118,  3545,   940,   940, -5118, -5118,
    3033, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,115537,
    3037, 92224, -5118,  3040,  3044, -5118, 19746, 60728,  2064,  1631,
    3119,  3120,  3175, 65845,  3046,  3129,  3130,  3177,  3292, -5118,
   -5118,  3137,  3142,111997, -5118, -5118,   973, -5118, -5118, -5118,
     973, -5118,  3069, -5118,  1340,   497,   770,  3143,   123,  1225,
    3443, -5118,  1433,  3208, -5118, -5118, -5118,  5633, 92224,  3389,
    7107,  3272,   413,  3273,  3209, -5118, -5118,  3323,  3161, 92224,
    3163,  3290,   413,  1413,112504, -5118, -5118, -5118, -5118, -5118,
   -5118,  3776, 35837, -5118,  3166,  3145,  3178, 92224, 75493,  2283,
    3287,  3289,  1660,  2316,   257,  3227, 92224,  1678,  3296, 92224,
    3100,  3179,  3181,  3382,  3105,  1583,  3480,  3111, -5118, -5118,
    3291,  3391,  3428,  6323,  3184,  3186, 69909,   647, 58659, 92224,
   92224,  3470,  1937,  3198, -5118, -5118, -5118,  1937, 92224,  3214,
    3219, 92224,   413, -5118,  3526,   413,   413,  1867,  3539,  3225,
     513,  1732,   859,  3111,  2308, -5118,  3228,  3230,  1337, -5118,
    3328, -5118, -5118,  1425,  3231, 87661,   255,  2115,  3111,  3232,
    3233,  3105,  3105, 92224, 92224, 92224, 92224, 92224,   155,  3552,
    3561,  3234,   222,  3278,  3151, -5118,121735,  3238,110983, -5118,
   -5118, 92224,  3239,  2454,  3111,  1905, -5118,  1964, -5118, -5118,
   -5118,  1623, -5118, 92224, -5118, 92224, -5118,  2548, 71941,  3351,
    3410, -5118,  3195, -5118,  2574,   413, -5118, 92224, 92224,  2609,
    3359,   680,  1087, 71941,  3360,  3419, 92224,  3420,  3248,  3210,
    3241, 60728, -5118,  2798,  3182,  3590, 92224, 65845, -5118,  3606,
     973, -5118, 71941,  3372,  3494, -5118, 92224,  3398,  3196, -5118,
    3547,  3258, -5118, -5118,   581, 92224, -5118,  3516,122615,  1163,
    2648,  3249,122615,  3436, 92224, 92224, 92224, 92224, -5118, -5118,
    3405,   892,   191, -5118,121735, -5118, 92224,  3417,  2308,  3418,
    3631,   -21,  2210,106420,  3513, -5118,106927,  3222,  3633, 71941,
    3462, -5118, -5118,  3237,  2633, -5118,  2855, -5118,  2187, -5118,
    3343, -5118, 67369,   874, -5118, -5118, -5118, -5118, 71941, 92224,
   -5118,  3242, -5118, -5118, 43161, -5118, -5118, -5118,  2633, -5118,
   71941,  2915,  2915, -5118, -5118,  3638,  3299,  3300,  2633, -5118,
    2633, -5118, 71941, -5118,  3243,  3245,  3337,  2633, -5118,  3301,
   -5118,  3302,  2633, -5118,  2161, -5118,107434, 67369,   874,122615,
  122615,  3538,   228,  3542,  3282,  3544,  3288, 58659,   874,   242,
   92224, 92224,122615, 92224, 92224, 92224, -5118, 92224, -5118, -5118,
   -5118, -5118, 71941, 92224, 92224, 71941, -5118,122615,121735,  3546,
    3548,   874, 92224, 92224, -5118, -5118, 16213,  2013, -5118, 15925,
   -5118, 17949,  2163,  3250, -5118,  1639, 92224,  1507,  1323,125255,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, 85633, -5118,
   85633,    59, -5118, -5118, 85633, -5118, 85633,    59, -5118, 85633,
   -5118, -5118, -5118, 85633, 92224,  3751,  3244, -5118,  1902, -5118,
   92224,  2181, -5118, -5118,  2189,   757, 92224, 92224,   809, 67369,
   92224,  3438, 92224, 92224, 92224, 92224, 92224,  3322,  2992,  1581,
   -5118,   763,   882, 87661,  3451, -5118, -5118, -5118, -5118, -5118,
    2204,  2866,  1339, 92224,  1178,  2344, -5118, -5118, 80563, 79042,
    3553,   305, 92224, -5118, -5118,  1722, 43161, 38436, -5118, -5118,
   17949,  3309, 43161, 43161,  3251,  2633,  2633, -5118,  2702, 43161,
   43161, 43161,  2633,  2633,  5295, 43161, 58659, 43161, 45786, 34259,
   43161, 43161, 37911, -5118, 43161,  3465, 46836, 43161,  1988,  3473,
   43161,  1988,  5295,  3713,  3713,  1285,  2601,  7198,  3274,  1631,
   -5118,  2633,   801,   187, 71941, 43161, 43161, 43161, 43161, 65845,
    3354,   141, 92224, 43161,  3276,  1946, -5118, 43161, -5118,  3279,
   43161,  3358,   828, 43161, 43161, 43161, 43161, 43161, 43161, 43161,
   43161, 43161, -5118, 47858,   276, -5118,  3566,  3585,   951,   158,
   81070, 38961,  3578, -5118, 33207, -5118,   218, 85633, -5118, -5118,
    1631,  3578, -5118, -5118, -5118, -5118, -5118,  1906,  3283, -5118,
    3304, -5118, -5118, -5118, -5118, -5118, 92224,  3412, -5118, -5118,
    3365, -5118, -5118, -5118, -5118,   550, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118,  3293, -5118, -5118, -5118, -5118,  3293,
   -5118, -5118,  3250,  3284, 13038,  3295, -5118, -5118, -5118, -5118,
    3574,  3577,   874,115537, 92224,   988, 84112, -5118, 39486, -5118,
    2211, -5118,  3305, -5118,  3556, -5118,  3307, -5118, 13317,  3556,
   -5118, -5118,   188,  3414,  3555,  3503, -5118, -5118, -5118,  3311,
   17949, -5118,  2375, 17949,  2399, -5118, -5118, -5118, -5118, -5118,
   -5118,  1664, -5118, 92224,  1314,  3303,  1357,  3369,  1153,  3736,
   92224, -5118, 54005,  2271, -5118,  2459, -5118, -5118, 23087, -5118,
   31278, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
    3318, -5118, -5118, -5118, -5118,   413,  3319,  3818, -5118,119095,
   -5118, -5118, -5118,  3751, -5118,  2575, -5118,  2575,  3843, -5118,
   85633, -5118, -5118, -5118, -5118,  1195, -5118, 15925, -5118, 15925,
   -5118,  3510, -5118,  3728, -5118, 72957, -5118,  3330, -5118, 72449,
   68893, -5118, -5118,  1213, -5118,   864,  3406,  3411,  3459,122615,
   92224, 92224, -5118, 65845,122615, 92224, 92224, -5118,122615, 92224,
   92224, -5118, -5118, -5118, -5118, -5118,118204,  1375, 79042,  3461,
   77014, -5118, -5118,  3339, 92224,  3395,  3584,  3591,  1473, -5118,
   -5118,107941, -5118,  3550,122615, 92224, 92224, 43161,  3557, 92224,
   92224, -5118,   193,  3422,  3423, -5118, 92224,  3427, 67369,  3353,
   92224, 92224, 71941,  3415,   742, 67369,  3393, 59179, 92224, 92224,
   92224, 92224,  3478,  3656, 71941, 92224,  3607,  1618, 87661,   205,
    2559,  3111,  3563, -5118,  3672,  1495, -5118,122615, -5118, 92224,
    3558, -5118, -5118, -5118, 77521,  3777,  3472, -5118, -5118,113011,
   -5118, -5118, -5118,  2215, -5118,122615,122615, 92224,  7440,108448,
    1576,  3576, -5118, -5118, 71941, -5118, 92224, 92224, 92224,  3679,
    3608, 92224, 84619,108955,109462,  1367,  1531,  3609, 92224, 85126,
    3610, -5118,  3504, 92224, -5118, -5118, 66353,122615, 92224,   561,
   65845, -5118, -5118, 92224, -5118,  3569,  1032, -5118, 92224,  5020,
    3453,  3463, 92224,  3572,   363,  2576,  3111, 92224, 92224,  3377,
    2236,  3460,  1180, -5118,  3575,    14, 92224, -5118,122615,  1158,
   -5118,  3529,122615, 92224, 13545, -5118, -5118,   413, -5118, -5118,
   -5118, -5118, -5118, 92224, 92224,   413, 92224,   413,  1643, -5118,
  122615, 92224, -5118, -5118, -5118, 92224,  7665, 92224, 92224, 92224,
   92224,122615, 92224, -5118, -5118,  1264,  1971,  1680,  1847,   751,
   92224,  3664, 92224,109969,122615, 92224, 92224, 92224,  1548, -5118,
    3505, -5118,122615,  1158,  8412, 92224, 92224,  3464,  3466,   145,
    3549, -5118, -5118, -5118, -5118, -5118, -5118,  3641,  3809,110476,
    1586, -5118,  3643,  3644,  3450,  3452,  3650, 92224,  1586, 92224,
   -5118, -5118, -5118, -5118,  3645, 92224,  1586,  3658,  1586,  3567,
    3599,    92,  3677,  2277, -5118,  3424, -5118, 43161, 71941, -5118,
    2278, -5118,  3425,   892, -5118, -5118, 65845, 92224,   200,   857,
    3722, 76000,  2404,  3714, 92224,  3467, 92224,  3717,  2404, 92224,
   -5118,  2044, 79042, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118,  3719, -5118,  2648,  2798,  2798,  2798,  2798, -5118,
   -5118, -5118, -5118,  3620,  2186, -5118,  3426,  2798, 92224,  3541,
    2404,  3429,  3738, -5118,  2308,  3741,  3740, 92224, 76000,  2323,
    3468,  3639,  3849,  2210,  2648,  3646,  3627, -5118, 36349,  5348,
    3629,  3682,120415, 90196, -5118,  3444,  3721,  3723,  3742, -5118,
    2548, -5118,  3862, -5118, 43161,  2288,  3445,   157, -5118, -5118,
    3447,  3245,  3469,  3471,  3446,  3448, -5118,  2633, 51450, 92224,
    3455,  1148,  3665,  3456, -5118,  3762,   874,  2574, -5118,  2880,
   -5118, 92224, -5118, 92224, 92224, 92224, 92224,  2609, -5118, -5118,
    3651,   874,  2880,  3652,   874,   874, -5118,  3698,  3654,   874,
     157,  2880,  3580,  3763,120415, -5118,   228, -5118, -5118, -5118,
   -5118, -5118, 43161, -5118, -5118,  2210,  2187, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, 85633,  2575,
   -5118,  2326, -5118, 92224, -5118,  3737,  3743,  3744,  3474,  3475,
    3501, 92224,  3476, -5118,  3474,   413,  3474,  2992,  2992,  3474,
    3475,122175,  3903,  3769, -5118,  3560,  3484,  3780,   787, -5118,
     815,  1200,  3693, -5118, -5118, -5118, -5118, 71941, -5118,122615,
    3533, 92224, 92224, -5118,    48,  3692,  3497,122175,  3905,   874,
   -5118, 67369, -5118, -5118, 71941,  3579,  3593, 67369,  3700,  3551,
   -5118, -5118, -5118, -5118, -5118, 71941, -5118,  3753, 92224,  2329,
   -5118,  1910, -5118,  2037, 43161,   302, -5118, 14896,  2337, 43161,
    3509,  3511, -5118, -5118, -5118, -5118, -5118, -5118,  3512,  3800,
   -5118, -5118,  2342,  2357,  2378,  3514,  3515,  6372,  3517, 15517,
    3518,  3520, 45786, 45786, 37386,  1358, -5118, 45786,  3522,  3696,
    2390, 13486,  3508,  3523, 15218, 40536, 43161, 40536, 40536, 16237,
    3508,  3525,  2410, 65845,  3691, 16833,  2414, -5118, 43161, 65845,
    6745, 43161, -5118, 43161,  3528, -5118, -5118,  4162,  4162,  4162,
    5295, -5118,  3554, -5118, 45786, 45786, -5118,  2738, 37386, -5118,
   -5118,  3815, -5118, -5118,  2131, -5118,  3527, -5118, -5118,  3739,
   58659,  9263, 43161,   163, 43161,  3276, 43161,  3617,  4162,  4162,
    4162,   531,   531,   160,   160,   160,  1726,   158, -5118, -5118,
   -5118,  3530,  3531,  3532,  3726,  3559, 43161, -5118,  2508,  2525,
   92224,  6700,  8172,  8772, -5118, -5118, -5118, 48894,  3582, 43161,
   43161, 43161,  3565, -5118,  2723, 17949,   -28, -5118,  2774, -5118,
   -5118, -5118,  3582,  1186,  3843,  1906, -5118,  1623,  2633,   801,
  117756, -5118, -5118, -5118, 43161, -5118, -5118, -5118, -5118,  2412,
   -5118, -5118, -5118, -5118, -5118, 92224,  2866, 43161, -5118, -5118,
    3500,  3562, 43161,  2375, -5118, -5118,  3601, -5118, 43161, -5118,
   -5118, -5118,  2992, -5118,  3773, -5118, -5118, -5118, 48894,  3587,
    3598, 52983,  3745, -5118, 92224, -5118, 92224,   201, -5118, -5118,
   -5118,  3564, -5118, -5118, -5118,   -97, -5118, -5118, -5118, -5118,
   -5118, -5118,  3570, -5118,  3568, -5118,  3571, -5118, -5118, -5118,
   -5118,   211,  3583,  3573,  3592,  1935, -5118, 68893,  2060, -5118,
   72449, -5118, 72449, -5118,  2060,  3952, -5118, 68893,  1975,122615,
   92224, 92224, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118,122615,122615,  3747, 92224,  3748,
    3754, 43161,  1169, 92224,  3581,  3588,  1625,  3824, 92224, -5118,
    3875,   874, -5118, -5118,  3647, -5118, 17949, -5118, -5118, -5118,
   -5118, -5118,122615, 92224, -5118,120415, -5118,  2548, 71941, -5118,
   -5118, -5118, 92224,  3604, 92224, -5118, 92224, 92224, 92224,  2609,
   -5118, -5118, -5118, -5118,  1207, 71941, -5118, -5118, 92224, 92224,
     759,  3660,  3662, 92224, -5118,   707,  3328,  8429, 92224, 92224,
   92224,  3828, 92224, -5118, -5118, -5118, -5118,  3770, -5118, -5118,
   68893, -5118,  2880,    49,  3668,  3111,  3784, -5118,  3890,  3781,
   -5118,  1261, -5118, 92224,  3716, -5118, -5118, -5118, -5118,  3906,
     874,  3907,   874, 92224, 92224, 92224, 92224,  3724, -5118, -5118,
   -5118, -5118,  3727,  3834, -5118, 65845, 65845, 65845,  2443, -5118,
   -5118,  2648, -5118, -5118, -5118, -5118, -5118, -5118,  3868, -5118,
    2452, -5118,  1865, -5118, -5118, -5118, -5118, -5118, -5118,122615,
   92224,  9091,  3910, 92224, 92224, 92224,  2071, -5118,   685, 71941,
   -5118, 70417,122615, 92224, 65845, 92224,  3681,122615,  3661, -5118,
   -5118,  3841,  3782, -5118,  1781,  3785,122615,  3670, -5118, -5118,
    3688, -5118, -5118,  3695,  2699,  3111,  2308, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118,   668,   263,  2759,  3111,  3699,
   -5118,  3701, -5118, -5118, -5118,  3839,  3840,  3844,  3704,  3706,
    3749,  3708,  3709,  3759, -5118,  3711,  3761,  3720,  3768,  3830,
    3725,   874, 71941,  3823,  2648,  3764,  3956,   874, -5118,  3732,
   -5118, -5118,  4068, -5118, 92224, -5118,  3734,  2783,  3111, -5118,
   -5118,122615, 92224, -5118, -5118, -5118,  1586, 71941, 92224,  3914,
   -5118, -5118, -5118,  1586,  1586, 92224, 92224,  1586,  3915, -5118,
    3916, 92224,  3919, -5118,  1586, -5118, -5118,  1098, -5118, -5118,
   -5118,  3567,  3953, -5118,  2310, 56059,  7539,  3669, -5118, 65845,
   56059,  2192,  2241,   474,   859, -5118,120415, 92224,120415, -5118,
     857,  3781, 92224, 92224,  3671,  3674, -5118, -5118, -5118, -5118,
  122615,   896,122615,  2633, -5118, -5118,  3752, -5118, 92224,  2210,
     261,  3750,  4082,  3220,  1163,  3820,  1700,  4031,  3468, -5118,
   -5118, -5118, -5118, 92224, 92224,   892,  2648, -5118,  3680,  3683,
   -5118, 92224, 92224, 92224, 92224, 92224,  2866,  3689,  3690, 71941,
      -5,  3886,  3887,  3105,  4111,  4006,  2866,  3468,  3774,  4007,
   92224, -5118,  2456,    78, -5118,  2648,120415, 69401,  3997, -5118,
    4536, -5118, -5118,   961, 92224,  3983, -5118, 92224, -5118, -5118,
   52472,   874, 71941,  2461, -5118, -5118, -5118,  2633, -5118, -5118,
    1901,  1901,  3705, -5118, 51961, -5118,  3712, -5118,  2030, -5118,
    4091, -5118, 92224, -5118,   874,   228,  3760,   874,  3767,   874,
     874, 92224, -5118, 92224, -5118, -5118, 92224, 92224, -5118, -5118,
   92224,121735,   874, -5118, 17949,  4004, -5118, -5118, -5118, -5118,
    3842,  3845,  3847, 92224,  3474, 67369, -5118,  3735,122615,  1731,
   -5118, -5118,  3904, -5118, -5118, 87661,  3832, -5118, -5118, -5118,
   -5118,  4035,  4050, -5118, -5118, -5118,   813, -5118, -5118, -5118,
  122615, 80056,   258,122615, -5118,  2548,  3990, -5118, -5118,  2574,
     413, -5118,  3991, 92224,  3992, -5118, -5118, -5118,  3755, 17338,
   43161, -5118,  4062, 71941, -5118,  8029, -5118, -5118, -5118, 43161,
   -5118, -5118, -5118, -5118, -5118, 43161, -5118, 43161,  4037, -5118,
   34785,  4187,  4187,  3757, 71941, 45786, 45786, 45786, 45786,  1870,
    2964, 45786, 45786, 45786, 45786, 45786, 45786, 45786, 45786, 45786,
   46311,   667, -5118,  3928, 43161, 43161,  4047,  4037, -5118, 71941,
    3766,  3508,  3771,  3772, 43161, -5118, -5118,  2462, 47347,  3775,
   65845, -5118, 43161, 13905,  2474,  3793, 17377,  1631,  8308,  2648,
   43161,  2152,  2183, 43161,  2486, 43161,  4045, -5118, -5118, -5118,
    3756, -5118, -5118, 71941, 43161,  3779,  4199, 45786, 45786,  4274,
   -5118,  4735, 43161, 37386, -5118,  3945,  3802, 54516, -5118, 35311,
    3765,  1204,  1204,  1204,  1204, -5118, 92224, 92224, 92224, 49405,
    4056, 48383, 91210,  3778,  1776, -5118, 91210, 91717, -5118,  3783,
   -5118,  3787,  1631, 43161,  4051,   826,   826,  3945, -5118, 43161,
   43161, 41061,  3788, -5118,  4051, -5118, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
    3790, -5118,  3786, -5118, -5118,   445,  3789, -5118, -5118, 17949,
    3795,   211, -5118, -5118,  3796, -5118,  3801, -5118,  3562,  1693,
   -5118,  8649,  3962, -5118, -5118, -5118,  3778, 41586,  3908, -5118,
    2491, -5118, -5118,  4148,  3908, -5118, -5118,  2496, 54005,  3587,
   39486,  1631,  2633,  3799, -5118,  2575,  1186, -5118, -5118, -5118,
   -5118, -5118,  2519,  1985, -5118, -5118, 68893, -5118,  3851, -5118,
   -5118, -5118,  2880,  2880,  1223,  3474,  4081,  1223,  8818, -5118,
   -5118, 49916, 92224, 92224, -5118, 92224,  2524,  1349, 92224, -5118,
   92224, -5118, -5118, -5118, -5118,  4218, -5118, 92224, -5118, -5118,
    3857,  3861, -5118, 92224, 92224, 92224, 92224,  4053, -5118, -5118,
    2553, -5118, -5118,122615, 92224, -5118, -5118, -5118,   382,  3176,
    3111, -5118,  3879, -5118, -5118, -5118,  4071, -5118,  4214,  3899,
   92224,  4126, 92224,  3817, -5118,  1349,   726,  3105,   908, -5118,
   -5118,  3885, -5118, -5118, 92224, -5118, 92224, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118,  3941, -5118, -5118, -5118, -5118, 66353,
   -5118, -5118, 92224, -5118, 65845, 56059, 65845, -5118,  1501,   399,
    3180,  3111, 92224, -5118,  3897, -5118,  3898,  3901,  3951,   965,
    1458,  3912,  3913,  3954,  3825,  3826,  3836, -5118, -5118,  2528,
   -5118,  3850,  3975, 92224,  2880,  3833,  3876,   252,  2648, -5118,
   -5118,  2648,  2880,  2648, 92224, 92224, 92224,  4241,  3927, 92224,
   92224, 92224, 92224, 92224, 92224,  4142,    94,  2209,122615, 92224,
   92224,122615, 92224, 92224, 92224, 92224, 92224, 92224,  4154, 92224,
   -5118,  4230,  4159,  2113,  4200,  3917, 92224, -5118, 92224,  3328,
   92224, 92224, -5118, -5118, -5118,  3855,  4102,  1586, -5118, -5118,
    4103,  4109, -5118,  1586,  1586,  4110,  1586, -5118, -5118, -5118,
     859, -5118,  1098, 92224, -5118,  3424,  3801,  2633,   940, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118,  2540, -5118, -5118, 92224,
    3872, 92224, 92224, 45786, -5118,  1857,  1108, -5118,  4115, 92224,
    3895, -5118, -5118, -5118,  4021, 92224, -5118, -5118, -5118, -5118,
   -5118,  3873, -5118,  4140, 76000,  2880,122615,122615,  2880, -5118,
   71941,  3878,  3468, -5118, -5118, -5118, -5118, -5118, -5118,122615,
    3661,122615,  1163,  1480,103378,  3918, -5118,  3889,  4181, -5118,
    3888,  3892, -5118, -5118, 92224,  3781,  2543,  2308,    13,  2201,
    3533, 78028,  2323,  4140, -5118, -5118, -5118,  4275,  3984, -5118,
    2866, 92224,  3533,  3984,  2648, 92224,  3395, -5118, 68893, 43161,
   43161, -5118,  3902, -5118,  3900,  5739, -5118,  3965,  3911,  2798,
   -5118, -5118, -5118, -5118, -5118, -5118,  3978,  3909, 92224,  4347,
   -5118, -5118, -5118,  3920, -5118,  3921, -5118, -5118, -5118,  2265,
  115537, 51961, 51961, 51961, 51961, 51961, -5118, -5118,   874, -5118,
   -5118, 92224, -5118, 92224, -5118, -5118,   874,   874,   874,   874,
   -5118,  4024, -5118,  2866, 92224, 92224, 92224,  3474, -5118,   413,
   -5118,  4193,122175, -5118, -5118,  2557, 92224, -5118, -5118, -5118,
    4259,   305,  4204, -5118, -5118,  4164,  1944,  4168,  4170,  1944,
    4175,  1944, -5118, 43161, 17949, -5118,  3929, -5118, 17949,  9094,
   17949,  4047, -5118,  2560, 43161, -5118,  2317,  2317,  2317,  3081,
    4205, -5118,  1423,  3932,  2317,  2317,  2317,   300,   300,   159,
     159,   159,  4187,   667, 17949, 17949, -5118, -5118,  3933, -5118,
   -5118, -5118,  3508, -5118, 43686,  4079,  4337, -5118, -5118, -5118,
    3974,  3977,  3937, -5118, 43161, 44211,  3938, 72957,  4124, -5118,
    1844, 43161, 43161,  5492, -5118,  7954, 43161, 71941,  2567,  5492,
     325, 43161,  2801,  2953, 43161, 43161,  4980,  9560,  3943, 43161,
  113518, -5118, -5118, -5118,  2582, 43161, 92224, 92224, 92224, 92224,
   -5118, -5118, -5118, 91210, 91717,  3946, 50938,  1776,  3944, 92224,
   -5118, -5118,  3947, 48894,  4196,  4133, -5118, 48894,  4133,  2245,
    4133,  4198,  4038, 55027, -5118, -5118,  3955,  4144, -5118, 33207,
    1966, 17949,  4355,  4242, 43161,  3959,  3960,  3963, 17949, 17949,
   43161, -5118,  2648,  4242,  1186,   372,  2648, -5118, -5118, -5118,
   58659, -5118, -5118, -5118, -5118, -5118,  4163, 17949, 38961, -5118,
    2866, 92224,  1631,   786, -5118,  3976, 92224, -5118,  3908, -5118,
   -5118, 15925, -5118, -5118, -5118, -5118,  4036,  2583, -5118, -5118,
   -5118, -5118, -5118,  4052, 79042,  4262, -5118, 43161,  2586, -5118,
    4009,  4359,   124,  2587,  2595,  1349, -5118,  3895, -5118,  1874,
    4245,   304, -5118,   874, -5118, 71941, -5118, 92224, 92224, -5118,
   -5118, -5118, -5118, 92224,  3046, -5118, -5118, 92224, 92224, 92224,
   92224, -5118,122615, 92224, -5118, 92224, -5118, 65845,  2241,  4182,
   -5118, -5118,  4184,   252, 92224, -5118, 71941,   874,   874, -5118,
   -5118, -5118, -5118, -5118,  3994,  4380,  4069, 92224, 92224, 92224,
   -5118, 92224,122615, 92224, 92224,  2633,  2633, 71941,  3982, -5118,
    2633,  2633,  3986, -5118,122615, 92224, 92224, -5118, -5118, -5118,
   -5118, 65845, 55538,  4064, -5118, 43161,  4379, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118,122615, 92224,  4070, -5118,  4072,
   -5118, -5118, -5118, 92224, 92224, 92224, 92224,  4305, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, 92224, -5118,
   92224, -5118, -5118,  2648,  2648, 71941,   874,   874, -5118, -5118,
   -5118,  4247,  1586, -5118,  1586,  1586, -5118, -5118,  1586, -5118,
    3998,   287, -5118,  1349,  2086,  4291,  4294, 43161, -5118,  1620,
    3081, -5118, -5118, -5118, -5118,  3895,  2210,  4055, 67369,  1199,
   -5118,  4277,   200, 76000,  1757,  4003,  4123, -5118,  2880,  2880,
    4061, 92224,  4428,  2880,  3876, -5118,   739, 92224,  4338,  4054,
   -5118,  2648, -5118, -5118,  3468, -5118, 92224, 76000,  3533, -5118,
    2604, -5118, -5118, -5118,  4049,  3887,  2323,  1638, 92224, -5118,
    4058,  4430, -5118, -5118,  4310,  4210,  4019, -5118, 17949, 17949,
    2648, 73465,  4536, 71941,  4323, -5118, 92224,   125,  4289, 92224,
   -5118,   874, -5118, -5118,  4026,  2081,  2081, -5118, -5118, -5118,
   -5118,   874,   874, -5118, -5118, -5118, -5118, 92224,  3474,  3474,
    3474, -5118,  4219, -5118, -5118,  4281, -5118,   874,122175,  1944,
   -5118, -5118, -5118,  1944,  1944, -5118,  1944, -5118, 17949, -5118,
   -5118, -5118, -5118,  9621, 45786,  4324, -5118,  4033, 71941, -5118,
    4039,  2605,  2625, 46836,  4186, -5118, -5118, -5118,  9774,  4080,
   17949,  4138,  4040,  4041,  5492,  5492,  7954,  2629, -5118,  5492,
   43161, 43161,  5492,  5492, 43161, -5118, -5118,  9835,  4220, -5118,
   -5118, 10292, -5118, -5118, -5118, -5118, -5118, -5118, 66861, 91210,
    4043, 92224,  1776, 48894, -5118, -5118,  2112, -5118, 48894,  4292,
   -5118, 48894, 67369, -5118, 92224,  4046, 92224, -5118,   -28, 44736,
   43161,  4083, -5118, -5118, -5118,  3945, -5118,  4083, -5118,   940,
   -5118, -5118, -5118, -5118, -5118,  4048, 85633,   274, -5118, -5118,
    4420, 49916,  4382,  4057, -5118, -5118, -5118, -5118, -5118,122175,
    4248,122175,  1349, 10312,  3895, 49916, 59699, 92224, 92224, 92224,
    4203,  3895,  4055, -5118, -5118, -5118, -5118, -5118, -5118,  4059,
   -5118, -5118, -5118, -5118,  4135, -5118, -5118,  1007,  3451, -5118,
    2637, -5118, -5118, -5118, -5118, -5118,  4230, -5118, -5118, 56059,
  122615, 92224, -5118,  4136, -5118, -5118, -5118, -5118, -5118, 50427,
   58659, -5118,   965,  4065,  4066,  1458, -5118, -5118, -5118, -5118,
   -5118, -5118, 92224, 10799,  4067,  1156,  3451, 92224, 92224,  1795,
    1224,  1972,  3474,  4360, -5118, -5118, -5118, -5118,  4230, -5118,
   -5118,  1586, -5118, -5118, -5118, -5118, 65845, -5118,  3860, -5118,
     859,  4399, 67369,  4482,  4482, 92224, -5118, 10818,  4270, -5118,
    4055,  4293,  4341, -5118,  4075, 92224,  4235,  4077,  4078,   292,
     292, 92224, 92224, 92224,  2651,  2866, -5118,  1163, 76000,  3781,
   -5118,  1749,  4086,  4392, -5118,  4500,  3689,  4090, -5118, -5118,
   78028,  4276,  3984,  3887,  4221, -5118,  4222, -5118,  1402, -5118,
    2866, 92224, 92224, 49916, -5118, 72449, -5118,  2655, -5118, -5118,
   -5118,  4161,  3582,  4201,  4202,  4094, 92224,    57, -5118,  4108,
   -5118, -5118, -5118, -5118, -5118, -5118, 92224, -5118,   258, -5118,
   -5118, -5118, -5118, -5118,  3206, 45786, 71941,  2658, 43161, -5118,
   43161, -5118,  4497, -5118, -5118, -5118,   875, -5118, -5118, -5118,
    5492,  5492,  5492, -5118,  4501,  3945, -5118, -5118,  2659,  4520,
   -5118, 92224,  2662, -5118, 43161,  4104, -5118, -5118, 48894,  2112,
    4105,  2667, 92224,  2674, 71941,  4112,  4106,   912,  4116, 33733,
    4100, -5118, -5118, -5118, -5118, -5118, 17949, 17949, 92224, -5118,
    4118, -5118, -5118, -5118, -5118, -5118, -5118, 92224,  2678, -5118,
     564, 36861, -5118, -5118,  1731,  1223,   258,  4359,  4055, -5118,
    4122, -5118, -5118, -5118,   309,   309, 92224,  4055, -5118, -5118,
   92224,  4194, -5118, -5118, 65845,  4165, -5118,  1212,  3451, 92224,
   71941,  2574,    82, -5118, 71941, 71941, -5118, -5118, -5118, 43161,
    4197, -5118, -5118, -5118, -5118, -5118, 92224, 92224, 92224, 92224,
   92224,   874, -5118,  2679, -5118,115977, -5118, -5118,  3194,  2648,
    3194,  1907, -5118, -5118,  3194, -5118,  3194, -5118,  3998,  2648,
    4482,   945, -5118, -5118, -5118,  1107,  4317, -5118,  1236,  4318,
    4209,  4125, -5118, 67369,  4575,  4140, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118,  2684,  3781,  4433,  3468,  4058, -5118,
   -5118, -5118, -5118, 43161,  4288,  2866,  2323,  4140, -5118, -5118,
   -5118,  3984, -5118, -5118,  4519,  4321,  4521,  3533, -5118,  3395,
    2689, -5118,  5739, 73465, 71941,  4463,  4169,  4173, -5118, -5118,
    4185, 92224, -5118, -5118,  2453,  4585,  3781, -5118,  3206,  2692,
   -5118,  2693,  2718,  4298,  4190, -5118, 43161,  1799,  3783, 66861,
    4143, -5118,  2739, -5118, 17949, 92224, -5118, -5118, 43161, -5118,
    2751, -5118, -5118, 43161,  4152, 43161, -5118, 44736,  4139, -5118,
    4562, -5118, -5118,  3582, 49916, -5118,  4273, -5118,  4454, -5118,
   92224,  4206, 58659,  3562,  3562,  2210, -5118,  1349, -5118, 92224,
   -5118, 43161, -5118,  4246, -5118, -5118,  2752, -5118,   955,  4314,
    4462,  2776,  2781, 11182, 92224,  3475,  1972,  3475, -5118,  3474,
   -5118, -5118, 65845, -5118,119535, -5118, -5118, -5118,  2648, -5118,
    2648,  4366, 92224, 61744,  2648,  2648, -5118, -5118, -5118, -5118,
   -5118,  4491,  4434, -5118, -5118, -5118, -5118,   345, -5118,  4362,
    4364, 92224, -5118,  4172, -5118,  2784,  4290, -5118, -5118, 92224,
    4592,  4593, -5118, 11985, 67369,  4058,  3887,  2323,  2241, -5118,
    4367, -5118,  4369, -5118,  4180,  3468,  4536, -5118, -5118,   283,
    4473,  4474, -5118, -5118, -5118, -5118, -5118, 92224, -5118, -5118,
   -5118, -5118, -5118, -5118,  3508, 42111, 42111,  4183, -5118, -5118,
   92224, -5118,  2809,  2812, -5118,  2813, 44736,  2816, -5118, 92224,
    4188, -5118, -5118, 54005,122175,   309,  4189, -5118,  4195, -5118,
   -5118,  4293,  1349,  3451, 17949, 92224, 67369,  4586, -5118, -5118,
   -5118,  4314, -5118, -5118, -5118,  3451, 92224, -5118, -5118,  2820,
   -5118, -5118, -5118, 92224,  3889, -5118,  3889, -5118, -5118,  4316,
   -5118,   674,   674,  4526, -5118,  4253, -5118, -5118,  4211, -5118,
    4646, 92224, -5118,   965,  2866, -5118,  4207, -5118,  3984,  3887,
   -5118, -5118, 49916,  3984, -5118, -5118, -5118,  2504, 67369, 67369,
   -5118, 45261,  4329,  1239, 14938, -5118, -5118, -5118, -5118,  2832,
   -5118,  4344, -5118,  2833, -5118, -5118, -5118,  1444,   258,  3562,
   43161,  1349, -5118,  4318, -5118,  3451,  2574, 92224, -5118, -5118,
   -5118, -5118,119535,  3889,  4054, -5118,  4635, -5118,  1094, -5118,
   -5118, -5118, -5118,  3781,  3982,  4058, 65337, -5118,  3984,  2836,
    3582, -5118,  2893, -5118, -5118, -5118, -5118, -5118, -5118, -5118,
    4213,  4215,  4626, -5118, -5118, -5118, -5118, -5118, -5118,  4217,
   -5118, -5118, -5118, -5118, -5118, 12580, -5118, -5118, -5118, -5118,
   -5118,  4518, -5118, -5118, -5118, -5118, -5118,  2837, -5118, -5118,
   -5118, -5118, -5118, -5118,  3468, -5118,  1827, -5118, -5118,  2040,
    2424,  4287,  4507, 42636, 43161, -5118,  1349,  4373, -5118, 65337,
    3984, -5118,  2893,  4322,  4325, -5118, 12708, 67369, -5118,  3582,
   -5118,  4255,  4256, -5118,  4223, -5118,  4516,  4517, 65337, 67369,
   67369,  2845, -5118, -5118, -5118
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2508,     0,     2,     1,  2937,  2941,  2945,  2946,  2863,  2947,
    2948,  2913,  2914,  2915,  2916,  2917,  2918,  2919,  2920,  2921,
    2922,  2923,  2924,  2926,  2925,  2927,  2928,  2929,  2930,  2931,
    2932,  2933,  2934,  2936,  2935,  2885,  2515,  2882,  2879,  2880,
    2881,  2886,  2884,  2877,  2878,  2088,  2950,  2938,  2951,  2939,
    2940,  2942,  2943,  2912,  2944,  2952,  2953,  2954,  2949,  2957,
    2908,  2909,  2907,  2910,  2911,  2955,  2956,  2899,  2900,  2901,
    2902,  2958,  2516,  2517,  2904,  2509,  2513,  2575,  2646,  2905,
    2906,  2903,  2514,  2898,  2646,     0,  2767,  2768,  2769,     0,
    2770,  2771,  2772,  2698,  2660,  2773,     0,     0,  2774,  2775,
    2776,  2777,  2778,  2779,  2780,  2781,     0,  2782,  2783,  2784,
    2785,  2645,  2786,  2787,  2788,  2789,  2622,  2628,  2751,     0,
    2602,  2603,  2599,  2601,  2600,  2604,  2587,  1302,   583,  1387,
    1386,     0,  2410,  1302,  2365,  2366,  2411,  2367,  2368,  2369,
     271,     0,  1389,  2370,  2412,     0,  1302,  2413,   406,  1037,
    2414,  2415,  2530,     0,  2371,  2372,     0,     0,     0,   583,
    1302,     0,     0,  2373,  1515,  2374,     0,  2375,  2416,  2417,
       0,  2376,  2377,  2418,     0,  2419,  2378,  2379,  2380,  2420,
    2421,  2422,  2381,  2423,  2424,     0,     0,  1529,     0,  2382,
    2425,  2383,  2384,     0,  2426,  2385,  2386,  2387,  2427,  2428,
    2388,  2389,  2390,     0,  2391,     0,     0,     0,     0,     0,
       0,  2429,  1302,  2392,     0,     0,  1536,     0,  2393,     0,
    2430,  2394,     0,  2395,     0,  2431,  2396,  2397,  2398,  2399,
    1529,  2747,  2623,     0,  1391,     0,  2400,  2432,     0,  2401,
    2402,  2403,  2404,  2405,  2406,  2407,  2408,  2409,     0,     0,
       0,    65,    66,    27,    26,    32,    31,    90,    91,    51,
      15,    79,    58,   125,   124,   126,    38,    34,    73,    23,
      25,    35,    39,    60,    52,   103,    59,    21,    57,    84,
      61,    87,    46,     9,    10,    47,    77,    11,    48,    78,
      12,    49,    13,    99,    67,    92,    30,    56,    20,    83,
      40,    63,    89,    64,     3,    42,    75,    71,     8,    53,
      54,    55,    80,    81,    82,   108,    86,   120,    37,   117,
      96,    97,   114,    98,   115,     6,   100,    50,    14,   111,
     110,   112,    74,    43,    76,    62,    88,   109,    24,   113,
      16,    17,    19,    18,   116,    85,   106,   102,   121,   119,
     127,   104,    68,     4,     5,    93,    22,    45,     7,    29,
      28,    44,    36,   123,    33,  1389,    95,   107,    94,   101,
      72,   105,   122,    70,   118,  1500,  1487,  1538,  1499,  1514,
       0,  1503,  2842,  2843,    41,  1515,   129,   130,   135,  2512,
    2564,  2565,  2566,  2646,  2597,  2598,  2591,  2607,  2617,  2606,
    2610,  2618,  2605,  2624,     0,   132,   134,   136,   139,   133,
     128,   131,   138,   143,   137,   142,   140,   141,   144,   145,
     146,  2844,  1744,  2841,    69,  2582,  2581,     0,  2646,     0,
    2874,  2103,  2104,  2105,  2106,  2107,  2108,  2109,  2110,  2111,
    2112,  2113,  2114,  2115,  2116,  2117,  2118,  2119,  2120,  2121,
    2122,  2123,  2124,  2125,  2126,  2127,  2128,  2129,  2130,  2131,
    2132,  2133,  2134,  2135,  2136,  2137,  2138,  2139,  2140,  2141,
    2142,  2143,  2144,  2145,  2146,  2095,  2147,  2148,  2149,  2150,
    2151,  2152,  2153,  2154,  2155,  2156,  2157,  2158,  2159,  2160,
    2161,  2162,  2163,  2164,  2165,  2166,  2167,  2168,  2169,  2170,
    2171,  2172,  2173,  2174,  2175,  2176,  2177,  2178,  2179,  2180,
    2181,  2182,  2183,  2184,  2185,  2186,  2187,  2188,  2189,  2190,
    2191,  2192,  2193,  2194,  2195,  2196,  2197,  2198,  2199,  2200,
    2201,  2202,  2203,  2204,  2205,  2206,  2207,  2208,  2209,  2210,
    2211,  2212,  2213,  2214,  2215,  2216,  2217,  2218,  2219,  2220,
    2221,  2222,  2223,  2224,  2225,  2226,  2227,  2228,  2229,  2230,
    2231,  2232,  2233,  2234,  2235,  2236,  2237,  2238,  2239,  2240,
    2241,  2242,  2243,  2244,  2245,  2246,  2247,  2248,  2249,  2250,
    2251,  2252,  2253,  2254,  2255,  2256,  2257,  2258,  2259,  2260,
    2261,  2264,  2262,  2263,  2265,  2266,  2267,  2268,  2269,  2270,
    2271,  2272,  2273,  2274,  2275,  2276,  2277,  2278,  2279,  2280,
    2281,  2282,  2283,  2284,  2285,  2286,  2287,  2288,  2289,  2290,
    2291,  2292,  2293,  2294,  2295,  2296,  2297,  2298,  2299,  2300,
    2301,  2302,  2303,  2304,  2096,  2305,  2306,  2307,  2308,  2309,
    2310,  2311,  2312,  2313,  2314,  2315,  2316,  2317,  2318,  2319,
    2320,  2321,  2322,  2323,  2324,  2325,  2326,  2327,  2328,  2329,
    2330,  2530,  2331,  2332,  2333,  2334,  2335,  2336,  2337,  2338,
    2339,  2340,  2341,  2342,  2343,  2344,  2345,  2346,  2347,  2348,
    2349,  2350,  2351,  2352,  2353,  2354,  2355,  2356,  2357,  2358,
    2359,  2360,  2361,  2362,  2363,  2364,  2548,  2093,  2094,  2100,
    2101,  2102,  2523,  2544,  2550,  2870,  2549,  2099,  2697,     0,
       0,  2790,  2791,  2792,  2793,  2794,  2795,  2845,  2846,  2847,
    2848,  2849,  2851,  2850,  2659,  2817,  2854,  2658,  2855,  2662,
    2856,  2857,  2858,  2859,  2818,  2860,  2661,  2852,  2814,  2663,
    2656,  2657,  2815,  2765,  2766,  2066,  2816,  2813,  2853,  2551,
    2812,  2667,  2666,  1477,  2869,  2065,  1478,     0,  2669,  2796,
    2797,  2798,  2799,  2801,  2800,  2802,  2433,  2434,  2435,  2436,
    2437,  2438,  2439,  2440,  2441,  2442,  2443,  2444,  2827,  2445,
    2446,  2447,  2840,  2448,  2449,  2828,  2450,  2451,  2452,  2453,
    2454,  2455,  2456,  2457,  2458,  2459,  2460,  2461,  2462,  2463,
    2464,  2465,  2466,  2467,  2468,  2469,  2470,  2471,  2472,  2473,
    2829,  2830,  2474,  2475,  2476,  2477,  2478,  2479,  2480,  2481,
    2482,  2483,  2484,  2485,  2486,  2487,  2488,  2489,  2490,  2491,
    2492,  2493,  2494,  2495,  2496,  2497,  2831,  2498,  2499,  2832,
    2500,  2501,  2502,  2833,  2503,  2504,  2505,  2506,  2507,  2837,
    2838,  2839,  2826,  2620,  2803,  2825,  2836,  2834,  2835,  2630,
    2626,  2634,  2629,     0,     0,     0,     0,  2646,  1301,  1300,
    1286,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   582,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2520,     0,  1312,   377,   376,  1388,  1368,   583,
       0,  1289,   405,  1515,     0,     0,     0,     0,     0,     0,
       0,     0,   798,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   194,     0,     0,   429,   428,     0,
       0,     0,  1010,   434,     0,     0,     0,     0,     0,   571,
    2529,  2524,  2534,     0,  2527,  2528,  2812,     0,  2961,  2262,
    2560,  2561,  2959,  2316,  1479,   272,   275,   276,   273,   274,
       0,  1120,  1121,  1123,     0,     0,     0,  1133,   836,   837,
       0,     0,     0,   839,     0,     0,     0,   832,     0,     0,
       0,     0,     0,     0,   838,   829,     0,   828,     0,     0,
    1133,     0,     0,     0,   830,     0,     0,  1290,     0,  2612,
    2613,  2196,  1428,   435,     0,     0,  1515,     0,  1406,  1407,
    1389,  1396,  1408,  1401,  1403,  1402,  1404,  1400,  1405,  2104,
     948,  2118,   948,  2186,   945,   946,   948,   948,   948,  2279,
       0,     0,   920,     0,   931,  2089,   948,  2090,  2870,   953,
     490,   490,   490,     0,   952,   957,   490,     0,  1283,  1321,
    2070,  1528,     0,  2118,  2186,   921,  1282,  2331,  1420,     0,
       0,  1148,  1144,  1146,  1147,  1145,     0,     0,     0,  2295,
    1294,   256,  2810,  2304,  2396,  2331,  2811,   255,   250,   251,
    2805,  2806,  2808,   224,  2809,  2807,  2804,  2108,     0,     0,
     952,     0,  1291,  1292,   906,  1535,  1533,     0,  2052,     0,
       0,  2126,     0,  2139,  2221,   247,  2290,  2296,  2304,  2396,
    2331,  2362,   203,   213,   208,     0,   265,  2304,  2396,  2331,
       0,  1312,     0,  1504,  1633,  2061,     0,     0,  2621,  1285,
    1284,  1390,     0,  1393,     0,  1594,  2275,  1508,  1511,  1395,
    1509,  1500,     0,     0,  2511,  1384,  1532,  1532,     0,  1532,
       0,  1492,  1500,  1495,  1499,     0,     0,     0,     0,  1302,
       0,  2589,  2617,  2596,  2652,  2593,     0,     0,  2642,  2638,
    2635,  2643,  2644,  2637,  2625,  1733,  1734,  1735,  1732,  1745,
    1731,     0,  2570,  1736,  2609,  2576,     0,  2584,  2583,  2887,
    2888,  2699,  2522,  2541,     0,     0,     0,     0,     0,     0,
       0,  2668,  2670,  2672,  2632,  2631,  2627,     0,     0,     0,
       0,  2757,  2758,  2756,     0,  2753,  2755,     0,  2652,     0,
    2821,  2815,  2824,     0,  2071,  2816,  2813,  2812,     0,   846,
       0,  1324,   997,     0,     0,     0,     0,  2065,     0,     0,
       0,     0,     0,  2093,     0,  2195,     0,     0,     0,  1958,
    1969,  1970,  1971,  2130,  2181,  1966,  1967,  1968,  1960,  1961,
    1962,  1963,  1964,  1965,     0,  1118,  1959,     0,  2195,     0,
     173,     0,   151,     0,     0,  2195,     0,     0,     0,     0,
       0,  2195,     0,     0,     0,     0,     0,  2226,     0,   151,
    2195,     0,     0,     0,  1306,     0,     0,     0,  1308,  1311,
    1287,  1371,     0,  2061,     0,     0,     0,   883,   875,     0,
     884,   876,     0,     0,   886,     0,     0,   878,     0,     0,
       0,     0,   887,     0,   877,   879,   889,   880,   885,     0,
       0,     0,     0,   881,     0,     0,  1298,     0,  1422,  1424,
    1423,  1421,   490,     0,     0,     0,     0,     0,     0,   151,
    1356,     0,  2195,   151,     0,     0,   433,   432,   151,   431,
     430,  2130,  2181,     0,  1036,     0,   151,  2195,     0,   196,
     655,   586,     0,     0,   757,  2226,   151,     0,     0,     0,
       0,     0,     0,  1013,     0,     0,     0,   570,   583,     0,
    2533,  2539,     0,  2531,  2700,  2962,  2960,  2655,     0,  1124,
     248,   249,  1122,   834,  2195,     0,   351,     0,     0,  2195,
    1343,  1691,  1720,  1698,  1720,  1720,  1687,  1687,  2165,  1700,
    2195,  1688,  1689,  1727,     0,  1720,  1687,  1692,     0,  1690,
    1730,  1730,  1715,   351,   850,  1672,  1673,  1674,  1675,  1701,
    1702,  1676,  1707,  1708,  1722,  1677,  1744,  2822,  1687,  2823,
    2820,  2819,   835,     0,   833,  2195,     0,  2195,  2097,   187,
       0,   831,  2130,  2181,  2195,     0,     0,  2195,     0,  2195,
     179,  2195,     0,  2195,   351,  2195,   587,     0,     0,  2195,
       0,  2195,   351,  2195,  2226,   181,     0,  2195,   351,   844,
       0,     0,  2892,  2896,     0,  2894,  2889,  2611,  2665,  2664,
    2563,     0,  2973,     0,  1479,  1398,  1413,     0,  1409,  1416,
    1412,  1515,   948,   947,     0,   948,     0,  2982,   948,     0,
     948,     0,  2982,   948,     0,     0,     0,   948,  2091,  2092,
       0,     0,  2981,  2979,  2980,   922,   932,     0,   954,     0,
       0,   961,   960,   959,     0,     0,     0,   962,     0,  1637,
    1451,     0,   929,     0,   927,     0,  1280,  1297,     0,     0,
       0,     0,  1013,  1151,     0,  1149,  1140,  1141,  1293,   254,
     252,     0,     0,     0,     0,     0,     0,  1299,     0,     0,
       0,     0,  2876,  2077,  1972,  2875,     0,  2366,  2367,  2368,
    2031,     0,  2817,  2369,  2370,  2412,  1874,  1861,  1870,  1875,
    1862,  1864,  1871,  2371,  2372,  2373,  2374,  2084,  2375,  2376,
    2377,  2379,  2380,  2381,  1866,  1868,  2382,  2383,     0,  2085,
    2385,  2386,  2246,  2388,  2389,  2391,  2392,  1872,  2394,  2395,
    2396,  2397,  2398,  2399,  2083,     0,  1873,  2400,  2402,  2403,
    2404,  2405,  2406,  2407,  2408,  2409,     0,     0,     0,  2058,
       0,  1841,     0,  1680,  1681,  1703,  1704,  1682,  1709,  1710,
    1683,     0,  2057,  1747,  1923,  1840,  1857,     0,  1846,  1847,
       0,  1839,  1835,  1518,  2053,     0,  1836,  2073,  2032,  2087,
    2086,  2870,  2042,  2076,  2074,  2075,  1518,  2051,     0,     0,
       0,   216,     0,     0,  2746,   267,     0,   268,  2059,  2304,
     204,   246,   218,   245,   219,   217,     0,  2128,   205,     0,
       0,   206,     0,     0,     0,     0,     0,     0,     0,   261,
    1288,     0,  1635,  1634,  2039,     0,  2040,  2062,   855,     0,
    1381,  1382,  1380,     0,  1377,  1379,  1383,  1392,  1389,  2047,
    2046,  2048,     0,  1510,     0,     0,     0,  1490,  1489,  1395,
    1530,  1531,     0,     0,     0,     0,     0,     0,     0,     0,
    1584,  1546,  1547,  1549,  1581,  1585,  1593,     0,  1496,     0,
       0,  1639,     0,  1595,  2510,  2652,  2653,     0,  2647,     0,
    2646,  2646,  2640,  2639,  2636,     0,     0,     0,     0,     0,
       0,     0,  2567,   565,  2569,   563,     0,     0,  2543,     0,
    2547,  2545,     0,  2692,  2695,     0,  2693,  2694,  2696,     0,
    2701,  2702,     0,     0,  2883,     0,     0,     0,  2683,  2671,
    2678,  2680,  2682,  2681,  2690,  2686,  2689,  2691,  2633,  2646,
    2764,     0,  2759,  2762,     0,  2754,     0,     0,     0,  2072,
       0,     0,     0,     0,   847,     0,     0,     0,     0,  1332,
    1333,  1334,     0,     0,  1335,  1336,  1324,   258,  1342,  1340,
    1323,  1325,  1338,  1330,     0,     0,     0,     0,     0,     0,
       0,  1348,     0,     0,   185,   186,   599,   583,     0,  2195,
       0,     0,     0,     0,     0,  1076,  1083,     0,     0,     0,
       0,     0,     0,     0,     0,  1077,  1075,  1078,   260,  1087,
    1104,  1107,     0,   987,     0,     0,     0,     0,     0,  1203,
       0,     0,     0,  1203,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   281,   293,   346,
       0,     0,  2195,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   149,   150,   155,     0,     0,     0,
       0,     0,     0,   550,   562,     0,     0,     0,     0,     0,
     559,     0,   151,   285,   543,   547,     0,     0,     0,   664,
     663,  1346,  1345,     0,     0,     0,  1203,     0,   277,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   369,   370,     0,     0,     0,   155,
     178,     0,     0,     0,   287,     0,  2577,     0,  1307,  1304,
    1305,     0,  1310,     0,  1367,     0,   874,     0,     0,     0,
       0,   891,     0,   888,     0,     0,   882,  2130,  2181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   408,
       0,     0,   754,     0,     0,     0,     0,     0,   765,     0,
    1324,  1355,     0,     0,     0,   592,     0,  2195,     0,   153,
     799,     0,   755,   434,     0,     0,   153,     0,     0,   190,
       0,   659,     0,     0,     0,     0,     0,     0,   703,   702,
       0,     0,     0,   756,     0,   153,     0,  2195,   546,  2195,
       0,   490,   490,     0,     0,  1012,  1015,     0,     0,     0,
       0,  2537,  2532,  2535,     0,  2525,  2539,  1482,  1484,  1483,
       0,  1481,     0,   351,   349,   350,   752,  1132,     0,     0,
    1719,  1706,  1714,  1713,     0,  1696,  1695,  1694,     0,  1693,
       0,  1720,  1720,  1718,  1697,  1672,     0,     0,     0,  1726,
       0,  1724,     0,   824,  1668,  1664,     0,     0,  1712,  1733,
    1732,  1731,     0,  1678,  1687,  1684,     0,     0,   351,     0,
       0,  2195,   351,  2195,     0,  2195,     0,     0,   351,   351,
       0,     0,     0,     0,     0,     0,   660,     0,   843,   841,
     840,   842,     0,     0,     0,     0,   822,     0,     0,     0,
    2195,   351,     0,     0,   821,  2890,     0,     0,  2893,     0,
    2614,  1982,     0,  2976,  1425,  2977,     0,     0,  1515,     0,
     235,   236,   234,  1414,   237,  1415,  1411,  1397,     0,   940,
       0,  2982,  2983,   925,     0,   935,     0,  2982,   923,     0,
     936,   933,   934,     0,     0,     0,  2978,  2861,  2867,   939,
       0,     0,   491,   493,     0,     0,  2150,  2164,     0,  2187,
    2214,  2215,  2296,  2300,     0,  2326,  2336,     0,   963,   992,
     958,   673,     0,     0,  1461,   930,   928,  1281,  1418,  1989,
       0,  1515,     0,     0,     0,     0,   253,   225,     0,     0,
       0,   994,  2295,  1296,   905,   583,     0,     0,  1844,  1845,
    2030,     0,     0,     0,     0,     0,     0,  1843,  1997,     0,
       0,     0,     0,     0,  1770,     0,     0,     0,  2010,     0,
    2016,     0,     0,  1807,     0,     0,     0,     0,     0,     0,
       0,     0,  1771,  1751,  1752,  2818,  1841,  1982,     0,  1842,
    2080,     0,  1744,  1972,     0,  1969,  1970,  1971,     0,     0,
       0,  2045,     0,  1980,     0,     0,  1785,  1978,  1787,     0,
       0,     0,     0,  1966,  1967,  1968,  1960,  1961,  1962,  1963,
    1964,  1965,  1976,  1767,     0,  2056,     0,  1925,     0,  1766,
       0,     0,  1597,  1517,     0,  2078,  2033,     0,  2868,  2871,
    1837,  1597,  2743,  2742,  2741,  2740,  2711,     0,  2705,  2706,
       0,  2744,  2745,   269,   270,   266,     0,     0,   221,   220,
       0,   243,   244,   215,   242,     0,   238,   239,   223,  1914,
    1913,   222,   214,   211,   209,   226,   228,   229,   212,   210,
     264,   262,     0,     0,  2038,     0,  2035,  2034,  2068,  2041,
       0,     0,   351,  2646,  1375,     0,  1372,  2050,     0,  1512,
       0,  2063,     0,  1385,  1507,  1506,  1539,  1540,  1029,  1505,
    1564,  1565,  1560,     0,     0,     0,  1590,  1588,  1556,  1550,
    1555,  1553,     0,  1557,  1747,  1583,  1494,  1544,  1545,  1548,
    1493,     0,  1586,     0,  1464,  1584,  1549,  1448,     0,  1430,
       0,  1640,     0,     0,  2654,  2652,  2592,  1672,  2646,  2585,
    2646,  2641,  2573,  1738,  1739,  1740,  1741,  1742,  1743,  2574,
       0,  2571,  1737,  2572,   564,     0,     0,     0,  2540,     0,
    2521,  2546,  2677,  2312,  2709,     0,  2710,     0,     0,  2674,
       0,  2684,  2687,  2685,  2688,     0,  1672,  2864,  2760,  2864,
    1672,  1051,  1053,     0,  1052,     0,  1055,     0,  1064,     0,
       0,  1050,  1069,     0,  1058,  1056,     0,     0,     0,     0,
       0,     0,   848,     0,     0,     0,     0,  1331,     0,     0,
    2326,   257,  1334,  1339,  1326,  1337,     0,     0,     0,     0,
       0,   996,   995,     0,     0,  1017,     0,     0,     0,  1351,
     479,     0,   348,     0,     0,     0,     0,     0,     0,     0,
       0,   750,   747,     0,     0,   746,     0,   597,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   634,     0,  1203,
       0,   667,     0,  1085,     0,     0,  1084,     0,  1088,     0,
       0,  1086,  1081,  1082,  2296,  2304,  2331,   259,  1106,     0,
    1105,  1103,  1039,     0,  1040,     0,     0,     0,     0,     0,
    2174,  2195,   295,   310,     0,  1202,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   333,     0,     0,   336,   335,     0,     0,     0,     0,
       0,   340,   319,     0,   320,     0,     0,   339,     0,     0,
       0,     0,     0,     0,  1203,     0,   289,     0,     0,     0,
       0,     0,     0,  1119,     0,   691,     0,   176,     0,   172,
     175,     0,     0,     0,     0,   549,   561,     0,   553,   554,
     551,   555,   556,     0,     0,     0,     0,     0,     0,   548,
       0,     0,   657,   656,   662,     0,     0,     0,     0,     0,
       0,     0,     0,  1153,  1152,     0,     0,     0,     0,     0,
       0,   789,     0,     0,     0,     0,     0,     0,     0,   676,
       0,   675,     0,   177,     0,     0,     0,     0,     0,     0,
       0,   233,  1303,  1309,  1370,  2069,  1369,     0,     0,     0,
       0,   890,     0,     0,     0,     0,     0,     0,     0,     0,
     892,   893,   894,   895,     0,     0,     0,     0,     0,   383,
       0,     0,     0,     0,   778,  2819,   753,     0,     0,   766,
       0,   768,   771,     0,  1322,   452,     0,     0,   589,   634,
       0,   437,   183,     0,     0,     0,     0,   693,   148,   194,
     196,   435,     0,   195,   197,   199,   200,   201,   198,   202,
     654,   658,     0,   585,     0,     0,     0,     0,     0,   704,
     708,   707,   711,   709,     0,   705,     0,     0,  1660,     0,
     171,     0,     0,   541,   545,     0,  2518,     0,   437,   521,
     362,  2195,     0,   490,     0,  2195,     0,  1014,     0,     0,
       0,     0,     0,     0,  2538,     0,     0,     0,     0,  1480,
       0,  1110,     0,  1344,     0,     0,     0,   351,  1717,  1716,
    1669,  1665,     0,     0,     0,     0,   851,     0,     0,     0,
       0,     0,     0,     0,  1685,  2195,   351,     0,  1108,   188,
    2098,     0,   826,     0,     0,     0,     0,     0,  1112,   818,
       0,   351,   180,     0,   351,   351,   588,     0,     0,   351,
     351,   182,     0,     0,     0,   580,   351,   845,  2891,  2897,
    2895,  1427,     0,  2974,  2975,   490,  1484,  1399,  1410,   937,
     944,   926,   943,   942,   924,   941,   938,  2676,     0,     0,
    2866,     0,   955,     0,   489,     0,     0,     0,   969,   970,
       0,     0,   968,   985,   971,     0,   973,   965,   964,   974,
     975,     0,     0,   994,   671,     0,     0,     0,     0,  1458,
       0,  1456,     0,  1638,  1460,  1449,  1419,     0,  1417,     0,
     534,     0,     0,  1150,     0,     0,   952,     0,     0,   351,
    1295,     0,   907,   908,     0,     0,     0,     0,     0,     0,
     914,   911,   912,   913,   915,     0,   916,     0,     0,     0,
    1993,     0,  1994,     0,     0,  2029,  2025,     0,     0,     0,
       0,     0,  2001,  2002,  2003,  2000,  2004,  1999,     0,     0,
    2005,  1998,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2392,     0,     0,     0,     0,  1810,     0,     0,  1953,
       0,  1982,  2015,     0,     0,     0,     0,     0,     0,  1982,
    2021,     0,     0,     0,     0,  1912,     0,  1909,     0,     0,
       0,     0,  2042,     0,     0,  2081,  1748,  1762,  1763,  1764,
    1768,  2055,     0,  2044,     0,     0,  1749,  1776,     0,  2022,
    1803,     0,  1808,  1791,     0,  1784,     0,  1789,  1793,  1772,
       0,  1769,     0,  2045,  1981,     0,  1979,     0,  1759,  1760,
    1761,  1753,  1754,  1755,  1756,  1757,  1758,  1765,  1957,  1955,
    1956,     0,     0,     0,  1933,     0,     0,  1788,  2189,  2221,
       0,  1529,  1529,  1529,  1516,  1527,  2054,     0,  1655,     0,
       0,     0,     0,  1849,     0,  1986,  1538,  1984,  2071,  2873,
    2872,  2043,  1655,     0,     0,     0,  2060,     0,     0,  1744,
       0,   263,  1636,  2036,  2039,   853,   854,   852,  1672,  1395,
    1378,  1374,  1373,  2049,  1394,     0,  1515,     0,  1027,  1028,
       0,  1032,     0,     0,  1558,  1591,     0,  1582,     0,  1562,
    1563,  1554,  1592,  1462,     0,  1587,  1498,  1497,     0,  1658,
       0,     0,  1440,  1432,     0,  1641,     0,  1597,  1466,  1468,
    1469,     0,  2042,  2590,  2648,  2595,  2616,  2586,  2619,  1746,
    2568,  2608,     0,  2542,  2712,  2713,     0,  2703,  2704,  2673,
    2679,  2750,     0,  2865,     0,     0,  1054,     0,  1687,  1065,
       0,  1049,     0,  1048,  1687,     0,  1066,     0,  1687,     0,
       0,     0,  1240,  1155,  1211,   849,  1241,  1156,  1212,  1242,
    1157,  1341,  1329,  1328,  1327,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   729,
    2195,   351,  1349,  1243,     0,  1158,   347,  1350,  1213,  1354,
     749,   748,     0,     0,  1214,     0,   598,     0,     0,   603,
     604,   605,     0,     0,     0,   606,     0,  2130,  2181,     0,
     611,   618,   623,   613,     0,     0,   625,   619,     0,     0,
       0,     0,     0,     0,   631,   633,     0,     0,     0,     0,
       0,     0,     0,  1079,  1080,  1244,  1161,     0,  1215,  1038,
       0,  1162,   184,     0,     0,   282,  2195,   297,     0,   640,
     729,  1205,   317,     0,     0,   332,   327,   328,   326,  2195,
     351,  2195,   351,     0,     0,     0,     0,     0,   329,   324,
     325,   321,     0,     0,   334,  2107,  2166,  2305,     0,   644,
     646,     0,   651,   337,  1178,   358,   357,   356,     0,   341,
       0,   363,   366,   338,   315,   318,   316,   312,   294,     0,
       0,     0,     0,     0,     0,     0,     0,  2067,     0,     0,
    1114,     0,     0,     0,     0,     0,     0,     0,   685,   174,
    1193,     0,     0,   160,     0,     0,     0,     0,   154,   164,
       0,  1250,  1168,     0,     0,   286,   544,   552,   557,  1172,
     560,  1225,   558,  1256,  1169,     0,  1203,     0,   278,     0,
    1170,     0,  1219,  1252,  1195,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1357,     0,     0,     0,     0,     0,
       0,   351,     0,     0,     0,  1205,  2195,   351,  1251,     0,
    1200,  1233,     0,   371,     0,  1194,     0,     0,   288,  1174,
    1227,     0,     0,   231,   230,   232,     0,     0,  2164,     0,
     897,   858,   896,     0,     0,     0,     0,     0,     0,   866,
       0,     0,     0,   857,     0,   856,   382,     0,   407,   380,
     381,   383,     0,   777,     0,     0,     0,     0,   767,     0,
       0,     0,  1347,     0,   151,   596,     0,     0,     0,   591,
     633,   640,     0,     0,     0,   436,   440,   444,   445,   446,
       0,     0,     0,     0,   165,   152,     0,   807,     0,   490,
       0,   689,     0,   196,   189,     0,     0,     0,   362,   764,
     762,   761,   763,     0,     0,     0,   782,   760,     0,  1659,
    1661,     0,     0,     0,     0,     0,     0,   439,     0,   493,
       0,     0,   525,     0,     0,     0,     0,   362,     0,     0,
       0,  1043,     0,  1061,  1044,     0,     0,     0,     0,  1092,
    1099,  1093,  1071,     0,     0,   568,  2536,  2530,  1485,  1486,
       0,   351,     0,     0,  1686,  1699,   825,     0,  1729,  1728,
    1730,  1730,     0,  1670,     0,  2963,  2971,  2970,     0,  1721,
    1722,  1679,     0,   635,   351,   351,     0,   351,     0,   351,
     351,     0,   682,     0,  1278,   661,     0,     0,   737,   823,
       0,     0,   351,   820,  1983,     0,  2675,  2862,   956,   492,
       0,     0,     0,     0,   967,     0,   566,   972,     0,   984,
     979,   981,     0,   988,   670,     0,     0,  1459,  1452,  1454,
    1453,     0,     0,  1450,  1990,   819,     0,   540,  1142,  1143,
       0,     0,   351,     0,   989,     0,     0,   909,   910,     0,
       0,   917,     0,     0,     0,  1534,  1991,  1992,     0,     0,
       0,  2026,     0,     0,  1887,     0,  1863,  1865,  1877,     0,
    1888,  1848,  1889,  1867,  1869,     0,  1973,     0,     0,  1878,
       0,  1812,  1813,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1828,  1827,  1879,  1952,     0,     0,  2013,  2014,  1880,     0,
       0,  2020,     0,     0,     0,  1885,  1890,     0,     0,     0,
       0,  1896,     0,  1917,     0,     0,     0,  1838,  1983,     0,
       0,     0,     0,     0,     0,     0,     0,  1809,  1792,  1786,
       0,  1790,  1794,     0,     0,     0,  1780,     0,     0,  1778,
    1804,  1774,     0,     0,  1805,     0,     0,     0,  1856,     0,
       0,  1529,  1529,  1529,  1529,  1526,     0,     0,     0,     0,
    2293,     0,  1619,  1596,  1598,  1606,  1619,  1624,  1858,  1653,
    1859,     0,  2061,     0,  1567,  1538,  1538,  1538,  1855,     0,
       0,     0,     0,  1537,  1567,  2725,  2727,  2728,  2729,  2730,
    2731,  2733,  2734,  2736,  2737,  2738,  2726,  2732,  2735,  2739,
    2716,  2717,     0,  2707,  2708,   207,     0,   240,   227,  2038,
       0,  2750,  1376,  2064,     0,  1541,     0,  1974,  1032,     0,
    1543,     0,     0,  1589,  1551,  1463,  1447,     0,  1445,  1434,
       0,  1435,  2042,     0,  1445,  1431,  1474,     0,     0,  1658,
       0,  1473,     0,  2650,  2578,     0,     0,  2749,  2752,  2763,
    2761,  2588,     0,  1687,  1046,  1047,     0,  1070,     0,  1239,
    1154,  1210,   999,  1000,     0,   998,     0,     0,     0,   478,
    1016,     0,     0,     0,   729,     0,     0,   482,     0,  1352,
       0,  1257,  1192,   600,   601,     0,   612,     0,   621,   620,
       0,     0,   608,     0,     0,     0,     0,     0,   607,   627,
     572,   628,   630,     0,     0,   629,   632,   637,  1203,     0,
     668,  1180,     0,  1231,  1073,  1206,     0,  1041,     0,     0,
       0,     0,     0,     0,   452,   311,     0,     0,     0,   299,
     309,     0,  1209,   343,     0,   314,     0,   307,   330,   322,
     331,   323,   342,   344,     0,   648,   649,   647,   643,     0,
     650,   652,     0,   360,     0,     0,     0,  1246,     0,  1203,
       0,   290,     0,  1176,     0,  1229,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1247,  1216,     0,
    1235,     0,     0,     0,   690,     0,   687,     0,     0,   157,
     156,     0,   163,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     372,   353,     0,   785,     0,     0,     0,   374,     0,     0,
       0,     0,  1245,  1163,   859,     0,     0,     0,   860,   871,
       0,     0,   861,     0,     0,     0,     0,   873,   385,   386,
     151,   384,     0,     0,   779,     0,  2246,  1960,  1961,   775,
     780,   772,   774,   773,   776,   729,     0,   769,   770,     0,
       0,     0,     0,     0,   464,     0,     0,   458,     0,     0,
    1099,   451,   454,   455,     0,     0,   592,   595,   593,   594,
     626,     0,   471,   517,     0,   167,     0,     0,   168,   166,
       0,     0,   362,   694,   698,   696,   695,   697,   692,     0,
     685,     0,   192,   435,     0,     0,   584,   710,   713,   706,
       0,   781,   783,   758,     0,   640,     0,   546,     0,  1428,
     534,     0,   521,   517,   519,   518,   520,     0,   527,   361,
       0,     0,   534,   527,     0,     0,  1017,  1042,     0,     0,
       0,  1089,  1094,  1090,     0,     0,  1057,     0,  1091,     0,
    1072,  1035,  1273,  1274,  1271,  1272,     0,     0,     0,  2553,
    1476,  2562,  1111,     0,  1705,     0,  1725,  1723,  1666,     0,
    2646,     0,     0,     0,     0,     0,  1671,  1711,   351,  1109,
     827,     0,   814,     0,   816,  1113,   351,   351,   351,   351,
     677,     0,   581,     0,     0,     0,     0,   966,   986,     0,
     982,     0,     0,   949,   991,     0,     0,  1457,  1455,   532,
       0,   994,     0,   950,   993,     0,     0,     0,     0,     0,
       0,     0,  1995,     0,  2028,  2024,     0,  1860,  1996,     0,
    2008,  2007,  1953,     0,     0,  1811,  1823,  1824,  1825,  2009,
       0,  1833,     0,     0,  1820,  1821,  1822,  1814,  1815,  1816,
    1817,  1818,  1819,  1826,  2018,  2017,  2011,  2012,     0,  1882,
    1883,  1884,  2019,  1891,     0,  2121,  1918,  1895,  1911,  1910,
       0,     0,     0,  1898,     0,     0,  1907,     0,  1954,  2082,
    1750,     0,     0,  1777,  2023,  1795,     0,     0,     0,  1773,
    1973,     0,     0,     0,     0,     0,  1782,     0,     0,     0,
    1936,  1931,  1932,  1950,     0,     0,     0,     0,     0,     0,
    1520,  1519,  1525,  1619,  1624,     0,  1500,     0,  1606,     0,
    1618,  1604,  1617,     0,     0,  1630,  1628,     0,  1630,     0,
    1630,     0,  1600,     0,  1620,  1602,  1617,     0,  1645,     0,
    2062,  1654,     0,  1580,     0,     0,     0,     0,  1987,  1988,
       0,  1985,  1850,  1580,     0,     0,     0,  2037,  2748,  1513,
       0,  1542,  1030,  1031,  1559,  1552,     0,  1656,     0,  1446,
       0,     0,  1437,  1443,  1429,     0,     0,  1467,  1445,  1470,
    2594,     0,  2649,  2714,  2715,  1067,     0,     0,  1059,  1005,
    1006,  1004,  1007,     0,     0,     0,   729,     0,     0,   498,
       0,  1024,  1024,     0,     0,   484,   530,  1099,   732,     0,
       0,     0,   730,   351,  1159,     0,   622,     0,     0,   617,
     615,   614,   616,     0,   573,  1255,  1160,     0,     0,     0,
       0,  1074,     0,     0,  1179,     0,   296,     0,   449,     0,
     304,  1204,     0,     0,     0,   303,     0,   351,   351,   345,
     645,   359,   364,   365,   368,     0,     0,     0,     0,     0,
    1208,     0,     0,     0,     0,     0,     0,     0,   808,   791,
       0,     0,   809,   810,     0,     0,     0,  1116,  1117,  1115,
    1234,     0,     0,     0,  1166,     0,     0,   681,   161,   158,
     159,   162,  1190,  1173,  1226,     0,     0,     0,  1171,     0,
    1220,  1186,  1182,     0,     0,     0,     0,     0,  1254,  1199,
    1224,  1253,  1197,  1222,  1196,  1221,  1198,  1223,     0,  1191,
       0,  1663,   788,     0,     0,     0,   351,   351,   679,  1175,
    1228,     0,     0,   862,     0,     0,   864,   865,     0,   868,
     390,   410,   699,   751,     0,     0,   728,     0,   456,     0,
     462,   466,   467,   465,   457,  1099,   490,   529,     0,     0,
     741,     0,   590,   437,   468,     0,     0,   441,   170,   169,
       0,     0,     0,   688,   687,   196,     0,     0,   715,   719,
     759,     0,  1662,   674,   362,   542,     0,   437,   534,  2519,
       0,   442,   447,   448,     0,   525,   521,     0,     0,   531,
    1320,     0,   535,   537,     0,     0,     0,  1045,  1062,  1063,
       0,     0,  1099,     0,     0,  1098,     0,     0,   575,     0,
    2526,   351,  1667,  2964,     0,  2965,  2966,  2967,  2968,  2969,
     636,   351,   351,   683,  1279,  1139,   738,     0,   978,   977,
     976,   567,     0,   980,   672,     0,   533,   351,     0,     0,
     919,   900,   918,     0,     0,   899,     0,   898,  2027,  1876,
    1886,  2006,  1952,  1983,     0,     0,  1834,     0,     0,  1881,
    2401,     0,     0,     0,     0,  1915,  1916,  1897,     0,  2237,
    1902,     0,     0,     0,  1801,  1799,  1796,     0,  1797,  1781,
       0,     0,  1779,  1775,     0,  1806,  1922,     0,  1938,  1935,
    1949,  1983,  1524,  1523,  1522,  1521,  1605,  1603,     0,  1608,
    1615,     0,  1599,     0,  1629,  1625,     0,  1626,     0,     0,
    1627,     0,     0,  1601,     0,  1615,     0,  1652,  1538,     0,
       0,  1927,  1853,  1854,  1851,  1538,  2079,  1927,  2718,     0,
    2721,  2719,  2720,  2724,   241,     0,     0,     0,  1433,  1436,
       0,     0,     0,     0,  1475,  1465,  2651,  1060,  1068,     0,
       0,     0,   480,     0,  1099,     0,     0,     0,  1026,  1026,
       0,  1099,   529,   734,   733,   736,   731,   735,  1353,     0,
     609,   610,   624,  1181,     0,  1232,  1188,     0,  1461,   298,
       0,   641,   300,   301,   302,   305,   353,   313,   306,     0,
       0,     0,  1177,     0,  1230,  1184,  1248,  1164,  1217,     0,
       0,   797,     0,     0,     0,     0,  1249,  1165,  1218,  1236,
    1237,  1238,     0,     0,     0,     0,  1461,     0,     0,     0,
       0,     0,  1362,     0,  1207,   352,   787,   786,   353,   373,
    1201,     0,   863,   869,   870,   867,     0,   379,   387,   411,
     151,     0,     0,  1130,  1130,     0,   729,     0,     0,   453,
     529,   497,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   680,   191,   437,   640,
     714,     0,     0,     0,   784,     0,   439,     0,  1426,   438,
       0,     0,   527,   525,     0,   522,     0,   526,     0,  1313,
       0,     0,     0,     0,  1095,     0,  1101,     0,  1056,  1033,
    1096,     0,  1655,     0,     0,     0,     0,   579,  2552,  2556,
    1131,  2972,   815,   817,   678,   983,     0,   990,   351,   901,
     902,   903,   904,  1954,  1829,     0,     0,     0,     0,  1892,
       0,  1893,  1920,  1919,  1899,  1903,     0,  1900,  1901,  1798,
    1802,  1800,  1783,  1924,     0,  1538,  1951,  1648,     0,  1651,
    1607,     0,     0,  1609,     0,     0,  1611,  1613,     0,     0,
       0,     0,     0,     0,  2065,     0,  2146,  2377,  2292,     0,
    1566,  1568,  1571,  1573,  1572,  1574,  1570,  1579,     0,  1502,
       0,  1501,  2723,  2722,  1975,  1657,  1444,     0,     0,  1018,
       0,     0,  1472,  1471,   984,     0,   351,  1024,   529,   499,
    2246,   500,  1023,  1025,  1029,  1029,     0,   529,   729,   602,
       0,     0,   283,   639,     0,   355,   367,     0,  1461,     0,
       0,     0,   804,   792,     0,     0,   811,  1167,   684,     0,
       0,   279,  1187,  1183,  1364,  1365,     0,     0,     0,     0,
       0,   351,   872,     0,   413,   420,   391,   396,  1356,     0,
    1356,     0,   393,   397,  1356,   392,  1356,   389,   390,     0,
    1130,     0,  1127,  1126,   727,     0,   488,   460,     0,   508,
       0,     0,   742,     0,     0,   517,   477,   476,   473,   472,
     474,   475,   470,   469,     0,   640,   801,   362,  1320,   653,
     716,   717,   712,     0,     0,     0,   521,   517,   443,   452,
     426,   527,   523,   524,     0,     0,     0,   534,  1366,  1017,
       0,  1100,     0,     0,     0,     0,     0,     0,  1134,   574,
       0,     0,   578,   569,     0,  2554,   640,   951,  1830,     0,
    1831,     0,     0,     0,  1905,  1904,     0,  1941,  1653,     0,
       0,  1647,     0,  1616,  1632,     0,  1612,  1610,     0,  1621,
       0,  1623,  1850,     0,     0,     0,  1575,     0,  1926,  1928,
       0,  1852,  1442,  1655,     0,  1439,     0,  1001,     0,  1002,
    1026,   503,     0,  1032,  1032,   490,   729,   481,  1189,     0,
     642,     0,   308,     0,   291,  1185,     0,   795,     0,   806,
     804,     0,     0,     0,     0,  1358,     0,  1359,  1360,  1363,
     375,   388,     0,   418,     0,   416,   415,   417,     0,   404,
       0,     0,     0,     0,     0,     0,   378,   409,  1125,  1129,
    1128,     0,     0,   461,   494,   495,   496,     0,   463,   504,
     505,     0,   739,     0,   744,     0,     0,   516,   665,     0,
       0,     0,  1314,     0,     0,  1320,   525,   521,   450,   424,
       0,  1317,     0,   536,     0,   362,  1099,  1102,  1097,  1277,
       0,     0,   577,   576,  2557,  2559,  2558,     0,   669,  1832,
    1908,  1894,  1921,  1906,  1937,     0,     0,     0,  1646,  1649,
       0,  1614,     0,     0,  1622,     0,     0,     0,  1569,     0,
       0,  1441,  1019,     0,     0,  1029,     0,   729,     0,  1021,
    1020,   497,   483,  1461,   354,     0,     0,     0,   802,   805,
     793,   806,   813,   812,   686,  1461,     0,   414,   423,     0,
     421,   394,   399,     0,   403,   401,   400,   395,   398,     0,
     487,     0,     0,     0,   506,     0,   507,   528,     0,   743,
       0,     0,   800,     0,     0,   718,     0,  1315,   527,   525,
    1318,  1319,     0,   527,  1034,  1276,  1275,  1515,     0,     0,
    2555,  2365,     0,  2338,     0,  1939,  1942,  1940,  1934,     0,
    1631,  1644,  1577,     0,  1576,  1929,  1930,  1655,   351,  1032,
       0,   485,   501,   508,   284,  1461,     0,     0,   794,   280,
    1361,   419,     0,   402,   719,   513,     0,   512,     0,   510,
     509,   740,   745,   640,   790,  1320,   722,   427,   527,     0,
    1655,  1259,  1515,  1258,  1260,  1268,  1265,  1267,  1266,  1264,
    1137,  1138,     0,  1946,  1945,  1944,  1948,  1947,  1650,     0,
    1642,  1578,  1438,  1003,  1022,     0,   729,   292,   796,   803,
     422,     0,   511,   515,   514,   666,  1316,     0,   720,   723,
     726,   724,   725,   425,   362,  1008,     0,  1269,  1263,  1500,
    1487,     0,     0,     0,     0,   502,   486,     0,   700,     0,
     527,  1261,  1515,     0,     0,  1943,     0,     0,   721,  1655,
    1262,     0,     0,  1643,     0,  1009,     0,     0,   722,     0,
       0,     0,  1135,  1136,   701
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -5118, -5118,  4371, -5118, -1260,   177,  2749,  -598, -5118, -5118,
   -5118,  3477, -5118, -5118, -5118, -5118, -5118, -5118, -5118,  3507,
   -5118, -5118,  1923, -2743, -5118, -5118,   -42,  3479, -1709,   -54,
    3036,  1564, -5118, -1513, -5118, -5118,  -918,    23, -5118,  3481,
   -1076, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -1108,
    2066,  1372,  4750, -3348, -5118, -5118, -1787, -3520, -5118,   703,
   -5118, -5118,  2002, -5118, -5118, -5118,  1210,   610,  -415, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118,  -558, -5118, -5118,  -747,
     243,  -108, -2746,  -230, -5118, -5118,   573,  -231, -1873, -5118,
   -3885, -5118,   109, -5118, -5118, -5118,  -210, -1839,  1469, -5118,
   -1024, -1507,  1800,  -646, -5118,   -93, -5118,  -720,  -572,  -557,
    -661, -4071, -4076, -4530, -4105, -3625,  1487, -5118, -4072,   268,
     553, -5118,   317,   328, -5118,   569, -1166, -1872, -5118, -1186,
   -5118, -5118, -5118, -3296, -5118, -5118, -5118, -5118,   -68, -5118,
   -5118, -5118, -5118,   611, -5118, -5118, -5118, -5118, -5118, -5118,
   -2292,  1981,  1982, -5118, -5118, -3503, -5118, -1238, -5118,   754,
   -3310,  1398, -5118, -5118, -5118,  2734, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -2001, -5118, -5118, -5118, -5118,
   -5118,   596,   129, -5118, -5118, -5118, -5118, -5118,   346, -5118,
    1994,  1203, -5118, -5118, -5118,  -700,  -791,  -771, -5118, -3284,
   -5118, -5118, -5118, -5118,  -156, -5118, -5118, -5118, -5118, -5118,
   -5118, -1330, -5118,  1265, -3436, -5118, -5118,  1266, -5118, -5118,
   -5118, -5118, -5118,  -640,   -95,  2765, -5118,  -482,  -600, -5118,
   -5118, -5118,   -92, -5118, -5118, -5118, -5118, -5118, -5118, -1449,
    5907, -1411,  -850, -5118, -5118, -5118, -5118, -2406, -5118, -5118,
   -5118, -4101, -5118,  4656,    11,  -577,   355, -5118,  -208,   -72,
    3294, -1521, -2967,   524,  -272, -5118, -2222, -5118, -5118, -5118,
   -2871, -5118, -5118, -5118, -5118, -3826,   366, -5118,  3281, -5118,
   -4086, -4784, -3846, -4336, -4640, -4625, -3834, -5118, -5118, -1462,
   -5118, -5118, -5118, -1859,  2304, -2325, -5118, -2469,   597,  1569,
   -1291, -3066, -4111, -1028, -3561, -5118, -5118, -4014,  -384, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118, -1445,  -916, -5118, -5118,
    3891, -5118, -3989, -5118,  3863, -5118, -5118, -5118, -5118,  2581,
    2588, -5118,  2585, -5118, -5118, -1861,  1345, -5118, -5118, -5118,
   -5118,   260, -5118, -5118, -5118, -5118,  -616,  -727, -5118, -5118,
   -5118,   376, -5118, -5118, -5118, -5118,  2120, -1263, -1055,  3791,
     384, -4901, -5118, -5118,  -762, -5118,  3006, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -2601, -5118, -5118, -4683, -5118,
   -5118, -5118, -5118, -5118,  2433,  2434,   -96,  -219, -5118, -5118,
   -1644, -5118,  -871, -5118,  2665, -5118, -5118, -5118, -5118, -2108,
     410,   643,   -66, -5118, -5118, -5118,   394, -5118, -5118, -3728,
     -63, -5118, -5118, -5118, -5118, -4656, -5118,   -60,  -537,   942,
   -5118, -5118, -3109, -5118,   411,   -45,  3374,  1925,   -75,  1206,
    -232,  -252,  -243,   -69,   -65,  3138, -5118,  3197, -5118,  -206,
    2223, -5118, -5118, -1134,  -342, -5118,  1677,  -935,  2411,  3123,
    3125, -5118,  1670, -5118, -5118,  1676, -5118,  1006,  -515,  -385,
   -5118, -5118, -5118, -5118,   430,  -932,  2419, -5118,  3132, -5118,
   -5118, -5118, -2209,  1669, -3684,  1037, -3710, -3662,   475,   461,
   -1064,  -178,  -204, -1092,  3133, -5118, -5118,  1044,  -355, -5118,
   -5118,  -353, -3115,   967, -5118, -4617, -2648,  8632, -1985, -1400,
   -5118, -5118, -1370, 14455, -5118, -5118, -5118, 15822, 21952, -5118,
   -5118, 24826, 25803, -5118, -1223,  1241, 26354,  8737, -1372, -1346,
   -1605, 24430, -2542,  -553, -3059, -5118, -3862, -3038, -5118, -5118,
   -5118,  -139,  1101,   303, -5118, -5118, -5118, -5118,    69, -5118,
    -491, -5118,  -490, -5118, -5118, -5118,  -475, -5117,  2554, -5118,
   -5118, -5118,  -801, -5118, 26669,  1713, -5118, -1407, -3036, -3039,
   -3679, -2184, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -1538,
   -3573,  -517,  1789, -5118, -5118,  1880, -5118, -5118, -5118, -1687,
    1733, -1193, -2918,  1796, -2362, -5118, -1158, -5118, -1086,  2563,
   -1094, 16871, -1665, 20194,  -118, -2616, -1657, -1953, -5118,  2125,
   -5118,  3149,  -165,  -725,  3856,  -834,  -959,  7292,  4911,  6119,
   -3442, -5118, -5118,   419, -5118, -5118, -5118,  4279,  1281, -5118,
    3540, -5118,  2048,  2831, -5118, -5118,  2435,  -969,   -22, -5118,
    -445, -5118,  -120, -5118, -5118, -5118,   174, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118, -5118, -5118,  3164, -5118, -5118, -1559,
   -5118, -5118, -5118, -5118, -5118,  4559,  -380, -5118,  3948,  -377,
   -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118, -5118,  3171,
    2464, -5118,  3729, -5118, -5118, -5118,    -9,  3392, -5118, -5118,
   -5118, -1299,  -637,  3758,  3794,  2427, -5118, -5118, -5118, -5118,
   -5118, -5118, -5118, -5118,  2445, -5118, -5118,  1767, -2323,  2446,
   -5118, -5118,  1018, -5118, -5118,   503, -5118,  1022, -5118,  3280,
   -5118, -5118, -5118,  1059, -5118, -5118, -5118,  -583, 17097,   248,
     -61,    73,  1597, -5118, 10275, 24789,   104,  3192,   -53, 13750,
   22780,    45, -5118,  4555,  2444,  2005, -1077, -5118,  4107,  2737,
   21505, -5118, -1069,     5,  2430, -5118,    -2,  -682, -1282,  3486,
    -782, -2161, -5118,  4986, -5118, -3465, -5118, -1122,  3957, -1322
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   250,   251,  1956,  2832,  2719,  3594,  3595,   252,
     253,  1952,   254,   255,   256,   257,   258,   259,   260,  1887,
     261,   262,  1378,  2079,  2843,   263,  2571,  1123,  1124,  1125,
    2424,  2425,  2782,  2426,  2413,  1712,  2224,  1908,  1088,  1089,
    1868,  1909,   265,   266,  1706,  2405,   267,   268,   269,  1937,
    1938,  1881,  2126,  4641,  5312,  3429,  2697,  3634,  3430,  3431,
     270,  2004,  2005,   271,   272,  3561,  3557,  4160,  4967,  4968,
    5187,   914,  2811,  4970,  4971,  5173,  5174,  5336,  5449,  5450,
    2844,  2074,  3628,  4242,  3585,  4710,  3586,  4711,  3587,  4712,
    3572,  4191,  4192,  4193,  3588,  4684,  5212,  3589,  2590,  5353,
    2879,  2254,  2252,  5199,  4518,  4519,  5427,  5358,  5359,  5360,
    5529,  4686,  3632,  4248,  4719,  4983,  3319,  2100,  3737,  1018,
    2882,   946,  1019,  2845,   277,  2873,  2874,  1975,  2727,  4169,
    3717,   278,  1398,  4009,  5037,  5252,  5253,   279,   901,   280,
    2083,   281,   282,  2828,  3579,   283,  2607,  3336,   284,   285,
    3364,  3365,  3366,   286,   287,  4034,  4910,  1939,  3418,  3419,
    3420,  3421,  4060,   288,  2081,  1980,  2852,   289,   290,   291,
     292,   293,  3006,  3007,   294,  2770,   295,   296,   297,   298,
     299,  4096,  4607,  4220,  3458,  3601,  4218,   300,  2846,  2091,
    2864,  2865,  4699,  5001,  5222,  5003,  5577,  5578,  4976,  3987,
    4532,   302,   303,  4679,  4680,  5365,   304,  2605,   305,   306,
     307,  2058,  2820,  2821,  4170,  2052,  2813,  2814,  4230,  4231,
     308,  3514,   309,  4588,  4589,   947,  5370,  5319,  5440,   310,
     311,  4592,  4593,   312,   313,   314,   315,   316,  1006,  1498,
    1499,  1854,  1443,   317,  2442,   318,  1345,  3541,   319,  1590,
    3048,  4771,   320,  1042,  1523,  1524,  2847,   322,  1053,  3026,
    1055,  2267,  3719,  3720,  4323,  2992,  1250,   323,   324,  3003,
    3029,   325,  1874,  2581,  2582,  4513,  2848,   948,  2106,  2886,
    3314,  5118,  5119,  4888,  5134,  3221,  3930,   327,   949,  1913,
    2653,  2889,  3642,  2548,  2549,  2550,  4265,  2551,  3644,  2552,
    1848,  2553,  3650,  3651,  3652,  4261,  4268,  4271,  5026,  5027,
     328,  1911,  2651,   329,   330,   331,  1947,  1274,   332,   971,
     972,   333,  5192,   334,  1418,   335,  5035,   336,   337,  1077,
    1078,  1574,  1575,   338,   339,  2667,  4041,   340,   341,   342,
    4089,  4090,   343,   344,  5543,  5586,  5587,  5588,  4276,  5487,
     345,  5545,  1566,   347,   348,   349,   904,  1308,  1309,  1310,
    2849,  5019,   351,   352,  1869,  1870,  1871,  1872,  2576,   353,
     354,   355,   356,   357,   358,  2062,   359,   360,  5166,   361,
     362,  2024,   363,  1743,  1744,   364,   365,   908,  1143,  1748,
    1756,   366,  1021,  1517,  1518,  1519,  2226,   367,  1570,  1347,
    1022,  1512,  1023,  2488,  3242,  3940,  3941,  3944,  4872,  4489,
    1024,  3239,   371,  2274,  3012,  3015,  3235,  1025,  3247,  3248,
    3249,  3250,  3251,  3947,  1026,  1044,  1408,  2898,  1027,  1661,
     376,   377,   378,  1153,  1147,  1148,   380,  2382,  3174,  1062,
    1762,  1107,  1108,  1160,  3893,  2456,  2457,  2479,  2480,  1771,
    1772,  2469,  2471,  3223,  2472,  3231,  2462,  4463,  5100,  5101,
    5102,  5103,  5104,  5105,  4851,  2475,  2476,  1774,  1775,  1776,
    2484,   381,  3178,  3873,  3874,  3875,  4440,  4441,  4455,  4451,
    4835,  5086,  3876,  1560,  1782,  4843,  5560,  3877,  5077,  5078,
    5271,  4458,  3884,  3938,  3618,  3619,  3620,  2554,  2155,  1445,
    1662,  1446,  2165,  1663,  2139,  1448,  1664,  1665,  1666,  1451,
    1667,  1668,  1669,  1454,  2131,  2158,  1670,  1671,  2149,  1192,
    1193,  2211,  3085,  1673,  1674,  1675,  3879,  1676,  4396,  4802,
    4791,  3106,  3107,  2421,  4392,  3819,  2377,  3164,  5109,  5288,
    5289,  3858,  4421,  4818,  5075,  5407,  5495,  5496,  1677,  1678,
    1679,  3161,  2372,  1276,  1680,  4172,  2374,  3100,  3186,  3187,
    2280,  2299,  3053,  3068,  3069,  3080,  3778,  3088,  3093,  3806,
    3807,  3101,  3130,  1681,  3055,  3056,  3762,  2301,  1682,  1736,
    2435,  1737,  2390,  3125,  1751,  1752,  1145,  1696,  1683,  1684,
    2268,  1134,  5082,   753,   736,  3446,  2437,  1312,  1059,  1685,
    1686,  1687,  1803,   696,  1468,  1469,   698,   737,   738,  1230,
     850,     2,    75,  1028,  3626,   385,   386,   951,   952,   953,
    1400,  1401,  2112,  2115,  1808,  2520,   702,   703,   754,  4740,
    5038,  5255,  1012,   387,   388,   389,   390,  1804,  2516,  1194,
      76,    84,    77,  1195,   427,   428,  2498,   391,   867,   392,
    1785,  1174,  3953,   393,   394,   395,   396,   397,  1009,   398,
    1176,   399,  1177,   400,   401,   402,   403,  1184,   404,  1787,
    1788,  4502,  1789,   405,   406,   740,   741,  1510,   407,   408,
    1211,  1212,  1542,  1543,  1814,  1829,  1830,  1831,   409,   710,
     410,   411,   412,  1820,  1821,   413,  2398,  2399,  2525,  2400,
     414,  3264,  3265,   415,  3910,  3911,  4861,  3912,   416,  2394,
     417,   418,  1137,  3958,   419,   863,   420,  1225,   742,   743,
     744,  1232,   853,  1093,   755,  1234,  3422,   855,   856,   746,
     747,   748,  2246,    78,  3272,  2247,  1689,   756,  1690,  2388,
    1691,  1692,  1693,  1694,  1695,  1837,   750,  1201,  1502,  1503,
    3273,  1505,    82,  1506,   424,  3678,  2214,  1544,  2232,  2233
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      81,  1046,  1099,   374,  2168,  1802,  2223,    79,  1729,   379,
    1783,  1410,   369,  1171,  1373,   370,  1172,  1152,   372,  1707,
    1133,  2172,  1697,  1046,  1136,   422,  1551,  1552,  1553,  1777,
    2178,   422,  1557,   962,   950,  1161,  2589,  2993,  2145,  2009,
    1849,   945,  2251,  2072,  1738,  2662,  2022,  2164,  2960,  1979,
    2439,   752,  1409,  2654,  2093,   851,  2135,  2136,  1520,  3184,
    3742,   758,  2674,  2053,  2290,  1721,  2144,  4015,  1020,  2151,
    2784,  1940,   739,  1475,  3193,  1209,   423,  3894,  4200,  2663,
    3281,  3283,   423,  1068,  1275,  3584,  3213,   707,  4226,  4270,
    2450,  1005,  3448,  2869,  4481,   379,   906,  3604,  1054,  2060,
     851,   264,  2739,  2065,  2212,  4055,  4035,  4057,  2069,   739,
    2163,   964,  3511,  3052,   423,  2453,  2076,  4253,  3878,  4521,
    1974,  1213,   902,  4173,  2123,  2749,  2095,  1163,  4173,  1275,
     954,   961,  3723,  1832,  4178,  4520,  1164,  3946,  1100,  3880,
     961,  1834,  3887,  3885,  3886,  1515,  1155,  2691,  4723,  4558,
     956,  4515,  1492,  2887,  4732,  1087,  1252,  1410,  1480,   423,
    2911,   858,  2439,  1281,  4408,  1130,  4715,  4454,  4709,  1495,
    4726,   851,  4716,  3018,  1298,  1122,  4677,  1043,  1973,  3878,
    4722,   961,  3192,  1150,  1988,  5012,  4889,  4437,  1275,   852,
    2505,  2507,  2508,  2014,  3827,  2647,  2562,  2952,  1714,  1043,
    3880,  2132,  2133,  1368,  2753,  2754,   858,  1096,  1376,  4289,
    2238,  3962,  2143,  2213,  4452,  1096,  4494,  1096,  3597,  1386,
     854,  2208,  1910,  2010,  3280,  1770,  1504,  5091,  1773,  5093,
     423,  2499,  2499,  4376,   852,  2396,  1810,  1811,  4775,  5240,
    4777,  3957,  1204,  2135,  2136,  2344,  3784,  2344,  2092,  5135,
    1823,  2244,  5142,  2338,  1095,   430,  3123,  2156,   426,   430,
     912,  2144,  1095,  4259,  1095,   854,  2440,  5168,  5169,  2151,
    4887,  1884,  2760,    45,  2350,  1404,  2350,   858,  3123,  1586,
    2595,  1823,  1226,  3740, -1720, -1720, -1720, -1720,  2124, -1958,
    5161, -1720, -2072, -2072, -2072, -2072, -1958,  3533,  3330, -2072,
   -1730, -1730, -1730, -1730,  2352,   852,  2352, -1730,   430,  2380,
     374,  2877,  5318,   708,  1158,  1214,   379,  5372,  3687,   369,
    3689,   273,   370,   430,  4624,   372,   421,  3559,  2049,  1141,
    4244,  3575,   421,  2225,  3951,  1540,   854,    45,   430,  2765,
     422,    37,    38,    39,    40,  4706,   274,    43,    44,  1592,
    1824,  2088,    45,  2665, -2822, -2822, -2822, -2822,  2019,  2124,
    5033, -2822,  2675,  4213,   421, -1720, -1720, -1720, -1720, -2822,
   -2822,  2089, -1720,  2124,  5552,   422,  1885,  5250,  3158,  2132,
    2133, -2823, -2823, -2823, -2823,  3159,  5485,  3784, -2823,  2124,
    2215,   423,  3549,  3345,  5206,   275, -2823, -2823,  4028,  3456,
    3553,  2866,  3555,  2665,  2143,     3,   276,  1200,   264,   421,
    1568,  2665,  2747,   868,  2039,  1540, -2820, -2820, -2820, -2820,
    4109,  3218,  2392, -2820,   301,  2393,   423, -1977,  1700, -1720,
    2918, -2820, -2820,   321, -1977,  3576,  3177,  3952,    37,    38,
      39,    40,  5207,   430,   326,    44,    37,    38,    39,    40,
    5208,  4214,    43,    44,   346,  1529,   869,    45,  2022,  1534,
    1535,  1536,   350,   864,  4029,   865,  3457,  1248,  2339,  1547,
   -2819, -2819, -2819, -2819,  5477,  5280,  5605, -2819,  5209,  -412,
     421,  4625,   429,  5231,   430, -2819, -2819,  1228,   368,   373,
    1172,  4896,  5314,    43,   903,  2386,  2441,   384,    45, -2415,
   -2415, -2415, -2415,  3219,  3891,  2056, -2415,  3760,  2878,  5303,
    5304,  2665,  3255,  4892, -2415, -2415, -1730, -1730, -1730, -1730,
    2020,  1364,  2090, -1730,  2690, -1687, -1687, -1687, -1687,  1275,
    2665,  4215, -1687,  2414,  1541,  5461,  5251,  1410,  2427,  2427,
    3781,  3782,  4707,   950,  3560,  3801,  3028,  2665,  2125,  1711,
    1540,  3271,   709,  5210,  5486,  3275, -1715, -1715, -1715, -1715,
    1410,  2383,  1215, -1715,  2867,  2381, -1700, -1700, -1700, -1700,
    1813,  1816,  2792, -1700,  2383,  2596,  1556,  5034,  2201,  3124,
    1556,  3331,  3831,  3832,  -151, -1727, -1727, -1727, -1727,  1207,
    1208,  2988, -1727,  -151,  2796,  2994,  4260,  2996,  -151, -2235,
    2999,  3847,  1198,  3577,  2430,  2431,    37,    38,    39,    40,
    3534,  1946, -1958,    44,    37,    38,    39,    40,  2344,  2125,
   -1715,    44,  1142,  4173,    37,    38,    39,    40,   273,  4573,
    1410,    44,  1304,  2125,  5576,  2761,  5008,  2583,  2273,   954,
    5013,   421,  2179,  5446,  1845,  2676,  1886,  2350,  2157,  2125,
    2227,  1734,  2439,   274,  2584,  1735,  2677,  3368,  2678,   956,
    5425,  4980,  1825,  2245,  1819,   913,  2057,   965,  5049,  4216,
    1582,  2294,  5050,  5051,  2766,  5052,   421,  2352,  2366,  2367,
    2368,  2369,  2370,  2371,  3799,  2371,  3578,   961,   961,  2152,
    1292,  4194,  4692,  1825,  2130,  2272,  1205,  3980,  5539,  2439,
    4525,  3160,   275,  3191,  1569,  2397,  2633,  2748,  1040,  1041,
    2735,  2585,  2737,   276,  2679,  4110,  2641,  3222,  5029,  2207,
    2868,  2269,  2146,  2816,  4454,  1305,  5211,  2905,  4807,  2586,
    1249,   301,  4703,  3948,  4217,  1200,  2787,  2282,  2918, -1720,
     321,  2147,  2744,  2981,  1206,  1734,  3425, -2072,   866,  1735,
   -1977,   326,  2291,  2956,  3784,  2148,  1241,  1410,  2783,  4832,
    2203,   346,  4969,  4836,   868,  1410,  1410,  1306,  3369,   350,
    4875,  4826,  1040,  1041,  2170,  2130,  2725,  5514,  4781,  2728,
    2729,  4897,  2631,  4079,  1365,  1152,  3387,  1826,  1827,  5519,
    4322,  5300,  3054,  5499,  2924,   368,   373,  3426,  2409,  2057,
    5509,  1521,   851,  1359,   384,  5525,  2381,   869,  2989, -2822,
    3878,  3964,  3878,  3965,   422,  3443, -2235,  3000,  5462,  1307,
   -1720,  1778,  3796,  3797,  3798,  3799,  4745,  4746,  4747,  4748,
    4749,  3880,  1993,  3880,  4547,  2706, -2823,  2170,  1351,  1406,
    2521,  1344,  2485,  3444,   379,  2486,  5478,  1348,  1812,  2793,
    1349,  4577,  4471,  1350,  3184,  3184,  3184,  1463,  1559,  5567,
    4222,   423,  1420,  2587,  1522,   423,  1528,  4662,  1533,  1237,
    5128, -2820,  3914,  1994,  1537,  1213,  2717,  5137,  1237,   707,
    1548,  2720, -2235,  2650,  3427,  1792,   707,  5295,  4080,  3049,
    3051,  4663,  2032,  4859,  1875, -2235,  3058,   707,  1528,  1533,
    4507,  1163,  3072,  3073,  3074,  1513,  3295,  5230,   858,  2971,
    1164,  2592,  3090,  3092,  1237,  2974,  2964,  3102,  2908,  2909,
    3343,  1516,  3878,   966,  2208, -2819,   707,  2591, -2551,  4150,
    4151,   707,  1559,  1040,  1801,  1200,   852,   961,  2146,  3257,
    2647,  3257,   707,  3880,  3509,  2228,  1165,   379,  2230,  5538,
    3143,  2234,  3359,  2236, -2415,  2592,  2239,  2147,  2798,  2835,
    2243,  1407,  2117,  1781,  4195,  2588,  5079,  1217,   707,  1514,
    2273,  2150,   757,  1237, -1687,   967,  3004,  2021,  3008,  1461,
    2134,  2159,  4738,  1237,   707,  5193,  1527,  2990,  1532,  1509,
     707,  4329,  1884,   961,  5526,  2985,  3115,  2711,  1546,  1876,
    1461,   707,  2739,  3727,  4011,  2124,    81,  1954,  1723,  4521,
     968, -1715,   969,    79,  2118,   707,  2799,  4107,  1562,  1564,
      43,  2138,   907,  4521,  4492,    45,  1166,  3360,  1955,  3643,
    1995,  3729,  2713,  -151,  -151,  4081,  3428,  5296,  3949,  4520,
   -1727,  1549,  1526,    35,  1531,  1890,  1745,  1541,  4559, -1687,
    1186,    41,    42,  2368,  2369,  2370,  2371,  3005,    35,  5349,
    1815,  2341,  2712,  3303,  1156,  5527,    41,    42,  2836,  2384,
    4082,  2877,  1710,  4016,  1561,  1563,  1718,  1034,  2880,  3198,
    3144,  1753,  2860,  4108,  1739,  3145,  4561,  2084,  1200,  5528,
     739,  2963,  2593,  2597,   129,   130,  4171,  1885,  3009,  1035,
    4083,  4171,  3359,  1704,  2573,  1237,  1237,  2119,  3924,  5057,
    1187,   421,  1096,  2160,   707,   421,  1096, -2069, -2183,  5080,
    1464,  3146,  4870,  2188,  1996,  1157,  5379, -2551,  2085,  1858,
    4144,  5386,  1793,  4330,  5366,   423,  3510,  4148,  4149,  4206,
    1746,  4152,  1237,  2339,  3288,  2145,  1877,  1275,  4157,  5083,
    5376,  4272,  1540,  5384,  5087,  2033,  5377,  5089,  2120,  1095,
    4173,  4521,  2861,  1095,  2189,  5383,  4941,  2986,  1158,  2997,
    2998,  4270,    37,    38,    39,    40,  3435,  3360,  4266,    44,
    1859,  1878,  1071,  3344,  5005, -2551,  3363,  3794,  3795,  3796,
    3797,  3798,  3799,  1158,  3895,  5264,  1805,  3896,  3897,  2987,
    5350,  5348,  4585,   707,   707,  3728, -1687,  1189,  3898,  3899,
    3900,  1879,  3901,  3902,  1185,  1835,  2474,  3903,  3904,  3905,
    2502,  2991,  1740,  3921,  1741,  1724, -1488,  2159,    35,  1167,
    4562,  4273,  4882,  3730,  1087,  1983,    41,    42,  4012,  1873,
    -638,  2800,  2121,  4356,  4357,  4358,  4359,  4911,  3147,  4364,
    4365,  4366,  4367,  4368,  4369,  4370,  4371,  4372,  4373,  1541,
    1520,  2937,  1805,  1072,  1867,  2125,   430,  5138,  4998,    37,
      38,    39,    40,  1860,  1880,    43,    44,  1592,  1824,  5573,
      45,  3010,  2801,  1186,   375,  2086,  1096,  1096,  4016,  2503,
    2907,  1725,  4207,  2506,  4528,  4673,  1186,  5437,  2824,  5298,
    3011,  5479, -1488,  4586,  1582,  4412,  4413,  4985,  1734,  2583,
    3201,  2161,  1735,  1237,  3461,  4871,  2505, -2183,  1159,  1034,
    1461,  2190,  1867,  2572,  1237,  1998,  3714,  2841,  5284,  3260,
    2110,  1999,  2460,  1095,  1095,  2929,  3363,  5351,  3240,  4563,
    1461,  1035,  4564,  1187,  5378,  2950,  1188,  2967,  2942,  2504,
    3165,  1210,  2862,  1954,  1461,  5197,  1187,  1071,  4464,  2160,
    5438,  4003,  3495,  2951,  3906,  2863,  3462,  3436,  3496,  4274,
     375,  4529,  5484,  5537,  1955, -2183,  1275,  5259,  5540,  2087,
   -1491,  1698, -1687,  2585,  3878,   421,  5265,  4874,  3878,  3232,
    1189, -1687,  1237,  2134, -1687,  1853, -1687,  2503, -1488,  4587,
    3078,  2586,  4004,  2842,  5276,  3880,  1073,  5079,   909,  3880,
    2597,    37,    38,    39,    40,  2191,  4986,  1864,    44,  1865,
    3463,  5574,  5141,  4848,  2461,  4471,  3504,  4530,  1152,  4531,
    2000,  4855,  4521,  5583,  4275,  4674,  1461,  2690,  1072,  2802,
    1189,  2310,  1594,  1074,  1075,  3784,  1189,  1699,  5422,  3785,
    3786,  3787,   379,  1189, -1488,  1151, -1491,  2504,  1832,  2536,
    4767,  4509,  1172,  1034,  4036,  3684,  1834,  3497,  5554,  5429,
    5430,  5316,  5354,  1742,   707,  5321,  5322,  4173,   859,  2229,
    3166,  2231,  3685,  5146,  2235,  1035,  2237,  1013,   860,  2240,
    2241,  2242,  3690,  4318,   707,  5609,  5219,  3663,    81,    81,
    3907,    81,  2249,  5301, -2216,    79,    79,  1014,    79,  1237,
    2454,  2455,  5306,  2459,  3464,  1275,  2275,   707,  2276,  1164,
    1164,  4027,  1164,  1034,  1805,  3609,  3610,  3611,  3612,  2446,
    4158,  4159,  1076,  2803,  5234,  2587,  4528,  3617,  1034,  2170,
    1015,  3477,  5235,  -846,  1190,  1035,  1509,  2598,  3908,  3480,
    3385,  3482, -1491,   707,  1189,  3285, -1488,  2161,  3476,  4005,
    1035,   216,  1930,  1191, -2236,  3922,  3184,  1461,  5145,   707,
    2577,  5160,  1976,  1178,  4342,  1781,  2162,  2001,  1213, -2265,
    2578,  1073,  1766,  3453,   707,  1162,  4702,   707,  4499,  5355,
     861,   375, -1488,  1179,   224, -1488,  4171,  2579,  1237,  3731,
    5555,  1930,  2642,  1180,  2739,  1057,  1105,  1977, -1491,  3661,
    5171,  5167,  2002,  4529,  3498,  3788,  3475,  1410,  1074,  1075,
    4521,  4785,   910,  4786,  3465,  4111,  1237,  5313,  2599,  2601,
    1760,  2117,  3466,  4510,   235,  3467,  3789,  2588,  3488,  2602,
    3233,  4670,  2003,  3975,  1766,  1061,  3522,   238,  3909,  3499,
    4037,  1768,  1999,  4006,  1237,  1237,  1237,  5356,  1237,  1853,
      37,    38,    39,    40,  2742,  4511,  3528,    44,   248,  4530,
    2375,  4531,  1555,  3732,   851,  5564,  4038,  3783,  1237,  3500,
     739,   739,  3241,  2966,  3373,  4751,  4512,  4752,  2170,  3811,
    2643,  1769,  5195,  2401,  2402,  4590,  3790,  5371,    35,  5236,
    4311,  3349,  1106, -2216,   206,  1181,    41,    42,  1978,  3454,
   -1491,   868,  5368,  1768,   707,  1826,  1827,  2417,  5164,   927,
    1069,  3834,   707,   707,  1805,   862,  1761,  1070,   851,  1805,
    1805,   216,  1237,   423,  2580,  1104,  3234,   422,   422,  5165,
    5249,  4653,  1394,  3286,  2170,  3287, -1491,  4656,  4657, -1491,
    4659,  2000,  1556,  5398,   869,  4787,  3215,   927,  1010,  3860,
    4180, -2216,  1237, -2236,   224,  3086,  1237,  1237,  3403,  3878,
    1182,  3305,  3374,  3104,  3878,  1131,  2119,   929, -2265,  3878,
     858,  2746,  3878,  2603,  1858,   739,   422,   423,   423,   423,
    3880,  3019,   851,  2540,  1304,  3880,  4591,  1366,  2518,  1367,
    3880,  5048,   927,  3880,   235,  4183,  2514,   707,   852,  3716,
    1304,  3986,  3878,  2344,  1144,   929,  1275,   238,  2604,  2626,
    2730, -2236,  3382,  3031,  3404,  4270,  3878,  2120,  5014,  1138,
    1101,  2532,  2534,  3880,  5310,  1859, -2265,   423,   248,  2438,
    1183,  5015,  2350,  4245,   423,  1461,  4249,  3880,  3269,  3306,
    4575,   423,   249,  3917,  5307,    37,    38,    39,    40,  3637,
     929,  1096,    44,  3359,  1873,  5483,  1951,  3963,  1873,  -539,
    3032,  2170,  2352,  3288,  3791,  3792,  3793,  1724,  3794,  3795,
    3796,  3797,  3798,  3799,    35,   430,  2692,  1305,    37,    38,
      39,    40,    41,    42,    43,    44,  -435,  1805,   858,    45,
    1766,  3033,  1096,  1305,  4002,  1767,  1395,  1805,  1095,  2682,
    1461,  2121,  5124,  3540,  5126,  1154,  4576,  5245,  2924,   868,
    4482,  4900,  4901,  3034,  2387,   937,   852,   938,  1860,  1306,
    3381,  2344,  3405,  1410,  3035,  3883,  2511,  4988,  3360,  2512,
    2683,  4444,  4978,  1725,  1461,  1306,  2463,  4187,  3317,  1095,
    2731,  2073,  4997,  2732,  3036,  5393,  1582,  2438,  2403,  3037,
    1396,  5007,   869,   937,  3878,   938,  1397,  1805,  3361,  1768,
    1805,  1805,  4989,   430,  3655,  1867,  3948,   430,  1861,  4483,
    1867,  1307,  1168,   421,  2464,  3880,  4188, -1537,  3406,  2073,
    2352,    45, -1537,  3460, -2093,  1410,   851,  1307,  -173,  2411,
    4189,  5016,  3318,  3362,   707,  -435,  1096,  3038,   937,  1769,
     938,  2903,  4445,  1862,  2427,  4990,  1175,   209,    37,    38,
      39,    40,  5432,  2404,  -173,    44,  1461,  2693,  3039,  3878,
    5575,  1720,  4526,  2513,   943,  2692,  3702,   421,   421,   421,
    1805,  1461,  4446,  1863,  2730,  4671,  3994,  3525,  4317,  2815,
    3880,  3313,  3892,  1095,  2694,   423, -1537,  4447,  1873,  2670,
    1461,  2671,  4893,  3208,  5600,  3505,  1172,  4448,  4360,  3013,
    4361, -2615,  1864,  1387,  1865,  3002,   707,  2695,  1387,  2696,
     707,  3025,  2466,    37,    38,    39,    40,   421,  4190,  1433,
      44,   887,   707,  4449,   421,  3506, -1537,  3363,  2682,     8,
    3317,   421,   858,  1954,  1388, -1017,  4227,  1461,  4099,  1388,
    4672,  2412,  2690,  2170,  1210,  4236,  1989,  2672,  3040,   375,
    1237,  3468,  1866,  1516,  1955,  3041,  1461,  4894,  4017,  2683,
     852,  3042,  1237,  4171,  3184,  2736,  1389,  2467,  1461,  3184,
    3191,  4224,  3915,  5511,  3131,  3184,  3132,  2419,  5220,   379,
    1461,  1990,  4860,  4040,  3983,  1991, -2093,  4548,  1734,  4556,
     209,  2822,  1735,  3043,   216,  1237,  3044,   707,   707,  3133,
    1959,  4450,  5405,  1227,  2731,  3468,  2693,  2732,  5421,  5221,
     707,  1992,  1390,  2969,  3045,  2970,  2008,  1390,  2420,  2972,
    1461,  2973,  4362,  1461,  2975,   707,   707,   224,  2976,  5406,
    2463,   920,  4363,  2694,    81,  1960,  1351,    81,  4578,  3046,
    3878,    79,   379,  4643,    79,  1348,  3024,   707,  1349,  1850,
    4332,  1350,   375,  1151,  3845,  4321,  2695,  3047,  2696,  5341,
    1216,  3880,  3507,  4644,  5342,  3878,  1594,   235,  2464,  3784,
    4351,  1410,  5054,  3785,  3786,  3787,  4962,   870,  4963,  4964,
    4560,  4565,  4965,  2838,  1851,  2777,  3880,  1237,  1242,  4020,
    4401,  2690,  3508,  4322,  3191,  1954,   911,  1594,  3134,  4377,
    3784,  4770,  2870,  3135,  3785,  3786,  3787,  4444,  3136,  5343,
    1007,  1244,  5596,   927,  1852,   249,  1955,  4337,   851,  5164,
    2778,  4402,  2465,   970,  1237,  1237,  3706,  3224,  4286,  4287,
    1237,  1237,  4725,  1258, -1011,   421,  3071,  1237,  1237,  1237,
    5165,  1288,   121,  1237,  4196,  1237,  1237,  1237,  1237,  1237,
    1237,  3501,  1237,  4972,  1237,  1237,   209,  3215,  1237,  3836,
     125,  3837,  1102,  4071,  1040,  1801,  2466,  1289,  2779,  1275,
    4876,   929,  1461,  1237,  1237,  1237,  1237,   423,  4445,  1745,
    2780,  1237,  2008,  4973,  3838,  1237,  3502,  5601,  1237,  1162,
    5602,  1237,  1237,  1237,  1237,  1237,  1237,  1237,  1237,  1237,
    3307,  1237,  3310,  4353,  2198,  2781,  1410,  5216,  4446,  1237,
      35,  4180,  1237,  4065,  1257,  3605,  3503,  4181,    41,    42,
     422,  2467,  5562,  4447,   858,  2199,  4066,  2146,  4182,  3643,
    1855,  1594,  4713,  4448,  3784,  3137,  5025,  4382, -2824, -2824,
   -2824,  3304,  1716,  3243,  2556,  3138,  2147,  3993,  2692,  3927,
    1294,  4076,   852,  3878,  3367,  5585,  4183,  1302,  4184,  4449,
    3789,  2665,    80,  2407,  1303,  1856,  2146,  1962,  3756,  4626,
    2666,   423,  2962,  1746,  3880,   422,  1237,   422,  5084,  2557,
    4171,  3300,  4424,  3121,  4335,  2147,  4077,  5508,  3839,  2146,
    4627,  3789,  2918,  3840,  2665,  1857,  5164,  1353,  3961,  2148,
    1356,  3972,  3973,  2673,    35,  4523,  4524,  1358,  2147,  2558,
    2209,  4445,    41,    42,  2210,  1963,  4078,  5165,  1361,   937,
    3790,   938,  2150,  1734,  5615, -2072,   423,  1735,   423,  3968,
    2057,   940,   851,  3590,  2134,  4185,  2563,  4450,  1200,  4506,
    1374,  4446,   942,  5258,  2134,  2073,  2563,   707,  2750,   706,
    1805,  3790,  3614,    35,   430,  -538,  4838,  3615,  4179,  3086,
    3086,    41,    42,  3615,  3086,    81,  4448,    81,    45,  1369,
    1835,  1370,    79,  1461,    79,  2209,  1382,  1461,  1461,  2959,
    4291,  4292,  4293,  4294,  4295,  5172,  5241,   707,  4296,  2693,
    3461,   423,   707,  4186,  4338,  3757,   707,  1964,  4187,  3758,
    1757,  3086,  3086, -1488,   707,  4212,  1391,  5338,  3810,  5340,
    3812,  3813,   955,  5344,  1392,  5345,  2694,  5085,   973,  2134,
    3841,  1853,   707,  2924,  2297,  1237,   249,   421,  3459,  4544,
    3842,   129,   130,  4293,  4294,  4295,  1237,  4188,   858,  2695,
    1461,  2696,  3462,  1237,  1218,  1965,  1060,  1410,  1966,  1410,
    1393,  4189,  1461,  4094,  1402,   851,  1219,  1220,  2738,   851,
    1399,  3108,  4102,  4325,  3111,   707,   852,  2218,  1413,  2219,
    4450,  2284,  1417,  2285,  2690,  1221,   430,  1096,  1222,  4758,
    4759,  4760,  2022,   707,   707,  3790,  1462,  1968,  4197,  1013,
    4199,  3591,  1461,  2444,  1470,  2445,  3463,  2438,  3791,  3792,
    3793,  1471,  3794,  3795,  3796,  3797,  3798,  3799,  2447,  1014,
    2448,  2896,  4909,  2897,   423,   707,  1476,  1410,   423,  4460,
    2134,   421,  2563,  2961,  1095,  2962,  1508,   430,  1970,  3791,
    3792,  3793,  1487,  3794,  3795,  3796,  3797,  3798,  3799,  4190,
    1496,  2982,  1015,  2983,  2141,  2142,   707,  3469,    45,  2984,
     707,  2983,    37,    38,    39,    40,  1008,   375,  4263,    44,
    1511,   858,  1805,  3606,  3016,   858,  3017,  1972,   707,  1550,
    1805,  3214,  1805,  3215,  1554,  3379,   421,  3380,   421,   707,
    5190,  4465,  4466,  4467,  2495,  2496,  4205,  2692,  4208,   852,
    3464,  1558,   707,   852,  3927,   851,  3450,  1223,  3451,  3927,
     707,  3469,    35,  2439,  3229,  3230,    37,    38,    39,    40,
      41,    42,  1565,    44,  1156,  4291,  4292,  4293,  4294,  4295,
   -1691, -1691, -1691, -1691,  3432,  4743, -1538, -1691, -1561, -1561,
    3592, -1538,  2298,  2495,  3253,  3191,  1224,  3563,  3568,  3564,
    3569,   421,  3889,  3890, -1500,  1237,  1461,  3630,  3664,  3631,
    2962,  2307,  2343,  1571,   423,  2344, -1500,  5541,   193,  1573,
    3469, -1500,  1572, -2824, -2824, -2824,  3469,  3794,  3795,  3796,
    3797,  3798,  3799,  3593,  1579,  1157, -1698, -1698, -1698, -1698,
    1580,  2323,  1152, -1698,  2350,  1582,  3708,  2776,  2983,  3755,
   -2824,  2962,  2692, -1056, -1056, -1538,  2336,  3764,  3469,  2962,
    3465,   858,  3770,  1581,  2962, -1500,   206,  1583,  3466,  2692,
    1584,  3467,  3062,  1585,  2352,  1594,  1461,  3771,  3784,  2962,
     707,  1588,  3785,  3786,  3787, -1500,  1152,  1591,  2693,   852,
    4660,  4648,  1237,   216,  1719, -1538,  4331,  1589,  3772,  4810,
    2962,  1722,   216,  1158, -1689, -1689, -1689, -1689,  5025,  1727,
    3803, -1689,  2962,  1726,  1728,  2694, -1692, -1692, -1692, -1692,
    3573,  1733,  1747, -1692,   421, -1500,   224,  1754,   421,  4735,
    3816,  1755,  2962, -1500,  3821,   224,  3822,  1757,  2695,  3833,
    2696,  3063,   707,  3861,  1758,  3862,  1200,  1764,  4949,  4950,
    1237,  4952,  3370,  1779,  1780,  3866,  3867,  3868,  1162,  1162,
    3863,  1162,  3864,  4058,  1784,  4059,   235,  4792,  1794,  3445,
    1016,  1786,  4063,  2690,  4064,   235,  4257,  1795,  4258,   238,
   -2824,  4284,  4383,  2962,  4384, -2824,  1229,  4803,   238,   707,
    1805,  1790,  2692,  2693,  4393,  1251,  4394,  1791,  1796,  1152,
     248,  3064,  1799,  1806,  3065,  1461,  4404,   707,  2962,   248,
    2693,  4490,  1797,  4491,  1017,   707,  4495,  1807,  4496,  1237,
    2694, -2824,  1461,  5542,  4664,  1237,  4665,  1594,  1159,  1809,
    3784,  1354,   851,  1461,  3785,  3786,  3787,  2694,   851,  4505,
    1798,  3287,  1237,  2695,  4527,  2696,  2983,  1237,  4600,  1838,
    4601,  4811,  2692,  1800, -1690, -1690, -1690, -1690, -1500,  1839,
    2695, -1690,  2696,  4704,   421,  2983,  2359,  1847,  1883,  3789,
    1237,  1237,  1237,  1841,  1853,  1237,  2692,  4764,  2690,  2273,
    4782,   955,  2962,  1237,  1237,  1237,  1237,  4808,  1888,  3017,
    1415,   423,  4106,  1912,  1914,  2690,  1237,   423,  3066,  1237,
    1466,  1237,  4820,  4878,  2962,  3287,  4884,  4890,  4885,  2983,
    1916,  1917,  1237,  1237,  1949,  4891,  1237,  2983,  1734,  1950,
    1948,  1757,  1735,  4761,  5009,  5059,  5010,  5060,  1946,  3790,
    1237,  1351,  1237,  2693,  1237,  1951,  1953,   379,   858,  1961,
    1348,    74,  1984,  1349,   858,  5061,  1350,  2962, -2824,  5069,
    1958,  3017,  4112,  1985,  1237,  1594,  1997,  5143,  3784,  5144,
    2694,  4713,  3785,  3786,  3787,  1237,   852,  1237,  1237,  1237,
    2006,  5217,   852,  2983,  4994,  5242,  4141,  5243,  5260,  5268,
    3017,  5269,  5273,  2695,  3215,  2696,  2007,  5279,   707,  4234,
    2011,  2016,  1237,  2693,  5281,  1805,  4234,  3817,  5293,  5331,
    5294,  5332,  3067,  3824,  5367,  1237,  2406,   193,  2017,  5385,
    1237,  5294,  5399,  5400,  3017,  3822,  1237,  2693,  2690,  2018,
    2694,  3789,  3086,  3086,  3086,  3086,  1237,  1891,  3086,  3086,
    3086,  3086,  3086,  3086,  3086,  3086,  3086,  3086,  5401,  2025,
    2962, -2824,  2023,  2695,  2694,  2696,  2026,  2031,  2366,  2367,
    2368,  2369,  2370,  2371,  3927,  4386,  5550,  5551,  2035,  5411,
    1892,  3215,  2028,  2036,   216,  1461,  2042,  2695,  1461,  2696,
    1461,  5414,  5436,  4234,  3017,  1461,  2043,   707,  2690,  2046,
    1594,  3790,  2048,  3784,  3086,  3086,  2051,  3785,  3786,  3787,
    1893,   216,  2054,   707,   707,  2061,  5442,   224,  3017,  1237,
    2064,  5443,  2690,  3017,  5469,  1045,  5470,  3791,  3792,  3793,
    2066,  3794,  3795,  3796,  3797,  3798,  3799,  2057,  1894,  1849,
     707,  2075,  2077,   707,   224,  2078,  1461,  1045,  -193,  5500,
    1346,  3215,  5501,  5502,  2962,  2962,  5504,   235,  2962,  2080,
    5521,   421,  5522,  1461,   851,   851,   851,   421,  2082,  3789,
     238,  1895,  5558,  5561,  4234,  5287,  5584,  5598,  5294,  5599,
    2094,  2096,  4688,  4689,   235,  5624,  2103,  5599,  1461,  2105,
    1763,   248,  1765,  2109,  4837,  4693,  4840,   238,   887,  2114,
    2122,  2127,  2129,   851,  2128,   249,  1896,  5622,  5623,  2130,
    1411,   973,  4867,  2134,  2138,  2137,  2140,  2154,   248,  2167,
    2166,  2169,  2170,   423,   423,   423,  5272,  2177,  2180,  3790,
    2181,  2182,   249, -1270,   375,  2183, -1270,  5272,  2184,  1897,
    2185,  2187,  2192,  2193,  2194,  2216,  2195,   707,    80,  2197,
    2027,  2202,  2281,  2250,  2286,  2295,  2288,  1461,  2296,  1461,
     707,  2034,   423,  2302,  2289,   707,  2303,  1898,  1899,  2304,
     858,   858,   858,  2305,   707,  2306,  2376,   249,  2308,  3791,
    3792,  3793,  2309,  3794,  3795,  3796,  3797,  3798,  3799,  2692,
    2310,  2311,  2378,  2692, -2824,  2312,  2313,   375,   852,   852,
     852,  2315,  1900,  2316,  2317,  2318,   209,  1567,  2319,   858,
    1901,  2320,  2321,  2322,  2324,  5329,  2325,  1902,   851,  2326,
    1461,  2380,  2327,  4418,  1903,  2328,  2329,  2381,  2330,  2107,
    2331,  1559,  1904,  2410,  2406,  2422,  1540,   852,  2432,   707,
    2443,  1587,  2452,  1767,  1905,  1461,  2481,  2483,  1769,   950,
    4281,  1701,  1906,  2492,  3790,  1713,  1411,  1715,  2494,  2501,
    1189,  4240,  2509,  2515,  2517,  2527,  2519,  2528,  4091,  2530,
    3129,  4252,  4165,  1461,  4865,  2535,  2537,   423,  1461, -2767,
    1805,  2559,  2560,  2539,   707,  1805,   707,  2563,  2561,  4549,
    2566,  2564,  2565,  4579,  1259,  4280,  2567,  2575,   707,  2568,
     707,  1260,  1261,  1262,  2569,  2594,  1907,  3791,  3792,  3793,
    2600,  3794,  3795,  3796,  3797,  3798,  3799,  2628,  2632,  2634,
    5412,  2606,  2636,  2637,   858,  2639,  2635,  2640,  2655,  2656,
    2693,  1152,  2657,  2668,  2693,  2669,  2680,  1461,  2684,  2686,
    3086,  2687,  2689,  2688,  2690,   706,   706,  2698,   961,  1152,
    1836,  2700,   852,  2699,   707,  1461,  2702,  2694,  2701,  2716,
    2718,  2694,  4981,  5262,  2726,  4426,  4427,  4428,  4429,  2707,
    1461,  2708,  5335,   421,   421,   421,  2722,  2733,  1930,  2762,
    2695,  2723,  2696,  2822,  2695,  2745,  2696,  2734,  2763,  1275,
    2740,  2767,  2741,  2768,  2751,  2752,  2764,  2789,  2790,  5317,
    2772,  2775,  2338,  2791,   375,  2797,  2805,  2806,  2808,   707,
    2809,  2818,   421,  2812,  2810,  2690,  2823,  5320,  2826,  2690,
    5188,  2817,  2827,  1237,  5095,  5123,   707,  5325,  4907,  5327,
    2830,  5110,  3791,  3792,  3793,  2831,  3794,  3795,  3796,  3797,
    3798,  3799,   922,  2834,  2839,  1978,  2854,  2859,   707,  2872,
    2875,   707,  2876,  2884,  2890,  5116,  2892,  2899,  2910,  2912,
    2913,  2888,  2919,  2921,  2922,  1805,  2931,  2934,  1237,   851,
    2933,  1461,  2935,  2936,  2953,  2978,  2954,  1237,  2893,  2995,
    2917,  2904,  2918,  1237,  3001,  1237,  2979,  3014,  1237,  3103,
    3059,  4945,  1461,  1237,  1237,  1237,  1237,  3109,  3027,  1237,
    1237,  1237,  1237,  1237,  1237,  1237,  1237,  1237,  1237,  3054,
    2344,  3927,  1237,  1237,  3122,  3128,  3113,  1461,  3140,  3162,
    3142,  3163,  1237,  3177,  3202,  3194,  1237,   421,   423,  3197,
    1237,  5448,  3195,  2343,  3205,  3200,  2344,  3206,  1237,  3204,
    1157,  1237,  3225,  1237,  3216,  5454,  5456,  3226,  3926,  3217,
    3227,  1461,  1237,  3228,  3238,  1237,  1237,  3244,  3259,  3261,
    1237,  1237,  3262,  2396,  3276,  2350,  3277,  1237,  3289,  5404,
    3279, -2824,  3291,  3290,  3308,   858,  3315,  1237,  3311,  1237,
    3313,  5413,  3342,  3316,  3332,  3333,  5415,  3322,  5417,  3335,
    3346,  1237,  3338,  3354,  3327,  2352,  3355,  1237,  1237,  1237,
    3371,  3358,  3372,   852,  3377,  1716,  1720,  5214,  3388,  3393,
    3394,  3407,  3412,  3413,  3434,  3439,  1891,  3440,  3442,  3449,
    4744,  3455,  3452,  1172,  3470,  3513,  3531,  3524,  3532,  3536,
    3537,  3543,  3544,  3535,  4388,  3545,  1411,  3546,  3547,  3551,
      80,    80,  4608,    80,  3558,  1237,  3554,  3562,  3556,  1892,
    3582,  5267,  3565,  3570,  3596,   697,  5523,  3600,  1237,  1411,
    3844,  3607,  3613,  3621,  3598,  3616,  3623,  3625,  3622,  3624,
    3636,  3635,  3633,  3640,  1461,  3653,  3654,  3657,  3639,  3658,
    5131,  3659,  3660,  3662,  3667,  3665,  3670,  2512,  3671,  1237,
    3682,  3668,  3696,  3669,  5176,  3680,  3681,  3691,  3693,  5337,
    3697, -2824,  3700,  3701,  3710,  2277, -2824,  1894,   851,  3713,
    3711,  3712,  3722,   851,  3733,   851,  3215,  2203,  3715,  5448,
    3028,   707,  3724,  3725,  5152,  3726,  1265,  1266,  1267,  1411,
    1268,  1269,  1270,  1271,  1272,  1273,  5177,  3736,  3741,  1556,
    1895,  3750, -2824,  3743,  3748,  3769,  3747,  3753,  3751,  3766,
    2962,  3767,  3768, -1950,  3773,  3774,  3818,  3776,  3779,  3780,
    3835,  5178,  3802,  3808,  5568,  3815,  3843,   423,  3829,  3853,
    3855,  3856,   423,  1461,   423,  1896,  3830,  5179,   421,  3852,
    1805,  5180,  3857,  3883,  3933,  3935,  3929,  2359,  3937,  3939,
    3966,  3943,  3950,  3974,  3985,  1275,  5147,  3976,  3859,  3956,
    3977,  5181,  2340,  3988,  5182,  3888,  4024,  4026,  1897,  3990,
    3955,  2342,  3997,  3954,   858,  2209,  4031,  5183,  4032,   858,
    3981,   858,  4013,  3959,  4014,  2385,   707,  3982,  3927,   707,
    4030,  4033,  3960,  4043,  4044,  4046,  4054,  1899,  4062,  1275,
    4072,  4052,   852,  4093,  4053,  4097,  4095,   852,  4098,   852,
    4104,  4101,  4103,  4115,  4116,  4132,  1411,  4105,  4117,  2416,
    2418,  4113,  4120,  4114,  1411,  1411,  4118,    74,  4119, -2824,
    4121,  4122,  4123,  4124,  4125,   209,  4128,  2648,  3432,  1901,
    4574,  4127,  4126,  2514,  4136,  4720,  1902,  4129,  1045,  4134,
    1045,  1237,  1045,  1903,  4138,  2760,  4140,  5184,  1045,  1538,
    1539,  2649,  4147,  4153,  4154,  5185,   704,  4156,  4163,  4176,
    4221,  4203,  4219,  1905,   707,   707,  4204,  4223,  1461,  4225,
    4233,  1906,  1045,  1045,  4210,  4234,  1410,   707,  4241,   707,
    4243,  4246,  4250,  4247,  4251,  4255,  4254,  4267,  4278,  2156,
    1918,  3086,  5186,  4288,  4313,  4301,  1919,   422,  4280,   706,
    5062,  4290,  4303,  4324,  4326,  4314,  2343,  2900,  4315,  2344,
    4316,  4327, -2824, -2824, -2824, -2824,  1461,  1237,  1237,  2366,
    2367,  2368,  2369,  2370,  2371,  1907,  4328,  4319,  4336,  4339,
    4341,  4345,  3805,  1047,  3784, -1949,  1920,  3804,  2350,  4395,
    4406,  5431,  2297,  2343,  2351,  4407,  2344,  1158,   423,  4354,
    2336,  4435,  2927,  4419,  4462,  1047,  4379,  4425,  4457,  4485,
    4488,  4380,  4381,  4493,  4475,  4387,  4880,   421,  2352,  4410,
    4443,  4514,   421,  4508,   421,  2350,  4459,  4501,  4472,  4476,
     707, -2824,  4474,  4477,  1805,  1921,  4479,  1918,  1922,  4535,
    4480,  4550,  4537,  1919,  2336,  1923,  4538,  4543,  1924,  4551,
    1045,  1237,  4552,  4553,  4555,  2352,  4557,  4566,  4569,  4581,
    4582,  3129,  1237,  4583,  4584,  4597,  4598,  4596,  2343,  1828,
    4603,  2344,  4605,  1925,  4594,  4595,  4599,  3854,  4602,  4615,
    4606,  4616,  4623,  1920,  4638,  1410,  4640,  4642,  4561,  4645,
    4652,  4654,  1237,  3872,  1251,  4651,  5428,  4655,  4658,  4269,
    2350,  4678,  1237,  1237,  1926,  1461, -2824,  4675,  4914,  1237,
    1237,  4667,  4683,  4685,  1237,  1461,  1045,  4691,  2743,  1237,
    4411,  4698,  1237,  1237,  2353,  4868,  4697,  1237,  4700,  2354,
    2352,  2983,   375,  1237,  4701,  1922,  4717,  4733,  4718,  4731,
    4736,  4739,  1923,  4762,  4730,  1924,  4757,  4766,  4737,  4768,
    4784,  1237,  4769,  4734,  3872,  1237,  4773,  1151,  4774,  4742,
    4741, -2824,  1927,  4776,  1928,  2357, -2824,  1237,  4793,  4779,
    1925,  4788,  1237,  4789,  1929,  4794,  4795,  4797,  1237,  4796,
    4801, -1951,  1930,  4816,  4829,  4828,  4831,  4833,  4834,  4841,
    4862,  4842,  1931,  4849,  4846,  4414,  1237,  4847,  4850,  4852,
    4853,  1926, -2824,  4854,  4873,  4866,   851,  4881,  4877,    81,
    2359,  1275,  3086,  4886,  4879,  4887,    79,  4895,  4920,  4912,
    2850,  4913,  4919,  4921,  4932,  1237,  4942,  1932,  4935,  4944,
    1933,  1934,  4947,  4953,  4948,  4961, -2824,  4966,  4974,  4975,
    4982, -2824,  4991,  1461,  4987,  4992,  4993,  2359,   421,  4995,
     851,  5020,  5000,  5011,  5002,  5021,  5022,  1935,  5023,  1927,
     707,  1928,  5018,  5031,  5036,   423,  5041,  5046,  5045,  5055,
    5065,  1929,  5056,  1410,  1461,  5063,  5066, -2824,  5058,  1930,
    5067,  5068,  5081,  5088,  5074,  5092,  5108,  5117,  5114,  1931,
     707,  5120,  2361,  5136,  5125,  1461,  5121,  5140,  5149,  5139,
    5170,  5189,   707,  5191,  5154,  5155,  5159,  4674,  5198,   423,
    1461,  5200,   858,  1237,  5201,  5203,  5204,  1805,  5205,  5224,
    1936,  5225,  2359,   707,  1986,  5223,  5229,  1933,  1934, -2824,
    5227,  5232,  5233,  5244,  5248,  5263,  5254,  5246,  5247,  5266,
     852,  5270,  5287,  5275,  5278,  5283,    80,  5352,  5309,    80,
    5311,  5324,  5282,  1461,  1987,  5285,   858,  3645,  5291,    74,
      74,  5302,    74,  5361,  5357,  5362,  5364,  5369,  5374,  5380,
    5381,  5382,  5389,  5390,  5392,  1237,  1891,  5391,  1045,  5397,
    5403,  5419,  5410,  5420,   852,  2362,  1237,  5402, -2824, -2824,
   -2824,  5416,  2366,  2367,  2368,  2369,  2370,  2371,  5423,  5424,
    5435,  5439,  5318,  5453, -2824,  5459,  5460,  5426,  5463,  1892,
    5465,  5468,  5471,  5473,  5474,  4091,  5480,  1936,  5481,  5482,
    5488,  5489, -2824,  5498,  5517,  5524,  5461,  4420,  5510,  2366,
    2367,  2368,  2369,  2370,  2371,  5512,  5462,  5532,  5553,  1461,
    5559,  1461,  5572,  3337,  5593,  5597,  5536,  1253,  3070,  5603,
    1251,  5531,  5604,  5607,  1282,  5591,  5594,  5592,  5611,  5616,
    5617,  5612,  5618,  5619,  5620,  1299,  1170,  1894,  2773,  1957,
    1915,  2429,  3602,  4039,  3918,  3438,   707,  4572,  1982,  1981,
    3523,  4162,  4661,  5346,  5447,  5570,  5226,  4687,  4979,  5228,
    5213,  3979,  1237,  3709,   697,  5513,  1461, -2824,  5466,   697,
    1895,  1237,  5129,  5566,  2366,  2367,  2368,  2369,  2370,  2371,
     697,  5530,  5464,  3984,  4721,   421,  4705,  4682,  1237,  1237,
    3580,  3581,  1237,  4570,  4056,  2851,  4694,  3571,  4229,  2343,
    3646,  5115,  2344,  4996,  5571,  1896,  1237,  5621,  5608,  5202,
    4164,  1237,   375,  5534,  4177,  2833,  1237,  5153,  5441,  1237,
    1237,  5518,   375,  5156,  1065,  3199,  4763,  1237,  1237,   421,
    2270,  2350,  5297,  2283,  3282,  4727,  3967, -2824,  1897,  5387,
    4135,  4939,  1412,  1488,  5113,  3021,   375,  1152,  1045,  1237,
    3023,  5544,  3022,  1045,  1045,  5610,  2574,   707,  3210,   707,
    3211,  2352,  4708,  1237,  2968,  4869,  5507,  1899,  2217,  1152,
    4497,  3705,  2449,  2391,  3925,  2478,  2477,  3237,  3934,  3932,
    4473,  5503,  5418,  4857,  3236,   851,  2482,  3936,  4438,  4827,
    4839,  5277,  2487,  4434,  5409,  5408,  4498,  1461,   707,  5261,
    5218,  4297,  1730,  4389,  1805,   209,  5111,  1237,  5505,  1901,
    5506,  5497,  3167,  3928,  3850,  3761,  1902,  3920,  4279,  3848,
    1203,  3656,  2116,  1903,  3176,  5237,  4415,  2895,  2510,   706,
    1539,  2649,  5490,  1173,  3263,  2500,  2493,  1846,  1507,  3254,
    2278,  3913,  3270,  1905,   423,  1836,  1817,    80,  2524,    80,
    1237,  1906,  3267,  4503,  3268,  2531,  2533,  4858,  4504,  2395,
    4478,  2497,  1196,  3274,  3707,  2980,  2206, -2824,    83,   382,
       0,  3648, -2824,     0,     0,   382,     0,     0,     0,  1545,
     700,     0,  1818,     0,     0,     0,  1411,     0,     0,     0,
       0,   858,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1237,     0,  1461,     0,  1907,     0,   382, -2824,  3649,
    4269,     0,     0,     0,     0,     0,     0,     0,     0,   852,
       0,  1045,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1045,     0,  1237,  1461,     0,  1237,     0,  1237,  2336,
       0,   697,   697,     0,  2343,     0,     0,  2344,     0,     0,
    5175,     0,   382,  2359,  1715,  4433,     0,  4436,     0,     0,
       0,     0,  1237,   851,     0,     0,  1237,     0,     0,     0,
       0,     0,  1461,     0,     0,     0,  2350,  1237,     0,     0,
       0,     0, -2824,     0,     0,     0,     0,     0,     0,     0,
       0,  1045,     0,     0,  1045,  1045,     0,     0,  1918,  1237,
    1091,     0,     0,     0,  1919,     0,  2352,     0,  1091,     0,
    1091,     0,     0,     0,     0,     0,  1047,     0,  1047,     0,
    1047,     0,   423,   382,     0,     0,  1047,     0,  1461,     0,
    5375,     0,  1461,  1461,     0, -2824,  3745,  1237,     0,     0,
       0,     0,  3749,     0,  1920,     0,     0,     0,     0,     0,
    1047,  1047,     0,   707,     0,     0,     0,     0,     0,     0,
    1805,     0,     0,     0,  1045,     0,     0,     0,     0,   858,
       0,  4814,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1237,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,  1922,   852,     0,     0,
    3542,  1237,     0,  1923,     0,     0,  1924,     0,  3542,     0,
       0,     0, -2824,     0,     0,     0,  3542, -2824,  3542,     0,
       0,  1461,  1461,     0,     0,     0,     0,     0, -2824,     0,
       0,  1925,  5396,     0,     0,  2366,  2367,  2368,  2369,  2370,
    2371,     0,     0,  2894,  1237,     0,     0,  1237,     0,     0,
       0,   851,     0, -2824,     0,     0,  1237,     0,     0,     0,
       0,  1237,  1926,  1237,  3608,  1237,     0,  2906,     0,     0,
       0,     0,  1237,     0,     0,     0,     0,  2914,  1047,  2915,
       0,     0,  3881,     0,   382,     0,  2920,     0,     0,  1237,
    5590,  2923,   704,   704,  3638,     0,     0,  1833,  2359,     0,
       0,     0,  1411,     0,     0,     0,     0,     0,     0,     0,
     423,     0,   707,     0,     0,     0,     0,     0,     0,   382,
    1927,     0,  1928,     0,     0,     0,     0,     0,  3677,     0,
       0,     0,  1929,     0,     0,    74,     0,     0,    74,     0,
    1930,     0,     0,  3881,  1047,     0,     0,     0,     0,     0,
    1931,     0,  1237,     0,     0,     0,     0,   858,     0,  2343,
       0,     0,  2344,     0,  1411,     0,  2345,  2346,  2347,     0,
       0,     0,   421,     0,     0,     0,     0,     0,     0,  5535,
   -2824,     0,     0,  1237,  1237,   852,     0,     0,  1933,  1934,
       0,  2350,  5549,     0,  1237,     0,     0,  2351,   379,     0,
       0,  5546,   707,     0,  5547,     0,     0,  5548,     0,     0,
       0,     0,     0,     0,  1237,  1935,  5175,     0,     0,     0,
       0,  2352,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3060,  3061,   375,     0,     0,  3645,
       0,  3075,  3076,     0,     0,     0,     0,  5549,     0,     0,
       0,     0,     0,   379,     0,   851,  5546,     0,  1891,  5547,
    1237,     0,  5548,     0,     0,     0,  1237,  1237,     0,  1237,
    3114,     0,     0, -2824,     0,     0,     0,     0,  1936,     0,
    2366,  2367,  2368,  2369,  2370,  2371,     0,     0,  1237,     0,
       0,  1892,     0,     0,     0,     0,     0,     0,     0,   375,
     707,     0,     0,     0,     0,     0,     0,  5549,     0,     0,
       0,     0,     0,   379,   423,     0,  5546,     0,   851,  5547,
       0,  5581,  5548,     0,     0,     0,  2524,  2353,     0,     0,
       0,     0,  2354,     0,     0,     0,     0,   851,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1894,
       0,     0,     0,  2355,  2356,     0,  2343,     0,     0,  2344,
     421,   858,     0,     0,     0,     0,     0,     0,  2357,     0,
       0,  1237,  1237,     0,     0,     0,     0,   423,     0,     0,
       0,     0,  1895,     0,  5581,  1237,     0,     0,  2350,   852,
       0,  1045,     0,     0, -2824,     0,   423,  1237,  1237,     0,
    2358,     0,     0,  5581,     0,     0,  1047,     0,     0,     0,
    1411,     0,  3646,  2359,     0,     0,     0,  1896,  2352,     0,
    5580,     0,     0,     0,   858,     0,     0,     0,     0,  3872,
       0,     0,     0,  3872,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   858,  1045,   697,     0,     0,     0,     0,
    1897,     0,   852,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1828,     0,    74,     0,    74,     0,
       0,   852,     0,     0,     0,     0,   375,     0,     0,  1899,
       0,     0,     0,  5580,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2361,     0,     0,     0,     0,
       0,     0,  5580,     0,     0,  1045,     0,     0,     0,     0,
       0,     0,     0,     0,  2608,     0,     0,   209,     0,     0,
       0,  3647,     0,     0, -2824,     0,     0,     0,  1902, -2824,
       0,     0,     0,     0,     0,  1903,     0,     0,     0,     0,
       0,     0,     0,  2649,     0,  1411,     0,  2609,     0,     0,
       0,     0,     0,     0,   382,  1905,     0,     0,   382,     0,
    2610,     0,     0,  1906,   421, -2824,     0,     0,     0,     0,
       0,     0,   700,     0,  2611,     0,     0,     0,     0,   700,
       0,     0,     0,  3648,     0,     0,     0,     0,  2362,     0,
     700,  2363,  2364,  2365,     0,  2366,  2367,  2368,  2369,  2370,
    2371,     0,     0,     0,     0,     0,  1047,     0,     0,     0,
    2359,  1047,  1047,     0,  2612,     0,     0,  1907,     0,   700,
    1251,  3649,     0,     0,   700,  2613,     0,   421,     0,     0,
    3645,  4061,     0,     0,     0,   700,     0,     0,     0,     0,
       0,     0,  2771,     0,     0,  2614,   421,     0,     0,  1891,
    2615,     0,     0,     0,     0,     0,  1045,     0,     0,     0,
       0,   700,     0,     0,  1045,     0,  1045,     0,     0,     0,
       0,     0,     0,     0,  4100,     0,     0,   700,     0,     0,
       0,     0,  1892,   700,     0,     0,     0,     0,     0,     0,
      35,     0, -2824,     0,   700,     0,   704,     0,    41,    42,
       0,     0,     0,     0,  2343,     0,     0,  2344,   700,     0,
       0,  2345,  2346,  2347,  2840,     0,     0,     0,  2853,  2616,
       0,     0,     0,     0,  4133,     0,     0,     0,  2348,     0,
    2771,  2349,     0,     0,     0,     0,  2350,     0,     0,     0,
    1894,     0,  2351,     0,     0,     0,  3542,     0,     0,     0,
       0,  2617,     0,  3542,  3542,     0,     0,  3542,     0,     0,
       0,     0,     0,     0,  3542,     0,  2352,  4161,     0,     0,
       0,     0,     0,  1895,  3881,  4174,  3881,     0,     0,  1047,
    4174,     0,   887,     0,     0, -2824,  1411,     0,  1411,  1047,
       0,     0,  2366,  2367,  2368,  2369,  2370,  2371,     0,     0,
       0,     0,     0,  3646,     0,  1091,  2930,   700,  1896,  1091,
       0,     0,     0,     0,     0,     0,  2618,     0,     0,  3872,
       0,     0,  2619,     0,  3872,  2620,  4232,  3872,   382,     0,
       0,     0,     0,     0,  2771,     0,     0,     0,     0,     0,
       0,  1897,     0,     0,     0,     0,  3672,  3675,     0,  1047,
       0,     0,  1047,  1047,  2621,  4262,  1411,     0,     0,  5122,
       0,  2622,     0,     0,     0,     0,     0,     0,  2623,     0,
    1899,     0,  2353,     0,     0,  2624,     0,  2354,     0,     0,
       0,     0,     0,     0,  3677,     0,  3881,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   700,   700,  2355,  2356,
    2625,     0,     0,     0,     0,     0,     0,     0,   209,     0,
       0,     0,  1901,  2357,     0,     0,     0,     0,     0,  1902,
       0,     0,  1047,     0,  1045,     0,  1903,     0,     0,     0,
       0,     0,     0,     0,  2649,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2358,  1905,     0,     0,     0,
       0,     0,     0,     0,  1906,     0,     0,     0,  2359,     0,
       0,  2360,     0,     0,  1918,     0,     0,     0,     0,     0,
    1919,     0,     0,  2153,  3648,     0,     0,   383,     0,  1091,
    1091,   375,     0,   383,     0,     0,     0,     0,   701,     0,
       0,     0,     0,     0,     0,  1962,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   375,     0,  1907,     0,
    1920,     0,  3649,     0,  2186,   383,     0,     0,     0,     0,
       0,     0,  2196,     0,     0,     0,     0,     0,  2204,     0,
    1314,     0,     0,     0,     0,  1315,     0,     0,     0,  4399,
    2361,     0,     0,  1963,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     383,     0,  1922,     0,     0,     0,     0,     0,  1316,  1923,
       0,     0,  1924,     0,  3872,     0,     0,     0,     0,     0,
       0,  1317,  1318,     0,     0,  2336,     0,     0,     0,     0,
       0,  1319,     0,     0,     0,  1320,     0,  1925,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2336,     0,     0,
       0,     0,     0,  1321,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2524,  1964,     0,  3916,  1926,  1045,
       0,   383,     0,  2362,     0,  1322,  2363,  2364,  2365,     0,
    2366,  2367,  2368,  2369,  2370,  2371,  1323,     0,     0,     0,
       0,     0,     0,     0,  1324,   697,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1325,   700,     0,     0,
       0,  1326,     0,  1965,     0,     0,  1966,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1967,   700,  1928,     0,
       0,     0,     0,     0,  1327,  3292,     0,     0,  1929,     0,
    3296,  1918,     0,     0,  3299,     0,  1930,  1919,     0,     0,
     700,   375,     0,     0,     0,  1968,  1931,     0,     0,  1328,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3323,     0,     0,     0,     0,     0,  2343,     0,     0,  2344,
    1329,     0,     0,  2345,  2346,  2347,   700,  1920,     0,     0,
       0,  1969,     0,     0,  1933,  1934,  1970,     0,     0,     0,
    2348,     0,   700,     0,     0,     0,     0,     0,  2350,     0,
       0,     0,  1330,  3375,  2351,  4174,     0,   700,     0,     0,
     700,  1971,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   697,   383,  1331,     0,  1972,  2703,     0,  2352,  1922,
       0,     0,     0,   887,     0,     0,  1923,     0,  4609,  1924,
       0,  4610,     0,  4611,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3423,     0,     0,     0,   383,     0,     0,
    1332,     0,     0,     0,  1925,  1333,     0,  1334,     0,     0,
       0,     0,     0,  1335,  1936,     0,  1336,     0,  3881,  1047,
       0,     0,  3881,     0,   697,     0,     0,  3542,  3471,     0,
       0,     0,     0,  3542,  3542,  1926,  3542,     0,     0,     0,
       0,     0,  4161,     0,     0,  1337,  3483,     0,  1338,     0,
       0,     0,  1339,     0,     0,     0,     0,  3493,     0,  1340,
       0,  1341,     0,     0,     0,     0,  1342,     0,     0,     0,
    3518,     0,  1047,     0,  2353,     0,   704,   700,   697,  2354,
       0,     0,     0,     0,     0,   700,   700,     0,     0,     0,
       0,  1343,  1833,  1927,     0,  1928,   382,     0,     0,     0,
    2355,  2356,     0,     0,     0,  1929,     0,     0,     0,     0,
       0,     0,     0,  1930,     0,  2357,     0,     0,     0,     0,
       0,     0,     0,  1931,     0,     0,     0,     0,     0,     0,
     375,     0,     0,  1047,  4724,     0,     0,     0,     0,     0,
       0,     0,     0,   375,     0,     0,     0,  2358,     0,     0,
     382,   382,   382,     0,     0,     0,     0,     0,  2704,     0,
    2359,  1933,  1934,  2360,  1045,     0,     0,     0,     0,  1045,
     700,  3677,  3677,  3677,  3677,  3677,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2705,     0,
       0,     0,  4209,     0,     0,     0,     0,     0,  5589,     0,
     382,     0,     0,     0,     0,     0,     0,   382,     0,     0,
       0,     0,     0,     0,   382,     0,  4772,     0,     0,  4772,
       0,  4772,     0,     0,  1091,     0,     0,     0,     0,  1238,
    1240,     0,     0,  1243,     0,  1245,     0,     0,     0,     0,
       0,     0,  2361,     0,     0,     0,     0,     0,     0,     0,
       0,  1936,     0,  4984,     0,  1296,     0,     0,   375,     0,
       0,     0,     0,     0,     0,  1091,  4285,     0,     0,     0,
       0,     0,     0,  3675,     0,     0,  1357,     0,     0,  2343,
    1360,     0,  2344,     0,  1047,     0,  2345,  2346,  2347,     0,
       0,     0,  1047,     0,  1047,     0,     0,     0,  1384,     0,
       0,     0,     0,  2348,     0,     0,     0,  3721,     0,     0,
       0,  2350,     0,     0, -2327,     0,     0,  2351,     0,     0,
       0,     0,     0,  2901,     0,  3735,     0,     0,     0,     0,
       0,     0,     0,  3721,     0,  2362,     0,     0,  2363,  2364,
    2365,  2352,  2366,  2367,  2368,  2369,  2370,  2371,     0,  1045,
       0,     0,  4856,     0,  3775,  4863,  4864,     0,     0,     0,
       0,     0,     0, -2327,     0,     0,     0,   700,  2928,  1091,
       0,     0,  2932,     0,     0, -2327,     0,     0,  2938,  2939,
   -2327,    80,  1918,     0,     0, -2327,     0,     0,  1919,     0,
   -2327,     0,     0, -2327,     0,     0, -2327,     0,     0,     0,
       0,  2955,     0,  3881,     0,     0,     0,     0,  3881,     0,
       0,     0,     0,  3881,     0,     0,  3881,  5090,   382,     0,
       0,     0,     0,     0, -2327,     0,     0,     0,  1920,     0,
       0,     0,   383,     0,     0,     0,   383,     0,     0,   700,
       0,     0,     0,   700, -2327,     0,  3881,  2353,     0,     0,
     701,     0,  2354,     0,     0,   700,     0,   701,     0,     0,
    3881,     0,     0,     0,     0,     0,     0,     0,   701,     0,
       0,     0,     0,  2355,  2356,     0,     0,     0,     0,     0,
    1922,     0,  4174,     0, -2327,     0, -2327,  1923,  2357,     0,
    1924,     0, -2327,     0,     0,     0,     0,   701,     0,     0,
       0,     0,   701,     0,  5151,     0,     0,     0,     0,     0,
       0,     0,     0,   701,     0,  1925,     0,     0,     0,     0,
    2358,     0,     0,  4956,  4957,     0,     0,     0,     0,     0,
     700,   700,  3542,  2359,  3542,  3542,  2360,     0,  3542,   701,
       0,     0, -2327,   700,     0,     0,  1926,  1251,     0,     0,
       0,  4500,  1047,     0,     0,   701,     0,     0,   700,   700,
       0,   701,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   701,     0,     0,     0,     0,     0,     0,     0,
     700,  5004,     0,     0,     0,     0,   701,     0,     0,     0,
       0,  1061,     0,     0,     0,  3969,     0,     0,  3881,     0,
       0,     0,     0,     0,  1927,     0,  1928,     0,     0,     0,
    5024,     0,     0,     0,     0,  2361,  1929, -2327,     0,     0,
    1944,  1945,     0,     0,  1930,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1931,     0,     0,     0,  3991,     0,
       0, -2327,  3207, -2327, -2327,     0,     0,     0,     0,  4772,
       0,     0,     0,  4772,  4772,  1918,  4772,     0,     0,     0,
       0,  1919,     0,  3881,  1045,     0,     0,     0,     0,  2012,
       0,     0,  1933,  1934,     0,     0,     0, -2327,     0,     0,
   -2327, -2327,     0, -2327,     0,   701,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1045,     0,     0,  2013,
       0,  1920,  2047,     0,     0,     0,   383,     0,  2362,     0,
     382,  2363,  2364,  2365,     0,  2366,  2367,  2368,  2369,  2370,
    2371,     0,     0,     0,     0,     0,     0,  3825,  2070,  2071,
       0,     0,  2343,     0,     0,  2344,     0,     0,     0,  2345,
    2346,  2347,     0,     0,     0,  4067,     0,     0,     0,  2104,
       0,     0,     0,  1922,     0,     0,  2348,  1047,  4087,     0,
    1923,     0,  1936,  1924,  2350,     0,  1538,  1539,     0,     0,
    2351,     0,     0,     0,   701,   701,     0,     0,  5363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1925,     0,
       0,     0,     0,     0,  2352,     0,     0,     0,     0,  4174,
       0,     0,     0,     0,   382,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1926,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2174,
    2176,   699,     0,     0,     0,     0,     0,  4142,     0,     0,
       0,  3542,     0,     0,  3881,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   849,   382,
       0,   382,     0,     0,     0,     0,     0,     0,     0,  3881,
       0,     0,     0,     0,     0,     0,     0,  1927,     0,  1928,
     700,     0,     0,     0,     0,     0,     0,     0,     0,  1929,
    3675,  3675,  3675,  3675,  3675,     0,     0,  1930,     0,     0,
    2353,     0,     0,   849,     0,  2354,     0,  1931,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1045,     0,
     700,     0,     0,     0,   382,   700,  2355,  2356,     0,   700,
       0,     0,     0,     0,     0,     0,     0,   700,     0,     0,
       0,  2357,  2629,     0,     0,  1933,  1934,     0,     0,  5476,
       0,  1090,     0,     0,     0,   700,     0,     0,     0,  1090,
       0,  1090,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2630,  2358,   849,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2359,     0,  1918,  2360,
       0,     0,     0,     0,  1919,     0,     0,     0,   700,     0,
       0,     0,     0,     0,     0,     0,     0,  2771,     0,     0,
    1091,  5516,     0,     0,     0,     0,   700,   700,     0,     0,
       0,     0,     0,     0,  4320,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1920,  1936,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   701,     0,   382,   700,  4334,
       0,   382,     0,     0,     0,  1411,     0,  3881,     0,  5339,
       0,     0,     0,  1251,  1251,   701,     0,     0,  2361,  5347,
       0,     0,     0,  2343,  2524,     0,  2344,     0,     0,   700,
    2345,  2346,  2347,   700,     0,     0,  1922,     0,   701,     0,
       0,     0,     0,  1923,     0,     0,  1924,  2348,     0,     0,
      74,   700,     0,     0,     0,  2350,     0,  3666,     0,     0,
       0,  2351,   700,     0,     0,     0,     0,     0,     0,     0,
       0,  1925,  1047,     0,   701,   700,  3683,  1047,     0,     0,
       0,     0,     0,   700,     0,  2352,     0,     0,     0,     0,
     701,  3692,     0,     0,  3694,  3695,     0,     0,     0,  3698,
    3699,     0,  1926,     0,     0,   701,  3703,     0,   701,     0,
       0,  2362,  1045,     0,  2363,  2364,  2365,     0,  2366,  2367,
    2368,  2369,  2370,  2371,     0,     0,     0,     0,  3112,     0,
       0,     0,  5614,     0,  4929,  4930,     0,   382,     0,  4933,
    4934,     0,     0,     0,  1251,  1251,     0,     0,     0,     0,
       0,  1045,     0,     0,     0,     0,     0,     0,     0,     0,
    1927,     0,  1928,  1918,  1411,     0,     0,     0,  5451,  1919,
    5452,     0,  1929,     0,  5457,  5458,     0,     0,     0,  3744,
    1930,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1931,  2353,     0,     0,     0,     0,  2354,     0,     0,     0,
       0,     0,     0,   700,     0,     0,     0,     0,     0,  1920,
       0,     0,     0,     0,     0,     0,     0,  2355,  2356,     0,
       0,     0,     0,     0,     0,  3384,     0,     0,  1933,  1934,
       0,     0,  2357,     0,     0,   701,  2685,     0,     0,     0,
       0,     0,     0,   701,   701,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   383,  1935,     0,  1047,     0,     0,
       0,  1922,     0,     0,  2358,   700,     0,     0,  1923,  4545,
       0,  1924,     0,     0,     0,     0,     0,  2359,     0,     0,
    2360,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1925,     0,     0,     0,
    2755,  2756,  2757,  2758,     0,     0,     0,     0,   383,   383,
     383,     0,   700,     0,     0,     0,     0,     0,  1936,     0,
       0,     0,     0,     0,     0,     0,     0,  1926,   701,     0,
     700,     0,     0,     0,     0,     0,     0,     0,   700,     0,
       0,     0,     0,     0,  2794,  2795,     0,     0,     0,     0,
       0,     0,  1411,  2807,     0,     0,     0,     0,   383,  2361,
       0,     0,     0,  2819,     0,   383,  5582,     0,     0,     0,
       0,     0,   383,     0,  4628,     0,     0,  4631,     0,     0,
       0,     0,     0,     0,     0,  1927,     0,  1928,     0,     0,
       0,  2855,  2856,  2857,  2858,     0,     0,  1929,     0,     0,
       0,     0,     0,     0,     0,  1930,     0,     0,  5112,     0,
       0,     0,     0,     0,   382,  1931,     0,     0,     0,     0,
     382,     0,     0,     0,     0,     0,     0,     0,     0,  5582,
       0,     0,     0,     0,     0,     0,     0,     0,  2343,     0,
       0,  2344,     0,     0,     0,  2345,  2346,  2347,  5582,     0,
    3486,     0,  2362,  1933,  1934,  2363,  2364,  2365,     0,  2366,
    2367,  2368,  2369,  2370,  2371,     0,     0,     0,  1045,  4175,
    2350,  3989,     0,     0,     0,     0,  2351,  4695,     0,     0,
    3487,     0,     0,     0,     0,     0,     0,     0,  2941,     0,
       0,  2944,     0,     0,     0,     0,     0,     0,     0,     0,
    2352,  2949,     0,     0,     0,     0,     0,     0,     0,     0,
    2957,   700,     0,  2343,     0,     0,  2344,     0,     0,     0,
    2345,  2346,  2347,     0,     0,   701,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2348,     0,     0,
       0,     0,     0,  1936,     0,  2350,     0,     0,     0,     0,
    4045,  2351,  4047,     0,     0,   849,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1047,   699,     0,  2352,   383,     0,  3721,     0,
     699,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   699,     0,     0,     0,     0,     0,   701,     0,     0,
     700,   701,     0,     0,  1047,     0,  2353,     0,     0,     0,
       0,  2354,     0,   701,     0,     0,   700,   700,     0,     0,
     699,     0,     0,     0,     0,   699,     0,     0,     0,     0,
       0,     0, -2824, -2824,     0,     0,   699,     0,     0,     0,
       0,     0,     0,   700,     0,     0,   700,  2357,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3126,
       0,  4130,   699,     0,     0,     0,     0,  4137,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   699, -2824,
       0,  2353,     0,     0,   699,     0,  2354,     0,   701,   701,
       0,     0,  2359,     0,     0,   699,     0,     0,     0,     0,
       0,   701,     0,     0,     0,     0,     0,  2355,  2356,   699,
       0,     0,     0,     0,     0,     0,   701,   701,     0,     0,
       0,     0,  2357,     0,  1045,     0,   382,   382,   382,     0,
       0,     0,     0,     0,     0,     0, -2329,     0,   701,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     700,     0,     0,     0,  2358,     0,     0,     0,     0,     0,
       0,     0,     0,   700,     0,   382,     0,  2359,   700,     0,
    2360,     0,     0,     0,  2361,     0,     0,   700,     0,     0,
       0,     0,     0,     0,     0, -2329,     0,     0,     0,     0,
       0,     0,  2343,     0,     0,  2344,     0, -2329,     0,  2345,
    2346,  2347, -2329,  5394,     0,     0,  1090, -2329,   699,     0,
    1090,  4282, -2329,     0,     0, -2329,  2348,     0, -2329,     0,
       0,     0,     0,     0,  2350,     0,  1047,     0,     0,     0,
    2351,     0,     0,     0,  4299,  4300,     0,  4302,  4926,  4304,
    4305,     0,   700,     0,     0,     0, -2329,     0,     0,  2361,
    4936,     0,  4312,     0,  2352,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2329,  2362,   383,     0,
    2363,  2364,  2365,     0,  2366,  2367,  2368,  2369,  2370,  2371,
     382,     0,     0,     0,     0,     0,     0,   700,     0,   700,
       0,     0,  4333,     0,     0,     0,     0,   699,   699,     0,
       0,   700,     0,   700,     0,     0, -2329,     0, -2329,     0,
    1918,     0,     0,     0, -2329,     0,  1919,  3339,  3340,     0,
       0,     0,     0,     0,     0,     0,  3351,  1918,  3353,     0,
       0,     0,  3357,  1919,     0,     0,     0,     0,     0,     0,
       0,     0,  2362,     0,     0,  2363,  2364,  2365,     0,  2366,
    2367,  2368,  2369,  2370,  2371,     0,  1920,   700,     0,  4347,
    2353,     0,   383,     0, -2329,  2354,     0,     0,     0,     0,
       0,     0,     0,  1920,     0,     0,     0,     0,     0,     0,
    1090,  1090,     0,     0,     0,     0,  2355,  2356,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2357,     0,     0,     0,     0,     0,     0,  1922,     0,
       0,     0,   700,  1061,     0,  1923,     0,   383,  1924,   383,
       0,     0,     0,     0,  3721,  1922,     0,     0,     0,   700,
       0,     0,  1923,  2358,     0,  1924,     0,     0,   701, -2329,
    3478,     0,     0,  1925,     0,     0,  2359,     0,     0,  2360,
       0,   700,     0,     0,   700,     0,     0,     0,     0,     0,
    1925,     0,     0, -2329,     0, -2329, -2329,     0,     0,     0,
    1047,     0,     0,     0,  1926,     0,     0,     0,   701,     0,
       0,     0,   383,   701,     0,  5579,     0,   701,     0,     0,
       0,  1926,     0,     0,     0,   701,  3539,     0,     0, -2329,
       0,     0, -2329, -2329,  3548, -2329,  3550,     0,     0,  1047,
       0,     0,  3552,   701,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2361,     0,
       0,   382,  1927,  2343,  1928,  3721,  2344,  3721,     0,     0,
    2345,  2346,  2347,     0,  1929,     0,     0,     0,  5579,  1927,
       0,  1928,  1930,     0,     0,     0,   701,  2348,     0,     0,
       0,  1929,  1931,     0,     0,  2350,     0,  5579,   699,  1930,
       0,  2351,     0,     0,   701,   701,     0,     0,     0,  1931,
       0,     0,     0,     0,  3627,     0,     0,     0,   699,     0,
       0,     0,     0,     0,     0,  2352,     0,  3526,     0,     0,
    1933,  1934,     0,     0,     0,   383,   701,     0,     0,   383,
       0,   699,     0,     0,  4018,     0,     0,  1933,  1934,     0,
       0,  2362,     0,     0,  2363,  2364,  2365,  3527,  2366,  2367,
    2368,  2369,  2370,  2371,     0,     0,     0,   701,  4398,     0,
    3686,   701,  3688,     0,  4019,     0,     0,   699,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   701,
       0,     0,     0,   699,     0,     0,     0,     0,     0,     0,
     701,     0,     0,     0,     0,     0,     0,     0,   699,     0,
       0,   699,     0,   701,     0,     0,     0,     0,     0,     0,
    1936,   701,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2353,  2343,     0,     0,  2344,  2354,  1936,     0,  2345,
    2346,  2347,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   700,     0,  2348,  2355,  2356,     0,
       0,     0,     0,     0,  2350,     0, -2343,     0,     0,     0,
    2351,     0,  2357,     0,     0,   383,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3754,     0,     0,     0,     0,
       0,     0,     0,     0,  2352,     0,     0,     0,     0,     0,
     382,     0,     0,     0,  2358,   382,     0,   382,     0,     0,
       0,     0,     0,     0,     0, -2343,     0,  2359,     0,     0,
    2360,     0,     0,     0,     0,     0,     0, -2343,     0,     0,
       0,     0, -2343,     0,     0,     0,     0, -2343,   699,     0,
       0,   701, -2343,     0,     0, -2343,   699,   699, -2343,     0,
       0,     0,     0,     0,     0,     0,  1047,   849,     0,   700,
       0,     0,   700,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2343,     0,  4750,     0,
       0,     0,     0,     0,     0,     0,  4753,  4754,  4755,  4756,
       0,     0,     0,     0,     0,     0, -2343,     0,     0,  2361,
    2353,     0,     0,   701,     0,  2354,     0,     0,     0,     0,
       0,   849,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2355,  2356,     0,     0,
       0,   699,     0,     0,     0,     0, -2343,     0, -2343,     0,
       0,  2357,     0,     0, -2343,     0,     0,   700,   700,     0,
     701,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     700,     0,   700,     0,     0,     0,     0,     0,   701,     0,
       0,     0,     0,  2358,     0,   849,   701,     0,     0,     0,
       0,     0,     0,     0,     0,  1090,  2359,     0,     0,  2360,
       0,     0,  2362,     0, -2343,  2363,  2364,  2365,     0,  2366,
    2367,  2368,  2369,  2370,  2371,     0,     0,     0,  2343,  4484,
       0,  2344,     0,     0,     0,  2345,  2346,  2347,     0,  1918,
       0,     0,     0,     0,     0,  1919,  1090,     0,     0,     0,
       0,   382,  2348,     0,     0,     0,     0,     0,     0,     0,
    2350,     0,     0,  1061,     0,     0,  2351,     0,     0,     0,
       0,     0,   383,     0,     0,     0,     0,     0,   383,     0,
       0,     0,     0,   700,     0,  1920,     0,     0,  2361, -2343,
    2352,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3998,     0,  3999,  4000,  4001,     0,     0,     0,     0,
       0,     0,     0, -2343,     0, -2343, -2343,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3721,     0,  1047,  4898,     0,     0,     0,  1922,     0,     0,
       0,     0,     0,     0,  1923,     0,     0,  1924,   699, -2343,
    1090,     0, -2343, -2343,     0, -2343,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4917,  4918,   701,
       0,     0,  1925,     0,     0,     0,     0,     0,     0,     0,
       0,  2362,     0,     0,  2363,  2364,  2365,     0,  2366,  2367,
    2368,  2369,  2370,  2371,     0,     0,  2353,  2343,  4516,   849,
    2344,  2354,     0,  1926,  2345,  2346,  2347,     0,     0,     0,
       0,  5395,     0,     0,     0,     0,     0,     0,     0,     0,
     699,  2348,  2355,  2356,   699,     0,     0,     0,     0,  2350,
       0,     0,     0,     0,     0,  2351,   699,  2357,     0,     0,
       0,     0,     0,     0,     0,     0,  4959,  4960,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   701,  2352,
       0,  1927,     0,  1928,     0,     0,     0,     0,     0,  2358,
       0,     0,     0,  1929,   701,   701,     0,     0,     0,     0,
       0,  1930,  2359,     0,     0,  2360,     0,     0,     0,     0,
       0,  1931,     0,     0,     0,  4146,     0,     0,     0,     0,
       0,   701,     0,     0,   701,     0,     0,     0,     0,     0,
       0,   699,   699,   700,     0,     0,     0,     0,   382,     0,
       0,     0,     0,     0,   699,     0,  4069,     0,     0,  1933,
    1934,     0,     0,     0,     0,     0,     0,     0,     0,   699,
     699,  5040,     0,   700,     0,     0,     0,     0,     0,     0,
       0,  5042,  5043,     0,     0,   700,  4070,     0,     0,     0,
       0,   699,   382,     0,  2361,  2353,     0,  5047,     0,     0,
    2354,     0,     0,     0,     0,     0,   700,     0,     0,     0,
       0,     0,     0,     0,   383,   383,   383,     0,     0,     0,
       0,  2355,  2356,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2357,     0,   701,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1936,
       0,   701,     0,   383,     0,     0,   701,     0,     0,     0,
       0,     0,     0,     0,     0,   701,     0,     0,  2358,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4306,     0,
    4307,  2359,     0,     0,  4309,     0,     0,  2362,     0,     0,
    2363,  2364,  2365,  1444,  2366,  2367,  2368,  2369,  2370,  2371,
       0,     0,     0,     0,  4780,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1444,     0,     0,     0,     0,     0,
       0,   849,     0,     0,  2343,     0,     0,  2344,     0,     0,
     701,  2345,  2346,  2347,     0,     0,     0,     0,     0,     0,
    4340,     0,     0,     0,     0,     0,     0,     0,  2348,     0,
       0,     0,     0,     0,     0,     0,  2350,     0,     0,   700,
       0,     0,  2351,  2361,     0,     0,     0,     0,   383,     0,
       0,     0,     0,     0,     0,   701,     0,   701,     0,     0,
       0,     0,     0,     0,     0,  2343,  2352,     0,  2344,   701,
       0,   701,  2345,  2346,  2347,     0,     0,     0,  1456,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2348,
       0,     0,     0,     0,     0,     0,     0,  2350,     0,  1456,
       0,     0,     0,  2351,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   701,     0,  2352,     0,     0,
       0,     0,     0,     0,     0,     0,  2362,     0,     0,  2363,
    2364,  2365,     0,  2366,  2367,  2368,  2369,  2370,  2371,     0,
     700,     0,   700,     0,     0,     0,     0,     0,  5257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   699,  2353,     0,     0,     0,     0,  2354,     0,     0,
     701,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   700,     0,     0,     0,     0,     0,   701,  2355,  2356,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   699,     0,  2357,     0,   849,   699,     0,  2343,   701,
     699,  2344,   701,     0,     0,  2345,  2346,  2347,   699,     0,
       0,     0,     0,  2353,     0,     0,  5299,   382,  2354,     0,
       0,     0,  2348,     0,     0,  2358,   699,     0,     0,     0,
    2350,     0,     0,     0,     0,     0,  2351,     0,  2359,  2355,
    2356,  2360,     0,     0,     0,     0,     0,     0,     0,     0,
    4539,  4540,  4541,  4542,  2357,     0,     0,     0,     0,  2343,
    2352,  5330,  2344,     0,     0,     0,  2345,  2346,  2347,   699,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   383,
       0,  1090,     0,  2348,     0,     0,  2358,   699,   699,     0,
       0,  2350,     0,     0,  2030,     0,     0,  2351,     0,  2359,
       0,     0,  2360,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2045,     0,     0,     0,   849,   699,
    2361,  2352,   849,     0,     0,     0,     0,     0,  2055,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     699,     0,     0,     0,   699,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2353,     0,     0,     0,
       0,  2354,   699,     0,     0,     0,     0,     0,     0,     0,
       0,  2361,     0,   699,     0,     0,     0,     0,     0,     0,
       0,     0,  2355,  2356,     0,   382,   699,     0,     0,  1456,
       0,     0,     0,     0,   699,     0,     0,  2357,     0,     0,
       0,     0,     0,  2362,     0,     0,  2363,  2364,  2365,  1456,
    2366,  2367,  2368,  2369,  2370,  2371,   700,  2353,  4668,     0,
    4815,     0,  2354,  1456,     0,     0,     0,     0,     0,  2358,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2359,  2355,  2356,  2360,     0,     0,   849,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2357,     0,
       0,     0,   701,     0,  2362,     0,     0,  2363,  2364,  2365,
       0,  2366,  2367,  2368,  2369,  2370,  2371,     0,     0,     0,
       0,  5053,     0,     0,     0,     0,     0,     0,     0,     0,
    2358,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2359,     0,  1456,  2360,     0,   383,     0,
       0,     0,     0,   383,   699,   383,     0,     0,     0,     0,
       0,     0,     0,     0,  2361,     0,     0,     0,     0,     0,
       0,  2279,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   701,     0,     0,
     701,     0,     0,   382,     0,   700,   699,     0,     0,     0,
       0,     0,     0,     0,     0,  2361,     0,     0,  5563,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2362,     0,     0,
    2363,  2364,  2365,   699,  2366,  2367,  2368,  2369,  2370,  2371,
       0,     0,     0,     0,  5064,     0,  1456,     0,     0,     0,
       0,   699,     0,     0,     0,     0,     0,     0,     0,   699,
       0,     0,     0,     0,     0,   701,   701,     0,     0,     0,
       0,     0,     0,     0,     0,   700,     0,     0,   701,     0,
     701,     0,     0,     0,     0,     0,     0,     0,  2362,     0,
       0,  2363,  2364,  2365,     0,  2366,  2367,  2368,  2369,  2370,
    2371,     0,     0,     0,     0,  5073,     0,     0,     0,   745,
       0,     0,     0,     0,     0,     0,  2343,     0,     0,  2344,
       0,     0,     0,  2345,  2346,  2347,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   849,  2343,     0,     0,  2344,
    2348,   849,     0,  2345,  2346,  2347,   745,     0,  2350,   383,
       0,     0,     0,     0,  2351,     0,     0,     0,     0,     0,
    2348,     0,     0,     0,     0,     0,     0,   745,  2350,     0,
       0,     0,     0,   700,  2351,     0,     0,     0,  2352,     0,
       0,   701,     0,     0,     0,  1056,     0,   382,     0,     0,
       0,     0,     0,     0,     0,     0,  2415,     0,  2352,     0,
    1058,     0,     0,     0,     0,     0,     0,     0,  1066,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1080,     0,  1056,     0,     0,     0,  1103,
       0,     0,   699,     0,     0,     0,     0,     0,     0,  1135,
       0,     0,     0,     0,     0,     0,     0,     0,  1140,     0,
     382,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   382,
       0,     0,  4951,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2353,     0,     0,  4955,     0,  2354,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2353,     0,     0,     0,     0,  2354,
    2355,  2356,     0,     0,     0,     0,     0,     0,  2710,     0,
       0,   699,     0,     0,  1456,  2357,     0,     0,     0,     0,
    2355,  2356,     0,     0,     0,     0,     0,   699,   699,     0,
       0,     0,     0,     0,     0,  2357,     0,     0,     0,     0,
       0,     0,     0,  5006,     0,     0,     0,  2358,     0,     0,
       0,     0,     0,     0,   699,     0,     0,   699,     0,     0,
    2359,     0,     0,  2360,     0,     0,     0,  2358,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1456,
    2359,     0,     0,  2360,     0,     0,     0,     0,     0,     0,
    2788,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   701,     0,     0,     0,  2804,   383,     0,     0,     0,
       0,     0,     0,  1456,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2825,     0,     0,     0,     0,     0,
       0,   701,     0,     0,     0,     0,     0,   849,   849,   849,
       0,     0,  2361,   701,     0,     0,     0,     0,     0,     0,
     383,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   699,  2361,     0,   701,     0,     0,     0,     0,     0,
       0,  2891,     0,     0,   699,     0,   849,     0,     0,   699,
       0,     0,     0,     0,     0,     0,     0,     0,   699,     0,
    2902,     0,     0,     0,     0,  1456,     0,     0,     0,     0,
       0,     0,  1444,     0,     0,     0,     0,     0,     0,     0,
    1456,     0,     0,     0,  2916,     0,     0,     0,  1456,     0,
       0,     0,     0,     0,  5132,  5133,  5133,     0,     0,  1456,
       0,     0,     0,     0,     0,  2362,     0,     0,  2363,  2364,
    2365,     0,  2366,  2367,  2368,  2369,  2370,  2371,     0,     0,
       0,     0,  5076,   699,  2947,  2362,     0,  1444,  2363,  2364,
    2365,     0,  2366,  2367,  2368,  2369,  2370,  2371,     0,     0,
       0,     0,  5127,     0,     0,     0,  1456,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   849,     0,     0,     0,  1456,     0,     0,   699,     0,
     699,     0,     0,     0,     0,     0,     0,  1456,     0,     0,
       0,     0,   699,  2343,   699,     0,  2344,   701,     0,  1456,
    2345,  2346,  2347,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2343,     0,     0,  2344,     0,  2348,     0,  2345,
    2346,  2347,     0,     0,     0,  2350,     0,     0,     0,     0,
       0,  2351,     0,     0,     0,     0,  2348,     0,  5238,  1456,
       0,     0,  1456,     0,  2350,     0,   745,     0,   699,     0,
    2351,     0,     0,     0,     0,  2352,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2352,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3116,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   699,     0,     0,     0,     0,   701,     0,
     701,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     699,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   699,     0,     0,   699,     0,     0,     0,   701,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2353,     0,     0,     0,     0,  2354,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2353,     0,     0,     0,  5326,  2354,  5328,  2355,  2356,     0,
       0,  1456,     0,     0,     0,   383,     0,     0,     0,     0,
       0,     0,  2357,     0,     0,     0,  2355,  2356,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2357,   849,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2358,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2359,     0,     0,
    2360,     0,     0,  2358,     0,     0,  1233,  1239,  1239,   745,
       0,  1239,     0,  1247,     0,  1233,  2359,  1135,     0,  2360,
    1277,     0,     0,     0,     0,     0,  1135,     0,     0,  1135,
       0,     0,     0,  1239,     0,  1135,     0,     0,     0,     0,
       0,     0,     0,  1313,     0,     0,     0,     0,     0,  1135,
       0,  1233,     0,     0,  1239,     0,   745,     0,  1239,     0,
       0,     0,     0,     0,     0,  1277,     0,  5133,     0,  1379,
       0,     0,     0,     0,     0,     0,  1239,     0,     0,  2361,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2361,     0,
       0,     0,     0,     0,  3341,     0,     0,     0,     0,     0,
    1233,     0,     0,     0,     0,   745,  3356,     0,     0,     0,
    1233,     0,     0,   383,  1277,     0,  2343,     0,     0,  2344,
       0,     0,     0,  2345,  2346,  2347,  5472,     0,     0,     0,
       0,  1239,  1456,     0,     0,     0,  1456,  1456,     0,     0,
    2348,     0,     0,     0,   701,     0,  3389,     0,  2350,     0,
       0,     0,     0,     0,  2351,   699,     0,     0,     0,     0,
       0,     0,  2362,     0,     0,  2363,  2364,  2365,     0,  2366,
    2367,  2368,  2369,  2370,  2371,     0,     0,     0,  2352,  5158,
       0,  2362,     0,     0,  2363,  2364,  2365,  1135,  2366,  2367,
    2368,  2369,  2370,  2371,     0,     0,     0,     0,  5196,  1456,
       0,   849,  1135,  5520,  1578,     0,   849,     0,   849,     0,
       0,  1456,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1688,  1688,     0,     0,     0,   745,  1135,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1456,     0,     0,     0,     0,     0,  1135,     0,     0,
     699,  1135,     0,   699,     0,     0,     0,     0,     0,  1688,
       0,     0,     0,     0,  5569,     0,     0,     0,     0,     0,
    1135,     0,     0,     0,  2353,     0,     0,     0,     0,  2354,
       0,     0,  1135,     0,     0,     0,     0,     0,     0,     0,
    3567,   383,     0,   701,     0,     0,     0,     0,     0,     0,
    2355,  2356,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2357,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   699,   699,
       0,     0,     0,     0,     0,     0,     0,  2358,     0,     0,
       0,   699,     0,   699,     0,     0,     0,     0,     0,     0,
    2359,     0,     0,  2360,  1135,     0,     0,     0,     0,     0,
       0,     0,     0,  1135,     0,    85,     0,     0,  1239,  1239,
       0,    89,     0,   701,     0,    93,     0,    94,     0,    96,
      97,     0,     0,     0,     0,  1456,     0,     0,     0,     0,
     106,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   118,   119,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1233,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1233,  2361,     0,     0,  1277,     0,     0,     0,     0,
       0,     0,     0,     0,   699,     0,     0,     0,     0,     0,
    1239,     0,     0,     0,     0,  1456,   127,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   128,     0,   129,   130,
    1135,   701,     0,     0,     0,     0,  1239,  1239,     0,  3734,
       0,     0,     0,  1169,     0,   383,     0,     0,     0,     0,
       0,     0,     0,  1135,  1135,  1135,  3746,  1239,     0,  1233,
       0,     0,     0,   140,  2113,   141,   142,  3752,     0,     0,
       0,   145,     0,   146,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   148,  2362,   149,     0,  2363,  2364,
    2365,     0,  2366,  2367,  2368,  2369,  2370,  2371,     0,     0,
       0,   152,  5444,   153,     0,     0,   156,     0,   383,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   157,
       0,   158,     0,     0,     0,   159,     0,   383,     0,     0,
       0,   160,     0,     0,     0,  1239,     0,  1239,  1239,   162,
       0,   164,     0,     0,  1456,     0,     0,   166,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1456,   170,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1456,     0,     0,     0,  1688,     0,   174,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2253,  2253,     0,   185,   186,  1135,
       0,  1056,     0,   187,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   699,   188,     0,     0,     0,   849,
       0,     0,     0,     0,     0,     0,   193,  2287,     0,     0,
    1135,     0,     0,  2293,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   699,  1688,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   699,     0,     0,     0,
       0,     0,     0,   849,     0,     0,   203,     0,     0,     0,
       0,     0,     0,  1688,     0,     0,     0,   699,   205,     0,
       0,     0,     0,   206,   207,     0,   208,     0,     0,     0,
       0,   209,     0,     0,     0,     0,   210,     0,     0,   212,
       0,  1688,  1688,  1688,   214,  1688,     0,     0,     0,   215,
     216,     0,     0,     0,     0,     0,     0,   217,     0,     0,
       0,   219,     0,     0,     0,  1688,     0,     0,     0,     0,
       0,   222,     0,     0,     0,     0,     0,     0,     0,     0,
    3995,     0,     0,   224,     0,     0,     0,   745,   745,     0,
       0,     0,     0,     0,     0,     0,     0,  4007,     0,     0,
       0,     0,   230,     0,   231,     0,     0,     0,     0,     0,
       0,     0,   233,     0,     0,     0,  1135,     0,   234,  1688,
       0,     0,     0,   235,  1456,     0,     0,  1456,     0,  1456,
       0,     0,     0,     0,  1456,     0,   238,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1688,
       0,     0,     0,  1688,  1688,     0,     0,   248,     0,     0,
       0,     0,     0,     0,  1135,  1135,  2491,     0,     0,     0,
     699,   249,     0,     0,     0,  -147,     0,     0,     0,  2343,
       0,     0,  2344,     0,     0,  1456,  2345,  2346,  2347,     0,
       0,  4084,   745,  4086,     0,     0,     0,     0,     0,     0,
       0,     0,  1456,  2348,     0,     0,     0,     0,     0,     0,
       0,  2350,     0,     0,     0,     0,     0,  2351,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1456,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2352,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4131,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4145,
       0,   699,     0,   699,  2638,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1456,     0,  1456,     0,
       0,     0,  1135,  2664,     0,     0,     0,     0,     0,     0,
       0,  1135,     0,     0,  1239,     0,     0,     0,     0,     0,
       0,     0,   699,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1277,     0,  1135,     0,     0,     0,     0,
       0,     0,     0,  1135,     0,     0,  1135,  2353,     0,     0,
       0,     0,  2354,     0,     0,     0,     0,     0,     0,  1456,
       0,     0,     0,     0,     0,     0,     0,     0,   849,     0,
    1135,  3389,     0,  2355,  2356,     0,     0,     0,  1239,  1239,
    1239,  1239,  1135,     0,  1456,     0,     0,     0,  2357,     0,
       0,     0,     0,     0,     0,     0,  1135,     0,     0,     0,
       0,     0,     0,     0,  4283,     0,     0,     0,  2785,     0,
    1135,     0,  1456,     0,     0,     0,     0,  1456,     0,     0,
    2358,     0,  1239,  1239,     0,     0,     0,     0,     0,     0,
       0,  1239,     0,  2359,     0,     0,  2360,     0,     0,     0,
       0,  1239,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1135,     0,     0,     0,     0,     0,     0,     0,     0,  1239,
    1239,  1239,  1239,     0,     0,     0,  1456,     0,     0,     0,
       0,  1135,     0,     0,     0,     0,     0,     0,  1135,     0,
       0,  2785,     0,     0,  1456,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4346,     0,  1233,     0,  1456,
       0,     0,     0,     0,   745,  2361,     0,     0,     0,  1688,
       0,     0,     0,     0,     0,     0,  4355,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   849,     0,     0,     0,
       0,  4378,  1233,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1277,     0,     0,     0,  1239,     0,     0,  1239,
       0,     0,     0,     0,     0,     0,     0,   699,     0,  1239,
       0,     0,     0,     0,     0,  2279,     0,  1239,  1239,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1135,     0,     0,     0,     0,     0,     0,  2362,     0,
    1456,  2363,  2364,  2365,     0,  2366,  2367,  2368,  2369,  2370,
    2371,     0,     0,     0,     0,  5475,     0,     0,     0,     0,
       0,  1456,     0,     0,     0,  2253,     0,     0,     0,     0,
       0,     0,  1239,     0,  1233,     0,     0,     0,  1135,  1135,
       0,  1239,     0,     0,     0,     0,  1456,     0,  1135,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1135,     0,
       0,     0,     0,  1056,  1056,     0,     0,  3030,     0,     0,
       0,  1688,  1688,     0,     0,     0,     0,  1688,  1688,     0,
    1456,     0,     0,     0,  1688,  1688,  1688,     0,     0,     0,
    1688,  1277,  1688,  1688,  1688,  1688,  1688,  1688,     0,  1688,
       0,  1688,  1688,     0,     0,  1688,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1688,  1688,  1688,  1688,   849,     0,   699,  1239,  1688,     0,
       0,     0,  1688,     0,     0,  1688,     0,     0,  1688,  1688,
    1688,  1688,  1688,  1688,  1688,  1688,  1688,     0,  1688,     0,
       0,     0,     0,     0,     0,  1135,  1688,     0,     0,  1688,
       0,     0,     0,     0,  2343,     0,     0,  2344,     0,     0,
       0,  2345,  2346,  2347,     0,     0,     0,     0,     0,     0,
       0,  1135,     0,     0,     0,     0,     0,     0,  2348,     0,
       0,     0,     0,     0,     0,     0,  2350,     0,     0,     0,
       0,     0,  2351,  1456,   871,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   699,     0,     0,  1135,
       0,  1135,     0,  1688,     0,     0,  2352,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     872,     0,     0,     0,     0,     0,     0,     0,  1135,     0,
       0,     0,     0,     0,   873,  3245,     0,  3252,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   874,     0,     0,     0,     0,     0,   875,     0,
       0,     0,  2343,     0,     0,  2344,     0,     0,     0,  2345,
    2346,  2347,  1456,     0,   876,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   699,   877,  2348,     0,     0,     0,
       0,     0,     0,   878,  2350,     0,     0,     0,   849,     0,
    2351,     0,  2353,     0,     0,   879,     0,  2354,     0,     0,
     880,     0,  4690,     0,   745,     0,   881,     0,     0,     0,
       0,     0,     0,  1056,  2352,  1056,     0,     0,  2355,  2356,
       0,     0,     0,   882,     0,     0,     0,     0,     0,     0,
       0,     0,  1688,  2357,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1233,     0,  1239,  1239,     0,   883,     0,
    1233,   849,  1277,     0,  1239,     0,  1239,     0,     0,     0,
    1239,     0,     0,  1135,     0,  2358,     0,     0,     0,   884,
     849,     0,     0,     0,     0,     0,     0,     0,  2359,     0,
       0,  2360,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2664,     0,     0,     0,     0,     0,
       0,   885,  3391,     0,     0,     0,     0,  1456,     0,  3402,
       0,     0,     0,     0,     0,     0,     0,     0,  1135,     0,
    2353,     0,   886,     0,     0,  2354,     0,     0,     0,     0,
       0,     0,   887,     0,     0,     0,     0,  1135,     0,     0,
       0,     0,  3447,  3447,     0,     0,  2355,  2356,     0,     0,
       0,   745,     0,     0,     0,  1456,     0,     0,     0,   888,
    2361,  2357,     0,     0,   889,     0,   890,     0,  1239,     0,
       0,     0,   891,     0,     0,   892,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2358,     0,  3512,     0,  3515,  3517,  2279,
       0,     0,     0,   893,   894,     0,  2359,   895,     0,  2360,
       0,   896,     0,     0,     0,     0,     0,     0,     0,     0,
     897,     0,     0,     0,  1239,   898,     0,     0,     0,     0,
       0,     0,  1239,     0,  1239,     0,     0,   899,     0,     0,
    1239,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     900,     0,  1688,  2362,     0,     0,  2363,  2364,  2365,     0,
    2366,  2367,  2368,  2369,  2370,  2371,  2664,     0,     0,  3447,
    5595,  1135,     0,     0,  3603,     0,     0,  1056,     0,     0,
       0,     0,  2343,     0,     0,  2344,     0,     0,  2361,  2345,
    2346,  2347,     0,     0,  1456,     0,     0,     0,     0,     0,
       0,     0,     0,  3512,  1456,     0,  2348,     0,     0,     0,
       0,     0,  1239,  3629,  2350,     0,     0,     0,     0,     0,
    2351,     0,     0,     0,     0,     0,     0,  4899,  2113,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1688,
       0,     0,     0,     0,  2352,     0,     0,     0,     0,     0,
       0,     0,     0,  3676,  3679,     0,     0,     0,  4916,     0,
       0,     0,     0,     0,     0,     0,  1239,     0,  1239,  3447,
    1239,  3447,     0,     0,     0,     0,     0,     0,     0,  4931,
       0,  2362,     0,     0,  2363,  2364,  2365,     0,  2366,  2367,
    2368,  2369,  2370,  2371,     0,     0,     0,  1688,  5613,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2253,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1456,     0,     0,     0,     0,  4958,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2353,     0,     0,     0,     0,  2354,  1135,     0,     0,     0,
       0,     0,     0,  1456,     0,     0,  1233,     0,     0,     0,
       0,     0,  1233,     0,     0,     0,  2355,  2356,     0,     0,
       0,     0,     0,  1239,  1456,     0,     0,     0,     0,  1688,
       0,  2357,     0,     0,  1688,     0,     0,     0,     0,  1456,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1688,  1688,  1688,
       0,     0,  1688,  2358,     0,  5030,     0,     0,     0,     0,
    1688,  1688,  1688,  1688,     0,     0,  2359,     0,     0,  2360,
       0,     0,  1456,  1688,     0,     0,  1688,     0,  1688,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1688,
    1688,  2343,     0,  1688,  2344,     0,     0,     0,  2345,  2346,
    2347,     0,     0,     0,     0,  1277,     0,  1688,     0,  1688,
    2279,  1688,     0,     0,     0,  2348,     0,     0,     0,  3218,
       0,     0,     0,  2350,     0,     0,     0,     0,     0,  2351,
       0,  1688,     0,     0,     0,  1135,     0,     0,     0,     0,
       0,     0,  3882,     0,  1688,  1688,  1688,     0,  2361,     0,
       0,     0,     0,  2352,     0,     0,     0,     0,     0,     0,
    1456,     0,     0,     0,     0,     0,     0,     0,     0,  1688,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1688,     0,     0,     0,     0,  1688,     0,     0,
       0,     0,     0,  1688,     0,     0,     0,     0,     0,     0,
       0,  3219,     0,  3882,     0,     0,  3942,     0,     0,  3945,
       0,  3252,     0,     0,     0,  1456,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2362,     0,     0,  2363,  2364,  2365,     0,  2366,  2367,
    2368,  2369,  2370,  2371,     0,     0,  3203,     0,     0,  2353,
    2343,     0,     0,  2344,  2354,     0,     0,  2345,  2346,  2347,
       0,     0,     0,     0,     0,     0,  1688,     0,  3447,     0,
       0,     0,     0,  2253,  2348,  2355,  2356,     0,     0,     0,
       0,     0,  2350,     0,     0,     0,     0,     0,  2351,     0,
    2357,     0,     0,     0,     0,     0,     0,     0,     0,  1239,
       0,  1239,  1239,  1239,     0,     0,     0,     0,     0,     0,
       0,     0,  2352,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2358,  1918,     0,     0,     0,     0,     0,  1919,
       0,     0,     0,     0,     0,  2359,  1456,     0,  2360,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1962,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2279,  1920,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3804,     0,     0,     0,
       0,  3805,  1963,     0,     0,     0,  4131,     0,     0,     0,
    1135,     0,     0,     0,     0,     0,     0,  2361,  2353,     0,
       0,  1922,     0,  2354,     0,     0,     0,     0,  1923,     0,
       0,  1924,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1456,     0,  2355,  2356,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1925,     0,     0,  2357,
       0,     0,  2279,     0,     0,     0,  2279,  2279,     0,     0,
       0,     0,  3220,  1456,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1964,     0,     0,  1926,     0,     0,
       0,  2358,     0,  1239,     0,     0,     0,     0,     0,     0,
    3447,  3447,     0,     0,  2359,     0,     0,  2360,     0,     0,
    2362,  1456,     0,  2363,  2364,  2365,     0,  2366,  2367,  2368,
    2369,  2370,  2371,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1965,     0,     0,  1966,     0,  1135,  1135,     0,
       0,     0,     0,     0,     0,  1967,   857,  1928,     0,     0,
       0,     0,     0,  1135,     0,     0,  5388,  1929,     0,     0,
       0,     0,     0,     0,     0,  1930,     0,  1456,  2253,  1135,
       0,  1456,  1456,     0,  1968,  1931,     0,  2253,  1135,  1135,
       0,     0,     0,     0,     0,     0,  2361,     0,     0,     0,
       0,   857,     0,     0,     0,  1135,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3473,     0,   745,  1933,  1934,  1970,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3676,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1094,
    3474,     0,     0,     0,     0,     0,  1239,  1094,  1239,  1094,
       0,     0,  1239,     0,  1972,     0,     0,     0,     0,     0,
       0,  1456,   857,     0,     0,     0,     0,     0,     0,  2343,
    1233,     0,  2344,     0,     0,     0,  2345,  2346,  2347,  2362,
    1135,     0,  2363,  2364,  2365,     0,  2366,  2367,  2368,  2369,
    2370,  2371,     0,  2348,     0,     0,  1135,     0,     0,     0,
       0,  2350,     0,  1936,     0,     0,     0,  2351,  1239,     0,
       0,     0,     0,     0,     0,  1688,     0,     0,     0,     0,
       0,     0,     0,     0,  1688,     0,     0,     0,     0,     0,
    1688,  2352,  1688,     0,     0,  1688,     0,     0,     0,     0,
    1688,  1688,  1688,  1688,     0,     0,  1688,  1688,  1688,  1688,
    1688,  1688,  1688,  1688,  1688,  1688,     0,     0,     0,  1688,
    1688,     0,     0,     0,     0,     0,     0,     0,     0,  1688,
       0,     0,     0,  1688,     0,     0,     0,  1688,     0,     0,
       0,     0,     0,     0,     0,  1688,     0,     0,  1688,     0,
    1688,     0,     0,     0,     0,     0,     0,     0,     0,  1688,
       0,     0,  1688,  1688,     0,     0,     0,  1688,  1688,     0,
       0,     0,  4422,     0,  1688,     0,     0,     0,     0,     0,
       0,  1135,  1135,  1135,  1233,     0,  3882,  4442,     0,     0,
       0,  4442,  4456,     0,     0,     0,     0,  2353,  1688,     0,
       0,     0,  2354,     0,  1688,  1688,  1688,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2355,  2356,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2357,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1688,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3252,     0,  1688,     0,     0,     0,     0,
    2358,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2359,     0,     0,  2360,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4522,  2253,  2253,     0,
    2785,     0,     0,     0,     0,     0,     0,     0,  4390,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1239,  1239,
    1239,  1239,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2664,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     4,     0,
       0,  4568,     0,     0,     0,  2361,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     5,     0,
       0,  4391,     0,     0,     0,     0,     0,     0,     6,     7,
       0,     0,     0,     8,     0,     9,    10,     0,     0,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,     0,    36,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4646,     0,     0,     0,     0,     0,     0,  2362,     0,
       0,  2363,  2364,  2365,     0,  2366,  2367,  2368,  2369,  2370,
    2371,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      46,     0,     0,     0,  1135,     0,  1239,     0,  1688,     0,
       0,     0,     0,     0,  1135,     0,     0,     0,     0,     0,
    4681,     0,     0,     0,     0,     0,     0,     0,     0,  2664,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1135,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3512,
       0,     0,     0,     0,     0,     0,  4714,     0,     0,     0,
       0,     0,     0,    47,     0,     0,  1135,     0,     0,     0,
    2785,     0,     0,     0,  1688,  1688,     0,     0,     0,     0,
       0,    48,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    49,     0,     0,     0,  3676,  3676,  3676,  3676,
    3676,     0,     0,     0,     0,     0,  3447,     0,  3447,     0,
       0,     0,     0,     0,     0,    50,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   857,     0,     0,     0,     0,  1688,     0,
       0,  1235,    51,     0,     0,    52,     0,     0,     0,  1688,
    1235,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      53,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1688,
       0,     0,     0,     0,     0,     0,  1235,     0,     0,  1688,
    1688,     0,     0,     0,     0,     0,  1688,  1688,     0,     0,
       0,  1688,     0,     0,     0,     0,  1688,     0,     0,  1688,
    1688,     0,     0,     0,  1688,  4819,     0,     0,     0,     0,
    1688,  1135,  1135,  1135,  1135,     0,     0,     0,  4442,  4456,
       0,  4442,     0,     0,  4830,     0,     0,     0,  3882,    54,
       0,     0,  3882,     0,     0,  1235,     0,     0,  4845,     0,
       0,  1459,     0,     0,  1688,  1235,     0,     0,     0,  1688,
       0,     0,     0,     0,     0,  1688,     0,     0,     0,     0,
       0,     0,  1459,     0,     0,  1277,     0,     0,     0,     0,
       0,     0,     0,  1688,     0,    55,  3942,     0,     0,     0,
       0,  3252,     0,     0,     0,     0,     0,     0,     0,     0,
      56,     0,     0,     0,     0,     0,     0,     0,     0,  1056,
       0,     0,  1688,     0,     0,    57,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3447,  3447,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    58,     0,     0,     0,     0,     0,     0,
    2664,    59,     0,    60,    61,    62,    63,    64,     0,  4915,
      65,    66,    67,    68,     0,    69,    70,    71,    72,    73,
       0,     0,     0,     0,     0,     0,     0,  1235,  1235,     0,
       0,     0,     0,     0,  1094,     0,     0,     0,  1094,     0,
       0,     0,     0,     0,     0,     0,     4,     0,     0,     0,
    1688,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1235,     0,     5,     0,     0,     0,
    1239,     0,     0,     0,     0,     0,     6,     7,     0,     0,
       0,     0,     0,     9,    10,  1239,     0,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,  1688,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1233,     0,     0,    45,     0,  2664,     0,
       0,     0,     0,     0,     0,     0,  2253,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2343,  1239,  2664,  2344,     0,     0,     0,  2345,  2346,  2347,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2348,     0,     0,  3763,    46,     0,
       0,  1135,  2350,     0,  5039,     0,     0,     0,  2351,     0,
       0,     0,  2343,     0,     0,  2344,     0,     0,     0,  2345,
    2346,  2347,     0,     0,     0,     0,     0,     0,  1094,  1094,
       0,     0,  2352,     0,     0,     0,  2348,     0,     0,     0,
       0,     0,     0,     0,  2350,     0,     0,     0,     0,  1688,
    2351,     0,     0,     0,     0,  1235,     0,     0,  1688,     0,
       0,     0,  1459,     0,     0,     0,  1235,     0,     0,     0,
       0,    47,     0,     0,  2352,  1688,  1688,     0,     0,  1688,
       0,     0,  1459,     0,     0,     0,     0,     0,     0,    48,
       0,     0,     0,  1233,  4442,     0,  1459,     0,  3882,     0,
       0,     0,     0,  3882,     0,     0,  3882,  1233,     0,  3512,
      49,  5094,     0,     0,  1688,  1688,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    50,  1235,     0,  4522,     0,  2353,     0,
       0,     0,     0,  2354,     0,     0,     0,     0,     0,     0,
    4522,  1277,  1239,  1239,  1239,     0,     0,  5556,     0,     0,
       0,     0,     0,     0,  2355,  2356,     0,     0,     0,     0,
      51,     0,     0,    52,     0,     0,     0,     0,  1459,  2357,
    2353,     0,     0,     0,     0,  2354,     0,     0,    53,     0,
       0,     0,     0,     0,  1233,  1277,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2355,  2356,     0,     0,
       0,  2358,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2357,     0,     0,  2359,     0,     0,  2360,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1233,     0,     0,
    1135,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4681,  1235,     0,  2358,     0,     0,  1135,     0,  3447,     0,
       0,     0,     0,  2664,     0,     0,  2359,    54,     0,  2360,
       0,     0,     0,     0,     0,  4714,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1239,  1135,  4522,  5557,
       0,     0,  2343,     0,     0,  2344,     0,     0,     0,  2345,
    2346,  2347,     0,     0,     0,     0,  2361,     0,     0,  1459,
       0,     0,     0,    55,     0,     0,  2348,     0,     0,  3809,
    1688,     0,     0,  1688,  2350,  1688,     0,     0,    56,     0,
    2351,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1235,     0,     0,    57,     0,     0,     0,     0,  2361,  1688,
       0,     0,     0,  3882,  2352,     0,     0,  5094,     0,     0,
       0,     0,     0,     0,  1688,     0,     0,     0,  1235,     0,
       0,    58,     0,  5290,     0,     0,     0,     0,     0,    59,
       0,    60,    61,    62,    63,    64,  1688,     0,    65,    66,
    1500,  2205,     0,     0,     0,    71,  1235,  1235,  1235,  2362,
    1235,  1135,  2363,  2364,  2365,     0,  2366,  2367,  2368,  2369,
    2370,  2371,     0,     0,     0,     0,     0,     0,     0,     0,
    1235,     0,     0,     0,  1688,     0,  1447,     0,     0,     0,
       0,  1239,  1239,  1239,  1239,     0,     0,     0,     0,     0,
       0,  2362,     0,     0,  2363,  2364,  2365,  1447,  2366,  2367,
    2368,  2369,  2370,  2371,     0,     0,     0,     0,     0,     0,
    2353,     0,     0,     0,     0,  2354,     0,     0,  1233,     0,
       0,     0,     0,     0,  1235,   857,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2355,  2356,  1688,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2357,     0,     0,  1235,     0,     0,     0,  1235,  1235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1688,     0,  2358,  1233,     0,     0,     0,     0,     0,
       0,     0,     0,  1688,     0,     0,  2359,     0,  1688,  2360,
    1688,     0,  1688,     0,     0,     0,     0,     0,     0,  4522,
       0,     0,     0,     0,     0,  1239,     0,  1277,     0,     0,
       0,     0,     0,     0,     0,     0,  1688,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1459,     0,     0,
       0,  2343,     0,   857,  2344,     0,     0,     0,  2345,  2346,
    2347,     0,     0,  1094,     0,     0,     0,  2253,  2253,     0,
       0,     0,     0,     0,     0,  2348,     0,     0,     0,     0,
       0,     0,     0,  2350,     0,     0,     0,     0,  2361,  2351,
       0,     0,     0,     0,  1239,     0,     0,     0,     0,  1233,
       0,     0,     0,     0,  1094,     0,     0,     0,     0,     0,
       0,     0,  1459,  2352,     0,     0,     0,     0,     0,     0,
       0,     0,  5039,     0,     0,     0,     0,     0,     0,     0,
    1688,  1688,     0,     0,     0,  3512,     0,     0,     0,     0,
       0,  1688,     0,     0,  5290,     0,  1459,     0,  3252,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1233,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1239,     0,     0,     0,     0,     0,     0,  2253,     0,
       0,  2362,     0,     0,  2363,  2364,  2365,     0,  2366,  2367,
    2368,  2369,  2370,  2371,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4522,  1094,     0,
       0,     0,     0,  1233,  1233,     0,  1688,     0,     0,  2353,
       0,     0,     0,     0,  2354,     0,     0,  1447,  1459,     0,
       0,     0,     0,     0,     0,  1688,     0,     0,     0,     0,
       0,     0,  1239,  1459,     0,  2355,  2356,  1447,     0,     0,
       0,  1459,     0,     0,     0,     0,     0,   857,     0,     0,
    2357,  1447,  1459,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2358,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2359,     0,     0,  2360,  1459,
       0,     0,     0,     0,     0,     0,     0,     0,  1688,  1688,
       0,     0,  1235,     0,  3777,     0,     0,     0,  1459,     0,
       0,     0,  1233,     0,  1235,     0,     0,     0,     0,     0,
    1459,     0,     0,  1447,  1233,  1233,     0,     0,     0,     0,
       0,     0,  1459,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1235,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       4,     0,     0,     0,     0,     0,     0,  2361,     0,     0,
       0,     0,  1459,     0,     0,  1459,     0,     0,     0,     0,
       5,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       6,     7,     0,     0,     0,     0,     0,     9,    10,     0,
       0,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,     0,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,  1235,
      45,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1447,     0,     0,     0,     0,     0,
    2362,     0,     0,  2363,  2364,  2365,     0,  2366,  2367,  2368,
    2369,  2370,  2371,     0,     0,     0,  1235,  1235,     0,     0,
       0,     0,  1235,  1235,     0,     0,     0,     0,     0,  1235,
    1235,  1235,    46,     0,     0,  1235,     0,  1235,  1235,  1235,
    1235,  1235,  1235,     0,  1235,     0,  1235,  1235,     0,     0,
    1235,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1459,  1235,  1235,  1235,  1235,   857,
       0,     0,     0,  1235,     0,     0,     0,  1235,     0,     0,
    1235,     0,     0,  1235,  1235,  1235,  1235,  1235,  1235,  1235,
    1235,  1235,     0,  1235,     0,     0,     0,     0,     0,     0,
       0,  1235,     0,     0,  1235,    47,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    48,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    49,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    50,  1235,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     4,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    51,     0,     0,    52,     5,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     6,     7,
       0,     0,    53,     0,     0,     9,    10,     0,     0,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,     0,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1459,     0,     0,    45,  1459,
    1459,     0,  1447,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   857,     0,     0,     0,     0,     0,     0,
       0,  2343,     0,     0,  2344,     0,     0,     0,  2345,  2346,
    2347,    54,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2348,     0,  1235,     0,     0,
      46,     0,     0,  2350,     0,     0,     0,     0,  1235,  2351,
       0,     0,  1459,     0,     0,  1235,     0,  1447,     0,     0,
       0,     0,     0,     0,  1459,     0,     0,    55,     0,     0,
       0,     0,     0,  2352,     0,     0,     0,     0,     0,     0,
       0,     0,    56,     0,     0,     0,     0,     0,     0,  1094,
       0,  1447,     0,     0,     0,     0,     0,    57,     0,     0,
       0,     0,     0,     0,  1459,     0,     0,     0,     0,     0,
       0,     0,     0,    47,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    58,   857,     0,     0,     0,
     857,    48,     0,    59,     0,    60,    61,    62,    63,    64,
       0,     0,    65,    66,  1500,     0,     0,     0,     0,    71,
    1501,     0,    49,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3814,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1447,     0,    50,     0,     0,     0,  2353,
       0,     0,     0,     0,  2354,     0,     0,     0,  1447,     0,
       0,     0,     0,     0,     0,     0,  1447,     0,     0,     0,
       0,     0,     0,     0,     0,  2355,  2356,  1447,     0,     0,
       0,     0,    51,     0,     0,    52,     0,     0,     0,     0,
    2357,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      53,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2358,     0,  1447,     0,     0,  1235,  1459,     0,
       0,     0,     0,     0,     0,  2359,   857,     0,  2360,     0,
       0,     0,     0,  1447,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1447,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1447,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    54,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1459,     0,
       0,     0,     0,     0,     0,     0,     0,  1447,     0,     0,
    1447,     0,     0,     0,  1235,     0,     0,  2361,     0,     0,
       0,     0,     0,     0,     0,    55,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      56,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    57,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1235,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    58,     0,     0,     0,     0,     0,     0,
       0,    59,     0,    60,    61,    62,    63,    64,     0,     0,
      65,    66,  1500,  2958,     0,     0,     0,    71,     0,     0,
    2362,     0,     0,  2363,  2364,  2365,     0,  2366,  2367,  2368,
    2369,  2370,  2371,     0,     0,     0,     0,  1459,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1235,     0,     0,  1459,     0,     0,  1235,     0,     0,
       0,     0,     0,     0,     0,  1459,     0,     0,     0,  1447,
       0,     0,     0,  1449,  1235,     0,     0,     0,     0,  1235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1449,     0,     0,     0,     0,     0,
       0,     0,  1235,  1235,  1235,     0,     0,  1235,     0,     0,
       0,     0,     0,     0,     0,  1235,  1235,  1235,  1235,     0,
       0,     0,     0,   857,     0,     0,     0,     0,  1235,   857,
       0,  1235,     0,  1235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1235,  1235,     0,     0,  1235,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1235,     0,  1235,     0,  1235,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1235,  2343,     0,     0,
    2344,     0,     0,     0,  2345,  2346,  2347,  1235,     0,  1235,
    1235,  1235,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2348,     0,     0,  3820,     0,     0,     0,     0,  2350,
       0,     0,     0,     0,  1235,  2351,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1235,     0,     0,
       0,     0,  1235,     0,     0,     0,     0,     0,  1235,  2352,
       0,     0,     0,     0,     0,     0,     0,     0,  1235,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1447,     0,     0,     0,  1447,  1447,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1459,     0,     0,
    1459,     0,  1459,     0,     0,     0,     0,  1459,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1235,     0,     0,     0,     0,     0,  1447,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1447,
       0,     0,     0,     0,     0,  2353,     0,     0,  1459,     0,
    2354,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1459,     0,     0,     0,     0,
       0,  2355,  2356,     0,     0,     0,     0,     0,     0,  1447,
       0,     0,     0,     0,     0,     0,  2357,     0,     0,     0,
    1459,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1449,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2358,     0,
       0,     0,     0,     0,  1449,   857,   857,   857,     0,     0,
       0,  2359,     0,     0,  2360,     4,     0,     0,  1449,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     5,     0,     0,     0,  1459,
       0,  1459,     0,     0,   857,     6,     7,     0,     0,     0,
       0,     0,     9,    10,     0,     0,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,  2361,     0,    45,     0,     0,     0,     0,
    1449,     0,  1459,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1447,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1459,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1092,    46,     0,     0,
       0,     0,     0,     0,  1092,  1459,  1092,     0,     0,   857,
    1459,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1447,     0,     0,  2362,     0,     0,  2363,
    2364,  2365,     0,  2366,  2367,  2368,  2369,  2370,  2371,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1459,
      47,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1449,     0,     0,     0,     0,     0,  1459,    48,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1459,     0,     0,     0,     0,     0,     0,    49,
       0,     0,  2343,     0,     0,  2344,     0,     0,     0,  2345,
    2346,  2347,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    50,     0,     0,     0,  2348,     0,     0,     0,
       0,     0,     0,     0,  2350,     0,     0,     0,     0,     0,
    2351,  2343,     0,     0,  2344,  1235,     0,     0,  2345,  2346,
    2347,     0,  1447,     0,     0,     0,     0,     0,     0,    51,
       0,     0,    52,     0,  2352,  2348,     0,     0,  4397,  1447,
       0,     0,     0,  2350,     0,     0,     0,    53,     0,  2351,
    1447,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1235,     0,     0,  1459,     0,     0,     0,     0,     0,  1235,
       0,     0,     0,  2352,     0,  1235,     0,  1235,     0,     0,
    1235,     0,     0,     0,  1459,  1235,  1235,  1235,  1235,     0,
       0,  1235,  1235,  1235,  1235,  1235,  1235,  1235,  1235,  1235,
    1235,     0,     0,     0,  1235,  1235,     0,     0,     0,  1459,
       0,     0,     0,     0,  1235,     0,     0,     0,  1235,     0,
     857,     0,  1235,     0,     0,     0,    54,     0,     0,     0,
    1235,     0,     0,  1235,     0,  1235,     0,     0,     0,     0,
    2353,     0,     0,  1459,  1235,  2354,     0,  1235,  1235,     0,
       0,     0,  1235,  1235,     0,     0,     0,     0,     0,  1235,
       0,     0,     0,     0,     0,     0,  2355,  2356,     0,  1235,
       0,  1235,    55,     0,     0,     0,     0,     0,     0,  2353,
       0,  2357,     0,  1235,  2354,     0,     0,    56,     0,  1235,
    1235,  1235,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    57,     0,     0,  2355,  2356,     0,     0,     0,
       0,     0,     0,  2358,     0,     0,     0,     0,     0,  1449,
    2357,     0,     0,     0,     0,     0,  2359,     0,     0,  2360,
      58,     0,     0,     0,     0,     0,     0,  1235,    59,     0,
      60,    61,    62,    63,    64,     0,     0,    65,    66,  1500,
    1235,     0,  2358,     0,    71,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2359,  1459,     0,  2360,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1235,  1447,     0,  1449,  1447,     0,  1447,     0,     0,
       0,     0,  1447,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1256,     0,     0,     0,     0,  2361,     0,
       0,     0,  1286,     0,     0,     0,     0,     0,  1449,     0,
       0,  1301,     0,     0,     0,     0,     0,     0,     0,  1311,
       0,     0,     0,     0,     0,  1352,     0,  4343,     0,     0,
       0,     0,     0,  1447,     0,     0,     0,  2361,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   857,
    1447,     0,     0,     0,   857,  1459,   857,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1447,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1449,  2362,     0,     0,  2363,  2364,  2365,     0,  2366,  2367,
    2368,  2369,  2370,  2371,     0,  1449,     0,     0,     0,     0,
       0,     0,     0,  1449,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1449,     0,     0,     0,     0,     0,
    2362,     0,     0,  2363,  2364,  2365,     0,  2366,  2367,  2368,
    2369,  2370,  2371,     0,  1447,     0,  1447,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1449,     0,  1235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1576,     0,
    1449,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1459,     0,  1449,     0,     0,     0,     0,  1447,  1231,     0,
       0,     0,     0,     0,  1449,     0,     0,  1231,     0,     0,
       0,     0,     0,     0,  1708,     0,     0,     0,     0,     0,
       0,     0,  1447,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1732,     0,     0,     0,     0,  1459,  1235,
    1235,     0,     0,  1231,  1449,     0,     0,  1449,     0,     0,
    1447,     0,     0,     0,     0,  1447,  1759,     0,     0,     0,
       0,     0,     0,  2343,     0,     0,  2344,     0,     0,     0,
    2345,  2346,  2347,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2348,     0,     0,
       0,     0,     0,     0,     0,  2350,     0,     0,     0,     0,
       0,  2351,  1231,     0,     0,     0,     0,     0,  1457,     0,
       0,     0,  1231,     0,  1447,     0,     0,     0,     0,     0,
       0,     0,     0,  1235,     0,  2352,     0,     0,     0,  1457,
       0,     0,  1447,     0,  1235,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1447,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1943,
       0,     0,     0,     0,  1235,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1235,  1235,     0,  1459,     0,     0,
       0,  1235,  1235,     0,     0,     0,  1235,  1459,     0,     0,
       0,  1235,     0,     0,  1235,  1235,  1449,     0,     0,  1235,
       0,     0,     0,     0,     0,  1235,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1235,     0,     0,     0,  1235,     0,     0,
       0,  2353,     0,     0,  1231,  1231,  2354,     0,     0,  1235,
       0,  1092,     0,     0,  1235,  1092,     0,     0,  1447,     0,
    1235,     0,     0,     0,     0,     0,     0,  2355,  2356,     0,
       0,     0,     0,     0,     0,     0,  2068,     0,  1235,  1447,
       0,  1231,  2357,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   915,  2098,
    2101,  2102,     0,   916,  1447,     0,     0,  1235,     0,     0,
       0,     0,     0,     0,  2358,   917,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1459,     0,  2359,     0,     0,
    2360,     0,     0,     0,     0,     0,   918,     0,  1447,     0,
       0,     0,     0,     0,     0,     0,     0,   857,     0,   919,
       0,     0,     0,     0,     0,     0,  1459,     0,     0,   920,
       0,     0,     0,  -799,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1459,     0,     0,
       0,   921,     0,     0,     0,     0,     0,   922,     0,     0,
       0,   857,  1459,     0,     0,  1235,     0,     0,     0,     0,
       0,     0,     0,   923,     0,     0,     0,  1449,     0,  2361,
       0,  1449,  1449,     0,   924,     0,     0,     0,     0,     0,
       0,     0,   925,     0,     0,  1092,  1092,     0,     0,     0,
       0,     0,     0,     0,   926,  1459,     0,     0,     0,     0,
       0,   927,     0,     0,     0,   928,     0,     0,     0,     0,
       0,     0,  1231,     0,     0,     0,     0,  1235,     0,  1457,
       0,  1447, -1011,  1231,     0,  1708,     0,     0,  1235,     0,
       0,     0,     0,     0,  1449,     0,     0,     0,     0,  1457,
       0,     0,     0,     0,     0,     0,  1449,     0,     0,     0,
       0,     0,     0,  1457,     0,     0,  1708,     0,     0,   929,
       0,     0,  2362,     0,     0,  2363,  2364,  2365,  -539,  2366,
    2367,  2368,  2369,  2370,  2371,     0,     0,     0,     0,     0,
       0,  1459,     0,  1459,     0,     0,  1449,     0,     0,     0,
       0,  1231,     0,     0,     0,     0,     0,     0,     0,     0,
     930,     0,     0,   931,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1447,   932,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1235,  1457,     0,     0,  1459,     0,
    -435,     0,     0,  1235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   933,     0,
    1235,  1235,     0,     0,  1235,   934,     0,     0,     0,     0,
       0,  -435,     0,     0,   935,     0,     0,     0,  1235,     0,
       0,     0,     0,  1235,     0,     0,     0,     0,  1235,     0,
       0,  1235,  1235,     0,     0,     0,     0,     0,     0,  1235,
    1235,     0,  2433,  -435,     0,     0,   936,   937,  1231,   938,
     939,     0,     0,     0,     0,     0,     0,     0,     0,   940,
       0,  1235,     0,     0,   941,     0,     0,     0,     0,     0,
     942,     0,     0,   943,     0,  1235,   944,     0,     0,     0,
    1449,     0,     0,     0,     0,     0,     0,     0,     0,  -435,
       0,  2489,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1447,  1457,     0,     0,  1459,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1449,     0,     0,  1447,     0,     0,   857,     0,     0,     0,
       0,     0,  1235,     0,     0,  1231,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1231,  1231,  1231,     0,  1231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1235,     0,  1459,     0,  1231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2658,     0,
       0,     0,     0,     0,     0,     0,     0,  2681,     0,     0,
       0,     0,     0,     0,     0,  1235,  1459,     0,  1235,     0,
    1235,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2715,     0,     0,     0,     0,     0,     0,     0,  2721,
       0,  1231,  2724,     0,  1235,     0,     0,     0,  1235,  1449,
       0,     0,     0,     0,  1459,     0,     0,     0,     0,  1235,
       0,     0,  1447,     0,     0,     0,  1449,     0,     0,     0,
       0,  1231,  1447,     0,     0,  1231,  1231,  1449,  2759,     0,
       0,  1235,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2774,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   857,     0,  2786,     0,     0,     0,
    1459,     0,     0,     0,  1459,  1459,     0,     0,     0,  1235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1457,     0,  2837,     0,     0,     0,
       0,     0,     0,  1235,     0,     0,     0,     0,     0,     0,
    1092,     0,     0,     0,     0,     0,     0,  2871,     0,     0,
       0,     0,     0,  1235,  2883,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1447,     0,     0,  1459,  1459,     0,     0,     0,     0,     0,
       0,  1092,     0,     0,     0,     0,     0,     0,     0,  1457,
       0,     0,     0,     0,     0,     0,  1235,     0,     0,  1235,
       0,  1447,     0,     0,     0,     0,     0,     0,  1235,     0,
       0,     0,     0,  1235,     0,  1235,     0,  1235,     0,     0,
       0,     0,  1447,  1457,  1235,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1447,     0,     0,
       0,  1235,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   857,     0,     0,     0,     0,  2965,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1449,
    1447,     0,  1449,     0,  1449,  1092,     0,     0,     0,  1449,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1235,  1457,     0,     0,     0,     0,
       0,     0,     0,     0,  1708,  1708,     0,     0,     0,     0,
    1457,     0,     0,     0,     0,     0,     0,     0,  1457,     0,
       0,     0,     0,     0,  3020,  1235,  1235,     0,     0,  1457,
    1449,     0,     0,     0,     0,     0,  1235,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1449,     0,     0,
       0,     0,     0,     0,     0,     0,  1235,     0,  1447,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1449,     0,     0,     0,  1457,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1231,
       0,     0,     0,     0,     0,  1457,     0,     0,     0,     0,
       0,  1231,  1235,     0,     0,     0,     0,  1457,  1235,  1235,
       0,  1235,     0,  1447,     0,     0,     0,     0,     0,  1457,
       0,  3175,     0,     0,     0,     0,     0,     0,     0,     0,
    1235,     0,     0,     0,  1231,     0,     0,     0,     0,     0,
       0,  1449,     0,  1449,     0,     0,     0,  3196,     0,     0,
       0,     0,     0,     0,     0,     0,   857,     0,     0,  1457,
       0,     0,  1457,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3209,     0,  3212,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1449,     0,     0,     0,     0,     0,
       0,     0,     0,  1235,  1235,     0,     0,     0,     0,   857,
       0,     0,     0,     0,  1708,     0,  1231,  1235,     0,  1449,
       0,     0,     0,     0,     0,     0,     0,     0,   857,  1235,
    1235,     0,     0,     0,  1447,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1449,     0,     0,
       0,     0,  1449,  1231,  1231,     0,     0,     0,     0,  1231,
    1231,     0,     0,     0,     0,     0,  1231,  1231,  1231,     0,
       0,     0,  1231,     0,  1231,  1231,  1231,  1231,  1231,  1231,
       0,  1231,     0,  1231,  1231,     0,     0,  1231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1457,  1231,  1231,  1231,  1231,     0,     0,     0,     0,
    1231,  1449,     0,     0,  1231,     0,     0,  1231,     0,     0,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1449,
    1231,     0,     0,     0,     0,     0,     0,     0,  1231,     0,
    1447,  1231,     0,     0,  1449,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1447,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1231,     0,     0,     0,  1447,
       0,     0,     0,     0,  3414,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3441,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1449,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1447,  1449,     0,     0,  1447,
    1447,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1449,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1457,     0,     0,     0,  1457,  1457,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1449,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1231,     0,     0,     0,     0,  1447,
       0,     0,     0,     0,     0,  1231,     0,  3599,     0,  1457,
       0,     0,  1231,     0,     0,     0,     0,     0,     0,     0,
       0,  1457,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1092,     0,     0,     0,
       0,     0,    86,    87,    88,     0,    90,    91,    92,     0,
       0,  1457,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,  1449,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   132,     0,     0,     0,   134,   135,
     136,   137,   138,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   139,     0,     0,  1449,     0,     0,
       0,   143,  3738,   144,     0,     0,     0,     0,     0,   147,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   150,     0,     0,  1231,  1457,     0,     0,   151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   154,   155,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   163,     0,     0,     0,   165,     0,
       0,     0,     0,     0,   167,     0,     0,     0,     0,     0,
     168,     0,   169,     0,     0,  1457,     0,     0,   171,     0,
     172,     0,     0,     0,     0,     0,     0,     0,   173,     0,
       0,  1231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   175,   176,     0,     0,     0,     0,     0,   177,
       0,   178,     0,     0,   179,   180,     0,   181,     0,     0,
       0,     0,  1449,     0,     0,     0,   182,   183,     0,   184,
       0,  3865,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1231,
       0,     0,   189,   190,   191,     0,     0,   192,     0,     0,
       0,   194,     0,     0,   195,     0,   196,     0,     0,     0,
    1449,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     197,   198,     0,   199,   200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   201,     0,   202,     0,
       0,     0,     0,     0,  1457,     0,     0,     0,     0,     0,
       0,   204,     0,     0,     0,     0,     0,     0,  1231,     0,
       0,  1457,     0,     0,  1231,     0,     0,     0,     0,     0,
       0,   211,  1457,     0,     0,   213,     0,     0,     0,     0,
       0,  1231,     0,     0,     0,     0,  1231,     0,     0,     0,
       0,     0,     0,   218,     0,     0,   220,     0,     0,   221,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1231,
    1231,  1231,     0,   223,  1231,     0,     0,     0,     0,   225,
       0,     0,  1231,  1231,  1231,  1231,   226,   227,     0,     0,
       0,     0,   228,     0,   229,  1231,     0,     0,  1231,     0,
    1231,     0,     0,     0,     0,     0,     0,     0,     0,  1449,
       0,  1231,  1231,     0,     0,  1231,     0,     0,   236,  1449,
       0,   237,     0,     0,     0,     0,     0,     0,     0,  1231,
       0,  1231,     0,  1231,     0,     0,     0,   239,   240,   241,
     242,   243,   244,   245,   246,   247,     0,     0,     0,     0,
       0,     0,     0,  1231,     0,     0,   974,     0,     0,     0,
       0,   975,     0,     0,  1231,     0,  1231,  1231,  1231,     0,
       0,     0,     0,   976,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1231,     0,     0,   977,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1231,     0,     0,   978,     0,  1231,
       0,     0,     0,     0,     0,  1231,  4092,     0,     0,     0,
       0,   979,     0,     0,     0,  1231,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   960,     0,   980,
       0,     0,     0,     0,     0,     0,   960,  1449,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   981,     0,     0,  1457,     0,     0,  1457,     0,  1457,
       0,     0,   982,     0,  1457,     0,     0,     0,  1449,     0,
     983,     0,     0,     0,     0,     0,     0,   960,     0,     0,
       0,     0,   984,     0,     0,     0,     0,   985,  1231,  1449,
       0,     0,     0,   986,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1449,     0,     0,     0,     0,     0,
     987,     0,  1149,     0,     0,  1457,     0,     0,     0,     0,
       0,     0,  1149,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1457,  4201,  4202,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1449,     0,  4211,
       0,     0,     0,     0,     0,     0,   988,  1457,     0,     0,
       0,     0,     0,     0,     0,  4228,     0,     0,     0,     0,
       0,     0,     0,     0,  4237,  4238,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   989,     0,
       0,  4256,     0,     0,     0,     0,     0,     0,     0,   990,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   991,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   887,
       0,     0,     0,     0,     0,     0,  1457,     0,  1457,     0,
       0,     0,     0,     0,     0,  1449,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   992,     0,     0,     0,
       0,   993,     0,   994,     0,     0,     0,     0,     0,   995,
       0,     0,   996,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1457,
    1449,   997,  1708,     0,   998,     0,     0,     0,   999,     0,
       0,     0,     0,  1199,     0,  1000,     0,  1001,     0,     0,
       0,     0,  1002,     0,  1457,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1003,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1004,     0,     0,
       0,     0,  1457,     0,     0,     0,     0,  1457,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1457,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4430,  4431,  4432,
       0,  1449,     0,     0,  1457,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1457,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1231,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1449,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,     0,     0,
    1457,     0,     0,     0,     0,     0,  1231,     0,     0,     0,
       0,     0,  1231,     0,  1231,     0,     0,  1231,  1449,     0,
       0,  1457,  1231,  1231,  1231,  1231,     0,     0,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,     0,     0,
       0,  1231,  1231,   960,   960,     0,  1457,     0,     0,     0,
       0,  1231,     0,     0,     0,  1231,  1449,     0,     0,  1231,
       0,     0,     0,     0,     0,     0,     0,  1231,     0,     0,
    1231,     0,  1231,     0,     0,     0,     0,     0,     0,     0,
    1457,  1231,     0,     0,  1231,  1231,     0,     0,     0,  1231,
    1231,  1199,     0,     0,     0,     0,  1231,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1231,     0,  1231,     0,
       0,     0,  1449,     0,     0,     0,  1449,  1449,     0,     0,
    1231,     0,     0,     0,     0,     0,  1231,  1231,  1231,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1231,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,     0,     0,
    4666,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4676,     0,     0,  1457,     0,     0,  1449,     0,     0,     0,
       0,     0,  1246,     0,     0,     0,     0,     0,  1231,     0,
    1279,     0,     0,  1283,  1284,     0,  1287,     0,     0,  1293,
       0,  1295,     0,     0,     0,  4696,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1355,     0,     0,     0,     0,     0,     0,     0,  1363,
       0,     0,  2883,     0,     0,     0,  1375,     0,     0,  1380,
    1381,     0,     0,     0,  1383,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1199,     0,   960,     0,     0,     0,     0,     0,     0,
       0,     0,  1457,     0,     0,     0,     0,     0,     0,     0,
    1416,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1478,     0,  1482,     0,     0,
    1484,     0,  1486,     0,     0,  1490,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   960,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1577,     0,     0,     0,     0,     0,     0,     0,
    1231,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4822,  4823,  4824,
    4825,     0,     0,     0,  1199,     0,     0,  1457,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1149,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1457,  1231,  1231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1840,     0,  1842,     0,     0,     0,  1844,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1882,     0,
    1231,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1231,  1231,     0,  1457,     0,  2015,     0,  1231,  1231,
       0,     0,     0,  1231,  1457,     0,     0,     0,  1231,     0,
       0,  1231,  1231,  2029,     0,     0,  1231,     0,     0,     0,
       0,     0,  1231,     0,     0,  2040,     0,  2041,     0,     0,
       0,     0,     0,     0,     0,  2044,     0,     0,     0,     0,
    1231,     0,     0,     0,  1231,     0,     0,  2050,     0,     0,
       0,     0,  2059,     0,     0,  2063,  1231,     0,     0,     0,
       0,  1231,     0,     0,     0,     0,     0,  1231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1231,     0,     0,     0,  2108,
       0,     0,     0,     0,   705,     0,     0,     0,     0,   749,
       0,   749,     0,     0,     0,     0,     0,  5032,     0,     0,
       0,   749,     0,     0,  1231,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1457,     0,     0,     0,   749,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   749,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   749,   749,     0,
       0,   749,     0,  1457,     0,     0,     0,   749,     0,     0,
       0,  1048,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1457,     0,     0,     0,     0,     0,
       0,     0,     0,  1048,     0,     0,     0,     0,     0,  1457,
       0,     0,  1231,     0,     0,     0,     0,     0,   749,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1457,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2271,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1231,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1231,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1457,     0,
    1457,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5194,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1708,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1231,     0,     0,     0,  1457,     0,     0,     0,     0,
    1231,     0,     0,  5239,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,  1231,     0,
       0,  1231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1231,     0,     0,     0,     0,
    1231,     0,     0,     0,   749,  1231,     0,     0,  1231,  1231,
       0,     0,     0,     0,     0,     0,  1231,  1231,  1149,  2451,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1231,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1231,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2522,  5305,     0,  2522,
       0,     0,     0,     0,     0,     0,  1457,  2529,     0,     0,
       0,     0,     0,     0,     0,     0,  1231,     0,     0,     0,
       0,     0,     0,     0,     0,  2538,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1231,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2627,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1231,     0,  1457,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2714,     0,     0,     0,     0,     0,     0,
       0,     0,  1231,  1457,     0,  1231,     0,  1231,     0,     0,
       0,     0,     0,     0,     0,     0,   749,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1231,     0,     0,     0,  1231,     0,     0,     0,     0,
       0,  1457,     0,     0,     0,     0,  1231,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   749,   749,     0,     0,  1231,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1457,     0,     0,
       0,  1457,  1457,     0,     0,     0,  1231,     0,     0,     0,
    2829,     0,   749,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1231,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1231,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1457,  1457,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2926,     0,     0,  1231,     0,     0,  1231,     0,     0,     0,
       0,     0,     0,     0,  2940,  1231,     0,  2943,     0,  2945,
    1231,  2946,  1231,     0,  1231,     0,     0,  2948,     0,     0,
       0,  1231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1231,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2977,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2451,     0,     0,     0,  2451,     0,  2451,     0,     0,  2451,
       0,  1403,   749,     0,   749,     0,     0,     0,     0,     0,
       0,  1231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1231,  1231,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1231,     0,     0,   749,     0,     0,   749,
     749,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1231,   705,     0,  1048,     0,  1048,     0,
       0,     0,     0,     0,   705,     0,     0,     0,   749,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1048,  1048,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1231,
       0,  3189,     0,     0,     0,  1231,  1231,     0,  1231,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1231,     0,     0,
       0,     0,     0,     0,     0,   749,     0,   749,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1231,  1231,     0,     0,     0,     0,   705,     0,     0,     0,
       0,     0,     0,     0,  1231,     0,     0,     0,     0,     0,
     705,   705,     0,     0,  1822,     0,  1231,  1231,     0,     0,
       0,     0,     0,     0,  1199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3293,  3294,     0,     0,     0,  3297,
    3298,     0,   705,     0,  3301,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3312,     0,
       0,     0,     0,     0,     0,  3321,     0,     0,     0,  3324,
    3325,     0,     0,  3328,  3329,     0,     0,     0,     0,     0,
    3334,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3350,     0,  3352,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3376,     0,     0,     0,     0,  3378,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3383,     0,     0,     0,     0,     0,     0,     0,     0,
    3390,     0,  3392,     0,     0,  3395,  3398,  3400,     0,     0,
       0,     0,  3408,  3411,     0,     0,     0,     0,     0,     0,
       0,     0,  3424,     0,     0,     0,     0,  3433,     0,     0,
       0,     0,  3437,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3472,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3479,     0,
    3481,     0,     0,  1450,     0,  3484,     0,     0,     0,  3485,
       0,  3489,  3490,  3491,  3492,     0,  3494,     0,     0,     0,
       0,     0,     0,     0,  1450,     0,     0,     0,     0,  3519,
    3520,  3521,     0,     0,     0,     0,     0,     0,     0,  3529,
    3530,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3574,     0,     0,   705,     0,     0,     0,     0,   749,
       0,   749,     0,     0,   749,     0,   749,     0,     0,   749,
     749,   749,     0,     0,     0,  2248,     0,     0,     0,     0,
       0,     0,   749,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   749,     0,   749,     0,
       0,     0,     0,   749,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    86,    87,    88,     0,    90,    91,    92,
       0,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,     0,     0,     0,   107,   108,
     109,   110,     0,   111,   112,   113,   114,     0,   115,   116,
     117,     0,     0,     0,     0,     0,   120,   121,     0,     0,
       0,     0,   122,     0,     0,     0,     0,     0,     0,     0,
       0,   123,     0,   124,     0,   125,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,  1199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2451,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2389,     0,     0,     0,
       0,     0,     0,     0,     0,   132,     0,   749,   749,   134,
     135,   136,   137,   138,     0,     0,  3739,     0,     0,     0,
       0,     0,     0,     0,   705,   139,     0,     0,     0,   705,
     705,     0,   143,     0,   144,     0,     0,     0,     0,     0,
     147,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   150,     0,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   154,
     155,     0,     0,     0,  1450,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1450,     0,     0,   161,     0,     0,
       0,     0,     0,     0,     0,   163,     0,     0,  1450,   165,
       0,     0,   749,     0,   705,   167,     0,     0,     0,     0,
       0,   168,     0,   169,  2526,     0,     0,     0,     0,   171,
       0,   172,     0,     0,     0,     0,     0,     0,     0,   173,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   175,   176,     0,     0,     0,     0,     0,
     177,     0,   178,     0,     0,   179,   180,     0,   181,     0,
       0,     0,     0,     0,     0,     0,     0,   182,   183,     0,
     184,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1450,     0,     0,     0,     0,     0,     0,   705,     0,     0,
       0,     0,     0,   189,   190,   191,     0,   705,   192,  3923,
       0,     0,   194,     0,     0,   195,     0,   196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   197,   198,     0,   199,   200,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   201,     0,   202,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,     0,     0,     0,     0,   705,     0,     0,
     705,   705,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,     0,  3970,  3971,   213,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2451,     0,   218,     0,     0,   220,     0,     0,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1450,     0,     0,   223,     0,     0,  3992,     0,     0,
     225,     0,     0,     0,     0,     0,  3996,   226,   227,     0,
     705,     0,     0,   228,     0,   229,     0,     0,     0,     0,
       0,     0,  4008,  4010,   232,     0,     0,  4010,     0,     0,
       0,     0,  4021,  4022,  4023,     0,  4025,     0,     0,   236,
       0,     0,   237,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4042,   239,   240,
     241,   242,   243,   244,   245,   246,   247,  4048,  4049,  4050,
    4051,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3256,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4068,     0,     0,  4073,  4074,  4075,
       0,     0,     0,     0,     0,     0,     0,  4088,     0,     0,
       0,  1236,     0,     0,     0,     0,     0,     0,     0,     0,
    1236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4139,     0,
       0,     0,     0,     0,     0,     0,  4143,     0,     0,     0,
       0,     0,     0,   749,     0,   749,     0,     0,     0,   749,
       0,   749,     0,     0,   749,  4155,     0,     0,   749,     0,
       0,     0,     0,  2389,     0,  1236,     0,     0,     0,     0,
       0,  1460,     0,     0,     0,  1236,     0,     0,     0,     0,
       0,  4198,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1460,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1450,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4235,     0,     0,     0,  4239,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4277,     0,
       0,     0,     0,     0,   960,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1450,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4298,     0,     0,     0,
       0,     0,     0,     0,     0,  2248,     0,  1236,  1236,     0,
    4308,     0,  3190,     0,  4310,     0,     0,     0,  1450,     0,
       0,     0,  2526,     0,     0,     0,     0,  2451,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1236,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   705,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1450,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1450,     0,     0,     0,     0,
       0,     0,     0,  1450,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1450,     0,     0,     0,     0,     0,
     705,     0,     0,     0,   705,     0,     0,     0,     0,     0,
    3266,     0,  1822,     0,     0,   749,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1450,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1450,   705,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1450,     0,     0,  1236,     0,     0,     0,     0,
       0,     0,  1460,     0,  1450,     0,  1236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1460,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1460,     0,     0,     0,
       0,     0,     0,     0,  1450,     0,     0,  1450,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1236,     0,     0,     0,     0,     0,
       0,     0,  4533,     0,  4534,     0,     0,     0,     0,     0,
       0,  4536,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4546,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1460,     0,
       0,     0,     0,     0,  4554,     0,     0,     0,     0,     0,
       0,     0,   705,     0,     0,     0,     0,     0,  4567,     0,
     705,     0,   705,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4571,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4580,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4604,     0,     0,
       0,  1236,     0,     0,     0,     0,  1450,     0,  4612,  4613,
    4614,     0,     0,  4617,  4618,  4619,  4620,  4621,  4622,     0,
       0,     0,     0,  4629,  4630,     0,  4632,  4633,  4634,  4635,
    4636,  4637,     0,  4639,     0,     0,     0,     0,     0,     0,
       0,     0,  4647,     0,  4649,  4650,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1460,
       0,     0,     0,     0,     0,     0,     0,  4010,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4669,     0,     0,     0,
    1236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1236,  1236,  1236,     0,
    1236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4010,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   749,  2248,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1450,     0,     0,
     705,  1450,  1450,     0,     0,     0,     0,     0,  2451,  2451,
    2451,     0,     0,     0,  1236,     0,     0,     0,     0,     0,
    4765,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1236,     0,     0,     0,  1236,  1236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1450,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1450,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1450,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1460,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1460,     0,     0,     0,     0,     0,     0,     0,
    2526,     0,     0,     0,     0,   705,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1460,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4902,     0,     0,
       0,  4903,  4904,  4905,  4906,     0,     0,  4908,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1450,  4922,  4923,  4924,     0,  4925,     0,  4927,  4928,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4937,
    4938,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1460,     0,
    4946,     0,     0,     0,     0,     0,     0,  2451,  2451,     0,
    2451,     0,     0,  1460,     0,     0,     0,     0,     0,     0,
       0,  1460,  4954,     0,     0,     0,     0,     0,     0,     0,
    1450,     0,  1460,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1460,
       0,  4999,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1236,     0,     0,     0,     0,     0,  1460,     0,
       0,     0,  5017,     0,  1236,     0,     0,     0,     0,     0,
    1460,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1460,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1236,     0,     0,
       0,  5044,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1450,
       0,     0,  1460,     0,     0,  1460,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1450,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1450,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2451,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1236,
    2451,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     705,     0,     0,     0,     0,   705,  1236,  1236,     0,     0,
       0,     0,  1236,  1236,     0,     0,     0,     0,     0,  1236,
    1236,  1236,     0,     0,     0,  1236,     0,  1236,  1236,  1236,
    1236,  1236,  1236,     0,  1236,     0,  1236,  1236,     0,     0,
    1236,     0,     0,     0,     0,  5148,     0,     0,     0,     0,
       0,     0,     0,     0,  1460,  1236,  1236,  1236,  1236,     0,
       0,     0,     0,  1236,     0,     0,  5157,  1236,     0,     0,
    1236,  5162,  5163,  1236,  1236,  1236,  1236,  1236,  1236,  1236,
    1236,  1236,     0,  1236,     0,     0,     0,     0,     0,     0,
       0,  1236,     0,     0,  1236,   749,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5215,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1236,  1450,
    4010,     0,  1450,     0,  1450,     0,     0,     0,     0,  1450,
    5256,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   705,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2451,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2451,     0,     0,     0,
    1450,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1450,     0,     0,
       0,  5292,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1460,     0,     0,     0,  1460,
    1460,     0,  1450,     0,  5308,     0,     0,     0,     0,     0,
       0,     0,     0,  5315,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2451,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1236,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1236,     0,
       0,     0,  1460,     0,     0,  1236,     0,     0,     0,     0,
       0,  1450,     0,  1450,  1460,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1460,  4010,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3266,     0,     0,     0,  1450,     0,     0,     0,     0,  2451,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1450,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5433,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1450,  5445,     0,
       0,     0,  1450,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1672,  1672,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5467,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     705,     0,     0,     0,  1750,     0,     0,     0,     0,     0,
       0,  1450,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1236,  1460,  1450,
       0,     0,   705,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1450,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5515,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5533,     0,     0,  1460,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1236,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1450,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1450,     0,     0,     0,
       0,     0,  1236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1450,     0,     0,     0,     0,     0,     0,     0,     0,
    1458,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1458,     0,     0,     0,  1450,     0,  1460,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1452,     0,     0,
       0,  1236,     0,     0,  1460,     0,     0,  1236,     0,     0,
       0,     0,     0,     0,   705,  1460,     0,     0,  1452,     0,
       0,     0,     0,     0,  1236,     0,     0,     0,     0,  1236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1236,  1236,  1236,     0,     0,  1236,     0,     0,
       0,     0,     0,     0,     0,  1236,  1236,  1236,  1236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1236,     0,
       0,  1236,     0,  1236,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1236,  1236,     0,     0,  1236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1450,     0,
       0,     0,  1236,     0,  1236,     0,  1236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1236,     0,  1236,
    1236,  1236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2526,     0,     0,     0,  1236,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1236,     0,     0,
       0,     0,  1236,     0,     0,     0,     0,     0,  1236,     0,
       0,     0,     0,     0,     0,     0,     0,  1450,  1236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2300,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1460,  2314,     0,
    1460,     0,  1460,     0,     0,     0,     0,  1460,   705,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2332,  2333,  2334,     0,
    2337,  1236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   705,     0,     0,
    2379,  1458,     0,     0,     0,     0,     0,     0,  1460,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1458,     0,     0,     0,  1460,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1458,     0,     0,  1452,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1460,     0,  1450,     0,  2434,     0,     0,     0,  1452,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1452,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2458,     0,     0,     0,  2470,  2473,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1450,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1458,     0,  1460,
       0,  1460,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1452,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1460,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1460,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1460,     0,     0,     0,  1450,
    1460,     0,     0,     0,     0,     0,     0,     0,  1458,  1450,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   749,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1452,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1460,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   705,     0,     0,  1460,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1460,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1450,     0,     0,
       0,     0,     0,     0,     0,  1236,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1450,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1450,
    1236,     0,     0,  1460,     0,     0,     0,     0,     0,  1236,
       0,     0,     0,     0,  1450,  1236,     0,  1236,     0,     0,
    1236,     0,     0,     0,  1460,  1236,  1236,  1236,  1236,     0,
       0,  1236,  1236,  1236,  1236,  1236,  1236,  1236,  1236,  1236,
    1236,     0,     0,     0,  1236,  1236,     0,     0,     0,  1460,
       0,     0,     0,     0,  1236,     0,     0,  1450,  1236,     0,
       0,     0,  1236,     0,     0,     0,     0,     0,     0,     0,
    1236,     0,     0,  1236,     0,  1236,     0,     0,     0,     0,
       0,     0,     0,  1460,  1236,     0,     0,  1236,  1236,     0,
       0,     0,  1236,  1236,     0,     0,  2555,     0,     0,  1236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1236,
       0,  1236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1236,     0,     0,     0,     0,     0,  1236,
    1236,  1236,     0,  1452,     0,     0,     0,     0,     0,     0,
     705,     0,     0,     0,     0,  1450,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2555,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1236,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1236,     0,  3057,     0,     0,  1458,     0,     0,  1452,     0,
    1450,     0,     0,     0,     0,  3077,  1460,  3079,     0,     0,
    3091,  3094,  3099,     0,     0,     0,     0,  3105,     0,   705,
    3110,  1236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1452,     0,     0,  3117,  3118,  3119,  3120,     0,
       0,     0,     0,  3127,  1453,     0,     0,  3139,     0,     0,
    3141,     0,     0,  3148,  3149,  3150,  3151,  3152,  3153,  3154,
    3155,  3156,     0,  3157,     0,  1453,     0,     0,     0,     0,
       0,  1672,     0,     0,  3185,     0,     0,  1458,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1458,     0,     0,     0,     0,     0,     0,     0,
    2555,     0,     0,     0,     0,  1460,     0,     0,     0,     0,
       0,  1458,     0,     0,  1452,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1452,
       0,  1450,     0,     0,     0,     0,     0,  1452,  1750,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1452,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1458,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1458,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1458,
       0,     0,     0,     0,     0,  1452,     0,     0,     0,     0,
       0,  1458,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1452,     0,     0,     0,     0,     0,
       0,     0,     0,  1236,     0,     0,  1452,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1450,  1452,     0,
       0,  1458,     0,     0,  1458,     0,     0,     0,     0,     0,
    1460,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1450,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1452,     0,
       0,  1452,     0,     0,     0,     0,     0,  3326,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1460,  1236,
    1236,     0,     0,     0,     0,     0,  1450,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1450,     0,     0,     0,  1450,  1450,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1236,     0,  1453,     0,     0,     0,     0,
       0,     0,     0,  1458,  1236,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1453,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1453,
       0,     0,     0,     0,  1236,     0,     0,     0,     0,     0,
    1452,     0,     0,  3188,  1236,  1236,     0,  1460,     0,     0,
       0,  1236,  1236,     0,     0,     0,  1236,  1460,     0,     0,
       0,  1236,     0,     0,  1236,  1236,  1450,     0,     0,  1236,
       0,     0,     0,     0,     0,  1236,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1236,     0,     0,     0,  1236,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1236,
       0,  1453,     0,     0,  1236,     0,     0,  3566,     0,     0,
    1236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1236,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1460,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3278,  1455,     0,     0,  2555,  3284,
       0,     0,     0,     0,     0,     0,  1460,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1455,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1460,     0,     0,
       0,  1452,  1453,     0,     0,  1452,  1452,     0,     0,     0,
       0,     0,  1460,     0,     0,  1236,     0,     0,     0,     0,
       0,     0,  3704,     0,     0,     0,     0,     0,     0,     0,
       0,  1458,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1458,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1460,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1452,     0,
       0,     0,     0,     0,     0,     0,     0,  1236,     0,     0,
    1452,     0,     0,  1458,     0,     0,     0,     0,  1236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3759,     0,     0,     0,     0,  3765,
    1452,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1460,     0,  1460,  2337,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3099,     0,  3099,  3099,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3823,     0,
       0,  3826,     0,  3828,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1236,     0,     0,     0,  1460,     0,
       0,     0,  3846,  1236,  3849,     0,  3851,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1236,  1236,     0,     0,  1236,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1458,  1236,  3185,
    3185,  3185,     0,  1236,     0,     0,     0,     0,  1236,     0,
       0,  1236,  1236,     0,     0,     0,     0,     0,     0,  1236,
    1236,     0,     0,     0,  3919,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1452,     0,     0,  2458,     0,     0,
    1453,  1236,  3931,     0,     0,     0,     0,     0,  2473,     0,
       0,     0,     0,     0,     0,  1236,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1455,  2555,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1455,     0,     0,  1460,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1236,
    1455,     0,     0,     0,  1452,  1453,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3978,     0,     0,     0,     0,     0,     0,     0,  1453,
       0,     0,  1236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1455,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1236,     0,  1460,  1458,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1458,     0,     0,     0,     0,     0,     0,
       0,  1453,     0,     0,  1458,  1236,  1460,     0,  1236,     0,
    1236,     0,     0,  1452,     0,     0,  1453,     0,     0,     0,
       0,     0,     0,     0,  1453,     0,     0,     0,     0,     0,
    1452,     0,     0,     0,  1236,  1453,     0,     0,  1236,     0,
       0,  1452,     0,     0,  1460,     0,     0,     0,     0,  1236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1453,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1455,     0,     0,     0,     0,     0,     0,
    1460,  1453,     0,     0,  1460,  1460,     0,     0,     0,  1236,
       0,     0,     0,  1453,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1453,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3188,  3188,
    3188,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1236,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1453,     0,     0,  1453,     0,
       0,     0,     0,  1236,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1460,  1460,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1236,     0,     0,  1236,
       0,     0,     0,     0,     0,     0,     0,     0,  1236,     0,
       0,     0,     0,  1236,     0,  1236,  2555,  1236,     0,  3284,
       0,  3284,     0,     0,  1236,     0,  2555,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1452,     0,     0,  1452,     0,  1452,     0,
       0,     0,     0,  1452,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1458,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1458,     0,     0,  1453,     0,     0,
       0,     0,     0,     0,  1236,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1452,     0,     0,     0,     0,  2555,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1452,     0,     0,     0,  1236,  1236,     0,     0,     0,
    4344,     0,     0,     0,     0,     0,  1236,     0,     0,  4348,
       0,  1455,     0,     0,     0,  4349,  1452,  4350,     0,     0,
       0,     0,     0,     0,     0,     0,  1236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4374,  4375,     0,     0,  1458,     0,
    1458,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3105,     0,     0,     0,     0,     0,     0,     0,
    4400,     0,  1236,  4403,     0,  4405,  1455,     0,  1236,  1236,
       0,  1236,     0,     0,  4409,  1452,     0,  1452,     0,     0,
       0,     0,  4416,  4417,     0,     0,     0,     0,     0,     0,
    1236,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1455,  1458,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4461,     0,     0,     0,     0,     0,  4468,
    4469,  3185,     0,     0,     0,     0,  1458,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1452,     0,
       0,  2373,     0,     0,     0,     0,     0,     0,  1453,     0,
       0,     0,  1453,  1453,  3284,     0,     0,     0,     0,  3284,
       0,     0,     0,  1452,     0,     0,     0,  4487,     0,     0,
       0,     0,     0,  1236,  1236,     0,     0,     0,     0,     0,
    1750,     0,  1455,     0,     0,     0,     0,  1236,     0,     0,
       0,  1452,     0,     0,     0,     0,  1452,  1455,     0,  1236,
    1236,     0,     0,     0,     0,  1455,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1453,  1455,     0,  1458,  2373,
       0,     0,     0,     0,     0,     0,     0,  1453,     0,     0,
       0,     0,     0,     0,     0,     0,  3284,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1458,     0,     0,     0,  1452,     0,     0,     0,     0,
       0,     0,     0,  1455,     0,     0,     0,  1453,     0,     0,
       0,     0,     0,  1452,     0,     0,     0,     0,     0,     0,
       0,     0,  1455,     0,     0,     0,     0,     0,  1452,     0,
       0,     0,     0,     0,  1455,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1455,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1455,     0,     0,  1455,
       0,     0,  1458,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1458,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1452,
       0,     0,     0,     0,     0,     0,     0,     0,  1458,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1452,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1453,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1458,     0,     0,  1452,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1452,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3188,     0,     0,     0,     0,     0,     0,     0,     0,  4728,
    4729,  1453,     0,     0,     0,     0,     0,     0,  1455,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2555,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4778,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4783,     0,     0,     0,     0,     0,
       0,     0,  1452,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1453,     0,     0,     0,  4798,  4800,     0,     0,     0,     0,
       0,  4804,  4805,     0,     0,     0,  4806,  1453,     0,     0,
       0,  4809,     0,     0,  4812,  4813,     0,     0,  1453,  4817,
       0,     0,     0,     0,  3284,  4821,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2373,     0,     0,     0,     0,     0,     0,     0,     0,  3185,
       0,  1452,     0,     0,  3185,     0,     0,     0,     0,  1455,
    3185,     0,     0,  1455,  1455,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1672,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4883,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1455,     0,     0,  2373,
       0,     0,     0,     0,     0,     0,     0,     0,  1455,     0,
       0,     0,     0,  2373,     0,     0,     0,  3087,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1458,
       0,  2373,  2373,  2373,     0,     0,  2373,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1455,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4943,  1452,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2555,  2373,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1453,     0,     0,  1453,  1452,  1453,     0,     0,     0,     0,
    1453,     0,     0,     0,     0,     0,     0,  4977,     0,     0,
       0,     0,     0,  2373,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2373,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2373,
       0,  1453,  2373,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1453,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1455,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1453,     0,     0,  1458,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1458,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1452,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1452,     0,     0,     0,     0,     0,     0,
    5070,  5071,  1455,     0,  5072,     0,     0,     0,  3188,     0,
       0,     0,  1453,  3188,  1453,     0,     0,     0,     0,  3188,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5106,
    5107,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1453,     0,     0,     0,     0,
       0,     0,     0,     0,  1458,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1453,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1458,     0,     0,     0,     0,
       0,  1452,     0,     0,     0,     0,     0,     0,  1453,     0,
       0,  1455,     0,  1453,     0,     0,  1458,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1455,     0,
       0,  3284,  1452,     0,     0,     0,     0,     0,     0,  1455,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1452,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1452,     0,
       0,     0,  1453,     0,  1458,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1453,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1453,     0,     0,     0,     0,
       0,  1452,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3105,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5274,     0,     0,     0,     0,     0,
    5028,     0,  1458,     0,     0,     0,     0,     0,     0,  2337,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1750,     0,     0,     0,     0,     0,     0,     0,  1452,
       0,     0,     0,     0,     0,     0,  1453,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1458,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1453,     0,  5323,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1453,     0,  1452,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1455,     0,     0,  1455,     0,  1455,     0,     0,     0,
       0,  1455,     0,     0,     0,     0,  1453,     0,     0,     0,
       0,     0,     0,  5373,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1455,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3284,  1455,
       0,     0,     0,     0,     0,     0,     0,  5106,     0,     0,
       0,     0,     0,     0,     0,     0,  2373,     0,     0,     0,
       0,     0,     0,     0,  1455,     0,     0,     0,     0,     0,
       0,  5434,     0,     0,     0,  1452,  2373,     0,  2373,     0,
       0,  3087,  3087,     0,  3800,     0,  3087,     0,     0,     0,
    2373,     0,     0,  2373,     0,     0,     0,     0,  2373,  1453,
       0,     0,     0,     0,  2373,     0,     0,     0,     0,  2373,
       0,     0,     0,     0,     0,     0,  2373,  2373,  2373,  2373,
       0,     0,     0,  3087,  3087,     0,  2373,     0,     0,     0,
       0,     0,     0,  1455,     0,  1455,     0,     0,  2373,     0,
    2373,     0,     0,     0,  3284,     0,     0,  2373,  2373,  2373,
    2373,  2373,  2373,  2373,  2373,  2373,  2373,     0,     0,     0,
       0,     0,     0,     0,     0,  5494,  5494,     0,     0,     0,
       0,     0,     0,     0,     0,  1458,  5106,     0,     0,     0,
       0,  1452,     0,     0,  2373,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1455,     0,  1453,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1452,  1458,     0,     0,     0,     0,     0,     0,
       0,  1455,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1455,
    1452,  5494,     0,     0,  1455,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1458,
    5565,     0,     0,  1458,  1458,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1452,     0,     0,     0,
    1452,  1452,     0,  1455,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2373,     0,     0,     0,     0,
       0,  1455,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1453,     0,     0,  1455,     0,     0,     0,
       0,     0,     0,  5494,  5606,     0,     0,     0,     0,     0,
       0,     0,  5028,  1458,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1453,     0,     0,     0,     0,     0,     0,     0,     0,
    1452,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1455,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1455,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1455,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1455,     0,     0,
    1453,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1453,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2373,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1455,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1453,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1453,
       0,     0,     0,  2373,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1453,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1453,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1455,
       0,     0,     0,     0,     0,     0,     0,     0,  2373,     0,
       0,     0,     0,     0,  2373,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1453,     0,
    3800,  3800,     0,     0,  3087,  3087,  3087,  3087,     0,     0,
    3087,  3087,  3087,  3087,  3087,  3087,  3087,  3087,  3087,  3087,
    3800,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2373,     0,     0,  2373,     0,  2373,     0,     0,
    3800,  3800,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2373,  3087,  3087,  2373,     0,
    2373,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1453,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1455,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2373,     0,
       0,  1453,     0,     0,     0,     0,     0,     0,     0,     0,
    2373,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1455,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2373,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1453,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1455,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1455,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1453,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3087,     0,     0,     0,     0,     0,     0,  1453,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1455,
       0,     0,     0,     0,     0,     0,     0,  1453,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1455,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1455,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1453,     0,     0,  1455,  1453,  1453,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1455,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2373,     0,     0,     0,  2373,  2373,  2373,
       0,     0,     0,     0,     0,  3800,  3800,  3800,  3800,     0,
       0,     0,     0,  3800,  3800,  3800,  3800,  3800,  3800,  3800,
    3800,  3800,  3800,  2373,  2373,     0,     0,  1453,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2373,
       0,     0,  2373,     0,  2373,     0,     0,     0,  2373,     0,
       0,  3800,  3800,     0,     0,  2373,  2373,  1455,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2373,     0,     0,     0,     0,     0,     0,  2373,  2373,     0,
       0,     0,  1455,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2373,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1455,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    86,    87,    88,     0,    90,    91,
      92,     0,     0,     0,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,     0,     0,     0,   107,
     108,   109,   110,     0,   111,   112,   113,   114,     0,   115,
     116,   117,     0,     0,     0,     0,     0,   120,   121,     0,
       0,     0,     0,   122,     0,     0,     0,     0,     0,  3800,
       0,     0,   123,     0,   124,     0,   125,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1455,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   132,  2373,  2373,     0,
     134,   135,   136,   137,   138,     0,     0,     0,     0,     0,
    1455,     0,     0,     0,     0,     0,   139,     0,     0,     0,
       0,     0,     0,   143,     0,   144,     0,     0,     0,     0,
       0,   147,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   150,     0,     0,     0,  2373,  1455,     0,
     151,     0,  2373,  3087,     0,     0,     0,     0,     0,     0,
     154,   155,     0,     0,     0,     0,     0,  2373,     0,  2373,
       0,     0,     0,  2373,  2373,  2373,     0,     0,  2373,     0,
       0,  2373,  2373,     0,     0,     0,  2373,     0,   161,     0,
    2373,     0,     0,     0,     0,     0,   163,     0,     0,     0,
     165,     0,     0,     0,  1455,     0,   167,     0,  1455,  1455,
       0,     0,   168,     0,   169,     0,     0,     0,     0,     0,
     171,     0,   172,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   175,   176,     0,     0,     0,     0,
       0,   177,  2373,   178,     0,     0,   179,   180,     0,   181,
       0,     0,     0,     0,     0,     0,     0,     0,   182,   183,
       0,   184,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   189,   190,   191,     0,  1455,   192,
       0,     0,     0,   194,     0,     0,   195,     0,   196,     0,
       0,     0,  2373,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   197,   198,     0,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   201,     0,
     202,     0,     0,     0,     0,     0,  2373,     0,     0,     0,
       0,     0,     0,   204,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   211,     0,     0,     0,   213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   218,     0,     0,   220,     0,
       0,   221,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   223,     0,     0,     0,     0,
       0,   225,     0,  3800,  3087,     0,     0,     0,   226,   227,
       0,     0,     0,     0,   228,     0,   229,     0,     0,  2373,
    2373,  2373,     0,     0,     0,   232,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     236,     0,     0,   237,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2373,  2373,     0,     0,   239,
     240,   241,   242,   243,   244,   245,   246,   247,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3258,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3800,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2373,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2373,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2373,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2373,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2373,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   759,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   760,   104,   105,
     714,   761,     0,   107,   108,   109,   110,   762,   763,   112,
     113,   114,     0,   115,   764,   765,   715,   716,     0,     0,
       0,   717,   718,     0,  2373,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2373,   431,   432,   433,   434,
     435,   436,   437,   438,   766,   439,   440,   441,   767,   768,
     769,   770,   771,   772,   773,   442,   443,   774,   444,   445,
     132,   446,   447,   448,   134,   135,   136,   137,   138,   775,
     449,   450,   451,   452,   453,   776,   777,   454,   455,   778,
     139,   456,   779,   457,   458,   459,   460,   143,   780,   144,
     781,   461,   462,   463,   464,   147,   465,   466,   782,   783,
     467,   468,   469,   470,   471,   472,   784,   150,   473,   474,
     785,   786,   787,   788,   151,   789,   790,   791,   476,   477,
     478,   479,   728,   480,   154,   155,   481,   792,   482,   793,
     483,   484,   485,   486,   487,   488,   794,   489,   490,   491,
     795,   796,   492,   493,   494,   495,   496,   797,   497,   498,
     499,   798,   500,   501,   502,   799,   503,   504,   505,   506,
     163,   507,   508,   509,   165,   800,   510,   801,   511,   512,
     167,   513,   802,   514,   803,   515,   168,   804,   169,   516,
     517,   518,   805,   519,   171,   806,   172,   520,   807,   521,
     522,   730,   523,   524,   173,   525,   526,   527,   528,   808,
     529,   530,   531,   532,   533,   534,   809,   535,   175,   176,
     810,   536,   537,   538,   811,   177,   812,   178,   813,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,   814,
     815,   546,   182,   183,   547,   184,   816,   548,   549,   550,
     817,   818,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,   190,
     191,   565,   566,   192,   819,   567,   568,   194,   569,   820,
     195,   570,   196,   571,   572,   573,   821,   574,   822,   823,
     575,   576,   577,   824,   825,   578,   197,   198,   579,   199,
     200,   580,   581,   582,   583,   584,   585,   586,   587,   826,
     588,   589,   201,   590,   202,   591,   592,   593,   827,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,   828,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   829,   617,   618,   211,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
     830,   629,   630,   631,   632,   633,   831,   635,   636,   218,
     637,   638,   220,   639,   640,   221,   641,   832,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
     833,   653,   654,   834,   655,   225,   656,   657,   658,   659,
     660,   835,   226,   227,   836,   837,   662,   663,   228,   664,
     229,   838,   665,   666,   667,   668,   669,   670,   671,   839,
     840,   672,   673,   674,   675,   676,   841,   842,   677,   678,
     679,   680,   681,   843,   236,   844,   682,   237,   683,   684,
     685,   686,   845,   846,   687,   847,   848,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    85,     0,     0,    86,    87,
      88,    89,    90,    91,    92,    93,     0,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,  1008,   104,   105,
     106,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114,     0,   115,   116,   117,   118,   119,     0,     0,
       0,   120,   121,     0,     0,     0,     0,   122,     0,     0,
       0,     0,     0,     0,     0,     0,   123,     0,   124,     0,
     125,   126,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   127,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   128,     0,   129,   130,
       0,     0,     0,     0,     0,     0,     0,     0,   131,     0,
     132,     0,     0,   133,   134,   135,   136,   137,   138,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     139,     0,     0,   140,     0,   141,   142,   143,     0,   144,
       0,   145,     0,   146,     0,   147,     0,     0,     0,     0,
       0,     0,     0,     0,   148,     0,   149,   150,     0,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
       0,   152,     0,   153,   154,   155,   156,     0,     0,     0,
       0,     0, -1515,     0,     0,     0,     0,     0,     0,   157,
       0,   158,     0,     0,     0,   159,     0,     0,     0,     0,
       0,   160,   161,     0,     0,     0,     0,     0,     0,   162,
     163,   164,     0,     0,   165,     0,     0,   166,     0,     0,
     167,     0,     0,     0,     0,     0,   168,     0,   169,     0,
       0,     0,   170,     0,   171,     0,   172,     0,     0,     0,
       0,     0,     0,     0,   173,     0,     0,     0,   174,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   175,   176,
       0,     0, -1515,     0,     0,   177,     0,   178,     0,     0,
     179,   180,     0,   181,     0,     0,     0,     0,     0,     0,
       0,     0,   182,   183,     0,   184,     0,   185,   186,     0,
       0,     0,     0,   187,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,     0,     0,   189,   190,
     191,     0,     0,   192,     0,     0,   193,   194,     0,     0,
     195,     0,   196,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   197,   198,     0,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   201,     0,   202,     0,   203,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   204,   205,     0,
       0,     0,     0,   206,   207,     0,   208,     0,     0,     0,
       0,   209,     0,     0,     0,     0,   210,   211,     0,   212,
       0,   213,     0,     0,   214,     0,     0,     0,     0,   215,
     216,     0,     0,     0,     0,     0,     0,   217,     0,   218,
       0,   219,   220,     0,     0,   221,     0,     0,     0,     0,
       0,   222,     0,     0,     0,     0,     0,     0,     0,   223,
       0,     0,     0,   224,     0,   225,     0,     0,     0,     0,
       0,     0,   226,   227,     0,     0,     0,     0,   228,     0,
     229,     0,   230,     0,   231,     0,     0,     0,     0,   232,
       0,     0,   233,     0,     0, -1515,     0,     0,   234,     0,
       0,     0,     0,   235,   236,     0,     0,   237,     0,     0,
       0,     0,     0,     0,     0,     0,   238,     0,     0,     0,
       0,     0,     0,   239,   240,   241,   242,   243,   244,   245,
     246,   247,     0,     0,     0,     0,     0,   248,     0,     0,
       0,     0,   759,    86,    87,    88,   711,    90,    91,    92,
     712,   249,   713,    95,     0,  -147,    98,    99,   100,   101,
     102,   103,   760,   104,   105,   714,   761,     0,   107,   108,
     109,   110,   762,   763,   112,   113,   114,     0,   115,   764,
     765,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,   430,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1592,
    1593,  1594,    45,  1595,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  3179,
     439,   440,   441,     0,     0,     0,     0,  1596,     0,     0,
     442,   443,     0,   444,   445,   132,   446,   447,   448,   134,
    1597,   136,  1598,  1599,     0,   449,   450,   451,   452,   453,
    1600,  1601,   454,   455,  1602,  1603,   456,     0,   457,   458,
     459,   460,  1604,     0,  1605,     0,   461,   462,   463,   464,
     147,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,   150,   473,   474,     0,  1606,  1607,  1608,  1609,
    1610,  1611,  1612,   476,   477,   478,   479,   728,   480,  1613,
    1614,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,  3180,     0,   492,   493,  1428,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,  1615,   507,   508,   509,  1616,
    1617,   510,     0,   511,   512,  1618,   513,     0,   514,     0,
     515,   168,     0,   169,   516,   517,   518,     0,   519,  1619,
       0,  1620,   520,     0,   521,   522,   730,   523,   524,   173,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,   175,   176,     0,   536,   537,   538,  1431,
    1621,     0,  1622,     0,   539,   179,   180,   540,   181,   541,
     542,   543,   544,   545,     0,     0,   546,  1623,   183,   547,
     184,     0,   548,   549,   550,  1624,  1625,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,  1626,   190,  1627,   565,   566,   192,  1628,
     567,   568,   194,   569,  1629,  1630,   570,  1631,   571,   572,
     573,     0,   574,     0,     0,  1632,   576,   577,     0,     0,
     578,   197,   198,   579,   199,  1633,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,  1634,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,  1635,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   211,   619,   620,   621,  1636,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,  1637,   635,   636,   218,   637,   638,   220,   639,   640,
    1638,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,  1639,     0,   653,   654,     0,   655,
     225,   656,   657,   658,   659,   660,     0,  1640,  1641,     0,
       0,   662,   663,  1642,   664,  1643,  1644,   665,   666,   667,
     668,   669,   670,   671,     0,  1645,   672,   673,   674,   675,
     676,  1646,     0,   677,   678,   679,   680,   681,   734,  1647,
    3181,   682,   237,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,  1648,
    1649,  1650,  1651,  1652,  1653,  1654,  1655,   735,   694,   695,
    1656,     0,     0,     0,     0,     0,     0,  1657,  1658,  3182,
       0,     0,     0,     0,     0,     0,  1660,  3183,   759,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   760,   104,
     105,   714,   761,     0,   107,   108,   109,   110,   762,   763,
     112,   113,   114,     0,   115,   764,   765,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,   430,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1592,  1593,  1594,    45,  1595,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,  1596,     0,     0,   442,   443,     0,   444,
     445,   132,   446,   447,   448,   134,  1597,   136,  1598,  1599,
       0,   449,   450,   451,   452,   453,  1600,  1601,   454,   455,
    1602,  1603,   456,     0,   457,   458,   459,   460,  1604,     0,
    1605,     0,   461,   462,   463,   464,   147,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,   150,   473,
     474,     0,  1606,  1607,  1608,  1609,  1610,  1611,  1612,   476,
     477,   478,   479,   728,   480,  1613,  1614,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,  1428,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,  1615,   507,   508,   509,  1616,  1617,   510,     0,   511,
     512,  1618,   513,     0,   514,     0,   515,   168,     0,   169,
     516,   517,   518,     0,   519,  1619,     0,  1620,   520,     0,
     521,   522,   730,   523,   524,   173,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,   175,
     176,     0,   536,   537,   538,  1431,  1621,     0,  1622,     0,
     539,   179,   180,   540,   181,   541,   542,   543,   544,   545,
       0,     0,   546,  1623,   183,   547,   184,     0,   548,   549,
     550,  1624,  1625,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,  1626,
     190,  1627,   565,   566,   192,  1628,   567,   568,   194,   569,
    1629,  1630,   570,  1631,   571,   572,   573,     0,   574,     0,
       0,  1632,   576,   577,     0,     0,   578,   197,   198,   579,
     199,  1633,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,  1634,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,  1635,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   211,   619,
     620,   621,  1636,   622,   623,   624,   625,   626,   627,   733,
     628,   216,   629,   630,   631,   632,   633,  1637,   635,   636,
     218,   637,   638,   220,   639,   640,  1638,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
    1639,     0,   653,   654,   224,   655,   225,   656,   657,   658,
     659,   660,     0,  1640,  1641,     0,     0,   662,   663,  1642,
     664,  1643,  1644,   665,   666,   667,   668,   669,   670,   671,
       0,  1645,   672,   673,   674,   675,   676,  1646,     0,   677,
     678,   679,   680,   681,  2335,  1647,     0,   682,   237,   683,
     684,   685,   686,     0,     0,   687,     0,   238,   688,   689,
     690,   691,   692,   693,   239,  1648,  1649,  1650,  1651,  1652,
    1653,  1654,  1655,   735,   694,   695,  1656,     0,   248,     0,
       0,     0,     0,  1657,  1658,     0,     0,     0,     0,     0,
       0,     0,  1660,  5286,   759,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   760,   104,   105,   714,   761,     0,
     107,   108,   109,   110,   762,   763,   112,   113,   114,     0,
     115,   764,   765,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1592,  1593,  1594,    45,  1595,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,  1596,
       0,     0,   442,   443,     0,   444,   445,   132,   446,   447,
     448,   134,  1597,   136,  1598,  1599,     0,   449,   450,   451,
     452,   453,  1600,  1601,   454,   455,  1602,  1603,   456,     0,
     457,   458,   459,   460,  1604,     0,  1605,     0,   461,   462,
     463,   464,   147,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,   150,   473,   474,     0,  1606,  1607,
    1608,  1609,  1610,  1611,  1612,   476,   477,   478,   479,   728,
     480,  1613,  1614,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,  1428,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,  1615,   507,   508,
     509,  1616,  1617,   510,     0,   511,   512,  1618,   513,     0,
     514,     0,   515,   168,     0,   169,   516,   517,   518,     0,
     519,  1619,     0,  1620,   520,     0,   521,   522,   730,   523,
     524,   173,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,   175,   176,     0,   536,   537,
     538,  1431,  1621,     0,  1622,     0,   539,   179,   180,   540,
     181,   541,   542,   543,   544,   545,     0,     0,   546,  1623,
     183,   547,   184,     0,   548,   549,   550,  1624,  1625,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,  1626,   190,  1627,   565,   566,
     192,  1628,   567,   568,   194,   569,  1629,  1630,   570,  1631,
     571,   572,   573,     0,   574,     0,     0,  1632,   576,   577,
       0,     0,   578,   197,   198,   579,   199,  1633,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,  1634,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,  1635,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   211,   619,   620,   621,  1636,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,  1637,   635,   636,   218,   637,   638,   220,
     639,   640,  1638,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,  1639,     0,   653,   654,
       0,   655,   225,   656,   657,   658,   659,   660,     0,  1640,
    1641,     0,     0,   662,   663,  1642,   664,  1643,  1644,   665,
     666,   667,   668,   669,   670,   671,     0,  1645,   672,   673,
     674,   675,   676,  1646,     0,   677,   678,   679,   680,   681,
     734,  1647,     0,   682,   237,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,  1648,  1649,  1650,  1651,  1652,  1653,  1654,  1655,   735,
     694,   695,  1656,     0,     0,     0,     0,     0,     0,  1657,
    1658,     0,     0,     0,     0,     0,     0,     0,  1660,  3089,
     759,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     760,   104,   105,   714,   761,     0,   107,   108,   109,   110,
     762,   763,   112,   113,   114,     0,   115,   764,   765,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,   430,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1592,  1593,  1594,
      45,  1595,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,  1596,     0,     0,   442,   443,
       0,   444,   445,   132,   446,   447,   448,   134,  1597,   136,
    1598,  1599,     0,   449,   450,   451,   452,   453,  1600,  1601,
     454,   455,  1602,  1603,   456,     0,   457,   458,   459,   460,
    1604,     0,  1605,     0,   461,   462,   463,   464,   147,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
     150,   473,   474,     0,  1606,  1607,  1608,  1609,  1610,  1611,
    1612,   476,   477,   478,   479,   728,   480,  1613,  1614,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,  1428,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,  1615,   507,   508,   509,  1616,  1617,   510,
       0,   511,   512,  1618,   513,     0,   514,     0,   515,   168,
       0,   169,   516,   517,   518,     0,   519,  1619,     0,  1620,
     520,     0,   521,   522,   730,   523,   524,   173,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,   175,   176,     0,   536,   537,   538,  1431,  1621,     0,
    1622,     0,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,     0,     0,   546,  1623,   183,   547,   184,     0,
     548,   549,   550,  1624,  1625,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,  1626,   190,  1627,   565,   566,   192,  1628,   567,   568,
     194,   569,  1629,  1630,   570,  1631,   571,   572,   573,     0,
     574,     0,     0,  1632,   576,   577,     0,     0,   578,   197,
     198,   579,   199,  1633,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,  1634,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
    1635,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     211,   619,   620,   621,  1636,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,  1637,
     635,   636,   218,   637,   638,   220,   639,   640,  1638,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,  1639,     0,   653,   654,     0,   655,   225,   656,
     657,   658,   659,   660,     0,  1640,  1641,     0,     0,   662,
     663,  1642,   664,  1643,  1644,   665,   666,   667,   668,   669,
     670,   671,     0,  1645,   672,   673,   674,   675,   676,  1646,
       0,   677,   678,   679,   680,   681,   734,  1647,     0,   682,
     237,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,  1648,  1649,  1650,
    1651,  1652,  1653,  1654,  1655,   735,   694,   695,  1656,     0,
       0,     0,     0,     0,     0,  1657,  1658,     0,     0,     0,
       0,     0,     0,     0,  1660,  4352,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1592,  1593,  1594,    45,  1595,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1596,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,  1597,   136,  1598,  1599,     0,   449,
     450,   451,   452,   453,  1600,  1601,   454,   455,  1602,  1603,
     456,     0,   457,   458,   459,   460,  1604,     0,  1605,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1606,  1607,  1608,  1609,  1610,  1611,  1612,   476,   477,   478,
     479,   728,   480,  1613,  1614,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1428,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1615,
     507,   508,   509,  1616,  1617,   510,     0,   511,   512,  1618,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1619,     0,  1620,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1431,  1621,     0,  1622,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1623,   183,   547,   184,     0,   548,   549,   550,  1624,
    1625,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1626,   190,  1627,
     565,   566,   192,  1628,   567,   568,   194,   569,  1629,  1630,
     570,  1631,   571,   572,   573,     0,   574,     0,     0,  1632,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1633,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1634,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1635,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1636,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1637,   635,   636,   218,   637,
     638,   220,   639,   640,  1638,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1639,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1640,  1641,     0,     0,   662,   663,  1642,   664,  1643,
    1644,   665,   666,   667,   668,   669,   670,   671,     0,  1645,
     672,   673,   674,   675,   676,  1646,     0,   677,   678,   679,
     680,   681,   734,  1647,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1648,  1649,  1650,  1651,  1652,  1653,  1654,
    1655,   735,   694,   695,  1656,     0,     0,     0,     0,     0,
       0,  1657,  1658,     0,     0,     0,     0,     0,     0,     0,
    1660,  4423,   759,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   760,   104,   105,   714,   761,     0,   107,   108,
     109,   110,   762,   763,   112,   113,   114,     0,   115,   764,
     765,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   132,   446,   447,   448,     0,
    1421,   136,  1422,  1423,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,  1424,  1425,   456,     0,   457,   458,
     459,   460,     0,     0,   144,     0,   461,   462,   463,   464,
     147,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,   150,   473,   474,     0,     0,     0,     0,   151,
       0,     0,     0,   476,   477,   478,   479,   728,   480,  1426,
    1427,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,  1428,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,     0,   507,   508,   509,     0,
       0,   510,     0,   511,   512,  1429,   513,     0,   514,     0,
     515,   168,     0,   169,   516,   517,   518,     0,   519,     0,
       0,     0,   520,     0,   521,   522,   730,   523,   524,   173,
     525,   526,   527,   528,  2541,   529,   530,   531,   532,   533,
     534,     0,   535,   175,  2542,     0,   536,   537,   538,  1431,
    1432,     0,  1433,     0,   539,   179,   180,   540,   181,   541,
     542,   543,   544,   545,     0,     0,   546,     0,   183,   547,
     184,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,  1434,   190,  1435,   565,   566,     0,     0,
     567,   568,   194,   569,     0,     0,   570,  1436,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,  2544,   198,   579,   199,     0,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,     0,   590,     0,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,  1437,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   211,   619,   620,   621,     0,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,  2545,   637,   638,   220,   639,   640,
    1439,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,     0,   655,
     225,   656,   657,   658,   659,   660,     0,  1440,  1441,     0,
       0,   662,   663,     0,   664,     0,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,     0,  1442,
    2546,   682,   237,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   735,   694,   695,
       0,     0,     0,     0,   759,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,  2652,    98,    99,
     100,   101,   102,   103,   760,   104,   105,   714,   761,     0,
     107,   108,   109,   110,   762,   763,   112,   113,   114,     0,
     115,   764,   765,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   132,   446,   447,
     448,     0,  1421,   136,  1422,  1423,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,  1424,  1425,   456,     0,
     457,   458,   459,   460,     0,     0,   144,     0,   461,   462,
     463,   464,   147,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,   150,   473,   474,     0,     0,     0,
       0,   151,     0,     0,     0,   476,   477,   478,   479,   728,
     480,  1426,  1427,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,  1428,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,     0,   507,   508,
     509,     0,     0,   510,     0,   511,   512,  1429,   513,     0,
     514,     0,   515,   168,     0,   169,   516,   517,   518,     0,
     519,     0,     0,     0,   520,     0,   521,   522,   730,   523,
     524,   173,   525,   526,   527,   528,  2541,   529,   530,   531,
     532,   533,   534,     0,   535,   175,  2542,     0,   536,   537,
     538,  1431,  1432,     0,  1433,     0,   539,   179,   180,   540,
     181,   541,   542,   543,   544,   545,     0,     0,   546,     0,
     183,   547,   184,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,  1434,   190,  1435,   565,   566,
       0,     0,   567,   568,   194,   569,     0,     0,   570,  1436,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,  2544,   198,   579,   199,     0,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,     0,
     590,     0,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,  1437,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   211,   619,   620,   621,     0,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,  2545,   637,   638,   220,
     639,   640,  1439,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
       0,   655,   225,   656,   657,   658,   659,   660,     0,  1440,
    1441,     0,     0,   662,   663,     0,   664,     0,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
       0,  1442,  2546,   682,   237,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   735,
     694,   695,     0,     0,     0,     0,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,  3641,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1592,  1593,  1594,    45,  1595,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1596,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,  1597,   136,  1598,  1599,     0,   449,
     450,   451,   452,   453,  1600,  1601,   454,   455,  1602,  1603,
     456,     0,   457,   458,   459,   460,  1604,     0,  1605,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1606,  1607,  1608,  1609,  1610,  1611,  1612,   476,   477,   478,
     479,   728,   480,  1613,  1614,   481,  1749,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1428,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1615,
     507,   508,   509,  1616,  1617,   510,     0,   511,   512,  1618,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1619,     0,  1620,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1431,  1621,     0,  1622,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1623,   183,   547,   184,     0,   548,   549,   550,  1624,
    1625,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1626,   190,  1627,
     565,   566,   192,  1628,   567,   568,   194,   569,  1629,  1630,
     570,  1631,   571,   572,   573,     0,   574,     0,     0,  1632,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1633,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1634,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1635,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1636,   622,   623,   624,   625,   626,   627,   733,   628,   216,
     629,   630,   631,   632,   633,  1637,   635,   636,   218,   637,
     638,   220,   639,   640,  1638,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1639,     0,
     653,   654,   224,   655,   225,   656,   657,   658,   659,   660,
       0,  1640,  1641,     0,     0,   662,   663,  1642,   664,  1643,
    1644,   665,   666,   667,   668,   669,   670,   671,     0,  1645,
     672,   673,   674,   675,   676,  1646,     0,   677,   678,   679,
     680,   681,  2335,  1647,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,   238,   688,   689,   690,   691,
     692,   693,   239,  1648,  1649,  1650,  1651,  1652,  1653,  1654,
    1655,   735,   694,   695,  1656,     0,   248,     0,     0,     0,
       0,  1657,  1658,     0,     0,     0,     0,     0,     0,     0,
    1660,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1592,  1593,
    1594,    45,  1595,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1596,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1597,
     136,  1598,  1599,     0,   449,   450,   451,   452,   453,  1600,
    1601,   454,   455,  1602,  1603,   456,     0,   457,   458,   459,
     460,  1604,     0,  1605,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,  1606,  1607,  1608,  1609,  1610,
    1611,  1612,   476,   477,   478,   479,   728,   480,  1613,  1614,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1428,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1615,   507,   508,   509,  1616,  1617,
     510,     0,   511,   512,  1618,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1619,     0,
    1620,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1431,  1621,
       0,  1622,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1623,   183,   547,   184,
       0,   548,   549,   550,  1624,  1625,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1626,   190,  1627,   565,   566,   192,  1628,   567,
     568,   194,   569,  1629,  1630,   570,  1631,   571,   572,   573,
       0,   574,     0,     0,  1632,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1633,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1634,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1635,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  1636,   622,   623,   624,   625,
     626,   627,   733,   628,   216,   629,   630,   631,   632,   633,
    1637,   635,   636,   218,   637,   638,   220,   639,   640,  1638,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1639,     0,   653,   654,   224,   655,   225,
     656,   657,   658,   659,   660,     0,  1640,  1641,     0,     0,
     662,   663,  1642,   664,  1643,  1644,   665,   666,   667,   668,
     669,   670,   671,     0,  1645,   672,   673,   674,   675,   676,
    1646,     0,   677,   678,   679,   680,   681,  2335,  1647,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
     238,   688,   689,   690,   691,   692,   693,   239,  1648,  1649,
    1650,  1651,  1652,  1653,  1654,  1655,   735,   694,   695,  1656,
       0,   248,     0,     0,     0,     0,  1657,  1658,     0,     0,
       0,     0,     0,     0,     0,  1660,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1592,  1593,  1594,    45,  1595,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1596,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,  1597,   136,  1598,  1599,  3095,   449,
     450,   451,   452,   453,  1600,  1601,   454,   455,  1602,  1603,
     456,     0,   457,   458,   459,   460,  1604,     0,  1605,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1606,  1607,  1608,  1609,  1610,  1611,  1612,   476,   477,   478,
     479,   728,   480,  1613,  1614,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1428,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1615,
     507,   508,   509,  1616,  1617,   510,     0,   511,   512,  1618,
     513,     0,   514,     0,   515,   168,  3096,   169,   516,   517,
     518,     0,   519,  1619,     0,  1620,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1431,  1621,     0,  1622,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,  3097,
     546,  1623,   183,   547,   184,     0,   548,   549,   550,  1624,
    1625,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1626,   190,  1627,
     565,   566,   192,  1628,   567,   568,   194,   569,  1629,  1630,
     570,  1631,   571,   572,   573,     0,   574,     0,     0,  1632,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1633,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1634,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1635,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1636,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1637,   635,   636,   218,   637,
     638,   220,   639,   640,  1638,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1639,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1640,  1641,     0,  3098,   662,   663,  1642,   664,  1643,
    1644,   665,   666,   667,   668,   669,   670,   671,     0,  1645,
     672,   673,   674,   675,   676,  1646,     0,   677,   678,   679,
     680,   681,   734,  1647,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1648,  1649,  1650,  1651,  1652,  1653,  1654,
    1655,   735,   694,   695,  1656,     0,     0,     0,     0,     0,
       0,  1657,  1658,     0,     0,     0,     0,     0,     0,     0,
    1660,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1592,  1593,
    1594,    45,  1595,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1596,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1597,
     136,  1598,  1599,     0,   449,   450,   451,   452,   453,  1600,
    1601,   454,   455,  1602,  1603,   456,     0,   457,   458,   459,
     460,  1604,     0,  1605,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,  1606,  1607,  1608,  1609,  1610,
    1611,  1612,   476,   477,   478,   479,   728,   480,  1613,  1614,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1428,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1615,   507,   508,   509,  1616,  1617,
     510,     0,   511,   512,  1618,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1619,     0,
    1620,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1431,  1621,
       0,  1622,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1623,   183,   547,   184,
       0,   548,   549,   550,  1624,  1625,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1626,   190,  1627,   565,   566,   192,  1628,   567,
     568,   194,   569,  1629,  1630,   570,  1631,   571,   572,   573,
       0,   574,     0,     0,  1632,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1633,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1634,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1635,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  1636,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1637,   635,   636,   218,   637,   638,   220,   639,   640,  1638,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1639,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1640,  1641,     0,     0,
     662,   663,  1642,   664,  1643,  1644,   665,   666,   667,   668,
     669,   670,   671,     0,  1645,   672,   673,   674,   675,   676,
    1646,     0,   677,   678,   679,   680,   681,   734,  1647,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,  1648,  1649,
    1650,  1651,  1652,  1653,  1654,  1655,   735,   694,   695,  1656,
       0,     0,     0,     0,     0,     0,  1657,  1658,     0,     0,
       0,     0,     0,  2297,  3050,  1660,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1592,  1593,  1594,    45,  1595,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1596,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,  1597,   136,  1598,  1599,     0,   449,
     450,   451,   452,   453,  1600,  1601,   454,   455,  1602,  1603,
     456,     0,   457,   458,   459,   460,  1604,     0,  1605,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1606,  1607,  1608,  1609,  1610,  1611,  1612,   476,   477,   478,
     479,   728,   480,  1613,  1614,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1428,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1615,
     507,   508,   509,  1616,  1617,   510,     0,   511,   512,  1618,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1619,     0,  1620,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1431,  1621,     0,  1622,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1623,   183,   547,   184,     0,   548,   549,   550,  1624,
    1625,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1626,   190,  1627,
     565,   566,   192,  1628,   567,   568,   194,   569,  1629,  1630,
     570,  1631,   571,   572,   573,     0,   574,     0,     0,  1632,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1633,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1634,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1635,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1636,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1637,   635,   636,   218,   637,
     638,   220,   639,   640,  1638,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1639,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1640,  1641,     0,     0,   662,   663,  1642,   664,  1643,
    1644,   665,   666,   667,   668,   669,   670,   671,     0,  1645,
     672,   673,   674,   675,   676,  1646,     0,   677,   678,   679,
     680,   681,   734,  1647,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1648,  1649,  1650,  1651,  1652,  1653,  1654,
    1655,   735,   694,   695,  1656,     0,     0,     0,     0,     0,
       0,  1657,  1658,  1659,     0,     0,     0,     0,     0,     0,
    1660,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1592,  1593,
    1594,    45,  1595,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1596,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1597,
     136,  1598,  1599,     0,   449,   450,   451,   452,   453,  1600,
    1601,   454,   455,  1602,  1603,   456,     0,   457,   458,   459,
     460,  1604,     0,  1605,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,  1606,  1607,  1608,  1609,  1610,
    1611,  1612,   476,   477,   478,   479,   728,   480,  1613,  1614,
     481,  1749,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1428,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1615,   507,   508,   509,  1616,  1617,
     510,     0,   511,   512,  1618,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1619,     0,
    1620,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1431,  1621,
       0,  1622,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1623,   183,   547,   184,
       0,   548,   549,   550,  1624,  1625,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1626,   190,  1627,   565,   566,   192,  1628,   567,
     568,   194,   569,  1629,  1630,   570,  1631,   571,   572,   573,
       0,   574,     0,     0,  1632,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1633,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1634,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1635,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  1636,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1637,   635,   636,   218,   637,   638,   220,   639,   640,  1638,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1639,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1640,  1641,     0,     0,
     662,   663,  1642,   664,  1643,  1644,   665,   666,   667,   668,
     669,   670,   671,     0,  1645,   672,   673,   674,   675,   676,
    1646,     0,   677,   678,   679,   680,   681,   734,  1647,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,  1648,  1649,
    1650,  1651,  1652,  1653,  1654,  1655,   735,   694,   695,  1656,
       0,     0,     0,     0,     0,     0,  1657,  1658,     0,     0,
       0,     0,     0,     0,     0,  1660,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1592,  1593,  1594,    45,  1595,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,  2468,   439,   440,   441,     0,     0,     0,
       0,  1596,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,  1597,   136,  1598,  1599,     0,   449,
     450,   451,   452,   453,  1600,  1601,   454,   455,  1602,  1603,
     456,     0,   457,   458,   459,   460,  1604,     0,  1605,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1606,  1607,  1608,  1609,  1610,  1611,  1612,   476,   477,   478,
     479,   728,   480,  1613,  1614,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1428,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1615,
     507,   508,   509,  1616,  1617,   510,     0,   511,   512,  1618,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1619,     0,  1620,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1431,  1621,     0,  1622,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1623,   183,   547,   184,     0,   548,   549,   550,  1624,
    1625,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1626,   190,  1627,
     565,   566,   192,  1628,   567,   568,   194,   569,  1629,  1630,
     570,  1631,   571,   572,   573,     0,   574,     0,     0,  1632,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1633,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1634,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1635,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1636,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1637,   635,   636,   218,   637,
     638,   220,   639,   640,  1638,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1639,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1640,  1641,     0,     0,   662,   663,  1642,   664,  1643,
    1644,   665,   666,   667,   668,   669,   670,   671,     0,  1645,
     672,   673,   674,   675,   676,  1646,     0,   677,   678,   679,
     680,   681,   734,  1647,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1648,  1649,  1650,  1651,  1652,  1653,  1654,
    1655,   735,   694,   695,  1656,     0,     0,     0,     0,     0,
       0,  1657,  1658,     0,     0,     0,     0,     0,     0,     0,
    1660,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1592,  1593,
    1594,    45,  1595,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1596,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1597,
     136,  1598,  1599,     0,   449,   450,   451,   452,   453,  1600,
    1601,   454,   455,  1602,  1603,   456,     0,   457,   458,   459,
     460,  1604,     0,  1605,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,  1606,  1607,  1608,  1609,  1610,
    1611,  1612,   476,   477,   478,   479,   728,   480,  1613,  1614,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1428,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1615,   507,   508,   509,  1616,  1617,
     510,     0,   511,   512,  1618,   513,     0,   514,     0,   515,
     168,  3096,   169,   516,   517,   518,     0,   519,  1619,     0,
    1620,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1431,  1621,
       0,  1622,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1623,   183,   547,   184,
       0,   548,   549,   550,  1624,  1625,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1626,   190,  1627,   565,   566,   192,  1628,   567,
     568,   194,   569,  1629,  1630,   570,  1631,   571,   572,   573,
       0,   574,     0,     0,  1632,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1633,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1634,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1635,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  1636,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1637,   635,   636,   218,   637,   638,   220,   639,   640,  1638,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1639,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1640,  1641,     0,     0,
     662,   663,  1642,   664,  1643,  1644,   665,   666,   667,   668,
     669,   670,   671,     0,  1645,   672,   673,   674,   675,   676,
    1646,     0,   677,   678,   679,   680,   681,   734,  1647,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,  1648,  1649,
    1650,  1651,  1652,  1653,  1654,  1655,   735,   694,   695,  1656,
       0,     0,     0,     0,     0,     0,  1657,  1658,     0,     0,
       0,     0,     0,     0,     0,  1660,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1592,  1593,  1594,    45,  1595,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1596,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,  1597,   136,  1598,  1599,     0,   449,
     450,   451,   452,   453,  1600,  1601,   454,   455,  1602,  1603,
     456,     0,   457,   458,   459,   460,  1604,     0,  1605,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1606,  1607,  1608,  1609,  1610,  1611,  1612,   476,   477,   478,
     479,   728,   480,  1613,  1614,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1428,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1615,
     507,   508,   509,  1616,  1617,   510,     0,   511,   512,  1618,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1619,     0,  1620,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1431,  1621,     0,  1622,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1623,   183,   547,   184,     0,   548,   549,   550,  1624,
    1625,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1626,   190,  1627,
     565,   566,   192,  1628,   567,   568,   194,   569,  1629,  1630,
     570,  1631,   571,   572,   573,     0,   574,     0,     0,  1632,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1633,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1634,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1635,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1636,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1637,   635,   636,   218,   637,
     638,   220,   639,   640,  1638,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1639,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1640,  1641,     0,     0,   662,   663,  1642,   664,  1643,
    1644,   665,   666,   667,   668,   669,   670,   671,     0,  1645,
     672,   673,   674,   675,   676,  1646,     0,   677,   678,   679,
     680,   681,   734,  1647,  4470,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1648,  1649,  1650,  1651,  1652,  1653,  1654,
    1655,   735,   694,   695,  1656,     0,     0,     0,     0,     0,
       0,  1657,  1658,     0,     0,     0,     0,     0,     0,     0,
    1660,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1592,  1593,
    1594,    45,  1595,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1596,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1597,
     136,  1598,  1599,     0,   449,   450,   451,   452,   453,  1600,
    1601,   454,   455,  1602,  1603,   456,     0,   457,   458,   459,
     460,  1604,     0,  1605,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,  4486,  1606,  1607,  1608,  1609,  1610,
    1611,  1612,   476,   477,   478,   479,   728,   480,  1613,  1614,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1428,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1615,   507,   508,   509,  1616,  1617,
     510,     0,   511,   512,  1618,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1619,     0,
    1620,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1431,  1621,
       0,  1622,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1623,   183,   547,   184,
       0,   548,   549,   550,  1624,  1625,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1626,   190,  1627,   565,   566,   192,  1628,   567,
     568,   194,   569,  1629,  1630,   570,  1631,   571,   572,   573,
       0,   574,     0,     0,  1632,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1633,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1634,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1635,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  1636,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1637,   635,   636,   218,   637,   638,   220,   639,   640,  1638,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1639,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1640,  1641,     0,     0,
     662,   663,  1642,   664,  1643,  1644,   665,   666,   667,   668,
     669,   670,   671,     0,  1645,   672,   673,   674,   675,   676,
    1646,     0,   677,   678,   679,   680,   681,   734,  1647,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,  1648,  1649,
    1650,  1651,  1652,  1653,  1654,  1655,   735,   694,   695,  1656,
       0,     0,     0,     0,     0,     0,  1657,  1658,     0,     0,
       0,     0,     0,     0,     0,  1660,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1592,  1593,  1594,    45,  1595,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1596,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,  5491,  1597,   136,  1598,  1599,     0,   449,
     450,   451,   452,   453,  1600,  1601,   454,   455,  1602,  1603,
     456,     0,   457,   458,   459,   460,  1604,     0,  1605,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,  5492,
    1606,  1607,  1608,  1609,  1610,  1611,  1612,   476,   477,   478,
     479,   728,   480,  1613,  1614,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1428,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1615,
     507,   508,   509,  1616,  1617,   510,     0,   511,   512,  1618,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1619,     0,  1620,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1431,  1621,     0,  1622,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1623,   183,   547,   184,     0,   548,   549,   550,  1624,
    1625,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1626,   190,  1627,
     565,   566,   192,  1628,   567,   568,   194,   569,  1629,  1630,
     570,  1631,   571,   572,   573,     0,   574,     0,     0,  1632,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1633,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1634,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1635,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1636,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1637,   635,   636,   218,   637,
     638,   220,   639,   640,  1638,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1639,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1640,  1641,     0,     0,   662,   663,  1642,   664,  1643,
    1644,   665,   666,   667,   668,  5493,   670,   671,     0,  1645,
     672,   673,   674,   675,   676,  1646,     0,   677,   678,   679,
     680,   681,   734,  1647,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1648,  1649,  1650,  1651,  1652,  1653,  1654,
    1655,   735,   694,   695,  1656,     0,     0,     0,     0,     0,
       0,  1657,  1658,     0,     0,     0,     0,     0,     0,     0,
    1660,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1592,  1593,
    1594,    45,  1595,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1596,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1597,
     136,  1598,  1599,     0,   449,   450,   451,   452,   453,  1600,
    1601,   454,   455,  1602,  1603,   456,     0,   457,   458,   459,
     460,  1604,     0,  1605,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,  5492,  1606,  1607,  1608,  1609,  1610,
    1611,  1612,   476,   477,   478,   479,   728,   480,  1613,  1614,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1428,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1615,   507,   508,   509,  1616,  1617,
     510,     0,   511,   512,  1618,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1619,     0,
    1620,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1431,  1621,
       0,  1622,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1623,   183,   547,   184,
       0,   548,   549,   550,  1624,  1625,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1626,   190,  1627,   565,   566,   192,  1628,   567,
     568,   194,   569,  1629,  1630,   570,  1631,   571,   572,   573,
       0,   574,     0,     0,  1632,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1633,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1634,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1635,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  1636,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1637,   635,   636,   218,   637,   638,   220,   639,   640,  1638,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1639,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1640,  1641,     0,     0,
     662,   663,  1642,   664,  1643,  1644,   665,   666,   667,   668,
    5493,   670,   671,     0,  1645,   672,   673,   674,   675,   676,
    1646,     0,   677,   678,   679,   680,   681,   734,  1647,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,  1648,  1649,
    1650,  1651,  1652,  1653,  1654,  1655,   735,   694,   695,  1656,
       0,     0,     0,     0,     0,     0,  1657,  1658,     0,     0,
       0,     0,     0,     0,     0,  1660,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1592,  1593,  1594,    45,  1595,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1596,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,  1597,   136,  1598,  1599,     0,   449,
     450,   451,   452,   453,  1600,  1601,   454,   455,  1602,  1603,
     456,     0,   457,   458,   459,   460,  1604,     0,  1605,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1606,  1607,  1608,  1609,  1610,  1611,  1612,   476,   477,   478,
     479,   728,   480,  1613,  1614,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1428,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1615,
     507,   508,   509,  1616,  1617,   510,     0,   511,   512,  1618,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1619,     0,  1620,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1431,  1621,     0,  1622,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1623,   183,   547,   184,     0,   548,   549,   550,  1624,
    1625,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1626,   190,  1627,
     565,   566,   192,  1628,   567,   568,   194,   569,  1629,  1630,
     570,  1631,   571,   572,   573,     0,   574,     0,     0,  1632,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1633,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1634,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1635,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1636,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1637,   635,   636,   218,   637,
     638,   220,   639,   640,  1638,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1639,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1640,  1641,     0,     0,   662,   663,  1642,   664,  1643,
    1644,   665,   666,   667,   668,   669,   670,   671,     0,  1645,
     672,   673,   674,   675,   676,  1646,     0,   677,   678,   679,
     680,   681,   734,  1647,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1648,  1649,  1650,  1651,  1652,  1653,  1654,
    1655,   735,   694,   695,  1656,     0,     0,     0,     0,     0,
       0,  1657,  1658,     0,     0,     0,     0,     0,     0,     0,
    1660,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1592,  1593,
    1594,    45,  1595,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1596,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1597,
     136,  1598,  1599,     0,   449,   450,   451,   452,   453,  1600,
    1601,   454,   455,  1602,  1603,   456,     0,   457,   458,   459,
     460,  1604,     0,  1605,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,  1606,  1607,  1608,  1609,  1610,
    1611,  1612,   476,   477,   478,   479,   728,   480,  1613,  1614,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1428,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1615,   507,   508,   509,  1616,  1617,
     510,     0,   511,   512,  1618,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1619,     0,
    1620,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1431,  1621,
       0,  1622,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1623,   183,   547,   184,
       0,   548,   549,   550,  1624,  1625,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1626,   190,  1627,   565,   566,   192,  1628,   567,
     568,   194,   569,  1629,  1630,   570,  1631,   571,   572,   573,
       0,   574,     0,     0,  1632,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1633,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1634,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1635,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  1636,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1637,   635,   636,   218,   637,   638,   220,   639,   640,  1638,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1639,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1640,  1641,     0,     0,
     662,   663,  1642,   664,  1643,  1644,   665,   666,   667,   668,
     669,   670,   671,     0,  1645,   672,   673,   674,   675,   676,
    1646,     0,   677,   678,   679,   680,   681,   734,  1647,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,  4790,  1648,  1649,
    1650,  1651,  1652,  1653,  1654,  1655,   735,   694,   695,  1656,
       0,     0,     0,     0,     0,     0,  1657,  1658,     0,     0,
       0,     0,     0,     0,     0,  1660,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1592,  1593,  1594,    45,  1595,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1596,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,  1597,   136,  1598,  1599,     0,   449,
     450,   451,   452,   453,  1600,  1601,   454,   455,  1602,  1603,
     456,     0,   457,   458,   459,   460,  1604,     0,  1605,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1606,  1607,  1608,  1609,  1610,  1611,  1612,   476,   477,   478,
     479,   728,   480,  1613,  1614,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1428,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1615,
     507,   508,   509,  1616,  1617,   510,     0,   511,   512,  1618,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1619,     0,  1620,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1431,  1621,     0,  1622,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1623,   183,   547,   184,     0,   548,   549,   550,  1624,
    1625,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1626,   190,  1627,
     565,  4799,   192,  1628,   567,   568,   194,   569,  1629,  1630,
     570,  1631,   571,   572,   573,     0,   574,     0,     0,  1632,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1633,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1634,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1635,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1636,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1637,   635,   636,   218,   637,
     638,   220,   639,   640,  1638,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1639,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1640,  1641,     0,     0,   662,   663,  1642,   664,  1643,
    1644,   665,   666,   667,   668,   669,   670,   671,     0,  1645,
     672,   673,   674,   675,   676,  1646,     0,   677,   678,   679,
     680,   681,   734,  1647,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1648,  1649,  1650,  1651,  1652,  1653,  1654,
    1655,   735,   694,   695,  1656,     0,     0,     0,     0,     0,
       0,  1657,  1658,     0,     0,     0,     0,     0,     0,     0,
    1660,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1592,  1593,
    1594,    45,  1595,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1596,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1597,
     136,  1598,  1599,     0,   449,   450,   451,   452,   453,  1600,
    1601,   454,   455,  1602,  1603,   456,     0,   457,   458,   459,
     460,  1604,     0,  1605,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,  5096,     0,  1606,  1607,  1608,  1609,  1610,
    1611,  1612,   476,   477,   478,   479,   728,   480,  1613,  1614,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1428,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1615,   507,   508,   509,  1616,  1617,
     510,     0,   511,   512,  1618,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1619,     0,
    5097,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1431,  1621,
       0,  1622,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1623,   183,   547,   184,
       0,   548,   549,   550,  1624,  1625,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1626,   190,  1627,   565,   566,   192,  1628,   567,
     568,   194,   569,  1629,  1630,   570,  1631,   571,   572,   573,
       0,   574,     0,     0,  1632,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1633,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1634,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1635,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,  5098,  1636,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1637,   635,   636,   218,   637,   638,   220,   639,   640,  1638,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1639,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1640,  1641,     0,     0,
     662,   663,  1642,   664,  1643,  1644,   665,   666,   667,   668,
     669,   670,   671,     0,  1645,   672,   673,   674,   675,   676,
    1646,     0,   677,   678,   679,   680,   681,   734,  1647,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,  1648,  1649,
    1650,  1651,  1652,  1653,  1654,  1655,   735,   694,   695,  1656,
       0,     0,     0,     0,     0,     0,  1657,  1658,     0,     0,
       0,     0,     0,     0,     0,  5099,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1592,  1593,  1594,    45,  1595,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1596,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448, -2824,  1597,   136,  1598,  1599,     0,   449,
     450,   451,   452,   453,  1600,  1601,   454,   455,  1602,  1603,
     456,     0,   457,   458,   459,   460,  1604,     0,  1605,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,  5492,
    1606,  1607,  1608,  1609,  1610,  1611,  1612,   476,   477,   478,
     479,   728,   480,  1613,  1614,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1428,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1615,
     507,   508,   509,  1616,  1617,   510,     0,   511,   512,  1618,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1619,     0,  1620,   520,     0,   521,   522,
     730,   523,   524, -2824,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1431,  1621,     0,  1622,     0,   539,     0,
       0,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1623,   183,   547, -2824,     0,   548,   549,   550,  1624,
    1625,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1626,   190,  1627,
     565,   566,   192,  1628,   567,   568,     0,   569,  1629,  1630,
     570,  1631,   571,   572,   573,     0,   574,     0,     0,  1632,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1633,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1634,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1635,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    1636,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1637,   635,   636,   218,   637,
     638, -2824,   639,   640,  1638,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1639,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1640,  1641,     0,     0,   662,   663,  1642,   664,  1643,
    1644,   665,   666,   667,   668,  5493,   670,   671,     0,  1645,
     672,   673,   674,   675,   676,  1646,     0,   677,   678,   679,
     680,   681,   734,  1647,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1648,  1649,  1650,  1651,  1652,  1653,  1654,
    1655,   735,   694,   695, -2824,     0,     0,     0,     0,     0,
       0,  1657,  1658,     0,     0,     0,     0,     0,     0,     0,
    1660,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1592,  1593,
    1594,    45,  1595,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1596,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1597,
     136,  1598,  1599,     0,   449,   450,   451,   452,   453,  1600,
    1601,   454,   455,  1602,  1603,   456,     0,   457,   458,   459,
     460,  1604,     0,  1605,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,  1606,  1607,  1608,  1609,  1610,
    1611,  1612,   476,   477,   478,   479,   728,   480,  1613,  1614,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1428,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1615,   507,   508,   509,  1616,  1617,
     510,     0,   511,   512,  1618,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1619,     0,
    1620,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1431,  1621,
       0,  1622,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1623,   183,   547,   184,
       0,   548,   549,   550,  1624,  1625,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1626,   190,  1627,   565,   566,   192,     0,   567,
     568,   194,   569,  1629,  1630,   570,  1631,   571,   572,   573,
       0,   574,     0,     0,  1632,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1633,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1634,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1635,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  3081,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1637,   635,   636,   218,   637,   638,   220,   639,   640,  1638,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1639,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1640,  1641,     0,     0,
     662,   663,  1642,   664,  1643,  1644,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
    1646,     0,   677,   678,   679,   680,   681,   734,  1647,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,  1648,  1649,
    1650,  1651,  1652,  1653,  1654,  1655,   735,   694,   695,     0,
       0,     0,     0,     0,     0,     0,  3082,  3083,     0,     0,
       0,     0,     0,     0,     0,  3084,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1592,  1593,  1594,    45,  1595,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,  1596,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,  1597,   136,  1598,  1599,     0,   449,
     450,   451,   452,   453,  1600,  1601,   454,   455,  1602,  1603,
     456,     0,   457,   458,   459,   460,  1604,     0,  1605,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1606,  1607,  1608,  1609,  1610,  1611,  1612,   476,   477,   478,
     479,   728,   480,  1613,  1614,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1428,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,  1615,
     507,   508,   509,  1616,  1617,   510,     0,   511,   512,  1618,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1619,     0,  1620,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,  1431,  1621,     0,  1622,     0,   539,     0,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1623,   183,   547,   184,     0,   548,   549,   550,  1624,
    1625,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1626,   190,  1627,
     565,   566,   192,     0,   567,   568,   194,   569,  1629,  1630,
     570,  1631,   571,   572,   573,     0,   574,     0,     0,  1632,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1633,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1634,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1635,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
    3081,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1637,   635,   636,   218,   637,
     638,   220,   639,   640,  1638,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1639,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1640,  1641,     0,     0,   662,   663,  1642,   664,  1643,
    1644,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,  1646,     0,   677,   678,   679,
     680,   681,   734,  1647,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1648,  1649,  1650,  1651,  1652,  1653,  1654,
    1655,   735,   694,   695,     0,     0,     0,     0,     0,     0,
       0,  3082,  3083,     0,     0,     0,     0,     0,     0,     0,
    3084,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1592,  1593,
       0,    45,  1595,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,  1596,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,  1597,
     136,  1598,  1599,     0,   449,   450,   451,   452,   453,  1600,
    1601,   454,   455,  1602,  1603,   456,     0,   457,   458,   459,
     460,  1604,     0,  1605,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,  1606,  1607,  1608,  1609,  1610,
    1611,  1612,   476,   477,   478,   479,   728,   480,  1613,  1614,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,  1428,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,  1615,   507,   508,   509,  1616,  1617,
     510,     0,   511,   512,  1618,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1619,     0,
    1620,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,  1431,  1621,
       0,  1622,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1623,   183,   547,   184,
       0,   548,   549,   550,  1624,  1625,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,  1626,   190,  1627,   565,   566,   192,     0,   567,
     568,   194,   569,  1629,  1630,   570,  1631,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1633,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1634,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,  1635,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,  3081,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1637,   635,   636,   218,   637,   638,   220,   639,   640,  1638,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1639,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,  1640,  1641,     0,     0,
     662,   663,  1642,   664,  1643,  1644,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
    1646,     0,   677,   678,   679,   680,   681,   734,  1647,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,  1648,  1649,
    1650,  1651,  1652,  1653,  1654,  1655,   735,   694,   695,     0,
       0,     0,   759,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,  3084,    98,    99,   100,   101,
     102,   103,   760,   104,   105,   714,   761,     0,   107,   108,
     109,   110,   762,   763,   112,   113,   114,     0,   115,   764,
     765,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,   430,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1592,
    1593,     0,    45,  1595,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,  1596,     0,     0,
     442,   443,     0,   444,   445,   132,   446,   447,   448,   134,
    1597,   136,  1598,  1599,     0,  4385,   450,   451,   452,   453,
    1600,  1601,   454,   455,  1602,  1603,   456,     0,   457,   458,
     459,   460,  1604,     0,  1605,     0,   461,   462,   463,   464,
     147,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,   150,   473,   474,     0,  1606,  1607,  1608,  1609,
    1610,  1611,  1612,   476,   477,   478,   479,   728,   480,  1613,
    1614,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,  1428,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,  1615,   507,   508,   509,  1616,
    1617,   510,     0,   511,   512,  1618,   513,     0,   514,     0,
     515,   168,     0,   169,   516,   517,   518,     0,   519,  1619,
       0,  1620,   520,     0,   521,   522,   730,   523,   524,   173,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,   175,   176,     0,   536,   537,   538,  1431,
    1621,     0,  1622,     0,   539,   179,   180,   540,   181,   541,
     542,   543,   544,   545,     0,     0,   546,  1623,   183,   547,
     184,     0,   548,   549,   550,  1624,  1625,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,  1626,   190,  1627,   565,   566,   192,     0,
     567,   568,   194,   569,  1629,  1630,   570,  1631,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,   198,   579,   199,  1633,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,  1634,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,  1635,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   211,   619,   620,   621,  3081,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,  1637,   635,   636,   218,   637,   638,   220,   639,   640,
    1638,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,  1639,     0,   653,   654,     0,   655,
     225,   656,   657,   658,   659,   660,     0,  1640,  1641,     0,
       0,   662,   663,  1642,   664,  1643,  1644,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,  1646,     0,   677,   678,   679,   680,   681,   734,  1647,
       0,   682,   237,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,  1648,
    1649,  1650,  1651,  1652,  1653,  1654,  1655,   735,   694,   695,
       0,     0,     0,   759,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,  3084,    98,    99,   100,
     101,   102,   103,   760,   104,   105,   714,   761,     0,   107,
     108,   109,   110,   762,   763,   112,   113,   114,     0,   115,
     764,   765,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,   430,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1592,  1593,  1594,    45,  1595,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,  1596,     0,
       0,   442,   443,     0,   444,   445,   132,   446,   447,   448,
       0,  1597,   136,  1598,  1599,     0,   449,   450,   451,   452,
     453,  1600,  1601,   454,   455,  1602,  1603,   456,     0,   457,
     458,   459,   460,  1604,     0,  1605,     0,   461,   462,   463,
     464,   147,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,   150,   473,   474,     0,  1606,  1607,  1608,
    1609,  1610,  1611,  1612,   476,   477,   478,   479,   728,   480,
    1613,  1614,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
    1428,   495,   496,     0,   497,   498,   499,     0,   500,     0,
     502,     0,   503,   504,   505,   506,  1615,   507,   508,   509,
    1616,  1617,   510,     0,   511,   512,  1618,   513,     0,   514,
       0,   515,   168,     0,   169,   516,   517,   518,     0,   519,
    1619,     0,  1620,   520,     0,   521,   522,   730,   523,   524,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,   175,   176,     0,   536,   537,   538,
    1431,  1621,     0,  1622,     0,   539,     0,     0,   540,   181,
     541,   542,   543,   544,   545,     0,     0,   546,  1623,   183,
     547,     0,     0,   548,   549,   550,  1624,  1625,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,  1626,   190,  1627,   565,   566,   192,
    1628,   567,   568,     0,   569,  1629,  1630,   570,  1631,   571,
     572,   573,     0,   574,     0,     0,  1632,   576,   577,     0,
       0,   578,   197,   198,   579,   199,  1633,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,  1634,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,  1635,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   211,   619,   620,   621,  1636,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,  1637,   635,   636,   218,   637,   638,     0,   639,
     640,  1638,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,  1639,     0,   653,   654,     0,
     655,   225,   656,   657,   658,   659,   660,     0,  1640,  1641,
       0,     0,   662,   663,  1642,   664,  1643,  1644,   665,   666,
     667,   668,   669,   670,   671,     0,  1645,   672,   673,   674,
     675,   676,  1646,     0,   677,   678,   679,   680,   681,   734,
    1647,     0,   682,   237,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
    1648,  1649,  1650,  1651,  1652,  1653,  1654,  1655,   735,   694,
     695,     0,     0,     0,     0,     0,     0,     0,  1657,  1658,
       0,     0,     0,     0,     0,     0,     0,  1660,   759,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   760,   104,
     105,   714,   761,     0,   107,   108,   109,   110,   762,   763,
     112,   113,   114,     0,   115,   764,   765,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   132,   446,   447,   448,   134,   135,   136,   137,   138,
       0,   449,   450,   451,   452,   453,     0,  1601,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,  1604,     0,
    1605,     0,   461,   462,   463,   464,   147,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,   150,   473,
     474,     0,  1606,  1607,  1608,  1609,  1610,  1611,  1612,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,  1616,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,   168,     0,   169,
     516,   517,   518,     0,   519,  1619,     0,   172,   520,     0,
     521,   522,   730,   523,   524,   173,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,   175,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,   179,   180,   540,   181,   541,   542,   543,   544,   545,
    3869,     0,   546,  1623,   183,   547,   184,     0,   548,   549,
     550,  1624,  1625,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
     190,   191,   565,   566,   192,     0,   567,   568,   194,   569,
       0,  1630,   570,   196,   571,   572,   573,     0,   574,     0,
    1132,   575,   576,   577,     0,     0,   578,   197,   198,   579,
     199,  1633,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,  1634,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   211,   619,
     620,   621,   213,  3870,   623,   624,   625,   626,   627,   733,
     628,   216,   629,   630,   631,   632,   633,  1637,   635,   636,
     218,   637,   638,   220,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
    1639,     0,   653,   654,   224,   655,   225,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,  1642,
     664,  1643,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,  1646,     0,   677,
     678,   679,   680,   681,  2335,   236,     0,   682,   237,   683,
     684,   685,   686,     0,     0,   687,     0,   238,   688,   689,
     690,   691,   692,   693,   239,  1648,  1649,  1650,  1651,  1652,
    1653,  1654,  1655,   735,   694,   695,     0,     0,   248,   759,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,  3871,    98,    99,   100,   101,   102,   103,   760,
     104,   105,   714,   761,     0,   107,   108,   109,   110,   762,
     763,   112,   113,   114,     0,   115,   764,   765,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,   135,   136,   137,
     138,     0,   449,   450,   451,   452,   453,     0,  1601,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,  1604,
       0,  1605,     0,   461,   462,   463,   464,   147,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,  1606,  1607,  1608,  1609,  1610,  1611,  1612,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,  1616,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,  1619,     0,   172,   520,
       0,   521,   522,   730,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,  3869,     0,   546,  1623,   183,   547,   184,     0,   548,
     549,   550,  1624,  1625,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,   190,   191,   565,   566,   192,     0,   567,   568,   194,
     569,     0,  1630,   570,   196,   571,   572,   573,     0,   574,
       0,  1132,   575,   576,   577,     0,     0,   578,   197,   198,
     579,   199,  1633,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,  1634,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,   213,  3870,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,  1637,   635,
     636,   218,   637,   638,   220,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,  1639,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
    1642,   664,  1643,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,  1646,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,  1648,  1649,  1650,  1651,
    1652,  1653,  1654,  1655,   735,   694,   695,     0,     0,     0,
     759,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,  3871,    98,    99,   100,   101,   102,   103,
     760,   104,   105,   714,   761,     0,   107,   108,   109,   110,
     762,   763,   112,   113,   114,     0,   115,   764,   765,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   132,   446,   447,   448,   134,   135,   136,
     137,   138,     0,   449,   450,   451,   452,   453,     0,  1601,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
    1604,     0,  1605,     0,   461,   462,   463,   464,   147,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
     150,   473,   474,     0,  1606,  1607,  1608,  1609,  1610,  1611,
    1612,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,  1616,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,   168,
       0,   169,   516,   517,   518,     0,   519,  1619,     0,   172,
     520,     0,   521,   522,   730,   523,   524,   173,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,   175,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,     0,     0,   546,  1623,   183,   547,   184,     0,
     548,   549,   550,  1624,  1625,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,   190,   191,   565,   566,   192,     0,   567,   568,
     194,   569,     0,  1630,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
     198,   579,   199,  1633,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,  1634,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     211,   619,   620,   621,   213,  3870,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,  1637,
     635,   636,   218,   637,   638,   220,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,  1639,     0,   653,   654,     0,   655,   225,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,  1642,   664,  1643,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,  1646,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
     237,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,  1648,  1649,  1650,
    1651,  1652,  1653,  1654,  1655,   735,   694,   695,     0,     0,
       0,   759,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,   249,    98,    99,   100,   101,   102,
     103,   760,   104,   105,   714,   761,     0,   107,   108,   109,
     110,   762,   763,   112,   113,   114,     0,   115,   764,   765,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,   135,
     136,   137,   138,     0,   449,   450,   451,   452,   453,     0,
    1601,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,  1604,     0,  1605,     0,   461,   462,   463,   464,   147,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,  1606,  1607,  1608,  1609,  1610,
    1611,  1612,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,  1616,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,  1619,     0,
     172,   520,     0,   521,   522,   730,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,  1623,   183,   547,   184,
       0,   548,   549,   550,  1624,  1625,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,   190,   191,   565,   566,   192,     0,   567,
     568,   194,   569,     0,  1630,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,   198,   579,   199,  1633,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,  1634,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
    1637,   635,   636,   218,   637,   638,   220,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,  1639,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,  1642,   664,  1643,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
    1646,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,  1648,  1649,
    1650,  1651,  1652,  1653,  1654,  1655,   735,   694,   695,     0,
       0,     0,   759,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,  4517,    98,    99,   100,   101,
     102,   103,   760,   104,   105,   714,   761,     0,   107,   108,
     109,   110,   762,   763,   112,   113,   114,     0,   115,   764,
     765,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   132,   446,   447,   448,   134,
     135,   136,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,   144,     0,   461,   462,   463,   464,
     147,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,   150,   473,   474,     0,     0,     0,     0,   151,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,   168,     0,   169,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,   524,   173,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,   175,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,   179,   180,   540,   181,   541,
     542,   543,   544,   545,     0,     0,   546,   182,   183,   547,
     184,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,   190,   191,   565,   566,   192,     0,
     567,   568,   194,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,   198,   579,   199,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   211,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,   220,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
     225,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,   237,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
       0,     0,     0,     0,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,  5150,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,  4439,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0, -1619,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0, -1619,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,   524,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535, -1619,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540, -1619,
     541,   542,   543,   544,   545,     0,     0,   546,   182, -1619,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189, -1619,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618, -1619,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,     0,     0,     0,     0,     0,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,  1757,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,     0,     0,     0,     0,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,  3673,  3674,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,    45,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,   524,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,     0,     0,     0,     0,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
    3674,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,   430,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,   524,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
     216,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,   224,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,  2335,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,   238,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,     0,     0,   248,     0,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,   249,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,   524,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,   216,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,   224,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,  2335,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,   238,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,     0,     0,   248,     0,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,   249,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,     0,     0,     0,
       0,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,  1731,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,   524,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,     0,     0,
       0,     0,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,  3246,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,   524,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,     0,
       0,     0,     0,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,  4420,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,   524,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
       0,     0,     0,   759,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,  4844,    98,    99,   100,
     101,   102,   103,   760,   104,   105,   714,   761,     0,   107,
     108,   109,   110,   762,   763,   112,   113,   114,     0,   115,
     764,   765,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,   430,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,  1259,    45,     0,     0,     0,     0,     0,  1260,
    1261,  1262,   431,   432,   433,   434,   435,   436,   437,   438,
     766,   439,   440,   441,   767,   768,   769,   770,   771,   772,
     773,   442,   443,   774,   444,   445,   132,   446,   447,   448,
       0,  1421,   136,  1422,  1423,   775,   449,   450,   451,   452,
     453,   776,   777,   454,   455,  1424,  1425,   456,   779,   457,
     458,   459,   460,     0,   780,   144,   781,   461,   462,   463,
     464,   147,   465,   466,   726,   783,   467,   468,   469,   470,
     471,   472,   784,   150,   473,   474,     0,   786,   787,   788,
     151,   789,   790,   791,   476,   477,   478,   479,   728,   480,
    1426,  1427,   481,   792,   482,   793,   483,   484,   485,   486,
     487,   488,   794,   489,   490,   491,   795,   796,   492,   493,
    1428,   495,   496,   797,   497,   498,   499,   798,   500,   501,
     502,   799,   503,   504,   505,   506,     0,   507,   508,   509,
       0,   800,   510,   801,   511,   512,  1429,   513,   802,   514,
     803,   515,   168,   804,   169,   516,   517,   518,   805,   519,
       0,   806,     0,   520,   807,   521,   522,   730,   523,   524,
     173,   525,   526,   527,   528,   808,   529,   530,   531,   532,
     533,   534,   809,   535,   175,     0,     0,   536,   537,   538,
    1431,  1432,   812,  1433,   813,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,   814,   815,   546,     0,   183,
     547,   184,   816,   548,   549,   550,   817,   818,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,  1434,   190,  1435,   565,   566,  4940,
     819,   567,   568,   194,   569,   820,     0,   570,  1436,   571,
     572,   573,   821,   574,   822,   823,  4166,   576,   577,   824,
     825,   578,     0,   198,   579,   199,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   826,   588,   589,     0,   590,
       0,   591,   592,   593,   827,   594,   595,   596,   597,   598,
     599,   600,   601,  1437,   602,   603,   604,   605,   828,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     829,   617,   618,   211,   619,   620,   621,     0,   622,   623,
     624,   625,   626,   627,   733,   628,   830,   629,   630,   631,
     632,   633,   831,   635,   636,  2545,   637,   638,   220,   639,
     640,  1439,   641,   832,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,     0,   833,   653,   654,   834,
     655,   225,   656,   657,   658,   659,   660,   835,  1440,  1441,
       0,   837,   662,   663,     0,   664,     0,   838,   665,   666,
     667,   668,   669,   670,   671,     0,   840,   672,   673,   674,
     675,   676,   841,   842,   677,   678,   679,   680,   681,     0,
    1442,   844,   682,   237,   683,   684,   685,   686,   845,   846,
     687,   847,   848,   688,   689,   690,   691,   692,   693,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   735,   694,
     695,     0,     0,     0,  1265,  1266,  1267,     0,  4167,  4168,
    1270,  1271,  1272,  1273,   759,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   760,   104,   105,   714,   761,     0,
     107,   108,   109,   110,   762,   763,   112,   113,   114,     0,
     115,   764,   765,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,  1259,    45,     0,     0,     0,     0,     0,
    1260,  1261,  1262,   431,   432,   433,   434,   435,   436,   437,
     438,   766,   439,   440,   441,   767,   768,   769,   770,   771,
     772,   773,   442,   443,   774,   444,   445,   132,   446,   447,
     448,     0,  1421,   136,  1422,  1423,   775,   449,   450,   451,
     452,   453,   776,   777,   454,   455,  1424,  1425,   456,   779,
     457,   458,   459,   460,     0,   780,   144,   781,   461,   462,
     463,   464,   147,   465,   466,   726,   783,   467,   468,   469,
     470,   471,   472,   784,   150,   473,   474,     0,   786,   787,
     788,   151,   789,   790,   791,   476,   477,   478,   479,   728,
     480,  1426,  1427,   481,   792,   482,   793,   483,   484,   485,
     486,   487,   488,   794,   489,   490,   491,   795,   796,   492,
     493,  1428,   495,   496,   797,   497,   498,   499,   798,   500,
     501,   502,   799,   503,   504,   505,   506,     0,   507,   508,
     509,     0,   800,   510,   801,   511,   512,  1429,   513,   802,
     514,   803,   515,   168,   804,   169,   516,   517,   518,   805,
     519,     0,   806,     0,   520,   807,   521,   522,   730,   523,
     524,   173,   525,   526,   527,   528,   808,   529,   530,   531,
     532,   533,   534,   809,   535,   175,     0,     0,   536,   537,
     538,  1431,  1432,   812,  1433,   813,   539,   179,   180,   540,
     181,   541,   542,   543,   544,   545,   814,   815,   546,     0,
     183,   547,   184,   816,   548,   549,   550,   817,   818,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,  1434,   190,  1435,   565,   566,
       0,   819,   567,   568,   194,   569,   820,     0,   570,  1436,
     571,   572,   573,   821,   574,   822,   823,  4166,   576,   577,
     824,   825,   578,     0,   198,   579,   199,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   826,   588,   589,     0,
     590,     0,   591,   592,   593,   827,   594,   595,   596,   597,
     598,   599,   600,   601,  1437,   602,   603,   604,   605,   828,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   829,   617,   618,   211,   619,   620,   621,     0,   622,
     623,   624,   625,   626,   627,   733,   628,   830,   629,   630,
     631,   632,   633,   831,   635,   636,  2545,   637,   638,   220,
     639,   640,  1439,   641,   832,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,     0,   833,   653,   654,
     834,   655,   225,   656,   657,   658,   659,   660,   835,  1440,
    1441,     0,   837,   662,   663,     0,   664,     0,   838,   665,
     666,   667,   668,   669,   670,   671,     0,   840,   672,   673,
     674,   675,   676,   841,   842,   677,   678,   679,   680,   681,
       0,  1442,   844,   682,   237,   683,   684,   685,   686,   845,
     846,   687,   847,   848,   688,   689,   690,   691,   692,   693,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   735,
     694,   695,     0,     0,     0,  1265,  1266,  1267,     0,  4167,
    4168,  1270,  1271,  1272,  1273,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1259,     0,     0,     0,     0,     0,     0,
    1260,  1261,  1262,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,  1263,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,  1264,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,     0,     0,     0,  1265,  1266,  1267,     0,  1268,
    1269,  1270,  1271,  1272,  1273,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1259,     0,     0,     0,     0,     0,     0,
    1260,  1261,  1262,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,  1371,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,  1372,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,     0,     0,     0,  1265,  1266,  1267,     0,  1268,
    1269,  1270,  1271,  1272,  1273,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1259,     0,     0,     0,     0,     0,     0,
    1260,  1261,  1262,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,  1472,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,  1473,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
    1474,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,     0,     0,     0,  1265,  1266,  1267,     0,  1268,
    1269,  1270,  1271,  1272,  1273,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1259,     0,     0,     0,     0,     0,     0,
    1260,  1261,  1262,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,  2037,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,  2038,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,     0,     0,     0,  1265,  1266,  1267,     0,  1268,
    1269,  1270,  1271,  1272,  1273,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1259,     0,     0,     0,     0,     0,     0,
    1260,  1261,  1262,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,     0,     0,     0,  1265,  1266,  1267,     0,  1268,
    1269,  1270,  1271,  1272,  1273,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1259,     0,     0,     0,     0,     0,     0,
    1260,  1261,  1262,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,  3347,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,  3348,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,     0,     0,     0,  1265,  1266,  1267,     0,  1268,
    1269,  1270,  1271,  1272,  1273,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1259,     0,     0,     0,     0,     0,     0,
    1260,  1261,  1262,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,  5130,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,     0,     0,     0,  1265,  1266,  1267,     0,  1268,
    1269,  1270,  1271,  1272,  1273,   759,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   760,   104,   105,   714,   761,
       0,   107,   108,   109,   110,   762,   763,   112,   113,   114,
       0,   115,   764,   765,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,   766,   439,   440,   441,   767,   768,   769,   770,
     771,   772,   773,   442,   443,   774,   444,   445,   132,   446,
     447,   448,   134,   135,   136,   137,   138,   775,   449,   450,
     451,   452,   453,   776,   777,   454,   455,   778,   139,   456,
     779,   457,   458,   459,   460,   143,   780,   144,   781,   461,
     462,   463,   464,   147,   465,   466,   782,   783,   467,   468,
     469,   470,   471,   472,   784,   150,   473,   474,   785,   786,
     787,   788,   151,   789,   790,   791,   476,   477,   478,   479,
     728,   480,   154,   155,   481,   792,   482,   793,   483,   484,
     485,   486,   487,   488,   794,   489,   490,   491,   795,   796,
     492,   493,   494,   495,   496,   797,   497,   498,   499,   798,
     500,   501,   502,   799,   503,   504,   505,   506,   163,   507,
     508,   509,   165,   800,   510,   801,   511,   512,   167,   513,
     802,   514,   803,   515,   168,   804,   169,   516,   517,   518,
     805,   519,   171,   806,   172,   520,   807,   521,   522,   730,
     523,   524,   173,   525,   526,   527,   528,   808,   529,   530,
     531,   532,   533,   534,   809,   535,   175,   176,   810,   536,
     537,   538,   811,   177,   812,   178,   813,   539,   179,   180,
     540,   181,   541,   542,   543,   544,   545,   814,   815,   546,
     182,   183,   547,   184,   816,   548,   549,   550,   817,   818,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,   190,   191,   565,
     566,   192,   819,   567,   568,   194,   569,   820,   195,   570,
     196,   571,   572,   573,   821,   574,   822,   823,   575,   576,
     577,   824,   825,   578,   197,   198,   579,   199,   200,   580,
     581,   582,   583,   584,   585,   586,   587,   826,   588,   589,
     201,   590,   202,   591,   592,   593,   827,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
     828,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   829,   617,   618,   211,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,   830,   629,
     630,   631,   632,   633,   831,   635,   636,   218,   637,   638,
     220,   639,   640,   221,   641,   832,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,   833,   653,
     654,   834,   655,   225,   656,   657,   658,   659,   660,   835,
     226,   227,   836,   837,   662,   663,   228,   664,   229,   838,
     665,   666,   667,   668,   669,   670,   671,   839,   840,   672,
     673,   674,   675,   676,   841,   842,   677,   678,   679,   680,
     681,   843,   236,   844,   682,   237,   683,   684,   685,   686,
     845,   846,   687,   847,   848,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,   759,    86,    87,    88,   711,    90,    91,
      92,   712,  2436,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   760,   104,   105,   714,   761,     0,   107,
     108,   109,   110,   762,   763,   112,   113,   114,     0,   115,
     764,   765,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   132,   446,   447,   448,
       0,  1421,   136,  1422,  1423,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,  1424,  1425,   456,     0,   457,
     458,   459,   460,     0,     0,   144,     0,   461,   462,   463,
     464,   147,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,   150,   473,   474,     0,     0,     0,     0,
     151,     0,     0,     0,   476,   477,   478,   479,   728,   480,
    1426,  1427,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
    1428,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,     0,   507,   508,   509,
       0,     0,   510,     0,   511,   512,  1429,   513,     0,   514,
       0,   515,   168,     0,   169,   516,   517,   518,     0,   519,
       0,     0,     0,   520,     0,   521,   522,   730,   523,   524,
     173,   525,   526,   527,   528,  2541,   529,   530,   531,   532,
     533,   534,     0,   535,   175,  2542,     0,   536,   537,   538,
    1431,  1432,     0,  1433,     0,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,     0,     0,   546,     0,   183,
     547,   184,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,  1434,   190,  1435,   565,   566,     0,
       0,   567,   568,   194,   569,     0,     0,   570,  1436,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
    2543,   578,  2544,   198,   579,   199,     0,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,     0,   590,
       0,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,  1437,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   211,   619,   620,   621,     0,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,  2545,   637,   638,   220,   639,
     640,  1439,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,     0,     0,   653,   654,     0,
     655,   225,   656,   657,   658,   659,   660,     0,  1440,  1441,
       0,     0,   662,   663,     0,   664,     0,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,     0,
    1442,  2546,   682,   237,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   735,   694,
     695,     0,    86,    87,    88,   711,    90,    91,    92,   712,
    2547,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,   524,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,     0,
      86,    87,    88,   711,    90,    91,    92,   712,  1139,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,     0,    86,    87,
      88,   711,    90,    91,    92,   712,  5455,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,   430,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,   431,  1029,   433,   434,
     435,   436,   437,   438,  1030,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,  1031,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,  1032,
     167,   513,     0,   514,     0,  1033,     0,  1034,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,   524,     0,   525,   526,   527,   528,  1035,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,  1036,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,  1037,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,  1038,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,  1039,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,     0,     0,     0,     0,     0,
       0,     0,  1040,  1041,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,   430,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,   431,  1029,   433,   434,   435,   436,   437,   438,
    1030,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,  1063,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,  1032,   167,   513,     0,   514,
       0,  1064,     0,  1034,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,   524,
       0,   525,   526,   527,   528,  1035,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,  1036,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,  1037,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,  1038,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,  1039,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,     0,     0,     0,     0,     0,     0,     0,  1040,  1041,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,   430,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,  1525,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,  1034,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,  1035,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,     0,     0,     0,
       0,     0,     0,     0,  1040,  1041,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,   430,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,    45,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,  1530,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,  1034,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,     0,   525,   526,   527,   528,  1035,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,     0,     0,     0,     0,     0,     0,     0,
    1040,  1041,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,   729,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,   524,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,  1702,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,     0,
       0,     0,     0,  1109,  1703,    86,    87,    88,   711,    90,
      91,    92,   712,  1110,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,  1111,   455,  1082,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,  1112,     0,  1113,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,  1114,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,  1115,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,  1116,   620,   621,   213,   622,
     623,   624,  1117,   626,   627,   733,   628,     0,   629,   630,
     631,   632,  1118,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,  1119,
     227,     0,     0,  1120,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
    1086,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,  1121,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,   759,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   760,   104,   105,   714,   761,     0,   107,   108,
     109,   110,   762,   763,   112,   113,   114,     0,   115,   764,
     765,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   766,
     439,   440,   441,   767,   768,   769,   770,   771,   772,   773,
     442,   443,   774,   444,   445,   132,   446,   447,   448,   134,
     135,   136,   137,   138,   775,   449,   450,   451,   452,   453,
     776,   777,   454,   455,   778,   139,   456,   779,   457,   458,
     459,   460,   143,   780,   144,   781,   461,   462,   463,   464,
     147,   465,   466,   782,   783,   467,   468,   469,   470,   471,
     472,   784,   150,   473,   474,   785,   786,   787,   788,   151,
     789,   790,   791,   476,   477,   478,   479,   728,   480,   154,
     155,   481,   792,   482,   793,   483,   484,   485,   486,   487,
     488,   794,   489,   490,   491,   795,   796,   492,   493,   494,
     495,   496,   797,   497,   498,   499,   798,   500,   501,   502,
     799,   503,   504,   505,   506,   163,   507,   508,   509,   165,
     800,   510,   801,   511,   512,   167,   513,   802,   514,   803,
     515,   168,   804,   169,   516,   517,   518,   805,   519,   171,
     806,   172,   520,   807,   521,   522,   730,   523,   524,   173,
     525,   526,   527,   528,   808,   529,   530,   531,   532,   533,
     534,   809,   535,   175,   176,   810,   536,   537,   538,   811,
     177,   812,   178,   813,   539,   179,   180,   540,   181,   541,
     542,   543,   544,   545,   814,   815,   546,   182,   183,   547,
     184,   816,   548,   549,   550,   817,   818,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,   190,   191,   565,   566,   192,   819,
     567,   568,   194,   569,   820,   195,   570,   196,   571,   572,
     573,   821,   574,   822,   823,   575,   576,   577,   824,   825,
     578,   197,   198,   579,   199,   200,   580,   581,   582,   583,
     584,   585,   586,   587,   826,   588,   589,   201,   590,   202,
     591,   592,   593,   827,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,   828,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   829,
     617,   618,   211,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,   830,   629,   630,   631,   632,
     633,   831,   635,   636,   218,   637,   638,   220,   639,   640,
     221,   641,   832,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,   833,   653,   654,   834,   655,
     225,   656,   657,   658,   659,   660,   835,   226,   227,   836,
     837,   662,   663,   228,   664,   229,   838,   665,   666,   667,
     668,   669,   670,   671,   839,   840,   672,   673,   674,   675,
     676,   841,   842,   677,   678,   679,   680,   681,   843,   236,
     844,   682,   237,   683,   684,   685,   686,   845,   846,   687,
     847,   848,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
     759,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     760,   104,   105,   714,   761,     0,   107,   108,   109,   110,
     762,   763,   112,   113,   114,     0,   115,   764,   765,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   766,   439,   440,
     441,   767,   768,   769,   770,   771,   772,   773,   442,   443,
     774,   444,   445,   132,   446,   447,   448,   134,   135,   136,
     137,   138,   775,   449,   450,   451,   452,   453,   776,   777,
     454,   455,   778,   139,   456,   779,   457,   458,   459,   460,
     143,   780,   144,   781,   461,   462,   463,   464,   147,   465,
     466,   782,   783,   467,   468,   469,   470,   471,   472,   784,
     150,   473,   474,   785,   786,   787,   788,   151,   789,   790,
     791,   476,   477,   478,   479,   728,   480,   154,   155,   481,
     792,   482,   793,   483,   484,   485,   486,   487,   488,   794,
     489,   490,   491,   795,   796,   492,   493,   494,   495,   496,
     797,   497,   498,   499,   798,   500,   501,   502,   799,   503,
     504,   505,   506,   163,   507,   508,   509,   165,   800,   510,
     801,   511,   512,   167,   513,   802,   514,   803,   515,   168,
     804,   169,   516,   517,   518,   805,   519,   171,   806,   172,
     520,   807,   521,   522,   730,   523,   524,   173,   525,   526,
     527,   528,   808,   529,   530,   531,   532,   533,   534,   809,
     535,   175,   176,   810,   536,   537,   538,   811,   177,   812,
     178,   813,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,   814,   815,   546,   182,   183,   547,   184,   816,
     548,   549,   550,   817,   818,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,   190,   191,   565,   566,   192,   819,   567,   568,
     194,   569,   820,   195,   570,   196,   571,   572,   573,   821,
     574,   822,   823,   575,   576,   577,   824,   825,   578,   197,
     198,   579,   199,   200,   580,   581,   582,   583,   584,   585,
     586,   587,   826,   588,   589,   201,   590,   202,   591,   592,
     593,   827,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,   828,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   829,   617,   618,
     211,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,   830,   629,   630,   631,   632,   633,   831,
     635,   636,   218,   637,   638,   220,   639,   640,   221,   641,
     832,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,   833,   653,   654,   834,   655,   225,   656,
     657,   658,   659,   660,   835,   226,   227,   836,   837,   662,
     663,   228,   664,   229,   838,   665,   666,   667,   668,   669,
     670,   671,   839,   840,   672,   673,   674,   675,   676,   841,
     842,   677,   678,   679,   680,   681,   843,   236,   844,   682,
     237,   683,   684,   685,   686,   845,   846,   687,   847,   848,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,   759,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   760,   104,
     105,   714,   761,     0,   107,   108,   109,   110,   762,   763,
     112,   113,   114,     0,   115,   764,   765,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,  3415,   436,   437,   438,   766,   439,   440,   441,   767,
     768,   769,   770,   771,   772,   773,   442,   443,   774,   444,
     445,   132,   446,   447,   448,   134,   135,   136,   137,   138,
     775,   449,   450,   451,   452,   453,   776,   777,   454,   455,
     778,   139,   456,   779,   457,   458,   459,   460,   143,   780,
     144,   781,   461,   462,   463,   464,   147,   465,   466,   782,
     783,   467,   468,   469,   470,   471,   472,   784,   150,   473,
     474,   785,   786,   787,   788,   151,   789,   790,   791,   476,
     477,   478,   479,   728,   480,   154,   155,   481,   792,   482,
     793,   483,   484,   485,   486,   487,   488,   794,   489,   490,
     491,   795,   796,   492,   493,   494,  3416,   496,   797,   497,
     498,   499,   798,   500,   501,   502,   799,   503,   504,   505,
     506,   163,   507,   508,   509,   165,   800,   510,   801,   511,
     512,   167,   513,   802,   514,   803,   515,   168,   804,   169,
     516,   517,   518,   805,   519,   171,   806,   172,   520,   807,
     521,   522,   730,   523,   524,   173,   525,   526,   527,   528,
     808,   529,   530,   531,   532,   533,   534,   809,   535,   175,
     176,   810,   536,   537,   538,   811,   177,   812,   178,   813,
     539,   179,   180,   540,   181,   541,   542,   543,   544,   545,
     814,   815,   546,   182,   183,   547,   184,   816,   548,   549,
     550,   817,   818,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
     190,   191,   565,   566,   192,   819,   567,   568,   194,   569,
     820,   195,   570,   196,   571,   572,   573,   821,   574,   822,
     823,   575,   576,   577,   824,   825,   578,   197,   198,   579,
     199,   200,   580,   581,   582,   583,   584,   585,   586,   587,
     826,   588,   589,   201,   590,   202,   591,   592,   593,   827,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,   828,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   829,   617,   618,   211,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,   830,   629,   630,   631,   632,   633,   831,  3417,   636,
     218,   637,   638,   220,   639,   640,   221,   641,   832,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,   833,   653,   654,   834,   655,   225,   656,   657,   658,
     659,   660,   835,   226,   227,   836,   837,   662,   663,   228,
     664,   229,   838,   665,   666,   667,   668,   669,   670,   671,
     839,   840,   672,   673,   674,   675,   676,   841,   842,   677,
     678,   679,   680,   681,   843,   236,   844,   682,   237,   683,
     684,   685,   686,   845,   846,   687,   847,   848,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,   134,   135,   136,   137,   138,     0,   449,
     450,   451,   452,   453,     0,  1601,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,  1604,     0,  1605,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
    1606,  1607,  1608,  1609,  1610,  1611,  1612,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,  1616,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,  1619,     0,   172,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,  1623,   183,   547,   184,     0,   548,   549,   550,  1624,
    1625,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,   190,   191,
     565,   566,   192,     0,   567,   568,   194,   569,     0,  1630,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,   198,   579,   199,  1633,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,  1634,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,  1637,   635,   636,   218,   637,
     638,   220,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,  1639,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,  1642,   664,  1643,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,  1646,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,  1648,  1649,  1650,  1651,  1652,  1653,  1654,
    1655,   735,   694,   695,   759,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   760,   104,   105,   714,   761,     0,
     107,   108,   109,   110,   762,   763,   112,   113,   114,     0,
     115,   764,   765,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   132,   446,   447,
     448,   134,   135,   136,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,   144,     0,   461,   462,
     463,   464,   147,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,   150,   473,   474,     0,     0,     0,
       0,   151,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,   168,     0,   169,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,   173,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,   175,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,   179,   180,   540,
     181,   541,   542,   543,   544,   545,     0,     0,   546,   182,
     183,   547,   184,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,   190,   191,   565,   566,
     192,     0,   567,   568,   194,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,   198,   579,   199,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   211,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,   220,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,   225,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,   237,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,   759,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   760,   104,   105,   714,   761,     0,   107,   108,
     109,   110,   762,   763,   112,   113,   114,     0,   115,   764,
     765,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   132,   446,   447,   448,   134,
     135,   136,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,   144,     0,   461,   462,   463,   464,
     147,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,   150,   473,   474,     0,     0,     0,     0,   151,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,   168,     0,   169,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,  1414,   173,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,   175,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,   179,   180,   540,   181,   541,
     542,   543,   544,   545,     0,     0,   546,   182,   183,   547,
     184,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,   190,   191,   565,   566,   192,     0,
     567,   568,   194,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,   198,   579,   199,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   211,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,   220,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
     225,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,   237,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
     759,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     760,   104,   105,   714,   761,     0,   107,   108,   109,   110,
     762,   763,   112,   113,   114,     0,   115,   764,   765,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   132,   446,   447,   448,   134,   135,   136,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,   144,     0,   461,   462,   463,   464,   147,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
     150,   473,   474,     0,     0,     0,     0,   151,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,   168,
       0,   169,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,  1465,   173,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,   175,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,     0,     0,   546,   182,   183,   547,   184,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,   190,   191,   565,   566,   192,     0,   567,   568,
     194,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
     198,   579,   199,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     211,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,   220,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,   225,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
     237,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,   759,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   760,   104,
     105,   714,   761,     0,   107,   108,   109,   110,   762,   763,
     112,   113,   114,     0,   115,   764,   765,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   132,   446,   447,   448,     0,  1421,   136,  1422,  1423,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
    1424,  1425,   456,     0,   457,   458,   459,   460,     0,     0,
     144,     0,   461,   462,   463,   464,   147,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,   150,   473,
     474,     0,     0,     0,     0,   151,     0,     0,     0,   476,
     477,   478,   479,   728,   480,  1426,  1427,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,  1428,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,     0,   507,   508,   509,     0,     0,   510,     0,   511,
     512,  1429,   513,     0,   514,     0,   515,   168,     0,   169,
     516,   517,   518,     0,   519,     0,     0,     0,   520,     0,
     521,   522,   730,   523,   524,   173,   525,   526,   527,   528,
    2541,   529,   530,   531,   532,   533,   534,     0,   535,   175,
    2542,     0,   536,   537,   538,  1431,  1432,     0,  1433,     0,
     539,   179,   180,   540,   181,   541,   542,   543,   544,   545,
       0,     0,   546,     0,   183,   547,   184,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,  1434,
     190,  1435,   565,   566,     0,     0,   567,   568,   194,   569,
       0,     0,   570,  1436,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,  2544,   198,   579,
     199,     0,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,     0,   590,     0,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,  1437,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   211,   619,
     620,   621,     0,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
    2545,   637,   638,   220,   639,   640,  1439,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,     0,   655,   225,   656,   657,   658,
     659,   660,     0,  1440,  1441,     0,     0,   662,   663,     0,
     664,     0,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,     0,  1442,  2546,   682,   237,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   735,   694,   695,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,     0,  1421,   136,  1422,  1423,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,  1424,  1425,
     456,     0,   457,   458,   459,   460,     0,     0,   144,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
       0,     0,     0,   151,     0,     0,     0,   476,   477,   478,
     479,   728,   480,  1426,  1427,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1428,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,     0,
     507,   508,   509,     0,     0,   510,     0,   511,   512,  1429,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,     0,     0,     0,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,     0,     0,
     536,   537,   538,  1431,  1432,     0,  1433,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,     0,   183,   547,   184,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1434,   190,  1435,
     565,   566,     0,     0,   567,   568,   194,   569,  2640,     0,
     570,  1436,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,     0,   198,   579,   199,     0,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,     0,   590,     0,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1437,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
       0,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,  2545,   637,
     638,   220,   639,   640,  1439,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,  4264,   655,   225,   656,   657,   658,   659,   660,
       0,  1440,  1441,     0,     0,   662,   663,     0,   664,     0,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,     0,  1442,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   735,   694,   695,   759,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   760,   104,   105,   714,   761,     0,
     107,   108,   109,   110,   762,   763,   112,   113,   114,     0,
     115,   764,   765,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   132,   446,   447,
     448,     0,  1421,   136,  1422,  1423,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,  1424,  1425,   456,     0,
     457,   458,   459,   460,     0,     0,   144,     0,   461,   462,
     463,   464,   147,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,   150,   473,   474,     0,     0,     0,
       0,   151,     0,     0,     0,   476,   477,   478,   479,   728,
     480,  1426,  1427,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,  1428,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,     0,   507,   508,
     509,     0,     0,   510,     0,   511,   512,  1429,   513,     0,
     514,     0,   515,   168,     0,   169,   516,   517,   518,     0,
     519,     0,     0,     0,   520,     0,   521,   522,   730,   523,
     524,   173,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,   175,     0,     0,   536,   537,
     538,  1431,  1432,     0,  1433,     0,   539,   179,   180,   540,
     181,   541,   542,   543,   544,   545,     0,     0,   546,     0,
     183,   547,   184,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,  1434,   190,  1435,   565,   566,
    2709,     0,   567,   568,   194,   569,     0,     0,   570,  1436,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,     0,   198,   579,   199,     0,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,     0,
     590,     0,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,  1437,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   211,   619,   620,   621,     0,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,  1438,   637,   638,   220,
     639,   640,  1439,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
       0,   655,   225,   656,   657,   658,   659,   660,     0,  1440,
    1441,     0,     0,   662,   663,     0,   664,     0,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
       0,  1442,     0,   682,   237,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   735,
     694,   695,   759,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   760,   104,   105,   714,   761,     0,   107,   108,
     109,   110,   762,   763,   112,   113,   114,     0,   115,   764,
     765,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   132,   446,   447,   448,     0,
    1421,   136,  1422,  1423,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,  1424,  1425,   456,     0,   457,   458,
     459,   460,     0,     0,   144,     0,   461,   462,   463,   464,
     147,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,   150,   473,   474,     0,     0,     0,     0,   151,
       0,     0,     0,   476,   477,   478,   479,   728,   480,  1426,
    1427,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,  1428,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,     0,   507,   508,   509,     0,
       0,   510,     0,   511,   512,  1429,   513,     0,   514,     0,
     515,   168,     0,   169,   516,   517,   518,     0,   519,     0,
       0,     0,   520,     0,   521,   522,   730,   523,   524,   173,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,   175,     0,     0,   536,   537,   538,  1431,
    1432,     0,  1433,     0,   539,   179,   180,   540,   181,   541,
     542,   543,   544,   545,     0,     0,   546,     0,   183,   547,
     184,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,  1434,   190,  1435,   565,   566,  4085,     0,
     567,   568,   194,   569,     0,     0,   570,  1436,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,     0,   198,   579,   199,     0,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,     0,   590,     0,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,  1437,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   211,   619,   620,   621,     0,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,  1438,   637,   638,   220,   639,   640,
    1439,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,     0,   655,
     225,   656,   657,   658,   659,   660,     0,  1440,  1441,     0,
       0,   662,   663,     0,   664,     0,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,     0,  1442,
       0,   682,   237,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   735,   694,   695,
     759,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     760,   104,   105,   714,   761,     0,   107,   108,   109,   110,
     762,   763,   112,   113,   114,     0,   115,   764,   765,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   132,   446,   447,   448,     0,  1421,   136,
    1422,  1423,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,  1424,  1425,   456,     0,   457,   458,   459,   460,
       0,     0,   144,     0,   461,   462,   463,   464,   147,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
     150,   473,   474,     0,     0,     0,     0,   151,     0,     0,
       0,   476,   477,   478,   479,   728,   480,  1426,  1427,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,  1428,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,     0,   507,   508,   509,     0,     0,   510,
       0,   511,   512,  1429,   513,     0,   514,     0,   515,   168,
       0,   169,   516,   517,   518,     0,   519,     0,     0,     0,
     520,     0,   521,   522,   730,   523,  1430,   173,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,   175,     0,     0,   536,   537,   538,  1431,  1432,     0,
    1433,     0,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,     0,     0,   546,     0,   183,   547,   184,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,  1434,   190,  1435,   565,   566,     0,     0,   567,   568,
     194,   569,     0,     0,   570,  1436,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,     0,
     198,   579,   199,     0,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,     0,   590,     0,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
    1437,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     211,   619,   620,   621,     0,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,  1438,   637,   638,   220,   639,   640,  1439,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,     0,   655,   225,   656,
     657,   658,   659,   660,     0,  1440,  1441,     0,     0,   662,
     663,     0,   664,     0,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,     0,  1442,     0,   682,
     237,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   735,   694,   695,   759,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   760,   104,
     105,   714,   761,     0,   107,   108,   109,   110,   762,   763,
     112,   113,   114,     0,   115,   764,   765,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,   132,   446,   447,   448,     0,  1421,   136,  1422,  1423,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
    1424,  1425,   456,     0,   457,   458,   459,   460,     0,     0,
     144,     0,   461,   462,   463,   464,   147,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,   150,   473,
     474,     0,     0,     0,     0,   151,     0,     0,     0,   476,
     477,   478,   479,   728,   480,  1426,  1427,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,  1428,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,     0,   507,   508,   509,     0,     0,   510,     0,   511,
     512,  1429,   513,     0,   514,     0,   515,   168,     0,   169,
     516,   517,   518,     0,   519,     0,     0,     0,   520,     0,
     521,   522,   730,   523,  1491,   173,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,   175,
       0,     0,   536,   537,   538,  1431,  1432,     0,  1433,     0,
     539,   179,   180,   540,   181,   541,   542,   543,   544,   545,
       0,     0,   546,     0,   183,   547,   184,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,  1434,
     190,  1435,   565,   566,     0,     0,   567,   568,   194,   569,
       0,     0,   570,  1436,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,     0,   198,   579,
     199,     0,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,     0,   590,     0,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,  1437,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,   211,   619,
     620,   621,     0,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
    1438,   637,   638,   220,   639,   640,  1439,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,     0,   655,   225,   656,   657,   658,
     659,   660,     0,  1440,  1441,     0,     0,   662,   663,     0,
     664,     0,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,     0,  1442,     0,   682,   237,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   735,   694,   695,   759,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   760,   104,   105,   714,
     761,     0,   107,   108,   109,   110,   762,   763,   112,   113,
     114,     0,   115,   764,   765,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,   132,
     446,   447,   448,     0,  1421,   136,  1422,  1423,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,  1424,  1425,
     456,     0,   457,   458,   459,   460,     0,     0,   144,     0,
     461,   462,   463,   464,   147,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,   150,   473,   474,     0,
       0,     0,     0,   151,     0,     0,     0,   476,   477,   478,
     479,   728,   480,  1426,  1427,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,  1428,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,     0,
     507,   508,   509,     0,     0,   510,     0,   511,   512,  1429,
     513,     0,   514,     0,   515,   168,     0,   169,   516,   517,
     518,     0,   519,     0,     0,     0,   520,     0,   521,   522,
     730,   523,   524,   173,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,   175,     0,     0,
     536,   537,   538,  1431,  1432,     0,  1433,     0,   539,   179,
     180,   540,   181,   541,   542,   543,   544,   545,     0,     0,
     546,     0,   183,   547,   184,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,  1434,   190,  1435,
     565,   566,     0,     0,   567,   568,   194,   569,     0,     0,
     570,  1436,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,     0,   198,   579,   199,     0,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,     0,   590,     0,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,  1437,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,   211,   619,   620,   621,
       0,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,  1438,   637,
     638,   220,   639,   640,  1439,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,     0,   655,   225,   656,   657,   658,   659,   660,
       0,  1440,  1441,     0,     0,   662,   663,     0,   664,     0,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,     0,  1442,     0,   682,   237,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   735,   694,   695,   759,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   760,   104,   105,   714,   761,     0,
     107,   108,   109,   110,   762,   763,   112,   113,   114,     0,
     115,   764,   765,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,   132,   446,   447,
     448,     0,  1421,   136,  1422,  1423,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,  1424,  1425,   456,     0,
     457,   458,   459,   460,     0,     0,   144,     0,   461,   462,
     463,   464,   147,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,   150,   473,   474,     0,     0,     0,
       0,   151,     0,     0,     0,   476,   477,   478,   479,   728,
     480,  1426,  1427,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,  1428,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,     0,   507,   508,
     509,     0,     0,   510,     0,   511,   512,  1429,   513,     0,
     514,     0,   515,   168,     0,   169,   516,   517,   518,     0,
     519,     0,     0,     0,   520,     0,   521,   522,   730,   523,
     524,   173,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,   175,     0,     0,   536,   537,
     538,  1431,  1432,     0,  1433,     0,   539,   179,   180,   540,
     181,   541,   542,   543,   544,   545,     0,     0,   546,     0,
     183,   547,   184,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,  1434,   190,  1435,   565,   566,
       0,     0,   567,   568,   194,   569,     0,     0,   570,  1436,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,     0,   198,   579,   199,     0,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,     0,
     590,     0,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,  1437,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,   211,   619,   620,   621,     0,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,  2545,   637,   638,   220,
     639,   640,  1439,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
       0,   655,   225,   656,   657,   658,   659,   660,     0,  1440,
    1441,     0,     0,   662,   663,     0,   664,     0,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
       0,  1442,     0,   682,   237,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   735,
     694,   695,   759,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   760,   104,   105,   714,   761,     0,   107,   108,
     109,   110,   762,   763,   112,   113,   114,     0,   115,   764,
     765,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   132,   446,   447,   448,     0,
    1421,   136,  1422,  1423,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,  1424,  1425,   456,     0,   457,   458,
     459,   460,     0,     0,   144,     0,   461,   462,   463,   464,
     147,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,   150,   473,   474,     0,     0,     0,     0,   151,
       0,     0,     0,   476,   477,   478,   479,   728,   480,  1426,
    1427,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,  1428,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,     0,   507,   508,   509,     0,
       0,   510,     0,   511,   512,  1429,   513,     0,   514,     0,
     515,   168,     0,   169,   516,   517,   518,     0,   519,     0,
       0,     0,   520,     0,   521,   522,   730,   523,   524,   173,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,   175,     0,     0,   536,   537,   538,  1431,
    1432,     0,  1433,     0,   539,   179,   180,   540,   181,   541,
     542,   543,   544,   545,     0,     0,   546,     0,   183,   547,
     184,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,  1434,   190,  1435,   565,   566,     0,     0,
     567,   568,   194,   569,     0,     0,   570,  1436,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,     0,   198,   579,   199,     0,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,     0,   590,     0,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,  1437,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   211,   619,   620,   621,     0,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,     0,   637,   638,   220,   639,   640,
    1439,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,     0,   655,
     225,   656,   657,   658,   659,   660,     0,  1440,  1441,     0,
       0,   662,   663,     0,   664,     0,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,     0,  1442,
       0,   682,   237,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   735,   694,   695,
     759,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     760,   104,   105,   714,   761,     0,   107,   108,   109,   110,
     762,   763,   112,   113,   114,     0,   115,   764,   765,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   132,   446,   447,   448,     0,     0,   136,
       0,     0,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,     0,     0,   456,     0,   457,   458,   459,   460,
       0,     0,   144,     0,   461,   462,   463,   464,   147,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
     150,   473,   474,     0,     0,     0,     0,   151,     0,     0,
       0,   476,   477,   478,   479,   728,   480,     0,     0,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,     0,   507,   508,   509,     0,     0,   510,
       0,   511,   512,     0,   513,     0,   514,     0,   515,   168,
       0,   169,   516,   517,   518,     0,   519,     0,     0,     0,
     520,     0,   521,   522,   730,   523,   524,   173,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,   175,     0,     0,   536,   537,   538,     0,     0,     0,
       0,     0,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,     0,     0,   546,     0,   183,   547,   184,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,     0,   190,     0,   565,   566,     0,     0,   567,   568,
     194,   569,     0,     0,   570,     0,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,     0,
     198,   579,   199,     0,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,     0,   590,     0,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     211,   619,   620,   621,     0,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,     0,   637,   638,   220,   639,   640,     0,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,     0,   655,   225,   656,
     657,   658,   659,   660,     0,     0,     0,     0,     0,   662,
     663,     0,   664,     0,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,     0,     0,     0,   682,
     237,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,   766,   439,   440,   441,   767,   768,
     769,   770,   771,   772,   773,   442,   443,   774,   444,   445,
     132,   446,   447,   448,   134,   135,   136,   137,   138,   775,
     449,   450,   451,   452,   453,   776,   777,   454,   455,     0,
     139,   456,   779,   457,   458,   459,   460,   143,   780,   144,
     781,   461,   462,   463,   464,   147,   465,   466,   782,   783,
     467,   468,   469,   470,   471,   472,   784,   150,   473,   474,
       0,   786,   787,   788,   151,   789,   790,   791,   476,   477,
     478,   479,     0,   480,   154,   155,   481,   792,   482,   793,
     483,   484,   485,   486,   487,   488,   794,   489,   490,   491,
     795,   796,   492,   493,   494,   495,   496,   797,   497,   498,
     499,   798,   500,   501,   502,   799,   503,   504,   505,   506,
     163,   507,   508,   509,   165,   800,   510,   801,   511,   512,
     167,   513,   802,   514,   803,   515,   168,   804,   169,   516,
     517,   518,   805,   519,   171,   806,   172,   520,   807,   521,
     522,     0,   523,   524,   173,   525,   526,   527,   528,   808,
     529,   530,   531,   532,   533,   534,   809,   535,   175,   176,
       0,   536,   537,   538,     0,   177,   812,   178,   813,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,   814,
     815,   546,   182,   183,   547,   184,   816,   548,   549,   550,
     817,   818,   551,   552,   553,   554,   555,   556,   557,   558,
     559,     0,   560,   561,     0,   562,   563,   564,   189,   190,
     191,   565,   566,   192,   819,   567,   568,   194,   569,   820,
     195,   570,   196,   571,   572,   573,   821,   574,   822,   823,
     575,   576,   577,   824,   825,   578,   197,   198,   579,   199,
     200,   580,   581,   582,   583,   584,   585,   586,   587,   826,
     588,   589,   201,   590,   202,   591,   592,   593,   827,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,   828,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   829,   617,   618,   211,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,     0,   628,
     830,   629,   630,   631,   632,   633,   831,   635,   636,   218,
     637,   638,   220,   639,   640,   221,   641,   832,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
     833,   653,   654,   834,   655,   225,   656,   657,   658,   659,
     660,   835,   226,   227,     0,   837,   662,   663,   228,   664,
     229,   838,   665,   666,   667,   668,   669,   670,   671,     0,
     840,   672,   673,   674,   675,   676,   841,   842,   677,   678,
     679,   680,   681,     0,   236,   844,   682,   237,   683,   684,
     685,   686,   845,   846,   687,   847,   848,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,     0,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
     430,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,  1202,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,   430,     0,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,   524,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,  2583,   457,   458,   459,   460,   143,     0,
       0,  2659,   461,   462,   463,   464,     0,   465,   466,   726,
    2584,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,  2660,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,  2586,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,  2661,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,  2587,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,  2588,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
    2583,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,  2584,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,  2660,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,  2586,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,  3583,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,  2587,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,  2588,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,  1097,   437,   438,  1049,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,  1050,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,  1098,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,   524,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,  1051,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,  1052,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,  1049,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,  1050,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,  3309,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,  1051,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,  1052,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,   524,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,  2583,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,  2584,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,  2660,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
    2586,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,   524,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,  2587,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,  2588,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,   430,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,   724,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,   727,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
     729,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,   524,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,  1049,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,  1050,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,   524,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,  1051,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
    1052,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,   957,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
     430,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,   958,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   959,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,  2255,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,  2256,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,  2257,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,  2258,   515,
       0,     0,     0,  2259,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,   524,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
    2260,  2261,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,  2262,
     626,   627,   733,   628,     0,  2263,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,  2264,   655,     0,
    2265,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,  2266,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,  1050,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,   524,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,  1051,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,  1052,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,  2244,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,   430,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,  3168,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,  3169,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,  2523,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,  3170,   655,     0,   656,  3171,   658,  3172,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,  3173,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,   751,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,   524,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,   430,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,   729,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,   430,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,   905,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,   524,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    1290,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,  1291,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,  1132,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,   430,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,  1405,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,   524,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,   129,   130,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,   524,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,  3396,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
     524,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,  3397,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,  3409,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,   524,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
    3410,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,   430,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,   524,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,   430,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     963,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,   430,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,   524,     0,
    1011,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,   430,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,  1067,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,   524,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,  1132,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    1254,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,  1255,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,  1705,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,   524,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,  1889,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,  1132,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,  1941,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
    1942,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,  2111,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,   524,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,  2244,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,   524,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,  2523,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,  4439,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,  4453,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,   524,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,   524,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,  1079,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
    1081,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,  1082,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,   524,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,  1083,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,  1084,   227,
       0,     0,  1085,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,  1086,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,  1126,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,  1082,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,   524,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,  1127,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,  1128,   227,     0,     0,  1129,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,  1086,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,   524,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
    1146,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
    1278,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,  1285,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,  1300,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,  1362,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,  1377,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,  1419,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,  1477,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,  1481,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,  1483,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,  1485,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
    1489,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,  1497,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,  1716,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,  1111,   455,
    1082,   139,  1717,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,     0,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,   524,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,  1115,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,  1116,
     620,   621,   213,   622,   623,   624,  1117,   626,   627,   733,
     628,     0,   629,   630,   631,   632,  1709,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,  1119,   227,     0,     0,  1120,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,  1086,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,  1121,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,  1843,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,  1081,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,  1082,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,     0,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,   524,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,  1086,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,  2067,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,  2097,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,  2099,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,  2171,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,  2173,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
    2175,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,   524,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,  2292,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,  2490,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,   454,   455,
     725,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,   726,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,   524,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,   564,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,   619,
     620,   621,   213,   622,   623,   624,   625,   626,   627,   733,
     628,     0,   629,   630,   631,   632,   633,     0,     0,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,   226,   227,     0,     0,   662,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,   734,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,   693,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,   725,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,   726,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,  2881,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,   734,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,   725,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,   726,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,  2885,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,   564,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,   733,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   734,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,   725,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
     726,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,  2925,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,   564,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
     733,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,   734,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,   454,   455,   725,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,   726,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,  3320,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,   564,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,   619,   620,   621,
     213,   622,   623,   624,   625,   626,   627,   733,   628,     0,
     629,   630,   631,   632,   633,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,   226,   227,     0,     0,   662,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,   734,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,   693,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,  3386,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,   711,    90,    91,    92,   712,     0,
     713,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   714,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,     0,   115,     0,     0,   715,
     716,     0,     0,     0,   717,   718,     0,     0,     0,     0,
     719,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,   721,     0,   722,   723,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,     0,   446,   447,   448,   134,   135,     0,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,   725,   139,   456,     0,   457,   458,   459,   460,
     143,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     466,   726,     0,   467,   468,   469,   470,   471,   472,     0,
       0,   473,   474,     0,     0,     0,     0,     0,     0,     0,
       0,   476,   477,   478,   479,   728,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,     0,
       0,     0,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,   730,   523,  3399,     0,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,     0,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,     0,     0,   540,     0,   541,   542,   543,
     544,   545,     0,     0,   546,   182,     0,   547,     0,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   731,   560,   561,   732,   562,   563,
     564,   189,     0,   191,   565,   566,   192,     0,   567,   568,
       0,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
       0,   579,     0,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
       0,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,   733,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,     0,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,     0,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,   734,   236,     0,   682,
       0,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   735,   694,   695,    86,    87,
      88,   711,    90,    91,    92,   712,     0,   713,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     714,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,     0,   115,     0,     0,   715,   716,     0,     0,
       0,   717,   718,     0,     0,     0,     0,   719,     0,     0,
       0,     0,     0,     0,     0,     0,   720,     0,   721,     0,
     722,   723,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
       0,   446,   447,   448,   134,   135,     0,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,   725,
     139,   456,     0,   457,   458,   459,   460,   143,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   466,   726,     0,
     467,   468,   469,   470,   471,   472,     0,     0,   473,   474,
       0,     0,     0,     0,     0,     0,     0,     0,   476,   477,
     478,   479,   728,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,     0,     0,     0,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,   730,   523,  3401,     0,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,     0,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
       0,     0,   540,     0,   541,   542,   543,   544,   545,     0,
       0,   546,   182,     0,   547,     0,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   731,   560,   561,   732,   562,   563,   564,   189,     0,
     191,   565,   566,   192,     0,   567,   568,     0,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,     0,   579,     0,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,     0,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,   733,   628,
       0,   629,   630,   631,   632,   633,     0,   635,   636,   218,
     637,   638,     0,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,     0,   656,   657,   658,   659,
     660,     0,   226,   227,     0,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,   734,   236,     0,   682,     0,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   735,   694,   695,    86,    87,    88,   711,    90,
      91,    92,   712,     0,   713,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   714,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,     0,
     115,     0,     0,   715,   716,     0,     0,     0,   717,   718,
       0,     0,     0,     0,   719,     0,     0,     0,     0,     0,
       0,     0,     0,   720,     0,   721,     0,   722,   723,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   431,   432,   433,   434,   435,   436,   437,
     438,     0,   439,   440,   441,     0,     0,     0,     0,     0,
       0,     0,   442,   443,     0,   444,   445,     0,   446,   447,
     448,   134,   135,     0,   137,   138,     0,   449,   450,   451,
     452,   453,     0,     0,   454,   455,   725,   139,   456,     0,
     457,   458,   459,   460,   143,     0,     0,     0,   461,   462,
     463,   464,     0,   465,   466,   726,     0,   467,   468,   469,
     470,   471,   472,     0,     0,   473,   474,     0,     0,     0,
       0,     0,     0,     0,     0,   476,   477,   478,   479,   728,
     480,   154,   155,   481,     0,   482,     0,   483,   484,   485,
     486,   487,   488,     0,   489,   490,   491,     0,     0,   492,
     493,   494,   495,   496,     0,   497,   498,   499,     0,   500,
     501,   502,     0,   503,   504,   505,   506,   163,   507,   508,
     509,   165,     0,   510,     0,   511,   512,   167,   513,     0,
     514,     0,   515,     0,     0,     0,   516,   517,   518,     0,
     519,   171,     0,   172,   520,     0,   521,   522,   730,   523,
    3516,     0,   525,   526,   527,   528,     0,   529,   530,   531,
     532,   533,   534,     0,   535,     0,   176,     0,   536,   537,
     538,     0,   177,     0,   178,     0,   539,     0,     0,   540,
       0,   541,   542,   543,   544,   545,     0,     0,   546,   182,
       0,   547,     0,     0,   548,   549,   550,     0,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   731,   560,
     561,   732,   562,   563,   564,   189,     0,   191,   565,   566,
     192,     0,   567,   568,     0,   569,     0,   195,   570,   196,
     571,   572,   573,     0,   574,     0,     0,   575,   576,   577,
       0,     0,   578,   197,     0,   579,     0,   200,   580,   581,
     582,   583,   584,   585,   586,   587,     0,   588,   589,   201,
     590,   202,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   204,   602,   603,   604,   605,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,     0,   617,   618,     0,   619,   620,   621,   213,   622,
     623,   624,   625,   626,   627,   733,   628,     0,   629,   630,
     631,   632,   633,     0,   635,   636,   218,   637,   638,     0,
     639,   640,   221,   641,     0,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   223,     0,   653,   654,
       0,   655,     0,   656,   657,   658,   659,   660,     0,   226,
     227,     0,     0,   662,   663,   228,   664,   229,     0,   665,
     666,   667,   668,   669,   670,   671,     0,     0,   672,   673,
     674,   675,   676,     0,     0,   677,   678,   679,   680,   681,
     734,   236,     0,   682,     0,   683,   684,   685,   686,     0,
       0,   687,     0,     0,   688,   689,   690,   691,   692,   693,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   735,
     694,   695,    86,    87,    88,   711,    90,    91,    92,   712,
       0,   713,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   714,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,     0,   115,     0,     0,
     715,   716,     0,     0,     0,   717,   718,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,     0,
     720,     0,   721,     0,   722,   723,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,     0,   446,   447,   448,   134,   135,
       0,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,   725,   139,   456,     0,   457,   458,   459,
     460,   143,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   466,   726,     0,   467,   468,   469,   470,   471,   472,
       0,     0,   473,   474,     0,     0,     0,     0,     0,     0,
       0,     0,   476,   477,   478,   479,   728,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,  3538,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,     0,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
       0,     0,     0,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,   730,   523,   524,     0,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,     0,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,     0,     0,   540,     0,   541,   542,
     543,   544,   545,     0,     0,   546,   182,     0,   547,     0,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   731,   560,   561,   732,   562,
     563,   564,   189,     0,   191,   565,   566,   192,     0,   567,
     568,     0,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,     0,     0,   575,   576,   577,     0,     0,   578,
     197,     0,   579,     0,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,     0,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,   733,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,     0,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,     0,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,     0,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,   734,   236,     0,
     682,     0,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   735,   694,   695,    86,
      87,    88,   711,    90,    91,    92,   712,     0,   713,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   714,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,     0,   115,     0,     0,   715,   716,     0,
       0,     0,   717,   718,     0,     0,     0,     0,   719,     0,
       0,     0,     0,     0,     0,     0,     0,   720,     0,   721,
       0,   722,   723,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   431,   432,   433,
     434,   435,   436,   437,   438,     0,   439,   440,   441,     0,
       0,     0,     0,     0,     0,     0,   442,   443,     0,   444,
     445,     0,   446,   447,   448,   134,   135,     0,   137,   138,
       0,   449,   450,   451,   452,   453,     0,     0,  1111,   455,
    1082,   139,   456,     0,   457,   458,   459,   460,   143,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   466,     0,
       0,   467,   468,   469,   470,   471,   472,     0,     0,   473,
     474,     0,     0,     0,     0,     0,     0,     0,     0,   476,
     477,   478,   479,   728,   480,   154,   155,   481,     0,   482,
       0,   483,   484,   485,   486,   487,   488,     0,   489,   490,
     491,     0,     0,   492,   493,   494,   495,   496,     0,   497,
     498,   499,     0,   500,   501,   502,     0,   503,   504,   505,
     506,   163,   507,   508,   509,   165,     0,   510,     0,   511,
     512,   167,   513,     0,   514,     0,   515,     0,     0,     0,
     516,   517,   518,     0,   519,   171,     0,   172,   520,     0,
     521,   522,   730,   523,   524,     0,   525,   526,   527,   528,
       0,   529,   530,   531,   532,   533,   534,     0,   535,     0,
     176,     0,   536,   537,   538,     0,   177,     0,   178,     0,
     539,     0,     0,   540,     0,   541,   542,   543,   544,   545,
       0,     0,   546,   182,     0,   547,     0,     0,   548,   549,
     550,     0,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   731,   560,   561,   732,   562,   563,  1115,   189,
       0,   191,   565,   566,   192,     0,   567,   568,     0,   569,
       0,   195,   570,   196,   571,   572,   573,     0,   574,     0,
       0,   575,   576,   577,     0,     0,   578,   197,     0,   579,
       0,   200,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   588,   589,   201,   590,   202,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   204,   602,
     603,   604,   605,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,     0,   617,   618,     0,  1116,
     620,   621,   213,   622,   623,   624,  1117,   626,   627,   733,
     628,     0,   629,   630,   631,   632,  1709,     0,   635,   636,
     218,   637,   638,     0,   639,   640,   221,   641,     0,   642,
     643,   644,   645,   646,   647,   648,   649,   650,   651,   652,
     223,     0,   653,   654,     0,   655,     0,   656,   657,   658,
     659,   660,     0,  1119,   227,     0,     0,  1120,   663,   228,
     664,   229,     0,   665,   666,   667,   668,   669,   670,   671,
       0,     0,   672,   673,   674,   675,   676,     0,     0,   677,
     678,   679,   680,   681,  1086,   236,     0,   682,     0,   683,
     684,   685,   686,     0,     0,   687,     0,     0,   688,   689,
     690,   691,   692,  1121,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   735,   694,   695,    86,    87,    88,   711,
      90,    91,    92,   712,     0,   713,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   714,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
       0,   115,     0,     0,   715,   716,     0,     0,     0,   717,
     718,     0,     0,     0,     0,   719,     0,     0,     0,     0,
       0,     0,     0,     0,   720,     0,   721,     0,   722,   723,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,     0,   446,
     447,   448,   134,   135,     0,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,  1082,   139,   456,
       0,   457,   458,   459,   460,   143,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   466,     0,     0,   467,   468,
     469,   470,   471,   472,     0,     0,   473,   474,     0,     0,
       0,     0,     0,     0,     0,     0,   476,   477,   478,   479,
     728,   480,   154,   155,   481,     0,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,     0,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,     0,     0,     0,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,   730,
     523,   524,     0,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,     0,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,     0,     0,
     540,     0,   541,   542,   543,   544,   545,     0,     0,   546,
     182,     0,   547,     0,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   731,
     560,   561,   732,   562,   563,   564,   189,     0,   191,   565,
     566,   192,     0,   567,   568,     0,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,     0,     0,   575,   576,
     577,     0,     0,   578,   197,     0,   579,     0,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,     0,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,   733,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
       0,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,     0,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,     0,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,  1086,   236,     0,   682,     0,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     735,   694,   695,    86,    87,    88,   711,    90,    91,    92,
     712,     0,   713,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   714,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,     0,   115,     0,
       0,   715,   716,     0,     0,     0,   717,   718,     0,     0,
       0,     0,   719,     0,     0,     0,     0,     0,     0,     0,
       0,   720,     0,   721,     0,   722,   723,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,     0,   446,   447,   448,   134,
     135,     0,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,  1111,   455,  1082,   139,   456,     0,   457,   458,
     459,   460,   143,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   466,     0,     0,   467,   468,   469,   470,   471,
     472,     0,     0,   473,   474,     0,     0,     0,     0,     0,
       0,     0,     0,   476,   477,   478,   479,   728,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,     0,     0,     0,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,   730,   523,   524,     0,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,     0,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,     0,     0,   540,     0,   541,
     542,   543,   544,   545,     0,     0,   546,   182,     0,   547,
       0,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   731,   560,   561,   732,
     562,   563,  1115,   189,     0,   191,   565,   566,   192,     0,
     567,   568,     0,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,     0,   579,     0,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,     0,  1116,   620,   621,   213,   622,   623,   624,
    1117,   626,   627,   733,   628,     0,   629,   630,   631,   632,
    1709,     0,   635,   636,   218,   637,   638,     0,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
       0,  2570,   657,   658,   659,   660,     0,  1119,   227,     0,
       0,  1120,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,  1086,   236,
       0,   682,     0,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,  1121,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   735,   694,   695,
      86,    87,    88,   711,    90,    91,    92,   712,     0,   713,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   714,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,     0,   115,     0,     0,   715,   716,
       0,     0,     0,   717,   718,     0,     0,     0,     0,   719,
       0,     0,     0,     0,     0,     0,     0,     0,   720,     0,
     721,     0,   722,   723,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,     0,   446,   447,   448,   134,   135,     0,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,  1111,
     455,  1082,   139,   456,     0,   457,   458,   459,   460,   143,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,     0,     0,
     473,   474,     0,     0,     0,     0,     0,     0,     0,     0,
     476,   477,   478,   479,   728,   480,   154,   155,   481,     0,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,     0,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,     0,     0,
       0,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,   730,   523,   524,     0,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
       0,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,     0,     0,   540,     0,   541,   542,   543,   544,
     545,     0,     0,   546,   182,     0,   547,     0,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   731,   560,   561,   732,   562,   563,  1115,
     189,     0,   191,   565,   566,   192,     0,   567,   568,     0,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
       0,     0,   575,   576,   577,     0,     0,   578,   197,     0,
     579,     0,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,     0,
    1116,   620,   621,   213,   622,   623,   624,  2644,   626,   627,
     733,   628,     0,   629,   630,   631,   632,  2645,     0,   635,
     636,   218,   637,   638,     0,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,     0,   656,   657,
     658,   659,   660,     0,  1119,   227,     0,     0,  2646,   663,
     228,   664,   229,     0,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,  1086,   236,     0,   682,     0,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,  1121,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   735,   694,   695,    86,    87,    88,
     711,    90,    91,    92,   712,     0,   713,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   714,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,     0,   115,     0,     0,   715,   716,     0,     0,     0,
     717,   718,     0,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,   720,     0,   721,     0,   722,
     723,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   431,   432,   433,   434,   435,
     436,   437,   438,     0,   439,   440,   441,     0,     0,     0,
       0,     0,     0,     0,   442,   443,     0,   444,   445,     0,
     446,   447,   448,   134,   135,     0,   137,   138,     0,   449,
     450,   451,   452,   453,     0,     0,  1111,   455,  1082,   139,
     456,     0,   457,   458,   459,   460,   143,     0,     0,     0,
     461,   462,   463,   464,     0,   465,   466,     0,     0,   467,
     468,   469,   470,   471,   472,     0,     0,   473,   474,     0,
       0,     0,     0,     0,     0,     0,     0,   476,   477,   478,
     479,   728,   480,   154,   155,   481,     0,   482,     0,   483,
     484,   485,   486,   487,   488,     0,   489,   490,   491,     0,
       0,   492,   493,   494,   495,   496,     0,   497,   498,   499,
       0,   500,   501,   502,     0,   503,   504,   505,   506,   163,
     507,   508,   509,   165,     0,   510,     0,   511,   512,   167,
     513,     0,   514,     0,   515,     0,     0,     0,   516,   517,
     518,     0,   519,   171,     0,   172,   520,     0,   521,   522,
     730,   523,   524,     0,   525,   526,   527,   528,     0,   529,
     530,   531,   532,   533,   534,     0,   535,     0,   176,     0,
     536,   537,   538,     0,   177,     0,   178,     0,   539,     0,
       0,   540,     0,   541,   542,   543,   544,   545,     0,     0,
     546,   182,     0,   547,     0,     0,   548,   549,   550,     0,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     731,   560,   561,   732,   562,   563,  1115,   189,     0,   191,
     565,   566,   192,     0,   567,   568,     0,   569,     0,   195,
     570,   196,   571,   572,   573,     0,   574,     0,     0,   575,
     576,   577,     0,     0,   578,   197,     0,   579,     0,   200,
     580,   581,   582,   583,   584,   585,   586,   587,     0,   588,
     589,   201,   590,   202,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   204,   602,   603,   604,
     605,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,     0,   617,   618,     0,  1116,   620,   621,
     213,   622,   623,   624,  1117,   626,   627,   733,   628,     0,
     629,   630,   631,   632,  2645,     0,   635,   636,   218,   637,
     638,     0,   639,   640,   221,   641,     0,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   223,     0,
     653,   654,     0,   655,     0,   656,   657,   658,   659,   660,
       0,  1119,   227,     0,     0,  2646,   663,   228,   664,   229,
       0,   665,   666,   667,   668,   669,   670,   671,     0,     0,
     672,   673,   674,   675,   676,     0,     0,   677,   678,   679,
     680,   681,  1086,   236,     0,   682,     0,   683,   684,   685,
     686,     0,     0,   687,     0,     0,   688,   689,   690,   691,
     692,  1121,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   735,   694,   695,    86,    87,    88,   711,    90,    91,
      92,   712,     0,   713,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   714,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,     0,   115,
       0,     0,   715,   716,     0,     0,     0,   717,   718,     0,
       0,     0,     0,   719,     0,     0,     0,     0,     0,     0,
       0,     0,   720,     0,   721,     0,   722,   723,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,     0,   446,   447,   448,
     134,   135,     0,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,   725,   139,   456,     0,   457,
     458,   459,   460,   143,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   466,   726,     0,   467,   468,   469,   470,
     471,   472,     0,     0,   473,   474,     0,     0,     0,     0,
       0,     0,     0,     0,   476,   477,   478,   479,   728,   480,
     154,   155,   481,     0,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,     0,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,     0,     0,     0,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,   730,   523,   524,
       0,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,     0,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,     0,     0,   540,     0,
     541,   542,   543,   544,   545,     0,     0,   546,   182,     0,
     547,     0,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   731,   560,   561,
     732,   562,   563,   564,   189,     0,   191,   565,   566,   192,
       0,   567,   568,     0,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,     0,     0,   575,   576,   577,     0,
       0,   578,   197,     0,   579,     0,   200,   580,   581,   582,
     583,   584,     0,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,     0,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,     0,   619,   620,   621,   213,     0,   623,
     624,   625,   626,   627,   733,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,     0,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,     0,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,     0,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,   734,
     236,     0,   682,     0,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   735,   694,
     695,    86,    87,    88,     0,    90,    91,    92,     0,     0,
       0,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,     0,     0,     0,   107,   108,   109,   110,
       0,   111,   112,   113,   114, -2579,   115,   116,   117,     0,
       0,     0,     0,     0,   120,   121,     0,     0,     0,     0,
     122,     0,     0,     0,     0,     0,     0,     0,     0,   123,
       0,   124,     0,   125,   126,    35,     0,   425,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   132,     0,     0,     0,   134,   135,   136,
     137,   138,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   139,     0,     0,     0,     0,     0,     0,
     143,     0,   144,     0,     0,     0,     0,     0,   147,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     150,     0,     0,     0,     0,     0,     0,   151,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   154,   155,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   161,     0,     0,     0,     0,
       0,     0,     0,   163,     0,     0,     0,   165,     0,     0,
       0,     0,     0,   167,     0,     0,     0,     0,     0,   168,
       0,   169,     0,     0,     0,     0,     0,   171,     0,   172,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   175,   176,     0,     0,     0,     0,     0,   177,     0,
     178,     0,     0,   179,   180,     0,   181,     0,     0,     0,
       0,     0,     0,     0,     0,   182,   183,     0,   184,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   189,   190,   191,     0,     0,   192,     0,     0,     0,
     194,     0,     0,   195,     0,   196,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   197,
     198,     0,   199,   200,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   201,     0,   202,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     204,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,     0,     0,     0,   213,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   218,     0,     0,   220,     0,     0,   221,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,     0,     0,     0,     0,     0,   225,     0,
       0,     0,     0,     0,     0,   226,   227,     0,     0,     0,
       0,   228,     0,   229,     0,     0,     0,     0,     0,     0,
       0,     0,   232,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   236,     0,     0,
     237,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    86,    87,    88,     0,    90,
      91,    92,     0,     0,     0,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,     0,     0,     0,
     107,   108,   109,   110,     0,   111,   112,   113,   114, -2580,
     115,   116,   117,     0,     0,     0,     0,     0,   120,   121,
       0,     0,     0,     0,   122,     0,     0,     0,     0,     0,
       0,     0,     0,   123,     0,   124,     0,   125,   126,    35,
       0,  1197,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   132,     0,     0,
       0,   134,   135,   136,   137,   138,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   139,     0,     0,
       0,     0,     0,     0,   143,     0,   144,     0,     0,     0,
       0,     0,   147,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   150,     0,     0,     0,     0,     0,
       0,   151,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   154,   155,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   161,
       0,     0,     0,     0,     0,     0,     0,   163,     0,     0,
       0,   165,     0,     0,     0,     0,     0,   167,     0,     0,
       0,     0,     0,   168,     0,   169,     0,     0,     0,     0,
       0,   171,     0,   172,     0,     0,     0,     0,     0,     0,
       0,   173,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   175,   176,     0,     0,     0,
       0,     0,   177,     0,   178,     0,     0,   179,   180,     0,
     181,     0,     0,     0,     0,     0,     0,     0,     0,   182,
     183,     0,   184,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   189,   190,   191,     0,     0,
     192,     0,     0,     0,   194,     0,     0,   195,     0,   196,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   197,   198,     0,   199,   200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   201,
       0,   202,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   204,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,     0,     0,     0,   213,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   218,     0,     0,   220,
       0,     0,   221,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,     0,     0,     0,
       0,     0,   225,     0,     0,     0,     0,     0,     0,   226,
     227,     0,     0,     0,     0,   228,     0,   229,     0,     0,
       0,     0,     0,     0,     0,     0,   232,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   236,     0,     0,   237,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    86,
      87,    88,     0,    90,    91,    92,     0,     0,     0,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,     0,     0,     0,   107,   108,   109,   110,     0,   111,
     112,   113,   114,     0,   115,   116,   117,     0,     0,     0,
       0,     0,   120,   121,     0,     0,     0,     0,   122,     0,
       0,     0,     0,     0,     0,     0,     0,   123,     0,   124,
       0,   125,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   132,     0,     0,     0,   134,   135,   136,   137,   138,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   139,     0,     0,     0,     0,     0,     0,   143,     0,
     144,     0,     0,     0,     0,     0,   147,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   150,     0,
       0,     0,     0,     0,     0,   151,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   154,   155,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   161,     0,     0,     0,     0,     0,     0,
       0,   163,     0,     0,     0,   165,     0,     0,     0,     0,
       0,   167,     0,     0,     0,     0,     0,   168,     0,   169,
       0,     0,     0,     0,     0,   171,     0,   172,     0,     0,
       0,     0,     0,     0,     0,   173,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   175,
     176,     0,     0,     0,     0,     0,   177,     0,   178,     0,
       0,   179,   180,     0,   181,     0,     0,     0,     0,     0,
       0,     0,     0,   182,   183,     0,   184,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   189,
     190,   191,     0,     0,   192,     0,     0,     0,   194,     0,
       0,   195,     0,   196,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   197,   198,     0,
     199,   200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   201,     0,   202,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   204,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,     0,
       0,     0,   213,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     218,     0,     0,   220,     0,     0,   221,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,     0,     0,     0,     0,     0,   225,     0,     0,     0,
       0,     0,     0,   226,   227,     0,     0,     0,     0,   228,
       0,   229,     0,     0,     0,     0,     0,     0,     0,     0,
     232,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   236,     0,     0,   237,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    86,    87,    88,     0,    90,    91,    92,
       0,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,     0,     0,     0,   107,   108,
     109,   110,     0,   111,   112,   113,   114,     0,   115,   116,
     117,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   132,     0,     0,     0,   134,
     135,   136,   137,   138,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   139,     0,     0,     0,     0,
       0,     0,   143,     0,   144,     0,     0,     0,     0,     0,
     147,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   150,     0,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   154,
     155,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   161,     0,     0,
       0,     0,     0,     0,     0,   163,     0,     0,     0,   165,
       0,     0,     0,     0,     0,   167,     0,     0,     0,     0,
       0,   168,     0,   169,     0,     0,     0,     0,     0,   171,
       0,   172,     0,     0,     0,     0,     0,     0,     0,   173,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   175,   176,     0,     0,     0,     0,     0,
     177,     0,   178,     0,     0,   179,   180,     0,   181,     0,
       0,     0,     0,     0,     0,     0,     0,   182,   183,     0,
     184,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   189,   190,   191,     0,     0,   192,     0,
       0,     0,   194,     0,     0,   195,     0,   196,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   197,   198,     0,   199,   200,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   201,     0,   202,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,     0,     0,     0,   213,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   218,     0,     0,   220,     0,     0,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,     0,     0,     0,     0,     0,
     225,     0,     0,     0,     0,     0,     0,   226,   227,     0,
       0,     0,     0,   228,     0,   229,     0,     0,     0,     0,
       0,     0,     0,     0,   232,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
       0,     0,   237,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    35,   430,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   132,   446,   447,   448,   134,
     135,   136,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,     0,   139,   456,     0,   457,   458,
     459,   460,   143,     0,   144,     0,   461,   462,   463,   464,
     147,   465,   466,     0,     0,   467,   468,   469,   470,   471,
     472,     0,   150,   473,   474,     0,     0,     0,     0,   151,
       0,     0,     0,   476,   477,   478,   479,     0,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
    2220,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,   168,     0,   169,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,     0,   523,   524,   173,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,   175,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,   179,   180,   540,   181,   541,
     542,   543,   544,   545,     0,     0,   546,   182,   183,   547,
     184,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,     0,   560,   561,     0,
     562,   563,   564,   189,   190,   191,   565,   566,   192,     0,
     567,   568,   194,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,  2221,     0,   575,   576,   577,     0,     0,
     578,   197,   198,   579,   199,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   211,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,     0,   628,     0,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,   220,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,     0,   655,
     225,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,  2222,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,     0,   236,
       0,   682,   237,   683,   684,   685,   686,     0,     0,   687,
       0,     0,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    35,   694,   695,
       0,     0,     0,     0,     0,    41,    42,  1040,  1801,  5333,
       0,     0,     0,     0,     0,     0,  5334,     0,     0,     0,
       0,   431,   432,   433,   434,   435,   436,   437,   438,     0,
     439,   440,   441,   129,   130,     0,     0,     0,     0,     0,
     442,   443,     0,   444,   445,   132,   446,   447,   448,   134,
     135,   136,   137,   138,     0,   449,   450,   451,   452,   453,
       0,     0,   454,   455,     0,   139,   456,     0,   457,   458,
     459,   460,   143,     0,   144,     0,   461,   462,   463,   464,
     147,   465,   466,     0,     0,   467,   468,   469,   470,   471,
     472,     0,   150,   473,   474,     0,     0,     0,     0,   151,
       0,     0,     0,   476,   477,   478,   479,     0,   480,   154,
     155,   481,     0,   482,     0,   483,   484,   485,   486,   487,
     488,     0,   489,   490,   491,     0,     0,   492,   493,   494,
     495,   496,     0,   497,   498,   499,     0,   500,   501,   502,
       0,   503,   504,   505,   506,   163,   507,   508,   509,   165,
       0,   510,     0,   511,   512,   167,   513,     0,   514,     0,
     515,   168,     0,   169,   516,   517,   518,     0,   519,   171,
       0,   172,   520,     0,   521,   522,     0,   523,   524,   173,
     525,   526,   527,   528,     0,   529,   530,   531,   532,   533,
     534,     0,   535,   175,   176,     0,   536,   537,   538,     0,
     177,     0,   178,     0,   539,   179,   180,   540,   181,   541,
     542,   543,   544,   545,     0,     0,   546,   182,   183,   547,
     184,     0,   548,   549,   550,     0,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,     0,   560,   561,     0,
     562,   563,   564,   189,   190,   191,   565,   566,   192,     0,
     567,   568,   194,   569,     0,   195,   570,   196,   571,   572,
     573,     0,   574,     0,     0,   575,   576,   577,     0,     0,
     578,   197,   198,   579,   199,   200,   580,   581,   582,   583,
     584,   585,   586,   587,     0,   588,   589,   201,   590,   202,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   204,   602,   603,   604,   605,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
     617,   618,   211,   619,   620,   621,   213,   622,   623,   624,
     625,   626,   627,     0,   628,   216,   629,   630,   631,   632,
     633,     0,   635,   636,   218,   637,   638,   220,   639,   640,
     221,   641,     0,   642,   643,   644,   645,   646,   647,   648,
     649,   650,   651,   652,   223,     0,   653,   654,   224,   655,
     225,   656,   657,   658,   659,   660,     0,   226,   227,     0,
       0,   662,   663,   228,   664,   229,     0,   665,   666,   667,
     668,   669,   670,   671,     0,     0,   672,   673,   674,   675,
     676,     0,     0,   677,   678,   679,   680,   681,   235,   236,
       0,   682,   237,   683,   684,   685,   686,     0,     0,   687,
       0,   238,   688,   689,   690,   691,   692,   693,   239,   240,
     241,   242,   243,   244,   245,   246,   247,     0,   694,   695,
      35,   430,   248,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,   249,     0,     0,     0,
       0,     0,     0,     0,   431,   432,   433,   434,   435,   436,
     437,   438,     0,   439,   440,   441,     0,     0,     0,     0,
       0,     0,     0,   442,   443,     0,   444,   445,   132,   446,
     447,   448,   134,   135,   136,   137,   138,     0,   449,   450,
     451,   452,   453,     0,     0,   454,   455,     0,   139,   456,
       0,   457,   458,   459,   460,   143,     0,   144,     0,   461,
     462,   463,   464,   147,   465,   466,     0,     0,   467,   468,
     469,   470,   471,   472,     0,   150,   473,   474,     0,     0,
       0,     0,   151,     0,     0,     0,   476,   477,   478,   479,
       0,   480,   154,   155,   481,  2423,   482,     0,   483,   484,
     485,   486,   487,   488,     0,   489,   490,   491,     0,     0,
     492,   493,   494,   495,   496,     0,   497,   498,   499,     0,
     500,   501,   502,     0,   503,   504,   505,   506,   163,   507,
     508,   509,   165,  2220,   510,     0,   511,   512,   167,   513,
       0,   514,     0,   515,   168,     0,   169,   516,   517,   518,
       0,   519,   171,     0,   172,   520,     0,   521,   522,     0,
     523,   524,   173,   525,   526,   527,   528,     0,   529,   530,
     531,   532,   533,   534,     0,   535,   175,   176,     0,   536,
     537,   538,     0,   177,     0,   178,     0,   539,   179,   180,
     540,   181,   541,   542,   543,   544,   545,     0,     0,   546,
     182,   183,   547,   184,     0,   548,   549,   550,     0,     0,
     551,   552,   553,   554,   555,   556,   557,   558,   559,     0,
     560,   561,     0,   562,   563,   564,   189,   190,   191,   565,
     566,   192,     0,   567,   568,   194,   569,     0,   195,   570,
     196,   571,   572,   573,     0,   574,  2221,     0,   575,   576,
     577,     0,     0,   578,   197,   198,   579,   199,   200,   580,
     581,   582,   583,   584,   585,   586,   587,     0,   588,   589,
     201,   590,   202,   591,   592,   593,     0,   594,   595,   596,
     597,   598,   599,   600,   601,   204,   602,   603,   604,   605,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,     0,   617,   618,   211,   619,   620,   621,   213,
     622,   623,   624,   625,   626,   627,     0,   628,     0,   629,
     630,   631,   632,   633,     0,   635,   636,   218,   637,   638,
     220,   639,   640,   221,   641,     0,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   223,     0,   653,
     654,     0,   655,   225,   656,   657,   658,   659,   660,     0,
     226,   227,     0,     0,   662,   663,   228,   664,   229,  2222,
     665,   666,   667,   668,   669,   670,   671,     0,     0,   672,
     673,   674,   675,   676,     0,     0,   677,   678,   679,   680,
     681,     0,   236,     0,   682,   237,   683,   684,   685,   686,
       0,     0,   687,     0,     0,   688,   689,   690,   691,   692,
     693,   239,   240,   241,   242,   243,   244,   245,   246,   247,
       0,   694,   695,     0,     0,     0,     0,     0,    35,   430,
    1040,  1801,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,   431,   432,   433,   434,   435,   436,   437,   438,
       0,   439,   440,   441,     0,     0,     0,     0,     0,     0,
       0,   442,   443,     0,   444,   445,   132,   446,   447,   448,
     134,   135,   136,   137,   138,     0,   449,   450,   451,   452,
     453,     0,     0,   454,   455,     0,   139,   456,     0,   457,
     458,   459,   460,   143,     0,   144,     0,   461,   462,   463,
     464,   147,   465,   466,     0,     0,   467,   468,   469,   470,
     471,   472,     0,   150,   473,   474,     0,     0,     0,     0,
     151,     0,     0,     0,   476,   477,   478,   479,     0,   480,
     154,   155,   481,  2428,   482,     0,   483,   484,   485,   486,
     487,   488,     0,   489,   490,   491,     0,     0,   492,   493,
     494,   495,   496,     0,   497,   498,   499,     0,   500,   501,
     502,     0,   503,   504,   505,   506,   163,   507,   508,   509,
     165,  2220,   510,     0,   511,   512,   167,   513,     0,   514,
       0,   515,   168,     0,   169,   516,   517,   518,     0,   519,
     171,     0,   172,   520,     0,   521,   522,     0,   523,   524,
     173,   525,   526,   527,   528,     0,   529,   530,   531,   532,
     533,   534,     0,   535,   175,   176,     0,   536,   537,   538,
       0,   177,     0,   178,     0,   539,   179,   180,   540,   181,
     541,   542,   543,   544,   545,     0,     0,   546,   182,   183,
     547,   184,     0,   548,   549,   550,     0,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,     0,   560,   561,
       0,   562,   563,   564,   189,   190,   191,   565,   566,   192,
       0,   567,   568,   194,   569,     0,   195,   570,   196,   571,
     572,   573,     0,   574,  2221,     0,   575,   576,   577,     0,
       0,   578,   197,   198,   579,   199,   200,   580,   581,   582,
     583,   584,   585,   586,   587,     0,   588,   589,   201,   590,
     202,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   204,   602,   603,   604,   605,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
       0,   617,   618,   211,   619,   620,   621,   213,   622,   623,
     624,   625,   626,   627,     0,   628,     0,   629,   630,   631,
     632,   633,     0,   635,   636,   218,   637,   638,   220,   639,
     640,   221,   641,     0,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   223,     0,   653,   654,     0,
     655,   225,   656,   657,   658,   659,   660,     0,   226,   227,
       0,     0,   662,   663,   228,   664,   229,  2222,   665,   666,
     667,   668,   669,   670,   671,     0,     0,   672,   673,   674,
     675,   676,     0,     0,   677,   678,   679,   680,   681,     0,
     236,     0,   682,   237,   683,   684,   685,   686,     0,     0,
     687,     0,     0,   688,   689,   690,   691,   692,   693,   239,
     240,   241,   242,   243,   244,   245,   246,   247,     0,   694,
     695,     0,     0,     0,     0,     0,    35,   430,  1040,  1801,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,     0,     0,     0,     0,
     431,   432,   433,   434,   435,   436,   437,   438,     0,   439,
     440,   441,     0,     0,     0,     0,     0,     0,     0,   442,
     443,     0,   444,   445,   132,   446,   447,   448,   134,   135,
     136,   137,   138,     0,   449,   450,   451,   452,   453,     0,
       0,   454,   455,     0,   139,   456,     0,   457,   458,   459,
     460,   143,     0,   144,     0,   461,   462,   463,   464,   147,
     465,   466,     0,     0,   467,   468,   469,   470,   471,   472,
       0,   150,   473,   474,     0,     0,     0,     0,   151,     0,
       0,     0,   476,   477,   478,   479,     0,   480,   154,   155,
     481,     0,   482,     0,   483,   484,   485,   486,   487,   488,
       0,   489,   490,   491,     0,     0,   492,   493,   494,   495,
     496,     0,   497,   498,   499,     0,   500,   501,   502,     0,
     503,   504,   505,   506,   163,   507,   508,   509,   165,  2220,
     510,     0,   511,   512,   167,   513,     0,   514,     0,   515,
     168,     0,   169,   516,   517,   518,     0,   519,   171,     0,
     172,   520,     0,   521,   522,     0,   523,   524,   173,   525,
     526,   527,   528,     0,   529,   530,   531,   532,   533,   534,
       0,   535,   175,   176,     0,   536,   537,   538,     0,   177,
       0,   178,     0,   539,   179,   180,   540,   181,   541,   542,
     543,   544,   545,     0,     0,   546,   182,   183,   547,   184,
       0,   548,   549,   550,     0,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,     0,   560,   561,     0,   562,
     563,   564,   189,   190,   191,   565,   566,   192,     0,   567,
     568,   194,   569,     0,   195,   570,   196,   571,   572,   573,
       0,   574,  2221,     0,   575,   576,   577,     0,     0,   578,
     197,   198,   579,   199,   200,   580,   581,   582,   583,   584,
     585,   586,   587,     0,   588,   589,   201,   590,   202,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   204,   602,   603,   604,   605,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,     0,   617,
     618,   211,   619,   620,   621,   213,   622,   623,   624,   625,
     626,   627,     0,   628,     0,   629,   630,   631,   632,   633,
       0,   635,   636,   218,   637,   638,   220,   639,   640,   221,
     641,     0,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   223,     0,   653,   654,     0,   655,   225,
     656,   657,   658,   659,   660,     0,   226,   227,     0,     0,
     662,   663,   228,   664,   229,  2222,   665,   666,   667,   668,
     669,   670,   671,     0,     0,   672,   673,   674,   675,   676,
       0,     0,   677,   678,   679,   680,   681,     0,   236,     0,
     682,   237,   683,   684,   685,   686,     0,     0,   687,     0,
       0,   688,   689,   690,   691,   692,   693,   239,   240,   241,
     242,   243,   244,   245,   246,   247,     0,   694,   695,     0,
       0,     0,     0,     0,    35,   430,  1040,  1801,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,     0,   431,   432,
     433,   434,   435,   436,   437,   438,     0,   439,   440,   441,
       0,     0,     0,     0,     0,     0,     0,   442,   443,     0,
     444,   445,   132,   446,   447,   448,   134,   135,   136,   137,
     138,     0,   449,   450,   451,   452,   453,     0,     0,   454,
     455,     0,   139,   456,     0,   457,   458,   459,   460,   143,
       0,   144,     0,   461,   462,   463,   464,   147,   465,   466,
       0,     0,   467,   468,   469,   470,   471,   472,     0,   150,
     473,   474,     0,     0,     0,     0,   151,     0,     0,     0,
     476,   477,   478,   479,     0,   480,   154,   155,   481,  3302,
     482,     0,   483,   484,   485,   486,   487,   488,     0,   489,
     490,   491,     0,     0,   492,   493,   494,   495,   496,     0,
     497,   498,   499,     0,   500,   501,   502,     0,   503,   504,
     505,   506,   163,   507,   508,   509,   165,  2220,   510,     0,
     511,   512,   167,   513,     0,   514,     0,   515,   168,     0,
     169,   516,   517,   518,     0,   519,   171,     0,   172,   520,
       0,   521,   522,     0,   523,   524,   173,   525,   526,   527,
     528,     0,   529,   530,   531,   532,   533,   534,     0,   535,
     175,   176,     0,   536,   537,   538,     0,   177,     0,   178,
       0,   539,   179,   180,   540,   181,   541,   542,   543,   544,
     545,     0,     0,   546,   182,   183,   547,   184,     0,   548,
     549,   550,     0,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,     0,   560,   561,     0,   562,   563,   564,
     189,   190,   191,   565,   566,   192,     0,   567,   568,   194,
     569,     0,   195,   570,   196,   571,   572,   573,     0,   574,
    2221,     0,   575,   576,   577,     0,     0,   578,   197,   198,
     579,   199,   200,   580,   581,   582,   583,   584,   585,   586,
     587,     0,   588,   589,   201,   590,   202,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   204,
     602,   603,   604,   605,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,     0,   617,   618,   211,
     619,   620,   621,   213,   622,   623,   624,   625,   626,   627,
       0,   628,     0,   629,   630,   631,   632,   633,     0,   635,
     636,   218,   637,   638,   220,   639,   640,   221,   641,     0,
     642,   643,   644,   645,   646,   647,   648,   649,   650,   651,
     652,   223,     0,   653,   654,     0,   655,   225,   656,   657,
     658,   659,   660,     0,   226,   227,     0,     0,   662,   663,
     228,   664,   229,  2222,   665,   666,   667,   668,   669,   670,
     671,     0,     0,   672,   673,   674,   675,   676,     0,     0,
     677,   678,   679,   680,   681,     0,   236,     0,   682,   237,
     683,   684,   685,   686,     0,     0,   687,     0,     0,   688,
     689,   690,   691,   692,   693,   239,   240,   241,   242,   243,
     244,   245,   246,   247,     0,   694,   695,     0,     0,     0,
       0,     0,    35,   430,  1040,  1041,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   432,   433,   434,
     435,   436,   437,   438,     0,   439,   440,   441,     0,     0,
       0,     0,     0,     0,     0,   442,   443,     0,   444,   445,
     132,   446,   447,   448,   134,   135,   136,   137,   138,     0,
     449,   450,   451,   452,   453,     0,     0,   454,   455,     0,
     139,   456,     0,   457,   458,   459,   460,   143,     0,   144,
       0,   461,   462,   463,   464,   147,   465,   466,     0,     0,
     467,   468,   469,   470,   471,   472,     0,   150,   473,   474,
       0,     0,     0,     0,   151,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   154,   155,   481,     0,   482,     0,
     483,   484,   485,   486,   487,   488,     0,   489,   490,   491,
       0,     0,   492,   493,   494,   495,   496,     0,   497,   498,
     499,     0,   500,   501,   502,     0,   503,   504,   505,   506,
     163,   507,   508,   509,   165,     0,   510,     0,   511,   512,
     167,   513,     0,   514,     0,   515,   168,     0,   169,   516,
     517,   518,     0,   519,   171,     0,   172,   520,     0,   521,
     522,     0,   523,   524,   173,   525,   526,   527,   528,     0,
     529,   530,   531,   532,   533,   534,     0,   535,   175,   176,
       0,   536,   537,   538,     0,   177,     0,   178,     0,   539,
     179,   180,   540,   181,   541,   542,   543,   544,   545,     0,
       0,   546,   182,   183,   547,   184,     0,   548,   549,   550,
       0,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,     0,   560,   561,     0,   562,   563,   564,   189,   190,
     191,   565,   566,   192,     0,   567,   568,   194,   569,     0,
     195,   570,   196,   571,   572,   573,     0,   574,     0,     0,
     575,   576,   577,     0,     0,   578,   197,   198,   579,   199,
     200,   580,   581,   582,   583,   584,   585,   586,   587,     0,
     588,   589,   201,   590,   202,   591,   592,   593,     0,   594,
     595,   596,   597,   598,   599,   600,   601,   204,   602,   603,
     604,   605,     0,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,     0,   617,   618,   211,   619,   620,
     621,   213,   622,   623,   624,   625,   626,   627,     0,   628,
       0,   629,   630,   631,   632,   633,   634,   635,   636,   218,
     637,   638,   220,   639,   640,   221,   641,     0,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   223,
       0,   653,   654,     0,   655,   225,   656,   657,   658,   659,
     660,     0,   226,   227,   661,     0,   662,   663,   228,   664,
     229,     0,   665,   666,   667,   668,   669,   670,   671,     0,
       0,   672,   673,   674,   675,   676,     0,     0,   677,   678,
     679,   680,   681,     0,   236,     0,   682,   237,   683,   684,
     685,   686,     0,     0,   687,     0,     0,   688,   689,   690,
     691,   692,   693,   239,   240,   241,   242,   243,   244,   245,
     246,   247,     0,   694,   695,    35,   430,     0,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   132,   446,   447,   448,   134,   135,   136,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,     0,   139,   456,     0,   457,   458,   459,   460,
     143,     0,   144,     0,   461,   462,   463,   464,   147,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,     0,
     150,   473,   474,     0,     0,     0,     0,   151,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,   168,
       0,   169,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,     0,   523,   524,   173,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,   175,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,     0,     0,   546,   182,   183,   547,   184,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,     0,   560,   561,     0,   562,   563,
     564,   189,   190,   191,   565,   566,   192,     0,   567,   568,
     194,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
     198,   579,   199,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     211,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,     0,   628,     0,   629,   630,   631,   632,   633,   634,
     635,   636,   218,   637,   638,   220,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,   225,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,     0,   236,     0,   682,
     237,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    35,   694,   695,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   132,   446,   447,   448,   134,   135,   136,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,     0,   139,   456,     0,   457,   458,   459,   460,
     143,     0,   144,     0,   461,   462,   463,   464,   147,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,     0,
     150,   473,   474,     0,     0,     0,     0,   151,     0,     0,
       0,   476,   477,   478,   479,     0,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,  2220,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,   168,
       0,   169,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,     0,   523,   524,   173,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,   175,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,     0,     0,   546,   182,   183,   547,   184,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,     0,   560,   561,     0,   562,   563,
     564,   189,   190,   191,   565,   566,   192,     0,   567,   568,
     194,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,  2221,     0,   575,   576,   577,     0,     0,   578,   197,
     198,   579,   199,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     211,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,     0,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,   220,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,   225,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,  2222,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,     0,   236,     0,   682,
     237,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    35,   694,   695,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   132,   446,   447,   448,   134,   135,   136,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,     0,   139,   456,     0,   457,   458,   459,   460,
     143,     0,   144,     0,   461,   462,   463,   464,   147,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,     0,
     150,   473,   474,     0,     0,     0,     0,   151,     0,     0,
       0,   476,   477,   478,   479,     0,   480,   154,   155,   481,
    2408,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,   168,
       0,   169,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,     0,   523,   524,   173,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,   175,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,     0,     0,   546,   182,   183,   547,   184,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,     0,   560,   561,     0,   562,   563,
     564,   189,   190,   191,   565,   566,   192,     0,   567,   568,
     194,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
     198,   579,   199,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     211,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,     0,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,   220,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,   225,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,     0,   236,     0,   682,
     237,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    35,   694,   695,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   132,   446,   447,   448,   134,   135,   136,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,     0,   139,   456,     0,   457,   458,   459,   460,
     143,     0,   144,     0,   461,   462,   463,   464,   147,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,     0,
     150,   473,   474,     0,     0,     0,     0,   151,     0,     0,
       0,   476,   477,   478,   479,     0,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,   168,
       0,   169,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,     0,   523,   524,   173,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,   175,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,     0,     0,   546,   182,   183,   547,   184,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,     0,   560,   561,     0,   562,   563,
     564,   189,   190,   191,   565,   566,   192,     0,   567,   568,
     194,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
     198,   579,   199,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     211,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,     0,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,   220,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,   225,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,     0,   236,     0,   682,
     237,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    35,   694,   695,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   132,   446,   447,   448,   134,   135,   136,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,     0,   139,   456,     0,   457,   458,   459,   460,
     143,     0,   144,     0,   461,   462,   463,   464,   147,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,     0,
     150,   473,   474,     0,     0,     0,     0,   151,     0,     0,
       0,   476,   477,   478,   479,     0,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,   168,
       0,   169,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,     0,   523,  2200,   173,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,   175,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,     0,     0,   546,   182,   183,   547,   184,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,     0,   560,   561,     0,   562,   563,
     564,   189,   190,   191,   565,   566,   192,     0,   567,   568,
     194,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
     198,   579,   199,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     211,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,     0,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,   220,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,   225,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,     0,   236,     0,   682,
     237,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    35,   694,   695,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,  1280,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   132,   446,   447,   448,   134,   135,   136,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,     0,   139,   456,     0,   457,   458,   459,   460,
     143,     0,   144,     0,   461,   462,   463,   464,   147,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,     0,
     150,   473,   474,     0,     0,     0,     0,   151,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,   168,
       0,   169,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,     0,   523,   524,   173,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,   175,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,     0,     0,   546,   182,   183,   547,   184,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,     0,   560,   561,     0,   562,   563,
     564,   189,   190,   191,   565,   566,   192,     0,   567,   568,
     194,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
     198,   579,   199,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     211,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,     0,   628,     0,   629,   630,   631,   632,   633,   634,
     635,   636,   218,   637,   638,   220,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,   225,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,     0,   236,     0,   682,
     237,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    35,   694,   695,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   132,   446,   447,   448,   134,   135,   136,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,     0,   139,   456,     0,   457,   458,   459,   460,
     143,     0,   144,     0,   461,   462,   463,   464,   147,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,     0,
     150,   473,   474,     0,     0,     0,     0,   151,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,   168,
       0,   169,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,     0,   523,   524,   173,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,   175,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,     0,     0,   546,   182,   183,   547,   184,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,     0,   560,   561,     0,   562,   563,
     564,   189,   190,   191,   565,   566,   192,     0,   567,   568,
     194,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
     198,   579,   199,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     211,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,     0,   628,     0,   629,   630,   631,   632,   633,   634,
     635,   636,   218,   637,   638,   220,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,   225,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,  2769,
       0,   677,   678,   679,   680,   681,     0,   236,     0,   682,
     237,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    35,   694,   695,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   132,   446,   447,   448,   134,   135,   136,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,     0,   139,   456,     0,   457,   458,   459,   460,
     143,     0,   144,     0,   461,   462,   463,   464,   147,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,     0,
     150,   473,   474,     0,     0,     0,     0,   151,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,   168,
       0,   169,   516,   517,   518,     0,   519,   171,  3718,   172,
     520,     0,   521,   522,     0,   523,   524,   173,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,   175,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,     0,     0,   546,   182,   183,   547,   184,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,     0,   560,   561,     0,   562,   563,
     564,   189,   190,   191,   565,   566,   192,     0,   567,   568,
     194,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
     198,   579,   199,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     211,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,     0,   628,     0,   629,   630,   631,   632,   633,   634,
     635,   636,   218,   637,   638,   220,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,   225,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,     0,   236,     0,   682,
     237,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    35,   694,   695,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   132,   446,   447,   448,   134,   135,   136,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,     0,   139,   456,     0,   457,   458,   459,   460,
     143,     0,   144,     0,   461,   462,   463,   464,   147,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,     0,
     150,   473,   474,     0,     0,     0,     0,   151,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,   168,
       0,   169,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,     0,   523,   524,   173,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,   175,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,     0,     0,   546,   182,   183,   547,   184,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,     0,   560,   561,     0,   562,   563,
     564,   189,   190,   191,   565,   566,   192,     0,   567,   568,
     194,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
     198,   579,   199,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     211,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,     0,   628,     0,   629,   630,   631,   632,   633,   634,
     635,   636,   218,   637,   638,   220,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,   225,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,     0,   236,     0,   682,
     237,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    35,   694,   695,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   132,   446,   447,   448,   134,   135,   136,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,     0,   139,   456,     0,   457,   458,   459,   460,
     143,     0,   144,     0,   461,   462,   463,   464,   147,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,     0,
     150,   473,   474,     0,     0,     0,     0,   151,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,   168,
       0,   169,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,     0,   523,   524,   173,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,   175,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,     0,     0,   546,   182,   183,   547,   184,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,  1297,
     556,   557,   558,   559,     0,   560,   561,     0,   562,   563,
     564,   189,   190,   191,   565,   566,   192,     0,   567,   568,
     194,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
     198,   579,   199,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     211,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,     0,   628,     0,   629,   630,   631,   632,   633,   634,
     635,   636,   218,   637,   638,   220,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,   225,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,     0,   236,     0,   682,
     237,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    35,   694,   695,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   132,   446,   447,   448,   134,   135,   136,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,     0,   139,   456,     0,   457,   458,   459,   460,
     143,     0,   144,     0,   461,   462,   463,   464,   147,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,     0,
     150,   473,   474,     0,     0,     0,     0,   151,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,   168,
       0,   169,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,     0,   523,   524,   173,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,   175,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,     0,     0,   546,   182,   183,   547,   184,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,  1385,
     556,   557,   558,   559,     0,   560,   561,     0,   562,   563,
     564,   189,   190,   191,   565,   566,   192,     0,   567,   568,
     194,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
     198,   579,   199,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     211,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,     0,   628,     0,   629,   630,   631,   632,   633,   634,
     635,   636,   218,   637,   638,   220,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,   225,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,     0,   236,     0,   682,
     237,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    35,   694,   695,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   132,   446,   447,   448,   134,   135,   136,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,     0,   139,   456,     0,   457,   458,   459,   460,
     143,     0,   144,     0,   461,   462,   463,   464,   147,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,     0,
     150,   473,   474,     0,     0,     0,     0,   151,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,   168,
       0,   169,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,     0,   523,  1467,   173,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,   175,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,     0,     0,   546,   182,   183,   547,   184,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,     0,   560,   561,     0,   562,   563,
     564,   189,   190,   191,   565,   566,   192,     0,   567,   568,
     194,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
     198,   579,   199,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     211,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,     0,   628,     0,   629,   630,   631,   632,   633,   634,
     635,   636,   218,   637,   638,   220,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,   225,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,     0,   236,     0,   682,
     237,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    35,   694,   695,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   132,   446,   447,   448,   134,   135,   136,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,     0,   139,   456,     0,   457,   458,   459,   460,
     143,     0,   144,     0,   461,   462,   463,   464,   147,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,     0,
     150,   473,   474,     0,     0,     0,     0,   151,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,   168,
       0,   169,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,     0,   523,  1479,   173,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,   175,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,     0,     0,   546,   182,   183,   547,   184,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,     0,   560,   561,     0,   562,   563,
     564,   189,   190,   191,   565,   566,   192,     0,   567,   568,
     194,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
     198,   579,   199,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     211,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,     0,   628,     0,   629,   630,   631,   632,   633,   634,
     635,   636,   218,   637,   638,   220,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,   225,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,     0,   236,     0,   682,
     237,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    35,   694,   695,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,     0,     0,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   132,   446,   447,   448,   134,   135,   136,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,     0,   139,   456,     0,   457,   458,   459,   460,
     143,     0,   144,     0,   461,   462,   463,   464,   147,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,     0,
     150,   473,   474,     0,     0,     0,     0,   151,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,   168,
       0,   169,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,     0,   523,  1493,   173,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,   175,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,     0,     0,   546,   182,   183,   547,   184,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,  1494,
     556,   557,   558,   559,     0,   560,   561,     0,   562,   563,
     564,   189,   190,   191,   565,   566,   192,     0,   567,   568,
     194,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
     198,   579,   199,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     211,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,     0,   628,     0,   629,   630,   631,   632,   633,   634,
     635,   636,   218,   637,   638,   220,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,   225,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,     0,   236,     0,   682,
     237,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    35,   694,   695,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   431,
     432,   433,   434,   435,   436,   437,   438,     0,   439,   440,
     441,   129,   130,     0,     0,     0,     0,     0,   442,   443,
       0,   444,   445,   132,   446,   447,   448,   134,   135,   136,
     137,   138,     0,   449,   450,   451,   452,   453,     0,     0,
     454,   455,     0,   139,   456,     0,   457,   458,   459,   460,
     143,     0,   144,     0,   461,   462,   463,   464,   147,   465,
     466,     0,     0,   467,   468,   469,   470,   471,   472,     0,
     150,   473,   474,     0,     0,     0,     0,   151,     0,     0,
       0,   476,   477,   478,   479,     0,   480,   154,   155,   481,
       0,   482,     0,   483,   484,   485,   486,   487,   488,     0,
     489,   490,   491,     0,     0,   492,   493,   494,   495,   496,
       0,   497,   498,   499,     0,   500,   501,   502,     0,   503,
     504,   505,   506,   163,   507,   508,   509,   165,     0,   510,
       0,   511,   512,   167,   513,     0,   514,     0,   515,   168,
       0,   169,   516,   517,   518,     0,   519,   171,     0,   172,
     520,     0,   521,   522,     0,   523,   524,   173,   525,   526,
     527,   528,     0,   529,   530,   531,   532,   533,   534,     0,
     535,   175,   176,     0,   536,   537,   538,     0,   177,     0,
     178,     0,   539,   179,   180,   540,   181,   541,   542,   543,
     544,   545,     0,     0,   546,   182,   183,   547,   184,     0,
     548,   549,   550,     0,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,     0,   560,   561,     0,   562,   563,
     564,   189,   190,   191,   565,   566,   192,     0,   567,   568,
     194,   569,     0,   195,   570,   196,   571,   572,   573,     0,
     574,     0,     0,   575,   576,   577,     0,     0,   578,   197,
     198,   579,   199,   200,   580,   581,   582,   583,   584,   585,
     586,   587,     0,   588,   589,   201,   590,   202,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     204,   602,   603,   604,   605,     0,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,     0,   617,   618,
     211,   619,   620,   621,   213,   622,   623,   624,   625,   626,
     627,     0,   628,     0,   629,   630,   631,   632,   633,     0,
     635,   636,   218,   637,   638,   220,   639,   640,   221,   641,
       0,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   223,     0,   653,   654,     0,   655,   225,   656,
     657,   658,   659,   660,     0,   226,   227,     0,     0,   662,
     663,   228,   664,   229,     0,   665,   666,   667,   668,   669,
     670,   671,     0,     0,   672,   673,   674,   675,   676,     0,
       0,   677,   678,   679,   680,   681,     0,   236,     0,   682,
     237,   683,   684,   685,   686,     0,     0,   687,     0,     0,
     688,   689,   690,   691,   692,   693,   239,   240,   241,   242,
     243,   244,   245,   246,   247,     0,   694,   695
};

static const yytype_int16 yycheck[] =
{
       2,   166,   210,    78,  1466,  1191,  1519,     2,  1130,    78,
    1168,   970,    78,   393,   930,    78,   393,   249,    78,  1113,
     224,  1470,  1108,   188,   230,    78,  1050,  1051,  1052,  1163,
    1475,    84,  1056,   153,   152,   377,  1875,  2259,  1438,  1299,
    1233,   149,  1549,  1373,  1136,  1918,  1309,  1458,  2209,  1287,
    1737,    96,   970,  1912,  1384,   116,  1426,  1427,  1017,  2384,
    3027,   106,  1923,  1354,  1585,  1120,  1436,  3363,   164,  1441,
    2023,  1257,    94,   989,  2397,   757,    78,  3192,  3581,  1918,
    2549,  2550,    84,   203,   885,  2831,  2448,    89,  3608,  3650,
    1755,   159,  2708,  2094,  3928,   164,   141,  2840,   170,  1359,
     161,    78,  1974,  1363,  1511,  3415,  3390,  3417,  1368,   131,
    1456,   156,  2760,  2297,   116,  1759,  1376,  3637,  3177,  3981,
    1286,   758,   131,  3565,  1415,  1986,  1386,   379,  3570,   930,
     152,   153,  3003,  1210,  3570,  3981,   379,  3246,   210,  3177,
     162,  1210,  3181,  3179,  3180,  1016,   365,  1934,  4253,  4034,
     152,  3977,  1002,  2106,  4265,   209,   881,  1116,   992,   161,
    2145,   116,  1849,   888,  3843,   219,  4242,  3877,  4240,  1003,
    4256,   232,  4243,  2281,   899,   217,  4190,   166,  1286,  3238,
    4252,   203,  2391,   248,  1292,  4715,  4522,  3871,   989,   116,
    1795,  1796,  1797,  1301,  3112,  1904,  1853,  2198,  1116,   188,
    3238,  1424,  1425,   928,  1991,  1992,   161,   209,   933,  3674,
    1532,  3277,  1435,  1512,  3876,   217,  3944,   219,  2834,   944,
     116,  1503,  1250,  1299,  2549,  1160,  1008,  4844,  1160,  4846,
     232,  1790,  1791,  3806,   161,    10,  1205,  1206,  4339,  5023,
    4341,    30,    21,  1613,  1614,    87,    87,    87,   111,  4889,
      14,    14,  4908,  1660,   209,    71,   115,   138,    84,    71,
     124,  1631,   217,   185,   219,   161,   160,  4950,  4951,  1641,
     146,    98,   117,    85,   116,   957,   116,   232,   115,   235,
     157,    14,   865,   235,    74,    75,    76,    77,   131,   102,
    4946,    81,    74,    75,    76,    77,   109,   152,   105,    81,
      74,    75,    76,    77,   146,   232,   146,    81,    71,   276,
     385,   332,   230,    29,   342,    25,   385,  5218,  2934,   385,
    2936,    78,   385,    71,   230,   385,    78,   235,  1352,   236,
     335,   131,    84,  1519,  3252,   276,   232,    85,    71,   117,
     393,    74,    75,    76,    77,   332,    78,    80,    81,    82,
      83,   100,    85,   148,    74,    75,    76,    77,   337,   131,
     235,    81,   105,   102,   116,    74,    75,    76,    77,    89,
      90,   120,    81,   131,  5491,   428,   203,   320,   102,  1602,
    1603,    74,    75,    76,    77,   109,   103,    87,    81,   131,
    1512,   393,  2798,  2615,   102,    78,    89,    90,   349,   385,
    2806,   210,  2808,   148,  1627,     0,    78,   429,   385,   161,
     235,   148,   157,   454,  1330,   276,    74,    75,    76,    77,
     157,   112,   333,    81,    78,   336,   428,   102,  1110,   138,
     527,    89,    90,    78,   109,   235,   235,   534,    74,    75,
      76,    77,   150,    71,    78,    81,    74,    75,    76,    77,
     158,   190,    80,    81,    78,  1032,   497,    85,  1721,  1036,
    1037,  1038,    78,    37,   415,    39,   452,   178,  1661,  1046,
      74,    75,    76,    77,  5375,  5092,  5593,    81,   186,   192,
     232,   387,    14,  5013,    71,    89,    90,   867,    78,    78,
     867,   187,  5148,    80,   184,  1688,   390,    78,    85,    74,
      75,    76,    77,   194,   532,   235,    81,   205,   529,  5134,
    5135,   148,  2497,  4527,    89,    90,    74,    75,    76,    77,
     499,   178,   271,    81,   529,    74,    75,    76,    77,  1330,
     148,   270,    81,  1719,   475,   190,   479,  1496,  1724,  1725,
    3082,  3083,   529,   661,   452,  3087,   241,   148,   391,   185,
     276,  2536,   268,   261,   271,  2540,    74,    75,    76,    77,
    1519,  1683,   272,    81,   373,   532,    74,    75,    76,    77,
    1207,  1208,  2034,    81,  1696,   452,   532,   452,  1496,   438,
     532,   388,  3124,  3125,    71,    74,    75,    76,    77,   709,
     710,  2256,    81,    80,  2039,  2260,   518,  2262,    85,   235,
    2265,   438,   428,   403,  1726,  1727,    74,    75,    76,    77,
     465,   529,   425,    81,    74,    75,    76,    77,    87,   391,
     138,    81,   529,  4065,    74,    75,    76,    77,   385,  4065,
    1589,    81,   187,   391,  5535,   480,  4708,   140,   532,   661,
    4716,   393,  1476,  5326,  1227,   388,   473,   116,   529,   391,
    1521,   527,  2339,   385,   157,   531,   399,   452,   401,   661,
    5300,  4675,   426,   426,   480,   529,   529,   102,  4769,   408,
     531,  1589,  4773,  4774,   452,  4776,   428,   146,   520,   521,
     522,   523,   524,   525,   525,   525,   486,   709,   710,   532,
     894,   217,  4212,   426,   484,   257,   475,  3313,  5482,  2386,
    3984,   425,   385,  2390,   529,   480,  1892,   452,   520,   521,
    1970,   214,  1972,   385,   457,   452,  1902,   529,  4732,  1501,
     529,  1555,   496,  2053,  4434,   280,   434,  2134,  4407,   232,
     441,   385,  4235,   532,   473,   757,  2027,  1571,   527,   529,
     385,   515,  1980,  2250,   523,   527,   185,   529,   322,   531,
     425,   385,  1586,  2202,    87,   529,   874,  1716,  2021,  4443,
     532,   385,   475,  4447,   454,  1724,  1725,   322,  2629,   385,
    4498,  4433,   520,   521,   532,   484,  1962,  5433,  4351,  1965,
    1966,   477,  1890,    98,   441,  1017,  2659,   520,   521,  5445,
     532,  5127,   490,  5410,  2164,   385,   385,   236,  1716,   529,
    5425,  1020,   863,   921,   385,   131,   532,   497,  2257,   529,
    3869,  3280,  3871,  3282,   867,   452,   452,  2266,   473,   374,
     529,  1163,   522,   523,   524,   525,  4291,  4292,  4293,  4294,
    4295,  3869,   154,  3871,   452,  1943,   529,   532,   913,   959,
    1809,   909,  1777,  2704,   913,  1777,  5376,   913,   276,  2035,
     913,   452,  3891,   913,  3179,  3180,  3181,   178,  1062,  5515,
    3603,   863,   980,   366,  1029,   867,  1031,  4163,  1033,   871,
    4884,   529,  3195,   195,  1039,  1512,  1952,  4891,   880,   881,
     368,  1957,   518,  1911,   323,    25,   888,   323,   203,  2296,
    2297,  4175,   178,   521,    98,   531,  2303,   899,  1063,  1064,
    3966,  1153,  2309,  2310,  2311,  1013,  2563,  5012,   863,  2231,
    1153,   185,  2319,  2320,   916,  2237,  2215,  2324,  2141,  2142,
     178,  1017,  3981,   358,  2206,   529,   928,   157,   276,  3545,
    3546,   933,  1136,   520,   521,   957,   863,   959,   496,  2498,
    2649,  2500,   944,  3981,   193,  1522,   190,  1016,  1525,  5479,
     122,  1528,   245,  1530,   529,   185,  1533,   515,   278,   378,
    1537,   963,   124,  1167,   490,   468,  4828,   863,   970,  1014,
     532,   529,    14,   975,   110,   410,   213,   532,    96,   981,
     529,   180,  4278,   985,   986,  4974,  1031,   178,  1033,  1011,
     992,   178,    98,  1015,   320,   238,  2342,   350,  1043,   203,
    1002,  1003,  2874,   216,   245,   131,  1008,   494,   235,  4871,
     445,   529,   447,  1008,   176,  1017,   336,   349,  1063,  1064,
      80,   529,   485,  4885,  3942,    85,   270,   320,   515,  2888,
     352,   216,  1948,   520,   521,   350,   475,   473,  3247,  4885,
     529,   529,  1031,    70,  1033,  1249,  1142,   475,   322,   185,
     249,    78,    79,   522,   523,   524,   525,   294,    70,   114,
     276,   529,   415,  2576,   213,   391,    78,    79,   487,   529,
     385,   332,  1114,  3365,  1063,  1064,  1118,   235,  2102,   529,
     252,  1146,   190,   415,  1137,   257,   178,   154,  1110,   415,
    1112,  2213,   322,   185,   106,   107,  3565,   203,   216,   257,
     415,  3570,   245,  1112,  1866,  1107,  1108,   269,  3216,  4788,
     309,   863,  1114,   312,  1116,   867,  1118,   336,   276,  4829,
     441,   293,   336,   154,   446,   274,  5231,   475,   195,   156,
    3536,  5242,   272,   320,  5205,  1137,   385,  3543,  3544,   243,
    1142,  3547,  1144,  2336,  2555,  2545,   350,  1948,  3554,  4833,
    5226,   190,   276,  5239,  4838,   441,  5227,  4841,   320,  1114,
    4602,  5023,   270,  1118,   195,  5237,  4602,   410,   342,  2263,
    2264,  4732,    74,    75,    76,    77,   144,   320,  3647,    81,
     207,   385,   179,   441,  4704,   533,   479,   520,   521,   522,
     523,   524,   525,   342,     8,   320,  1191,    11,    12,   442,
     255,  5190,   237,  1205,  1206,   418,   342,   406,    22,    23,
      24,   415,    26,    27,   180,  1210,  1769,    31,    32,    33,
     180,   412,   234,  3208,   236,   452,   164,   180,    70,   473,
     322,   270,  4516,   418,  1288,  1289,    78,    79,   479,  1241,
     533,   154,   404,  3785,  3786,  3787,  3788,  4557,   420,  3791,
    3792,  3793,  3794,  3795,  3796,  3797,  3798,  3799,  3800,   475,
    2219,  2177,  1257,   260,  1241,   391,    71,  4892,   529,    74,
      75,    76,    77,   300,   478,    80,    81,    82,    83,   185,
      85,   399,   195,   249,    78,   352,  1288,  1289,  3580,   249,
    2140,   518,   396,   309,   187,   187,   249,   342,  2060,  5125,
     418,  5377,   240,   338,   531,  3847,  3848,   108,   527,   140,
    2432,   510,   531,  1315,   156,   529,  2921,   475,   467,   235,
    1322,   352,  1299,   350,  1326,    98,  2991,   164,   416,  2515,
    1398,   104,   227,  1288,  1289,  2169,   479,   230,   185,   431,
    1342,   257,   434,   309,  5229,  2195,   312,  2218,  2182,   309,
     399,   475,   460,   494,  1356,  4980,   309,   179,   532,   312,
     405,   154,    98,  2197,   178,   473,   208,   335,   104,   408,
     164,   264,  5386,  5478,   515,   533,  2177,  5056,  5483,   446,
     164,   452,   518,   214,  4443,  1137,   511,  4496,  4447,  2483,
     406,   527,  1394,   529,   530,   531,   532,   249,   336,   434,
    2316,   232,   195,   240,  5088,  4443,   403,  5269,   336,  4447,
     185,    74,    75,    76,    77,   446,   217,   444,    81,   446,
     262,   327,   415,  4459,   319,  4464,  2756,   320,  1660,   322,
     203,  4470,  5294,  5538,   473,   327,  1438,   529,   260,   352,
     406,   529,    84,   440,   441,    87,   406,   518,  5294,    91,
      92,    93,  1521,   406,   392,   249,   240,   309,  2535,  1839,
    4331,   238,  1839,   235,   203,  2927,  2535,   203,   229,  5303,
    5304,  5150,   236,   485,  1476,  5154,  5155,  4919,    25,  1524,
     529,  1526,  2931,  4919,  1529,   257,  1531,   164,    35,  1534,
    1535,  1536,  2937,  3715,  1496,  5600,  4999,  2904,  1500,  1501,
     314,  1503,  1547,  5128,   276,  1500,  1501,   184,  1503,  1511,
    1762,  1763,  5137,  1765,   356,  2316,  1561,  1519,  1563,  1762,
    1763,  3380,  1765,   235,  1519,  2855,  2856,  2857,  2858,  1748,
     432,   433,   529,   446,   132,   366,   187,  2867,   235,   532,
     217,  2727,   140,   415,   510,   257,  1568,   322,   362,  2735,
    2658,  2737,   336,  1555,   406,   342,   494,   510,  2724,   352,
     257,   408,   340,   529,   276,  3209,  3891,  1569,  4916,  1571,
     230,   415,   350,     5,  3758,  1779,   529,   350,  2215,   276,
     240,   403,   225,   403,  1586,   379,  4234,  1589,  3950,   353,
     137,   385,   530,    25,   441,   533,  4065,   257,  1600,   399,
     361,   340,   189,    35,  3476,   232,   102,   385,   392,  2900,
    4958,   387,   385,   264,   350,   257,  2724,  2576,   440,   441,
    5482,   198,   365,   200,   466,  3486,  1628,   415,   403,   196,
     102,   124,   474,   410,   481,   477,   278,   468,  2746,   206,
     326,  4183,   415,  3308,   225,   441,    98,   494,   462,   385,
     389,   294,   104,   446,  1656,  1657,  1658,   421,  1660,   531,
      74,    75,    76,    77,   327,   442,  2774,    81,   515,   320,
    1672,   322,   452,   473,  1735,  5509,   415,  3084,  1680,   415,
    1702,  1703,   529,   176,   189,  4301,   463,  4303,   532,  3096,
     277,   334,  4976,  1702,  1703,   237,   338,  5217,    70,   297,
    3701,  2617,   198,   475,   381,   137,    78,    79,   486,   529,
     494,   454,  5215,   294,  1716,   520,   521,  1719,   494,   239,
     349,  3128,  1724,  1725,  1719,   272,   198,   306,  1789,  1724,
    1725,   408,  1734,  1735,   394,   283,   422,  1790,  1791,   515,
    5036,  4147,   237,   530,   532,   532,   530,  4153,  4154,   533,
    4156,   203,   532,  5256,   497,   332,   532,   239,   161,  3166,
     140,   533,  1764,   475,   441,  2318,  1768,  1769,   401,  4828,
     202,   396,   277,  2326,  4833,   454,   269,   297,   475,  4838,
    1735,  1985,  4841,   350,   156,  1807,  1839,  1789,  1790,  1791,
    4828,   452,  1853,  1846,   187,  4833,   338,   445,  1807,   447,
    4838,  4768,   239,  4841,   481,   185,  1801,  1809,  1735,  2995,
     187,  3318,  4871,    87,   529,   297,  2617,   494,   385,  1887,
     177,   533,  2656,   101,   457,  5386,  4885,   320,   190,   232,
     365,  1826,  1827,  4871,  5144,   207,   533,  1839,   515,  1735,
     272,   203,   116,  3630,  1846,  1847,  3633,  4885,  2530,   474,
     349,  1853,   529,  3199,  5138,    74,    75,    76,    77,  2883,
     297,  1863,    81,   245,  1866,  5385,   257,  3278,  1870,   306,
     148,   532,   146,  3284,   516,   517,   518,   452,   520,   521,
     522,   523,   524,   525,    70,    71,   303,   280,    74,    75,
      76,    77,    78,    79,    80,    81,   378,  1892,  1853,    85,
     225,   179,  1904,   280,  3349,   230,   401,  1902,  1863,   231,
    1912,   404,  4879,   327,  4881,   533,   415,  5032,  3288,   454,
     227,  4537,  4538,   201,    22,   445,  1853,   447,   300,   322,
    2655,    87,   401,  2892,   212,   491,   309,  4683,   320,   312,
     262,   165,   322,   518,  1946,   322,   282,   327,   475,  1904,
     307,   471,  4695,   310,   232,  5251,   531,  1853,   188,   237,
     455,  4707,   497,   445,  5023,   447,   461,  1962,   350,   294,
    1965,  1966,   215,    71,  2892,  1952,   532,    71,   350,   286,
    1957,   374,   532,  1735,   320,  5023,   366,   225,   457,   471,
     146,    85,   230,  2718,   385,  2954,  2057,   374,   389,   185,
     380,   363,   529,   385,  2006,   487,  2008,   285,   445,   334,
     447,  2129,   236,   385,  3200,   258,   533,   389,    74,    75,
      76,    77,  5306,   253,   415,    81,  2028,   444,   306,  5088,
    5533,   424,  3985,   406,   471,   303,  2954,  1789,  1790,  1791,
    2035,  2043,   266,   415,   177,   188,  3337,  2772,  3713,  2051,
    5088,   475,  3186,  2008,   471,  2057,   294,   281,  2060,   399,
    2062,   401,   188,  2443,  5584,   385,  2443,   291,   198,  2273,
     200,   535,   444,   378,   446,   494,  2078,   494,   378,   496,
    2082,  2289,   418,    74,    75,    76,    77,  1839,   468,   275,
      81,   369,  2094,   317,  1846,   415,   334,   479,   231,    40,
     475,  1853,  2057,   494,   409,   529,  3613,  2109,   327,   409,
     253,   297,   529,   532,   475,  3622,   350,   457,   396,   913,
    2122,  2719,   494,  2219,   515,   403,  2128,   253,  3366,   262,
    2057,   409,  2134,  4602,  4459,   403,   441,   473,  2140,  4464,
    3827,   441,  3197,  5427,   198,  4470,   200,   159,   399,  2218,
    2152,   385,  4475,  3391,   529,   389,   385,  4018,   527,  4032,
     389,  2057,   531,   441,   408,  2167,   444,  2169,  2170,   223,
     350,   395,   373,    16,   307,  2773,   444,   310,  5293,   430,
    2182,   415,   487,  2228,   462,  2230,   415,   487,   200,  2234,
    2192,  2236,   322,  2195,  2239,  2197,  2198,   441,  2243,   400,
     282,   157,   332,   471,  2206,   385,  2281,  2209,  4069,   487,
    5269,  2206,  2281,   100,  2209,  2281,  2288,  2219,  2281,   350,
    3741,  2281,  1016,  1017,  3140,   494,   494,  2295,   496,   322,
     272,  5269,   385,   120,   327,  5294,    84,   481,   320,    87,
    3778,  3200,  4784,    91,    92,    93,  4652,   127,  4654,  4655,
    4037,  4038,  4658,  2076,   385,   350,  5294,  2259,   368,  3367,
     108,   529,   415,   532,  3951,   494,   146,    84,   322,  3807,
      87,   327,  2095,   327,    91,    92,    93,   165,   332,   372,
     160,   457,  5566,   239,   415,   529,   515,  3749,  2349,   494,
     385,   108,   374,   284,  2296,  2297,  2978,  2462,  3670,  3671,
    2302,  2303,  4255,   487,   260,  2057,  2308,  2309,  2310,  2311,
     515,   389,    50,  2315,  3574,  2317,  2318,  2319,  2320,  2321,
    2322,   350,  2324,   237,  2326,  2327,   389,   532,  2330,   198,
      68,   200,   212,  3441,   520,   521,   418,   415,   374,  3140,
    4501,   297,  2344,  2345,  2346,  2347,  2348,  2349,   236,  2445,
     386,  2353,   415,   267,   223,  2357,   385,   530,  2360,  1153,
     533,  2363,  2364,  2365,  2366,  2367,  2368,  2369,  2370,  2371,
    2578,  2373,  2580,  3780,   230,   411,  3335,  4993,   266,  2381,
      70,   140,  2384,   518,   331,   341,   415,   146,    78,    79,
    2443,   473,  5507,   281,  2349,   251,   531,   496,   157,  4258,
     350,    84,  4241,   291,    87,   459,  4731,  3814,    91,    92,
      93,  2576,   118,  2488,   350,   469,   515,  3335,   303,  3220,
     405,   350,  2349,  5482,  2628,  5540,   185,   284,   187,   317,
     278,   148,     2,   139,    34,   385,   496,   129,   528,   230,
     157,  2443,   532,  2445,  5482,  2498,  2448,  2500,   336,   385,
    4919,  2569,  3859,  2349,  3745,   515,   385,  5424,   327,   496,
     251,   278,   527,   332,   148,   415,   494,   308,   533,   529,
     529,  3305,  3306,   157,    70,  3982,  3983,   457,   515,   415,
     532,   236,    78,    79,   536,   177,   415,   515,   457,   445,
     338,   447,   529,   527,  5609,   529,  2498,   531,  2500,   524,
     529,   457,  2563,    99,   529,   264,   531,   395,  2530,   524,
     387,   266,   468,  5055,   529,   471,   531,  2519,   403,    89,
    2515,   338,   336,    70,    71,   306,   281,   341,   336,  3082,
    3083,    78,    79,   341,  3087,  2537,   291,  2539,    85,   445,
    2535,   447,  2537,  2545,  2539,   532,   405,  2549,  2550,   536,
     520,   521,   522,   523,   524,  4961,  5025,  2559,   528,   444,
     156,  2563,  2564,   322,  3750,   528,  2568,   259,   327,   532,
     530,  3124,  3125,   533,  2576,  3599,   306,  5178,  3095,  5180,
    3097,  3098,   152,  5184,   161,  5186,   471,   475,   158,   529,
     459,   531,  2594,  3963,   527,  2597,   529,  2349,  2716,  4010,
     469,   106,   107,   522,   523,   524,  2608,   366,  2563,   494,
    2612,   496,   208,  2615,     7,   307,   186,  3576,   310,  3578,
     260,   380,  2624,  3457,   534,  2686,    19,    20,   320,  2690,
      84,  2328,  3466,  3725,  2331,  2637,  2563,   530,   308,   532,
     395,   530,   251,   532,   529,    38,    71,  2649,    41,  4314,
    4315,  4316,  3915,  2655,  2656,   338,   457,   349,  3576,   164,
    3578,   257,  2664,   530,   153,   532,   262,  2563,   516,   517,
     518,   487,   520,   521,   522,   523,   524,   525,   530,   184,
     532,   494,  4555,   496,  2686,  2687,   128,  3646,  2690,  3882,
     529,  2443,   531,   530,  2649,   532,    70,    71,   390,   516,
     517,   518,   405,   520,   521,   522,   523,   524,   525,   468,
     284,   530,   217,   532,   137,   138,  2718,  2719,    85,   530,
    2722,   532,    74,    75,    76,    77,   535,  1521,  3646,    81,
     529,  2686,  2727,  2841,   530,  2690,   532,   429,  2740,   529,
    2735,   530,  2737,   532,   336,   530,  2498,   532,  2500,  2751,
    4972,  3885,  3886,  3887,   532,   533,  3590,   303,  3592,  2686,
     356,   403,  2764,  2690,  3565,  2826,   530,   160,   532,  3570,
    2772,  2773,    70,  4460,   399,   400,    74,    75,    76,    77,
      78,    79,   532,    81,   213,   520,   521,   522,   523,   524,
      74,    75,    76,    77,  2690,   530,   225,    81,   399,   400,
     396,   230,  1596,   532,   533,  4492,   199,   530,   530,   532,
     532,  2563,    89,    90,   213,  2817,  2818,   494,   530,   496,
     532,  1615,    84,   128,  2826,    87,   225,   323,   324,   485,
    2832,   230,   487,   516,   517,   518,  2838,   520,   521,   522,
     523,   524,   525,   439,   118,   274,    74,    75,    76,    77,
     512,  1645,  3084,    81,   116,   531,   530,   403,   532,   530,
     122,   532,   303,    89,    90,   294,  1660,   530,  2870,   532,
     466,  2826,   530,   280,   532,   274,   381,   339,   474,   303,
     339,   477,   180,   336,   146,    84,  2888,   530,    87,   532,
    2892,   452,    91,    92,    93,   294,  3128,   336,   444,  2826,
    4160,  4139,  2904,   408,   512,   334,  3740,   230,   530,   108,
     532,   339,   408,   342,    74,    75,    76,    77,  5243,   512,
     530,    81,   532,   118,   280,   471,    74,    75,    76,    77,
    2826,   522,   234,    81,  2686,   334,   441,   532,  2690,  4269,
     530,   529,   532,   342,   530,   441,   532,   530,   494,   211,
     496,   249,  2954,   445,   530,   447,  2978,   128,  4623,  4624,
    2962,  4626,   403,   235,   276,  3171,  3172,  3173,  1762,  1763,
     445,  1765,   447,   530,   533,   532,   481,  4384,   272,   403,
     485,   522,   530,   529,   532,   481,   530,   452,   532,   494,
     252,   530,   530,   532,   532,   257,   871,  4397,   494,  3001,
    2995,   535,   303,   444,   530,   880,   532,   535,   452,  3241,
     515,   309,   529,   209,   312,  3017,   530,  3019,   532,   515,
     444,   530,   452,   532,   529,  3027,   530,   111,   532,  3031,
     471,   293,  3034,   529,   494,  3037,   496,    84,   467,   128,
      87,   916,  3103,  3045,    91,    92,    93,   471,  3109,   530,
     452,   532,  3054,   494,   530,   496,   532,  3059,   530,   272,
     532,   108,   303,   452,    74,    75,    76,    77,   467,   278,
     494,    81,   496,   530,  2826,   532,   338,   529,   415,   278,
    3082,  3083,  3084,   452,   531,  3087,   303,   530,   529,   532,
     530,   661,   532,  3095,  3096,  3097,  3098,   530,   498,   532,
     975,  3103,   403,   529,   385,   529,  3108,  3109,   406,  3111,
     985,  3113,   530,   530,   532,   532,   530,   530,   532,   532,
     257,   218,  3124,  3125,   218,   530,  3128,   532,   527,   336,
     531,   530,   531,  4319,   530,   530,   532,   532,   529,   338,
    3142,  3216,  3144,   444,  3146,   257,   385,  3216,  3103,   218,
    3216,     2,   257,  3216,  3109,   530,  3216,   532,   420,   530,
     336,   532,   403,   218,  3166,    84,   336,   530,    87,   532,
     471,  5010,    91,    92,    93,  3177,  3103,  3179,  3180,  3181,
     230,   530,  3109,   532,  4691,   530,   403,   532,   530,   530,
     532,   532,   530,   494,   532,   496,   385,   530,  3200,   532,
     218,   533,  3204,   444,   530,  3200,   532,  3103,   530,   530,
     532,   532,   510,  3109,   530,  3217,   532,   324,   292,   530,
    3222,   532,   530,   530,   532,   532,  3228,   444,   529,   187,
     471,   278,  3785,  3786,  3787,  3788,  3238,   130,  3791,  3792,
    3793,  3794,  3795,  3796,  3797,  3798,  3799,  3800,   530,   336,
     532,   513,   475,   494,   471,   496,   308,   457,   520,   521,
     522,   523,   524,   525,  4065,  3818,  5488,  5489,   331,   530,
     163,   532,   529,   487,   408,  3277,   405,   494,  3280,   496,
    3282,   530,   530,   532,   532,  3287,   230,  3289,   529,   284,
      84,   338,   530,    87,  3847,  3848,   529,    91,    92,    93,
     193,   408,   140,  3305,  3306,   111,   530,   441,   532,  3311,
     322,   530,   529,   532,   530,   166,   532,   516,   517,   518,
     498,   520,   521,   522,   523,   524,   525,   529,   221,  4522,
    3332,   336,   322,  3335,   441,   118,  3338,   188,   118,   530,
     910,   532,   530,   530,   532,   532,   530,   481,   532,   462,
     530,  3103,   532,  3355,  3415,  3416,  3417,  3109,   350,   278,
     494,   254,   530,   530,   532,   532,   530,   530,   532,   532,
     230,   487,  4206,  4207,   481,   530,   487,   532,  3380,   153,
    1157,   515,  1159,   230,  4448,  4219,  4450,   494,   369,   534,
     218,   218,   218,  3454,   529,   529,   289,  5619,  5620,   484,
     970,   971,  4488,   529,   529,   362,   218,   110,   515,   218,
     498,   218,   532,  3415,  3416,  3417,  5081,   218,   218,   338,
     336,   218,   529,   530,  2218,   218,   533,  5092,   336,   322,
     218,   218,   230,   218,   336,   441,   218,  3439,  1008,   218,
    1315,   218,   111,   529,   292,   336,   230,  3449,   529,  3451,
    3452,  1326,  3454,   529,   230,  3457,   529,   350,   351,   230,
    3415,  3416,  3417,   529,  3466,   529,   495,   529,   529,   516,
     517,   518,   529,   520,   521,   522,   523,   524,   525,   303,
     529,   529,   347,   303,   278,   529,   529,  2281,  3415,  3416,
    3417,   529,   385,   529,   529,   529,   389,  1067,   529,  3454,
     393,   529,   529,   529,   529,  5170,   529,   400,  3569,   529,
    3512,   276,   529,  3855,   407,   529,   529,   532,   529,  1394,
     529,  3725,   415,   111,   532,   168,   276,  3454,   292,  3531,
     278,  1101,   111,   230,   427,  3537,   230,   332,   334,  3657,
    3660,  1111,   435,   415,   338,  1115,  1116,  1117,   522,   272,
     406,  3626,   312,   532,   184,   532,   474,   518,  3454,    14,
    2354,  3636,  3564,  3565,  4480,   532,   529,  3569,  3570,   529,
    3565,   452,   452,   529,  3576,  3570,  3578,   531,   403,   403,
     403,   452,   452,   403,    84,  3660,   294,   518,  3590,   452,
    3592,    91,    92,    93,   452,   452,   489,   516,   517,   518,
     157,   520,   521,   522,   523,   524,   525,   218,   336,   336,
    5275,   403,   289,   452,  3569,   452,   407,   327,   452,   474,
     444,  3853,   444,   336,   444,   336,   399,  3629,   332,   529,
    4183,   452,   250,   452,   529,  1205,  1206,   157,  3660,  3871,
    1210,   350,  3569,   532,  3646,  3647,   218,   471,   257,   179,
     452,   471,  4676,  5060,   128,  3861,  3862,  3863,  3864,   475,
    3662,   475,  5175,  3415,  3416,  3417,   452,   128,   340,   117,
     494,   452,   496,  3569,   494,   444,   496,   452,   117,  4480,
     452,   403,   452,   532,   452,   452,   452,   336,   278,  5151,
     452,   452,  5099,   498,  2488,   336,   336,   278,   278,  3701,
     452,   111,  3454,   462,   494,   529,   100,  5152,   336,   529,
    4970,   529,   218,  3715,  4848,  4873,  3718,  5166,  4552,  5168,
     322,  4855,   516,   517,   518,   529,   520,   521,   522,   523,
     524,   525,   185,   475,   218,   486,   300,   332,  3740,   322,
     322,  3743,   111,   230,   111,  4867,   284,   404,   110,   450,
     450,   529,   415,   452,   452,  3750,   218,   475,  3760,  3820,
     218,  3763,   218,   475,   218,    14,   218,  3769,   531,   331,
     527,   529,   527,  3775,   452,  3777,   532,   326,  3780,   314,
     529,  4615,  3784,  3785,  3786,  3787,  3788,   314,   235,  3791,
    3792,  3793,  3794,  3795,  3796,  3797,  3798,  3799,  3800,   490,
      87,  4602,  3804,  3805,   450,   529,   532,  3809,   529,   243,
     452,   226,  3814,   235,   530,   532,  3818,  3569,  3820,   454,
    3822,  5334,   518,    84,   250,   532,    87,   250,  3830,   534,
     274,  3833,   418,  3835,   529,  5342,  5343,   282,   338,   532,
     337,  3843,  3844,   532,   475,  3847,  3848,   111,   530,   530,
    3852,  3853,    34,    10,   344,   116,   128,  3859,   452,  5266,
     530,   122,   403,   452,   403,  3820,   282,  3869,   529,  3871,
     475,  5278,   457,   282,   452,   452,  5283,   327,  5285,   452,
     487,  3883,   529,   405,   327,   146,   230,  3889,  3890,  3891,
     327,   284,   220,  3820,   336,   118,   424,  4991,   322,   220,
     292,   292,   292,   399,   335,   452,   130,   444,   336,   532,
    4290,   336,   452,  4290,   385,   251,   452,   412,   452,   278,
     111,   278,   278,   374,  3820,   475,  1496,   475,   278,   284,
    1500,  1501,  4097,  1503,   335,  3937,   278,   260,   371,   163,
     218,  5075,   518,   518,   230,    89,  5453,   230,  3950,  1519,
     211,   232,   332,   412,   487,   529,   218,   217,   529,   218,
     111,   322,   494,   336,  3966,   336,   284,   523,   322,   248,
    4886,   248,   230,   111,   527,   530,   530,   312,   530,  3981,
     218,   512,   284,   512,   124,   530,   530,   336,   336,  5175,
     336,   252,   412,   230,   257,  1565,   257,   221,  4059,   498,
     257,   257,    99,  4064,   311,  4066,   532,   532,   532,  5522,
     241,  4013,   452,   529,  4930,   235,   516,   517,   518,  1589,
     520,   521,   522,   523,   524,   525,   166,   494,   336,   532,
     254,   331,   293,   128,   441,   235,   457,   284,   487,   530,
     532,   530,   530,   347,   530,   530,   355,   530,   530,   529,
     235,   191,   530,   530,  5516,   530,   529,  4059,   530,   529,
     529,   529,  4064,  4065,  4066,   289,   512,   207,  3820,   452,
    4065,   211,   346,   491,   473,   302,   514,   338,   491,   481,
     128,   336,   518,   336,   260,  4886,  4920,   339,   529,   518,
     336,   231,  1662,   218,   234,   530,   268,   327,   322,   452,
     532,  1671,   498,   533,  4059,   532,   322,   247,   218,  4064,
     529,  4066,   452,   530,   452,  1685,  4118,   529,  4919,  4121,
     452,   340,   530,   407,   218,   218,   292,   351,   260,  4930,
     220,   407,  4059,   452,   407,   294,   475,  4064,   356,  4066,
     452,   356,   472,   304,   304,   322,  1716,   452,   304,  1719,
    1720,   452,   403,   452,  1724,  1725,   452,  1008,   452,   420,
     452,   452,   403,   452,   403,   389,   336,   391,  4064,   393,
    4066,   403,   452,  4168,   218,  4250,   400,   452,  1029,   415,
    1031,  4183,  1033,   407,   452,   117,   452,   327,  1039,  1040,
    1041,   415,   278,   278,   278,   335,    89,   278,   245,   530,
     118,   530,   452,   427,  4206,  4207,   532,   387,  4210,   178,
     530,   435,  1063,  1064,   462,   532,  5175,  4219,   529,  4221,
     530,   335,   111,   336,   218,   218,   452,   230,   245,   138,
      98,  4784,   372,   528,   230,   475,   104,  4290,  4313,  1809,
    4793,   529,   475,   339,   412,   403,    84,  2122,   403,    87,
     403,   216,   513,    91,    92,    93,  4258,  4259,  4260,   520,
     521,   522,   523,   524,   525,   489,   216,   532,   278,   278,
     278,   209,   235,   166,    87,   347,   144,   230,   116,   486,
     235,  5305,   527,    84,   122,   529,    87,   342,  4290,   532,
    3084,   235,  2167,   491,   243,   188,   530,   532,   515,   337,
     392,   530,   530,   155,   518,   530,  4514,  4059,   146,   530,
     532,   230,  4064,   462,  4066,   116,   529,   518,   530,   530,
    4322,   122,   532,   528,  4319,   193,   530,    98,   196,   111,
     529,   452,   475,   104,  3128,   203,   475,   284,   206,   268,
    1191,  4343,   128,   444,   218,   146,   529,   462,   407,   452,
     452,  3145,  4354,   452,   403,   530,   530,   403,    84,  1210,
     385,    87,   529,   231,   452,   452,   530,  3161,   518,   128,
     494,   444,   230,   144,   220,  5334,   146,   218,   178,   462,
     278,   278,  4384,  3177,  2259,   530,  5302,   278,   278,   494,
     116,   370,  4394,  4395,   262,  4397,   122,   282,  4563,  4401,
    4402,   529,   529,   263,  4406,  4407,  1257,   529,  1978,  4411,
     211,   230,  4414,  4415,   252,  4490,   498,  4419,   530,   257,
     146,   532,  3216,  4425,   532,   196,   151,   462,   444,   529,
     452,    84,   203,   240,   532,   206,   412,   178,   529,   235,
     235,  4443,   278,   532,  3238,  4447,   278,  3241,   278,   528,
     530,   252,   320,   278,   322,   293,   257,  4459,   379,   530,
     231,   529,  4464,   530,   332,   128,   492,   530,  4470,   492,
     532,   347,   340,   530,   530,   529,   529,   281,   345,   281,
    4475,   443,   350,   128,   529,   211,  4488,   343,   246,   530,
     530,   262,   293,   530,   518,   332,  4557,   235,   462,  4501,
     338,  5302,  5055,   494,   452,   146,  4501,   262,   128,   327,
    2080,   327,   518,   444,   532,  4517,   452,   385,   532,   140,
     388,   389,   452,   218,   452,   278,   252,   529,   237,   235,
     475,   257,   529,  4535,   257,   412,   475,   338,  4290,   111,
    4601,   111,   204,   494,   490,   235,   336,   415,   529,   320,
    4552,   322,   494,   230,   265,  4557,   530,   276,   339,   235,
     480,   332,   529,  5522,  4566,   379,   428,   293,   529,   340,
     530,   530,   529,   281,   354,   529,   493,   157,   530,   350,
    4582,   199,   420,   380,   336,  4587,   529,   452,   452,   530,
     230,   192,  4594,   111,   529,   529,   529,   327,   305,  4601,
    4602,   260,  4557,  4605,   529,   370,   529,  4602,   530,   217,
     478,   111,   338,  4615,   385,   529,   340,   388,   389,   420,
     530,   400,   400,   462,   530,   128,   518,   426,   426,   128,
    4557,   111,   532,   529,   529,   529,  2206,   320,   444,  2209,
     475,   444,   530,  4645,   415,   529,  4601,   111,   530,  1500,
    1501,   529,  1503,   444,   336,   530,    81,   224,   370,   140,
     339,   140,   199,   494,   479,  4667,   130,   494,  1519,    84,
     480,   532,   529,   111,  4601,   513,  4678,   379,   516,   517,
     518,   529,   520,   521,   522,   523,   524,   525,   415,   235,
     444,   377,   230,   327,   420,   204,   262,   491,   336,   163,
     336,   529,   412,   111,   111,  4601,   339,   478,   339,   529,
     237,   237,   513,   530,   128,   399,   190,   529,   529,   520,
     521,   522,   523,   524,   525,   530,   473,    81,   399,  4731,
     386,  4733,    97,  2608,   108,   217,   529,   881,  2308,   452,
    2615,   530,   235,   370,   888,   532,   529,   532,   426,   494,
     494,   426,   529,   237,   237,   899,   385,   221,  2009,  1282,
    1253,  1725,  2839,  3391,  3200,  2699,  4768,  4064,  1289,  1288,
    2768,  3561,  4162,  5188,  5332,  5522,  5006,  4204,  4669,  5010,
    4990,  3312,  4784,  2983,   928,  5431,  4788,   513,  5360,   933,
     254,  4793,  4885,  5513,   520,   521,   522,   523,   524,   525,
     944,  5462,  5359,  3316,  4251,  4557,  4237,  4196,  4810,  4811,
    2829,  2829,  4814,  4059,  3416,  2081,  4220,  2823,  3615,    84,
     284,  4866,    87,  4694,  5524,   289,  4828,  5618,  5599,  4985,
    3564,  4833,  3626,  5473,  3569,  2070,  4838,  4932,  5320,  4841,
    4842,  5441,  3636,  4935,   188,  2415,  4322,  4849,  4850,  4601,
    1556,   116,  5124,  1572,  2550,  4258,  3287,   122,   322,  5243,
    3515,  4601,   971,  1000,  4859,  2284,  3660,  5099,  1719,  4871,
    2285,  5487,  2284,  1724,  1725,  5602,  1870,  4879,  2445,  4881,
    2446,   146,  4239,  4885,  2219,  4491,  5423,   351,  1514,  5121,
    3948,  2966,  1754,  1696,  3217,  1772,  1771,  2486,  3228,  3223,
    3894,  5416,  5287,  4473,  2485,  4966,  1774,  3238,  3871,  4434,
    4449,  5089,  1779,  3869,  5269,  5268,  3949,  4919,  4920,  5058,
    4995,  3680,  1131,  3822,  4919,   389,  4857,  4929,  5419,   393,
    5420,  5406,  2378,  3220,  3145,  3055,   400,  3204,  3657,  3143,
     661,  2893,  1402,   407,  2381,  5020,   211,  2116,  1799,  2519,
    1801,   415,  5397,   394,  2519,  1791,  1785,  1228,  1010,  2495,
    1568,  3194,  2535,   427,  4966,  2535,  1208,  2537,  1819,  2539,
    4972,   435,  2527,  3955,  2528,  1826,  1827,  4474,  3956,  1699,
    3921,  1789,   427,  2539,  2979,  2248,  1500,   252,     2,    78,
      -1,   455,   257,    -1,    -1,    84,    -1,    -1,    -1,  1042,
      89,    -1,  1208,    -1,    -1,    -1,  2576,    -1,    -1,    -1,
      -1,  4966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5023,    -1,  5025,    -1,   489,    -1,   116,   293,   493,
     494,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4966,
      -1,  1892,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1902,    -1,  5055,  5056,    -1,  5058,    -1,  5060,  3853,
      -1,  1205,  1206,    -1,    84,    -1,    -1,    87,    -1,    -1,
    4966,    -1,   161,   338,  2644,  3869,    -1,  3871,    -1,    -1,
      -1,    -1,  5084,  5144,    -1,    -1,  5088,    -1,    -1,    -1,
      -1,    -1,  5094,    -1,    -1,    -1,   116,  5099,    -1,    -1,
      -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1962,    -1,    -1,  1965,  1966,    -1,    -1,    98,  5121,
     209,    -1,    -1,    -1,   104,    -1,   146,    -1,   217,    -1,
     219,    -1,    -1,    -1,    -1,    -1,  1029,    -1,  1031,    -1,
    1033,    -1,  5144,   232,    -1,    -1,  1039,    -1,  5150,    -1,
    5225,    -1,  5154,  5155,    -1,   420,  3031,  5159,    -1,    -1,
      -1,    -1,  3037,    -1,   144,    -1,    -1,    -1,    -1,    -1,
    1063,  1064,    -1,  5175,    -1,    -1,    -1,    -1,    -1,    -1,
    5175,    -1,    -1,    -1,  2035,    -1,    -1,    -1,    -1,  5144,
      -1,   211,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4966,    -1,   196,  5144,    -1,    -1,
    2790,  5223,    -1,   203,    -1,    -1,   206,    -1,  2798,    -1,
      -1,    -1,   252,    -1,    -1,    -1,  2806,   257,  2808,    -1,
      -1,  5243,  5244,    -1,    -1,    -1,    -1,    -1,   513,    -1,
      -1,   231,  5254,    -1,    -1,   520,   521,   522,   523,   524,
     525,    -1,    -1,  2114,  5266,    -1,    -1,  5269,    -1,    -1,
      -1,  5332,    -1,   293,    -1,    -1,  5278,    -1,    -1,    -1,
      -1,  5283,   262,  5285,  2854,  5287,    -1,  2138,    -1,    -1,
      -1,    -1,  5294,    -1,    -1,    -1,    -1,  2148,  1191,  2150,
      -1,    -1,  3177,    -1,   393,    -1,  2157,    -1,    -1,  5311,
    5542,  2162,  1205,  1206,  2884,    -1,    -1,  1210,   338,    -1,
      -1,    -1,  2892,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5332,    -1,  5334,    -1,    -1,    -1,    -1,    -1,    -1,   428,
     320,    -1,   322,    -1,    -1,    -1,    -1,    -1,  2918,    -1,
      -1,    -1,   332,    -1,    -1,  2206,    -1,    -1,  2209,    -1,
     340,    -1,    -1,  3238,  1257,    -1,    -1,    -1,    -1,    -1,
     350,    -1,  5374,    -1,    -1,    -1,    -1,  5332,    -1,    84,
      -1,    -1,    87,    -1,  2954,    -1,    91,    92,    93,    -1,
      -1,    -1,  5144,    -1,    -1,    -1,    -1,    -1,    -1,  5474,
     420,    -1,    -1,  5405,  5406,  5332,    -1,    -1,   388,   389,
      -1,   116,  5487,    -1,  5416,    -1,    -1,   122,  5487,    -1,
      -1,  5487,  5424,    -1,  5487,    -1,    -1,  5487,    -1,    -1,
      -1,    -1,    -1,    -1,  5436,   415,  5332,    -1,    -1,    -1,
      -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2305,  2306,  4250,    -1,    -1,   111,
      -1,  2312,  2313,    -1,    -1,    -1,    -1,  5542,    -1,    -1,
      -1,    -1,    -1,  5542,    -1,  5536,  5542,    -1,   130,  5542,
    5482,    -1,  5542,    -1,    -1,    -1,  5488,  5489,    -1,  5491,
    2341,    -1,    -1,   513,    -1,    -1,    -1,    -1,   478,    -1,
     520,   521,   522,   523,   524,   525,    -1,    -1,  5510,    -1,
      -1,   163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4313,
    5522,    -1,    -1,    -1,    -1,    -1,    -1,  5602,    -1,    -1,
      -1,    -1,    -1,  5602,  5536,    -1,  5602,    -1,  5599,  5602,
      -1,  5536,  5602,    -1,    -1,    -1,  2397,   252,    -1,    -1,
      -1,    -1,   257,    -1,    -1,    -1,    -1,  5618,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,
      -1,    -1,    -1,   278,   279,    -1,    84,    -1,    -1,    87,
    5332,  5536,    -1,    -1,    -1,    -1,    -1,    -1,   293,    -1,
      -1,  5593,  5594,    -1,    -1,    -1,    -1,  5599,    -1,    -1,
      -1,    -1,   254,    -1,  5599,  5607,    -1,    -1,   116,  5536,
      -1,  2462,    -1,    -1,   122,    -1,  5618,  5619,  5620,    -1,
     325,    -1,    -1,  5618,    -1,    -1,  1519,    -1,    -1,    -1,
    3200,    -1,   284,   338,    -1,    -1,    -1,   289,   146,    -1,
    5536,    -1,    -1,    -1,  5599,    -1,    -1,    -1,    -1,  4443,
      -1,    -1,    -1,  4447,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5618,  2515,  1809,    -1,    -1,    -1,    -1,
     322,    -1,  5599,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2535,    -1,  2537,    -1,  2539,    -1,
      -1,  5618,    -1,    -1,    -1,    -1,  4490,    -1,    -1,   351,
      -1,    -1,    -1,  5599,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   420,    -1,    -1,    -1,    -1,
      -1,    -1,  5618,    -1,    -1,  2576,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   101,    -1,    -1,   389,    -1,    -1,
      -1,   393,    -1,    -1,   252,    -1,    -1,    -1,   400,   257,
      -1,    -1,    -1,    -1,    -1,   407,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   415,    -1,  3335,    -1,   134,    -1,    -1,
      -1,    -1,    -1,    -1,   863,   427,    -1,    -1,   867,    -1,
     147,    -1,    -1,   435,  5536,   293,    -1,    -1,    -1,    -1,
      -1,    -1,   881,    -1,   161,    -1,    -1,    -1,    -1,   888,
      -1,    -1,    -1,   455,    -1,    -1,    -1,    -1,   513,    -1,
     899,   516,   517,   518,    -1,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,    -1,    -1,  1719,    -1,    -1,    -1,
     338,  1724,  1725,    -1,   201,    -1,    -1,   489,    -1,   928,
    3715,   493,    -1,    -1,   933,   212,    -1,  5599,    -1,    -1,
     111,  3421,    -1,    -1,    -1,   944,    -1,    -1,    -1,    -1,
      -1,    -1,  2006,    -1,    -1,   232,  5618,    -1,    -1,   130,
     237,    -1,    -1,    -1,    -1,    -1,  2727,    -1,    -1,    -1,
      -1,   970,    -1,    -1,  2735,    -1,  2737,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3464,    -1,    -1,   986,    -1,    -1,
      -1,    -1,   163,   992,    -1,    -1,    -1,    -1,    -1,    -1,
      70,    -1,   420,    -1,  1003,    -1,  1809,    -1,    78,    79,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    87,  1017,    -1,
      -1,    91,    92,    93,  2078,    -1,    -1,    -1,  2082,   306,
      -1,    -1,    -1,    -1,  3514,    -1,    -1,    -1,   108,    -1,
    2094,   111,    -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,
     221,    -1,   122,    -1,    -1,    -1,  3536,    -1,    -1,    -1,
      -1,   338,    -1,  3543,  3544,    -1,    -1,  3547,    -1,    -1,
      -1,    -1,    -1,    -1,  3554,    -1,   146,  3557,    -1,    -1,
      -1,    -1,    -1,   254,  3869,  3565,  3871,    -1,    -1,  1892,
    3570,    -1,   369,    -1,    -1,   513,  3576,    -1,  3578,  1902,
      -1,    -1,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,    -1,    -1,   284,    -1,  1114,  2170,  1116,   289,  1118,
      -1,    -1,    -1,    -1,    -1,    -1,   403,    -1,    -1,  4833,
      -1,    -1,   409,    -1,  4838,   412,  3616,  4841,  1137,    -1,
      -1,    -1,    -1,    -1,  2198,    -1,    -1,    -1,    -1,    -1,
      -1,   322,    -1,    -1,    -1,    -1,  2917,  2918,    -1,  1962,
      -1,    -1,  1965,  1966,   441,  3645,  3646,    -1,    -1,  4873,
      -1,   448,    -1,    -1,    -1,    -1,    -1,    -1,   455,    -1,
     351,    -1,   252,    -1,    -1,   462,    -1,   257,    -1,    -1,
      -1,    -1,    -1,    -1,  3674,    -1,  3981,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1205,  1206,   278,   279,
     487,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   389,    -1,
      -1,    -1,   393,   293,    -1,    -1,    -1,    -1,    -1,   400,
      -1,    -1,  2035,    -1,  2995,    -1,   407,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   415,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   325,   427,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   435,    -1,    -1,    -1,   338,    -1,
      -1,   341,    -1,    -1,    98,    -1,    -1,    -1,    -1,    -1,
     104,    -1,    -1,  1443,   455,    -1,    -1,    78,    -1,  1288,
    1289,  4995,    -1,    84,    -1,    -1,    -1,    -1,    89,    -1,
      -1,    -1,    -1,    -1,    -1,   129,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5020,    -1,   489,    -1,
     144,    -1,   493,    -1,  1484,   116,    -1,    -1,    -1,    -1,
      -1,    -1,  1492,    -1,    -1,    -1,    -1,    -1,  1498,    -1,
      96,    -1,    -1,    -1,    -1,   101,    -1,    -1,    -1,  3829,
     420,    -1,    -1,   177,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     161,    -1,   196,    -1,    -1,    -1,    -1,    -1,   134,   203,
      -1,    -1,   206,    -1,  5088,    -1,    -1,    -1,    -1,    -1,
      -1,   147,   148,    -1,    -1,  5099,    -1,    -1,    -1,    -1,
      -1,   157,    -1,    -1,    -1,   161,    -1,   231,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5121,    -1,    -1,
      -1,    -1,    -1,   179,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3195,   259,    -1,  3198,   262,  3200,
      -1,   232,    -1,   513,    -1,   201,   516,   517,   518,    -1,
     520,   521,   522,   523,   524,   525,   212,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   220,  2519,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   232,  1476,    -1,    -1,
      -1,   237,    -1,   307,    -1,    -1,   310,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   320,  1496,   322,    -1,
      -1,    -1,    -1,    -1,   260,  2559,    -1,    -1,   332,    -1,
    2564,    98,    -1,    -1,  2568,    -1,   340,   104,    -1,    -1,
    1519,  5225,    -1,    -1,    -1,   349,   350,    -1,    -1,   285,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2594,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,
     306,    -1,    -1,    91,    92,    93,  1555,   144,    -1,    -1,
      -1,   385,    -1,    -1,   388,   389,   390,    -1,    -1,    -1,
     108,    -1,  1571,    -1,    -1,    -1,    -1,    -1,   116,    -1,
      -1,    -1,   338,  2637,   122,  4065,    -1,  1586,    -1,    -1,
    1589,   415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2655,   393,   359,    -1,   429,   193,    -1,   146,   196,
      -1,    -1,    -1,   369,    -1,    -1,   203,    -1,  4098,   206,
      -1,  4101,    -1,  4103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2687,    -1,    -1,    -1,   428,    -1,    -1,
     396,    -1,    -1,    -1,   231,   401,    -1,   403,    -1,    -1,
      -1,    -1,    -1,   409,   478,    -1,   412,    -1,  4443,  2462,
      -1,    -1,  4447,    -1,  2718,    -1,    -1,  4147,  2722,    -1,
      -1,    -1,    -1,  4153,  4154,   262,  4156,    -1,    -1,    -1,
      -1,    -1,  4162,    -1,    -1,   441,  2740,    -1,   444,    -1,
      -1,    -1,   448,    -1,    -1,    -1,    -1,  2751,    -1,   455,
      -1,   457,    -1,    -1,    -1,    -1,   462,    -1,    -1,    -1,
    2764,    -1,  2515,    -1,   252,    -1,  2519,  1716,  2772,   257,
      -1,    -1,    -1,    -1,    -1,  1724,  1725,    -1,    -1,    -1,
      -1,   487,  2535,   320,    -1,   322,  1735,    -1,    -1,    -1,
     278,   279,    -1,    -1,    -1,   332,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   340,    -1,   293,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   350,    -1,    -1,    -1,    -1,    -1,    -1,
    5474,    -1,    -1,  2576,  4254,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5487,    -1,    -1,    -1,   325,    -1,    -1,
    1789,  1790,  1791,    -1,    -1,    -1,    -1,    -1,   385,    -1,
     338,   388,   389,   341,  3565,    -1,    -1,    -1,    -1,  3570,
    1809,  4291,  4292,  4293,  4294,  4295,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   415,    -1,
      -1,    -1,  3593,    -1,    -1,    -1,    -1,    -1,  5542,    -1,
    1839,    -1,    -1,    -1,    -1,    -1,    -1,  1846,    -1,    -1,
      -1,    -1,    -1,    -1,  1853,    -1,  4336,    -1,    -1,  4339,
      -1,  4341,    -1,    -1,  1863,    -1,    -1,    -1,    -1,   872,
     873,    -1,    -1,   876,    -1,   878,    -1,    -1,    -1,    -1,
      -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   478,    -1,  4678,    -1,   898,    -1,    -1,  5602,    -1,
      -1,    -1,    -1,    -1,    -1,  1904,  3667,    -1,    -1,    -1,
      -1,    -1,    -1,  3674,    -1,    -1,   919,    -1,    -1,    84,
     923,    -1,    87,    -1,  2727,    -1,    91,    92,    93,    -1,
      -1,    -1,  2735,    -1,  2737,    -1,    -1,    -1,   941,    -1,
      -1,    -1,    -1,   108,    -1,    -1,    -1,  3001,    -1,    -1,
      -1,   116,    -1,    -1,   164,    -1,    -1,   122,    -1,    -1,
      -1,    -1,    -1,  2123,    -1,  3019,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3027,    -1,   513,    -1,    -1,   516,   517,
     518,   146,   520,   521,   522,   523,   524,   525,    -1,  3750,
      -1,    -1,  4472,    -1,   532,  4475,  4476,    -1,    -1,    -1,
      -1,    -1,    -1,   213,    -1,    -1,    -1,  2006,  2168,  2008,
      -1,    -1,  2172,    -1,    -1,   225,    -1,    -1,  2178,  2179,
     230,  4501,    98,    -1,    -1,   235,    -1,    -1,   104,    -1,
     240,    -1,    -1,   243,    -1,    -1,   246,    -1,    -1,    -1,
      -1,  2201,    -1,  4828,    -1,    -1,    -1,    -1,  4833,    -1,
      -1,    -1,    -1,  4838,    -1,    -1,  4841,  4842,  2057,    -1,
      -1,    -1,    -1,    -1,   274,    -1,    -1,    -1,   144,    -1,
      -1,    -1,   863,    -1,    -1,    -1,   867,    -1,    -1,  2078,
      -1,    -1,    -1,  2082,   294,    -1,  4871,   252,    -1,    -1,
     881,    -1,   257,    -1,    -1,  2094,    -1,   888,    -1,    -1,
    4885,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   899,    -1,
      -1,    -1,    -1,   278,   279,    -1,    -1,    -1,    -1,    -1,
     196,    -1,  4602,    -1,   334,    -1,   336,   203,   293,    -1,
     206,    -1,   342,    -1,    -1,    -1,    -1,   928,    -1,    -1,
      -1,    -1,   933,    -1,  4929,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   944,    -1,   231,    -1,    -1,    -1,    -1,
     325,    -1,    -1,  4643,  4644,    -1,    -1,    -1,    -1,    -1,
    2169,  2170,  4652,   338,  4654,  4655,   341,    -1,  4658,   970,
      -1,    -1,   392,  2182,    -1,    -1,   262,  4972,    -1,    -1,
      -1,  3952,  2995,    -1,    -1,   986,    -1,    -1,  2197,  2198,
      -1,   992,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1003,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2219,  4701,    -1,    -1,    -1,    -1,  1017,    -1,    -1,    -1,
      -1,   441,    -1,    -1,    -1,  3289,    -1,    -1,  5023,    -1,
      -1,    -1,    -1,    -1,   320,    -1,   322,    -1,    -1,    -1,
    4730,    -1,    -1,    -1,    -1,   420,   332,   467,    -1,    -1,
    1263,  1264,    -1,    -1,   340,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   350,    -1,    -1,    -1,  3332,    -1,
      -1,   491,  2442,   493,   494,    -1,    -1,    -1,    -1,  4769,
      -1,    -1,    -1,  4773,  4774,    98,  4776,    -1,    -1,    -1,
      -1,   104,    -1,  5088,  4065,    -1,    -1,    -1,    -1,   385,
      -1,    -1,   388,   389,    -1,    -1,    -1,   527,    -1,    -1,
     530,   531,    -1,   533,    -1,  1116,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4097,    -1,    -1,   415,
      -1,   144,  1345,    -1,    -1,    -1,  1137,    -1,   513,    -1,
    2349,   516,   517,   518,    -1,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,    -1,    -1,    -1,   532,  1371,  1372,
      -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,
      92,    93,    -1,    -1,    -1,  3439,    -1,    -1,    -1,  1392,
      -1,    -1,    -1,   196,    -1,    -1,   108,  3200,  3452,    -1,
     203,    -1,   478,   206,   116,    -1,  4167,  4168,    -1,    -1,
     122,    -1,    -1,    -1,  1205,  1206,    -1,    -1,  5203,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   231,    -1,
      -1,    -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,  4919,
      -1,    -1,    -1,    -1,  2443,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   262,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1472,
    1473,    89,    -1,    -1,    -1,    -1,    -1,  3531,    -1,    -1,
      -1,  4961,    -1,    -1,  5269,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,  2498,
      -1,  2500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5294,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   320,    -1,   322,
    2519,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   332,
    4291,  4292,  4293,  4294,  4295,    -1,    -1,   340,    -1,    -1,
     252,    -1,    -1,   161,    -1,   257,    -1,   350,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4319,    -1,
    2559,    -1,    -1,    -1,  2563,  2564,   278,   279,    -1,  2568,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2576,    -1,    -1,
      -1,   293,   385,    -1,    -1,   388,   389,    -1,    -1,  5374,
      -1,   209,    -1,    -1,    -1,  2594,    -1,    -1,    -1,   217,
      -1,   219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   415,   325,   232,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   338,    -1,    98,   341,
      -1,    -1,    -1,    -1,   104,    -1,    -1,    -1,  2637,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3701,    -1,    -1,
    2649,  5436,    -1,    -1,    -1,    -1,  2655,  2656,    -1,    -1,
      -1,    -1,    -1,    -1,  3718,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   144,   478,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1476,    -1,  2686,  2687,  3743,
      -1,  2690,    -1,    -1,    -1,  5175,    -1,  5482,    -1,  5179,
      -1,    -1,    -1,  5488,  5489,  1496,    -1,    -1,   420,  5189,
      -1,    -1,    -1,    84,  4475,    -1,    87,    -1,    -1,  2718,
      91,    92,    93,  2722,    -1,    -1,   196,    -1,  1519,    -1,
      -1,    -1,    -1,   203,    -1,    -1,   206,   108,    -1,    -1,
    4501,  2740,    -1,    -1,    -1,   116,    -1,  2907,    -1,    -1,
      -1,   122,  2751,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   231,  3565,    -1,  1555,  2764,  2926,  3570,    -1,    -1,
      -1,    -1,    -1,  2772,    -1,   146,    -1,    -1,    -1,    -1,
    1571,  2941,    -1,    -1,  2944,  2945,    -1,    -1,    -1,  2949,
    2950,    -1,   262,    -1,    -1,  1586,  2956,    -1,  1589,    -1,
      -1,   513,  4563,    -1,   516,   517,   518,    -1,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,    -1,   530,    -1,
      -1,    -1,  5607,    -1,  4585,  4586,    -1,  2826,    -1,  4590,
    4591,    -1,    -1,    -1,  5619,  5620,    -1,    -1,    -1,    -1,
      -1,  4602,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     320,    -1,   322,    98,  5334,    -1,    -1,    -1,  5338,   104,
    5340,    -1,   332,    -1,  5344,  5345,    -1,    -1,    -1,  3029,
     340,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     350,   252,    -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,
      -1,    -1,    -1,  2892,    -1,    -1,    -1,    -1,    -1,   144,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   278,   279,    -1,
      -1,    -1,    -1,    -1,    -1,   385,    -1,    -1,   388,   389,
      -1,    -1,   293,    -1,    -1,  1716,  1929,    -1,    -1,    -1,
      -1,    -1,    -1,  1724,  1725,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1735,   415,    -1,  3750,    -1,    -1,
      -1,   196,    -1,    -1,   325,  2954,    -1,    -1,   203,  4013,
      -1,   206,    -1,    -1,    -1,    -1,    -1,   338,    -1,    -1,
     341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,
    1993,  1994,  1995,  1996,    -1,    -1,    -1,    -1,  1789,  1790,
    1791,    -1,  3001,    -1,    -1,    -1,    -1,    -1,   478,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   262,  1809,    -1,
    3019,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3027,    -1,
      -1,    -1,    -1,    -1,  2037,  2038,    -1,    -1,    -1,    -1,
      -1,    -1,  5522,  2046,    -1,    -1,    -1,    -1,  1839,   420,
      -1,    -1,    -1,  2056,    -1,  1846,  5536,    -1,    -1,    -1,
      -1,    -1,  1853,    -1,  4118,    -1,    -1,  4121,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   320,    -1,   322,    -1,    -1,
      -1,  2084,  2085,  2086,  2087,    -1,    -1,   332,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   340,    -1,    -1,  4859,    -1,
      -1,    -1,    -1,    -1,  3103,   350,    -1,    -1,    -1,    -1,
    3109,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5599,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,
      -1,    87,    -1,    -1,    -1,    91,    92,    93,  5618,    -1,
     385,    -1,   513,   388,   389,   516,   517,   518,    -1,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,  4919,   530,
     116,  3321,    -1,    -1,    -1,    -1,   122,  4221,    -1,    -1,
     415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2181,    -1,
      -1,  2184,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     146,  2194,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2203,  3200,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,
      91,    92,    93,    -1,    -1,  2006,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,
      -1,    -1,    -1,   478,    -1,   116,    -1,    -1,    -1,    -1,
    3400,   122,  3402,    -1,    -1,   863,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4065,   881,    -1,   146,  2057,    -1,  4322,    -1,
     888,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   899,    -1,    -1,    -1,    -1,    -1,  2078,    -1,    -1,
    3289,  2082,    -1,    -1,  4097,    -1,   252,    -1,    -1,    -1,
      -1,   257,    -1,  2094,    -1,    -1,  3305,  3306,    -1,    -1,
     928,    -1,    -1,    -1,    -1,   933,    -1,    -1,    -1,    -1,
      -1,    -1,   278,   279,    -1,    -1,   944,    -1,    -1,    -1,
      -1,    -1,    -1,  3332,    -1,    -1,  3335,   293,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2352,
      -1,  3511,   970,    -1,    -1,    -1,    -1,  3517,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   986,   325,
      -1,   252,    -1,    -1,   992,    -1,   257,    -1,  2169,  2170,
      -1,    -1,   338,    -1,    -1,  1003,    -1,    -1,    -1,    -1,
      -1,  2182,    -1,    -1,    -1,    -1,    -1,   278,   279,  1017,
      -1,    -1,    -1,    -1,    -1,    -1,  2197,  2198,    -1,    -1,
      -1,    -1,   293,    -1,  5175,    -1,  3415,  3416,  3417,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   164,    -1,  2219,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3439,    -1,    -1,    -1,   325,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3452,    -1,  3454,    -1,   338,  3457,    -1,
     341,    -1,    -1,    -1,   420,    -1,    -1,  3466,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   213,    -1,    -1,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    87,    -1,   225,    -1,    91,
      92,    93,   230,  5254,    -1,    -1,  1114,   235,  1116,    -1,
    1118,  3661,   240,    -1,    -1,   243,   108,    -1,   246,    -1,
      -1,    -1,    -1,    -1,   116,    -1,  4319,    -1,    -1,    -1,
     122,    -1,    -1,    -1,  3684,  3685,    -1,  3687,  4582,  3689,
    3690,    -1,  3531,    -1,    -1,    -1,   274,    -1,    -1,   420,
    4594,    -1,  3702,    -1,   146,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   294,   513,  2349,    -1,
     516,   517,   518,    -1,   520,   521,   522,   523,   524,   525,
    3569,    -1,    -1,    -1,    -1,    -1,    -1,  3576,    -1,  3578,
      -1,    -1,  3742,    -1,    -1,    -1,    -1,  1205,  1206,    -1,
      -1,  3590,    -1,  3592,    -1,    -1,   334,    -1,   336,    -1,
      98,    -1,    -1,    -1,   342,    -1,   104,  2610,  2611,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2619,    98,  2621,    -1,
      -1,    -1,  2625,   104,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   513,    -1,    -1,   516,   517,   518,    -1,   520,
     521,   522,   523,   524,   525,    -1,   144,  3646,    -1,   530,
     252,    -1,  2443,    -1,   392,   257,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   144,    -1,    -1,    -1,    -1,    -1,    -1,
    1288,  1289,    -1,    -1,    -1,    -1,   278,   279,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,
      -1,    -1,  3701,   441,    -1,   203,    -1,  2498,   206,  2500,
      -1,    -1,    -1,    -1,  4768,   196,    -1,    -1,    -1,  3718,
      -1,    -1,   203,   325,    -1,   206,    -1,    -1,  2519,   467,
    2733,    -1,    -1,   231,    -1,    -1,   338,    -1,    -1,   341,
      -1,  3740,    -1,    -1,  3743,    -1,    -1,    -1,    -1,    -1,
     231,    -1,    -1,   491,    -1,   493,   494,    -1,    -1,    -1,
    4563,    -1,    -1,    -1,   262,    -1,    -1,    -1,  2559,    -1,
      -1,    -1,  2563,  2564,    -1,  5536,    -1,  2568,    -1,    -1,
      -1,   262,    -1,    -1,    -1,  2576,  2789,    -1,    -1,   527,
      -1,    -1,   530,   531,  2797,   533,  2799,    -1,    -1,  4602,
      -1,    -1,  2805,  2594,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,
      -1,  3820,   320,    84,   322,  4879,    87,  4881,    -1,    -1,
      91,    92,    93,    -1,   332,    -1,    -1,    -1,  5599,   320,
      -1,   322,   340,    -1,    -1,    -1,  2637,   108,    -1,    -1,
      -1,   332,   350,    -1,    -1,   116,    -1,  5618,  1476,   340,
      -1,   122,    -1,    -1,  2655,  2656,    -1,    -1,    -1,   350,
      -1,    -1,    -1,    -1,  2877,    -1,    -1,    -1,  1496,    -1,
      -1,    -1,    -1,    -1,    -1,   146,    -1,   385,    -1,    -1,
     388,   389,    -1,    -1,    -1,  2686,  2687,    -1,    -1,  2690,
      -1,  1519,    -1,    -1,   385,    -1,    -1,   388,   389,    -1,
      -1,   513,    -1,    -1,   516,   517,   518,   415,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,  2718,   530,    -1,
    2933,  2722,  2935,    -1,   415,    -1,    -1,  1555,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2740,
      -1,    -1,    -1,  1571,    -1,    -1,    -1,    -1,    -1,    -1,
    2751,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1586,    -1,
      -1,  1589,    -1,  2764,    -1,    -1,    -1,    -1,    -1,    -1,
     478,  2772,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   252,    84,    -1,    -1,    87,   257,   478,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4013,    -1,   108,   278,   279,    -1,
      -1,    -1,    -1,    -1,   116,    -1,   164,    -1,    -1,    -1,
     122,    -1,   293,    -1,    -1,  2826,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3048,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,
    4059,    -1,    -1,    -1,   325,  4064,    -1,  4066,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   213,    -1,   338,    -1,    -1,
     341,    -1,    -1,    -1,    -1,    -1,    -1,   225,    -1,    -1,
      -1,    -1,   230,    -1,    -1,    -1,    -1,   235,  1716,    -1,
      -1,  2892,   240,    -1,    -1,   243,  1724,  1725,   246,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4919,  1735,    -1,  4118,
      -1,    -1,  4121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   274,    -1,  4298,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4306,  4307,  4308,  4309,
      -1,    -1,    -1,    -1,    -1,    -1,   294,    -1,    -1,   420,
     252,    -1,    -1,  2954,    -1,   257,    -1,    -1,    -1,    -1,
      -1,  1789,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   278,   279,    -1,    -1,
      -1,  1809,    -1,    -1,    -1,    -1,   334,    -1,   336,    -1,
      -1,   293,    -1,    -1,   342,    -1,    -1,  4206,  4207,    -1,
    3001,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4219,    -1,  4221,    -1,    -1,    -1,    -1,    -1,  3019,    -1,
      -1,    -1,    -1,   325,    -1,  1853,  3027,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1863,   338,    -1,    -1,   341,
      -1,    -1,   513,    -1,   392,   516,   517,   518,    -1,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,    84,   530,
      -1,    87,    -1,    -1,    -1,    91,    92,    93,    -1,    98,
      -1,    -1,    -1,    -1,    -1,   104,  1904,    -1,    -1,    -1,
      -1,  4290,   108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     116,    -1,    -1,   441,    -1,    -1,   122,    -1,    -1,    -1,
      -1,    -1,  3103,    -1,    -1,    -1,    -1,    -1,  3109,    -1,
      -1,    -1,    -1,  4322,    -1,   144,    -1,    -1,   420,   467,
     146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3344,    -1,  3346,  3347,  3348,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   491,    -1,   493,   494,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5424,    -1,  5175,  4533,    -1,    -1,    -1,   196,    -1,    -1,
      -1,    -1,    -1,    -1,   203,    -1,    -1,   206,  2006,   527,
    2008,    -1,   530,   531,    -1,   533,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4567,  4568,  3200,
      -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   513,    -1,    -1,   516,   517,   518,    -1,   520,   521,
     522,   523,   524,   525,    -1,    -1,   252,    84,   530,  2057,
      87,   257,    -1,   262,    91,    92,    93,    -1,    -1,    -1,
      -1,  5254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2078,   108,   278,   279,  2082,    -1,    -1,    -1,    -1,   116,
      -1,    -1,    -1,    -1,    -1,   122,  2094,   293,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4646,  4647,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3289,   146,
      -1,   320,    -1,   322,    -1,    -1,    -1,    -1,    -1,   325,
      -1,    -1,    -1,   332,  3305,  3306,    -1,    -1,    -1,    -1,
      -1,   340,   338,    -1,    -1,   341,    -1,    -1,    -1,    -1,
      -1,   350,    -1,    -1,    -1,  3538,    -1,    -1,    -1,    -1,
      -1,  3332,    -1,    -1,  3335,    -1,    -1,    -1,    -1,    -1,
      -1,  2169,  2170,  4552,    -1,    -1,    -1,    -1,  4557,    -1,
      -1,    -1,    -1,    -1,  2182,    -1,   385,    -1,    -1,   388,
     389,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2197,
    2198,  4741,    -1,  4582,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4751,  4752,    -1,    -1,  4594,   415,    -1,    -1,    -1,
      -1,  2219,  4601,    -1,   420,   252,    -1,  4767,    -1,    -1,
     257,    -1,    -1,    -1,    -1,    -1,  4615,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3415,  3416,  3417,    -1,    -1,    -1,
      -1,   278,   279,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   293,    -1,  3439,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   478,
      -1,  3452,    -1,  3454,    -1,    -1,  3457,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3466,    -1,    -1,   325,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3691,    -1,
    3693,   338,    -1,    -1,  3697,    -1,    -1,   513,    -1,    -1,
     516,   517,   518,   981,   520,   521,   522,   523,   524,   525,
      -1,    -1,    -1,    -1,   530,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1002,    -1,    -1,    -1,    -1,    -1,
      -1,  2349,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,
    3531,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,
    3753,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,  4768,
      -1,    -1,   122,   420,    -1,    -1,    -1,    -1,  3569,    -1,
      -1,    -1,    -1,    -1,    -1,  3576,    -1,  3578,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    84,   146,    -1,    87,  3590,
      -1,  3592,    91,    92,    93,    -1,    -1,    -1,   981,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,  1002,
      -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3646,    -1,   146,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   513,    -1,    -1,   516,
     517,   518,    -1,   520,   521,   522,   523,   524,   525,    -1,
    4879,    -1,  4881,    -1,    -1,    -1,    -1,    -1,  5048,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2519,   252,    -1,    -1,    -1,    -1,   257,    -1,    -1,
    3701,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4920,    -1,    -1,    -1,    -1,    -1,  3718,   278,   279,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2559,    -1,   293,    -1,  2563,  2564,    -1,    84,  3740,
    2568,    87,  3743,    -1,    -1,    91,    92,    93,  2576,    -1,
      -1,    -1,    -1,   252,    -1,    -1,  5126,  4966,   257,    -1,
      -1,    -1,   108,    -1,    -1,   325,  2594,    -1,    -1,    -1,
     116,    -1,    -1,    -1,    -1,    -1,   122,    -1,   338,   278,
     279,   341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4003,  4004,  4005,  4006,   293,    -1,    -1,    -1,    -1,    84,
     146,  5171,    87,    -1,    -1,    -1,    91,    92,    93,  2637,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3820,
      -1,  2649,    -1,   108,    -1,    -1,   325,  2655,  2656,    -1,
      -1,   116,    -1,    -1,  1322,    -1,    -1,   122,    -1,   338,
      -1,    -1,   341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1342,    -1,    -1,    -1,  2686,  2687,
     420,   146,  2690,    -1,    -1,    -1,    -1,    -1,  1356,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2718,    -1,    -1,    -1,  2722,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,
      -1,   257,  2740,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   420,    -1,  2751,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   278,   279,    -1,  5144,  2764,    -1,    -1,  1322,
      -1,    -1,    -1,    -1,  2772,    -1,    -1,   293,    -1,    -1,
      -1,    -1,    -1,   513,    -1,    -1,   516,   517,   518,  1342,
     520,   521,   522,   523,   524,   525,  5175,   252,  4181,    -1,
     530,    -1,   257,  1356,    -1,    -1,    -1,    -1,    -1,   325,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   338,   278,   279,   341,    -1,    -1,  2826,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   293,    -1,
      -1,    -1,  4013,    -1,   513,    -1,    -1,   516,   517,   518,
      -1,   520,   521,   522,   523,   524,   525,    -1,    -1,    -1,
      -1,   530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   338,    -1,  1438,   341,    -1,  4059,    -1,
      -1,    -1,    -1,  4064,  2892,  4066,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,
      -1,  1569,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4118,    -1,    -1,
    4121,    -1,    -1,  5332,    -1,  5334,  2954,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   420,    -1,    -1,  5508,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,    -1,    -1,
     516,   517,   518,  3001,   520,   521,   522,   523,   524,   525,
      -1,    -1,    -1,    -1,   530,    -1,  1569,    -1,    -1,    -1,
      -1,  3019,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3027,
      -1,    -1,    -1,    -1,    -1,  4206,  4207,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5424,    -1,    -1,  4219,    -1,
    4221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,    -1,
      -1,   516,   517,   518,    -1,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,    -1,   530,    -1,    -1,    -1,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    84,    -1,    -1,    87,
      -1,    -1,    -1,    91,    92,    93,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3103,    84,    -1,    -1,    87,
     108,  3109,    -1,    91,    92,    93,   131,    -1,   116,  4290,
      -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,
     108,    -1,    -1,    -1,    -1,    -1,    -1,   152,   116,    -1,
      -1,    -1,    -1,  5522,   122,    -1,    -1,    -1,   146,    -1,
      -1,  4322,    -1,    -1,    -1,   170,    -1,  5536,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1719,    -1,   146,    -1,
     185,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   193,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   208,    -1,   210,    -1,    -1,    -1,   214,
      -1,    -1,  3200,    -1,    -1,    -1,    -1,    -1,    -1,   224,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   233,    -1,
    5599,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5618,
      -1,    -1,  4625,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   252,    -1,    -1,  4640,    -1,   257,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,   257,
     278,   279,    -1,    -1,    -1,    -1,    -1,    -1,  1946,    -1,
      -1,  3289,    -1,    -1,  1847,   293,    -1,    -1,    -1,    -1,
     278,   279,    -1,    -1,    -1,    -1,    -1,  3305,  3306,    -1,
      -1,    -1,    -1,    -1,    -1,   293,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4706,    -1,    -1,    -1,   325,    -1,    -1,
      -1,    -1,    -1,    -1,  3332,    -1,    -1,  3335,    -1,    -1,
     338,    -1,    -1,   341,    -1,    -1,    -1,   325,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1912,
     338,    -1,    -1,   341,    -1,    -1,    -1,    -1,    -1,    -1,
    2028,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4552,    -1,    -1,    -1,  2043,  4557,    -1,    -1,    -1,
      -1,    -1,    -1,  1946,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2062,    -1,    -1,    -1,    -1,    -1,
      -1,  4582,    -1,    -1,    -1,    -1,    -1,  3415,  3416,  3417,
      -1,    -1,   420,  4594,    -1,    -1,    -1,    -1,    -1,    -1,
    4601,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3439,   420,    -1,  4615,    -1,    -1,    -1,    -1,    -1,
      -1,  2109,    -1,    -1,  3452,    -1,  3454,    -1,    -1,  3457,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3466,    -1,
    2128,    -1,    -1,    -1,    -1,  2028,    -1,    -1,    -1,    -1,
      -1,    -1,  2140,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2043,    -1,    -1,    -1,  2152,    -1,    -1,    -1,  2051,    -1,
      -1,    -1,    -1,    -1,  4887,  4888,  4889,    -1,    -1,  2062,
      -1,    -1,    -1,    -1,    -1,   513,    -1,    -1,   516,   517,
     518,    -1,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,    -1,   530,  3531,  2192,   513,    -1,  2195,   516,   517,
     518,    -1,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,    -1,   530,    -1,    -1,    -1,  2109,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3569,    -1,    -1,    -1,  2128,    -1,    -1,  3576,    -1,
    3578,    -1,    -1,    -1,    -1,    -1,    -1,  2140,    -1,    -1,
      -1,    -1,  3590,    84,  3592,    -1,    87,  4768,    -1,  2152,
      91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    87,    -1,   108,    -1,    91,
      92,    93,    -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,
      -1,   122,    -1,    -1,    -1,    -1,   108,    -1,  5021,  2192,
      -1,    -1,  2195,    -1,   116,    -1,   661,    -1,  3646,    -1,
     122,    -1,    -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2344,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3701,    -1,    -1,    -1,    -1,  4879,    -1,
    4881,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3718,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3740,    -1,    -1,  3743,    -1,    -1,    -1,  4920,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   252,    -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     252,    -1,    -1,    -1,  5167,   257,  5169,   278,   279,    -1,
      -1,  2344,    -1,    -1,    -1,  4966,    -1,    -1,    -1,    -1,
      -1,    -1,   293,    -1,    -1,    -1,   278,   279,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   293,  3820,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   325,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   338,    -1,    -1,
     341,    -1,    -1,   325,    -1,    -1,   871,   872,   873,   874,
      -1,   876,    -1,   878,    -1,   880,   338,   882,    -1,   341,
     885,    -1,    -1,    -1,    -1,    -1,   891,    -1,    -1,   894,
      -1,    -1,    -1,   898,    -1,   900,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   908,    -1,    -1,    -1,    -1,    -1,   914,
      -1,   916,    -1,    -1,   919,    -1,   921,    -1,   923,    -1,
      -1,    -1,    -1,    -1,    -1,   930,    -1,  5300,    -1,   934,
      -1,    -1,    -1,    -1,    -1,    -1,   941,    -1,    -1,   420,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,
      -1,    -1,    -1,    -1,  2612,    -1,    -1,    -1,    -1,    -1,
     975,    -1,    -1,    -1,    -1,   980,  2624,    -1,    -1,    -1,
     985,    -1,    -1,  5144,   989,    -1,    84,    -1,    -1,    87,
      -1,    -1,    -1,    91,    92,    93,  5369,    -1,    -1,    -1,
      -1,  1006,  2545,    -1,    -1,    -1,  2549,  2550,    -1,    -1,
     108,    -1,    -1,    -1,  5175,    -1,  2664,    -1,   116,    -1,
      -1,    -1,    -1,    -1,   122,  4013,    -1,    -1,    -1,    -1,
      -1,    -1,   513,    -1,    -1,   516,   517,   518,    -1,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,   146,   530,
      -1,   513,    -1,    -1,   516,   517,   518,  1062,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,    -1,   530,  2612,
      -1,  4059,  1077,  5446,  1079,    -1,  4064,    -1,  4066,    -1,
      -1,  2624,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1107,  1108,    -1,    -1,    -1,  1112,  1113,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2664,    -1,    -1,    -1,    -1,    -1,  1132,    -1,    -1,
    4118,  1136,    -1,  4121,    -1,    -1,    -1,    -1,    -1,  1144,
      -1,    -1,    -1,    -1,  5517,    -1,    -1,    -1,    -1,    -1,
    1155,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,   257,
      -1,    -1,  1167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2818,  5332,    -1,  5334,    -1,    -1,    -1,    -1,    -1,    -1,
     278,   279,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   293,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4206,  4207,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   325,    -1,    -1,
      -1,  4219,    -1,  4221,    -1,    -1,    -1,    -1,    -1,    -1,
     338,    -1,    -1,   341,  1249,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1258,    -1,     3,    -1,    -1,  1263,  1264,
      -1,     9,    -1,  5424,    -1,    13,    -1,    15,    -1,    17,
      18,    -1,    -1,    -1,    -1,  2818,    -1,    -1,    -1,    -1,
      28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    44,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1315,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1326,   420,    -1,    -1,  1330,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4322,    -1,    -1,    -1,    -1,    -1,
    1345,    -1,    -1,    -1,    -1,  2888,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   104,    -1,   106,   107,
    1365,  5522,    -1,    -1,    -1,    -1,  1371,  1372,    -1,  3017,
      -1,    -1,    -1,   121,    -1,  5536,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1388,  1389,  1390,  3034,  1392,    -1,  1394,
      -1,    -1,    -1,   141,  1399,   143,   144,  3045,    -1,    -1,
      -1,   149,    -1,   151,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   162,   513,   164,    -1,   516,   517,
     518,    -1,   520,   521,   522,   523,   524,   525,    -1,    -1,
      -1,   179,   530,   181,    -1,    -1,   184,    -1,  5599,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   197,
      -1,   199,    -1,    -1,    -1,   203,    -1,  5618,    -1,    -1,
      -1,   209,    -1,    -1,    -1,  1470,    -1,  1472,  1473,   217,
      -1,   219,    -1,    -1,  3017,    -1,    -1,   225,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3034,   240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3045,    -1,    -1,    -1,  1511,    -1,   256,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1549,  1550,    -1,   295,   296,  1554,
      -1,  1556,    -1,   301,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4552,   313,    -1,    -1,    -1,  4557,
      -1,    -1,    -1,    -1,    -1,    -1,   324,  1582,    -1,    -1,
    1585,    -1,    -1,  1588,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4582,  1600,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4594,    -1,    -1,    -1,
      -1,    -1,    -1,  4601,    -1,    -1,   364,    -1,    -1,    -1,
      -1,    -1,    -1,  1628,    -1,    -1,    -1,  4615,   376,    -1,
      -1,    -1,    -1,   381,   382,    -1,   384,    -1,    -1,    -1,
      -1,   389,    -1,    -1,    -1,    -1,   394,    -1,    -1,   397,
      -1,  1656,  1657,  1658,   402,  1660,    -1,    -1,    -1,   407,
     408,    -1,    -1,    -1,    -1,    -1,    -1,   415,    -1,    -1,
      -1,   419,    -1,    -1,    -1,  1680,    -1,    -1,    -1,    -1,
      -1,   429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3338,    -1,    -1,   441,    -1,    -1,    -1,  1702,  1703,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3355,    -1,    -1,
      -1,    -1,   460,    -1,   462,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   470,    -1,    -1,    -1,  1731,    -1,   476,  1734,
      -1,    -1,    -1,   481,  3277,    -1,    -1,  3280,    -1,  3282,
      -1,    -1,    -1,    -1,  3287,    -1,   494,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1764,
      -1,    -1,    -1,  1768,  1769,    -1,    -1,   515,    -1,    -1,
      -1,    -1,    -1,    -1,  1779,  1780,  1781,    -1,    -1,    -1,
    4768,   529,    -1,    -1,    -1,   533,    -1,    -1,    -1,    84,
      -1,    -1,    87,    -1,    -1,  3338,    91,    92,    93,    -1,
      -1,  3449,  1807,  3451,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3355,   108,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   116,    -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3380,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3512,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3537,
      -1,  4879,    -1,  4881,  1899,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3449,    -1,  3451,    -1,
      -1,    -1,  1917,  1918,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1926,    -1,    -1,  1929,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4920,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1948,    -1,  1950,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1958,    -1,    -1,  1961,   252,    -1,    -1,
      -1,    -1,   257,    -1,    -1,    -1,    -1,    -1,    -1,  3512,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4966,    -1,
    1985,  3629,    -1,   278,   279,    -1,    -1,    -1,  1993,  1994,
    1995,  1996,  1997,    -1,  3537,    -1,    -1,    -1,   293,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2011,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3662,    -1,    -1,    -1,  2023,    -1,
    2025,    -1,  3565,    -1,    -1,    -1,    -1,  3570,    -1,    -1,
     325,    -1,  2037,  2038,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2046,    -1,   338,    -1,    -1,   341,    -1,    -1,    -1,
      -1,  2056,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2075,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2084,
    2085,  2086,  2087,    -1,    -1,    -1,  3629,    -1,    -1,    -1,
      -1,  2096,    -1,    -1,    -1,    -1,    -1,    -1,  2103,    -1,
      -1,  2106,    -1,    -1,  3647,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3763,    -1,  2122,    -1,  3662,
      -1,    -1,    -1,    -1,  2129,   420,    -1,    -1,    -1,  2134,
      -1,    -1,    -1,    -1,    -1,    -1,  3784,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5144,    -1,    -1,    -1,
      -1,  3809,  2167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2177,    -1,    -1,    -1,  2181,    -1,    -1,  2184,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5175,    -1,  2194,
      -1,    -1,    -1,    -1,    -1,  3843,    -1,  2202,  2203,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2216,    -1,    -1,    -1,    -1,    -1,    -1,   513,    -1,
    3763,   516,   517,   518,    -1,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,    -1,   530,    -1,    -1,    -1,    -1,
      -1,  3784,    -1,    -1,    -1,  2250,    -1,    -1,    -1,    -1,
      -1,    -1,  2257,    -1,  2259,    -1,    -1,    -1,  2263,  2264,
      -1,  2266,    -1,    -1,    -1,    -1,  3809,    -1,  2273,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2283,    -1,
      -1,    -1,    -1,  2288,  2289,    -1,    -1,  2292,    -1,    -1,
      -1,  2296,  2297,    -1,    -1,    -1,    -1,  2302,  2303,    -1,
    3843,    -1,    -1,    -1,  2309,  2310,  2311,    -1,    -1,    -1,
    2315,  2316,  2317,  2318,  2319,  2320,  2321,  2322,    -1,  2324,
      -1,  2326,  2327,    -1,    -1,  2330,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2345,  2346,  2347,  2348,  5332,    -1,  5334,  2352,  2353,    -1,
      -1,    -1,  2357,    -1,    -1,  2360,    -1,    -1,  2363,  2364,
    2365,  2366,  2367,  2368,  2369,  2370,  2371,    -1,  2373,    -1,
      -1,    -1,    -1,    -1,    -1,  2380,  2381,    -1,    -1,  2384,
      -1,    -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,
      -1,    91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2406,    -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,
      -1,    -1,   122,  3966,   101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5424,    -1,    -1,  2444,
      -1,  2446,    -1,  2448,    -1,    -1,   146,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2483,    -1,
      -1,    -1,    -1,    -1,   161,  2490,    -1,  2492,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   179,    -1,    -1,    -1,    -1,    -1,   185,    -1,
      -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,
      92,    93,  4065,    -1,   201,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5522,   212,   108,    -1,    -1,    -1,
      -1,    -1,    -1,   220,   116,    -1,    -1,    -1,  5536,    -1,
     122,    -1,   252,    -1,    -1,   232,    -1,   257,    -1,    -1,
     237,    -1,  4210,    -1,  2569,    -1,   243,    -1,    -1,    -1,
      -1,    -1,    -1,  2578,   146,  2580,    -1,    -1,   278,   279,
      -1,    -1,    -1,   260,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2597,   293,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2608,    -1,  2610,  2611,    -1,   285,    -1,
    2615,  5599,  2617,    -1,  2619,    -1,  2621,    -1,    -1,    -1,
    2625,    -1,    -1,  2628,    -1,   325,    -1,    -1,    -1,   306,
    5618,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   338,    -1,
      -1,   341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2659,    -1,    -1,    -1,    -1,    -1,
      -1,   338,  2667,    -1,    -1,    -1,    -1,  4210,    -1,  2674,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2683,    -1,
     252,    -1,   359,    -1,    -1,   257,    -1,    -1,    -1,    -1,
      -1,    -1,   369,    -1,    -1,    -1,    -1,  2702,    -1,    -1,
      -1,    -1,  2707,  2708,    -1,    -1,   278,   279,    -1,    -1,
      -1,  2716,    -1,    -1,    -1,  4258,    -1,    -1,    -1,   396,
     420,   293,    -1,    -1,   401,    -1,   403,    -1,  2733,    -1,
      -1,    -1,   409,    -1,    -1,   412,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   325,    -1,  2760,    -1,  2762,  2763,  4407,
      -1,    -1,    -1,   440,   441,    -1,   338,   444,    -1,   341,
      -1,   448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     457,    -1,    -1,    -1,  2789,   462,    -1,    -1,    -1,    -1,
      -1,    -1,  2797,    -1,  2799,    -1,    -1,   474,    -1,    -1,
    2805,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     487,    -1,  2817,   513,    -1,    -1,   516,   517,   518,    -1,
     520,   521,   522,   523,   524,   525,  2831,    -1,    -1,  2834,
     530,  2836,    -1,    -1,  2839,    -1,    -1,  2842,    -1,    -1,
      -1,    -1,    84,    -1,    -1,    87,    -1,    -1,   420,    91,
      92,    93,    -1,    -1,  4397,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2868,  4407,    -1,   108,    -1,    -1,    -1,
      -1,    -1,  2877,  2878,   116,    -1,    -1,    -1,    -1,    -1,
     122,    -1,    -1,    -1,    -1,    -1,    -1,  4535,  2893,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2904,
      -1,    -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2918,  2919,    -1,    -1,    -1,  4566,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2931,    -1,  2933,  2934,
    2935,  2936,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4587,
      -1,   513,    -1,    -1,   516,   517,   518,    -1,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,  2962,   530,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2983,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4535,    -1,    -1,    -1,    -1,  4645,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     252,    -1,    -1,    -1,    -1,   257,  3021,    -1,    -1,    -1,
      -1,    -1,    -1,  4566,    -1,    -1,  3031,    -1,    -1,    -1,
      -1,    -1,  3037,    -1,    -1,    -1,   278,   279,    -1,    -1,
      -1,    -1,    -1,  3048,  4587,    -1,    -1,    -1,    -1,  3054,
      -1,   293,    -1,    -1,  3059,    -1,    -1,    -1,    -1,  4602,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3082,  3083,  3084,
      -1,    -1,  3087,   325,    -1,  4733,    -1,    -1,    -1,    -1,
    3095,  3096,  3097,  3098,    -1,    -1,   338,    -1,    -1,   341,
      -1,    -1,  4645,  3108,    -1,    -1,  3111,    -1,  3113,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3124,
    3125,    84,    -1,  3128,    87,    -1,    -1,    -1,    91,    92,
      93,    -1,    -1,    -1,    -1,  3140,    -1,  3142,    -1,  3144,
    4788,  3146,    -1,    -1,    -1,   108,    -1,    -1,    -1,   112,
      -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,   122,
      -1,  3166,    -1,    -1,    -1,  3170,    -1,    -1,    -1,    -1,
      -1,    -1,  3177,    -1,  3179,  3180,  3181,    -1,   420,    -1,
      -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,
    4733,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3204,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3217,    -1,    -1,    -1,    -1,  3222,    -1,    -1,
      -1,    -1,    -1,  3228,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   194,    -1,  3238,    -1,    -1,  3241,    -1,    -1,  3244,
      -1,  3246,    -1,    -1,    -1,  4788,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   513,    -1,    -1,   516,   517,   518,    -1,   520,   521,
     522,   523,   524,   525,    -1,    -1,   528,    -1,    -1,   252,
      84,    -1,    -1,    87,   257,    -1,    -1,    91,    92,    93,
      -1,    -1,    -1,    -1,    -1,    -1,  3311,    -1,  3313,    -1,
      -1,    -1,    -1,  3318,   108,   278,   279,    -1,    -1,    -1,
      -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,   122,    -1,
     293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3344,
      -1,  3346,  3347,  3348,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   325,    98,    -1,    -1,    -1,    -1,    -1,   104,
      -1,    -1,    -1,    -1,    -1,   338,  4919,    -1,   341,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   129,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5056,   144,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   230,    -1,    -1,    -1,
      -1,   235,   177,    -1,    -1,    -1,  5094,    -1,    -1,    -1,
    3455,    -1,    -1,    -1,    -1,    -1,    -1,   420,   252,    -1,
      -1,   196,    -1,   257,    -1,    -1,    -1,    -1,   203,    -1,
      -1,   206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5025,    -1,   278,   279,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,   293,
      -1,    -1,  5150,    -1,    -1,    -1,  5154,  5155,    -1,    -1,
      -1,    -1,   475,  5056,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   259,    -1,    -1,   262,    -1,    -1,
      -1,   325,    -1,  3538,    -1,    -1,    -1,    -1,    -1,    -1,
    3545,  3546,    -1,    -1,   338,    -1,    -1,   341,    -1,    -1,
     513,  5094,    -1,   516,   517,   518,    -1,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   307,    -1,    -1,   310,    -1,  3582,  3583,    -1,
      -1,    -1,    -1,    -1,    -1,   320,   116,   322,    -1,    -1,
      -1,    -1,    -1,  3598,    -1,    -1,  5244,   332,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   340,    -1,  5150,  3613,  3614,
      -1,  5154,  5155,    -1,   349,   350,    -1,  3622,  3623,  3624,
      -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,    -1,    -1,
      -1,   161,    -1,    -1,    -1,  3640,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     385,    -1,  3657,   388,   389,   390,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3674,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   209,
     415,    -1,    -1,    -1,    -1,    -1,  3691,   217,  3693,   219,
      -1,    -1,  3697,    -1,   429,    -1,    -1,    -1,    -1,    -1,
      -1,  5244,   232,    -1,    -1,    -1,    -1,    -1,    -1,    84,
    3715,    -1,    87,    -1,    -1,    -1,    91,    92,    93,   513,
    3725,    -1,   516,   517,   518,    -1,   520,   521,   522,   523,
     524,   525,    -1,   108,    -1,    -1,  3741,    -1,    -1,    -1,
      -1,   116,    -1,   478,    -1,    -1,    -1,   122,  3753,    -1,
      -1,    -1,    -1,    -1,    -1,  3760,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3769,    -1,    -1,    -1,    -1,    -1,
    3775,   146,  3777,    -1,    -1,  3780,    -1,    -1,    -1,    -1,
    3785,  3786,  3787,  3788,    -1,    -1,  3791,  3792,  3793,  3794,
    3795,  3796,  3797,  3798,  3799,  3800,    -1,    -1,    -1,  3804,
    3805,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3814,
      -1,    -1,    -1,  3818,    -1,    -1,    -1,  3822,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3830,    -1,    -1,  3833,    -1,
    3835,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3844,
      -1,    -1,  3847,  3848,    -1,    -1,    -1,  3852,  3853,    -1,
      -1,    -1,  3857,    -1,  3859,    -1,    -1,    -1,    -1,    -1,
      -1,  3866,  3867,  3868,  3869,    -1,  3871,  3872,    -1,    -1,
      -1,  3876,  3877,    -1,    -1,    -1,    -1,   252,  3883,    -1,
      -1,    -1,   257,    -1,  3889,  3890,  3891,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   278,   279,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   293,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3937,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3948,    -1,  3950,    -1,    -1,    -1,    -1,
     325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   338,    -1,    -1,   341,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3981,  3982,  3983,    -1,
    3985,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   363,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4003,  4004,
    4005,  4006,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4032,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,    -1,
      -1,  4046,    -1,    -1,    -1,   420,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,
      -1,   436,    -1,    -1,    -1,    -1,    -1,    -1,    35,    36,
      -1,    -1,    -1,    40,    -1,    42,    43,    -1,    -1,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    -1,    72,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4136,    -1,    -1,    -1,    -1,    -1,    -1,   513,    -1,
      -1,   516,   517,   518,    -1,   520,   521,   522,   523,   524,
     525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     137,    -1,    -1,    -1,  4179,    -1,  4181,    -1,  4183,    -1,
      -1,    -1,    -1,    -1,  4189,    -1,    -1,    -1,    -1,    -1,
    4195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4204,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4224,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4234,
      -1,    -1,    -1,    -1,    -1,    -1,  4241,    -1,    -1,    -1,
      -1,    -1,    -1,   210,    -1,    -1,  4251,    -1,    -1,    -1,
    4255,    -1,    -1,    -1,  4259,  4260,    -1,    -1,    -1,    -1,
      -1,   228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   249,    -1,    -1,    -1,  4291,  4292,  4293,  4294,
    4295,    -1,    -1,    -1,    -1,    -1,  4301,    -1,  4303,    -1,
      -1,    -1,    -1,    -1,    -1,   272,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   863,    -1,    -1,    -1,    -1,  4343,    -1,
      -1,   871,   309,    -1,    -1,   312,    -1,    -1,    -1,  4354,
     880,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4384,
      -1,    -1,    -1,    -1,    -1,    -1,   916,    -1,    -1,  4394,
    4395,    -1,    -1,    -1,    -1,    -1,  4401,  4402,    -1,    -1,
      -1,  4406,    -1,    -1,    -1,    -1,  4411,    -1,    -1,  4414,
    4415,    -1,    -1,    -1,  4419,  4420,    -1,    -1,    -1,    -1,
    4425,  4426,  4427,  4428,  4429,    -1,    -1,    -1,  4433,  4434,
      -1,  4436,    -1,    -1,  4439,    -1,    -1,    -1,  4443,   406,
      -1,    -1,  4447,    -1,    -1,   975,    -1,    -1,  4453,    -1,
      -1,   981,    -1,    -1,  4459,   985,    -1,    -1,    -1,  4464,
      -1,    -1,    -1,    -1,    -1,  4470,    -1,    -1,    -1,    -1,
      -1,    -1,  1002,    -1,    -1,  4480,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4488,    -1,   452,  4491,    -1,    -1,    -1,
      -1,  4496,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4514,
      -1,    -1,  4517,    -1,    -1,   482,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4537,  4538,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   510,    -1,    -1,    -1,    -1,    -1,    -1,
    4555,   518,    -1,   520,   521,   522,   523,   524,    -1,  4564,
     527,   528,   529,   530,    -1,   532,   533,   534,   535,   536,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1107,  1108,    -1,
      -1,    -1,    -1,    -1,  1114,    -1,    -1,    -1,  1118,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,
    4605,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1144,    -1,    25,    -1,    -1,    -1,
    4625,    -1,    -1,    -1,    -1,    -1,    35,    36,    -1,    -1,
      -1,    -1,    -1,    42,    43,  4640,    -1,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,  4667,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,  4678,    -1,    -1,    85,    -1,  4683,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4691,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      84,  4706,  4707,    87,    -1,    -1,    -1,    91,    92,    93,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   108,    -1,    -1,   111,   137,    -1,
      -1,  4736,   116,    -1,  4739,    -1,    -1,    -1,   122,    -1,
      -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,    -1,  1288,  1289,
      -1,    -1,   146,    -1,    -1,    -1,   108,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,  4784,
     122,    -1,    -1,    -1,    -1,  1315,    -1,    -1,  4793,    -1,
      -1,    -1,  1322,    -1,    -1,    -1,  1326,    -1,    -1,    -1,
      -1,   210,    -1,    -1,   146,  4810,  4811,    -1,    -1,  4814,
      -1,    -1,  1342,    -1,    -1,    -1,    -1,    -1,    -1,   228,
      -1,    -1,    -1,  4828,  4829,    -1,  1356,    -1,  4833,    -1,
      -1,    -1,    -1,  4838,    -1,    -1,  4841,  4842,    -1,  4844,
     249,  4846,    -1,    -1,  4849,  4850,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   272,  1394,    -1,  4871,    -1,   252,    -1,
      -1,    -1,    -1,   257,    -1,    -1,    -1,    -1,    -1,    -1,
    4885,  4886,  4887,  4888,  4889,    -1,    -1,   229,    -1,    -1,
      -1,    -1,    -1,    -1,   278,   279,    -1,    -1,    -1,    -1,
     309,    -1,    -1,   312,    -1,    -1,    -1,    -1,  1438,   293,
     252,    -1,    -1,    -1,    -1,   257,    -1,    -1,   327,    -1,
      -1,    -1,    -1,    -1,  4929,  4930,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   278,   279,    -1,    -1,
      -1,   325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   293,    -1,    -1,   338,    -1,    -1,   341,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4972,    -1,    -1,
    4975,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4985,  1511,    -1,   325,    -1,    -1,  4991,    -1,  4993,    -1,
      -1,    -1,    -1,  4998,    -1,    -1,   338,   406,    -1,   341,
      -1,    -1,    -1,    -1,    -1,  5010,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5021,  5022,  5023,   361,
      -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,   420,    -1,    -1,  1569,
      -1,    -1,    -1,   452,    -1,    -1,   108,    -1,    -1,   111,
    5055,    -1,    -1,  5058,   116,  5060,    -1,    -1,   467,    -1,
     122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1600,    -1,    -1,   482,    -1,    -1,    -1,    -1,   420,  5084,
      -1,    -1,    -1,  5088,   146,    -1,    -1,  5092,    -1,    -1,
      -1,    -1,    -1,    -1,  5099,    -1,    -1,    -1,  1628,    -1,
      -1,   510,    -1,  5108,    -1,    -1,    -1,    -1,    -1,   518,
      -1,   520,   521,   522,   523,   524,  5121,    -1,   527,   528,
     529,   530,    -1,    -1,    -1,   534,  1656,  1657,  1658,   513,
    1660,  5136,   516,   517,   518,    -1,   520,   521,   522,   523,
     524,   525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1680,    -1,    -1,    -1,  5159,    -1,   981,    -1,    -1,    -1,
      -1,  5166,  5167,  5168,  5169,    -1,    -1,    -1,    -1,    -1,
      -1,   513,    -1,    -1,   516,   517,   518,  1002,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,    -1,    -1,    -1,
     252,    -1,    -1,    -1,    -1,   257,    -1,    -1,  5203,    -1,
      -1,    -1,    -1,    -1,  1734,  1735,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   278,   279,  5223,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   293,    -1,    -1,  1764,    -1,    -1,    -1,  1768,  1769,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5266,    -1,   325,  5269,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5278,    -1,    -1,   338,    -1,  5283,   341,
    5285,    -1,  5287,    -1,    -1,    -1,    -1,    -1,    -1,  5294,
      -1,    -1,    -1,    -1,    -1,  5300,    -1,  5302,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5311,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1847,    -1,    -1,
      -1,    84,    -1,  1853,    87,    -1,    -1,    -1,    91,    92,
      93,    -1,    -1,  1863,    -1,    -1,    -1,  5342,  5343,    -1,
      -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,   420,   122,
      -1,    -1,    -1,    -1,  5369,    -1,    -1,    -1,    -1,  5374,
      -1,    -1,    -1,    -1,  1904,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1912,   146,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5397,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5405,  5406,    -1,    -1,    -1,  5410,    -1,    -1,    -1,    -1,
      -1,  5416,    -1,    -1,  5419,    -1,  1946,    -1,  5423,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5436,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5446,    -1,    -1,    -1,    -1,    -1,    -1,  5453,    -1,
      -1,   513,    -1,    -1,   516,   517,   518,    -1,   520,   521,
     522,   523,   524,   525,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5482,  2008,    -1,
      -1,    -1,    -1,  5488,  5489,    -1,  5491,    -1,    -1,   252,
      -1,    -1,    -1,    -1,   257,    -1,    -1,  1322,  2028,    -1,
      -1,    -1,    -1,    -1,    -1,  5510,    -1,    -1,    -1,    -1,
      -1,    -1,  5517,  2043,    -1,   278,   279,  1342,    -1,    -1,
      -1,  2051,    -1,    -1,    -1,    -1,    -1,  2057,    -1,    -1,
     293,  1356,  2062,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   338,    -1,    -1,   341,  2109,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5593,  5594,
      -1,    -1,  2122,    -1,   357,    -1,    -1,    -1,  2128,    -1,
      -1,    -1,  5607,    -1,  2134,    -1,    -1,    -1,    -1,    -1,
    2140,    -1,    -1,  1438,  5619,  5620,    -1,    -1,    -1,    -1,
      -1,    -1,  2152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       5,    -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,    -1,
      -1,    -1,  2192,    -1,    -1,  2195,    -1,    -1,    -1,    -1,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      35,    36,    -1,    -1,    -1,    -1,    -1,    42,    43,    -1,
      -1,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    -1,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    -1,    -1,  2259,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1569,    -1,    -1,    -1,    -1,    -1,
     513,    -1,    -1,   516,   517,   518,    -1,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,  2296,  2297,    -1,    -1,
      -1,    -1,  2302,  2303,    -1,    -1,    -1,    -1,    -1,  2309,
    2310,  2311,   137,    -1,    -1,  2315,    -1,  2317,  2318,  2319,
    2320,  2321,  2322,    -1,  2324,    -1,  2326,  2327,    -1,    -1,
    2330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2344,  2345,  2346,  2347,  2348,  2349,
      -1,    -1,    -1,  2353,    -1,    -1,    -1,  2357,    -1,    -1,
    2360,    -1,    -1,  2363,  2364,  2365,  2366,  2367,  2368,  2369,
    2370,  2371,    -1,  2373,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2381,    -1,    -1,  2384,   210,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   228,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   249,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   272,  2448,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   309,    -1,    -1,   312,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    36,
      -1,    -1,   327,    -1,    -1,    42,    43,    -1,    -1,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    -1,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,  2545,    -1,    -1,    85,  2549,
    2550,    -1,  1847,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2563,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,    92,
      93,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   108,    -1,  2597,    -1,    -1,
     137,    -1,    -1,   116,    -1,    -1,    -1,    -1,  2608,   122,
      -1,    -1,  2612,    -1,    -1,  2615,    -1,  1912,    -1,    -1,
      -1,    -1,    -1,    -1,  2624,    -1,    -1,   452,    -1,    -1,
      -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   467,    -1,    -1,    -1,    -1,    -1,    -1,  2649,
      -1,  1946,    -1,    -1,    -1,    -1,    -1,   482,    -1,    -1,
      -1,    -1,    -1,    -1,  2664,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   210,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   510,  2686,    -1,    -1,    -1,
    2690,   228,    -1,   518,    -1,   520,   521,   522,   523,   524,
      -1,    -1,   527,   528,   529,    -1,    -1,    -1,    -1,   534,
     535,    -1,   249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2028,    -1,   272,    -1,    -1,    -1,   252,
      -1,    -1,    -1,    -1,   257,    -1,    -1,    -1,  2043,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2051,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   278,   279,  2062,    -1,    -1,
      -1,    -1,   309,    -1,    -1,   312,    -1,    -1,    -1,    -1,
     293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     327,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   325,    -1,  2109,    -1,    -1,  2817,  2818,    -1,
      -1,    -1,    -1,    -1,    -1,   338,  2826,    -1,   341,    -1,
      -1,    -1,    -1,  2128,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2140,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2152,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   406,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2888,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2192,    -1,    -1,
    2195,    -1,    -1,    -1,  2904,    -1,    -1,   420,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   452,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   482,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2962,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   510,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   518,    -1,   520,   521,   522,   523,   524,    -1,    -1,
     527,   528,   529,   530,    -1,    -1,    -1,   534,    -1,    -1,
     513,    -1,    -1,   516,   517,   518,    -1,   520,   521,   522,
     523,   524,   525,    -1,    -1,    -1,    -1,  3017,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3031,    -1,    -1,  3034,    -1,    -1,  3037,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3045,    -1,    -1,    -1,  2344,
      -1,    -1,    -1,   981,  3054,    -1,    -1,    -1,    -1,  3059,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1002,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3082,  3083,  3084,    -1,    -1,  3087,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3095,  3096,  3097,  3098,    -1,
      -1,    -1,    -1,  3103,    -1,    -1,    -1,    -1,  3108,  3109,
      -1,  3111,    -1,  3113,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3124,  3125,    -1,    -1,  3128,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3142,    -1,  3144,    -1,  3146,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3166,    84,    -1,    -1,
      87,    -1,    -1,    -1,    91,    92,    93,  3177,    -1,  3179,
    3180,  3181,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   108,    -1,    -1,   111,    -1,    -1,    -1,    -1,   116,
      -1,    -1,    -1,    -1,  3204,   122,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3217,    -1,    -1,
      -1,    -1,  3222,    -1,    -1,    -1,    -1,    -1,  3228,   146,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3238,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2545,    -1,    -1,    -1,  2549,  2550,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3277,    -1,    -1,
    3280,    -1,  3282,    -1,    -1,    -1,    -1,  3287,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3311,    -1,    -1,    -1,    -1,    -1,  2612,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2624,
      -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,  3338,    -1,
     257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3355,    -1,    -1,    -1,    -1,
      -1,   278,   279,    -1,    -1,    -1,    -1,    -1,    -1,  2664,
      -1,    -1,    -1,    -1,    -1,    -1,   293,    -1,    -1,    -1,
    3380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1322,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   325,    -1,
      -1,    -1,    -1,    -1,  1342,  3415,  3416,  3417,    -1,    -1,
      -1,   338,    -1,    -1,   341,     5,    -1,    -1,  1356,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,  3449,
      -1,  3451,    -1,    -1,  3454,    35,    36,    -1,    -1,    -1,
      -1,    -1,    42,    43,    -1,    -1,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    -1,   420,    -1,    85,    -1,    -1,    -1,    -1,
    1438,    -1,  3512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2818,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3537,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   209,   137,    -1,    -1,
      -1,    -1,    -1,    -1,   217,  3565,   219,    -1,    -1,  3569,
    3570,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2888,    -1,    -1,   513,    -1,    -1,   516,
     517,   518,    -1,   520,   521,   522,   523,   524,   525,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3629,
     210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1569,    -1,    -1,    -1,    -1,    -1,  3647,   228,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3662,    -1,    -1,    -1,    -1,    -1,    -1,   249,
      -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,    91,
      92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   272,    -1,    -1,    -1,   108,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,
     122,    84,    -1,    -1,    87,  3715,    -1,    -1,    91,    92,
      93,    -1,  3017,    -1,    -1,    -1,    -1,    -1,    -1,   309,
      -1,    -1,   312,    -1,   146,   108,    -1,    -1,   111,  3034,
      -1,    -1,    -1,   116,    -1,    -1,    -1,   327,    -1,   122,
    3045,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3760,    -1,    -1,  3763,    -1,    -1,    -1,    -1,    -1,  3769,
      -1,    -1,    -1,   146,    -1,  3775,    -1,  3777,    -1,    -1,
    3780,    -1,    -1,    -1,  3784,  3785,  3786,  3787,  3788,    -1,
      -1,  3791,  3792,  3793,  3794,  3795,  3796,  3797,  3798,  3799,
    3800,    -1,    -1,    -1,  3804,  3805,    -1,    -1,    -1,  3809,
      -1,    -1,    -1,    -1,  3814,    -1,    -1,    -1,  3818,    -1,
    3820,    -1,  3822,    -1,    -1,    -1,   406,    -1,    -1,    -1,
    3830,    -1,    -1,  3833,    -1,  3835,    -1,    -1,    -1,    -1,
     252,    -1,    -1,  3843,  3844,   257,    -1,  3847,  3848,    -1,
      -1,    -1,  3852,  3853,    -1,    -1,    -1,    -1,    -1,  3859,
      -1,    -1,    -1,    -1,    -1,    -1,   278,   279,    -1,  3869,
      -1,  3871,   452,    -1,    -1,    -1,    -1,    -1,    -1,   252,
      -1,   293,    -1,  3883,   257,    -1,    -1,   467,    -1,  3889,
    3890,  3891,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   482,    -1,    -1,   278,   279,    -1,    -1,    -1,
      -1,    -1,    -1,   325,    -1,    -1,    -1,    -1,    -1,  1847,
     293,    -1,    -1,    -1,    -1,    -1,   338,    -1,    -1,   341,
     510,    -1,    -1,    -1,    -1,    -1,    -1,  3937,   518,    -1,
     520,   521,   522,   523,   524,    -1,    -1,   527,   528,   529,
    3950,    -1,   325,    -1,   534,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   338,  3966,    -1,   341,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3981,  3277,    -1,  1912,  3280,    -1,  3282,    -1,    -1,
      -1,    -1,  3287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   882,    -1,    -1,    -1,    -1,   420,    -1,
      -1,    -1,   891,    -1,    -1,    -1,    -1,    -1,  1946,    -1,
      -1,   900,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   908,
      -1,    -1,    -1,    -1,    -1,   914,    -1,   449,    -1,    -1,
      -1,    -1,    -1,  3338,    -1,    -1,    -1,   420,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4059,
    3355,    -1,    -1,    -1,  4064,  4065,  4066,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3380,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2028,   513,    -1,    -1,   516,   517,   518,    -1,   520,   521,
     522,   523,   524,   525,    -1,  2043,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2051,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2062,    -1,    -1,    -1,    -1,    -1,
     513,    -1,    -1,   516,   517,   518,    -1,   520,   521,   522,
     523,   524,   525,    -1,  3449,    -1,  3451,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2109,    -1,  4183,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1077,    -1,
    2128,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4210,    -1,  2140,    -1,    -1,    -1,    -1,  3512,   871,    -1,
      -1,    -1,    -1,    -1,  2152,    -1,    -1,   880,    -1,    -1,
      -1,    -1,    -1,    -1,  1113,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3537,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1132,    -1,    -1,    -1,    -1,  4258,  4259,
    4260,    -1,    -1,   916,  2192,    -1,    -1,  2195,    -1,    -1,
    3565,    -1,    -1,    -1,    -1,  3570,  1155,    -1,    -1,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    87,    -1,    -1,    -1,
      91,    92,    93,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   116,    -1,    -1,    -1,    -1,
      -1,   122,   975,    -1,    -1,    -1,    -1,    -1,   981,    -1,
      -1,    -1,   985,    -1,  3629,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4343,    -1,   146,    -1,    -1,    -1,  1002,
      -1,    -1,  3647,    -1,  4354,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3662,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1258,
      -1,    -1,    -1,    -1,  4384,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4394,  4395,    -1,  4397,    -1,    -1,
      -1,  4401,  4402,    -1,    -1,    -1,  4406,  4407,    -1,    -1,
      -1,  4411,    -1,    -1,  4414,  4415,  2344,    -1,    -1,  4419,
      -1,    -1,    -1,    -1,    -1,  4425,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4443,    -1,    -1,    -1,  4447,    -1,    -1,
      -1,   252,    -1,    -1,  1107,  1108,   257,    -1,    -1,  4459,
      -1,  1114,    -1,    -1,  4464,  1118,    -1,    -1,  3763,    -1,
    4470,    -1,    -1,    -1,    -1,    -1,    -1,   278,   279,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1365,    -1,  4488,  3784,
      -1,  1144,   293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    96,  1388,
    1389,  1390,    -1,   101,  3809,    -1,    -1,  4517,    -1,    -1,
      -1,    -1,    -1,    -1,   325,   113,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4535,    -1,   338,    -1,    -1,
     341,    -1,    -1,    -1,    -1,    -1,   134,    -1,  3843,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4557,    -1,   147,
      -1,    -1,    -1,    -1,    -1,    -1,  4566,    -1,    -1,   157,
      -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4587,    -1,    -1,
      -1,   179,    -1,    -1,    -1,    -1,    -1,   185,    -1,    -1,
      -1,  4601,  4602,    -1,    -1,  4605,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   201,    -1,    -1,    -1,  2545,    -1,   420,
      -1,  2549,  2550,    -1,   212,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   220,    -1,    -1,  1288,  1289,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   232,  4645,    -1,    -1,    -1,    -1,
      -1,   239,    -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,
      -1,    -1,  1315,    -1,    -1,    -1,    -1,  4667,    -1,  1322,
      -1,  3966,   260,  1326,    -1,  1554,    -1,    -1,  4678,    -1,
      -1,    -1,    -1,    -1,  2612,    -1,    -1,    -1,    -1,  1342,
      -1,    -1,    -1,    -1,    -1,    -1,  2624,    -1,    -1,    -1,
      -1,    -1,    -1,  1356,    -1,    -1,  1585,    -1,    -1,   297,
      -1,    -1,   513,    -1,    -1,   516,   517,   518,   306,   520,
     521,   522,   523,   524,   525,    -1,    -1,    -1,    -1,    -1,
      -1,  4731,    -1,  4733,    -1,    -1,  2664,    -1,    -1,    -1,
      -1,  1394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     338,    -1,    -1,   341,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4065,   359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4784,  1438,    -1,    -1,  4788,    -1,
     378,    -1,    -1,  4793,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   396,    -1,
    4810,  4811,    -1,    -1,  4814,   403,    -1,    -1,    -1,    -1,
      -1,   409,    -1,    -1,   412,    -1,    -1,    -1,  4828,    -1,
      -1,    -1,    -1,  4833,    -1,    -1,    -1,    -1,  4838,    -1,
      -1,  4841,  4842,    -1,    -1,    -1,    -1,    -1,    -1,  4849,
    4850,    -1,  1731,   441,    -1,    -1,   444,   445,  1511,   447,
     448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   457,
      -1,  4871,    -1,    -1,   462,    -1,    -1,    -1,    -1,    -1,
     468,    -1,    -1,   471,    -1,  4885,   474,    -1,    -1,    -1,
    2818,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   487,
      -1,  1780,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4210,  1569,    -1,    -1,  4919,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4929,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1600,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2888,    -1,    -1,  4258,    -1,    -1,  4966,    -1,    -1,    -1,
      -1,    -1,  4972,    -1,    -1,  1628,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1656,  1657,  1658,    -1,  1660,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5023,    -1,  5025,    -1,  1680,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1917,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1926,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5055,  5056,    -1,  5058,    -1,
    5060,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1950,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1958,
      -1,  1734,  1961,    -1,  5084,    -1,    -1,    -1,  5088,  3017,
      -1,    -1,    -1,    -1,  5094,    -1,    -1,    -1,    -1,  5099,
      -1,    -1,  4397,    -1,    -1,    -1,  3034,    -1,    -1,    -1,
      -1,  1764,  4407,    -1,    -1,  1768,  1769,  3045,  1997,    -1,
      -1,  5121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2011,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5144,    -1,  2025,    -1,    -1,    -1,
    5150,    -1,    -1,    -1,  5154,  5155,    -1,    -1,    -1,  5159,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1847,    -1,  2075,    -1,    -1,    -1,
      -1,    -1,    -1,  5203,    -1,    -1,    -1,    -1,    -1,    -1,
    1863,    -1,    -1,    -1,    -1,    -1,    -1,  2096,    -1,    -1,
      -1,    -1,    -1,  5223,  2103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4535,    -1,    -1,  5243,  5244,    -1,    -1,    -1,    -1,    -1,
      -1,  1904,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1912,
      -1,    -1,    -1,    -1,    -1,    -1,  5266,    -1,    -1,  5269,
      -1,  4566,    -1,    -1,    -1,    -1,    -1,    -1,  5278,    -1,
      -1,    -1,    -1,  5283,    -1,  5285,    -1,  5287,    -1,    -1,
      -1,    -1,  4587,  1946,  5294,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4602,    -1,    -1,
      -1,  5311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5332,    -1,    -1,    -1,    -1,  2216,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3277,
    4645,    -1,  3280,    -1,  3282,  2008,    -1,    -1,    -1,  3287,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5374,  2028,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2263,  2264,    -1,    -1,    -1,    -1,
    2043,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2051,    -1,
      -1,    -1,    -1,    -1,  2283,  5405,  5406,    -1,    -1,  2062,
    3338,    -1,    -1,    -1,    -1,    -1,  5416,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3355,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5436,    -1,  4733,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3380,    -1,    -1,    -1,  2109,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2122,
      -1,    -1,    -1,    -1,    -1,  2128,    -1,    -1,    -1,    -1,
      -1,  2134,  5482,    -1,    -1,    -1,    -1,  2140,  5488,  5489,
      -1,  5491,    -1,  4788,    -1,    -1,    -1,    -1,    -1,  2152,
      -1,  2380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5510,    -1,    -1,    -1,  2167,    -1,    -1,    -1,    -1,    -1,
      -1,  3449,    -1,  3451,    -1,    -1,    -1,  2406,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5536,    -1,    -1,  2192,
      -1,    -1,  2195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2444,    -1,  2446,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3512,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5593,  5594,    -1,    -1,    -1,    -1,  5599,
      -1,    -1,    -1,    -1,  2483,    -1,  2259,  5607,    -1,  3537,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5618,  5619,
    5620,    -1,    -1,    -1,  4919,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3565,    -1,    -1,
      -1,    -1,  3570,  2296,  2297,    -1,    -1,    -1,    -1,  2302,
    2303,    -1,    -1,    -1,    -1,    -1,  2309,  2310,  2311,    -1,
      -1,    -1,  2315,    -1,  2317,  2318,  2319,  2320,  2321,  2322,
      -1,  2324,    -1,  2326,  2327,    -1,    -1,  2330,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2344,  2345,  2346,  2347,  2348,    -1,    -1,    -1,    -1,
    2353,  3629,    -1,    -1,  2357,    -1,    -1,  2360,    -1,    -1,
    2363,  2364,  2365,  2366,  2367,  2368,  2369,  2370,  2371,  3647,
    2373,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2381,    -1,
    5025,  2384,    -1,    -1,  3662,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5056,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2448,    -1,    -1,    -1,  5094,
      -1,    -1,    -1,    -1,  2683,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2702,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3763,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5150,  3784,    -1,    -1,  5154,
    5155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3809,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2545,    -1,    -1,    -1,  2549,  2550,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3843,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2597,    -1,    -1,    -1,    -1,  5244,
      -1,    -1,    -1,    -1,    -1,  2608,    -1,  2836,    -1,  2612,
      -1,    -1,  2615,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2624,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2649,    -1,    -1,    -1,
      -1,    -1,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,  2664,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,  3966,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,   122,   123,
     124,   125,   126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   138,    -1,    -1,  4065,    -1,    -1,
      -1,   145,  3021,   147,    -1,    -1,    -1,    -1,    -1,   153,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   165,    -1,    -1,  2817,  2818,    -1,    -1,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,   183,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   218,    -1,    -1,    -1,   222,    -1,
      -1,    -1,    -1,    -1,   228,    -1,    -1,    -1,    -1,    -1,
     234,    -1,   236,    -1,    -1,  2888,    -1,    -1,   242,    -1,
     244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,
      -1,  2904,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   266,   267,    -1,    -1,    -1,    -1,    -1,   273,
      -1,   275,    -1,    -1,   278,   279,    -1,   281,    -1,    -1,
      -1,    -1,  4210,    -1,    -1,    -1,   290,   291,    -1,   293,
      -1,  3170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2962,
      -1,    -1,   316,   317,   318,    -1,    -1,   321,    -1,    -1,
      -1,   325,    -1,    -1,   328,    -1,   330,    -1,    -1,    -1,
    4258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     344,   345,    -1,   347,   348,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   360,    -1,   362,    -1,
      -1,    -1,    -1,    -1,  3017,    -1,    -1,    -1,    -1,    -1,
      -1,   375,    -1,    -1,    -1,    -1,    -1,    -1,  3031,    -1,
      -1,  3034,    -1,    -1,  3037,    -1,    -1,    -1,    -1,    -1,
      -1,   395,  3045,    -1,    -1,   399,    -1,    -1,    -1,    -1,
      -1,  3054,    -1,    -1,    -1,    -1,  3059,    -1,    -1,    -1,
      -1,    -1,    -1,   417,    -1,    -1,   420,    -1,    -1,   423,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3082,
    3083,  3084,    -1,   437,  3087,    -1,    -1,    -1,    -1,   443,
      -1,    -1,  3095,  3096,  3097,  3098,   450,   451,    -1,    -1,
      -1,    -1,   456,    -1,   458,  3108,    -1,    -1,  3111,    -1,
    3113,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4397,
      -1,  3124,  3125,    -1,    -1,  3128,    -1,    -1,   482,  4407,
      -1,   485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3142,
      -1,  3144,    -1,  3146,    -1,    -1,    -1,   501,   502,   503,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3166,    -1,    -1,    96,    -1,    -1,    -1,
      -1,   101,    -1,    -1,  3177,    -1,  3179,  3180,  3181,    -1,
      -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3204,    -1,    -1,   134,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3217,    -1,    -1,   147,    -1,  3222,
      -1,    -1,    -1,    -1,    -1,  3228,  3455,    -1,    -1,    -1,
      -1,   161,    -1,    -1,    -1,  3238,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   153,    -1,   179,
      -1,    -1,    -1,    -1,    -1,    -1,   162,  4535,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   201,    -1,    -1,  3277,    -1,    -1,  3280,    -1,  3282,
      -1,    -1,   212,    -1,  3287,    -1,    -1,    -1,  4566,    -1,
     220,    -1,    -1,    -1,    -1,    -1,    -1,   203,    -1,    -1,
      -1,    -1,   232,    -1,    -1,    -1,    -1,   237,  3311,  4587,
      -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4602,    -1,    -1,    -1,    -1,    -1,
     260,    -1,   238,    -1,    -1,  3338,    -1,    -1,    -1,    -1,
      -1,    -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3355,  3582,  3583,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4645,    -1,  3598,
      -1,    -1,    -1,    -1,    -1,    -1,   306,  3380,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3614,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3623,  3624,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   338,    -1,
      -1,  3640,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   349,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   359,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   369,
      -1,    -1,    -1,    -1,    -1,    -1,  3449,    -1,  3451,    -1,
      -1,    -1,    -1,    -1,    -1,  4733,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   396,    -1,    -1,    -1,
      -1,   401,    -1,   403,    -1,    -1,    -1,    -1,    -1,   409,
      -1,    -1,   412,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3512,
    4788,   441,  3741,    -1,   444,    -1,    -1,    -1,   448,    -1,
      -1,    -1,    -1,   429,    -1,   455,    -1,   457,    -1,    -1,
      -1,    -1,   462,    -1,  3537,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   474,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   487,    -1,    -1,
      -1,    -1,  3565,    -1,    -1,    -1,    -1,  3570,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3629,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3866,  3867,  3868,
      -1,  4919,    -1,    -1,  3647,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3662,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3715,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5025,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3760,    -1,    -1,
    3763,    -1,    -1,    -1,    -1,    -1,  3769,    -1,    -1,    -1,
      -1,    -1,  3775,    -1,  3777,    -1,    -1,  3780,  5056,    -1,
      -1,  3784,  3785,  3786,  3787,  3788,    -1,    -1,  3791,  3792,
    3793,  3794,  3795,  3796,  3797,  3798,  3799,  3800,    -1,    -1,
      -1,  3804,  3805,   709,   710,    -1,  3809,    -1,    -1,    -1,
      -1,  3814,    -1,    -1,    -1,  3818,  5094,    -1,    -1,  3822,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3830,    -1,    -1,
    3833,    -1,  3835,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3843,  3844,    -1,    -1,  3847,  3848,    -1,    -1,    -1,  3852,
    3853,   757,    -1,    -1,    -1,    -1,  3859,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3869,    -1,  3871,    -1,
      -1,    -1,  5150,    -1,    -1,    -1,  5154,  5155,    -1,    -1,
    3883,    -1,    -1,    -1,    -1,    -1,  3889,  3890,  3891,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3937,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3950,    -1,    -1,
    4179,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4189,    -1,    -1,  3966,    -1,    -1,  5244,    -1,    -1,    -1,
      -1,    -1,   878,    -1,    -1,    -1,    -1,    -1,  3981,    -1,
     886,    -1,    -1,   889,   890,    -1,   892,    -1,    -1,   895,
      -1,   897,    -1,    -1,    -1,  4224,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   917,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   925,
      -1,    -1,  4251,    -1,    -1,    -1,   932,    -1,    -1,   935,
     936,    -1,    -1,    -1,   940,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   957,    -1,   959,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4065,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     976,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   991,    -1,   993,    -1,    -1,
     996,    -1,   998,    -1,    -1,  1001,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1015,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1078,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4426,  4427,  4428,
    4429,    -1,    -1,    -1,  1110,    -1,    -1,  4210,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4258,  4259,  4260,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1218,    -1,  1220,    -1,    -1,    -1,  1224,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1244,    -1,
    4343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4394,  4395,    -1,  4397,    -1,  1302,    -1,  4401,  4402,
      -1,    -1,    -1,  4406,  4407,    -1,    -1,    -1,  4411,    -1,
      -1,  4414,  4415,  1319,    -1,    -1,  4419,    -1,    -1,    -1,
      -1,    -1,  4425,    -1,    -1,  1331,    -1,  1333,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1341,    -1,    -1,    -1,    -1,
    4443,    -1,    -1,    -1,  4447,    -1,    -1,  1353,    -1,    -1,
      -1,    -1,  1358,    -1,    -1,  1361,  4459,    -1,    -1,    -1,
      -1,  4464,    -1,    -1,    -1,    -1,    -1,  4470,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4488,    -1,    -1,    -1,  1395,
      -1,    -1,    -1,    -1,    89,    -1,    -1,    -1,    -1,    94,
      -1,    96,    -1,    -1,    -1,    -1,    -1,  4736,    -1,    -1,
      -1,   106,    -1,    -1,  4517,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4535,    -1,    -1,    -1,   131,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   152,   153,    -1,
      -1,   156,    -1,  4566,    -1,    -1,    -1,   162,    -1,    -1,
      -1,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4587,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   188,    -1,    -1,    -1,    -1,    -1,  4602,
      -1,    -1,  4605,    -1,    -1,    -1,    -1,    -1,   203,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4645,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4667,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4678,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4731,    -1,
    4733,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4975,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4991,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4784,    -1,    -1,    -1,  4788,    -1,    -1,    -1,    -1,
    4793,    -1,    -1,  5022,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4810,  4811,    -1,
      -1,  4814,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4828,    -1,    -1,    -1,    -1,
    4833,    -1,    -1,    -1,   429,  4838,    -1,    -1,  4841,  4842,
      -1,    -1,    -1,    -1,    -1,    -1,  4849,  4850,  1754,  1755,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4871,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4885,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1812,  5136,    -1,  1815,
      -1,    -1,    -1,    -1,    -1,    -1,  4919,  1823,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4929,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1841,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4972,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1888,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5023,    -1,  5025,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1949,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5055,  5056,    -1,  5058,    -1,  5060,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   661,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5084,    -1,    -1,    -1,  5088,    -1,    -1,    -1,    -1,
      -1,  5094,    -1,    -1,    -1,    -1,  5099,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   709,   710,    -1,    -1,  5121,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5150,    -1,    -1,
      -1,  5154,  5155,    -1,    -1,    -1,  5159,    -1,    -1,    -1,
    2066,    -1,   757,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5223,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5243,  5244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2166,    -1,    -1,  5266,    -1,    -1,  5269,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2180,  5278,    -1,  2183,    -1,  2185,
    5283,  2187,  5285,    -1,  5287,    -1,    -1,  2193,    -1,    -1,
      -1,  5294,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5311,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2244,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2256,    -1,    -1,    -1,  2260,    -1,  2262,    -1,    -1,  2265,
      -1,   956,   957,    -1,   959,    -1,    -1,    -1,    -1,    -1,
      -1,  5374,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5405,  5406,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5416,    -1,    -1,  1011,    -1,    -1,  1014,
    1015,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5436,  1029,    -1,  1031,    -1,  1033,    -1,
      -1,    -1,    -1,    -1,  1039,    -1,    -1,    -1,  1043,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1063,  1064,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5482,
      -1,  2387,    -1,    -1,    -1,  5488,  5489,    -1,  5491,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5510,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1110,    -1,  1112,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5593,  5594,    -1,    -1,    -1,    -1,  1191,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5607,    -1,    -1,    -1,    -1,    -1,
    1205,  1206,    -1,    -1,  1209,    -1,  5619,  5620,    -1,    -1,
      -1,    -1,    -1,    -1,  2530,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2560,  2561,    -1,    -1,    -1,  2565,
    2566,    -1,  1257,    -1,  2570,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2584,    -1,
      -1,    -1,    -1,    -1,    -1,  2591,    -1,    -1,    -1,  2595,
    2596,    -1,    -1,  2599,  2600,    -1,    -1,    -1,    -1,    -1,
    2606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2618,    -1,  2620,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2639,    -1,    -1,    -1,    -1,  2644,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2657,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2666,    -1,  2668,    -1,    -1,  2671,  2672,  2673,    -1,    -1,
      -1,    -1,  2678,  2679,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2688,    -1,    -1,    -1,    -1,  2693,    -1,    -1,
      -1,    -1,  2698,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2723,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2734,    -1,
    2736,    -1,    -1,   981,    -1,  2741,    -1,    -1,    -1,  2745,
      -1,  2747,  2748,  2749,  2750,    -1,  2752,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1002,    -1,    -1,    -1,    -1,  2765,
    2766,  2767,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2775,
    2776,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2827,    -1,    -1,  1519,    -1,    -1,    -1,    -1,  1524,
      -1,  1526,    -1,    -1,  1529,    -1,  1531,    -1,    -1,  1534,
    1535,  1536,    -1,    -1,    -1,  1540,    -1,    -1,    -1,    -1,
      -1,    -1,  1547,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1561,    -1,  1563,    -1,
      -1,    -1,    -1,  1568,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     6,     7,     8,    -1,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    -1,    41,    42,
      43,    -1,    -1,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    -1,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,  2978,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2991,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1691,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   118,    -1,  1702,  1703,   122,
     123,   124,   125,   126,    -1,    -1,  3022,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1719,   138,    -1,    -1,    -1,  1724,
    1725,    -1,   145,    -1,   147,    -1,    -1,    -1,    -1,    -1,
     153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,
     183,    -1,    -1,    -1,  1322,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1342,    -1,    -1,   210,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   218,    -1,    -1,  1356,   222,
      -1,    -1,  1807,    -1,  1809,   228,    -1,    -1,    -1,    -1,
      -1,   234,    -1,   236,  1819,    -1,    -1,    -1,    -1,   242,
      -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   266,   267,    -1,    -1,    -1,    -1,    -1,
     273,    -1,   275,    -1,    -1,   278,   279,    -1,   281,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   290,   291,    -1,
     293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1438,    -1,    -1,    -1,    -1,    -1,    -1,  1892,    -1,    -1,
      -1,    -1,    -1,   316,   317,   318,    -1,  1902,   321,  3215,
      -1,    -1,   325,    -1,    -1,   328,    -1,   330,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   344,   345,    -1,   347,   348,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   360,    -1,   362,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   375,    -1,    -1,    -1,    -1,  1962,    -1,    -1,
    1965,  1966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   395,    -1,  3290,  3291,   399,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3308,    -1,   417,    -1,    -1,   420,    -1,    -1,
     423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1569,    -1,    -1,   437,    -1,    -1,  3333,    -1,    -1,
     443,    -1,    -1,    -1,    -1,    -1,  3342,   450,   451,    -1,
    2035,    -1,    -1,   456,    -1,   458,    -1,    -1,    -1,    -1,
      -1,    -1,  3358,  3359,   467,    -1,    -1,  3363,    -1,    -1,
      -1,    -1,  3368,  3369,  3370,    -1,  3372,    -1,    -1,   482,
      -1,    -1,   485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3393,   501,   502,
     503,   504,   505,   506,   507,   508,   509,  3403,  3404,  3405,
    3406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   536,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3440,    -1,    -1,  3443,  3444,  3445,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3453,    -1,    -1,
      -1,   871,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     880,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   916,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3524,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3532,    -1,    -1,    -1,
      -1,    -1,    -1,  2228,    -1,  2230,    -1,    -1,    -1,  2234,
      -1,  2236,    -1,    -1,  2239,  3551,    -1,    -1,  2243,    -1,
      -1,    -1,    -1,  2248,    -1,   975,    -1,    -1,    -1,    -1,
      -1,   981,    -1,    -1,    -1,   985,    -1,    -1,    -1,    -1,
      -1,  3577,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1002,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1847,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3621,    -1,    -1,    -1,  3625,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3654,    -1,
      -1,    -1,    -1,    -1,  3660,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1912,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3682,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2380,    -1,  1107,  1108,    -1,
    3696,    -1,  2387,    -1,  3700,    -1,    -1,    -1,  1946,    -1,
      -1,    -1,  2397,    -1,    -1,    -1,    -1,  3713,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1144,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2462,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2028,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2043,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2051,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2062,    -1,    -1,    -1,    -1,    -1,
    2515,    -1,    -1,    -1,  2519,    -1,    -1,    -1,    -1,    -1,
    2525,    -1,  2527,    -1,    -1,  2530,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2109,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2128,  2576,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2140,    -1,    -1,  1315,    -1,    -1,    -1,    -1,
      -1,    -1,  1322,    -1,  2152,    -1,  1326,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1356,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2192,    -1,    -1,  2195,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1394,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3988,    -1,  3990,    -1,    -1,    -1,    -1,    -1,
      -1,  3997,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4014,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1438,    -1,
      -1,    -1,    -1,    -1,  4030,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2727,    -1,    -1,    -1,    -1,    -1,  4044,    -1,
    2735,    -1,  2737,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4062,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4072,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4093,    -1,    -1,
      -1,  1511,    -1,    -1,    -1,    -1,  2344,    -1,  4104,  4105,
    4106,    -1,    -1,  4109,  4110,  4111,  4112,  4113,  4114,    -1,
      -1,    -1,    -1,  4119,  4120,    -1,  4122,  4123,  4124,  4125,
    4126,  4127,    -1,  4129,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4138,    -1,  4140,  4141,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1569,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4163,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4182,    -1,    -1,    -1,
    1600,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1628,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1656,  1657,  1658,    -1,
    1660,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1680,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2978,  2979,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2545,    -1,    -1,
    2995,  2549,  2550,    -1,    -1,    -1,    -1,    -1,  4314,  4315,
    4316,    -1,    -1,    -1,  1734,    -1,    -1,    -1,    -1,    -1,
    4326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1764,    -1,    -1,    -1,  1768,  1769,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2612,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2624,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2664,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1847,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1912,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3195,    -1,    -1,    -1,    -1,  3200,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1946,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4543,    -1,    -1,
      -1,  4547,  4548,  4549,  4550,    -1,    -1,  4553,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2818,  4577,  4578,  4579,    -1,  4581,    -1,  4583,  4584,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4595,
    4596,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2028,    -1,
    4616,    -1,    -1,    -1,    -1,    -1,    -1,  4623,  4624,    -1,
    4626,    -1,    -1,  2043,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2051,  4638,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2888,    -1,  2062,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2109,
      -1,  4697,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2122,    -1,    -1,    -1,    -1,    -1,  2128,    -1,
      -1,    -1,  4718,    -1,  2134,    -1,    -1,    -1,    -1,    -1,
    2140,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2167,    -1,    -1,
      -1,  4757,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3017,
      -1,    -1,  2192,    -1,    -1,  2195,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3034,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3045,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4831,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2259,
    4846,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3565,    -1,    -1,    -1,    -1,  3570,  2296,  2297,    -1,    -1,
      -1,    -1,  2302,  2303,    -1,    -1,    -1,    -1,    -1,  2309,
    2310,  2311,    -1,    -1,    -1,  2315,    -1,  2317,  2318,  2319,
    2320,  2321,  2322,    -1,  2324,    -1,  2326,  2327,    -1,    -1,
    2330,    -1,    -1,    -1,    -1,  4921,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2344,  2345,  2346,  2347,  2348,    -1,
      -1,    -1,    -1,  2353,    -1,    -1,  4942,  2357,    -1,    -1,
    2360,  4947,  4948,  2363,  2364,  2365,  2366,  2367,  2368,  2369,
    2370,  2371,    -1,  2373,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2381,    -1,    -1,  2384,  3660,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4992,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2448,  3277,
    5036,    -1,  3280,    -1,  3282,    -1,    -1,    -1,    -1,  3287,
    5046,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3750,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5081,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5092,    -1,    -1,    -1,
    3338,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3355,    -1,    -1,
      -1,  5117,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2545,    -1,    -1,    -1,  2549,
    2550,    -1,  3380,    -1,  5140,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5149,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2597,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2608,    -1,
      -1,    -1,  2612,    -1,    -1,  2615,    -1,    -1,    -1,    -1,
      -1,  3449,    -1,  3451,  2624,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2664,  5251,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3955,    -1,    -1,    -1,  3512,    -1,    -1,    -1,    -1,  5275,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3537,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5309,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3565,  5324,    -1,
      -1,    -1,  3570,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1107,  1108,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5361,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4065,    -1,    -1,    -1,  1144,    -1,    -1,    -1,    -1,    -1,
      -1,  3629,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2817,  2818,  3647,
      -1,    -1,  4097,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3662,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5435,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5471,    -1,    -1,  2888,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2904,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3763,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3784,    -1,    -1,    -1,
      -1,    -1,  2962,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3809,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     981,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1002,    -1,    -1,    -1,  3843,    -1,  3017,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   981,    -1,    -1,
      -1,  3031,    -1,    -1,  3034,    -1,    -1,  3037,    -1,    -1,
      -1,    -1,    -1,    -1,  4319,  3045,    -1,    -1,  1002,    -1,
      -1,    -1,    -1,    -1,  3054,    -1,    -1,    -1,    -1,  3059,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3082,  3083,  3084,    -1,    -1,  3087,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3095,  3096,  3097,  3098,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3108,    -1,
      -1,  3111,    -1,  3113,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3124,  3125,    -1,    -1,  3128,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3966,    -1,
      -1,    -1,  3142,    -1,  3144,    -1,  3146,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3177,    -1,  3179,
    3180,  3181,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4475,    -1,    -1,    -1,  3204,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3217,    -1,    -1,
      -1,    -1,  3222,    -1,    -1,    -1,    -1,    -1,  3228,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4065,  3238,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1600,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3277,  1628,    -1,
    3280,    -1,  3282,    -1,    -1,    -1,    -1,  3287,  4563,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1656,  1657,  1658,    -1,
    1660,  3311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4602,    -1,    -1,
    1680,  1322,    -1,    -1,    -1,    -1,    -1,    -1,  3338,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1342,    -1,    -1,    -1,  3355,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1356,    -1,    -1,  1322,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3380,    -1,  4210,    -1,  1734,    -1,    -1,    -1,  1342,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1764,    -1,    -1,    -1,  1768,  1769,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1438,    -1,  3449,
      -1,  3451,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1438,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3537,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3565,    -1,    -1,    -1,  4397,
    3570,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1569,  4407,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4866,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1569,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3629,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4919,    -1,    -1,  3647,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3662,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4535,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3715,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4566,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4587,
    3760,    -1,    -1,  3763,    -1,    -1,    -1,    -1,    -1,  3769,
      -1,    -1,    -1,    -1,  4602,  3775,    -1,  3777,    -1,    -1,
    3780,    -1,    -1,    -1,  3784,  3785,  3786,  3787,  3788,    -1,
      -1,  3791,  3792,  3793,  3794,  3795,  3796,  3797,  3798,  3799,
    3800,    -1,    -1,    -1,  3804,  3805,    -1,    -1,    -1,  3809,
      -1,    -1,    -1,    -1,  3814,    -1,    -1,  4645,  3818,    -1,
      -1,    -1,  3822,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3830,    -1,    -1,  3833,    -1,  3835,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3843,  3844,    -1,    -1,  3847,  3848,    -1,
      -1,    -1,  3852,  3853,    -1,    -1,  1847,    -1,    -1,  3859,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3869,
      -1,  3871,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3883,    -1,    -1,    -1,    -1,    -1,  3889,
    3890,  3891,    -1,  1847,    -1,    -1,    -1,    -1,    -1,    -1,
    5175,    -1,    -1,    -1,    -1,  4733,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1912,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3937,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3950,    -1,  2302,    -1,    -1,  1946,    -1,    -1,  1912,    -1,
    4788,    -1,    -1,    -1,    -1,  2315,  3966,  2317,    -1,    -1,
    2320,  2321,  2322,    -1,    -1,    -1,    -1,  2327,    -1,  5254,
    2330,  3981,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1946,    -1,    -1,  2345,  2346,  2347,  2348,    -1,
      -1,    -1,    -1,  2353,   981,    -1,    -1,  2357,    -1,    -1,
    2360,    -1,    -1,  2363,  2364,  2365,  2366,  2367,  2368,  2369,
    2370,  2371,    -1,  2373,    -1,  1002,    -1,    -1,    -1,    -1,
      -1,  2381,    -1,    -1,  2384,    -1,    -1,  2028,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2043,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2051,    -1,    -1,    -1,    -1,  4065,    -1,    -1,    -1,    -1,
      -1,  2062,    -1,    -1,  2028,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2043,
      -1,  4919,    -1,    -1,    -1,    -1,    -1,  2051,  2448,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2062,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2109,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2128,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2140,
      -1,    -1,    -1,    -1,    -1,  2109,    -1,    -1,    -1,    -1,
      -1,  2152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2128,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4183,    -1,    -1,  2140,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5025,  2152,    -1,
      -1,  2192,    -1,    -1,  2195,    -1,    -1,    -1,    -1,    -1,
    4210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5056,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2192,    -1,
      -1,  2195,    -1,    -1,    -1,    -1,    -1,  2597,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4258,  4259,
    4260,    -1,    -1,    -1,    -1,    -1,  5094,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5150,    -1,    -1,    -1,  5154,  5155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4343,    -1,  1322,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2344,  4354,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1342,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1356,
      -1,    -1,    -1,    -1,  4384,    -1,    -1,    -1,    -1,    -1,
    2344,    -1,    -1,  2384,  4394,  4395,    -1,  4397,    -1,    -1,
      -1,  4401,  4402,    -1,    -1,    -1,  4406,  4407,    -1,    -1,
      -1,  4411,    -1,    -1,  4414,  4415,  5244,    -1,    -1,  4419,
      -1,    -1,    -1,    -1,    -1,  4425,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4443,    -1,    -1,    -1,  4447,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4459,
      -1,  1438,    -1,    -1,  4464,    -1,    -1,  2817,    -1,    -1,
    4470,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4488,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4517,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4535,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2545,   981,    -1,    -1,  2549,  2550,
      -1,    -1,    -1,    -1,    -1,    -1,  4566,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1002,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4587,    -1,    -1,
      -1,  2545,  1569,    -1,    -1,  2549,  2550,    -1,    -1,    -1,
      -1,    -1,  4602,    -1,    -1,  4605,    -1,    -1,    -1,    -1,
      -1,    -1,  2962,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2612,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2624,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4645,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2612,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4667,    -1,    -1,
    2624,    -1,    -1,  2664,    -1,    -1,    -1,    -1,  4678,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3054,    -1,    -1,    -1,    -1,  3059,
    2664,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4731,    -1,  4733,  3084,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3095,    -1,  3097,  3098,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3108,    -1,
      -1,  3111,    -1,  3113,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4784,    -1,    -1,    -1,  4788,    -1,
      -1,    -1,  3142,  4793,  3144,    -1,  3146,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4810,  4811,    -1,    -1,  4814,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2818,  4828,  3179,
    3180,  3181,    -1,  4833,    -1,    -1,    -1,    -1,  4838,    -1,
      -1,  4841,  4842,    -1,    -1,    -1,    -1,    -1,    -1,  4849,
    4850,    -1,    -1,    -1,  3204,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2818,    -1,    -1,  3217,    -1,    -1,
    1847,  4871,  3222,    -1,    -1,    -1,    -1,    -1,  3228,    -1,
      -1,    -1,    -1,    -1,    -1,  4885,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1322,  2888,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1342,    -1,    -1,  4919,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4929,
    1356,    -1,    -1,    -1,  2888,  1912,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1946,
      -1,    -1,  4972,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1438,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5023,    -1,  5025,  3017,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3034,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2028,    -1,    -1,  3045,  5055,  5056,    -1,  5058,    -1,
    5060,    -1,    -1,  3017,    -1,    -1,  2043,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2051,    -1,    -1,    -1,    -1,    -1,
    3034,    -1,    -1,    -1,  5084,  2062,    -1,    -1,  5088,    -1,
      -1,  3045,    -1,    -1,  5094,    -1,    -1,    -1,    -1,  5099,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2109,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1569,    -1,    -1,    -1,    -1,    -1,    -1,
    5150,  2128,    -1,    -1,  5154,  5155,    -1,    -1,    -1,  5159,
      -1,    -1,    -1,  2140,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2152,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3179,  3180,
    3181,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5203,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2192,    -1,    -1,  2195,    -1,
      -1,    -1,    -1,  5223,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5243,  5244,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5266,    -1,    -1,  5269,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5278,    -1,
      -1,    -1,    -1,  5283,    -1,  5285,  3277,  5287,    -1,  3280,
      -1,  3282,    -1,    -1,  5294,    -1,  3287,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3277,    -1,    -1,  3280,    -1,  3282,    -1,
      -1,    -1,    -1,  3287,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3338,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3355,    -1,    -1,  2344,    -1,    -1,
      -1,    -1,    -1,    -1,  5374,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3338,    -1,    -1,    -1,    -1,  3380,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3355,    -1,    -1,    -1,  5405,  5406,    -1,    -1,    -1,
    3760,    -1,    -1,    -1,    -1,    -1,  5416,    -1,    -1,  3769,
      -1,  1847,    -1,    -1,    -1,  3775,  3380,  3777,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5436,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3804,  3805,    -1,    -1,  3449,    -1,
    3451,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3822,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3830,    -1,  5482,  3833,    -1,  3835,  1912,    -1,  5488,  5489,
      -1,  5491,    -1,    -1,  3844,  3449,    -1,  3451,    -1,    -1,
      -1,    -1,  3852,  3853,    -1,    -1,    -1,    -1,    -1,    -1,
    5510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1946,  3512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3883,    -1,    -1,    -1,    -1,    -1,  3889,
    3890,  3891,    -1,    -1,    -1,    -1,  3537,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3512,    -1,
      -1,  1672,    -1,    -1,    -1,    -1,    -1,    -1,  2545,    -1,
      -1,    -1,  2549,  2550,  3565,    -1,    -1,    -1,    -1,  3570,
      -1,    -1,    -1,  3537,    -1,    -1,    -1,  3937,    -1,    -1,
      -1,    -1,    -1,  5593,  5594,    -1,    -1,    -1,    -1,    -1,
    3950,    -1,  2028,    -1,    -1,    -1,    -1,  5607,    -1,    -1,
      -1,  3565,    -1,    -1,    -1,    -1,  3570,  2043,    -1,  5619,
    5620,    -1,    -1,    -1,    -1,  2051,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2612,  2062,    -1,  3629,  1750,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2624,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3647,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3662,    -1,    -1,    -1,  3629,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2109,    -1,    -1,    -1,  2664,    -1,    -1,
      -1,    -1,    -1,  3647,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2128,    -1,    -1,    -1,    -1,    -1,  3662,    -1,
      -1,    -1,    -1,    -1,  2140,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2152,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2192,    -1,    -1,  2195,
      -1,    -1,  3763,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3784,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3763,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3809,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3784,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2818,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3843,    -1,    -1,  3809,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3843,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3891,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4259,
    4260,  2888,    -1,    -1,    -1,    -1,    -1,    -1,  2344,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3966,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4343,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4354,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3017,    -1,    -1,    -1,  4394,  4395,    -1,    -1,    -1,    -1,
      -1,  4401,  4402,    -1,    -1,    -1,  4406,  3034,    -1,    -1,
      -1,  4411,    -1,    -1,  4414,  4415,    -1,    -1,  3045,  4419,
      -1,    -1,    -1,    -1,  4065,  4425,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2211,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4459,
      -1,  4065,    -1,    -1,  4464,    -1,    -1,    -1,    -1,  2545,
    4470,    -1,    -1,  2549,  2550,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4488,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4517,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2612,    -1,    -1,  2300,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2624,    -1,
      -1,    -1,    -1,  2314,    -1,    -1,    -1,  2318,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4210,
      -1,  2332,  2333,  2334,    -1,    -1,  2337,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2664,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4605,  4210,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4258,  2379,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3277,    -1,    -1,  3280,  4258,  3282,    -1,    -1,    -1,    -1,
    3287,    -1,    -1,    -1,    -1,    -1,    -1,  4667,    -1,    -1,
      -1,    -1,    -1,  2434,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2458,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2470,
      -1,  3338,  2473,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3355,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2818,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3380,    -1,    -1,  4397,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4407,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4397,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4407,    -1,    -1,    -1,    -1,    -1,    -1,
    4810,  4811,  2888,    -1,  4814,    -1,    -1,    -1,  4459,    -1,
      -1,    -1,  3449,  4464,  3451,    -1,    -1,    -1,    -1,  4470,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4849,
    4850,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3512,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4535,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3537,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4566,    -1,    -1,    -1,    -1,
      -1,  4535,    -1,    -1,    -1,    -1,    -1,    -1,  3565,    -1,
      -1,  3017,    -1,  3570,    -1,    -1,  4587,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3034,    -1,
      -1,  4602,  4566,    -1,    -1,    -1,    -1,    -1,    -1,  3045,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4587,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4602,    -1,
      -1,    -1,  3629,    -1,  4645,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3647,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3662,    -1,    -1,    -1,    -1,
      -1,  4645,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5058,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5084,    -1,    -1,    -1,    -1,    -1,
    4731,    -1,  4733,    -1,    -1,    -1,    -1,    -1,    -1,  5099,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4733,
      -1,    -1,    -1,    -1,    -1,    -1,  3763,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4788,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3784,    -1,  5159,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3809,    -1,  4788,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3277,    -1,    -1,  3280,    -1,  3282,    -1,    -1,    -1,
      -1,  3287,    -1,    -1,    -1,    -1,  3843,    -1,    -1,    -1,
      -1,    -1,    -1,  5223,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3338,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4919,  3355,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5287,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3057,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3380,    -1,    -1,    -1,    -1,    -1,
      -1,  5311,    -1,    -1,    -1,  4919,  3077,    -1,  3079,    -1,
      -1,  3082,  3083,    -1,  3085,    -1,  3087,    -1,    -1,    -1,
    3091,    -1,    -1,  3094,    -1,    -1,    -1,    -1,  3099,  3966,
      -1,    -1,    -1,    -1,  3105,    -1,    -1,    -1,    -1,  3110,
      -1,    -1,    -1,    -1,    -1,    -1,  3117,  3118,  3119,  3120,
      -1,    -1,    -1,  3124,  3125,    -1,  3127,    -1,    -1,    -1,
      -1,    -1,    -1,  3449,    -1,  3451,    -1,    -1,  3139,    -1,
    3141,    -1,    -1,    -1,  5025,    -1,    -1,  3148,  3149,  3150,
    3151,  3152,  3153,  3154,  3155,  3156,  3157,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5405,  5406,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5056,  5416,    -1,    -1,    -1,
      -1,  5025,    -1,    -1,  3185,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3512,    -1,  4065,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5056,  5094,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3537,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3565,
    5094,  5491,    -1,    -1,  3570,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5150,
    5510,    -1,    -1,  5154,  5155,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5150,    -1,    -1,    -1,
    5154,  5155,    -1,  3629,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3326,    -1,    -1,    -1,    -1,
      -1,  3647,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4210,    -1,    -1,  3662,    -1,    -1,    -1,
      -1,    -1,    -1,  5593,  5594,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5243,  5244,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3763,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3784,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3809,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3843,    -1,    -1,
    4397,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3566,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3966,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4535,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4566,
      -1,    -1,    -1,  3704,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4587,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4602,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4065,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3759,    -1,
      -1,    -1,    -1,    -1,  3765,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4645,    -1,
    3781,  3782,    -1,    -1,  3785,  3786,  3787,  3788,    -1,    -1,
    3791,  3792,  3793,  3794,  3795,  3796,  3797,  3798,  3799,  3800,
    3801,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3823,    -1,    -1,  3826,    -1,  3828,    -1,    -1,
    3831,  3832,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3846,  3847,  3848,  3849,    -1,
    3851,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4733,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4210,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3919,    -1,
      -1,  4788,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3931,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3978,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4919,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4397,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5025,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4183,    -1,    -1,    -1,    -1,    -1,    -1,  5056,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4535,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5094,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4566,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4587,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5150,    -1,    -1,  4602,  5154,  5155,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4645,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4344,    -1,    -1,    -1,  4348,  4349,  4350,
      -1,    -1,    -1,    -1,    -1,  4356,  4357,  4358,  4359,    -1,
      -1,    -1,    -1,  4364,  4365,  4366,  4367,  4368,  4369,  4370,
    4371,  4372,  4373,  4374,  4375,    -1,    -1,  5244,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4400,
      -1,    -1,  4403,    -1,  4405,    -1,    -1,    -1,  4409,    -1,
      -1,  4412,  4413,    -1,    -1,  4416,  4417,  4733,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4461,    -1,    -1,    -1,    -1,    -1,    -1,  4468,  4469,    -1,
      -1,    -1,  4788,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4487,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4919,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     6,     7,     8,    -1,    10,    11,
      12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,    -1,    41,
      42,    43,    -1,    -1,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,  4670,
      -1,    -1,    64,    -1,    66,    -1,    68,    -1,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5025,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   118,  4728,  4729,    -1,
     122,   123,   124,   125,   126,    -1,    -1,    -1,    -1,    -1,
    5056,    -1,    -1,    -1,    -1,    -1,   138,    -1,    -1,    -1,
      -1,    -1,    -1,   145,    -1,   147,    -1,    -1,    -1,    -1,
      -1,   153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   165,    -1,    -1,    -1,  4778,  5094,    -1,
     172,    -1,  4783,  4784,    -1,    -1,    -1,    -1,    -1,    -1,
     182,   183,    -1,    -1,    -1,    -1,    -1,  4798,    -1,  4800,
      -1,    -1,    -1,  4804,  4805,  4806,    -1,    -1,  4809,    -1,
      -1,  4812,  4813,    -1,    -1,    -1,  4817,    -1,   210,    -1,
    4821,    -1,    -1,    -1,    -1,    -1,   218,    -1,    -1,    -1,
     222,    -1,    -1,    -1,  5150,    -1,   228,    -1,  5154,  5155,
      -1,    -1,   234,    -1,   236,    -1,    -1,    -1,    -1,    -1,
     242,    -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   266,   267,    -1,    -1,    -1,    -1,
      -1,   273,  4883,   275,    -1,    -1,   278,   279,    -1,   281,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   290,   291,
      -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   316,   317,   318,    -1,  5244,   321,
      -1,    -1,    -1,   325,    -1,    -1,   328,    -1,   330,    -1,
      -1,    -1,  4943,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   344,   345,    -1,   347,   348,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   360,    -1,
     362,    -1,    -1,    -1,    -1,    -1,  4977,    -1,    -1,    -1,
      -1,    -1,    -1,   375,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   395,    -1,    -1,    -1,   399,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,   420,    -1,
      -1,   423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   437,    -1,    -1,    -1,    -1,
      -1,   443,    -1,  5054,  5055,    -1,    -1,    -1,   450,   451,
      -1,    -1,    -1,    -1,   456,    -1,   458,    -1,    -1,  5070,
    5071,  5072,    -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     482,    -1,    -1,   485,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5106,  5107,    -1,    -1,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   536,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5258,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5274,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5373,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5434,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5494,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,  5565,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5606,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     3,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,   535,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    -1,    41,    42,    43,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   104,    -1,   106,   107,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,
     118,    -1,    -1,   121,   122,   123,   124,   125,   126,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     138,    -1,    -1,   141,    -1,   143,   144,   145,    -1,   147,
      -1,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   162,    -1,   164,   165,    -1,    -1,
      -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,
      -1,   179,    -1,   181,   182,   183,   184,    -1,    -1,    -1,
      -1,    -1,   190,    -1,    -1,    -1,    -1,    -1,    -1,   197,
      -1,   199,    -1,    -1,    -1,   203,    -1,    -1,    -1,    -1,
      -1,   209,   210,    -1,    -1,    -1,    -1,    -1,    -1,   217,
     218,   219,    -1,    -1,   222,    -1,    -1,   225,    -1,    -1,
     228,    -1,    -1,    -1,    -1,    -1,   234,    -1,   236,    -1,
      -1,    -1,   240,    -1,   242,    -1,   244,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,   256,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,   267,
      -1,    -1,   270,    -1,    -1,   273,    -1,   275,    -1,    -1,
     278,   279,    -1,   281,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   290,   291,    -1,   293,    -1,   295,   296,    -1,
      -1,    -1,    -1,   301,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   313,    -1,    -1,   316,   317,
     318,    -1,    -1,   321,    -1,    -1,   324,   325,    -1,    -1,
     328,    -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   344,   345,    -1,   347,
     348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   360,    -1,   362,    -1,   364,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   375,   376,    -1,
      -1,    -1,    -1,   381,   382,    -1,   384,    -1,    -1,    -1,
      -1,   389,    -1,    -1,    -1,    -1,   394,   395,    -1,   397,
      -1,   399,    -1,    -1,   402,    -1,    -1,    -1,    -1,   407,
     408,    -1,    -1,    -1,    -1,    -1,    -1,   415,    -1,   417,
      -1,   419,   420,    -1,    -1,   423,    -1,    -1,    -1,    -1,
      -1,   429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   437,
      -1,    -1,    -1,   441,    -1,   443,    -1,    -1,    -1,    -1,
      -1,    -1,   450,   451,    -1,    -1,    -1,    -1,   456,    -1,
     458,    -1,   460,    -1,   462,    -1,    -1,    -1,    -1,   467,
      -1,    -1,   470,    -1,    -1,   473,    -1,    -1,   476,    -1,
      -1,    -1,    -1,   481,   482,    -1,    -1,   485,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   494,    -1,    -1,    -1,
      -1,    -1,    -1,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,    -1,    -1,   515,    -1,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,   529,    15,    16,    -1,   533,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,   198,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,   234,    -1,   236,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,    -1,   468,   469,   470,   471,   472,
     473,   474,    -1,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,    -1,    -1,    -1,    -1,    -1,    -1,   520,   521,   522,
      -1,    -1,    -1,    -1,    -1,    -1,   529,   530,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,   110,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,   234,    -1,   236,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,    -1,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
      -1,   468,   469,   470,   471,   472,   473,   474,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,   485,   486,
     487,   488,   489,    -1,    -1,   492,    -1,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,    -1,   515,    -1,
      -1,    -1,    -1,   520,   521,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   529,   530,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,    -1,   468,   469,   470,
     471,   472,   473,   474,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,   485,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,    -1,    -1,    -1,    -1,    -1,    -1,   520,
     521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   529,   530,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,    -1,   468,   469,   470,   471,   472,   473,   474,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
     485,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,    -1,
      -1,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   529,   530,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,   530,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,    -1,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,    -1,   219,   220,   221,    -1,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,   234,    -1,   236,   237,   238,   239,    -1,   241,    -1,
      -1,    -1,   245,    -1,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,    -1,   289,    -1,   291,   292,
     293,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,    -1,
     323,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,    -1,   361,    -1,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,    -1,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,    -1,    -1,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,    -1,   457,    -1,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,    -1,   482,
     483,   484,   485,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,   511,   512,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   530,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,    -1,    -1,    -1,   245,    -1,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,    -1,   269,   270,
     271,   272,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,    -1,   289,    -1,
     291,   292,   293,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,    -1,   323,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,    -1,
     361,    -1,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,    -1,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,    -1,    -1,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,    -1,   457,    -1,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,
     511,   512,    -1,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   530,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,   515,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,   515,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   529,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,   235,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,    -1,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,   527,   528,   529,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,   522,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,    -1,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   529,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,   235,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,    -1,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   529,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,    -1,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   529,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,    -1,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   529,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,    -1,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   529,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,   468,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,    -1,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   529,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,   468,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   520,   521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   529,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,    -1,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   520,   521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     529,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   529,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,   234,    -1,   236,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,    -1,   269,   270,   271,   272,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,   474,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,   485,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   529,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,    -1,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,    -1,    -1,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,    -1,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,    -1,   468,   469,   470,   471,
     472,   473,   474,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,   485,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   520,   521,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   529,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,   134,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,   234,    -1,   236,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,    -1,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
     337,   338,   339,   340,    -1,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,   474,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,   485,   486,
     487,   488,   489,    -1,    -1,   492,    -1,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,    -1,    -1,   515,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   529,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    41,    42,    43,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,   134,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,   337,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,   474,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   529,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,   134,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,   474,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
     485,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   529,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    41,    42,    43,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
     134,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   529,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,   234,    -1,   236,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,   485,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   529,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,   111,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,   236,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,    -1,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   530,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    74,    75,    76,    77,    78,    79,
      -1,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,   528,   529,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      79,    -1,    81,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     529,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,    -1,    -1,   515,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   529,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,   441,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,    -1,    -1,   515,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   529,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,    -1,    -1,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   529,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,    -1,    -1,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   529,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,    -1,
      -1,    -1,    -1,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   529,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   529,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      -1,    -1,    84,    85,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
      -1,   243,    -1,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,    -1,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,    -1,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,    -1,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,    -1,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
      -1,   453,   454,   455,    -1,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,   466,    -1,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,   511,
     512,    -1,    -1,    -1,   516,   517,   518,    -1,   520,   521,
     522,   523,   524,   525,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    80,
      81,    -1,    -1,    84,    85,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,    -1,   243,    -1,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,    -1,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,    -1,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,    -1,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,    -1,   453,   454,   455,    -1,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,   466,    -1,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
      -1,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,
     511,   512,    -1,    -1,    -1,   516,   517,   518,    -1,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,    -1,    -1,   516,   517,   518,    -1,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,    -1,    -1,   516,   517,   518,    -1,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,    -1,    -1,   516,   517,   518,    -1,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,    -1,    -1,   516,   517,   518,    -1,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,    -1,    -1,   516,   517,   518,    -1,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,    -1,    -1,   516,   517,   518,    -1,   520,
     521,   522,   523,   524,   525,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,    -1,    -1,    -1,   516,   517,   518,    -1,   520,
     521,   522,   523,   524,   525,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     5,     6,     7,     8,     9,    10,    11,
      12,    13,   522,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    41,
      42,    43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,    -1,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
      -1,    -1,    -1,   245,    -1,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,    -1,   291,
     292,   293,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
      -1,   323,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
     342,   343,   344,   345,   346,   347,    -1,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,    -1,   361,
      -1,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,    -1,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,    -1,    -1,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,    -1,   457,    -1,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,    -1,
     482,   483,   484,   485,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,   511,
     512,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
     522,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,   522,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,   522,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,   235,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   520,   521,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,   235,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   520,   521,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,   235,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   520,   521,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,   235,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     520,   521,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,   452,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,    -1,
      -1,    -1,    -1,     4,   518,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,   134,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,    -1,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,   474,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,   485,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,   234,    -1,   236,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,   485,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
     485,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,    -1,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,   234,    -1,   236,
     237,   238,   239,    -1,   241,    -1,    -1,    -1,   245,    -1,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,    -1,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
      -1,    -1,   289,    -1,   291,   292,   293,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,    -1,   323,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,    -1,   361,    -1,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,    -1,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
      -1,    -1,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,    -1,
     457,    -1,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,    -1,   482,   483,   484,   485,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   510,   511,   512,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,    -1,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,    -1,    -1,    -1,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,    -1,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,    -1,   291,   292,   293,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,    -1,   323,   324,   325,   326,   327,    -1,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,    -1,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,    -1,   361,    -1,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
      -1,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,    -1,    -1,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,    -1,   457,    -1,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,    -1,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   510,   511,   512,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,    -1,    -1,    -1,   245,    -1,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,    -1,    -1,   269,   270,
     271,   272,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,    -1,   289,    -1,
     291,   292,   293,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,    -1,   323,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,    -1,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,    -1,
     361,    -1,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,    -1,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,    -1,    -1,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,    -1,   457,    -1,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
      -1,   482,    -1,   484,   485,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,
     511,   512,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,    -1,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,    -1,   219,   220,   221,    -1,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,   234,    -1,   236,   237,   238,   239,    -1,   241,    -1,
      -1,    -1,   245,    -1,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,    -1,    -1,   269,   270,   271,   272,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,    -1,   289,    -1,   291,   292,
     293,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,    -1,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,    -1,   361,    -1,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,    -1,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,    -1,    -1,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,    -1,   457,    -1,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,    -1,   482,
      -1,   484,   485,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,   511,   512,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
      -1,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,    -1,    -1,    -1,
     245,    -1,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,    -1,    -1,   269,   270,   271,   272,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,    -1,   291,   292,   293,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,    -1,   323,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,    -1,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,    -1,   361,    -1,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,    -1,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,    -1,    -1,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,    -1,   457,    -1,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,    -1,   482,    -1,   484,
     485,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   510,   511,   512,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    41,    42,    43,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,    -1,    -1,
     147,    -1,   149,   150,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,   165,   166,
     167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,   234,    -1,   236,
     237,   238,   239,    -1,   241,    -1,    -1,    -1,   245,    -1,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,   266,
      -1,    -1,   269,   270,   271,   272,   273,    -1,   275,    -1,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
      -1,    -1,   289,    -1,   291,   292,   293,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,    -1,   323,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,    -1,   345,   346,
     347,    -1,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,    -1,   361,    -1,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,   395,   396,
     397,   398,    -1,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
      -1,    -1,   439,   440,    -1,   442,   443,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,    -1,
     457,    -1,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,    -1,   482,    -1,   484,   485,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   510,   511,   512,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    41,    42,    43,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,    -1,    -1,   147,    -1,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,   165,   166,   167,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,   234,    -1,   236,   237,   238,
     239,    -1,   241,    -1,    -1,    -1,   245,    -1,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,   266,    -1,    -1,
     269,   270,   271,   272,   273,    -1,   275,    -1,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,    -1,    -1,
     289,    -1,   291,   292,   293,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,    -1,   323,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,    -1,   345,   346,   347,    -1,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,    -1,   361,    -1,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,   395,   396,   397,   398,
      -1,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,    -1,    -1,
     439,   440,    -1,   442,   443,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,    -1,   457,    -1,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,    -1,   482,    -1,   484,   485,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   510,   511,   512,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      41,    42,    43,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,    -1,    -1,   147,    -1,   149,   150,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,   234,    -1,   236,   237,   238,   239,    -1,
     241,    -1,    -1,    -1,   245,    -1,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,   266,    -1,    -1,   269,   270,
     271,   272,   273,    -1,   275,    -1,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,    -1,    -1,   289,    -1,
     291,   292,   293,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,    -1,   323,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,    -1,   345,   346,   347,    -1,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,    -1,
     361,    -1,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,   395,   396,   397,   398,    -1,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,    -1,    -1,   439,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,    -1,   457,    -1,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
      -1,   482,    -1,   484,   485,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,
     511,   512,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    41,    42,
      43,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,    -1,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,    -1,   219,   220,   221,    -1,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,   234,    -1,   236,   237,   238,   239,    -1,   241,    -1,
      -1,    -1,   245,    -1,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,    -1,    -1,   269,   270,   271,   272,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,    -1,   289,    -1,   291,   292,
     293,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,    -1,
     323,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,    -1,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,    -1,   361,    -1,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,    -1,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,    -1,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,    -1,    -1,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,    -1,   457,    -1,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,    -1,   482,
      -1,   484,   485,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   510,   511,   512,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    41,    42,    43,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,    -1,    -1,   124,
      -1,    -1,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,    -1,   139,    -1,   141,   142,   143,   144,
      -1,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,    -1,    -1,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,    -1,   224,
      -1,   226,   227,    -1,   229,    -1,   231,    -1,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,    -1,    -1,    -1,
     245,    -1,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,    -1,    -1,   269,   270,   271,    -1,    -1,    -1,
      -1,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,    -1,   291,   292,   293,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,   317,    -1,   319,   320,    -1,    -1,   323,   324,
     325,   326,    -1,    -1,   329,    -1,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,    -1,
     345,   346,   347,    -1,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,    -1,   361,    -1,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,    -1,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,    -1,   418,   419,   420,   421,   422,    -1,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,    -1,    -1,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,    -1,    -1,    -1,    -1,    -1,   454,
     455,    -1,   457,    -1,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,    -1,    -1,    -1,   484,
     485,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,    -1,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,    -1,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,    -1,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,    -1,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    74,    75,    76,    77,    78,    79,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,
      74,    75,    76,    77,    78,    79,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,    -1,
      -1,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,   232,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,   468,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,   232,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,   293,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,   468,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,   240,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,   164,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,   240,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    74,    75,    76,    77,    78,
      79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
     232,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,   468,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,   168,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,   164,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,   232,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,   441,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,   441,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,   337,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,   106,   107,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,   474,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
     474,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,   337,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,   337,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,   111,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,   111,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,    -1,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,   111,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,   156,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,    -1,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,   156,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,   156,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
     156,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,
      45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,   137,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,
     155,   156,    -1,   158,   159,   160,   161,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   176,   177,   178,   179,   180,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,    -1,
      -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,    -1,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
      -1,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,    -1,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,    -1,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,   481,   482,    -1,   484,
      -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,
      -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,
      68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,   137,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,    -1,
      -1,   149,   150,   151,   152,    -1,   154,   155,   156,    -1,
     158,   159,   160,   161,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,
     178,   179,   180,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
      -1,    -1,   280,    -1,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,    -1,
     318,   319,   320,   321,    -1,   323,   324,    -1,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,    -1,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
      -1,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,    -1,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,    -1,   444,   445,   446,   447,
     448,    -1,   450,   451,    -1,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,   481,   482,    -1,   484,    -1,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    -1,
      41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,    -1,    -1,   135,   136,   137,   138,   139,    -1,
     141,   142,   143,   144,   145,    -1,    -1,    -1,   149,   150,
     151,   152,    -1,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,
     181,   182,   183,   184,    -1,   186,    -1,   188,   189,   190,
     191,   192,   193,    -1,   195,   196,   197,    -1,    -1,   200,
     201,   202,   203,   204,    -1,   206,   207,   208,    -1,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,    -1,   224,    -1,   226,   227,   228,   229,    -1,
     231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,
     241,   242,    -1,   244,   245,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,
      -1,   282,   283,   284,   285,   286,    -1,    -1,   289,   290,
      -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,    -1,   323,   324,    -1,   326,    -1,   328,   329,   330,
     331,   332,   333,    -1,   335,    -1,    -1,   338,   339,   340,
      -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,   355,   356,    -1,   358,   359,   360,
     361,   362,   363,   364,   365,    -1,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,    -1,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,    -1,
     421,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,    -1,   439,   440,
      -1,   442,    -1,   444,   445,   446,   447,   448,    -1,   450,
     451,    -1,    -1,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,   465,   466,    -1,    -1,   469,   470,
     471,   472,   473,    -1,    -1,   476,   477,   478,   479,   480,
     481,   482,    -1,   484,    -1,   486,   487,   488,   489,    -1,
      -1,   492,    -1,    -1,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,    -1,
      44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,
      -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,   137,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,    -1,    -1,   149,   150,   151,   152,    -1,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,    -1,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
      -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,    -1,   292,    -1,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,    -1,   318,   319,   320,   321,    -1,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,
     344,    -1,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,    -1,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,    -1,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,    -1,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,   481,   482,    -1,
     484,    -1,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    -1,    41,    -1,    -1,    44,    45,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,    -1,   103,   104,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,    -1,    -1,   135,   136,
     137,   138,   139,    -1,   141,   142,   143,   144,   145,    -1,
      -1,    -1,   149,   150,   151,   152,    -1,   154,   155,    -1,
      -1,   158,   159,   160,   161,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,
     177,   178,   179,   180,   181,   182,   183,   184,    -1,   186,
      -1,   188,   189,   190,   191,   192,   193,    -1,   195,   196,
     197,    -1,    -1,   200,   201,   202,   203,   204,    -1,   206,
     207,   208,    -1,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,    -1,   224,    -1,   226,
     227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,    -1,
     237,   238,   239,    -1,   241,   242,    -1,   244,   245,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,
     277,    -1,    -1,   280,    -1,   282,   283,   284,   285,   286,
      -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,   296,
     297,    -1,    -1,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,    -1,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,   332,   333,    -1,   335,    -1,
      -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,   355,   356,
      -1,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,    -1,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,    -1,   421,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,    -1,   439,   440,    -1,   442,    -1,   444,   445,   446,
     447,   448,    -1,   450,   451,    -1,    -1,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,   465,   466,
      -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,   476,
     477,   478,   479,   480,   481,   482,    -1,   484,    -1,   486,
     487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,    49,
      50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,   137,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,   149,
     150,   151,   152,    -1,   154,   155,    -1,    -1,   158,   159,
     160,   161,   162,   163,    -1,    -1,   166,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,    -1,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,    -1,
     280,    -1,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,    -1,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,    -1,    -1,   338,   339,
     340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
      -1,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,    -1,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,   481,   482,    -1,   484,    -1,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    -1,    41,    -1,
      -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,    -1,
      -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,   137,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,    -1,    -1,   149,   150,   151,   152,
      -1,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   176,   177,   178,   179,   180,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,    -1,   292,
      -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,    -1,
     323,   324,    -1,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,    -1,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,    -1,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
      -1,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    -1,    41,    -1,    -1,    44,    45,
      -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    68,    69,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,   137,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,    -1,    -1,   149,   150,   151,   152,    -1,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,    -1,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,    -1,    -1,
      -1,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,    -1,    -1,   280,    -1,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,    -1,   292,    -1,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,    -1,   323,   324,    -1,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
      -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,    -1,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,    -1,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,    -1,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,   481,   482,    -1,   484,    -1,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    -1,    41,    -1,    -1,    44,    45,    -1,    -1,    -1,
      49,    50,    -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,    -1,    -1,   135,   136,   137,   138,
     139,    -1,   141,   142,   143,   144,   145,    -1,    -1,    -1,
     149,   150,   151,   152,    -1,   154,   155,    -1,    -1,   158,
     159,   160,   161,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,    -1,   195,   196,   197,    -1,
      -1,   200,   201,   202,   203,   204,    -1,   206,   207,   208,
      -1,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,    -1,   224,    -1,   226,   227,   228,
     229,    -1,   231,    -1,   233,    -1,    -1,    -1,   237,   238,
     239,    -1,   241,   242,    -1,   244,   245,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,    -1,   258,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,    -1,
      -1,   280,    -1,   282,   283,   284,   285,   286,    -1,    -1,
     289,   290,    -1,   292,    -1,    -1,   295,   296,   297,    -1,
      -1,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,    -1,   323,   324,    -1,   326,    -1,   328,
     329,   330,   331,   332,   333,    -1,   335,    -1,    -1,   338,
     339,   340,    -1,    -1,   343,   344,    -1,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,   355,   356,    -1,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,    -1,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    -1,
     439,   440,    -1,   442,    -1,   444,   445,   446,   447,   448,
      -1,   450,   451,    -1,    -1,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,   465,   466,    -1,    -1,
     469,   470,   471,   472,   473,    -1,    -1,   476,   477,   478,
     479,   480,   481,   482,    -1,   484,    -1,   486,   487,   488,
     489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    -1,    41,
      -1,    -1,    44,    45,    -1,    -1,    -1,    49,    50,    -1,
      -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,   137,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,    -1,    -1,   149,   150,   151,
     152,    -1,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,    -1,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,    -1,    -1,    -1,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,    -1,    -1,   280,    -1,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,    -1,
     292,    -1,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
      -1,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,
      -1,   343,   344,    -1,   346,    -1,   348,   349,   350,   351,
     352,   353,    -1,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,   406,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,    -1,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,    -1,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,   481,
     482,    -1,   484,    -1,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,     6,     7,     8,    -1,    10,    11,    12,    -1,    -1,
      -1,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    -1,
      -1,    -1,    -1,    -1,    49,    50,    -1,    -1,    -1,    -1,
      55,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    72,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   118,    -1,    -1,    -1,   122,   123,   124,
     125,   126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,
     145,    -1,   147,    -1,    -1,    -1,    -1,    -1,   153,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     165,    -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,   183,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   210,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   218,    -1,    -1,    -1,   222,    -1,    -1,
      -1,    -1,    -1,   228,    -1,    -1,    -1,    -1,    -1,   234,
      -1,   236,    -1,    -1,    -1,    -1,    -1,   242,    -1,   244,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   266,   267,    -1,    -1,    -1,    -1,    -1,   273,    -1,
     275,    -1,    -1,   278,   279,    -1,   281,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   290,   291,    -1,   293,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   316,   317,   318,    -1,    -1,   321,    -1,    -1,    -1,
     325,    -1,    -1,   328,    -1,   330,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,
     345,    -1,   347,   348,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   360,    -1,   362,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     375,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     395,    -1,    -1,    -1,   399,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   417,    -1,    -1,   420,    -1,    -1,   423,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   437,    -1,    -1,    -1,    -1,    -1,   443,    -1,
      -1,    -1,    -1,    -1,    -1,   450,   451,    -1,    -1,    -1,
      -1,   456,    -1,   458,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   482,    -1,    -1,
     485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   501,   502,   503,   504,
     505,   506,   507,   508,   509,     6,     7,     8,    -1,    10,
      11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,
      31,    32,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    -1,    -1,    -1,    -1,    -1,    49,    50,
      -1,    -1,    -1,    -1,    55,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    72,    -1,    -1,    -1,    -1,    -1,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   118,    -1,    -1,
      -1,   122,   123,   124,   125,   126,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,    -1,    -1,
      -1,    -1,    -1,    -1,   145,    -1,   147,    -1,    -1,    -1,
      -1,    -1,   153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,
      -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   182,   183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   210,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   218,    -1,    -1,
      -1,   222,    -1,    -1,    -1,    -1,    -1,   228,    -1,    -1,
      -1,    -1,    -1,   234,    -1,   236,    -1,    -1,    -1,    -1,
      -1,   242,    -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   266,   267,    -1,    -1,    -1,
      -1,    -1,   273,    -1,   275,    -1,    -1,   278,   279,    -1,
     281,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   290,
     291,    -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   316,   317,   318,    -1,    -1,
     321,    -1,    -1,    -1,   325,    -1,    -1,   328,    -1,   330,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   344,   345,    -1,   347,   348,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   360,
      -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   375,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   395,    -1,    -1,    -1,   399,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   417,    -1,    -1,   420,
      -1,    -1,   423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   437,    -1,    -1,    -1,
      -1,    -1,   443,    -1,    -1,    -1,    -1,    -1,    -1,   450,
     451,    -1,    -1,    -1,    -1,   456,    -1,   458,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   467,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   482,    -1,    -1,   485,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     501,   502,   503,   504,   505,   506,   507,   508,   509,     6,
       7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    -1,    41,    42,    43,    -1,    -1,    -1,
      -1,    -1,    49,    50,    -1,    -1,    -1,    -1,    55,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    68,    -1,    70,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   118,    -1,    -1,    -1,   122,   123,   124,   125,   126,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,   145,    -1,
     147,    -1,    -1,    -1,    -1,    -1,   153,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,
      -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   182,   183,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   210,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   218,    -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,
      -1,   228,    -1,    -1,    -1,    -1,    -1,   234,    -1,   236,
      -1,    -1,    -1,    -1,    -1,   242,    -1,   244,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,
     267,    -1,    -1,    -1,    -1,    -1,   273,    -1,   275,    -1,
      -1,   278,   279,    -1,   281,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   290,   291,    -1,   293,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   316,
     317,   318,    -1,    -1,   321,    -1,    -1,    -1,   325,    -1,
      -1,   328,    -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,   345,    -1,
     347,   348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   360,    -1,   362,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   375,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   395,    -1,
      -1,    -1,   399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     417,    -1,    -1,   420,    -1,    -1,   423,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     437,    -1,    -1,    -1,    -1,    -1,   443,    -1,    -1,    -1,
      -1,    -1,    -1,   450,   451,    -1,    -1,    -1,    -1,   456,
      -1,   458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     467,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   482,    -1,    -1,   485,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   501,   502,   503,   504,   505,   506,
     507,   508,   509,     6,     7,     8,    -1,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    -1,    41,    42,
      43,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   118,    -1,    -1,    -1,   122,
     123,   124,   125,   126,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   138,    -1,    -1,    -1,    -1,
      -1,    -1,   145,    -1,   147,    -1,    -1,    -1,    -1,    -1,
     153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,
     183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   210,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   218,    -1,    -1,    -1,   222,
      -1,    -1,    -1,    -1,    -1,   228,    -1,    -1,    -1,    -1,
      -1,   234,    -1,   236,    -1,    -1,    -1,    -1,    -1,   242,
      -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   266,   267,    -1,    -1,    -1,    -1,    -1,
     273,    -1,   275,    -1,    -1,   278,   279,    -1,   281,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   290,   291,    -1,
     293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   316,   317,   318,    -1,    -1,   321,    -1,
      -1,    -1,   325,    -1,    -1,   328,    -1,   330,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   344,   345,    -1,   347,   348,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   360,    -1,   362,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   375,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   395,    -1,    -1,    -1,   399,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   417,    -1,    -1,   420,    -1,    -1,
     423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   437,    -1,    -1,    -1,    -1,    -1,
     443,    -1,    -1,    -1,    -1,    -1,    -1,   450,   451,    -1,
      -1,    -1,    -1,   456,    -1,   458,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   467,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   482,
      -1,    -1,   485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    70,    71,    -1,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,   234,    -1,   236,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,    -1,   338,   339,   340,    -1,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,    -1,   407,    -1,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,    -1,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,    -1,   482,
      -1,   484,   485,   486,   487,   488,   489,    -1,    -1,   492,
      -1,    -1,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    70,   511,   512,
      -1,    -1,    -1,    -1,    -1,    78,    79,   520,   521,   522,
      -1,    -1,    -1,    -1,    -1,    -1,   529,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,    -1,
     103,   104,   105,   106,   107,    -1,    -1,    -1,    -1,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
      -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,   142,
     143,   144,   145,    -1,   147,    -1,   149,   150,   151,   152,
     153,   154,   155,    -1,    -1,   158,   159,   160,   161,   162,
     163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,
      -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,   182,
     183,   184,    -1,   186,    -1,   188,   189,   190,   191,   192,
     193,    -1,   195,   196,   197,    -1,    -1,   200,   201,   202,
     203,   204,    -1,   206,   207,   208,    -1,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
      -1,   224,    -1,   226,   227,   228,   229,    -1,   231,    -1,
     233,   234,    -1,   236,   237,   238,   239,    -1,   241,   242,
      -1,   244,   245,    -1,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,   256,    -1,   258,   259,   260,   261,   262,
     263,    -1,   265,   266,   267,    -1,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,    -1,    -1,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,    -1,    -1,   300,   301,   302,
     303,   304,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,    -1,
     323,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,    -1,   335,    -1,    -1,   338,   339,   340,    -1,    -1,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,    -1,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,    -1,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    -1,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,    -1,   450,   451,    -1,
      -1,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,   465,   466,    -1,    -1,   469,   470,   471,   472,
     473,    -1,    -1,   476,   477,   478,   479,   480,   481,   482,
      -1,   484,   485,   486,   487,   488,   489,    -1,    -1,   492,
      -1,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,    -1,   511,   512,
      70,    71,   515,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    -1,    -1,    -1,    85,   529,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,    -1,   103,   104,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,    -1,    -1,   135,   136,    -1,   138,   139,
      -1,   141,   142,   143,   144,   145,    -1,   147,    -1,   149,
     150,   151,   152,   153,   154,   155,    -1,    -1,   158,   159,
     160,   161,   162,   163,    -1,   165,   166,   167,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,   176,   177,   178,   179,
      -1,   181,   182,   183,   184,   185,   186,    -1,   188,   189,
     190,   191,   192,   193,    -1,   195,   196,   197,    -1,    -1,
     200,   201,   202,   203,   204,    -1,   206,   207,   208,    -1,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,    -1,   226,   227,   228,   229,
      -1,   231,    -1,   233,   234,    -1,   236,   237,   238,   239,
      -1,   241,   242,    -1,   244,   245,    -1,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,    -1,   265,   266,   267,    -1,   269,
     270,   271,    -1,   273,    -1,   275,    -1,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,    -1,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,    -1,    -1,
     300,   301,   302,   303,   304,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,    -1,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,    -1,   338,   339,
     340,    -1,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,    -1,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,    -1,   407,    -1,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,    -1,   439,
     440,    -1,   442,   443,   444,   445,   446,   447,   448,    -1,
     450,   451,    -1,    -1,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,    -1,    -1,   469,
     470,   471,   472,   473,    -1,    -1,   476,   477,   478,   479,
     480,    -1,   482,    -1,   484,   485,   486,   487,   488,   489,
      -1,    -1,   492,    -1,    -1,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
      -1,   511,   512,    -1,    -1,    -1,    -1,    -1,    70,    71,
     520,   521,    74,    75,    76,    77,    78,    79,    80,    81,
      -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
      -1,   103,   104,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,    -1,    -1,   135,   136,    -1,   138,   139,    -1,   141,
     142,   143,   144,   145,    -1,   147,    -1,   149,   150,   151,
     152,   153,   154,   155,    -1,    -1,   158,   159,   160,   161,
     162,   163,    -1,   165,   166,   167,    -1,    -1,    -1,    -1,
     172,    -1,    -1,    -1,   176,   177,   178,   179,    -1,   181,
     182,   183,   184,   185,   186,    -1,   188,   189,   190,   191,
     192,   193,    -1,   195,   196,   197,    -1,    -1,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,    -1,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,    -1,   226,   227,   228,   229,    -1,   231,
      -1,   233,   234,    -1,   236,   237,   238,   239,    -1,   241,
     242,    -1,   244,   245,    -1,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,    -1,   265,   266,   267,    -1,   269,   270,   271,
      -1,   273,    -1,   275,    -1,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,    -1,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
      -1,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,    -1,   338,   339,   340,    -1,
      -1,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,    -1,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,    -1,   407,    -1,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,    -1,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,    -1,   450,   451,
      -1,    -1,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,    -1,    -1,   469,   470,   471,
     472,   473,    -1,    -1,   476,   477,   478,   479,   480,    -1,
     482,    -1,   484,   485,   486,   487,   488,   489,    -1,    -1,
     492,    -1,    -1,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,    -1,   511,
     512,    -1,    -1,    -1,    -1,    -1,    70,    71,   520,   521,
      74,    75,    76,    77,    78,    79,    80,    81,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,    -1,   103,
     104,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,    -1,
      -1,   135,   136,    -1,   138,   139,    -1,   141,   142,   143,
     144,   145,    -1,   147,    -1,   149,   150,   151,   152,   153,
     154,   155,    -1,    -1,   158,   159,   160,   161,   162,   163,
      -1,   165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,    -1,   186,    -1,   188,   189,   190,   191,   192,   193,
      -1,   195,   196,   197,    -1,    -1,   200,   201,   202,   203,
     204,    -1,   206,   207,   208,    -1,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,    -1,   226,   227,   228,   229,    -1,   231,    -1,   233,
     234,    -1,   236,   237,   238,   239,    -1,   241,   242,    -1,
     244,   245,    -1,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
      -1,   265,   266,   267,    -1,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,    -1,    -1,   300,   301,   302,   303,
     304,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,    -1,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,    -1,   338,   339,   340,    -1,    -1,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,    -1,   407,    -1,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,    -1,   439,   440,    -1,   442,   443,
     444,   445,   446,   447,   448,    -1,   450,   451,    -1,    -1,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,    -1,    -1,   469,   470,   471,   472,   473,
      -1,    -1,   476,   477,   478,   479,   480,    -1,   482,    -1,
     484,   485,   486,   487,   488,   489,    -1,    -1,   492,    -1,
      -1,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,    -1,   511,   512,    -1,
      -1,    -1,    -1,    -1,    70,    71,   520,   521,    74,    75,
      76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,    -1,   103,   104,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,    -1,    -1,   135,
     136,    -1,   138,   139,    -1,   141,   142,   143,   144,   145,
      -1,   147,    -1,   149,   150,   151,   152,   153,   154,   155,
      -1,    -1,   158,   159,   160,   161,   162,   163,    -1,   165,
     166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,   177,   178,   179,    -1,   181,   182,   183,   184,   185,
     186,    -1,   188,   189,   190,   191,   192,   193,    -1,   195,
     196,   197,    -1,    -1,   200,   201,   202,   203,   204,    -1,
     206,   207,   208,    -1,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,    -1,
     226,   227,   228,   229,    -1,   231,    -1,   233,   234,    -1,
     236,   237,   238,   239,    -1,   241,   242,    -1,   244,   245,
      -1,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,    -1,   265,
     266,   267,    -1,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,    -1,    -1,   300,   301,   302,   303,   304,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,    -1,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,    -1,   338,   339,   340,    -1,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,    -1,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
      -1,   407,    -1,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,    -1,   439,   440,    -1,   442,   443,   444,   445,
     446,   447,   448,    -1,   450,   451,    -1,    -1,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,    -1,    -1,   469,   470,   471,   472,   473,    -1,    -1,
     476,   477,   478,   479,   480,    -1,   482,    -1,   484,   485,
     486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,    -1,   511,   512,    -1,    -1,    -1,
      -1,    -1,    70,    71,   520,   521,    74,    75,    76,    77,
      78,    79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,    -1,   103,   104,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,    -1,    -1,   135,   136,    -1,
     138,   139,    -1,   141,   142,   143,   144,   145,    -1,   147,
      -1,   149,   150,   151,   152,   153,   154,   155,    -1,    -1,
     158,   159,   160,   161,   162,   163,    -1,   165,   166,   167,
      -1,    -1,    -1,    -1,   172,    -1,    -1,   175,   176,   177,
     178,   179,    -1,   181,   182,   183,   184,    -1,   186,    -1,
     188,   189,   190,   191,   192,   193,    -1,   195,   196,   197,
      -1,    -1,   200,   201,   202,   203,   204,    -1,   206,   207,
     208,    -1,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,    -1,   231,    -1,   233,   234,    -1,   236,   237,
     238,   239,    -1,   241,   242,    -1,   244,   245,    -1,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,   256,    -1,
     258,   259,   260,   261,   262,   263,    -1,   265,   266,   267,
      -1,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
      -1,    -1,   300,   301,   302,   303,   304,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,    -1,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,    -1,   335,    -1,    -1,
     338,   339,   340,    -1,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,    -1,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,    -1,   407,
      -1,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
      -1,   439,   440,    -1,   442,   443,   444,   445,   446,   447,
     448,    -1,   450,   451,   452,    -1,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,   465,   466,    -1,
      -1,   469,   470,   471,   472,   473,    -1,    -1,   476,   477,
     478,   479,   480,    -1,   482,    -1,   484,   485,   486,   487,
     488,   489,    -1,    -1,   492,    -1,    -1,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,    -1,   511,   512,    70,    71,    -1,    -1,    74,
      75,    76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,    -1,   482,    -1,   484,
     485,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    70,   511,   512,    -1,    74,
      75,    76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,    -1,   338,   339,   340,    -1,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,    -1,   482,    -1,   484,
     485,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    70,   511,   512,    -1,    74,
      75,    76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,    -1,   482,    -1,   484,
     485,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    70,   511,   512,    -1,    74,
      75,    76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,    -1,   482,    -1,   484,
     485,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    70,   511,   512,    -1,    74,
      75,    76,    77,    78,    79,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,    -1,   482,    -1,   484,
     485,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    70,   511,   512,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,    -1,   482,    -1,   484,
     485,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    70,   511,   512,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,   474,
      -1,   476,   477,   478,   479,   480,    -1,   482,    -1,   484,
     485,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    70,   511,   512,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,   243,   244,
     245,    -1,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,    -1,   482,    -1,   484,
     485,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    70,   511,   512,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,    -1,   482,    -1,   484,
     485,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    70,   511,   512,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,    -1,   482,    -1,   484,
     485,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    70,   511,   512,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,    -1,   482,    -1,   484,
     485,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    70,   511,   512,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,    -1,   482,    -1,   484,
     485,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    70,   511,   512,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,    -1,   482,    -1,   484,
     485,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    70,   511,   512,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
     175,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,    -1,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,    -1,   482,    -1,   484,
     485,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    70,   511,   512,    -1,    -1,
      -1,    -1,    -1,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,    -1,   103,   104,
     105,   106,   107,    -1,    -1,    -1,    -1,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,    -1,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,   143,   144,
     145,    -1,   147,    -1,   149,   150,   151,   152,   153,   154,
     155,    -1,    -1,   158,   159,   160,   161,   162,   163,    -1,
     165,   166,   167,    -1,    -1,    -1,    -1,   172,    -1,    -1,
      -1,   176,   177,   178,   179,    -1,   181,   182,   183,   184,
      -1,   186,    -1,   188,   189,   190,   191,   192,   193,    -1,
     195,   196,   197,    -1,    -1,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,    -1,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,    -1,   224,
      -1,   226,   227,   228,   229,    -1,   231,    -1,   233,   234,
      -1,   236,   237,   238,   239,    -1,   241,   242,    -1,   244,
     245,    -1,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,    -1,
     265,   266,   267,    -1,   269,   270,   271,    -1,   273,    -1,
     275,    -1,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,    -1,    -1,   300,   301,   302,   303,   304,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,    -1,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,    -1,
     335,    -1,    -1,   338,   339,   340,    -1,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,    -1,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,    -1,   407,    -1,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,    -1,   439,   440,    -1,   442,   443,   444,
     445,   446,   447,   448,    -1,   450,   451,    -1,    -1,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
     465,   466,    -1,    -1,   469,   470,   471,   472,   473,    -1,
      -1,   476,   477,   478,   479,   480,    -1,   482,    -1,   484,
     485,   486,   487,   488,   489,    -1,    -1,   492,    -1,    -1,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,    -1,   511,   512
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   538,  1148,     0,     5,    25,    35,    36,    40,    42,
      43,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    72,    74,    75,    76,
      77,    78,    79,    80,    81,    85,   137,   210,   228,   249,
     272,   309,   312,   327,   406,   452,   467,   482,   510,   518,
     520,   521,   522,   523,   524,   527,   528,   529,   530,   532,
     533,   534,   535,   536,  1138,  1149,  1177,  1179,  1270,  1280,
    1281,  1283,  1289,  1290,  1178,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    41,    42,    43,    44,    45,
      49,    50,    55,    64,    66,    68,    69,    94,   104,   106,
     107,   116,   118,   121,   122,   123,   124,   125,   126,   138,
     141,   143,   144,   145,   147,   149,   151,   153,   162,   164,
     165,   172,   179,   181,   182,   183,   184,   197,   199,   203,
     209,   210,   217,   218,   219,   222,   225,   228,   234,   236,
     240,   242,   244,   252,   256,   266,   267,   273,   275,   278,
     279,   281,   290,   291,   293,   295,   296,   301,   313,   316,
     317,   318,   321,   324,   325,   328,   330,   344,   345,   347,
     348,   360,   362,   364,   375,   376,   381,   382,   384,   389,
     394,   395,   397,   399,   402,   407,   408,   415,   417,   419,
     420,   423,   429,   437,   441,   443,   450,   451,   456,   458,
     460,   462,   467,   470,   476,   481,   482,   485,   494,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   515,   529,
     539,   540,   546,   547,   549,   550,   551,   552,   553,   554,
     555,   557,   558,   562,   574,   579,   580,   583,   584,   585,
     597,   600,   601,   617,   656,   659,   660,   661,   668,   674,
     676,   678,   679,   682,   685,   686,   690,   691,   700,   704,
     705,   706,   707,   708,   711,   713,   714,   715,   716,   717,
     724,   725,   738,   739,   743,   745,   746,   747,   757,   759,
     766,   767,   770,   771,   772,   773,   774,   780,   782,   785,
     789,   793,   794,   804,   805,   808,   813,   824,   847,   850,
     851,   852,   855,   858,   860,   862,   864,   865,   870,   871,
     874,   875,   876,   879,   880,   887,   888,   890,   891,   892,
     897,   899,   900,   906,   907,   908,   909,   910,   911,   913,
     914,   916,   917,   919,   922,   923,   928,   934,   937,   939,
     947,   949,   954,   961,   965,   966,   967,   968,   969,   970,
     973,  1008,  1145,  1146,  1150,  1152,  1153,  1170,  1171,  1172,
    1173,  1184,  1186,  1190,  1191,  1192,  1193,  1194,  1196,  1198,
    1200,  1201,  1202,  1203,  1205,  1210,  1211,  1215,  1216,  1225,
    1227,  1228,  1229,  1232,  1237,  1240,  1245,  1247,  1248,  1251,
    1253,  1256,  1265,  1283,  1291,    72,  1173,  1181,  1182,    14,
      71,    94,    95,    96,    97,    98,    99,   100,   101,   103,
     104,   105,   113,   114,   116,   117,   119,   120,   121,   128,
     129,   130,   131,   132,   135,   136,   139,   141,   142,   143,
     144,   149,   150,   151,   152,   154,   155,   158,   159,   160,
     161,   162,   163,   166,   167,   175,   176,   177,   178,   179,
     181,   184,   186,   188,   189,   190,   191,   192,   193,   195,
     196,   197,   200,   201,   202,   203,   204,   206,   207,   208,
     210,   211,   212,   214,   215,   216,   217,   219,   220,   221,
     224,   226,   227,   229,   231,   233,   237,   238,   239,   241,
     245,   247,   248,   250,   251,   253,   254,   255,   256,   258,
     259,   260,   261,   262,   263,   265,   269,   270,   271,   277,
     280,   282,   283,   284,   285,   286,   289,   292,   295,   296,
     297,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     310,   311,   313,   314,   315,   319,   320,   323,   324,   326,
     329,   331,   332,   333,   335,   338,   339,   340,   343,   346,
     349,   350,   351,   352,   353,   354,   355,   356,   358,   359,
     361,   363,   364,   365,   367,   368,   369,   370,   371,   372,
     373,   374,   376,   377,   378,   379,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   393,   394,   396,
     397,   398,   400,   401,   402,   403,   404,   405,   407,   409,
     410,   411,   412,   413,   414,   415,   416,   418,   419,   421,
     422,   424,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   439,   440,   442,   444,   445,   446,   447,
     448,   452,   454,   455,   457,   460,   461,   462,   463,   464,
     465,   466,   469,   470,   471,   472,   473,   476,   477,   478,
     479,   480,   484,   486,   487,   488,   489,   492,   495,   496,
     497,   498,   499,   500,   511,   512,  1140,  1141,  1143,  1144,
    1145,  1146,  1163,  1164,  1275,  1277,  1281,  1283,    29,   268,
    1226,     9,    13,    15,    28,    44,    45,    49,    50,    55,
      64,    66,    68,    69,   102,   137,   156,   168,   180,   185,
     249,   309,   312,   406,   481,   510,  1131,  1144,  1145,  1165,
    1212,  1213,  1255,  1256,  1257,  1261,  1266,  1267,  1268,  1277,
    1283,   102,   962,  1130,  1165,  1261,  1274,    14,   962,     5,
      25,    29,    35,    36,    42,    43,   102,   106,   107,   108,
     109,   110,   111,   112,   115,   127,   133,   134,   137,   140,
     146,   148,   156,   157,   164,   168,   169,   170,   171,   173,
     174,   175,   185,   187,   194,   198,   199,   205,   209,   213,
     223,   225,   230,   232,   235,   240,   243,   246,   257,   264,
     268,   272,   274,   276,   287,   288,   294,   298,   299,   322,
     327,   334,   336,   337,   341,   342,   357,   366,   380,   392,
     408,   414,   425,   438,   441,   449,   452,   453,   459,   467,
     468,   474,   475,   481,   483,   490,   491,   493,   494,  1144,
    1147,  1257,  1258,  1259,  1263,  1264,  1265,  1266,  1268,    25,
      35,   137,   272,  1252,    37,    39,   322,  1185,   454,   497,
     893,   101,   147,   161,   179,   185,   201,   212,   220,   232,
     237,   243,   260,   285,   306,   338,   359,   369,   396,   401,
     403,   409,   412,   440,   441,   444,   448,   457,   462,   474,
     487,   675,  1213,   184,   893,   102,   962,   485,   924,   336,
     365,   893,   124,   529,   608,    96,   101,   113,   134,   147,
     157,   179,   185,   201,   212,   220,   232,   239,   243,   297,
     338,   341,   359,   396,   403,   412,   444,   445,   447,   448,
     457,   462,   468,   471,   474,   618,   658,   762,   814,   825,
    1131,  1154,  1155,  1156,  1165,  1281,  1283,    14,   102,   364,
    1130,  1165,  1169,   430,   962,   102,   358,   410,   445,   447,
     284,   856,   857,  1281,    96,   101,   113,   134,   147,   161,
     179,   201,   212,   220,   232,   237,   243,   260,   306,   338,
     349,   359,   396,   401,   403,   409,   412,   441,   444,   448,
     455,   457,   462,   474,   487,   675,   775,   893,   535,  1195,
    1259,   253,  1169,   164,   184,   217,   485,   529,   656,   659,
     923,   929,   937,   939,   947,   954,   961,   965,  1150,    95,
     102,   119,   227,   233,   235,   257,   286,   319,   367,   383,
     520,   521,   790,   791,   962,  1138,  1139,  1275,  1277,   102,
     164,   380,   408,   795,   796,   797,  1261,   232,  1261,  1135,
    1281,   441,   976,   119,   233,   790,  1261,   454,  1169,   349,
     306,   179,   260,   403,   440,   441,   529,   866,   867,   402,
    1261,   102,   137,   413,   450,   454,   481,   566,   575,   576,
    1144,  1145,  1255,  1260,  1266,  1268,  1283,    99,   240,   795,
     796,   365,   893,  1261,   283,   102,   198,   978,   979,     4,
      14,   135,   156,   158,   297,   315,   396,   403,   413,   450,
     454,   500,   563,   564,   565,   566,   102,   413,   450,   454,
     566,   454,   337,  1019,  1128,  1261,   976,  1249,  1259,   522,
    1261,   236,   529,   925,   529,  1123,   378,   971,   972,  1130,
     971,   966,   967,   970,   533,   924,   213,   274,   342,   467,
     980,   981,   966,   968,   969,   190,   270,   473,   532,   121,
     539,  1193,  1196,  1192,  1188,   533,  1197,  1199,     5,    25,
      35,   137,   202,   272,  1204,   180,   249,   309,   312,   406,
     510,   529,  1056,  1057,  1176,  1180,  1270,    72,  1173,  1130,
    1165,  1284,   185,  1154,    21,   475,   523,  1169,  1169,  1284,
     475,  1217,  1218,  1219,    25,   272,   272,  1263,     7,    19,
      20,    38,    41,   160,   199,  1254,  1254,    16,  1193,  1136,
    1146,  1255,  1258,  1261,  1262,  1266,  1267,  1283,   777,  1261,
     777,  1131,   368,   777,   457,   777,  1130,  1261,   178,   441,
     803,  1136,  1140,  1141,   102,   251,  1128,   331,   487,    84,
      91,    92,    93,   142,   224,   516,   517,   518,   520,   521,
     522,   523,   524,   525,   854,  1089,  1090,  1261,   251,  1130,
     102,  1140,  1141,  1130,  1130,   251,  1128,  1130,   389,   415,
     102,   251,  1019,  1130,   405,  1130,   777,   304,  1140,  1141,
     251,  1128,   284,    34,   187,   280,   322,   374,   894,   895,
     896,  1128,  1134,  1261,    96,   101,   134,   147,   148,   157,
     161,   179,   201,   212,   220,   232,   237,   260,   285,   306,
     338,   359,   396,   401,   403,   409,   412,   441,   444,   448,
     455,   457,   462,   487,   675,   783,  1281,   936,   939,   947,
     954,   965,  1128,   308,  1136,  1130,   529,   777,   457,  1131,
     777,   457,   251,  1130,   178,   441,   445,   447,  1140,   445,
     447,   142,   224,   854,   387,  1130,  1140,   251,   559,  1261,
    1130,  1130,   405,  1130,   777,   304,  1140,   378,   409,   441,
     487,   306,   161,   260,   237,   401,   455,   461,   669,    84,
    1157,  1158,   534,  1277,  1284,   102,  1169,  1283,   963,   573,
    1143,  1281,   857,   308,   251,  1136,  1130,   251,   861,   251,
    1131,   123,   125,   126,   137,   138,   182,   183,   202,   228,
     251,   272,   273,   275,   316,   318,   330,   375,   417,   423,
     450,   451,   482,   779,  1034,  1036,  1038,  1040,  1042,  1044,
    1045,  1046,  1048,  1049,  1050,  1053,  1054,  1255,  1262,  1266,
    1267,  1283,   457,   178,   441,   251,  1136,   251,  1141,  1142,
     153,   487,   142,   224,   251,   854,   128,   251,  1130,   251,
    1142,   251,  1130,   251,  1130,   251,  1130,   405,   861,   251,
    1130,   251,   779,   251,   304,  1142,   284,   251,   776,   777,
     529,   535,  1285,  1286,  1287,  1288,  1290,  1195,    70,  1165,
    1214,   529,   938,   618,   962,   929,   923,   930,   931,   932,
    1143,   924,  1139,   791,   792,   102,   791,   962,  1139,   792,
     102,   791,   962,  1139,   792,   792,   792,  1139,  1138,  1138,
     276,   475,  1219,  1220,  1294,  1295,   962,   792,   368,   529,
     529,   637,   637,   637,   336,   452,   532,   637,   403,  1019,
    1020,   791,   962,   791,   962,   532,   889,  1281,   235,   529,
     935,   128,   487,   485,   868,   869,  1128,  1130,  1261,   118,
     512,   280,   531,   339,   339,   336,   235,  1281,   452,   230,
     786,   336,    82,    83,    84,    86,   110,   123,   125,   126,
     133,   134,   137,   138,   145,   147,   169,   170,   171,   172,
     173,   174,   175,   182,   183,   218,   222,   223,   228,   242,
     244,   273,   275,   290,   298,   299,   316,   318,   322,   327,
     328,   330,   338,   348,   360,   375,   399,   414,   423,   437,
     450,   451,   456,   458,   459,   468,   474,   482,   502,   503,
     504,   505,   506,   507,   508,   509,   513,   520,   521,   522,
     529,   966,  1037,  1040,  1043,  1044,  1045,  1047,  1048,  1049,
    1053,  1054,  1058,  1060,  1061,  1062,  1064,  1085,  1086,  1087,
    1091,  1110,  1115,  1125,  1126,  1136,  1137,  1138,  1261,  1273,
    1275,  1277,  1278,  1279,  1280,  1281,  1124,  1125,   452,   518,
    1284,  1281,   452,   518,  1213,   102,   581,  1127,  1128,   413,
     563,   185,   572,  1281,   573,  1281,   118,   139,   563,   512,
     424,   895,   339,   235,   452,   518,   118,   512,   280,  1294,
     896,   529,  1128,   522,   527,   531,  1116,  1118,  1020,  1265,
     234,   236,   485,   920,   921,   923,  1283,   234,   926,   185,
    1058,  1121,  1122,   971,   532,   529,   927,   530,   530,  1128,
     102,   198,   977,   977,   128,   977,   225,   230,   294,   334,
     984,   986,   987,  1002,  1004,  1005,  1006,   980,   981,   235,
     276,  1019,  1021,  1123,   533,  1187,   522,  1206,  1207,  1209,
     535,   535,    25,   272,   272,   452,   452,   452,   452,   529,
     452,   521,   666,  1139,  1174,  1280,   209,   111,  1161,   128,
    1164,  1164,   276,  1219,  1221,   276,  1219,  1220,  1221,   480,
    1230,  1231,  1277,    14,    83,   426,   520,   521,  1138,  1222,
    1223,  1224,  1273,  1275,  1279,  1280,  1281,  1282,   272,   278,
    1130,   452,  1130,     6,  1130,  1254,  1209,   529,   837,  1118,
     350,   385,   415,   531,   778,   350,   385,   415,   156,   207,
     300,   350,   385,   415,   444,   446,   494,   574,   577,   901,
     902,   903,   904,  1283,   809,    98,   203,   350,   385,   415,
     478,   588,  1130,   415,    98,   203,   473,   556,   498,   251,
    1019,   130,   163,   193,   221,   254,   289,   322,   350,   351,
     385,   393,   400,   407,   415,   427,   435,   489,   574,   578,
     840,   848,   529,   826,   385,   556,   257,   218,    98,   104,
     144,   193,   196,   203,   206,   231,   262,   320,   322,   332,
     340,   350,   385,   388,   389,   415,   478,   586,   587,   694,
     666,   102,   251,  1128,   777,   777,   529,   853,   531,   218,
     336,   257,   548,   385,   494,   515,   541,   548,   336,   350,
     385,   218,   129,   177,   259,   307,   310,   320,   349,   385,
     390,   415,   429,   586,   663,   664,   350,   385,   486,   694,
     702,   576,   564,   566,   257,   218,   385,   415,   586,   350,
     385,   389,   415,   154,   195,   352,   446,   336,    98,   104,
     203,   350,   385,   415,   598,   599,   230,   385,   415,   541,
     577,   218,   385,   415,   586,  1130,   533,   292,   187,   337,
     499,   532,   894,   475,   918,   336,   308,  1136,   529,  1130,
    1034,   457,   178,   441,  1136,   331,   487,   142,   224,   854,
    1130,  1130,   405,   230,  1130,  1034,   284,   777,   530,   637,
    1130,   529,   752,   837,   140,  1034,   235,   529,   748,  1130,
     541,   111,   912,  1130,   322,   541,   498,   251,  1128,   541,
     777,   777,   748,   471,   618,   336,   541,   322,   118,   560,
     462,   701,   350,   677,   154,   195,   352,   446,   100,   120,
     271,   726,   111,   748,   230,   541,   487,   251,  1128,   251,
     654,  1128,  1128,   487,   777,   153,   815,  1136,  1130,   230,
     675,    73,  1159,  1261,   534,  1160,  1157,   124,   176,   269,
     320,   404,   218,   837,   131,   391,   589,   218,   529,   218,
     484,  1051,  1051,  1051,   529,  1039,  1039,   362,   529,  1041,
     218,   137,   138,  1051,  1039,  1036,   496,   515,   529,  1055,
     529,  1055,   532,   589,   110,  1035,   138,   529,  1052,   180,
     312,   510,   529,  1056,   778,  1039,   498,   218,   826,   218,
     532,   251,   776,   251,   777,   251,   777,   218,   853,  1142,
     218,   336,   218,   218,   336,   218,   589,   218,   154,   195,
     352,   446,   230,   218,   336,   218,   589,   218,   230,   251,
     251,   573,   218,   532,   589,   530,  1286,  1287,  1285,   532,
     536,  1058,  1094,  1218,  1293,  1294,   441,   963,   530,   532,
     223,   336,   459,   570,   573,   666,   933,   929,   792,   962,
     792,   962,  1295,  1296,   792,   962,   792,   962,  1296,   792,
     962,   962,   962,   792,    14,   426,  1269,  1272,  1277,   962,
     529,   638,   639,  1261,   638,   102,   179,   201,   232,   237,
     284,   285,   403,   409,   441,   444,   462,   798,  1127,  1142,
     797,  1130,   257,   532,   950,   962,   962,  1281,  1214,  1034,
    1097,   111,  1142,   815,   530,   532,   292,  1261,   230,   230,
     798,  1142,   402,  1261,   573,   336,   529,   527,   966,  1098,
    1058,  1114,   529,   529,   230,   529,   529,   966,   529,   529,
     529,   529,   529,   529,  1058,   529,   529,   529,   529,   529,
     529,   529,   529,   966,   529,   529,   529,   529,   529,   529,
     529,   529,  1058,  1058,  1058,   481,   966,  1058,  1094,  1118,
    1281,   529,  1281,    84,    87,    91,    92,    93,   108,   111,
     116,   122,   146,   252,   257,   278,   279,   293,   325,   338,
     341,   420,   513,   516,   517,   518,   520,   521,   522,   523,
     524,   525,  1089,  1091,  1093,  1283,   495,  1073,   347,  1058,
     276,   532,   974,  1294,   529,  1281,  1118,    22,  1276,  1277,
    1119,   974,   333,   336,  1246,  1246,    10,   480,  1233,  1234,
    1236,  1213,  1213,   188,   253,   582,   532,   139,   185,   573,
     111,   185,   297,   571,   666,  1054,  1281,  1283,  1281,   159,
     200,  1070,   168,   185,   567,   568,   570,   666,   185,   567,
    1294,  1294,   292,  1128,  1058,  1117,   522,  1133,  1263,  1116,
     160,   390,   781,   278,   530,   532,   924,   530,   532,   972,
    1129,  1130,   111,   927,   968,   968,   982,   983,  1058,   968,
     227,   319,   993,   282,   320,   374,   418,   473,   102,   988,
    1058,   989,   991,  1058,  1060,  1002,  1003,   987,   986,   984,
     985,   230,  1005,   332,  1007,   984,  1002,  1021,   940,  1128,
     111,  1261,   415,  1206,   522,   532,   533,  1264,  1183,  1186,
    1183,   272,   180,   249,   309,  1057,   309,  1057,  1057,   312,
    1138,   309,   312,   406,  1280,   532,  1175,   184,  1213,   474,
    1162,  1164,  1130,   426,  1138,  1235,  1277,   532,   518,  1130,
      14,  1138,  1280,  1138,  1280,   532,  1193,   529,  1130,   529,
    1265,   257,   267,   342,   344,   417,   483,   522,   830,   831,
     832,   834,   836,   838,  1034,  1262,   350,   385,   415,   452,
     452,   403,  1133,   531,   452,   452,   403,   294,   452,   452,
     444,   563,   350,   901,   903,   518,   905,   230,   240,   257,
     394,   810,   811,   140,   157,   214,   232,   366,   468,   634,
     635,   157,   185,   322,   452,   157,   452,   185,   322,   403,
     157,   196,   206,   350,   385,   744,   403,   683,   101,   134,
     147,   161,   201,   212,   232,   237,   306,   338,   403,   409,
     412,   441,   448,   455,   462,   487,   675,  1130,   218,   385,
     415,   586,   336,   666,   336,   407,   289,   452,  1261,   452,
     327,   666,   189,   277,   403,   413,   454,   565,   391,   415,
     840,   849,   530,   827,   830,   452,   474,   444,  1128,   148,
     214,   251,   625,   634,  1261,   148,   157,   872,   336,   336,
     399,   401,   457,   157,   872,   105,   388,   399,   401,   457,
     399,  1128,   231,   262,   332,   777,   529,   452,   452,   250,
     529,   593,   303,   444,   471,   494,   496,   593,   157,   532,
     350,   257,   218,   193,   385,   415,   586,   475,   475,   321,
    1034,   350,   415,   854,  1130,  1128,   179,   577,   452,   543,
     577,  1128,   452,   452,  1128,   666,   128,   665,   666,   666,
     177,   307,   310,   128,   452,   541,   403,   541,   320,   664,
     452,   452,   327,  1281,   694,   444,  1019,   157,   452,   872,
     403,   452,   452,   593,   593,   777,   777,   777,   777,  1128,
     117,   480,   117,   117,   452,   117,   452,   403,   532,   474,
     712,  1141,   452,   543,  1128,   452,   403,   350,   385,   374,
     386,   411,   569,   894,  1134,  1261,  1128,   837,  1034,   336,
     278,   498,   826,   666,   777,   777,   853,   336,   278,   336,
     154,   195,   352,   446,  1034,   336,   278,   777,   278,   452,
     494,   609,   462,   753,   754,  1283,   748,   529,   111,   777,
     749,   750,  1263,   100,   901,  1034,   336,   218,   680,  1130,
     322,   529,   542,   762,   475,   378,   487,  1128,   542,   218,
    1141,   164,   240,   561,   617,   660,   725,   793,   813,   897,
    1281,   702,   703,  1141,   300,   777,   777,   777,   777,   332,
     190,   270,   460,   473,   727,   728,   210,   373,   529,   712,
     542,  1128,   322,   662,   663,   322,   111,   332,   529,   637,
     637,   251,   657,  1128,   230,   251,   816,  1134,   529,   828,
     111,  1034,   284,   531,  1138,  1160,   494,   496,   964,   404,
    1136,   589,  1034,  1131,   529,  1094,  1138,   779,  1051,  1051,
     110,  1035,   450,   450,  1138,  1138,  1034,   527,   527,   415,
    1138,   452,   452,  1138,  1039,   251,  1130,  1136,   589,  1142,
    1141,   218,   589,   218,   475,   218,   475,   854,   589,   589,
    1130,   777,  1142,  1130,   777,  1130,  1130,  1034,  1130,   777,
     779,  1142,   712,   218,   218,   589,   776,   777,   530,   536,
    1288,   530,   532,  1294,  1218,  1128,   176,   929,   931,   962,
     962,  1296,   962,   962,  1296,   962,   962,  1130,    14,   532,
    1276,   638,   530,   532,   530,   238,   410,   442,  1129,   776,
     178,   412,   802,   803,  1129,   331,  1129,  1127,  1127,  1129,
     776,   452,   494,   806,   213,   294,   709,   710,    96,   216,
     399,   418,   951,  1019,   326,   952,   530,   532,   936,   452,
    1128,   866,   867,   869,   796,   795,   796,   235,   241,   807,
    1261,   101,   148,   179,   201,   212,   232,   237,   285,   306,
     396,   403,   409,   441,   444,   462,   487,   675,   787,  1094,
     528,  1094,  1098,  1099,   490,  1111,  1112,  1058,  1094,   529,
    1138,  1138,   180,   249,   309,   312,   406,   510,  1100,  1101,
    1281,  1283,  1094,  1094,  1094,  1138,  1138,  1058,   854,  1058,
    1102,   399,   520,   521,   529,  1059,  1060,  1091,  1104,   530,
    1094,  1058,  1094,  1105,  1058,   127,   235,   288,   453,  1058,
    1094,  1108,  1094,   314,  1060,  1058,  1068,  1069,  1070,   314,
    1058,  1070,   530,   532,  1138,  1056,  1034,  1058,  1058,  1058,
    1058,  1263,   450,   115,   438,  1120,   777,  1058,   529,   966,
    1109,   198,   200,   223,   322,   327,   332,   459,   469,  1058,
     529,  1058,   452,   122,   252,   257,   293,   420,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,   102,   109,
     425,  1088,   243,   226,  1074,   399,   529,  1085,   239,   297,
     441,   445,   447,   471,   975,  1128,  1126,   235,  1009,   102,
     198,   483,   522,   530,   832,  1058,  1095,  1096,  1262,  1130,
    1277,  1116,  1009,  1235,   532,   518,  1128,   454,   529,  1281,
     532,  1294,   530,   528,   534,   250,   250,   589,  1193,  1128,
     921,   922,  1128,  1121,   530,   532,   529,   532,   112,   194,
     475,   822,   529,   990,  1139,   418,   282,   337,   532,   399,
     400,   992,  1127,   326,   422,   953,  1003,   985,   475,   948,
     185,   529,   941,   965,   111,  1261,   529,   955,   956,   957,
     958,   959,  1261,   533,  1207,  1035,   536,  1186,   536,   530,
     666,   530,    34,  1163,  1238,  1239,  1277,  1231,  1236,  1284,
    1222,  1035,  1271,  1287,  1271,  1035,   344,   128,  1262,   530,
     832,   834,   831,   834,  1262,   342,   530,   532,   778,   452,
     452,   403,  1141,  1130,  1130,  1133,  1141,  1130,  1130,  1141,
    1131,  1130,   185,   570,  1139,   396,   474,   795,   403,   240,
     795,   529,  1130,   475,   817,   282,   282,   475,   529,   653,
     251,  1130,   327,  1141,  1130,  1130,  1058,   327,  1130,  1130,
     105,   388,   452,   452,  1130,   452,   684,  1136,   529,   777,
     777,  1034,   457,   178,   441,   803,   487,   142,   224,   854,
    1130,   777,  1130,   777,   405,   230,  1034,   777,   284,   245,
     320,   350,   385,   479,   687,   688,   689,  1019,   452,   872,
     403,   327,   220,   189,   277,  1141,  1130,   336,  1130,   530,
     532,  1140,  1142,  1130,   385,   586,   251,   625,   322,  1034,
    1130,  1261,  1130,   220,   292,  1130,   102,   474,  1130,   251,
    1130,   251,  1261,   401,   457,   401,   457,   292,  1130,   102,
     474,  1130,   292,   399,  1128,    98,   203,   415,   695,   696,
     697,   698,  1263,  1141,  1130,   185,   236,   323,   475,   592,
     595,   596,  1263,  1130,   335,   144,   335,  1130,   587,   452,
     444,  1128,   336,   452,   872,   403,  1132,  1261,  1132,   532,
     530,   532,   452,   403,   529,   336,   385,   452,   721,  1131,
    1140,   156,   208,   262,   356,   466,   474,   477,   544,  1283,
     385,  1141,  1130,   385,   415,   586,   663,   666,   777,  1130,
     666,  1130,   666,  1141,  1130,  1130,   385,   415,   586,  1130,
    1130,  1130,  1130,  1141,  1130,    98,   104,   203,   350,   385,
     415,   350,   385,   415,   748,   385,   415,   385,   415,   193,
     385,  1033,  1261,   251,   758,  1261,   251,  1261,  1141,  1130,
    1130,  1130,    98,   599,   412,  1140,   385,   415,   586,  1130,
    1130,   452,   452,   152,   465,   374,   278,   111,   201,   777,
     327,   784,  1281,   278,   278,   475,   475,   278,   777,   784,
     777,   284,   777,   784,   278,   784,   371,   603,   335,   235,
     452,   602,   260,   530,   532,   518,  1058,  1034,   530,   532,
     518,   727,   627,  1263,  1130,   131,   235,   403,   486,   681,
     688,   689,   218,   293,   619,   621,   623,   625,   631,   634,
      99,   257,   396,   439,   544,   545,   230,  1132,   487,  1128,
     230,   722,   559,  1261,   560,   341,   618,   232,  1281,   748,
     748,   748,   748,   332,   336,   341,   529,   748,  1031,  1032,
    1033,   412,   529,   218,   218,   217,  1151,   777,   619,  1261,
     494,   496,   649,   494,   594,   322,   111,   637,  1281,   322,
     336,   530,   829,   830,   835,   111,   284,   393,   455,   493,
     839,   840,   841,   336,   284,   573,  1159,   523,   248,   248,
     230,   837,   111,  1094,   530,   530,   589,   527,   512,   512,
     530,   530,  1138,   528,   529,  1138,  1261,  1281,  1292,  1261,
     530,   530,   218,   589,   826,   776,   777,  1132,   777,  1132,
     853,   336,   589,   336,   589,   589,   284,   336,   589,   589,
     412,   230,   573,   589,  1058,   964,  1284,  1272,   530,   639,
     257,   257,   257,   498,  1129,   532,   666,   667,   243,   799,
     800,  1141,    99,   807,   452,   529,   235,   216,   418,   216,
     418,   399,   473,   311,  1034,  1141,   494,   655,  1128,  1130,
     235,   336,   799,   128,   589,  1136,  1034,   457,   441,  1136,
     331,   487,  1034,   284,   777,   530,   528,   528,   532,  1058,
     205,  1112,  1113,   111,   530,  1058,   530,   530,   530,   235,
     530,   530,   530,   530,   530,   532,   530,   357,  1103,   530,
     529,  1059,  1059,  1094,    87,    91,    92,    93,   257,   278,
     338,   516,   517,   518,   520,   521,   522,   523,   524,   525,
    1091,  1059,   530,   530,   230,   235,  1106,  1107,   530,   111,
    1108,  1094,  1108,  1108,   235,   530,   530,  1263,   355,  1072,
     111,   530,   532,  1058,  1263,   532,  1058,  1119,  1058,   530,
     512,  1059,  1059,   211,  1094,   235,   198,   200,   223,   327,
     332,   459,   469,   529,   211,   854,  1058,   438,  1120,  1058,
    1109,  1058,   452,   529,   966,   529,   529,   346,  1078,   529,
    1094,   445,   447,   445,   447,  1128,   976,   976,   976,   287,
     400,   529,   966,  1010,  1011,  1012,  1019,  1024,  1061,  1063,
    1064,  1136,  1261,   491,  1029,  1095,  1095,  1096,   530,    89,
      90,   532,   980,   981,  1029,     8,    11,    12,    22,    23,
      24,    26,    27,    31,    32,    33,   178,   314,   362,   462,
    1241,  1242,  1244,  1234,  1235,   895,  1138,  1056,   568,  1058,
    1117,  1035,   927,  1130,   936,   983,   338,  1089,  1092,   514,
     823,  1058,   992,   473,   989,   302,  1010,   491,  1030,   481,
     942,   943,  1261,   336,   944,  1261,   959,   960,   532,  1009,
     518,  1119,   534,  1189,   533,   532,   518,    30,  1250,   530,
     530,   533,   838,   778,   834,   834,   128,   836,   524,  1141,
    1130,  1130,  1142,  1142,   336,  1129,   339,   336,  1058,   635,
    1132,   529,   529,   529,   653,   260,   638,   736,   218,   589,
     452,  1141,  1130,   573,   837,  1034,  1130,   498,   777,   777,
     777,   777,   853,   154,   195,   352,   446,  1034,  1130,   670,
    1130,   245,   479,   452,   452,   670,   687,   694,   385,   415,
     586,  1130,  1130,  1130,   268,  1130,   327,   830,   349,   415,
     452,   322,   218,   340,   692,   736,   203,   389,   415,   588,
     694,   873,  1130,   407,   218,   589,   218,   589,  1130,  1130,
    1130,  1130,   407,   407,   292,   697,   698,   697,   530,   532,
     699,  1281,   260,   530,   532,   518,   531,  1141,  1130,   385,
     415,   586,   220,  1130,  1130,  1130,   350,   385,   415,    98,
     203,   350,   385,   415,  1034,   321,  1034,  1141,  1130,   877,
     878,  1263,  1128,   452,  1142,   475,   718,   294,   356,   327,
    1281,   356,  1142,   472,   452,   452,   403,   349,   415,   157,
     452,   872,   403,   452,   452,   304,   304,   304,   452,   452,
     403,   452,   452,   403,   452,   403,   452,   403,   336,   452,
     589,  1034,   322,  1281,   415,   873,   218,   589,   452,  1130,
     452,   403,  1141,  1130,   784,  1034,   777,   278,   784,   784,
    1132,  1132,   784,   278,   278,  1130,   278,   784,   432,   433,
     604,  1281,   603,   245,   754,  1283,   338,   520,   521,   666,
     751,   834,  1092,  1147,  1281,   530,   530,   750,   751,   336,
     140,   146,   157,   185,   187,   264,   322,   327,   366,   380,
     468,   628,   629,   630,   217,   490,   541,   573,  1130,   573,
     692,  1128,  1128,   530,   532,  1142,   243,   396,  1142,  1138,
     462,  1128,   637,   102,   190,   270,   408,   473,   723,   452,
     720,   118,   560,   387,   441,   178,   594,   638,  1128,   728,
     755,   756,  1281,   530,   532,  1130,   638,  1128,  1128,  1130,
     965,   529,   620,   530,   335,   593,   335,   336,   650,   593,
     111,   218,   965,   594,   452,   218,  1128,   530,   532,   185,
     518,   842,  1281,   573,   441,   833,   834,   230,   843,   494,
     841,   844,   190,   270,   408,   473,   885,  1130,   245,  1155,
     965,  1169,   589,  1034,   530,  1138,  1055,  1055,   528,  1292,
     529,   520,   521,   522,   523,   524,   528,  1052,  1130,   589,
     589,   475,   589,   475,   589,   589,   777,   777,  1130,   777,
    1130,   712,   589,   230,   403,   403,   403,  1129,   803,   532,
    1141,   494,   532,   801,   339,  1020,   412,   216,   216,   178,
     320,  1142,   798,   589,  1141,   837,   278,   826,   666,   278,
     777,   278,  1098,   449,  1058,   209,  1034,   530,  1058,  1058,
    1058,  1106,   530,  1094,   532,  1034,  1059,  1059,  1059,  1059,
     198,   200,   322,   332,  1059,  1059,  1059,  1059,  1059,  1059,
    1059,  1059,  1059,  1059,  1058,  1058,  1107,  1106,  1034,   530,
     530,   530,  1094,   530,   532,   128,  1060,   530,  1263,  1069,
     363,   436,  1071,   530,   532,   486,  1065,   111,   530,  1281,
    1058,   108,   108,  1058,   530,  1058,   235,   529,  1097,  1058,
     530,   211,  1059,  1059,   211,   211,  1058,  1058,   981,   491,
     529,  1079,  1261,   530,  1094,   532,   976,   976,   976,   976,
    1128,  1128,  1128,   966,  1024,   235,   966,  1011,  1012,   111,
    1013,  1014,  1261,   532,   165,   236,   266,   281,   291,   317,
     395,  1016,  1014,   111,  1013,  1015,  1261,   515,  1028,   529,
    1118,  1058,   243,   994,   532,   980,   980,   980,  1058,  1058,
     483,  1096,   530,   994,   532,   518,   530,   528,  1250,   530,
     529,   823,   227,   286,   530,   337,   168,  1058,   392,   946,
     530,   532,  1119,   155,   946,   530,   532,   956,  1030,  1121,
    1138,   518,  1208,  1239,  1244,   530,   524,   838,   462,   238,
     410,   442,   463,   812,   230,   812,   530,   529,   641,   642,
     819,  1063,  1261,   638,   638,   736,  1134,   530,   187,   264,
     320,   322,   737,  1130,  1130,   111,  1130,   475,   475,   777,
     777,   777,   777,   284,   778,  1141,  1130,   452,   872,   403,
     452,   268,   128,   444,  1130,   218,   625,   529,   627,   322,
     593,   178,   322,   431,   434,   593,   462,  1130,  1261,   407,
     696,  1130,   596,   751,  1263,   349,   415,   452,   872,   403,
    1130,   452,   452,   452,   403,   237,   338,   434,   760,   761,
     237,   338,   768,   769,   452,   452,   403,   530,   530,   530,
     530,   532,   518,   385,  1130,   529,   494,   719,  1139,  1281,
    1281,  1281,  1130,  1130,  1130,   128,   444,  1130,  1130,  1130,
    1130,  1130,  1130,   230,   230,   387,   230,   251,  1141,  1130,
    1130,  1141,  1130,  1130,  1130,  1130,  1130,  1130,   220,  1130,
     146,   590,   218,   100,   120,   462,  1261,  1130,   694,  1130,
    1130,   530,   278,   784,   278,   278,   784,   784,   278,   784,
     541,   604,   670,   736,   494,   496,  1128,   529,   777,  1130,
    1059,   188,   253,   187,   327,   282,  1128,   844,   370,   740,
     741,  1261,   680,   529,   632,   263,   648,   623,  1142,  1142,
    1034,   529,   594,  1142,   718,  1141,  1128,   498,   230,   729,
     530,   532,  1033,   692,   530,   662,   332,   529,   938,   655,
     622,   624,   626,   634,  1261,   649,   648,   151,   444,   651,
     965,   657,   655,   651,  1281,  1134,   817,   835,  1058,  1058,
     532,   529,   839,   462,   532,   748,   452,   529,   670,    84,
    1166,   530,   528,   530,  1193,  1292,  1292,  1292,  1292,  1292,
     589,  1132,  1132,   589,   589,   589,   589,   412,  1129,  1129,
    1129,   666,   240,   800,   530,  1130,   178,   807,   235,   278,
     327,   788,  1281,   278,   278,   788,   278,   788,  1058,   530,
     530,  1107,   530,  1058,   235,   198,   200,   332,   529,   530,
     501,  1067,  1094,   379,   128,   492,   492,   530,  1058,   320,
    1058,   532,  1066,  1036,  1058,  1058,  1058,  1097,   530,  1058,
     108,   108,  1058,  1058,   211,   530,   530,  1058,  1080,  1261,
     530,  1058,  1128,  1128,  1128,  1128,  1014,  1015,   529,   530,
    1261,   529,  1011,   281,   345,  1017,  1011,  1017,   281,  1016,
    1017,   281,   443,  1022,   529,  1261,   529,   343,  1095,   128,
     246,  1001,   530,   530,   530,  1096,  1281,  1001,  1242,   521,
    1235,  1243,  1280,  1281,  1281,   854,   332,  1125,   965,   943,
     336,   529,   945,   518,   959,   946,  1288,   462,   530,   452,
     795,   235,   736,  1058,   530,   532,   494,   146,   820,   820,
     530,   530,   844,   188,   253,   262,   187,   477,   589,  1034,
    1132,  1132,  1130,  1130,  1130,  1130,  1130,  1142,  1130,   625,
     693,   697,   327,   327,  1139,  1261,  1034,   589,   589,   518,
     128,   444,  1130,  1130,  1130,  1130,  1141,  1130,  1130,  1138,
    1138,  1034,   532,  1138,  1138,   532,  1141,  1130,  1130,   878,
     321,   751,   452,  1058,   140,  1142,  1130,   452,   452,  1129,
    1129,   777,  1129,   218,  1130,   777,  1281,  1281,  1034,   589,
     589,   278,   784,   784,   784,   784,   529,   605,   606,   475,
     610,   611,   237,   267,   237,   235,   735,  1058,   322,   629,
     844,   637,   475,   652,  1136,   108,   217,   257,   619,   215,
     258,   529,   412,   475,   638,   111,   719,   560,   529,  1130,
     204,   730,   490,   732,  1281,   594,   777,   619,   655,   530,
     532,   494,   650,   649,   190,   203,   363,  1130,   494,   898,
     111,   235,   336,   529,  1281,   832,   845,   846,  1262,   844,
    1034,   230,  1128,   235,   452,   863,   265,   671,  1167,  1261,
     589,   530,   589,   589,  1130,   339,   276,   589,   799,   788,
     788,   788,   788,   530,  1059,   235,   529,  1097,   529,   530,
     532,   530,  1060,   379,   530,   480,   428,   530,   530,   530,
    1058,  1058,  1058,   530,   354,  1081,   530,  1025,  1026,  1063,
    1013,   529,  1129,  1011,   336,   475,  1018,  1011,   281,  1011,
    1136,  1032,   529,  1032,  1261,   980,   167,   244,   398,   529,
     995,   996,   997,   998,   999,  1000,  1058,  1058,   493,  1075,
     980,  1075,  1138,  1280,   530,   962,  1294,   157,   818,   819,
     199,   529,   966,  1123,   799,   336,   799,   530,   844,   642,
     338,   854,   777,   777,   821,   821,   380,   844,   652,   530,
     452,   415,   952,   530,   532,   590,   751,  1142,  1130,   452,
     529,  1136,   854,   761,   529,   529,   769,  1130,   530,   529,
     415,   952,  1130,  1130,   494,   515,   915,   387,   915,   915,
     230,   590,   784,   612,   613,  1263,   124,   166,   191,   207,
     211,   231,   234,   247,   327,   335,   372,   607,   541,   192,
     803,   111,   859,   859,  1128,   736,   530,   652,   305,   640,
     260,   529,   741,   370,   529,   530,   102,   150,   158,   186,
     261,   434,   633,   633,  1127,  1130,  1132,   530,   965,   692,
     399,   430,   731,   529,   217,   111,   620,   530,   624,   340,
     651,   650,   400,   400,   132,   140,   297,   965,   777,  1128,
     818,   834,   530,   532,   462,  1029,   426,   426,   530,   670,
     320,   479,   672,   673,   518,  1168,  1130,   589,  1059,  1097,
     530,  1068,  1094,   128,   320,   511,   128,   980,   530,   532,
     111,  1027,  1129,   530,  1058,   529,  1011,  1018,   529,   530,
    1032,   530,   530,   529,   416,   529,   530,   532,  1076,  1077,
    1261,   530,  1130,   530,   532,   323,   473,   801,   812,   589,
     820,   652,   529,   822,   822,  1128,   652,   736,  1130,   444,
     697,   475,   591,   415,   952,  1130,  1097,   826,   230,   764,
     853,  1097,  1097,  1058,   444,   776,   777,   776,   777,  1129,
     589,   530,   532,   522,   529,   570,   614,   666,   912,  1281,
     912,   322,   327,   372,   912,   912,   605,  1281,   859,   114,
     255,   230,   320,   636,   236,   353,   421,   336,   644,   645,
     646,   444,   530,  1136,    81,   742,   648,   530,   692,   224,
     763,   594,   898,  1058,   370,   965,   649,   648,   627,   651,
     140,   339,   140,   655,   817,   530,   839,   845,  1034,   199,
     494,   494,   479,   670,  1138,  1275,  1283,    84,   692,   530,
     530,   530,   379,   480,  1094,   373,   400,  1082,  1028,  1025,
     529,   530,  1129,  1094,   530,  1094,   529,  1094,   996,   532,
     111,  1029,   819,   415,   235,   821,   491,   643,   854,   823,
     823,   637,   736,  1130,  1058,   444,   530,   342,   405,   377,
     765,   764,   530,   530,   530,  1130,   915,   613,   570,   615,
     616,  1281,  1281,   327,   638,   522,   638,  1281,  1281,   204,
     262,   190,   473,   336,   646,   336,   645,  1130,   529,   530,
     532,   412,   777,   111,   111,   530,  1136,   898,   650,   649,
     339,   339,   529,   594,   844,   103,   271,   886,   237,   237,
    1167,   122,   168,   464,  1058,  1083,  1084,  1083,   530,  1032,
     530,   530,   530,   995,   530,  1077,  1079,   955,   799,   822,
     529,   736,   530,   640,   952,  1130,  1136,   128,   765,   952,
     777,   530,   532,   638,   399,   131,   320,   391,   415,   647,
     647,   530,    81,  1130,   760,   965,   529,   651,   650,   818,
     651,   323,   529,   881,   883,   888,   939,   947,   954,   965,
     803,   803,  1084,   399,   229,   361,   229,   361,   530,   386,
    1023,   530,  1029,   589,   823,  1058,   644,   952,   826,   777,
     616,   732,    97,   185,   327,   692,   898,   733,   734,  1138,
    1263,  1280,  1281,   651,   530,  1029,   882,   883,   884,   966,
     967,   532,   532,   108,   529,   530,   736,   217,   530,   532,
     594,   530,   533,   452,   235,  1084,  1058,   370,   734,   651,
     884,   426,   426,   530,  1136,  1029,   494,   494,   529,   237,
     237,   733,   803,   803,   530
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   537,   538,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   539,   540,   541,
     541,   541,   542,   542,   543,   543,   544,   544,   544,   544,
     544,   544,   544,   544,   544,   545,   545,   545,   545,   545,
     545,   546,   547,   548,   548,   549,   549,   550,   551,   552,
     552,   553,   553,   554,   555,   556,   556,   557,   557,   558,
     558,   558,   558,   559,   559,   560,   560,   561,   561,   561,
     561,   561,   561,   562,   562,   562,   563,   563,   563,   564,
     564,   564,   564,   565,   565,   565,   565,   565,   565,   565,
     565,   565,   565,   565,   566,   566,   567,   567,   568,   568,
     569,   569,   569,   569,   570,   570,   570,   570,   571,   571,
     571,   571,   571,   571,   571,   572,   572,   572,   573,   573,
     574,   575,   575,   575,   575,   576,   576,   577,   577,   578,
     578,   579,   579,   579,   579,   579,   580,   581,   581,   582,
     582,   583,   584,   584,   584,   584,   584,   585,   585,   585,
     585,   585,   585,   585,   585,   585,   585,   585,   585,   585,
     585,   585,   585,   586,   586,   587,   587,   587,   587,   587,
     587,   587,   587,   587,   587,   587,   587,   587,   587,   587,
     587,   587,   587,   587,   587,   587,   587,   587,   587,   587,
     587,   587,   587,   587,   587,   587,   587,   587,   587,   587,
     587,   587,   587,   587,   587,   587,   587,   587,   587,   587,
     587,   587,   587,   587,   587,   587,   587,   588,   588,   589,
     589,   589,   590,   590,   591,   591,   592,   592,   592,   592,
     593,   594,   594,   595,   595,   596,   596,   596,   596,   597,
     598,   598,   599,   599,   599,   599,   600,   600,   601,   601,
     602,   602,   603,   603,   604,   604,   604,   605,   605,   606,
     606,   607,   607,   607,   607,   607,   607,   607,   607,   607,
     607,   607,   607,   607,   607,   608,   608,   609,   609,   610,
     610,   611,   611,   612,   612,   613,   614,   614,   614,   614,
     614,   615,   615,   616,   617,   617,   617,   617,   618,   618,
     618,   618,   618,   618,   618,   618,   619,   619,   620,   620,
     621,   621,   622,   622,   623,   623,   623,   624,   624,   625,
     626,   627,   627,   628,   628,   628,   628,   629,   629,   629,
     629,   629,   629,   629,   630,   630,   630,   630,   631,   632,
     632,   632,   633,   633,   633,   633,   633,   633,   634,   634,
     635,   635,   635,   635,   635,   635,   635,   636,   636,   637,
     637,   638,   638,   639,   640,   640,   640,   640,   641,   641,
     642,   642,   643,   643,   644,   644,   644,   644,   644,   645,
     646,   647,   647,   647,   647,   647,   648,   648,   649,   649,
     649,   649,   650,   650,   650,   650,   651,   651,   652,   652,
     653,   654,   655,   655,   655,   656,   656,   657,   658,   658,
     659,   660,   660,   661,   661,   662,   662,   663,   663,   664,
     664,   664,   664,   664,   664,   664,   664,   664,   664,   664,
     664,   665,   665,   666,   666,   666,   667,   667,   668,   668,
     669,   669,   670,   670,   671,   671,   672,   672,   673,   673,
     674,   674,   675,   675,   676,   677,   677,   678,   678,   679,
     679,   680,   680,   681,   681,   681,   681,   682,   683,   683,
     684,   685,   685,   685,   685,   685,   685,   685,   685,   685,
     685,   685,   685,   685,   685,   685,   685,   685,   685,   685,
     685,   685,   685,   685,   685,   685,   686,   687,   687,   687,
     687,   688,   688,   689,   689,   690,   690,   691,   691,   692,
     692,   693,   693,   694,   695,   695,   696,   696,   696,   696,
     697,   698,   699,   700,   701,   701,   702,   702,   703,   703,
     704,   704,   705,   705,   705,   706,   706,   707,   707,   708,
     709,   709,   710,   710,   711,   712,   712,   713,   713,   714,
     715,   716,   717,   717,   718,   718,   719,   719,   720,   720,
     721,   721,   722,   722,   723,   723,   723,   723,   723,   724,
     725,   725,   726,   726,   726,   727,   727,   728,   728,   728,
     728,   728,   729,   729,   730,   730,   731,   731,   732,   732,
     733,   733,   733,   734,   734,   734,   734,   735,   735,   736,
     736,   737,   737,   737,   737,   737,   737,   738,   738,   739,
     739,   740,   740,   741,   742,   742,   743,   744,   744,   744,
     744,   745,   746,   747,   747,   747,   747,   747,   747,   747,
     747,   747,   747,   747,   747,   747,   747,   748,   749,   749,
     750,   750,   751,   751,   751,   751,   751,   752,   753,   753,
     754,   755,   755,   756,   756,   757,   757,   757,   758,   758,
     759,   760,   760,   761,   761,   761,   761,   761,   762,   762,
     763,   763,   764,   764,   764,   765,   765,   766,   767,   767,
     768,   768,   769,   769,   770,   770,   771,   771,   772,   773,
     774,   774,   774,   774,   774,   774,   774,   774,   775,   775,
     775,   775,   775,   775,   775,   775,   775,   775,   775,   775,
     775,   775,   775,   775,   776,   776,   777,   777,   778,   778,
     779,   779,   780,   781,   781,   781,   782,   782,   782,   782,
     782,   782,   782,   782,   782,   782,   782,   782,   782,   782,
     782,   782,   782,   782,   783,   783,   783,   783,   783,   783,
     783,   783,   783,   783,   783,   783,   783,   783,   783,   783,
     783,   783,   783,   783,   783,   783,   784,   784,   785,   785,
     785,   785,   785,   785,   785,   786,   786,   787,   787,   787,
     787,   787,   787,   787,   787,   787,   787,   787,   788,   788,
     789,   789,   789,   789,   789,   789,   789,   789,   789,   789,
     789,   790,   790,   790,   790,   790,   790,   790,   790,   790,
     790,   790,   790,   790,   790,   791,   791,   792,   792,   793,
     794,   794,   795,   795,   795,   795,   795,   796,   796,   797,
     797,   797,   797,   798,   798,   798,   798,   798,   798,   798,
     798,   798,   798,   798,   798,   798,   798,   798,   798,   799,
     799,   800,   800,   801,   801,   802,   802,   803,   804,   805,
     805,   806,   806,   807,   807,   808,   809,   809,   810,   810,
     810,   811,   811,   811,   812,   812,   812,   812,   813,   813,
     814,   814,   815,   815,   816,   816,   817,   817,   818,   818,
     819,   819,   819,   820,   820,   821,   821,   822,   822,   822,
     823,   823,   823,   824,   824,   824,   825,   825,   826,   826,
     827,   827,   828,   828,   829,   829,   830,   830,   830,   830,
     830,   831,   831,   831,   831,   831,   832,   833,   834,   834,
     834,   835,   835,   835,   836,   837,   837,   837,   837,   838,
     838,   839,   839,   840,   840,   840,   840,   840,   840,   840,
     840,   840,   840,   840,   840,   840,   840,   840,   840,   841,
     841,   841,   841,   841,   842,   842,   843,   843,   844,   844,
     845,   846,   846,   847,   848,   848,   849,   849,   850,   850,
     851,   851,   852,   852,   853,   853,   853,   853,   854,   854,
     855,   856,   856,   857,   857,   858,   858,   858,   859,   859,
     859,   860,   861,   861,   862,   863,   863,   863,   863,   864,
     865,   865,   865,   865,   866,   866,   867,   867,   867,   868,
     868,   869,   870,   870,   871,   871,   871,   871,   871,   871,
     871,   871,   871,   871,   871,   871,   871,   871,   871,   871,
     871,   871,   871,   871,   871,   871,   871,   871,   871,   871,
     871,   871,   871,   871,   871,   871,   871,   871,   871,   871,
     871,   871,   871,   871,   871,   871,   871,   871,   871,   871,
     871,   871,   872,   872,   873,   873,   874,   874,   874,   874,
     875,   875,   875,   875,   875,   875,   875,   875,   875,   875,
     875,   875,   875,   875,   875,   875,   875,   875,   875,   875,
     875,   875,   875,   875,   876,   877,   877,   878,   878,   879,
     879,   879,   879,   879,   879,   879,   879,   879,   879,   879,
     879,   879,   879,   879,   879,   879,   879,   879,   880,   881,
     881,   881,   882,   882,   883,   883,   883,   883,   883,   884,
     884,   885,   885,   885,   885,   886,   886,   886,   887,   887,
     888,   889,   889,   890,   891,   891,   892,   892,   892,   892,
     892,   892,   892,   892,   892,   892,   892,   892,   892,   892,
     893,   893,   893,   894,   894,   894,   894,   894,   895,   895,
     895,   896,   896,   897,   897,   897,   897,   898,   898,   898,
     898,   899,   900,   901,   901,   902,   902,   903,   903,   903,
     904,   904,   904,   904,   904,   904,   904,   905,   905,   906,
     906,   906,   907,   908,   908,   909,   909,   910,   911,   911,
     911,   911,   911,   911,   911,   912,   912,   913,   914,   914,
     914,   914,   914,   914,   915,   915,   916,   917,   917,   917,
     918,   918,   919,   919,   919,   919,   919,   920,   920,   921,
     921,   921,   921,   921,   922,   922,   923,   923,   924,   924,
     925,   925,   926,   926,   927,   927,   928,   928,   928,   928,
     929,   929,   929,   929,   929,   929,   929,   929,   929,   930,
     930,   931,   932,   932,   933,   933,   933,   934,   934,   935,
     935,   936,   936,   936,   936,   937,   937,   938,   938,   939,
     940,   940,   941,   941,   941,   942,   942,   943,   944,   944,
     944,   945,   945,   945,   946,   946,   947,   948,   948,   949,
     950,   950,   951,   951,   951,   951,   951,   951,   951,   951,
     952,   952,   953,   953,   953,   954,   955,   955,   956,   956,
     957,   958,   958,   959,   960,   960,   961,   962,   962,   963,
     963,   963,   963,   963,   964,   964,   964,   965,   965,   966,
     966,   967,   967,   967,   967,   967,   967,   967,   967,   968,
     968,   969,   969,   969,   969,   969,   969,   969,   970,   970,
     970,   971,   971,   972,   973,   973,   974,   974,   974,   975,
     975,   975,   975,   975,   975,   975,   975,   975,   976,   976,
     977,   977,   977,   978,   978,   979,   979,   980,   980,   981,
     982,   982,   983,   983,   984,   984,   984,   984,   985,   985,
     986,   986,   986,   987,   987,   988,   988,   989,   990,   990,
     990,   991,   992,   992,   993,   993,   994,   994,   995,   995,
     996,   996,   996,   996,   996,   997,   998,   999,  1000,  1001,
    1001,  1002,  1002,  1003,  1003,  1004,  1004,  1005,  1006,  1006,
    1006,  1006,  1007,  1007,  1008,  1008,  1009,  1009,  1010,  1010,
    1011,  1011,  1011,  1011,  1011,  1011,  1011,  1011,  1012,  1012,
    1012,  1012,  1012,  1012,  1013,  1013,  1013,  1013,  1014,  1014,
    1015,  1015,  1015,  1015,  1015,  1016,  1016,  1016,  1016,  1017,
    1017,  1018,  1018,  1019,  1019,  1019,  1019,  1020,  1020,  1021,
    1021,  1021,  1022,  1023,  1023,  1024,  1024,  1025,  1026,  1026,
    1027,  1027,  1028,  1028,  1029,  1029,  1030,  1030,  1030,  1031,
    1031,  1032,  1032,  1033,  1034,  1034,  1034,  1034,  1034,  1034,
    1035,  1035,  1035,  1036,  1036,  1036,  1036,  1036,  1036,  1036,
    1037,  1037,  1037,  1037,  1038,  1038,  1039,  1039,  1040,  1040,
    1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1041,
    1041,  1042,  1042,  1043,  1043,  1044,  1045,  1046,  1046,  1047,
    1047,  1048,  1049,  1050,  1050,  1050,  1050,  1050,  1050,  1051,
    1051,  1052,  1052,  1053,  1053,  1053,  1053,  1054,  1055,  1055,
    1055,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,  1056,
    1056,  1056,  1056,  1056,  1056,  1057,  1057,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,
    1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,
    1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,
    1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,  1059,
    1059,  1059,  1059,  1059,  1059,  1060,  1060,  1060,  1060,  1060,
    1060,  1060,  1060,  1060,  1060,  1060,  1060,  1060,  1060,  1061,
    1061,  1061,  1061,  1061,  1061,  1061,  1062,  1062,  1063,  1063,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1065,  1065,  1066,  1066,  1066,  1066,  1067,  1068,
    1068,  1069,  1069,  1070,  1070,  1071,  1071,  1071,  1072,  1072,
    1072,  1072,  1073,  1073,  1074,  1074,  1075,  1075,  1076,  1076,
    1077,  1078,  1078,  1078,  1079,  1080,  1080,  1081,  1081,  1082,
    1082,  1082,  1083,  1083,  1084,  1084,  1084,  1084,  1084,  1085,
    1085,  1085,  1086,  1086,  1087,  1088,  1088,  1088,  1089,  1089,
    1090,  1090,  1090,  1090,  1090,  1090,  1090,  1090,  1090,  1090,
    1090,  1090,  1091,  1091,  1092,  1092,  1093,  1093,  1093,  1093,
    1093,  1093,  1094,  1094,  1095,  1095,  1096,  1096,  1096,  1097,
    1097,  1098,  1098,  1098,  1099,  1099,  1100,  1100,  1101,  1101,
    1101,  1101,  1101,  1101,  1101,  1101,  1102,  1102,  1103,  1104,
    1104,  1105,  1105,  1105,  1105,  1105,  1105,  1106,  1107,  1108,
    1108,  1108,  1109,  1109,  1110,  1111,  1111,  1112,  1113,  1113,
    1114,  1114,  1115,  1115,  1116,  1116,  1116,  1116,  1117,  1117,
    1118,  1118,  1119,  1119,  1120,  1120,  1121,  1121,  1122,  1122,
    1123,  1124,  1124,  1125,  1125,  1126,  1126,  1126,  1126,  1127,
    1127,  1128,  1128,  1129,  1129,  1130,  1131,  1132,  1133,  1134,
    1135,  1136,  1136,  1137,  1137,  1137,  1137,  1137,  1137,  1137,
    1137,  1137,  1137,  1137,  1137,  1137,  1137,  1137,  1138,  1139,
    1139,  1139,  1139,  1140,  1141,  1141,  1141,  1142,  1142,  1143,
    1143,  1143,  1143,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,
    1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,  1145,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,  1146,
    1146,  1146,  1146,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
    1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1148,  1148,
    1149,  1149,  1149,  1149,  1149,  1149,  1149,  1149,  1151,  1150,
    1152,  1153,  1153,  1153,  1153,  1154,  1154,  1154,  1154,  1155,
    1155,  1156,  1157,  1158,  1158,  1159,  1159,  1159,  1160,  1160,
    1161,  1161,  1162,  1162,  1163,  1163,  1163,  1163,  1164,  1164,
    1164,  1165,  1166,  1166,  1167,  1167,  1168,  1168,  1168,  1168,
    1169,  1169,  1170,  1171,  1172,  1173,  1173,  1174,  1175,  1175,
    1176,  1176,  1176,  1176,  1176,  1178,  1177,  1179,  1180,  1181,
    1181,  1182,  1182,  1182,  1182,  1183,  1183,  1185,  1184,  1187,
    1186,  1188,  1186,  1186,  1189,  1189,  1190,  1190,  1190,  1191,
    1191,  1191,  1191,  1192,  1192,  1193,  1193,  1193,  1193,  1193,
    1193,  1194,  1194,  1194,  1195,  1197,  1196,  1198,  1199,  1198,
    1200,  1200,  1201,  1201,  1202,  1202,  1203,  1203,  1203,  1203,
    1203,  1203,  1203,  1203,  1203,  1204,  1204,  1204,  1204,  1204,
    1204,  1204,  1204,  1204,  1204,  1205,  1205,  1206,  1206,  1207,
    1208,  1208,  1209,  1209,  1209,  1210,  1211,  1212,  1212,  1212,
    1212,  1213,  1213,  1213,  1214,  1214,  1215,  1215,  1216,  1217,
    1217,  1218,  1218,  1219,  1219,  1220,  1220,  1221,  1222,  1222,
    1223,  1223,  1223,  1224,  1224,  1224,  1224,  1224,  1224,  1224,
    1224,  1224,  1225,  1225,  1225,  1225,  1225,  1226,  1226,  1227,
    1228,  1229,  1230,  1230,  1231,  1232,  1233,  1233,  1234,  1235,
    1235,  1236,  1237,  1238,  1238,  1239,  1240,  1241,  1241,  1242,
    1243,  1243,  1243,  1243,  1243,  1244,  1244,  1244,  1244,  1244,
    1244,  1244,  1244,  1244,  1244,  1244,  1244,  1244,  1244,  1244,
    1245,  1245,  1246,  1246,  1247,  1247,  1247,  1249,  1248,  1250,
    1250,  1252,  1251,  1253,  1253,  1253,  1254,  1254,  1254,  1254,
    1254,  1254,  1254,  1254,  1254,  1255,  1255,  1256,  1256,  1256,
    1256,  1256,  1256,  1256,  1256,  1256,  1256,  1256,  1256,  1256,
    1256,  1256,  1256,  1256,  1256,  1256,  1256,  1256,  1256,  1256,
    1257,  1257,  1257,  1257,  1257,  1257,  1258,  1258,  1258,  1258,
    1258,  1258,  1258,  1259,  1260,  1260,  1260,  1260,  1260,  1260,
    1260,  1260,  1261,  1261,  1261,  1261,  1261,  1261,  1261,  1262,
    1262,  1262,  1262,  1262,  1262,  1263,  1263,  1263,  1263,  1263,
    1263,  1263,  1263,  1263,  1263,  1263,  1264,  1264,  1264,  1264,
    1264,  1265,  1265,  1265,  1265,  1266,  1266,  1266,  1266,  1266,
    1266,  1266,  1267,  1267,  1267,  1268,  1268,  1268,  1268,  1268,
    1268,  1269,  1269,  1270,  1271,  1271,  1272,  1272,  1273,  1274,
    1275,  1276,  1276,  1276,  1277,  1278,  1279,  1280,  1281,  1281,
    1281,  1281,  1281,  1282,  1283,  1283,  1283,  1284,  1284,  1285,
    1285,  1285,  1286,  1286,  1287,  1287,  1288,  1288,  1289,  1289,
    1289,  1289,  1289,  1290,  1290,  1290,  1290,  1290,  1290,  1290,
    1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,
    1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,
    1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,
    1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,
    1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1290,  1291,
    1291,  1291,  1291,  1292,  1292,  1292,  1292,  1292,  1292,  1292,
    1292,  1292,  1292,  1293,  1293,  1293,  1293,  1293,  1294,  1294,
    1295,  1295,  1296,  1296
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     0,     5,     1,
       1,     0,     2,     0,     2,     0,     2,     2,     3,     3,
       1,     3,     3,     2,     1,     1,     2,     2,     2,     3,
       3,     5,     5,     0,     3,     5,     5,     5,     4,     3,
       5,     3,     5,     5,     6,     1,     1,     3,     5,     6,
       4,     9,     7,     1,     0,     2,     0,     1,     1,     1,
       1,     1,     1,     2,     3,     3,     2,     5,     1,     3,
       3,     3,     3,     1,     3,     3,     2,     2,     2,     2,
       3,     3,     3,     3,     1,     3,     1,     3,     1,     1,
       2,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       3,     5,     1,     1,     1,     1,     1,     0,     1,     1,
       2,     1,     2,     3,     2,     1,     1,     2,     1,     2,
       1,     3,     4,     5,     4,     2,     4,     1,     1,     1,
       1,     1,     2,     2,     2,     2,     2,     4,     6,    10,
      13,     4,     6,    10,    13,     4,     6,     4,     6,     5,
       7,    11,    14,     1,     3,     2,     5,     3,     6,     4,
       6,     6,     6,     5,     5,     6,     6,     4,     8,     4,
       2,     4,     3,     6,     4,     3,     3,     3,     3,     2,
       2,     3,     4,     4,     3,     3,     3,     3,     3,     3,
       4,     4,     3,     2,     3,     2,     2,     3,     3,     2,
       2,     3,     4,     4,     4,     5,     1,     3,     2,     1,
       1,     0,     2,     0,     2,     0,     1,     1,     1,     3,
       3,     2,     0,     1,     3,     3,     1,     5,     3,     4,
       1,     3,     4,     6,     4,     8,     2,     2,    11,     9,
       1,     1,     1,     0,     1,     1,     1,     1,     3,     2,
       0,     1,     1,     1,     3,     3,     1,     1,     3,     3,
       3,     3,     4,     3,     2,     1,     0,     2,     0,     3,
       0,     1,     0,     1,     3,     2,     1,     1,     1,     3,
       0,     1,     3,     1,    11,    14,    10,    13,     1,     1,
       2,     2,     2,     2,     1,     0,     1,     0,     3,     0,
       1,     3,     1,     3,     1,     1,     1,     1,     1,     4,
       4,     2,     0,     3,     1,     1,     2,     2,     1,     3,
       4,     5,     2,     5,     1,     2,     2,     2,     3,     3,
       3,     0,     1,     1,     1,     1,     1,     1,     3,     1,
       5,     7,     3,     8,     4,     9,    11,     2,     0,     3,
       0,     1,     3,     1,     2,     2,     2,     0,     1,     3,
       3,     6,     4,     0,     1,     1,     2,     2,     0,     3,
       3,     2,     1,     1,     2,     2,     4,     0,     2,     2,
       2,     0,     3,     4,     4,     0,     2,     0,     4,     0,
       3,     5,     2,     3,     0,     8,    11,     4,     1,     0,
       6,     5,     8,     4,     6,     1,     0,     1,     2,     2,
       1,     2,     3,     2,     2,     2,     2,     3,     3,     1,
       3,     1,     0,     1,     2,     1,     1,     3,     6,    10,
       1,     0,     1,     2,     2,     0,     2,     2,     1,     0,
       5,     7,     1,     0,     7,     2,     0,     3,     5,     5,
       8,     2,     0,     2,     2,     2,     1,     5,     2,     0,
       2,     7,    10,     6,     6,     6,     6,     7,     7,     9,
       9,     6,     7,     6,     8,     8,     8,     8,     6,     6,
       7,     7,     8,     6,     9,     6,     7,     2,     2,     2,
       2,     1,     2,     1,     0,     6,     8,     7,     6,     4,
       0,     1,     3,     4,     1,     3,     1,     2,     2,     2,
       2,     1,     1,    10,     2,     0,     2,     2,     1,     0,
       4,     6,     5,     4,     4,    11,    14,     5,     7,    11,
       2,     1,     4,     0,     8,     1,     1,     7,     9,     8,
       9,     8,     6,     8,     4,     0,     5,     0,     2,     0,
       2,     0,     2,     0,     1,     1,     1,     1,     1,     8,
      15,    20,     1,     1,     2,     1,     3,     1,     1,     1,
       3,     1,     3,     0,     1,     0,     1,     1,     4,     0,
       1,     3,     0,     1,     1,     1,     1,     2,     0,     0,
       2,     2,     1,     2,     2,     2,     2,     6,     8,    11,
      13,     1,     3,     5,     1,     3,     5,     1,     2,     2,
       1,     8,     4,     5,     4,     4,     4,     3,     7,     8,
       6,     6,     6,     6,     6,     4,     5,     3,     1,     3,
       3,     1,     1,     1,     1,     1,     1,     3,     1,     3,
       3,     1,     0,     1,     3,     7,     9,     9,     3,     0,
      13,     1,     3,     5,     6,     4,     7,     2,     1,     0,
       2,     0,     2,     4,     0,     1,     0,     6,     8,     8,
       1,     3,     5,     5,     7,     9,     7,     9,     5,     6,
       6,     4,     4,     6,     4,     6,     5,     7,     1,     1,
       1,     2,     1,     2,     2,     2,     1,     1,     1,     1,
       3,     3,     3,     3,     1,     3,     1,     2,     2,     3,
       1,     3,     5,     2,     2,     0,     6,     6,     6,     7,
       7,     7,     8,     9,     8,     8,     6,     9,     8,     9,
       9,     7,    10,     7,     2,     1,     1,     1,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     1,     2,     1,
       3,     2,     3,     3,     3,     3,     1,     1,     8,     8,
       8,     9,     9,     9,     9,     2,     0,     1,     1,     2,
       2,     1,     1,     1,     1,     1,     1,     2,     1,     1,
       2,     2,     3,     4,     5,     4,     5,     3,     4,     3,
       4,     1,     2,     3,     3,     3,     3,     4,     4,     3,
       3,     4,     4,     4,     4,     1,     1,     1,     0,     7,
       7,    10,     1,     1,     2,     4,     5,     1,     3,     2,
       2,     2,     2,     1,     2,     2,     4,     3,     2,     2,
       2,     2,     3,     2,     2,     2,     5,     5,     5,     1,
       3,     1,     2,     3,     0,     1,     3,     2,     6,     6,
       9,     3,     0,     3,     0,     5,     2,     0,     3,     3,
       3,     7,     7,    10,     1,     1,     1,     1,    14,    17,
       1,     0,     1,     0,     1,     0,     2,     0,     1,     3,
       5,     5,     7,     2,     0,     1,     0,     1,     1,     0,
       2,     2,     0,     9,    12,     7,     2,     0,     3,     2,
       1,     3,     3,     2,     1,     3,     3,     3,     2,     2,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     4,
       5,     1,     3,     3,     1,     3,     3,     5,     6,     1,
       3,     1,     2,     4,     5,     1,     1,     1,     1,     3,
       3,     2,     2,     1,     2,     2,     2,     1,     2,     2,
       2,     2,     1,     1,     1,     3,     3,     5,     2,     0,
       2,     1,     3,     5,     1,     2,     1,     0,     5,     7,
       5,     7,     5,     7,     3,     5,     5,     5,     1,     3,
       2,     1,     2,     1,     2,    11,    10,    10,     2,     2,
       0,     9,     2,     0,    10,    11,    11,     5,     5,     8,
       3,     3,     6,     6,     1,     1,     1,     1,     1,     1,
       3,     1,     5,     5,     7,     6,     6,     6,     6,     8,
       8,     6,     6,     7,     9,     9,     8,    10,     6,     6,
       6,     8,     6,     8,     6,     8,     7,     9,     6,     8,
       7,     9,     8,    10,     9,    11,     8,    10,     9,    11,
       8,     8,     7,     6,     6,     6,     8,     8,     8,     8,
       6,     9,     1,     0,     2,     0,     7,     9,     8,     7,
       7,     6,     6,     6,     6,     6,     7,     9,     9,     6,
       8,     8,     8,     8,     8,     6,     8,     6,     8,     7,
       9,     7,     9,     6,     8,     1,     3,     3,     3,     7,
       6,     6,     6,     6,     6,     7,     7,     7,     9,     9,
       6,     6,     6,     8,     8,     8,     6,     7,    13,     1,
       1,     3,     3,     1,     1,     1,     1,     1,     1,     1,
       0,     1,     1,     1,     1,     1,     1,     0,     6,     8,
       3,     2,     0,     2,     2,     2,     2,     3,     3,     2,
       2,     2,     2,     3,     2,     5,     4,     3,     3,     3,
       1,     1,     0,     3,     2,     2,     1,     2,     1,     3,
       2,     1,     0,     9,    11,    12,    14,     3,     4,     4,
       0,     2,     5,     1,     0,     1,     2,     3,     3,     3,
       1,     2,     1,     1,     1,     1,     1,     1,     0,     5,
       4,     6,     4,     3,     5,     4,     4,     6,     4,     6,
       6,     5,     7,     9,     6,     1,     0,     6,    11,    11,
      11,    13,     9,    11,     1,     1,    10,     4,     2,     5,
       2,     0,     4,     5,     5,     4,     6,     1,     3,     1,
       1,     1,     1,     1,     2,     4,     1,     1,     1,     0,
       1,     0,     1,     0,     3,     0,     2,     4,     3,     5,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     2,     1,     1,     1,     1,     0,     5,     4,     3,
       0,     1,     1,     1,     1,     4,     9,     3,     0,     7,
       1,     3,     1,     4,     2,     1,     3,     2,     8,     5,
       0,     4,     3,     0,     3,     0,     7,     2,     0,     5,
       3,     0,     2,     2,     2,     3,     1,     3,     1,     2,
       1,     0,     1,     2,     0,     8,     1,     3,     1,     1,
       3,     5,     5,     2,     1,     3,     7,     1,     1,     0,
       3,     2,     2,     2,     0,     2,     2,     1,     1,     3,
       3,     1,     2,     4,     4,     2,     3,     5,     5,     1,
       1,     9,     9,     1,     2,     4,     4,     4,     2,     2,
       3,     1,     3,     6,     1,     0,     2,     1,     0,     3,
       3,     4,     4,     4,     4,     3,     2,     1,     1,     0,
       1,     1,     0,     1,     5,     1,     0,     1,     0,     3,
       1,     3,     4,     3,     2,     2,     1,     1,     1,     0,
       2,     4,     5,     2,     3,     1,     1,     1,     1,     3,
       0,     1,     1,     1,     1,     1,     3,     0,     1,     3,
       1,     1,     1,     1,     1,     2,     4,     4,     5,     2,
       0,     1,     3,     1,     0,     1,     2,     3,     2,     4,
       2,     3,     2,     0,     2,     3,     2,     0,     1,     3,
       2,     3,     2,     3,     2,     3,     1,     4,     3,     4,
       5,     4,     5,     4,     5,     2,     4,     1,     1,     0,
       1,     4,     5,     4,     0,     2,     2,     2,     1,     1,
       0,     4,     2,     1,     2,     2,     4,     1,     3,     1,
       2,     3,     6,     4,     0,     2,     6,     2,     1,     3,
       4,     0,     2,     0,     2,     0,     2,     4,     0,     1,
       0,     1,     3,     3,     2,     3,     5,     6,     2,     3,
       3,     4,     0,     1,     1,     1,     1,     1,     2,     4,
       1,     1,     1,     1,     2,     3,     3,     0,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     1,     3,
       0,     1,     1,     1,     1,     5,     2,     1,     1,     1,
       1,     5,     2,     2,     2,     1,     3,     3,     2,     1,
       0,     3,     0,     5,     2,     5,     2,     1,     3,     3,
       0,     1,     1,     1,     1,     1,     1,     3,     3,     3,
       3,     3,     3,     3,     0,     1,     4,     1,     3,     3,
       5,     2,     2,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     2,     3,     3,
       2,     2,     3,     5,     4,     6,     3,     5,     4,     6,
       4,     6,     5,     7,     3,     2,     4,     2,     3,     3,
       4,     3,     4,     3,     4,     5,     6,     6,     7,     6,
       7,     6,     7,     3,     4,     4,     6,     2,     3,     4,
       1,     3,     2,     2,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     2,     2,     5,
       6,     6,     7,     3,     4,     1,     1,     2,     4,     1,
       1,     1,     2,     2,     2,     2,     1,     1,     4,     3,
       5,     6,     8,     6,     6,     4,     4,     1,     1,     1,
       5,     1,     1,     4,     1,     4,     1,     4,     1,     4,
       1,     1,     1,     1,     1,     1,     6,     4,     4,     4,
       4,     6,     5,     5,     5,     4,     6,     4,     4,     4,
       4,     5,     7,     7,     9,     5,     4,     6,     5,     7,
       7,     7,     2,     3,     3,     3,     4,     0,     4,     1,
       3,     3,     1,     1,     1,     2,     2,     0,     2,     4,
       4,     6,     5,     0,     5,     0,     2,     0,     1,     3,
       3,     2,     2,     0,     6,     1,     0,     3,     0,     2,
       2,     0,     1,     4,     2,     2,     2,     2,     2,     4,
       3,     5,     4,     3,     5,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     4,     1,     4,     1,     4,     1,     2,
       1,     2,     1,     3,     1,     3,     1,     3,     3,     1,
       3,     3,     3,     2,     1,     3,     3,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     3,     2,     3,
       0,     3,     3,     2,     2,     1,     0,     2,     2,     3,
       2,     1,     1,     3,     5,     1,     2,     4,     2,     0,
       1,     0,     1,     2,     2,     2,     3,     5,     1,     0,
       1,     2,     0,     2,     1,     0,     1,     1,     1,     3,
       3,     1,     0,     1,     3,     3,     2,     1,     1,     1,
       3,     1,     2,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     1,     2,     6,
       2,     3,     5,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     2,     1,     1,     1,     1,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     0,     2,
       4,     3,     2,     1,     1,     1,     1,     1,     0,     8,
       2,     5,     3,     2,     2,     3,     7,     1,     1,     1,
       0,     2,     2,     1,     0,     1,     3,     1,     2,     0,
       2,     0,     2,     0,     1,     3,     4,     3,     1,     1,
       1,     1,     2,     0,     2,     4,     0,     2,     2,     2,
       1,     1,     7,     3,     1,     1,     1,     1,     2,     0,
       1,     3,     3,     3,     3,     0,     4,     5,     5,     0,
       1,     1,     1,     2,     2,     1,     2,     0,     7,     0,
       5,     0,     4,     2,     2,     0,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     5,     2,
       1,     3,     2,     2,     3,     0,     5,     1,     0,     5,
       2,     2,     1,     1,     1,     2,     2,     3,     1,     2,
       2,     3,     3,     4,     2,     1,     2,     1,     1,     2,
       2,     3,     1,     1,     1,     1,     0,     1,     3,     5,
       0,     2,     0,     1,     2,     3,     2,     1,     1,     1,
       0,     1,     1,     1,     1,     1,     2,     2,     3,     0,
       1,     2,     1,     4,     3,     4,     3,     2,     1,     3,
       1,     1,     1,     1,     2,     2,     1,     2,     2,     1,
       1,     1,     4,     4,     4,     4,     4,     1,     0,     3,
       3,     4,     1,     3,     3,     4,     1,     3,     3,     1,
       1,     1,     6,     1,     3,     3,     6,     1,     3,     3,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       4,     4,     1,     1,     4,     4,     3,     0,     7,     1,
       0,     0,     7,     3,     4,     3,     1,     1,     1,     2,
       3,     5,     2,     5,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     0,     1,     2,     1,     2,     1,
       1,     1,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     3,     1,     2,     1,     3,     1,     3,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       3,     2,     3,     1,     3,     3,     3,     3,     3,     3,
       1,     1,     4,     0,     2,     2,     1,     1,     2,     1,
       1,     1,     0,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1564 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30695 "preproc.c" /* yacc.c:1646  */
    break;

  case 4:
#line 1566 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30701 "preproc.c" /* yacc.c:1646  */
    break;

  case 5:
#line 1568 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30707 "preproc.c" /* yacc.c:1646  */
    break;

  case 6:
#line 1570 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30713 "preproc.c" /* yacc.c:1646  */
    break;

  case 7:
#line 1572 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30719 "preproc.c" /* yacc.c:1646  */
    break;

  case 8:
#line 1574 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30725 "preproc.c" /* yacc.c:1646  */
    break;

  case 9:
#line 1576 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30731 "preproc.c" /* yacc.c:1646  */
    break;

  case 10:
#line 1578 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30737 "preproc.c" /* yacc.c:1646  */
    break;

  case 11:
#line 1580 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30743 "preproc.c" /* yacc.c:1646  */
    break;

  case 12:
#line 1582 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30749 "preproc.c" /* yacc.c:1646  */
    break;

  case 13:
#line 1584 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30755 "preproc.c" /* yacc.c:1646  */
    break;

  case 14:
#line 1586 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30761 "preproc.c" /* yacc.c:1646  */
    break;

  case 15:
#line 1588 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30767 "preproc.c" /* yacc.c:1646  */
    break;

  case 16:
#line 1590 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30773 "preproc.c" /* yacc.c:1646  */
    break;

  case 17:
#line 1592 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30779 "preproc.c" /* yacc.c:1646  */
    break;

  case 18:
#line 1594 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30785 "preproc.c" /* yacc.c:1646  */
    break;

  case 19:
#line 1596 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30791 "preproc.c" /* yacc.c:1646  */
    break;

  case 20:
#line 1598 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30797 "preproc.c" /* yacc.c:1646  */
    break;

  case 21:
#line 1600 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30803 "preproc.c" /* yacc.c:1646  */
    break;

  case 22:
#line 1602 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30809 "preproc.c" /* yacc.c:1646  */
    break;

  case 23:
#line 1604 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30815 "preproc.c" /* yacc.c:1646  */
    break;

  case 24:
#line 1606 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30821 "preproc.c" /* yacc.c:1646  */
    break;

  case 25:
#line 1608 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30827 "preproc.c" /* yacc.c:1646  */
    break;

  case 26:
#line 1610 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30833 "preproc.c" /* yacc.c:1646  */
    break;

  case 27:
#line 1612 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30839 "preproc.c" /* yacc.c:1646  */
    break;

  case 28:
#line 1614 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30845 "preproc.c" /* yacc.c:1646  */
    break;

  case 29:
#line 1616 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30851 "preproc.c" /* yacc.c:1646  */
    break;

  case 30:
#line 1618 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30857 "preproc.c" /* yacc.c:1646  */
    break;

  case 31:
#line 1620 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30863 "preproc.c" /* yacc.c:1646  */
    break;

  case 32:
#line 1622 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30869 "preproc.c" /* yacc.c:1646  */
    break;

  case 33:
#line 1624 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30875 "preproc.c" /* yacc.c:1646  */
    break;

  case 34:
#line 1626 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30881 "preproc.c" /* yacc.c:1646  */
    break;

  case 35:
#line 1628 "preproc.y" /* yacc.c:1646  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 30903 "preproc.c" /* yacc.c:1646  */
    break;

  case 36:
#line 1646 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30909 "preproc.c" /* yacc.c:1646  */
    break;

  case 37:
#line 1648 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30915 "preproc.c" /* yacc.c:1646  */
    break;

  case 38:
#line 1650 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30921 "preproc.c" /* yacc.c:1646  */
    break;

  case 39:
#line 1652 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30927 "preproc.c" /* yacc.c:1646  */
    break;

  case 40:
#line 1654 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30933 "preproc.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1656 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30939 "preproc.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1658 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30945 "preproc.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1660 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30951 "preproc.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1662 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30957 "preproc.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1664 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30963 "preproc.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1666 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30969 "preproc.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1668 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30975 "preproc.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1670 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30981 "preproc.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1672 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30987 "preproc.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1674 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30993 "preproc.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1676 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 30999 "preproc.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1678 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31005 "preproc.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1680 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31011 "preproc.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1682 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31017 "preproc.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1684 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31023 "preproc.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1686 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31029 "preproc.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1688 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31035 "preproc.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1690 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31041 "preproc.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1692 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31047 "preproc.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1694 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31053 "preproc.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1696 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31059 "preproc.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1698 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31065 "preproc.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1700 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31071 "preproc.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1702 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31077 "preproc.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1704 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31083 "preproc.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1706 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31089 "preproc.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1708 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31095 "preproc.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1710 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31101 "preproc.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1712 "preproc.y" /* yacc.c:1646  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 31109 "preproc.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1716 "preproc.y" /* yacc.c:1646  */
    { output_simple_statement((yyvsp[0].str)); }
#line 31115 "preproc.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1718 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31121 "preproc.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1720 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31127 "preproc.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1722 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 31133 "preproc.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1724 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31139 "preproc.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1726 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31145 "preproc.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1728 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31151 "preproc.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1730 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31157 "preproc.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1732 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31163 "preproc.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1734 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31169 "preproc.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1736 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31175 "preproc.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1738 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31181 "preproc.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1740 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31187 "preproc.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1742 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31193 "preproc.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1744 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31199 "preproc.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1746 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31205 "preproc.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1748 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31211 "preproc.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1750 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31217 "preproc.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1752 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31223 "preproc.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1754 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31229 "preproc.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1756 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31235 "preproc.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1758 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31241 "preproc.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1760 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31247 "preproc.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1762 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31253 "preproc.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1764 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_execute); }
#line 31259 "preproc.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1766 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31265 "preproc.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1768 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 31271 "preproc.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1770 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31277 "preproc.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1772 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31283 "preproc.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1774 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31289 "preproc.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1776 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31295 "preproc.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1778 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31301 "preproc.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1780 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31307 "preproc.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1782 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31313 "preproc.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1784 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31319 "preproc.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1786 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31325 "preproc.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1788 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31331 "preproc.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1790 "preproc.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].prep).type == NULL || strlen((yyvsp[0].prep).type) == 0)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[0].prep).name, (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_normal);
	}
#line 31342 "preproc.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1797 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31348 "preproc.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1799 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31354 "preproc.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1801 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31360 "preproc.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1803 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31366 "preproc.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1805 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31372 "preproc.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1807 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31378 "preproc.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1809 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31384 "preproc.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1811 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31390 "preproc.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1813 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31396 "preproc.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1815 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31402 "preproc.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1817 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31408 "preproc.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1819 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31418 "preproc.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1825 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31424 "preproc.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1827 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31430 "preproc.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1829 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 31436 "preproc.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1831 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31442 "preproc.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1833 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31448 "preproc.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1835 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31454 "preproc.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1837 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31460 "preproc.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1839 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 31466 "preproc.c" /* yacc.c:1646  */
    break;

  case 128:
#line 1841 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 31476 "preproc.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1847 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31490 "preproc.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1857 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 31498 "preproc.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1861 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 31508 "preproc.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1867 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 31516 "preproc.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1871 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[0].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", yyout);
		fprintf(yyout, "}");
		output_line_number();

		free((yyvsp[0].str));
	}
#line 31530 "preproc.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1881 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31544 "preproc.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1890 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 31550 "preproc.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1892 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31568 "preproc.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1906 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 31579 "preproc.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1913 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 31589 "preproc.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1919 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 31604 "preproc.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1930 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31614 "preproc.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1936 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 31627 "preproc.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1945 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 31638 "preproc.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1952 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 31648 "preproc.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1958 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 31661 "preproc.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1967 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 31672 "preproc.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1974 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 31683 "preproc.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1981 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 31689 "preproc.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31697 "preproc.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 31705 "preproc.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 31713 "preproc.c" /* yacc.c:1646  */
    break;

  case 151:
#line 2003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31720 "preproc.c" /* yacc.c:1646  */
    break;

  case 152:
#line 2010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31728 "preproc.c" /* yacc.c:1646  */
    break;

  case 153:
#line 2014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31735 "preproc.c" /* yacc.c:1646  */
    break;

  case 154:
#line 2021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31743 "preproc.c" /* yacc.c:1646  */
    break;

  case 155:
#line 2025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31750 "preproc.c" /* yacc.c:1646  */
    break;

  case 156:
#line 2032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 31758 "preproc.c" /* yacc.c:1646  */
    break;

  case 157:
#line 2036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 31766 "preproc.c" /* yacc.c:1646  */
    break;

  case 158:
#line 2040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 31774 "preproc.c" /* yacc.c:1646  */
    break;

  case 159:
#line 2044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 31782 "preproc.c" /* yacc.c:1646  */
    break;

  case 160:
#line 2048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 31790 "preproc.c" /* yacc.c:1646  */
    break;

  case 161:
#line 2052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 31798 "preproc.c" /* yacc.c:1646  */
    break;

  case 162:
#line 2056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 31806 "preproc.c" /* yacc.c:1646  */
    break;

  case 163:
#line 2060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 31814 "preproc.c" /* yacc.c:1646  */
    break;

  case 164:
#line 2064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31822 "preproc.c" /* yacc.c:1646  */
    break;

  case 165:
#line 2072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31830 "preproc.c" /* yacc.c:1646  */
    break;

  case 166:
#line 2076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 31838 "preproc.c" /* yacc.c:1646  */
    break;

  case 167:
#line 2080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 31846 "preproc.c" /* yacc.c:1646  */
    break;

  case 168:
#line 2084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 31854 "preproc.c" /* yacc.c:1646  */
    break;

  case 169:
#line 2088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 31862 "preproc.c" /* yacc.c:1646  */
    break;

  case 170:
#line 2092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 31870 "preproc.c" /* yacc.c:1646  */
    break;

  case 171:
#line 2100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31878 "preproc.c" /* yacc.c:1646  */
    break;

  case 172:
#line 2108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31886 "preproc.c" /* yacc.c:1646  */
    break;

  case 173:
#line 2116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31893 "preproc.c" /* yacc.c:1646  */
    break;

  case 174:
#line 2119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 31901 "preproc.c" /* yacc.c:1646  */
    break;

  case 175:
#line 2127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31909 "preproc.c" /* yacc.c:1646  */
    break;

  case 176:
#line 2131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31917 "preproc.c" /* yacc.c:1646  */
    break;

  case 177:
#line 2139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31925 "preproc.c" /* yacc.c:1646  */
    break;

  case 178:
#line 2147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31933 "preproc.c" /* yacc.c:1646  */
    break;

  case 179:
#line 2155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 31941 "preproc.c" /* yacc.c:1646  */
    break;

  case 180:
#line 2159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 31949 "preproc.c" /* yacc.c:1646  */
    break;

  case 181:
#line 2167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 31957 "preproc.c" /* yacc.c:1646  */
    break;

  case 182:
#line 2171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 31965 "preproc.c" /* yacc.c:1646  */
    break;

  case 183:
#line 2179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31973 "preproc.c" /* yacc.c:1646  */
    break;

  case 184:
#line 2187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 31981 "preproc.c" /* yacc.c:1646  */
    break;

  case 185:
#line 2195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 31989 "preproc.c" /* yacc.c:1646  */
    break;

  case 186:
#line 2199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 31997 "preproc.c" /* yacc.c:1646  */
    break;

  case 187:
#line 2207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 32005 "preproc.c" /* yacc.c:1646  */
    break;

  case 188:
#line 2211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 32013 "preproc.c" /* yacc.c:1646  */
    break;

  case 189:
#line 2219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32021 "preproc.c" /* yacc.c:1646  */
    break;

  case 190:
#line 2223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32029 "preproc.c" /* yacc.c:1646  */
    break;

  case 191:
#line 2227 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32038 "preproc.c" /* yacc.c:1646  */
    break;

  case 192:
#line 2232 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32047 "preproc.c" /* yacc.c:1646  */
    break;

  case 193:
#line 2241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32055 "preproc.c" /* yacc.c:1646  */
    break;

  case 194:
#line 2245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32062 "preproc.c" /* yacc.c:1646  */
    break;

  case 195:
#line 2252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32070 "preproc.c" /* yacc.c:1646  */
    break;

  case 196:
#line 2256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32077 "preproc.c" /* yacc.c:1646  */
    break;

  case 197:
#line 2263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32085 "preproc.c" /* yacc.c:1646  */
    break;

  case 198:
#line 2267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32093 "preproc.c" /* yacc.c:1646  */
    break;

  case 199:
#line 2271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32101 "preproc.c" /* yacc.c:1646  */
    break;

  case 200:
#line 2275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32109 "preproc.c" /* yacc.c:1646  */
    break;

  case 201:
#line 2279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32117 "preproc.c" /* yacc.c:1646  */
    break;

  case 202:
#line 2283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32125 "preproc.c" /* yacc.c:1646  */
    break;

  case 203:
#line 2291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 32133 "preproc.c" /* yacc.c:1646  */
    break;

  case 204:
#line 2295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 32141 "preproc.c" /* yacc.c:1646  */
    break;

  case 205:
#line 2299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 32149 "preproc.c" /* yacc.c:1646  */
    break;

  case 206:
#line 2307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 32157 "preproc.c" /* yacc.c:1646  */
    break;

  case 207:
#line 2311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 32165 "preproc.c" /* yacc.c:1646  */
    break;

  case 208:
#line 2315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32173 "preproc.c" /* yacc.c:1646  */
    break;

  case 209:
#line 2323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 32181 "preproc.c" /* yacc.c:1646  */
    break;

  case 210:
#line 2327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 32189 "preproc.c" /* yacc.c:1646  */
    break;

  case 211:
#line 2331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 32197 "preproc.c" /* yacc.c:1646  */
    break;

  case 213:
#line 2336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32205 "preproc.c" /* yacc.c:1646  */
    break;

  case 214:
#line 2340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 32213 "preproc.c" /* yacc.c:1646  */
    break;

  case 215:
#line 2344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 32221 "preproc.c" /* yacc.c:1646  */
    break;

  case 216:
#line 2348 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 32230 "preproc.c" /* yacc.c:1646  */
    break;

  case 217:
#line 2353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 32238 "preproc.c" /* yacc.c:1646  */
    break;

  case 218:
#line 2357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 32246 "preproc.c" /* yacc.c:1646  */
    break;

  case 219:
#line 2361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 32254 "preproc.c" /* yacc.c:1646  */
    break;

  case 220:
#line 2365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 32262 "preproc.c" /* yacc.c:1646  */
    break;

  case 221:
#line 2369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 32270 "preproc.c" /* yacc.c:1646  */
    break;

  case 222:
#line 2373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 32278 "preproc.c" /* yacc.c:1646  */
    break;

  case 223:
#line 2377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 32286 "preproc.c" /* yacc.c:1646  */
    break;

  case 224:
#line 2385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32294 "preproc.c" /* yacc.c:1646  */
    break;

  case 225:
#line 2389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 32302 "preproc.c" /* yacc.c:1646  */
    break;

  case 226:
#line 2397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32310 "preproc.c" /* yacc.c:1646  */
    break;

  case 227:
#line 2401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32318 "preproc.c" /* yacc.c:1646  */
    break;

  case 228:
#line 2409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32326 "preproc.c" /* yacc.c:1646  */
    break;

  case 229:
#line 2413 "preproc.y" /* yacc.c:1646  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 32340 "preproc.c" /* yacc.c:1646  */
    break;

  case 230:
#line 2427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 32348 "preproc.c" /* yacc.c:1646  */
    break;

  case 231:
#line 2431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 32356 "preproc.c" /* yacc.c:1646  */
    break;

  case 232:
#line 2435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 32364 "preproc.c" /* yacc.c:1646  */
    break;

  case 233:
#line 2439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 32372 "preproc.c" /* yacc.c:1646  */
    break;

  case 234:
#line 2447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 32380 "preproc.c" /* yacc.c:1646  */
    break;

  case 235:
#line 2451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 32388 "preproc.c" /* yacc.c:1646  */
    break;

  case 236:
#line 2455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 32396 "preproc.c" /* yacc.c:1646  */
    break;

  case 237:
#line 2459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32404 "preproc.c" /* yacc.c:1646  */
    break;

  case 238:
#line 2467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32412 "preproc.c" /* yacc.c:1646  */
    break;

  case 239:
#line 2471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32420 "preproc.c" /* yacc.c:1646  */
    break;

  case 240:
#line 2475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32428 "preproc.c" /* yacc.c:1646  */
    break;

  case 241:
#line 2479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 32436 "preproc.c" /* yacc.c:1646  */
    break;

  case 242:
#line 2483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32444 "preproc.c" /* yacc.c:1646  */
    break;

  case 243:
#line 2487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 32452 "preproc.c" /* yacc.c:1646  */
    break;

  case 244:
#line 2491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 32460 "preproc.c" /* yacc.c:1646  */
    break;

  case 245:
#line 2499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32468 "preproc.c" /* yacc.c:1646  */
    break;

  case 246:
#line 2503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 32476 "preproc.c" /* yacc.c:1646  */
    break;

  case 247:
#line 2507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32483 "preproc.c" /* yacc.c:1646  */
    break;

  case 248:
#line 2514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32491 "preproc.c" /* yacc.c:1646  */
    break;

  case 249:
#line 2518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32499 "preproc.c" /* yacc.c:1646  */
    break;

  case 250:
#line 2526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 32507 "preproc.c" /* yacc.c:1646  */
    break;

  case 251:
#line 2534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32515 "preproc.c" /* yacc.c:1646  */
    break;

  case 252:
#line 2538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time zone");
}
#line 32523 "preproc.c" /* yacc.c:1646  */
    break;

  case 253:
#line 2542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction isolation level");
}
#line 32531 "preproc.c" /* yacc.c:1646  */
    break;

  case 254:
#line 2546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization");
}
#line 32539 "preproc.c" /* yacc.c:1646  */
    break;

  case 255:
#line 2554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32547 "preproc.c" /* yacc.c:1646  */
    break;

  case 256:
#line 2558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 32555 "preproc.c" /* yacc.c:1646  */
    break;

  case 257:
#line 2566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 32563 "preproc.c" /* yacc.c:1646  */
    break;

  case 258:
#line 2570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32571 "preproc.c" /* yacc.c:1646  */
    break;

  case 259:
#line 2578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 32579 "preproc.c" /* yacc.c:1646  */
    break;

  case 260:
#line 2582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32587 "preproc.c" /* yacc.c:1646  */
    break;

  case 261:
#line 2590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 32595 "preproc.c" /* yacc.c:1646  */
    break;

  case 262:
#line 2594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 32603 "preproc.c" /* yacc.c:1646  */
    break;

  case 263:
#line 2598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 32611 "preproc.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 32619 "preproc.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2606 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 32628 "preproc.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32636 "preproc.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 32644 "preproc.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32652 "preproc.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 32660 "preproc.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 32668 "preproc.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 32676 "preproc.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 32684 "preproc.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 32692 "preproc.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 32700 "preproc.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 32708 "preproc.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard sequences");
}
#line 32716 "preproc.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32724 "preproc.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32732 "preproc.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter table all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32740 "preproc.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32748 "preproc.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32756 "preproc.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32764 "preproc.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32772 "preproc.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter index all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32780 "preproc.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32788 "preproc.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32796 "preproc.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32804 "preproc.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32812 "preproc.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32820 "preproc.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32828 "preproc.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32836 "preproc.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32844 "preproc.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32852 "preproc.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32860 "preproc.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 32868 "preproc.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add if not exists"),(yyvsp[0].str));
}
#line 32876 "preproc.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 32884 "preproc.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column if not exists"),(yyvsp[0].str));
}
#line 32892 "preproc.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32900 "preproc.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 32908 "preproc.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 32916 "preproc.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 32924 "preproc.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 32932 "preproc.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 32940 "preproc.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set storage"),(yyvsp[0].str));
}
#line 32948 "preproc.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32956 "preproc.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32964 "preproc.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32972 "preproc.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32980 "preproc.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 32988 "preproc.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32996 "preproc.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 33004 "preproc.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33012 "preproc.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33020 "preproc.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set with oids");
}
#line 33028 "preproc.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 33036 "preproc.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 33044 "preproc.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 33052 "preproc.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set logged");
}
#line 33060 "preproc.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set unlogged");
}
#line 33068 "preproc.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 33076 "preproc.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 33084 "preproc.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 33092 "preproc.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 33100 "preproc.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 33108 "preproc.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 33116 "preproc.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 33124 "preproc.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 33132 "preproc.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 33140 "preproc.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 33148 "preproc.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 33156 "preproc.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 33164 "preproc.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 33172 "preproc.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 33180 "preproc.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 33188 "preproc.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 33196 "preproc.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 33204 "preproc.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 33212 "preproc.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 33220 "preproc.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 33228 "preproc.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[0].str));
}
#line 33236 "preproc.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable row level security");
}
#line 33244 "preproc.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable row level security");
}
#line 33252 "preproc.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force row level security");
}
#line 33260 "preproc.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no force row level security");
}
#line 33268 "preproc.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33276 "preproc.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2971 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 33284 "preproc.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 33292 "preproc.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 33300 "preproc.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 33308 "preproc.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33315 "preproc.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 33323 "preproc.c" /* yacc.c:1646  */
    break;

  case 353:
#line 3002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33330 "preproc.c" /* yacc.c:1646  */
    break;

  case 354:
#line 3009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 33338 "preproc.c" /* yacc.c:1646  */
    break;

  case 355:
#line 3013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33345 "preproc.c" /* yacc.c:1646  */
    break;

  case 356:
#line 3020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 33353 "preproc.c" /* yacc.c:1646  */
    break;

  case 357:
#line 3024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 33361 "preproc.c" /* yacc.c:1646  */
    break;

  case 358:
#line 3028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 33369 "preproc.c" /* yacc.c:1646  */
    break;

  case 359:
#line 3032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 33377 "preproc.c" /* yacc.c:1646  */
    break;

  case 360:
#line 3040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33385 "preproc.c" /* yacc.c:1646  */
    break;

  case 361:
#line 3048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 33393 "preproc.c" /* yacc.c:1646  */
    break;

  case 362:
#line 3052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33400 "preproc.c" /* yacc.c:1646  */
    break;

  case 363:
#line 3059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33408 "preproc.c" /* yacc.c:1646  */
    break;

  case 364:
#line 3063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33416 "preproc.c" /* yacc.c:1646  */
    break;

  case 365:
#line 3071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 33424 "preproc.c" /* yacc.c:1646  */
    break;

  case 366:
#line 3075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33432 "preproc.c" /* yacc.c:1646  */
    break;

  case 367:
#line 3079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 33440 "preproc.c" /* yacc.c:1646  */
    break;

  case 368:
#line 3083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 33448 "preproc.c" /* yacc.c:1646  */
    break;

  case 369:
#line 3091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33456 "preproc.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33464 "preproc.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33472 "preproc.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33480 "preproc.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33488 "preproc.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33496 "preproc.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33504 "preproc.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3131 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 33513 "preproc.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 33521 "preproc.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3144 "preproc.y" /* yacc.c:1646  */
    { 
			if (strcmp((yyvsp[-5].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33533 "preproc.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy ("),(yyvsp[-6].str),mm_strdup(") to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33541 "preproc.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 33549 "preproc.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 33557 "preproc.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 33565 "preproc.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33572 "preproc.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33580 "preproc.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 33588 "preproc.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 33596 "preproc.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33604 "preproc.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33612 "preproc.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33620 "preproc.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33627 "preproc.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 33635 "preproc.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 33643 "preproc.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 33651 "preproc.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33659 "preproc.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33667 "preproc.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 33675 "preproc.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 33683 "preproc.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33691 "preproc.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33699 "preproc.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 33707 "preproc.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 33715 "preproc.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 33723 "preproc.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[0].str));
}
#line 33731 "preproc.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 33739 "preproc.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 33747 "preproc.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33754 "preproc.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 33762 "preproc.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33769 "preproc.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 33777 "preproc.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33784 "preproc.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 33792 "preproc.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33799 "preproc.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33807 "preproc.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33815 "preproc.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33823 "preproc.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33831 "preproc.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33839 "preproc.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 33847 "preproc.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 33855 "preproc.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33862 "preproc.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33870 "preproc.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33878 "preproc.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33886 "preproc.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33894 "preproc.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33902 "preproc.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("table"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33910 "preproc.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table if not exists"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33918 "preproc.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 33926 "preproc.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 33934 "preproc.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 33942 "preproc.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 33950 "preproc.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 33958 "preproc.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 33966 "preproc.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 33974 "preproc.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33981 "preproc.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33989 "preproc.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33996 "preproc.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34004 "preproc.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34011 "preproc.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34019 "preproc.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34027 "preproc.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34035 "preproc.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34043 "preproc.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34051 "preproc.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34059 "preproc.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34067 "preproc.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34075 "preproc.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34083 "preproc.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34091 "preproc.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 34099 "preproc.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34107 "preproc.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34114 "preproc.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34122 "preproc.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34130 "preproc.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34138 "preproc.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 34146 "preproc.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 34154 "preproc.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 34162 "preproc.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34170 "preproc.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34178 "preproc.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 34186 "preproc.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 34194 "preproc.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34202 "preproc.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 34210 "preproc.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 34218 "preproc.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 34226 "preproc.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 34234 "preproc.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34242 "preproc.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 34250 "preproc.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 34258 "preproc.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34265 "preproc.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 34273 "preproc.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 34281 "preproc.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 34289 "preproc.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 34297 "preproc.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 34305 "preproc.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 34313 "preproc.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34321 "preproc.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34329 "preproc.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 34337 "preproc.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34345 "preproc.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34353 "preproc.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34361 "preproc.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34369 "preproc.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34377 "preproc.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34385 "preproc.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 34393 "preproc.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34400 "preproc.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34408 "preproc.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34415 "preproc.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34423 "preproc.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34431 "preproc.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34439 "preproc.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 34447 "preproc.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3758 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 34456 "preproc.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 34464 "preproc.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34471 "preproc.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34479 "preproc.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34487 "preproc.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 34495 "preproc.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34503 "preproc.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34511 "preproc.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34518 "preproc.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34526 "preproc.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34534 "preproc.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34542 "preproc.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34550 "preproc.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34557 "preproc.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 34565 "preproc.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 34573 "preproc.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 34581 "preproc.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 34589 "preproc.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 34597 "preproc.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set null");
}
#line 34605 "preproc.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set default");
}
#line 34613 "preproc.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34621 "preproc.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34628 "preproc.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 34636 "preproc.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 34644 "preproc.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 34652 "preproc.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34659 "preproc.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 34667 "preproc.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 34675 "preproc.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 34683 "preproc.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34690 "preproc.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 34698 "preproc.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34705 "preproc.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 34713 "preproc.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34720 "preproc.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 34728 "preproc.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34736 "preproc.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 34744 "preproc.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 34752 "preproc.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34759 "preproc.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34767 "preproc.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("materialized view if not exists"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34775 "preproc.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34783 "preproc.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 34791 "preproc.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34798 "preproc.c" /* yacc.c:1646  */
    break;

  case 540:
#line 4005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34806 "preproc.c" /* yacc.c:1646  */
    break;

  case 541:
#line 4013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34814 "preproc.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("sequence if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34822 "preproc.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34830 "preproc.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34838 "preproc.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34846 "preproc.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34853 "preproc.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34861 "preproc.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34869 "preproc.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 34877 "preproc.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 34885 "preproc.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 34893 "preproc.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34901 "preproc.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 34909 "preproc.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 34917 "preproc.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 34925 "preproc.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 34933 "preproc.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 34941 "preproc.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34949 "preproc.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 34957 "preproc.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34965 "preproc.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 34973 "preproc.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34980 "preproc.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34988 "preproc.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 34996 "preproc.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35004 "preproc.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35012 "preproc.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35020 "preproc.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 35028 "preproc.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35036 "preproc.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 35044 "preproc.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35051 "preproc.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35059 "preproc.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35067 "preproc.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 35075 "preproc.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35082 "preproc.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 35090 "preproc.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 35098 "preproc.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35106 "preproc.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35113 "preproc.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35121 "preproc.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-5].str),mm_strdup("language if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35129 "preproc.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 35137 "preproc.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35144 "preproc.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35152 "preproc.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 35160 "preproc.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35167 "preproc.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 35175 "preproc.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 35183 "preproc.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35191 "preproc.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35199 "preproc.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35207 "preproc.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35214 "preproc.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 35222 "preproc.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 35230 "preproc.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 35238 "preproc.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 35246 "preproc.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 35254 "preproc.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35262 "preproc.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35269 "preproc.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 35277 "preproc.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35285 "preproc.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35293 "preproc.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("collation"),(yyvsp[0].str));
}
#line 35301 "preproc.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("conversion"),(yyvsp[0].str));
}
#line 35309 "preproc.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 35317 "preproc.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 35325 "preproc.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 35333 "preproc.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35341 "preproc.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 35349 "preproc.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 35357 "preproc.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("schema"),(yyvsp[0].str));
}
#line 35365 "preproc.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("event trigger"),(yyvsp[0].str));
}
#line 35373 "preproc.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("table"),(yyvsp[0].str));
}
#line 35381 "preproc.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search parser"),(yyvsp[0].str));
}
#line 35389 "preproc.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search dictionary"),(yyvsp[0].str));
}
#line 35397 "preproc.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search template"),(yyvsp[0].str));
}
#line 35405 "preproc.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search configuration"),(yyvsp[0].str));
}
#line 35413 "preproc.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("sequence"),(yyvsp[0].str));
}
#line 35421 "preproc.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("view"),(yyvsp[0].str));
}
#line 35429 "preproc.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("materialized view"),(yyvsp[0].str));
}
#line 35437 "preproc.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("foreign table"),(yyvsp[0].str));
}
#line 35445 "preproc.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 35453 "preproc.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 35461 "preproc.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("transform for"),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 35469 "preproc.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 35477 "preproc.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35485 "preproc.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 35493 "preproc.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 35501 "preproc.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 35509 "preproc.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 35517 "preproc.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35525 "preproc.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35533 "preproc.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35541 "preproc.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35548 "preproc.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35556 "preproc.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35564 "preproc.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35572 "preproc.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35580 "preproc.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35588 "preproc.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35595 "preproc.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35603 "preproc.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35611 "preproc.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35619 "preproc.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35627 "preproc.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35635 "preproc.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35643 "preproc.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 35651 "preproc.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 35659 "preproc.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 35667 "preproc.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35675 "preproc.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35683 "preproc.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35691 "preproc.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35699 "preproc.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 35707 "preproc.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35714 "preproc.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 35722 "preproc.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 35730 "preproc.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35738 "preproc.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35745 "preproc.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35753 "preproc.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35761 "preproc.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35769 "preproc.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35777 "preproc.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35785 "preproc.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35793 "preproc.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35801 "preproc.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35809 "preproc.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35817 "preproc.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("import foreign schema"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("from server"),(yyvsp[-3].str),mm_strdup("into"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35825 "preproc.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit to");
}
#line 35833 "preproc.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 35841 "preproc.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35849 "preproc.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35856 "preproc.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35864 "preproc.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35872 "preproc.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 35880 "preproc.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 35888 "preproc.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 35896 "preproc.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35904 "preproc.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create policy"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35912 "preproc.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35920 "preproc.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop policy"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35928 "preproc.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop policy if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35936 "preproc.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35944 "preproc.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35951 "preproc.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("with check ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35959 "preproc.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35966 "preproc.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 35974 "preproc.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35981 "preproc.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 35989 "preproc.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35996 "preproc.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 36004 "preproc.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36011 "preproc.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 36019 "preproc.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 36027 "preproc.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 36035 "preproc.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 36043 "preproc.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 36051 "preproc.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create access method"),(yyvsp[-4].str),mm_strdup("type index handler"),(yyvsp[0].str));
}
#line 36059 "preproc.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("on"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36067 "preproc.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36075 "preproc.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 36083 "preproc.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 36091 "preproc.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 36099 "preproc.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36107 "preproc.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 36115 "preproc.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 36123 "preproc.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 36131 "preproc.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 36139 "preproc.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 36147 "preproc.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 36155 "preproc.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36163 "preproc.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36170 "preproc.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 36178 "preproc.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36185 "preproc.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 36193 "preproc.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 36201 "preproc.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36209 "preproc.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36216 "preproc.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36224 "preproc.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36232 "preproc.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36239 "preproc.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36247 "preproc.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36255 "preproc.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36263 "preproc.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36271 "preproc.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 36279 "preproc.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36286 "preproc.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36293 "preproc.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36301 "preproc.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 36309 "preproc.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 36317 "preproc.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 36325 "preproc.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 36333 "preproc.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 36341 "preproc.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 36349 "preproc.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36357 "preproc.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36365 "preproc.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 36373 "preproc.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 36381 "preproc.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36389 "preproc.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 36397 "preproc.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36405 "preproc.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sconst");
}
#line 36413 "preproc.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 36421 "preproc.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36429 "preproc.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 36437 "preproc.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 36445 "preproc.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable always");
}
#line 36453 "preproc.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 36461 "preproc.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5168 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 36470 "preproc.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5177 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36479 "preproc.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36487 "preproc.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36495 "preproc.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36503 "preproc.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36511 "preproc.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 36519 "preproc.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36527 "preproc.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36535 "preproc.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 36543 "preproc.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36551 "preproc.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36559 "preproc.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36567 "preproc.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36575 "preproc.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36583 "preproc.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 36591 "preproc.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36599 "preproc.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36607 "preproc.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36615 "preproc.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 36623 "preproc.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36631 "preproc.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36639 "preproc.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36647 "preproc.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36655 "preproc.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36663 "preproc.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36671 "preproc.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36679 "preproc.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36687 "preproc.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36695 "preproc.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 36703 "preproc.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36711 "preproc.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36718 "preproc.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36726 "preproc.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36734 "preproc.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36742 "preproc.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 36750 "preproc.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 36758 "preproc.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 36766 "preproc.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36773 "preproc.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 36781 "preproc.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36789 "preproc.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36797 "preproc.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36805 "preproc.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36813 "preproc.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36821 "preproc.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36829 "preproc.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 36837 "preproc.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 36845 "preproc.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36852 "preproc.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 36860 "preproc.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36867 "preproc.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 36875 "preproc.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 36883 "preproc.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36890 "preproc.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5461 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 36899 "preproc.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36906 "preproc.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 36914 "preproc.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 36922 "preproc.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 36930 "preproc.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36938 "preproc.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36946 "preproc.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36954 "preproc.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36962 "preproc.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36970 "preproc.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36978 "preproc.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36986 "preproc.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36994 "preproc.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37002 "preproc.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 37010 "preproc.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37018 "preproc.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37026 "preproc.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37034 "preproc.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37042 "preproc.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37050 "preproc.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37058 "preproc.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37066 "preproc.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37074 "preproc.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 37082 "preproc.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 37090 "preproc.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 37098 "preproc.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 37106 "preproc.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 37114 "preproc.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 37122 "preproc.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access method");
}
#line 37130 "preproc.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 37138 "preproc.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 37146 "preproc.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 37154 "preproc.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 37162 "preproc.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 37170 "preproc.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 37178 "preproc.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 37186 "preproc.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 37194 "preproc.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 37202 "preproc.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37210 "preproc.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37218 "preproc.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37226 "preproc.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37234 "preproc.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 37242 "preproc.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 37250 "preproc.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37258 "preproc.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37266 "preproc.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 37274 "preproc.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 37282 "preproc.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37289 "preproc.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37297 "preproc.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37305 "preproc.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37313 "preproc.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37321 "preproc.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37329 "preproc.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37337 "preproc.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37345 "preproc.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37353 "preproc.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on policy"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37361 "preproc.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37369 "preproc.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37377 "preproc.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on transform for"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37385 "preproc.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37393 "preproc.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37401 "preproc.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37409 "preproc.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37417 "preproc.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 37425 "preproc.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37433 "preproc.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access method");
}
#line 37441 "preproc.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 37449 "preproc.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 37457 "preproc.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 37465 "preproc.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 37473 "preproc.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 37481 "preproc.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 37489 "preproc.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 37497 "preproc.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 37505 "preproc.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 37513 "preproc.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 37521 "preproc.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 37529 "preproc.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 37537 "preproc.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5853 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 37545 "preproc.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 37553 "preproc.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 37561 "preproc.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 37569 "preproc.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 37577 "preproc.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 37585 "preproc.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 37593 "preproc.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 37601 "preproc.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 37609 "preproc.c" /* yacc.c:1646  */
    break;

  case 896:
#line 5893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37617 "preproc.c" /* yacc.c:1646  */
    break;

  case 897:
#line 5897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 37625 "preproc.c" /* yacc.c:1646  */
    break;

  case 898:
#line 5905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37633 "preproc.c" /* yacc.c:1646  */
    break;

  case 899:
#line 5909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37641 "preproc.c" /* yacc.c:1646  */
    break;

  case 900:
#line 5913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37649 "preproc.c" /* yacc.c:1646  */
    break;

  case 901:
#line 5917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37657 "preproc.c" /* yacc.c:1646  */
    break;

  case 902:
#line 5921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37665 "preproc.c" /* yacc.c:1646  */
    break;

  case 903:
#line 5925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37673 "preproc.c" /* yacc.c:1646  */
    break;

  case 904:
#line 5929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 37681 "preproc.c" /* yacc.c:1646  */
    break;

  case 905:
#line 5937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 37689 "preproc.c" /* yacc.c:1646  */
    break;

  case 906:
#line 5941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37696 "preproc.c" /* yacc.c:1646  */
    break;

  case 907:
#line 5948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 37704 "preproc.c" /* yacc.c:1646  */
    break;

  case 908:
#line 5952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 37712 "preproc.c" /* yacc.c:1646  */
    break;

  case 909:
#line 5956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 37720 "preproc.c" /* yacc.c:1646  */
    break;

  case 910:
#line 5960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 37728 "preproc.c" /* yacc.c:1646  */
    break;

  case 911:
#line 5964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 37736 "preproc.c" /* yacc.c:1646  */
    break;

  case 912:
#line 5968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 37744 "preproc.c" /* yacc.c:1646  */
    break;

  case 913:
#line 5972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 37752 "preproc.c" /* yacc.c:1646  */
    break;

  case 914:
#line 5976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 37760 "preproc.c" /* yacc.c:1646  */
    break;

  case 915:
#line 5980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 37768 "preproc.c" /* yacc.c:1646  */
    break;

  case 916:
#line 5984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 37776 "preproc.c" /* yacc.c:1646  */
    break;

  case 917:
#line 5988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 37784 "preproc.c" /* yacc.c:1646  */
    break;

  case 918:
#line 5996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37792 "preproc.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 37800 "preproc.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 37808 "preproc.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 37816 "preproc.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6016 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 37824 "preproc.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6020 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 37834 "preproc.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6026 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 37844 "preproc.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6032 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 37854 "preproc.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6038 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 37864 "preproc.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6044 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 37874 "preproc.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6050 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 37884 "preproc.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6056 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 37894 "preproc.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6062 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 37904 "preproc.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6072 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 37919 "preproc.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6083 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37934 "preproc.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6094 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37949 "preproc.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6105 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37964 "preproc.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6116 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37979 "preproc.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6127 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37994 "preproc.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6138 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38014 "preproc.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6154 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38034 "preproc.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6170 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38054 "preproc.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6186 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38069 "preproc.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6197 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38089 "preproc.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6213 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38104 "preproc.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6224 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38124 "preproc.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6240 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38139 "preproc.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 38147 "preproc.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 38155 "preproc.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38163 "preproc.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38170 "preproc.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38178 "preproc.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38186 "preproc.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38194 "preproc.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38202 "preproc.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 38210 "preproc.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 38218 "preproc.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38226 "preproc.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38234 "preproc.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38242 "preproc.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38250 "preproc.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 38258 "preproc.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 38266 "preproc.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 38274 "preproc.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38282 "preproc.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38290 "preproc.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 38298 "preproc.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 38306 "preproc.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 38314 "preproc.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 38322 "preproc.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 38330 "preproc.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 38338 "preproc.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 38346 "preproc.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 38354 "preproc.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 38362 "preproc.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 38370 "preproc.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 38378 "preproc.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 38386 "preproc.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 38394 "preproc.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 38402 "preproc.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 38410 "preproc.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38418 "preproc.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38426 "preproc.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38434 "preproc.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 38442 "preproc.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 38450 "preproc.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38457 "preproc.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38465 "preproc.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38473 "preproc.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38481 "preproc.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38489 "preproc.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38497 "preproc.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38505 "preproc.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with admin option");
}
#line 38513 "preproc.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38520 "preproc.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 38528 "preproc.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38535 "preproc.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38543 "preproc.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38551 "preproc.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38558 "preproc.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 38566 "preproc.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 38574 "preproc.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 38582 "preproc.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38590 "preproc.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38598 "preproc.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38606 "preproc.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 38614 "preproc.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 38622 "preproc.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 38630 "preproc.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 38638 "preproc.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("index"),(yyvsp[-10].str),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38646 "preproc.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create"),(yyvsp[-15].str),mm_strdup("index"),(yyvsp[-13].str),mm_strdup("if not exists"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38654 "preproc.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 38662 "preproc.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38669 "preproc.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 38677 "preproc.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38692 "preproc.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38699 "preproc.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 38707 "preproc.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38738 "preproc.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 38762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38784 "preproc.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 38792 "preproc.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 38800 "preproc.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38807 "preproc.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 38815 "preproc.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 38823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38830 "preproc.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("returns"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("function"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("returns table ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("function"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38854 "preproc.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 38862 "preproc.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38869 "preproc.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38877 "preproc.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 38885 "preproc.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38893 "preproc.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 38917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38925 "preproc.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38933 "preproc.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38941 "preproc.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38957 "preproc.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38965 "preproc.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38973 "preproc.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 38981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 6829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 38989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 6833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 38997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 6837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 39005 "preproc.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 6841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 39013 "preproc.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 6849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39021 "preproc.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 6857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39029 "preproc.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 6865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39037 "preproc.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 6869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 39045 "preproc.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 6873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 39053 "preproc.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 6881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39061 "preproc.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 6885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 39069 "preproc.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 6889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 39077 "preproc.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 6897 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = (yyvsp[0].str);
}
#line 39086 "preproc.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 6906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 39094 "preproc.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 6910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39102 "preproc.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 6914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39110 "preproc.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 6918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-4].str),mm_strdup("order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39118 "preproc.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 6926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39126 "preproc.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 6930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39134 "preproc.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 6938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39142 "preproc.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 6942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39150 "preproc.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 6950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 39158 "preproc.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 6954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 39166 "preproc.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 6958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 39174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 6962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 39182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 6966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 39190 "preproc.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 6970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 39198 "preproc.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 6974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 39206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 6978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 39214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 6982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 39222 "preproc.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 6986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 39230 "preproc.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 6990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 39238 "preproc.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 6994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 39246 "preproc.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 6998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 39254 "preproc.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 39262 "preproc.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39270 "preproc.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("parallel"),(yyvsp[0].str));
}
#line 39278 "preproc.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 39286 "preproc.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 39294 "preproc.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transform"),(yyvsp[0].str));
}
#line 39302 "preproc.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 39310 "preproc.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39318 "preproc.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39326 "preproc.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39334 "preproc.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for type"),(yyvsp[0].str));
}
#line 39342 "preproc.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup(", for type"),(yyvsp[0].str));
}
#line 39350 "preproc.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 39358 "preproc.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39365 "preproc.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39373 "preproc.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39381 "preproc.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39405 "preproc.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39413 "preproc.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 39421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7121 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39460 "preproc.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39468 "preproc.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39476 "preproc.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 39508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39516 "preproc.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 39524 "preproc.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 39532 "preproc.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 39564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 39580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 39588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 39596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 39604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39611 "preproc.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39619 "preproc.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 39627 "preproc.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39634 "preproc.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("transform for"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39642 "preproc.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("from sql with function"),(yyvsp[-6].str),mm_strdup(", to sql with function"),(yyvsp[0].str));
}
#line 39650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("to sql with function"),(yyvsp[-6].str),mm_strdup(", from sql with function"),(yyvsp[0].str));
}
#line 39658 "preproc.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from sql with function"),(yyvsp[0].str));
}
#line 39666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to sql with function"),(yyvsp[0].str));
}
#line 39674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop transform"),(yyvsp[-5].str),mm_strdup("for"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 39722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 39730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 39738 "preproc.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 39746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 39754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39770 "preproc.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 39778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 39786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 39794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39826 "preproc.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39834 "preproc.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 39842 "preproc.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39850 "preproc.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39858 "preproc.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39866 "preproc.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39874 "preproc.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39882 "preproc.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39890 "preproc.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39898 "preproc.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy if exists"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39906 "preproc.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39914 "preproc.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39922 "preproc.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39930 "preproc.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39938 "preproc.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39946 "preproc.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39954 "preproc.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39962 "preproc.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39970 "preproc.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39978 "preproc.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39986 "preproc.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 39994 "preproc.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40002 "preproc.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40010 "preproc.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40018 "preproc.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40026 "preproc.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40034 "preproc.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40042 "preproc.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40050 "preproc.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40058 "preproc.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40066 "preproc.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40074 "preproc.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40082 "preproc.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40090 "preproc.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 40170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 40186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 7594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40193 "preproc.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 7601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 40201 "preproc.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 7605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40208 "preproc.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 7612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 40216 "preproc.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 7616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 40224 "preproc.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 7620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 40232 "preproc.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 7624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 40240 "preproc.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 7632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40248 "preproc.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 7636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40256 "preproc.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 7640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40264 "preproc.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 7644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40272 "preproc.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 7648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40280 "preproc.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 7652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40288 "preproc.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 7656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40296 "preproc.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 7660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40304 "preproc.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 7664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40312 "preproc.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 7668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40320 "preproc.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 7672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40328 "preproc.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 7676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40336 "preproc.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 7680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40344 "preproc.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 7684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40352 "preproc.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 7688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40360 "preproc.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 7692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40368 "preproc.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 7696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40376 "preproc.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 7700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40384 "preproc.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 7704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40392 "preproc.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 7708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40400 "preproc.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 7712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40408 "preproc.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 7716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40416 "preproc.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 7720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40424 "preproc.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 7724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 40432 "preproc.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 7732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("set ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40440 "preproc.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 7740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40448 "preproc.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 7744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40456 "preproc.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 7752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= none"));
}
#line 40464 "preproc.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 7756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 40472 "preproc.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 7764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40480 "preproc.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 7768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40488 "preproc.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 7772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40496 "preproc.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 7776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40504 "preproc.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 7780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40512 "preproc.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 7784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40520 "preproc.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 7788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40528 "preproc.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 7792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40536 "preproc.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 7796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40544 "preproc.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 7800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40552 "preproc.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 7804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40560 "preproc.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 7808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 7812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40576 "preproc.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 7816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40584 "preproc.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 7820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 7824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 7828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 7832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 7836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 40624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 7844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 7852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 40640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 7856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 7860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40656 "preproc.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 7868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 40664 "preproc.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 7872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40672 "preproc.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 7880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40680 "preproc.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 7884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40688 "preproc.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 7888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40696 "preproc.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 7892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40704 "preproc.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 7896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40712 "preproc.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 7904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40720 "preproc.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 7908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40727 "preproc.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 7915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 40735 "preproc.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 7919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 40743 "preproc.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 7923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 40751 "preproc.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 7927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 40759 "preproc.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 7935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 40767 "preproc.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 7939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 40775 "preproc.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 7943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 7950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 7954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 7962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 7970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 40814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 7974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40821 "preproc.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 7981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 40829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 7989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 40837 "preproc.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 7993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 40845 "preproc.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[0].str));
}
#line 40853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 40869 "preproc.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[0].str));
}
#line 40877 "preproc.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[0].str));
}
#line 40885 "preproc.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[0].str));
}
#line 40893 "preproc.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 40901 "preproc.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 40909 "preproc.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 40917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 40925 "preproc.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40933 "preproc.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 40941 "preproc.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 40949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 40957 "preproc.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 40965 "preproc.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 40973 "preproc.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 40988 "preproc.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 40996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 41004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 41012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 41020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41059 "preproc.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41067 "preproc.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41075 "preproc.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8135 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8140 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41093 "preproc.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with check option");
}
#line 41101 "preproc.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 41109 "preproc.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with local check option");
}
#line 41117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 41132 "preproc.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41155 "preproc.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41163 "preproc.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41171 "preproc.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41179 "preproc.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41187 "preproc.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("default"));
}
#line 41195 "preproc.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41203 "preproc.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("connection limit");
}
#line 41211 "preproc.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 41219 "preproc.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 41227 "preproc.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 41235 "preproc.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 41243 "preproc.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 41251 "preproc.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 41259 "preproc.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 8259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 8266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 41274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 8270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 8274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 41290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 8282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 8290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 41306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 8294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 41314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 8302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[0].str));
}
#line 41322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 8306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system reset"),(yyvsp[0].str));
}
#line 41330 "preproc.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 8314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41338 "preproc.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 8322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41346 "preproc.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 8326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 41354 "preproc.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 8330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 41362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 8334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 41370 "preproc.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 8338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41378 "preproc.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 8342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41386 "preproc.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 8346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 41394 "preproc.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 8354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 41402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 8358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 8365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 8373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 8377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 8381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 8385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 8389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 41457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 8393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 41465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 8401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 41473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 8405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 41481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 8413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 41489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 8421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 8425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 41505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 8429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 41513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 8437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 41521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 8441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41528 "preproc.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 8448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41536 "preproc.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 8452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41544 "preproc.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 8456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41552 "preproc.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 8460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41560 "preproc.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 8464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 8472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41576 "preproc.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 8476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41584 "preproc.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 8484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 8488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 41600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 8492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 41608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 8496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 41616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 8500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 8508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 8512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 8520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 41648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 8524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 41656 "preproc.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 8532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 41664 "preproc.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 8536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41671 "preproc.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 8543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 41679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 8547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41686 "preproc.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 8554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 41694 "preproc.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 8558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41701 "preproc.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 8565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 8569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41716 "preproc.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 8576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 41724 "preproc.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 8580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41732 "preproc.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 8584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 41740 "preproc.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 8588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 41748 "preproc.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 8596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41756 "preproc.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 8600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41764 "preproc.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 8604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41772 "preproc.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 8608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41780 "preproc.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 8612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41788 "preproc.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 8616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41796 "preproc.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 8620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41804 "preproc.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 8624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41812 "preproc.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 8628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41820 "preproc.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 8636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41828 "preproc.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 8640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41836 "preproc.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 8648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41844 "preproc.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 8656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41852 "preproc.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 8660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41860 "preproc.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 8668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 8672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 8676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41883 "preproc.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 8683 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
	}
#line 41893 "preproc.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 8689 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 41903 "preproc.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 8699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41911 "preproc.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 8703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41918 "preproc.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 8710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41926 "preproc.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 8714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41934 "preproc.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 8718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 8722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41950 "preproc.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 8730 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-2].str); }
#line 41956 "preproc.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 8732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("table"),(yyvsp[-5].str),mm_strdup("as execute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 8740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 8744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41979 "preproc.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 8751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("insert into"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41987 "preproc.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 8759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41995 "preproc.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 8763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 42003 "preproc.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 8771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42011 "preproc.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 8775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 42019 "preproc.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 8779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 42027 "preproc.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 8787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 8791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42043 "preproc.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 8799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42051 "preproc.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 8807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("on conflict"),(yyvsp[-5].str),mm_strdup("do update set"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42059 "preproc.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 8811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("on conflict"),(yyvsp[-2].str),mm_strdup("do nothing"));
}
#line 42067 "preproc.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 8815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42074 "preproc.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 8822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 42082 "preproc.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 8826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on constraint"),(yyvsp[0].str));
}
#line 42090 "preproc.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 8830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42097 "preproc.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 8837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 42105 "preproc.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 8841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42112 "preproc.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 8848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42120 "preproc.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 8856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 42128 "preproc.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 8860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42135 "preproc.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 8867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42143 "preproc.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 8875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 42151 "preproc.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 8879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42158 "preproc.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 8886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 42166 "preproc.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 8890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 42174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 8894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 42182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 8898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 42190 "preproc.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 8902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 42198 "preproc.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 8906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 42206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 8910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 42214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 8914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 42222 "preproc.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 8922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 42230 "preproc.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 8926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 8933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 42245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 8937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip locked");
}
#line 42253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 8941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42260 "preproc.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 8948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42268 "preproc.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 8956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 8960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 8968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 8972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 8980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 42308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 8988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 42316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 8992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 42324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 9000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42348 "preproc.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9020 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 42401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9077 "preproc.y" /* yacc.c:1646  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 42421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42428 "preproc.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 42436 "preproc.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 42444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 42452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 42460 "preproc.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9112 "preproc.y" /* yacc.c:1646  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 42471 "preproc.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 42479 "preproc.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 42487 "preproc.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42495 "preproc.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42503 "preproc.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42511 "preproc.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42519 "preproc.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42527 "preproc.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42535 "preproc.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42543 "preproc.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42551 "preproc.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42559 "preproc.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42567 "preproc.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42575 "preproc.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42583 "preproc.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42591 "preproc.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42599 "preproc.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42607 "preproc.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42615 "preproc.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42623 "preproc.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 9215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 42631 "preproc.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 9219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42639 "preproc.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 9223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42647 "preproc.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 9227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42655 "preproc.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 9235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 42663 "preproc.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 9239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 42671 "preproc.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 9243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 42679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 9251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42687 "preproc.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 9255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42695 "preproc.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 9263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42703 "preproc.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 9271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42711 "preproc.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 9275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42718 "preproc.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 9282 "preproc.y" /* yacc.c:1646  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 42727 "preproc.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 9286 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 42733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 9288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42740 "preproc.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 9295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42748 "preproc.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 9299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42756 "preproc.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 9303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42764 "preproc.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 9307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42772 "preproc.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 9311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42780 "preproc.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 9315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42788 "preproc.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 9319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42796 "preproc.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 9323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 42804 "preproc.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 9327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42812 "preproc.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 9335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 42820 "preproc.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 9339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42827 "preproc.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 9346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 42835 "preproc.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 9350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 42843 "preproc.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 9354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42850 "preproc.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 9361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 42858 "preproc.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 9365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42866 "preproc.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 9373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 42874 "preproc.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 9377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 9384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 9388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42896 "preproc.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 9395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 42904 "preproc.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 9403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42912 "preproc.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 9407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42920 "preproc.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 9415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42928 "preproc.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 9419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 9427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 9431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42952 "preproc.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 9435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42960 "preproc.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 9439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42968 "preproc.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 9447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42976 "preproc.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 9451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42983 "preproc.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 9458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 42991 "preproc.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 9462 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 43000 "preproc.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 9467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 43008 "preproc.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 9475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 43016 "preproc.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 9479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 9487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 9491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 43040 "preproc.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 9499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43048 "preproc.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 9507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 9511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 9515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 9522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43079 "preproc.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 9530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 43087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 9534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 43095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 9542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 43103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 9546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 43111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 9554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[0].str));
}
#line 43119 "preproc.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 9558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43126 "preproc.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 9565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43134 "preproc.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 9569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43142 "preproc.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 9577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43150 "preproc.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 9581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43158 "preproc.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 9585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43166 "preproc.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 9589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 9593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 9601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 43190 "preproc.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 9609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rollup ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43198 "preproc.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 9617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("cube ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 9625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping sets ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 9633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 43222 "preproc.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 9637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 9644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 9648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 43245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 9656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 9660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43260 "preproc.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 9667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43268 "preproc.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 9671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 9679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 9687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for update");
}
#line 43292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 9691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 43300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 9695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for share");
}
#line 43308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 9699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for key share");
}
#line 43316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 9707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 43324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 9711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43331 "preproc.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 9718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[0].str));
}
#line 43339 "preproc.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 9722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43347 "preproc.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 9730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 43355 "preproc.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 9734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 9741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43370 "preproc.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 9745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43378 "preproc.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 9753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43386 "preproc.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 9757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43394 "preproc.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 9761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 9765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43410 "preproc.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 9769 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 9776 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43432 "preproc.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 9783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43440 "preproc.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 9787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43448 "preproc.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 9795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43456 "preproc.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 9799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 43464 "preproc.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 9803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43472 "preproc.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 9807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43480 "preproc.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 9811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 43488 "preproc.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 9815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 43496 "preproc.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 9823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43504 "preproc.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 9827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 43512 "preproc.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 9831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43520 "preproc.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 9835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43528 "preproc.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 9843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43536 "preproc.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 9847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43543 "preproc.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 9854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43551 "preproc.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 9858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43559 "preproc.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 9862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43567 "preproc.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 9866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43575 "preproc.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 9870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43582 "preproc.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 9877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 43590 "preproc.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 9881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 43598 "preproc.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 9885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 43606 "preproc.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 9889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 43614 "preproc.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 9897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 43622 "preproc.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 9901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43629 "preproc.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 9908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43637 "preproc.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 9912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 43645 "preproc.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 9920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43653 "preproc.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 9924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 43661 "preproc.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 9928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 43669 "preproc.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 9932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43677 "preproc.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 9940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43685 "preproc.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 9944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43693 "preproc.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 9952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43701 "preproc.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 9956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 9960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 43717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 9968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("tablesample"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 9976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("repeatable ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 9980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43740 "preproc.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 9987 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43748 "preproc.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 9991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43756 "preproc.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 9999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43764 "preproc.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 10007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43772 "preproc.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 10011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43780 "preproc.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 10019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43788 "preproc.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 10023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43795 "preproc.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 10030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with ordinality");
}
#line 43803 "preproc.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 10034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 10041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 43818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 10045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43825 "preproc.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 10052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 43833 "preproc.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 10056 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 43842 "preproc.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 10061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 10068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 10072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43864 "preproc.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 10079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43872 "preproc.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 10083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43880 "preproc.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 10091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43888 "preproc.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 10099 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 43894 "preproc.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 10101 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 43900 "preproc.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 10103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 43908 "preproc.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 10107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 43916 "preproc.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 10111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 43924 "preproc.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 10115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 43932 "preproc.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 10123 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 43946 "preproc.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 10133 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 43960 "preproc.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 10143 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 43970 "preproc.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 10153 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43978 "preproc.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 10157 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43986 "preproc.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 10161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43994 "preproc.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 10165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44002 "preproc.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 10169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44010 "preproc.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 10173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44018 "preproc.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 10177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44026 "preproc.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 10185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44034 "preproc.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 10189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44042 "preproc.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 10193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44050 "preproc.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 10197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44058 "preproc.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 10205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44066 "preproc.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 10209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44074 "preproc.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 10217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44082 "preproc.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 10221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44089 "preproc.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 10228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 44097 "preproc.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 10232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 44105 "preproc.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 10236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 44113 "preproc.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 10240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 44121 "preproc.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 10244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 44129 "preproc.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 10248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 44137 "preproc.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 10252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 44145 "preproc.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 10256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 44153 "preproc.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 10260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 44161 "preproc.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 10264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 44169 "preproc.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 10268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 44177 "preproc.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 10276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44185 "preproc.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 10280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44192 "preproc.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 10287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44200 "preproc.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 10291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44208 "preproc.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 10299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44216 "preproc.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 10303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44224 "preproc.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 10311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44232 "preproc.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 10319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 44240 "preproc.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 10327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44248 "preproc.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 10331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44256 "preproc.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 10339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44264 "preproc.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 10343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44272 "preproc.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 10351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44280 "preproc.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 10359 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44288 "preproc.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 10367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 44296 "preproc.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 10371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 44304 "preproc.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 10375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 44312 "preproc.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 10379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 44320 "preproc.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 10383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 44328 "preproc.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 10387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 44336 "preproc.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 10395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 44344 "preproc.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 10399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 10406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[0].str));
}
#line 44359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 10410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44366 "preproc.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 10417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44374 "preproc.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 10421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 44382 "preproc.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 10425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 44390 "preproc.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 10429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 44398 "preproc.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 10437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 44406 "preproc.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 10445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 44414 "preproc.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 10449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 44422 "preproc.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 10453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 10460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 44437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 10464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 44445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 10468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 44453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 10472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 44461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 10476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 44469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 10480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 10484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 44485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 10488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 44493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 10492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 44501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 10496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 44509 "preproc.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 10500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 44517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 10504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 44525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 10508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 44533 "preproc.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 10512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44540 "preproc.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 10519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 44548 "preproc.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 10523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 10531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 10535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 44572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 10539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 44580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 10543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 44588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 10547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 44596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 10551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 44604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 10555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 44612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 10559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 44620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 10563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 44628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 10567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 44636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 10571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 44644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 10575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 44652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 10579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 44660 "preproc.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 10583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 44668 "preproc.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 10587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 44676 "preproc.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 10591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 44684 "preproc.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 10595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 44692 "preproc.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 10599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 44700 "preproc.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 10603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44708 "preproc.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 10607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44716 "preproc.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 10611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44724 "preproc.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 10615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 44732 "preproc.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 10619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 44740 "preproc.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 10623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 44748 "preproc.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 10627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 44756 "preproc.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 10631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 44764 "preproc.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 10635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44772 "preproc.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 10639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 44780 "preproc.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 10643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44788 "preproc.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 10647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 44796 "preproc.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 10651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44804 "preproc.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 10655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 44812 "preproc.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 10659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44820 "preproc.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 10663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 44828 "preproc.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 10667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44836 "preproc.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 10671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 44844 "preproc.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 10675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 44852 "preproc.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 10679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 44860 "preproc.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 10683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 44868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 10687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 44876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 10691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 44884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 10695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 44892 "preproc.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 10699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 44900 "preproc.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 10703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 44908 "preproc.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 10707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 44916 "preproc.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 10711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 44924 "preproc.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 10715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 44932 "preproc.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 10719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 44940 "preproc.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 10723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 44948 "preproc.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 10727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 44956 "preproc.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 10731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 10735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 10739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 44980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 10743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 44988 "preproc.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 10747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 44996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 10751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 45004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 10755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 45012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 10759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 45020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 10763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 10767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 10771 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[0].str));
}
#line 45045 "preproc.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 10776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 45053 "preproc.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 10780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 45061 "preproc.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 10788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45069 "preproc.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 10792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 45077 "preproc.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 10796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 45085 "preproc.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 10800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 45093 "preproc.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 10804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 45101 "preproc.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 10808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 45109 "preproc.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 10812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 45117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 10816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 45125 "preproc.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 10820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 45133 "preproc.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 10824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 45141 "preproc.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 10828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 45149 "preproc.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 10832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 45157 "preproc.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 10836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 45165 "preproc.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 10840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 45173 "preproc.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 10844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 45181 "preproc.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 10848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 45189 "preproc.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 10852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45197 "preproc.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 10856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45205 "preproc.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 10860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45213 "preproc.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 10864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 45221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 10868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 45229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 10872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 10876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 10880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 45253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 10884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 45261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 10892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45269 "preproc.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 10896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45277 "preproc.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 10900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45285 "preproc.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 10904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 45293 "preproc.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 10908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45301 "preproc.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 10912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45309 "preproc.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 10916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45317 "preproc.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 10920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45325 "preproc.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 10924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 45333 "preproc.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 10928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 45341 "preproc.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 10932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 45349 "preproc.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 10936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45357 "preproc.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 10940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45365 "preproc.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 10944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45373 "preproc.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 10952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("( )"));
}
#line 45381 "preproc.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 10956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 10960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 10964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45405 "preproc.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 10968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( all"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45413 "preproc.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 10972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( distinct"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 10976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("( * )"));
}
#line 45429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 10984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 10988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 10996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 11000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 11008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 11012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 45477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 11016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 45485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 11020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 11024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 45501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 11028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45509 "preproc.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 11032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 45517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 11036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 11040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 45533 "preproc.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 11044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45541 "preproc.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 11048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 45549 "preproc.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 11052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 45557 "preproc.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 11056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 45565 "preproc.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 11060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 45573 "preproc.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 11064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 45581 "preproc.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 11068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 45589 "preproc.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 11072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45597 "preproc.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 11076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45605 "preproc.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 11080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45613 "preproc.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 11084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45621 "preproc.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 11088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45629 "preproc.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 11092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45637 "preproc.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 11096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45645 "preproc.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 11100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45653 "preproc.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 11104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45661 "preproc.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 11108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45669 "preproc.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 11112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45677 "preproc.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 11116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45685 "preproc.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 11120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45693 "preproc.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 11124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45701 "preproc.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 11128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 11132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 11136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 11140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 11144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45741 "preproc.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 11148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45749 "preproc.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 11152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45757 "preproc.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 11156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45765 "preproc.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 11160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45773 "preproc.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 11164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45781 "preproc.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 11168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45789 "preproc.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 11172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45797 "preproc.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 11180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 45805 "preproc.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 11184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 45813 "preproc.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 11192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 45821 "preproc.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 11196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 45829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 11200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 45837 "preproc.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 11204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45844 "preproc.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 11211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45852 "preproc.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 11219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45860 "preproc.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 11223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 11231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 45876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 11235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 11243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 45892 "preproc.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 11247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 45900 "preproc.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 11255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 45908 "preproc.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 11259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 45916 "preproc.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 11263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45923 "preproc.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 11270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 45931 "preproc.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 11274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 45939 "preproc.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 11278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[0].str));
}
#line 45947 "preproc.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 11282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 45955 "preproc.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 11290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45963 "preproc.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 11294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45970 "preproc.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 11301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45978 "preproc.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 11305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45985 "preproc.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 11312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 45993 "preproc.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 11316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46000 "preproc.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 11323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46008 "preproc.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 11327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46016 "preproc.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 11335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 46024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 11343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 46032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 11347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 46040 "preproc.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 11351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46047 "preproc.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 11358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46055 "preproc.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 11366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46063 "preproc.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 11370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46070 "preproc.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 11377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 46078 "preproc.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 11381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46085 "preproc.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 11388 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[0].str));
}
#line 46094 "preproc.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 11393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 46102 "preproc.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 11397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46109 "preproc.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 11404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 11408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 46125 "preproc.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 11416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 46133 "preproc.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 11420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 46141 "preproc.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 11424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 46149 "preproc.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 11428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 46157 "preproc.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 11432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 46165 "preproc.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 11440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46173 "preproc.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 11444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 46181 "preproc.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 11448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46189 "preproc.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 11456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46197 "preproc.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 11460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 46205 "preproc.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 11468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46213 "preproc.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 11476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 46221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 11480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 46229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 11484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 46237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 11492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 11496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 11504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 46261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 11508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 46269 "preproc.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 11512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 46277 "preproc.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 11516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 46285 "preproc.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 11520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 46293 "preproc.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 11524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 46301 "preproc.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 11528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 46309 "preproc.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 11532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 46317 "preproc.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 11536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 46325 "preproc.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 11540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<=");
}
#line 46333 "preproc.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 11544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">=");
}
#line 46341 "preproc.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 11548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<>");
}
#line 46349 "preproc.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 11556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46357 "preproc.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 11560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46365 "preproc.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 11568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46373 "preproc.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 11572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46381 "preproc.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 11580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 11584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 11588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 46405 "preproc.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 11592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 46413 "preproc.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 11596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 46421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 11600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 46429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 11608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 11612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 11620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 11624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 11632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 11636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 46477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 11640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("=>"),(yyvsp[0].str));
}
#line 46485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 11648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 11652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 11660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46509 "preproc.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 11664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 11668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 46525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 11676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46533 "preproc.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 11680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46541 "preproc.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 11688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 46549 "preproc.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 11692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 11699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 11703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 46572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 11707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 46580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 11711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 46588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 11715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 46596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 11719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 46604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 11723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 46612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 11727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 11735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 11739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 11747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[0].str));
}
#line 46644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 11755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 46652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 11759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46659 "preproc.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 11766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46667 "preproc.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 11770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46675 "preproc.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 11774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46683 "preproc.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 11778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46691 "preproc.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 11782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46699 "preproc.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 11786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 11793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 46714 "preproc.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 11801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 46722 "preproc.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 11809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 46730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 11813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 46738 "preproc.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 11817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46746 "preproc.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 11825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46754 "preproc.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 11829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 11837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 46770 "preproc.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 11845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 11849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 11857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 46794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 11865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 46802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 11869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46809 "preproc.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 11876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46817 "preproc.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 11880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46824 "preproc.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 11887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46832 "preproc.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 11891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46840 "preproc.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 11899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 46848 "preproc.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 11903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 46856 "preproc.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 11907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46864 "preproc.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 11911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 46872 "preproc.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 11919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46880 "preproc.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 11923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46887 "preproc.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 11930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46895 "preproc.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 11934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46903 "preproc.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 11942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46910 "preproc.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 11945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46918 "preproc.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 11953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 46926 "preproc.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 11957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 11964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46941 "preproc.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 11968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 46949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 11976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46957 "preproc.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 11980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46965 "preproc.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 11988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 11996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46981 "preproc.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 12000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 12007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 12011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 12019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 47012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 12023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 12027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 12031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 47036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 12039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 12043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 12051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 12055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 12063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 12067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 12075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 12083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 12091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 12099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 12107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 12115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 12123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 12127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 12135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 12139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 12143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 12147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 12151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xconst");
}
#line 47188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 12155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 12159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 12163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 12167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 12171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 12175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 47236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 12179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 47244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 12183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 47252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 12186 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 12187 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47264 "preproc.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 12193 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 47270 "preproc.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 12199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47278 "preproc.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 12202 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 12204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 47292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 12208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 47300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 12216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 12224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 12228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 47324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 12232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 47332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 12240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 12244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 12252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 12256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 12260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 12264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 12272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 47388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 12276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 47396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 12280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 47404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 12284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 47412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 12288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 47420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 12292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 47428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 12296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 47436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 12300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 47444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 12304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 47452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 12308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 47460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 12312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 47468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 12316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 47476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 12320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 47484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 12324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 47492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 12328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 47500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 12332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 47508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 12336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 47516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 12340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 47524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 12344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 47532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 12348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 47540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 12352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 47548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 12356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 47556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 12360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 47564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 12364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 47572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 12368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 47580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 12372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 47588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 12376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 47596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 12380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 47604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 12384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 47612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 12388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 47620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 12392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 47628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 12396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 47636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 12400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 47644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 12404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 47652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 12408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 47660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 12412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conflict");
}
#line 47668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 12416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 47676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 12420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 47684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 12424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 47692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 12428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 47700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 12432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 47708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 12436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 47716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 12440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 47724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 12444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cube");
}
#line 47732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 12448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 47740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 12452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 47748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 12456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 47756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 12460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 47764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 12464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 47772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 12468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 47780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 12472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 47788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 12476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 47796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 12480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 47804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 12484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 47812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 12488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 47820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 12492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 47828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 12496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("depends");
}
#line 47836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 12500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 47844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 12504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 47852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 12508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 47860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 12512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 47868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 12516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 47876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 12520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 47884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 12524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 47892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 12528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 47900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 12532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 47908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 12536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 47916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 12540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 47924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 12544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 47932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 12548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 47940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 12552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 47948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 12556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 47956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 12560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 47964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 12564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 47972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 12568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 47980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 12572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 47988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 12576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 47996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 12580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 48004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 12584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 48012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 12588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("filter");
}
#line 48020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 12592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 48028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 12596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 48036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 12600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 48044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 12604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 48052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 12608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 48060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 12612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 48068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 12616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 48076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 12620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 48084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 12624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 48092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 12628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 48100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 12632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 48108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 12636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 48116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 12640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 48124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 12644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 48132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 12648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 48140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 12652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 48148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 12656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("import");
}
#line 48156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 12660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 48164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 12664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 48172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 12668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 48180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 12672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 48188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 12676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 48196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 12680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 48204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 12684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 48212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 12688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 48220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 12692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 48228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 12696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 48236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 12700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 48244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 12704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 48252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 12708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 48260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 12712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 48268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 12716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 48276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 12720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 48284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 12724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 48292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 12728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 48300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 12732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 48308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 12736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 48316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 12740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 48324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 12744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 48332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 12748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 48340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 12752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 48348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 12756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("locked");
}
#line 48356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 12760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("logged");
}
#line 48364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 12764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 48372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 12768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 48380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 12772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 48388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 12776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 48396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 12780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("method");
}
#line 48404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 12784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 48412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 12788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 48420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 12792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 48428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 12796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 48436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 12800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 48444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 12804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 48452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 12808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 48460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 12812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 48468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 12816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 48476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 12820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 48484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 12824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 48492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 12828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 48500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 12832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 48508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 12836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 48516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 12840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 48524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 12844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 48532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 12848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 48540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 12852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 48548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 12856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 48556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 12860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 48564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 12864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 48572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 12868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 48580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 12872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parallel");
}
#line 48588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 12876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 48596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 12880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 48604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 12884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 48612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 12888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 48620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 12892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 48628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 12896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 48636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 12900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 48644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 12904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 48652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 12908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 48660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 12912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 48668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 12916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 48676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 12920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 48684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 12924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 48692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 12928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 48700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 12932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 48708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 12936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 48716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 12940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 48724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 12944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 48732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 12948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 48740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 12952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 48748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 12956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 48756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 12960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 48764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 12964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 48772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 12968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 48780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 12972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 48788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 12976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 48796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 12980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 48804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 12984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 48812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 12988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 48820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 12992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 48828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 12996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 48836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 13000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 48844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 13004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 48852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 13008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 48860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 13012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 48868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 13016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 48876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 13020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 48884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 13024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 48892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 13028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollup");
}
#line 48900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 13032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 48908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 13036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 48916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 13040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 48924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 13044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 48932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 13048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 48940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 13052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 48948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 13056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 48956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 13060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 48964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 13064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 48972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 13068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 48980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 13072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 48988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 13076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 48996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 13080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 49004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 13084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sets");
}
#line 49012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 13088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 49020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 13092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 49028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 13096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 49036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 13100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip");
}
#line 49044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 13104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 49052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 13108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sql");
}
#line 49060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 13112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 49068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 13116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 49076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 13120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 49084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 13124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 49092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 13128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 49100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 13132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 49108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 13136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 49116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 13140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 49124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 13144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 49132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 13148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 49140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 13152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 49148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 13156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 49156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 13160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 49164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 13164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 49172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 13168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 49180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 13172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 49188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 13176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 49196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 13180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 49204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 13184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 49212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 13188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transform");
}
#line 49220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 13192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 49228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 13196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 49236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 13200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 49244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 13204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 49252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 13208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 49260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 13212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 49268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 13216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 49276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 13220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 49284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 13224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 49292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 13228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 49300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 13232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 49308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 13236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 49316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 13240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 49324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 13244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 49332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 13248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 49340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 13252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 49348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 13256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 49356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 13260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 49364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 13264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 49372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 13268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 49380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 13272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 49388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 13276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("views");
}
#line 49396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 13280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 49404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 13284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 49412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 13288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("within");
}
#line 49420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 13292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 49428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 13296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 49436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 13300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 49444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 13304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 49452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 13308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 49460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 13312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 49468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 13316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 49476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 13324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 49484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 13328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 49492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 13332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 49500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 13336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 49508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 13340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 49516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 13344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 49524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 13348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 49532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 13352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 49540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 13356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 49548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 13360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 49556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 13364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 49564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 13368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 49572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 13372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grouping");
}
#line 49580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 13376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 49588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 13380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 49596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 13384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 49604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 13388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 49612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 13392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 49620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 13396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 49628 "preproc.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 13400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 49636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 13404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 49644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 13408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 49652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 13412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 49660 "preproc.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 13416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 49668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 13420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 49676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 13424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 49684 "preproc.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 13428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 49692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 13432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 49700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 13436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 49708 "preproc.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 13440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 49716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 13444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 49724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 13448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 49732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 13452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 49740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 13456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 49748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 13460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 49756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 13464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 49764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 13468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 49772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 13472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 49780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 13476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 49788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 13480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 49796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 13484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 49804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 13488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 49812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 13492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 49820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 13496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 49828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 13500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 49836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 13508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 49844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 13512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 49852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 13516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 49860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 13520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 49868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 13524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 49876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 13528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 49884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 13532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 49892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 13536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 49900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 13540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 49908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 13544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 49916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 13548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 49924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 13552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 49932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 13556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 49940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 13560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 49948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 13564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 49956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 13568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 49964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 13572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 49972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 13576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 49980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 13580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 49988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 13584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 49996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 13588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 50004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 13592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablesample");
}
#line 50012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 13596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 50020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 13604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 50028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 13608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 50036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 13612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 50044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 13616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 50052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 13620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 50060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 13624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 50068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 13628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 50076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 13632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 50084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 13636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 50092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 13640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 50100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 13644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 50108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 13648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 50116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 13652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 50124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 13656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 50132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 13660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 50140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 13664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 50148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 13668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 50156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 13672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 50164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 13676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 50172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2452:
#line 13680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 50180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2453:
#line 13684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 50188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 13688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 50196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2455:
#line 13692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 50204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2456:
#line 13696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 50212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2457:
#line 13700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 50220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2458:
#line 13704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 50228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 13708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 50236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 13712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 50244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 13716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 50252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 13720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 50260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 13724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 50268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 13728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 50276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 13732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 50284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2466:
#line 13736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 50292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2467:
#line 13740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 50300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2468:
#line 13744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 50308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2469:
#line 13748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 50316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2470:
#line 13752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 50324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2471:
#line 13756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 50332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2472:
#line 13760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 50340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2473:
#line 13764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 50348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2474:
#line 13768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 50356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2475:
#line 13772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 50364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2476:
#line 13776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 50372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2477:
#line 13780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 50380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2478:
#line 13784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 50388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2479:
#line 13788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 50396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2480:
#line 13792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 50404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2481:
#line 13796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 50412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2482:
#line 13800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 50420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2483:
#line 13804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 50428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2484:
#line 13808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 50436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2485:
#line 13812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 50444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2486:
#line 13816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 50452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2487:
#line 13820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 50460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2488:
#line 13824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 50468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2489:
#line 13828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 50476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2490:
#line 13832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 50484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2491:
#line 13836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 50492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2492:
#line 13840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 50500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2493:
#line 13844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 50508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2494:
#line 13848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 50516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2495:
#line 13852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 50524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2496:
#line 13856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 50532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2497:
#line 13860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 50540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2498:
#line 13864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 50548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2499:
#line 13868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 50556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2500:
#line 13872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 50564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2501:
#line 13876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 50572 "preproc.c" /* yacc.c:1646  */
    break;

  case 2502:
#line 13880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 50580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2503:
#line 13884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 50588 "preproc.c" /* yacc.c:1646  */
    break;

  case 2504:
#line 13888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 50596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2505:
#line 13892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 50604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2506:
#line 13896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 50612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2507:
#line 13900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 50620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2510:
#line 13913 "preproc.y" /* yacc.c:1646  */
    { connection = NULL; }
#line 50626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2512:
#line 13916 "preproc.y" /* yacc.c:1646  */
    {
					fprintf(yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 50636 "preproc.c" /* yacc.c:1646  */
    break;

  case 2514:
#line 13922 "preproc.y" /* yacc.c:1646  */
    { fprintf(yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 50642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2515:
#line 13923 "preproc.y" /* yacc.c:1646  */
    { fprintf(yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 50648 "preproc.c" /* yacc.c:1646  */
    break;

  case 2516:
#line 13924 "preproc.y" /* yacc.c:1646  */
    { braces_open++; fputs("{", yyout); }
#line 50654 "preproc.c" /* yacc.c:1646  */
    break;

  case 2517:
#line 13926 "preproc.y" /* yacc.c:1646  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", yyout);
		}
#line 50669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2518:
#line 13938 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 50675 "preproc.c" /* yacc.c:1646  */
    break;

  case 2519:
#line 13939 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str));
		}
#line 50686 "preproc.c" /* yacc.c:1646  */
    break;

  case 2520:
#line 13948 "preproc.y" /* yacc.c:1646  */
    {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 50700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2521:
#line 13963 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 50706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2522:
#line 13965 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 50712 "preproc.c" /* yacc.c:1646  */
    break;

  case 2523:
#line 13968 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 50718 "preproc.c" /* yacc.c:1646  */
    break;

  case 2524:
#line 13970 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 50724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2525:
#line 13974 "preproc.y" /* yacc.c:1646  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 50740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2526:
#line 13986 "preproc.y" /* yacc.c:1646  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)), (yyvsp[0].str), mm_strdup("\"")));
		}
#line 50760 "preproc.c" /* yacc.c:1646  */
    break;

  case 2527:
#line 14002 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 50768 "preproc.c" /* yacc.c:1646  */
    break;

  case 2528:
#line 14006 "preproc.y" /* yacc.c:1646  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 50781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2529:
#line 14016 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50787 "preproc.c" /* yacc.c:1646  */
    break;

  case 2530:
#line 14017 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50793 "preproc.c" /* yacc.c:1646  */
    break;

  case 2531:
#line 14021 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 50807 "preproc.c" /* yacc.c:1646  */
    break;

  case 2532:
#line 14033 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 50818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2533:
#line 14041 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50824 "preproc.c" /* yacc.c:1646  */
    break;

  case 2534:
#line 14042 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50830 "preproc.c" /* yacc.c:1646  */
    break;

  case 2535:
#line 14045 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2536:
#line 14046 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 50842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2537:
#line 14047 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 50848 "preproc.c" /* yacc.c:1646  */
    break;

  case 2538:
#line 14050 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 50854 "preproc.c" /* yacc.c:1646  */
    break;

  case 2539:
#line 14051 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 50860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2540:
#line 14054 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2541:
#line 14055 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 50872 "preproc.c" /* yacc.c:1646  */
    break;

  case 2542:
#line 14058 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50878 "preproc.c" /* yacc.c:1646  */
    break;

  case 2543:
#line 14059 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 50884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2544:
#line 14063 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 50890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2545:
#line 14065 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 50896 "preproc.c" /* yacc.c:1646  */
    break;

  case 2546:
#line 14067 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 50902 "preproc.c" /* yacc.c:1646  */
    break;

  case 2547:
#line 14069 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 50908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2548:
#line 14073 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 50919 "preproc.c" /* yacc.c:1646  */
    break;

  case 2549:
#line 14080 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 50930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2550:
#line 14087 "preproc.y" /* yacc.c:1646  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 50948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2551:
#line 14103 "preproc.y" /* yacc.c:1646  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 50984 "preproc.c" /* yacc.c:1646  */
    break;

  case 2552:
#line 14137 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 50998 "preproc.c" /* yacc.c:1646  */
    break;

  case 2553:
#line 14146 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2554:
#line 14150 "preproc.y" /* yacc.c:1646  */
    {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 51012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2555:
#line 14154 "preproc.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 51026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2556:
#line 14166 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51032 "preproc.c" /* yacc.c:1646  */
    break;

  case 2557:
#line 14168 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 51038 "preproc.c" /* yacc.c:1646  */
    break;

  case 2558:
#line 14170 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 51044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2559:
#line 14172 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 51050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2560:
#line 14176 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 51068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2561:
#line 14189 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2562:
#line 14197 "preproc.y" /* yacc.c:1646  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
#line 51137 "preproc.c" /* yacc.c:1646  */
    break;

  case 2563:
#line 14258 "preproc.y" /* yacc.c:1646  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 51147 "preproc.c" /* yacc.c:1646  */
    break;

  case 2565:
#line 14268 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51153 "preproc.c" /* yacc.c:1646  */
    break;

  case 2566:
#line 14269 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51159 "preproc.c" /* yacc.c:1646  */
    break;

  case 2567:
#line 14272 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2568:
#line 14274 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51171 "preproc.c" /* yacc.c:1646  */
    break;

  case 2569:
#line 14275 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51177 "preproc.c" /* yacc.c:1646  */
    break;

  case 2570:
#line 14278 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51183 "preproc.c" /* yacc.c:1646  */
    break;

  case 2571:
#line 14279 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 51189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2572:
#line 14280 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 51195 "preproc.c" /* yacc.c:1646  */
    break;

  case 2573:
#line 14281 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 51201 "preproc.c" /* yacc.c:1646  */
    break;

  case 2574:
#line 14282 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 51207 "preproc.c" /* yacc.c:1646  */
    break;

  case 2575:
#line 14289 "preproc.y" /* yacc.c:1646  */
    { fputs("/* exec sql begin declare section */", yyout); }
#line 51213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2576:
#line 14291 "preproc.y" /* yacc.c:1646  */
    {
			fprintf(yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 51223 "preproc.c" /* yacc.c:1646  */
    break;

  case 2577:
#line 14298 "preproc.y" /* yacc.c:1646  */
    {}
#line 51229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2578:
#line 14300 "preproc.y" /* yacc.c:1646  */
    {}
#line 51235 "preproc.c" /* yacc.c:1646  */
    break;

  case 2579:
#line 14302 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51241 "preproc.c" /* yacc.c:1646  */
    break;

  case 2580:
#line 14303 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51247 "preproc.c" /* yacc.c:1646  */
    break;

  case 2581:
#line 14306 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2582:
#line 14307 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51259 "preproc.c" /* yacc.c:1646  */
    break;

  case 2583:
#line 14308 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 51265 "preproc.c" /* yacc.c:1646  */
    break;

  case 2584:
#line 14309 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 51271 "preproc.c" /* yacc.c:1646  */
    break;

  case 2585:
#line 14312 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51277 "preproc.c" /* yacc.c:1646  */
    break;

  case 2586:
#line 14313 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 51283 "preproc.c" /* yacc.c:1646  */
    break;

  case 2587:
#line 14317 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 51293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2588:
#line 14323 "preproc.y" /* yacc.c:1646  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 51305 "preproc.c" /* yacc.c:1646  */
    break;

  case 2589:
#line 14333 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 51319 "preproc.c" /* yacc.c:1646  */
    break;

  case 2590:
#line 14343 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 51327 "preproc.c" /* yacc.c:1646  */
    break;

  case 2591:
#line 14347 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 51341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2592:
#line 14357 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 51349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2593:
#line 14361 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 51357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2594:
#line 14366 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 51363 "preproc.c" /* yacc.c:1646  */
    break;

  case 2595:
#line 14367 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 51369 "preproc.c" /* yacc.c:1646  */
    break;

  case 2596:
#line 14371 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 51375 "preproc.c" /* yacc.c:1646  */
    break;

  case 2597:
#line 14372 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 51381 "preproc.c" /* yacc.c:1646  */
    break;

  case 2598:
#line 14373 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 51387 "preproc.c" /* yacc.c:1646  */
    break;

  case 2599:
#line 14376 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 51393 "preproc.c" /* yacc.c:1646  */
    break;

  case 2600:
#line 14377 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 51399 "preproc.c" /* yacc.c:1646  */
    break;

  case 2601:
#line 14378 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 51405 "preproc.c" /* yacc.c:1646  */
    break;

  case 2602:
#line 14379 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 51411 "preproc.c" /* yacc.c:1646  */
    break;

  case 2603:
#line 14382 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 51417 "preproc.c" /* yacc.c:1646  */
    break;

  case 2604:
#line 14383 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 51423 "preproc.c" /* yacc.c:1646  */
    break;

  case 2605:
#line 14387 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 51435 "preproc.c" /* yacc.c:1646  */
    break;

  case 2606:
#line 14395 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 51456 "preproc.c" /* yacc.c:1646  */
    break;

  case 2607:
#line 14412 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 51468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2608:
#line 14420 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 51495 "preproc.c" /* yacc.c:1646  */
    break;

  case 2609:
#line 14443 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[-1].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 51605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2610:
#line 14549 "preproc.y" /* yacc.c:1646  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 51641 "preproc.c" /* yacc.c:1646  */
    break;

  case 2611:
#line 14583 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 51647 "preproc.c" /* yacc.c:1646  */
    break;

  case 2612:
#line 14585 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 51653 "preproc.c" /* yacc.c:1646  */
    break;

  case 2613:
#line 14587 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 51659 "preproc.c" /* yacc.c:1646  */
    break;

  case 2614:
#line 14591 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 51665 "preproc.c" /* yacc.c:1646  */
    break;

  case 2615:
#line 14594 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 51676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2616:
#line 14601 "preproc.y" /* yacc.c:1646  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essantially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 51722 "preproc.c" /* yacc.c:1646  */
    break;

  case 2617:
#line 14644 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51728 "preproc.c" /* yacc.c:1646  */
    break;

  case 2618:
#line 14646 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 51738 "preproc.c" /* yacc.c:1646  */
    break;

  case 2619:
#line 14652 "preproc.y" /* yacc.c:1646  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 51749 "preproc.c" /* yacc.c:1646  */
    break;

  case 2620:
#line 14661 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 51759 "preproc.c" /* yacc.c:1646  */
    break;

  case 2621:
#line 14667 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 51768 "preproc.c" /* yacc.c:1646  */
    break;

  case 2622:
#line 14674 "preproc.y" /* yacc.c:1646  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 51777 "preproc.c" /* yacc.c:1646  */
    break;

  case 2623:
#line 14679 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = mm_strdup("union");
		}
#line 51785 "preproc.c" /* yacc.c:1646  */
    break;

  case 2624:
#line 14684 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 51791 "preproc.c" /* yacc.c:1646  */
    break;

  case 2625:
#line 14685 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 51797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2626:
#line 14688 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 51803 "preproc.c" /* yacc.c:1646  */
    break;

  case 2627:
#line 14689 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 51809 "preproc.c" /* yacc.c:1646  */
    break;

  case 2628:
#line 14690 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 51815 "preproc.c" /* yacc.c:1646  */
    break;

  case 2629:
#line 14691 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 51821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2630:
#line 14692 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 51827 "preproc.c" /* yacc.c:1646  */
    break;

  case 2631:
#line 14693 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 51833 "preproc.c" /* yacc.c:1646  */
    break;

  case 2632:
#line 14695 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 51845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2633:
#line 14703 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 51857 "preproc.c" /* yacc.c:1646  */
    break;

  case 2634:
#line 14710 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 51863 "preproc.c" /* yacc.c:1646  */
    break;

  case 2635:
#line 14713 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 51869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2636:
#line 14714 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 51875 "preproc.c" /* yacc.c:1646  */
    break;

  case 2637:
#line 14715 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_int; }
#line 51881 "preproc.c" /* yacc.c:1646  */
    break;

  case 2638:
#line 14716 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 51887 "preproc.c" /* yacc.c:1646  */
    break;

  case 2639:
#line 14717 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 51893 "preproc.c" /* yacc.c:1646  */
    break;

  case 2640:
#line 14719 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 51905 "preproc.c" /* yacc.c:1646  */
    break;

  case 2641:
#line 14727 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 51917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2642:
#line 14734 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 51923 "preproc.c" /* yacc.c:1646  */
    break;

  case 2643:
#line 14735 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_char; }
#line 51929 "preproc.c" /* yacc.c:1646  */
    break;

  case 2644:
#line 14736 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_double; }
#line 51935 "preproc.c" /* yacc.c:1646  */
    break;

  case 2647:
#line 14744 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51941 "preproc.c" /* yacc.c:1646  */
    break;

  case 2648:
#line 14746 "preproc.y" /* yacc.c:1646  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(";"), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 51952 "preproc.c" /* yacc.c:1646  */
    break;

  case 2649:
#line 14755 "preproc.y" /* yacc.c:1646  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 52041 "preproc.c" /* yacc.c:1646  */
    break;

  case 2650:
#line 14842 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52047 "preproc.c" /* yacc.c:1646  */
    break;

  case 2651:
#line 14844 "preproc.y" /* yacc.c:1646  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 52056 "preproc.c" /* yacc.c:1646  */
    break;

  case 2652:
#line 14850 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52062 "preproc.c" /* yacc.c:1646  */
    break;

  case 2653:
#line 14851 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 52068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2654:
#line 14852 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("**"); }
#line 52074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2655:
#line 14859 "preproc.y" /* yacc.c:1646  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 52083 "preproc.c" /* yacc.c:1646  */
    break;

  case 2656:
#line 14867 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52089 "preproc.c" /* yacc.c:1646  */
    break;

  case 2657:
#line 14870 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52095 "preproc.c" /* yacc.c:1646  */
    break;

  case 2658:
#line 14871 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 52101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2659:
#line 14872 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 52107 "preproc.c" /* yacc.c:1646  */
    break;

  case 2660:
#line 14873 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 52113 "preproc.c" /* yacc.c:1646  */
    break;

  case 2661:
#line 14876 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 52119 "preproc.c" /* yacc.c:1646  */
    break;

  case 2662:
#line 14877 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 52125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2663:
#line 14878 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52131 "preproc.c" /* yacc.c:1646  */
    break;

  case 2664:
#line 14882 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52137 "preproc.c" /* yacc.c:1646  */
    break;

  case 2665:
#line 14884 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 52143 "preproc.c" /* yacc.c:1646  */
    break;

  case 2666:
#line 14891 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52149 "preproc.c" /* yacc.c:1646  */
    break;

  case 2667:
#line 14892 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 52155 "preproc.c" /* yacc.c:1646  */
    break;

  case 2668:
#line 14899 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 52165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2669:
#line 14906 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52171 "preproc.c" /* yacc.c:1646  */
    break;

  case 2670:
#line 14907 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52177 "preproc.c" /* yacc.c:1646  */
    break;

  case 2671:
#line 14910 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52183 "preproc.c" /* yacc.c:1646  */
    break;

  case 2672:
#line 14911 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2673:
#line 14915 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52198 "preproc.c" /* yacc.c:1646  */
    break;

  case 2674:
#line 14920 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52207 "preproc.c" /* yacc.c:1646  */
    break;

  case 2675:
#line 14927 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52216 "preproc.c" /* yacc.c:1646  */
    break;

  case 2676:
#line 14932 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52225 "preproc.c" /* yacc.c:1646  */
    break;

  case 2677:
#line 14939 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 52234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2680:
#line 14948 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 52245 "preproc.c" /* yacc.c:1646  */
    break;

  case 2681:
#line 14954 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52251 "preproc.c" /* yacc.c:1646  */
    break;

  case 2682:
#line 14955 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52257 "preproc.c" /* yacc.c:1646  */
    break;

  case 2683:
#line 14958 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52263 "preproc.c" /* yacc.c:1646  */
    break;

  case 2684:
#line 14959 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 52269 "preproc.c" /* yacc.c:1646  */
    break;

  case 2685:
#line 14960 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 52275 "preproc.c" /* yacc.c:1646  */
    break;

  case 2686:
#line 14961 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52281 "preproc.c" /* yacc.c:1646  */
    break;

  case 2687:
#line 14962 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 52287 "preproc.c" /* yacc.c:1646  */
    break;

  case 2688:
#line 14963 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 52293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2689:
#line 14964 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52299 "preproc.c" /* yacc.c:1646  */
    break;

  case 2690:
#line 14965 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52305 "preproc.c" /* yacc.c:1646  */
    break;

  case 2691:
#line 14966 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52311 "preproc.c" /* yacc.c:1646  */
    break;

  case 2692:
#line 14973 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 52322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2693:
#line 14980 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 52338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2694:
#line 14992 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 52348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2695:
#line 14998 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 52359 "preproc.c" /* yacc.c:1646  */
    break;

  case 2696:
#line 15005 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 52369 "preproc.c" /* yacc.c:1646  */
    break;

  case 2697:
#line 15012 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 52375 "preproc.c" /* yacc.c:1646  */
    break;

  case 2698:
#line 15013 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52381 "preproc.c" /* yacc.c:1646  */
    break;

  case 2699:
#line 15026 "preproc.y" /* yacc.c:1646  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 52390 "preproc.c" /* yacc.c:1646  */
    break;

  case 2700:
#line 15037 "preproc.y" /* yacc.c:1646  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 52399 "preproc.c" /* yacc.c:1646  */
    break;

  case 2701:
#line 15048 "preproc.y" /* yacc.c:1646  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 52405 "preproc.c" /* yacc.c:1646  */
    break;

  case 2704:
#line 15056 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 52411 "preproc.c" /* yacc.c:1646  */
    break;

  case 2705:
#line 15061 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 52417 "preproc.c" /* yacc.c:1646  */
    break;

  case 2708:
#line 15069 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 52425 "preproc.c" /* yacc.c:1646  */
    break;

  case 2709:
#line 15075 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 52437 "preproc.c" /* yacc.c:1646  */
    break;

  case 2710:
#line 15083 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 52445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2711:
#line 15088 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 52451 "preproc.c" /* yacc.c:1646  */
    break;

  case 2712:
#line 15096 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 52457 "preproc.c" /* yacc.c:1646  */
    break;

  case 2715:
#line 15103 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 52463 "preproc.c" /* yacc.c:1646  */
    break;

  case 2716:
#line 15107 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 52469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2719:
#line 15115 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 52477 "preproc.c" /* yacc.c:1646  */
    break;

  case 2720:
#line 15121 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 52489 "preproc.c" /* yacc.c:1646  */
    break;

  case 2721:
#line 15130 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 52497 "preproc.c" /* yacc.c:1646  */
    break;

  case 2722:
#line 15135 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 52510 "preproc.c" /* yacc.c:1646  */
    break;

  case 2723:
#line 15145 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 52523 "preproc.c" /* yacc.c:1646  */
    break;

  case 2724:
#line 15155 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 52537 "preproc.c" /* yacc.c:1646  */
    break;

  case 2725:
#line 15166 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 52543 "preproc.c" /* yacc.c:1646  */
    break;

  case 2726:
#line 15167 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 52549 "preproc.c" /* yacc.c:1646  */
    break;

  case 2727:
#line 15168 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 52555 "preproc.c" /* yacc.c:1646  */
    break;

  case 2728:
#line 15169 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 52561 "preproc.c" /* yacc.c:1646  */
    break;

  case 2729:
#line 15170 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 52567 "preproc.c" /* yacc.c:1646  */
    break;

  case 2730:
#line 15171 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 52573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2731:
#line 15172 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 52579 "preproc.c" /* yacc.c:1646  */
    break;

  case 2732:
#line 15173 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 52585 "preproc.c" /* yacc.c:1646  */
    break;

  case 2733:
#line 15174 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 52591 "preproc.c" /* yacc.c:1646  */
    break;

  case 2734:
#line 15175 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 52597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2735:
#line 15176 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 52603 "preproc.c" /* yacc.c:1646  */
    break;

  case 2736:
#line 15177 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 52609 "preproc.c" /* yacc.c:1646  */
    break;

  case 2737:
#line 15178 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 52615 "preproc.c" /* yacc.c:1646  */
    break;

  case 2738:
#line 15179 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 52621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2739:
#line 15180 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 52627 "preproc.c" /* yacc.c:1646  */
    break;

  case 2740:
#line 15187 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52633 "preproc.c" /* yacc.c:1646  */
    break;

  case 2741:
#line 15188 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52639 "preproc.c" /* yacc.c:1646  */
    break;

  case 2742:
#line 15191 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("on"); }
#line 52645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2743:
#line 15192 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("off"); }
#line 52651 "preproc.c" /* yacc.c:1646  */
    break;

  case 2744:
#line 15199 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52657 "preproc.c" /* yacc.c:1646  */
    break;

  case 2745:
#line 15200 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52663 "preproc.c" /* yacc.c:1646  */
    break;

  case 2746:
#line 15201 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2747:
#line 15208 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 52679 "preproc.c" /* yacc.c:1646  */
    break;

  case 2748:
#line 15214 "preproc.y" /* yacc.c:1646  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 52692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2749:
#line 15224 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("reference"); }
#line 52698 "preproc.c" /* yacc.c:1646  */
    break;

  case 2750:
#line 15225 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52704 "preproc.c" /* yacc.c:1646  */
    break;

  case 2751:
#line 15232 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 52714 "preproc.c" /* yacc.c:1646  */
    break;

  case 2752:
#line 15238 "preproc.y" /* yacc.c:1646  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 52776 "preproc.c" /* yacc.c:1646  */
    break;

  case 2753:
#line 15302 "preproc.y" /* yacc.c:1646  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 52786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2754:
#line 15308 "preproc.y" /* yacc.c:1646  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 52796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2755:
#line 15314 "preproc.y" /* yacc.c:1646  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 52806 "preproc.c" /* yacc.c:1646  */
    break;

  case 2756:
#line 15322 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 52816 "preproc.c" /* yacc.c:1646  */
    break;

  case 2757:
#line 15328 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 52826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2758:
#line 15334 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 52836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2759:
#line 15340 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 52846 "preproc.c" /* yacc.c:1646  */
    break;

  case 2760:
#line 15346 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 52856 "preproc.c" /* yacc.c:1646  */
    break;

  case 2761:
#line 15352 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 52866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2762:
#line 15358 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 52876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2763:
#line 15364 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 52886 "preproc.c" /* yacc.c:1646  */
    break;

  case 2764:
#line 15370 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 52896 "preproc.c" /* yacc.c:1646  */
    break;

  case 2765:
#line 15380 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52902 "preproc.c" /* yacc.c:1646  */
    break;

  case 2766:
#line 15381 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 52908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2767:
#line 15384 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("break"); }
#line 52914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2768:
#line 15385 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("call"); }
#line 52920 "preproc.c" /* yacc.c:1646  */
    break;

  case 2769:
#line 15386 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 52926 "preproc.c" /* yacc.c:1646  */
    break;

  case 2770:
#line 15387 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("count"); }
#line 52932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2771:
#line 15388 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 52938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2772:
#line 15389 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 52944 "preproc.c" /* yacc.c:1646  */
    break;

  case 2773:
#line 15390 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("found"); }
#line 52950 "preproc.c" /* yacc.c:1646  */
    break;

  case 2774:
#line 15391 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("go"); }
#line 52956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2775:
#line 15392 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("goto"); }
#line 52962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2776:
#line 15393 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("identified"); }
#line 52968 "preproc.c" /* yacc.c:1646  */
    break;

  case 2777:
#line 15394 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 52974 "preproc.c" /* yacc.c:1646  */
    break;

  case 2778:
#line 15395 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 52980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2779:
#line 15396 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("length"); }
#line 52986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2780:
#line 15397 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 52992 "preproc.c" /* yacc.c:1646  */
    break;

  case 2781:
#line 15398 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 52998 "preproc.c" /* yacc.c:1646  */
    break;

  case 2782:
#line 15399 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 53004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2783:
#line 15400 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 53010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2784:
#line 15401 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("scale"); }
#line 53016 "preproc.c" /* yacc.c:1646  */
    break;

  case 2785:
#line 15402 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("section"); }
#line 53022 "preproc.c" /* yacc.c:1646  */
    break;

  case 2786:
#line 15403 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 53028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2787:
#line 15404 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 53034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2788:
#line 15405 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 53040 "preproc.c" /* yacc.c:1646  */
    break;

  case 2789:
#line 15406 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("stop"); }
#line 53046 "preproc.c" /* yacc.c:1646  */
    break;

  case 2790:
#line 15409 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connect"); }
#line 53052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2791:
#line 15410 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("describe"); }
#line 53058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2792:
#line 15411 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 53064 "preproc.c" /* yacc.c:1646  */
    break;

  case 2793:
#line 15412 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("open"); }
#line 53070 "preproc.c" /* yacc.c:1646  */
    break;

  case 2794:
#line 15413 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("var"); }
#line 53076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2795:
#line 15414 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 53082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2796:
#line 15418 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 53088 "preproc.c" /* yacc.c:1646  */
    break;

  case 2797:
#line 15419 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 53094 "preproc.c" /* yacc.c:1646  */
    break;

  case 2798:
#line 15420 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 53100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2799:
#line 15421 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 53106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2800:
#line 15422 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 53112 "preproc.c" /* yacc.c:1646  */
    break;

  case 2801:
#line 15423 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 53118 "preproc.c" /* yacc.c:1646  */
    break;

  case 2802:
#line 15424 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 53124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2803:
#line 15427 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2804:
#line 15430 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53136 "preproc.c" /* yacc.c:1646  */
    break;

  case 2805:
#line 15431 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53142 "preproc.c" /* yacc.c:1646  */
    break;

  case 2806:
#line 15432 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2807:
#line 15433 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2808:
#line 15434 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53160 "preproc.c" /* yacc.c:1646  */
    break;

  case 2809:
#line 15435 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53166 "preproc.c" /* yacc.c:1646  */
    break;

  case 2810:
#line 15436 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 53172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2811:
#line 15437 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 53178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2812:
#line 15450 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53184 "preproc.c" /* yacc.c:1646  */
    break;

  case 2813:
#line 15451 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53190 "preproc.c" /* yacc.c:1646  */
    break;

  case 2814:
#line 15452 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2815:
#line 15453 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2816:
#line 15454 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53208 "preproc.c" /* yacc.c:1646  */
    break;

  case 2817:
#line 15455 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 53214 "preproc.c" /* yacc.c:1646  */
    break;

  case 2818:
#line 15456 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 53220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2819:
#line 15461 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2820:
#line 15462 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53232 "preproc.c" /* yacc.c:1646  */
    break;

  case 2821:
#line 15463 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53238 "preproc.c" /* yacc.c:1646  */
    break;

  case 2822:
#line 15464 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2823:
#line 15465 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2824:
#line 15466 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53256 "preproc.c" /* yacc.c:1646  */
    break;

  case 2825:
#line 15472 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53262 "preproc.c" /* yacc.c:1646  */
    break;

  case 2826:
#line 15473 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2827:
#line 15474 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 53274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2828:
#line 15475 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("current"); }
#line 53280 "preproc.c" /* yacc.c:1646  */
    break;

  case 2829:
#line 15476 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("input"); }
#line 53286 "preproc.c" /* yacc.c:1646  */
    break;

  case 2830:
#line 15477 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 53292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2831:
#line 15478 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 53298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2832:
#line 15479 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 53304 "preproc.c" /* yacc.c:1646  */
    break;

  case 2833:
#line 15480 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 53310 "preproc.c" /* yacc.c:1646  */
    break;

  case 2834:
#line 15481 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2835:
#line 15482 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2836:
#line 15485 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53328 "preproc.c" /* yacc.c:1646  */
    break;

  case 2837:
#line 15486 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53334 "preproc.c" /* yacc.c:1646  */
    break;

  case 2838:
#line 15487 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2839:
#line 15488 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2840:
#line 15489 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 53352 "preproc.c" /* yacc.c:1646  */
    break;

  case 2841:
#line 15492 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53358 "preproc.c" /* yacc.c:1646  */
    break;

  case 2842:
#line 15493 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2843:
#line 15494 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2844:
#line 15495 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53376 "preproc.c" /* yacc.c:1646  */
    break;

  case 2845:
#line 15498 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 53382 "preproc.c" /* yacc.c:1646  */
    break;

  case 2846:
#line 15499 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 53388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2847:
#line 15500 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 53394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2848:
#line 15501 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 53400 "preproc.c" /* yacc.c:1646  */
    break;

  case 2849:
#line 15502 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 53406 "preproc.c" /* yacc.c:1646  */
    break;

  case 2850:
#line 15503 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 53412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2851:
#line 15504 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 53418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2852:
#line 15521 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53424 "preproc.c" /* yacc.c:1646  */
    break;

  case 2853:
#line 15522 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53430 "preproc.c" /* yacc.c:1646  */
    break;

  case 2854:
#line 15523 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 53436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2855:
#line 15526 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day"); }
#line 53442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2856:
#line 15527 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 53448 "preproc.c" /* yacc.c:1646  */
    break;

  case 2857:
#line 15528 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 53454 "preproc.c" /* yacc.c:1646  */
    break;

  case 2858:
#line 15529 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 53460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2859:
#line 15530 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 53466 "preproc.c" /* yacc.c:1646  */
    break;

  case 2860:
#line 15531 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 53472 "preproc.c" /* yacc.c:1646  */
    break;

  case 2863:
#line 15538 "preproc.y" /* yacc.c:1646  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 53481 "preproc.c" /* yacc.c:1646  */
    break;

  case 2864:
#line 15544 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 53487 "preproc.c" /* yacc.c:1646  */
    break;

  case 2865:
#line 15545 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53493 "preproc.c" /* yacc.c:1646  */
    break;

  case 2866:
#line 15549 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 53499 "preproc.c" /* yacc.c:1646  */
    break;

  case 2867:
#line 15551 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 53505 "preproc.c" /* yacc.c:1646  */
    break;

  case 2868:
#line 15556 "preproc.y" /* yacc.c:1646  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 53517 "preproc.c" /* yacc.c:1646  */
    break;

  case 2869:
#line 15566 "preproc.y" /* yacc.c:1646  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 53530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2870:
#line 15577 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 53539 "preproc.c" /* yacc.c:1646  */
    break;

  case 2871:
#line 15583 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 53545 "preproc.c" /* yacc.c:1646  */
    break;

  case 2872:
#line 15584 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 53551 "preproc.c" /* yacc.c:1646  */
    break;

  case 2873:
#line 15585 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 53557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2874:
#line 15589 "preproc.y" /* yacc.c:1646  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 53592 "preproc.c" /* yacc.c:1646  */
    break;

  case 2875:
#line 15621 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53598 "preproc.c" /* yacc.c:1646  */
    break;

  case 2876:
#line 15623 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53604 "preproc.c" /* yacc.c:1646  */
    break;

  case 2877:
#line 15625 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2878:
#line 15629 "preproc.y" /* yacc.c:1646  */
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+2]='\0';
			free((yyvsp[0].str));
		}
#line 53624 "preproc.c" /* yacc.c:1646  */
    break;

  case 2879:
#line 15639 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 53638 "preproc.c" /* yacc.c:1646  */
    break;

  case 2880:
#line 15649 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 53652 "preproc.c" /* yacc.c:1646  */
    break;

  case 2881:
#line 15658 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53658 "preproc.c" /* yacc.c:1646  */
    break;

  case 2882:
#line 15659 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53664 "preproc.c" /* yacc.c:1646  */
    break;

  case 2883:
#line 15662 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53670 "preproc.c" /* yacc.c:1646  */
    break;

  case 2884:
#line 15664 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2885:
#line 15665 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 53682 "preproc.c" /* yacc.c:1646  */
    break;

  case 2886:
#line 15666 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53688 "preproc.c" /* yacc.c:1646  */
    break;

  case 2887:
#line 15670 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 53694 "preproc.c" /* yacc.c:1646  */
    break;

  case 2888:
#line 15672 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 53700 "preproc.c" /* yacc.c:1646  */
    break;

  case 2889:
#line 15679 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2890:
#line 15680 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("()"); }
#line 53712 "preproc.c" /* yacc.c:1646  */
    break;

  case 2891:
#line 15682 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 53718 "preproc.c" /* yacc.c:1646  */
    break;

  case 2892:
#line 15685 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53724 "preproc.c" /* yacc.c:1646  */
    break;

  case 2893:
#line 15687 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 53730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2894:
#line 15690 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53736 "preproc.c" /* yacc.c:1646  */
    break;

  case 2895:
#line 15691 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 53742 "preproc.c" /* yacc.c:1646  */
    break;

  case 2896:
#line 15694 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53748 "preproc.c" /* yacc.c:1646  */
    break;

  case 2897:
#line 15695 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 53754 "preproc.c" /* yacc.c:1646  */
    break;

  case 2898:
#line 15698 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53760 "preproc.c" /* yacc.c:1646  */
    break;

  case 2899:
#line 15699 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("("); }
#line 53766 "preproc.c" /* yacc.c:1646  */
    break;

  case 2900:
#line 15700 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(")"); }
#line 53772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2901:
#line 15701 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(","); }
#line 53778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2902:
#line 15702 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(";"); }
#line 53784 "preproc.c" /* yacc.c:1646  */
    break;

  case 2903:
#line 15705 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53790 "preproc.c" /* yacc.c:1646  */
    break;

  case 2904:
#line 15706 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2905:
#line 15707 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2906:
#line 15708 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 53808 "preproc.c" /* yacc.c:1646  */
    break;

  case 2907:
#line 15709 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 53814 "preproc.c" /* yacc.c:1646  */
    break;

  case 2908:
#line 15710 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+"); }
#line 53820 "preproc.c" /* yacc.c:1646  */
    break;

  case 2909:
#line 15711 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-"); }
#line 53826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2910:
#line 15712 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/"); }
#line 53832 "preproc.c" /* yacc.c:1646  */
    break;

  case 2911:
#line 15713 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%"); }
#line 53838 "preproc.c" /* yacc.c:1646  */
    break;

  case 2912:
#line 15714 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 53844 "preproc.c" /* yacc.c:1646  */
    break;

  case 2913:
#line 15715 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+="); }
#line 53850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2914:
#line 15716 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("&&"); }
#line 53856 "preproc.c" /* yacc.c:1646  */
    break;

  case 2915:
#line 15717 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 53862 "preproc.c" /* yacc.c:1646  */
    break;

  case 2916:
#line 15718 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 53868 "preproc.c" /* yacc.c:1646  */
    break;

  case 2917:
#line 15719 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 53874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2918:
#line 15720 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("--"); }
#line 53880 "preproc.c" /* yacc.c:1646  */
    break;

  case 2919:
#line 15721 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/="); }
#line 53886 "preproc.c" /* yacc.c:1646  */
    break;

  case 2920:
#line 15722 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(".*"); }
#line 53892 "preproc.c" /* yacc.c:1646  */
    break;

  case 2921:
#line 15723 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("=="); }
#line 53898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2922:
#line 15724 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 53904 "preproc.c" /* yacc.c:1646  */
    break;

  case 2923:
#line 15725 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("++"); }
#line 53910 "preproc.c" /* yacc.c:1646  */
    break;

  case 2924:
#line 15726 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("<<"); }
#line 53916 "preproc.c" /* yacc.c:1646  */
    break;

  case 2925:
#line 15727 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->"); }
#line 53922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2926:
#line 15728 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->*"); }
#line 53928 "preproc.c" /* yacc.c:1646  */
    break;

  case 2927:
#line 15729 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%="); }
#line 53934 "preproc.c" /* yacc.c:1646  */
    break;

  case 2928:
#line 15730 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*="); }
#line 53940 "preproc.c" /* yacc.c:1646  */
    break;

  case 2929:
#line 15731 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("!="); }
#line 53946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2930:
#line 15732 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("||"); }
#line 53952 "preproc.c" /* yacc.c:1646  */
    break;

  case 2931:
#line 15733 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 53958 "preproc.c" /* yacc.c:1646  */
    break;

  case 2932:
#line 15734 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(">>"); }
#line 53964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2933:
#line 15735 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 53970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2934:
#line 15736 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-="); }
#line 53976 "preproc.c" /* yacc.c:1646  */
    break;

  case 2935:
#line 15737 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 53982 "preproc.c" /* yacc.c:1646  */
    break;

  case 2936:
#line 15738 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 53988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2937:
#line 15739 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 53994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2938:
#line 15740 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("enum"); }
#line 54000 "preproc.c" /* yacc.c:1646  */
    break;

  case 2939:
#line 15741 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 54006 "preproc.c" /* yacc.c:1646  */
    break;

  case 2940:
#line 15742 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 54012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2941:
#line 15743 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 54018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2942:
#line 15744 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 54024 "preproc.c" /* yacc.c:1646  */
    break;

  case 2943:
#line 15745 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 54030 "preproc.c" /* yacc.c:1646  */
    break;

  case 2944:
#line 15746 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 54036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2945:
#line 15747 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 54042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2946:
#line 15748 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 54048 "preproc.c" /* yacc.c:1646  */
    break;

  case 2947:
#line 15749 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 54054 "preproc.c" /* yacc.c:1646  */
    break;

  case 2948:
#line 15750 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 54060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2949:
#line 15751 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 54066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2950:
#line 15752 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 54072 "preproc.c" /* yacc.c:1646  */
    break;

  case 2951:
#line 15753 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("float"); }
#line 54078 "preproc.c" /* yacc.c:1646  */
    break;

  case 2952:
#line 15754 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 54084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2953:
#line 15755 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 54090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2954:
#line 15756 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 54096 "preproc.c" /* yacc.c:1646  */
    break;

  case 2955:
#line 15757 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("["); }
#line 54102 "preproc.c" /* yacc.c:1646  */
    break;

  case 2956:
#line 15758 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("]"); }
#line 54108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2957:
#line 15759 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("="); }
#line 54114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2958:
#line 15760 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(":"); }
#line 54120 "preproc.c" /* yacc.c:1646  */
    break;

  case 2959:
#line 15763 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54126 "preproc.c" /* yacc.c:1646  */
    break;

  case 2960:
#line 15764 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2961:
#line 15765 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 54138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2962:
#line 15766 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 54144 "preproc.c" /* yacc.c:1646  */
    break;

  case 2963:
#line 15769 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54150 "preproc.c" /* yacc.c:1646  */
    break;

  case 2964:
#line 15770 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 54156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2965:
#line 15771 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 54162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2966:
#line 15772 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 54168 "preproc.c" /* yacc.c:1646  */
    break;

  case 2967:
#line 15773 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 54174 "preproc.c" /* yacc.c:1646  */
    break;

  case 2968:
#line 15774 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 54180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2969:
#line 15775 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 54186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2970:
#line 15776 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54192 "preproc.c" /* yacc.c:1646  */
    break;

  case 2971:
#line 15777 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54198 "preproc.c" /* yacc.c:1646  */
    break;

  case 2972:
#line 15778 "preproc.y" /* yacc.c:1646  */
    { if (pg_strcasecmp((yyvsp[-3].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].type).type_str, mm_strdup(")"));
						}
#line 54208 "preproc.c" /* yacc.c:1646  */
    break;

  case 2973:
#line 15785 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54214 "preproc.c" /* yacc.c:1646  */
    break;

  case 2974:
#line 15786 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2975:
#line 15787 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2976:
#line 15788 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54232 "preproc.c" /* yacc.c:1646  */
    break;

  case 2977:
#line 15789 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54238 "preproc.c" /* yacc.c:1646  */
    break;

  case 2978:
#line 15792 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2979:
#line 15793 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2980:
#line 15796 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54256 "preproc.c" /* yacc.c:1646  */
    break;

  case 2981:
#line 15798 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 54269 "preproc.c" /* yacc.c:1646  */
    break;

  case 2982:
#line 15808 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 54275 "preproc.c" /* yacc.c:1646  */
    break;

  case 2983:
#line 15809 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 54281 "preproc.c" /* yacc.c:1646  */
    break;


#line 54285 "preproc.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 15812 "preproc.y" /* yacc.c:1906  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}
